/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2017, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 264 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTACH = 296,
    ATTRIBUTE = 297,
    AUTHORIZATION = 298,
    BACKWARD = 299,
    BEFORE = 300,
    BEGIN_P = 301,
    BETWEEN = 302,
    BIGINT = 303,
    BINARY = 304,
    BIT = 305,
    BOOLEAN_P = 306,
    BOTH = 307,
    BY = 308,
    CACHE = 309,
    CALLED = 310,
    CASCADE = 311,
    CASCADED = 312,
    CASE = 313,
    CAST = 314,
    CATALOG_P = 315,
    CHAIN = 316,
    CHAR_P = 317,
    CHARACTER = 318,
    CHARACTERISTICS = 319,
    CHECK = 320,
    CHECKPOINT = 321,
    CLASS = 322,
    CLOSE = 323,
    CLUSTER = 324,
    COALESCE = 325,
    COLLATE = 326,
    COLLATION = 327,
    COLUMN = 328,
    COLUMNS = 329,
    COMMENT = 330,
    COMMENTS = 331,
    COMMIT = 332,
    COMMITTED = 333,
    CONCURRENTLY = 334,
    CONFIGURATION = 335,
    CONFLICT = 336,
    CONNECTION = 337,
    CONSTRAINT = 338,
    CONSTRAINTS = 339,
    CONTENT_P = 340,
    CONTINUE_P = 341,
    CONVERSION_P = 342,
    COPY = 343,
    COST = 344,
    CREATE = 345,
    CROSS = 346,
    CSV = 347,
    CUBE = 348,
    CURRENT_P = 349,
    CURRENT_CATALOG = 350,
    CURRENT_DATE = 351,
    CURRENT_ROLE = 352,
    CURRENT_SCHEMA = 353,
    CURRENT_TIME = 354,
    CURRENT_TIMESTAMP = 355,
    CURRENT_USER = 356,
    CURSOR = 357,
    CYCLE = 358,
    DATA_P = 359,
    DATABASE = 360,
    DAY_P = 361,
    DEALLOCATE = 362,
    DEC = 363,
    DECIMAL_P = 364,
    DECLARE = 365,
    DEFAULT = 366,
    DEFAULTS = 367,
    DEFERRABLE = 368,
    DEFERRED = 369,
    DEFINER = 370,
    DELETE_P = 371,
    DELIMITER = 372,
    DELIMITERS = 373,
    DEPENDS = 374,
    DESC = 375,
    DETACH = 376,
    DICTIONARY = 377,
    DISABLE_P = 378,
    DISCARD = 379,
    DISTINCT = 380,
    DO = 381,
    DOCUMENT_P = 382,
    DOMAIN_P = 383,
    DOUBLE_P = 384,
    DROP = 385,
    EACH = 386,
    ELSE = 387,
    ENABLE_P = 388,
    ENCODING = 389,
    ENCRYPTED = 390,
    END_P = 391,
    ENUM_P = 392,
    ESCAPE = 393,
    EVENT = 394,
    EXCEPT = 395,
    EXCLUDE = 396,
    EXCLUDING = 397,
    EXCLUSIVE = 398,
    EXECUTE = 399,
    EXISTS = 400,
    EXPLAIN = 401,
    EXTENSION = 402,
    EXTERNAL = 403,
    EXTRACT = 404,
    FALSE_P = 405,
    FAMILY = 406,
    FETCH = 407,
    FILTER = 408,
    FIRST_P = 409,
    FLOAT_P = 410,
    FOLLOWING = 411,
    FOR = 412,
    FORCE = 413,
    FOREIGN = 414,
    FORWARD = 415,
    FREEZE = 416,
    FROM = 417,
    FULL = 418,
    FUNCTION = 419,
    FUNCTIONS = 420,
    GENERATED = 421,
    GLOBAL = 422,
    GRANT = 423,
    GRANTED = 424,
    GREATEST = 425,
    GROUP_P = 426,
    GROUPING = 427,
    HANDLER = 428,
    HAVING = 429,
    HEADER_P = 430,
    HOLD = 431,
    HOUR_P = 432,
    IDENTITY_P = 433,
    IF_P = 434,
    ILIKE = 435,
    IMMEDIATE = 436,
    IMMUTABLE = 437,
    IMPLICIT_P = 438,
    IMPORT_P = 439,
    IN_P = 440,
    INCLUDING = 441,
    INCREMENT = 442,
    INDEX = 443,
    INDEXES = 444,
    INHERIT = 445,
    INHERITS = 446,
    INITIALLY = 447,
    INLINE_P = 448,
    INNER_P = 449,
    INOUT = 450,
    INPUT_P = 451,
    INSENSITIVE = 452,
    INSERT = 453,
    INSTEAD = 454,
    INT_P = 455,
    INTEGER = 456,
    INTERSECT = 457,
    INTERVAL = 458,
    INTO = 459,
    INVOKER = 460,
    IS = 461,
    ISNULL = 462,
    ISOLATION = 463,
    JOIN = 464,
    KEY = 465,
    LABEL = 466,
    LANGUAGE = 467,
    LARGE_P = 468,
    LAST_P = 469,
    LATERAL_P = 470,
    LEADING = 471,
    LEAKPROOF = 472,
    LEAST = 473,
    LEFT = 474,
    LEVEL = 475,
    LIKE = 476,
    LIMIT = 477,
    LISTEN = 478,
    LOAD = 479,
    LOCAL = 480,
    LOCALTIME = 481,
    LOCALTIMESTAMP = 482,
    LOCATION = 483,
    LOCK_P = 484,
    LOCKED = 485,
    LOGGED = 486,
    MAPPING = 487,
    MATCH = 488,
    MATERIALIZED = 489,
    MAXVALUE = 490,
    METHOD = 491,
    MINUTE_P = 492,
    MINVALUE = 493,
    MODE = 494,
    MONTH_P = 495,
    MOVE = 496,
    NAME_P = 497,
    NAMES = 498,
    NATIONAL = 499,
    NATURAL = 500,
    NCHAR = 501,
    NEW = 502,
    NEXT = 503,
    NO = 504,
    NONE = 505,
    NOT = 506,
    NOTHING = 507,
    NOTIFY = 508,
    NOTNULL = 509,
    NOWAIT = 510,
    NULL_P = 511,
    NULLIF = 512,
    NULLS_P = 513,
    NUMERIC = 514,
    OBJECT_P = 515,
    OF = 516,
    OFF = 517,
    OFFSET = 518,
    OIDS = 519,
    OLD = 520,
    ON = 521,
    ONLY = 522,
    OPERATOR = 523,
    OPTION = 524,
    OPTIONS = 525,
    OR = 526,
    ORDER = 527,
    ORDINALITY = 528,
    OUT_P = 529,
    OUTER_P = 530,
    OVER = 531,
    OVERLAPS = 532,
    OVERLAY = 533,
    OVERRIDING = 534,
    OWNED = 535,
    OWNER = 536,
    PARALLEL = 537,
    PARSER = 538,
    PARTIAL = 539,
    PARTITION = 540,
    PASSING = 541,
    PASSWORD = 542,
    PLACING = 543,
    PLANS = 544,
    POLICY = 545,
    POSITION = 546,
    PRECEDING = 547,
    PRECISION = 548,
    PRESERVE = 549,
    PREPARE = 550,
    PREPARED = 551,
    PRIMARY = 552,
    PRIOR = 553,
    PRIVILEGES = 554,
    PROCEDURAL = 555,
    PROCEDURE = 556,
    PROGRAM = 557,
    PUBLICATION = 558,
    QUOTE = 559,
    RANGE = 560,
    READ = 561,
    REAL = 562,
    REASSIGN = 563,
    RECHECK = 564,
    RECURSIVE = 565,
    REF = 566,
    REFERENCES = 567,
    REFERENCING = 568,
    REFRESH = 569,
    REINDEX = 570,
    RELATIVE_P = 571,
    RELEASE = 572,
    RENAME = 573,
    REPEATABLE = 574,
    REPLACE = 575,
    REPLICA = 576,
    RESET = 577,
    RESTART = 578,
    RESTRICT = 579,
    RETURNING = 580,
    RETURNS = 581,
    REVOKE = 582,
    RIGHT = 583,
    ROLE = 584,
    ROLLBACK = 585,
    ROLLUP = 586,
    ROW = 587,
    ROWS = 588,
    RULE = 589,
    SAVEPOINT = 590,
    SCHEMA = 591,
    SCHEMAS = 592,
    SCROLL = 593,
    SEARCH = 594,
    SECOND_P = 595,
    SECURITY = 596,
    SELECT = 597,
    SEQUENCE = 598,
    SEQUENCES = 599,
    SERIALIZABLE = 600,
    SERVER = 601,
    SESSION = 602,
    SESSION_USER = 603,
    SET = 604,
    SETS = 605,
    SETOF = 606,
    SHARE = 607,
    SHOW = 608,
    SIMILAR = 609,
    SIMPLE = 610,
    SKIP = 611,
    SMALLINT = 612,
    SNAPSHOT = 613,
    SOME = 614,
    SQL_P = 615,
    STABLE = 616,
    STANDALONE_P = 617,
    START = 618,
    STATEMENT = 619,
    STATISTICS = 620,
    STDIN = 621,
    STDOUT = 622,
    STORAGE = 623,
    STRICT_P = 624,
    STRIP_P = 625,
    SUBSCRIPTION = 626,
    SUBSTRING = 627,
    SYMMETRIC = 628,
    SYSID = 629,
    SYSTEM_P = 630,
    TABLE = 631,
    TABLES = 632,
    TABLESAMPLE = 633,
    TABLESPACE = 634,
    TEMP = 635,
    TEMPLATE = 636,
    TEMPORARY = 637,
    TEXT_P = 638,
    THEN = 639,
    TIME = 640,
    TIMESTAMP = 641,
    TO = 642,
    TRAILING = 643,
    TRANSACTION = 644,
    TRANSFORM = 645,
    TREAT = 646,
    TRIGGER = 647,
    TRIM = 648,
    TRUE_P = 649,
    TRUNCATE = 650,
    TRUSTED = 651,
    TYPE_P = 652,
    TYPES_P = 653,
    UNBOUNDED = 654,
    UNCOMMITTED = 655,
    UNENCRYPTED = 656,
    UNION = 657,
    UNIQUE = 658,
    UNKNOWN = 659,
    UNLISTEN = 660,
    UNLOGGED = 661,
    UNTIL = 662,
    UPDATE = 663,
    USER = 664,
    USING = 665,
    VACUUM = 666,
    VALID = 667,
    VALIDATE = 668,
    VALIDATOR = 669,
    VALUE_P = 670,
    VALUES = 671,
    VARCHAR = 672,
    VARIADIC = 673,
    VARYING = 674,
    VERBOSE = 675,
    VERSION_P = 676,
    VIEW = 677,
    VIEWS = 678,
    VOLATILE = 679,
    WHEN = 680,
    WHERE = 681,
    WHITESPACE_P = 682,
    WINDOW = 683,
    WITH = 684,
    WITHIN = 685,
    WITHOUT = 686,
    WORK = 687,
    WRAPPER = 688,
    WRITE = 689,
    XML_P = 690,
    XMLATTRIBUTES = 691,
    XMLCONCAT = 692,
    XMLELEMENT = 693,
    XMLEXISTS = 694,
    XMLFOREST = 695,
    XMLNAMESPACES = 696,
    XMLPARSE = 697,
    XMLPI = 698,
    XMLROOT = 699,
    XMLSERIALIZE = 700,
    XMLTABLE = 701,
    YEAR_P = 702,
    YES_P = 703,
    ZONE = 704,
    NOT_LA = 705,
    NULLS_LA = 706,
    WITH_LA = 707,
    POSTFIXOP = 708,
    UMINUS = 709
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 202 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionBoundSpec	*partboundspec;
	RoleSpec			*rolespec;

#line 803 "gram.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 831 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  788
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   96472

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  472
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  657
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2659
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5304

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   709

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   461,     2,     2,
     466,   467,   459,   457,   470,   458,   468,   460,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   471,   469,
     453,   455,   454,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   464,     2,   465,   462,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   456,   463
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   775,   775,   791,   803,   813,   814,   815,   816,   817,
     818,   819,   820,   821,   822,   823,   824,   825,   826,   827,
     828,   829,   830,   831,   832,   833,   834,   835,   836,   837,
     838,   839,   840,   841,   842,   843,   844,   845,   846,   847,
     848,   849,   850,   851,   852,   853,   854,   855,   856,   857,
     858,   859,   860,   861,   862,   863,   864,   865,   866,   867,
     868,   869,   870,   871,   872,   873,   874,   875,   876,   877,
     878,   879,   880,   881,   882,   883,   884,   885,   886,   887,
     888,   889,   890,   891,   892,   893,   894,   895,   896,   897,
     898,   899,   900,   901,   902,   903,   904,   905,   906,   907,
     908,   909,   910,   911,   912,   913,   914,   915,   916,   917,
     918,   919,   920,   921,   922,   923,   924,   925,   926,   927,
     928,   929,   930,   931,   932,   933,   934,   935,   936,   937,
     938,   939,   941,   951,   962,   963,   964,   973,   974,   978,
     979,   983,   988,   992,  1002,  1010,  1014,  1018,  1023,  1027,
    1075,  1077,  1081,  1085,  1089,  1093,  1107,  1125,  1136,  1137,
    1141,  1149,  1167,  1179,  1200,  1207,  1224,  1231,  1248,  1266,
    1277,  1278,  1290,  1297,  1314,  1324,  1334,  1349,  1367,  1368,
    1372,  1379,  1387,  1388,  1389,  1390,  1391,  1392,  1406,  1412,
    1418,  1427,  1435,  1443,  1447,  1455,  1463,  1470,  1479,  1480,
    1488,  1499,  1507,  1515,  1526,  1534,  1542,  1549,  1558,  1568,
    1569,  1573,  1574,  1577,  1579,  1583,  1584,  1585,  1586,  1590,
    1591,  1592,  1598,  1610,  1614,  1618,  1633,  1640,  1641,  1642,
    1646,  1647,  1648,  1652,  1653,  1657,  1661,  1662,  1669,  1676,
    1686,  1693,  1703,  1704,  1709,  1710,  1715,  1721,  1727,  1733,
    1739,  1749,  1759,  1760,  1764,  1765,  1773,  1788,  1794,  1800,
    1806,  1812,  1831,  1840,  1849,  1858,  1867,  1878,  1889,  1898,
    1907,  1918,  1929,  1938,  1947,  1956,  1965,  1974,  1983,  1994,
    2008,  2009,  2014,  2027,  2043,  2052,  2061,  2070,  2079,  2088,
    2096,  2104,  2113,  2122,  2131,  2140,  2157,  2166,  2175,  2184,
    2194,  2207,  2222,  2231,  2239,  2254,  2262,  2272,  2282,  2289,
    2296,  2304,  2312,  2319,  2326,  2334,  2342,  2350,  2357,  2364,
    2372,  2379,  2386,  2394,  2402,  2410,  2418,  2426,  2434,  2444,
    2451,  2459,  2467,  2475,  2483,  2491,  2498,  2505,  2512,  2518,
    2528,  2529,  2533,  2534,  2535,  2539,  2547,  2551,  2552,  2556,
    2563,  2570,  2577,  2587,  2590,  2591,  2595,  2596,  2601,  2605,
    2609,  2614,  2621,  2623,  2628,  2632,  2636,  2647,  2655,  2667,
    2681,  2682,  2683,  2687,  2688,  2693,  2694,  2699,  2709,  2729,
    2742,  2743,  2748,  2757,  2767,  2777,  2803,  2809,  2842,  2871,
    2893,  2894,  2898,  2899,  2908,  2909,  2910,  2913,  2914,  2919,
    2920,  2924,  2928,  2932,  2936,  2940,  2944,  2948,  2952,  2956,
    2960,  2964,  2968,  2972,  2976,  2985,  2989,  2993,  2997,  3001,
    3005,  3009,  3010,  3015,  3019,  3026,  3033,  3034,  3035,  3036,
    3037,  3041,  3045,  3053,  3064,  3081,  3099,  3118,  3137,  3156,
    3188,  3189,  3190,  3191,  3192,  3199,  3206,  3207,  3211,  3212,
    3216,  3217,  3221,  3225,  3232,  3236,  3243,  3244,  3245,  3249,
    3250,  3253,  3275,  3294,  3316,  3317,  3321,  3328,  3329,  3330,
    3361,  3368,  3375,  3386,  3397,  3409,  3418,  3427,  3445,  3446,
    3465,  3472,  3479,  3486,  3497,  3507,  3508,  3509,  3513,  3514,
    3515,  3516,  3517,  3518,  3519,  3528,  3535,  3539,  3552,  3567,
    3581,  3596,  3610,  3628,  3649,  3650,  3654,  3655,  3659,  3660,
    3663,  3669,  3673,  3681,  3686,  3692,  3693,  3697,  3702,  3709,
    3710,  3720,  3722,  3724,  3726,  3729,  3732,  3735,  3739,  3740,
    3741,  3742,  3743,  3746,  3747,  3751,  3752,  3755,  3767,  3768,
    3771,  3772,  3775,  3786,  3797,  3811,  3812,  3813,  3814,  3817,
    3818,  3819,  3820,  3823,  3824,  3827,  3828,  3831,  3849,  3860,
    3884,  3897,  3913,  3927,  3928,  3929,  3941,  3954,  3970,  3983,
    3984,  3996,  4016,  4026,  4039,  4047,  4058,  4059,  4062,  4063,
    4066,  4067,  4070,  4074,  4078,  4082,  4086,  4090,  4094,  4098,
    4102,  4106,  4110,  4115,  4119,  4123,  4129,  4130,  4134,  4135,
    4136,  4141,  4144,  4145,  4157,  4169,  4184,  4185,  4193,  4194,
    4198,  4199,  4203,  4204,  4208,  4209,  4213,  4223,  4236,  4237,
    4247,  4258,  4259,  4272,  4279,  4296,  4304,  4315,  4318,  4322,
    4326,  4330,  4334,  4346,  4356,  4359,  4363,  4376,  4385,  4394,
    4403,  4412,  4421,  4430,  4439,  4448,  4457,  4466,  4475,  4484,
    4493,  4502,  4511,  4520,  4529,  4538,  4547,  4556,  4565,  4574,
    4583,  4592,  4601,  4619,  4630,  4631,  4632,  4633,  4637,  4638,
    4642,  4643,  4653,  4661,  4673,  4674,  4678,  4682,  4690,  4694,
    4698,  4705,  4709,  4714,  4719,  4726,  4733,  4738,  4748,  4760,
    4775,  4776,  4781,  4782,  4786,  4787,  4797,  4806,  4814,  4831,
    4851,  4871,  4892,  4923,  4932,  4953,  4968,  4969,  4973,  4981,
    4996,  5005,  5017,  5018,  5030,  5038,  5055,  5079,  5096,  5110,
    5111,  5115,  5116,  5120,  5121,  5125,  5126,  5130,  5144,  5148,
    5149,  5153,  5154,  5155,  5156,  5157,  5167,  5185,  5206,  5232,
    5233,  5234,  5238,  5240,  5262,  5264,  5266,  5268,  5270,  5275,
    5276,  5280,  5281,  5285,  5296,  5297,  5301,  5310,  5314,  5318,
    5323,  5333,  5334,  5338,  5339,  5343,  5344,  5348,  5349,  5350,
    5354,  5358,  5359,  5360,  5364,  5365,  5370,  5371,  5398,  5399,
    5400,  5401,  5402,  5403,  5416,  5426,  5440,  5442,  5447,  5452,
    5454,  5459,  5469,  5470,  5471,  5472,  5484,  5504,  5526,  5536,
    5547,  5557,  5567,  5578,  5587,  5594,  5601,  5610,  5619,  5628,
    5637,  5646,  5656,  5665,  5677,  5680,  5681,  5684,  5688,  5695,
    5696,  5697,  5698,  5699,  5700,  5703,  5706,  5707,  5715,  5722,
    5723,  5726,  5728,  5739,  5750,  5761,  5772,  5785,  5786,  5802,
    5817,  5818,  5822,  5834,  5844,  5852,  5861,  5870,  5871,  5874,
    5875,  5878,  5879,  5880,  5883,  5897,  5902,  5912,  5921,  5933,
    5934,  5938,  5946,  5958,  5968,  5981,  5991,  6013,  6023,  6041,
    6051,  6061,  6071,  6081,  6091,  6101,  6111,  6121,  6131,  6141,
    6151,  6165,  6166,  6167,  6168,  6169,  6170,  6171,  6172,  6173,
    6174,  6175,  6176,  6177,  6182,  6183,  6184,  6185,  6186,  6187,
    6188,  6193,  6194,  6195,  6199,  6200,  6203,  6204,  6207,  6209,
    6214,  6215,  6225,  6236,  6237,  6238,  6272,  6280,  6288,  6296,
    6304,  6312,  6320,  6328,  6336,  6349,  6357,  6365,  6373,  6381,
    6389,  6397,  6405,  6417,  6418,  6419,  6420,  6421,  6422,  6423,
    6424,  6425,  6426,  6427,  6428,  6429,  6430,  6435,  6436,  6437,
    6438,  6439,  6440,  6441,  6442,  6443,  6444,  6445,  6446,  6450,
    6451,  6465,  6475,  6485,  6495,  6505,  6515,  6525,  6537,  6538,
    6543,  6544,  6545,  6546,  6547,  6548,  6553,  6554,  6555,  6556,
    6557,  6558,  6559,  6560,  6563,  6564,  6574,  6580,  6588,  6596,
    6604,  6612,  6620,  6628,  6636,  6644,  6652,  6660,  6668,  6676,
    6684,  6692,  6700,  6708,  6718,  6719,  6722,  6723,  6733,  6749,
    6763,  6789,  6791,  6793,  6795,  6802,  6811,  6812,  6815,  6822,
    6829,  6836,  6850,  6858,  6866,  6874,  6882,  6890,  6898,  6906,
    6914,  6922,  6930,  6938,  6946,  6954,  6962,  6970,  6982,  6983,
    6987,  6988,  6993,  6994,  7004,  7017,  7027,  7039,  7040,  7043,
    7044,  7054,  7064,  7065,  7069,  7073,  7077,  7088,  7101,  7115,
    7132,  7133,  7134,  7135,  7136,  7148,  7174,  7203,  7204,  7208,
    7209,  7213,  7214,  7218,  7219,  7222,  7223,  7231,  7242,  7253,
    7266,  7267,  7270,  7271,  7274,  7275,  7276,  7279,  7280,  7281,
    7297,  7309,  7322,  7337,  7338,  7341,  7342,  7346,  7347,  7351,
    7352,  7357,  7369,  7376,  7383,  7398,  7399,  7403,  7404,  7419,
    7428,  7437,  7446,  7455,  7467,  7468,  7469,  7470,  7471,  7477,
    7481,  7496,  7497,  7503,  7513,  7517,  7522,  7530,  7571,  7575,
    7579,  7583,  7591,  7592,  7596,  7606,  7607,  7613,  7614,  7621,
    7625,  7629,  7633,  7637,  7641,  7645,  7649,  7653,  7657,  7661,
    7665,  7669,  7673,  7677,  7682,  7689,  7693,  7697,  7701,  7705,
    7711,  7712,  7719,  7720,  7724,  7725,  7728,  7740,  7744,  7759,
    7770,  7771,  7776,  7777,  7792,  7802,  7815,  7825,  7838,  7848,
    7861,  7869,  7871,  7873,  7878,  7880,  7885,  7886,  7891,  7909,
    7918,  7919,  7923,  7927,  7939,  7950,  7961,  7974,  7975,  7976,
    7980,  7992,  7993,  8003,  8015,  8019,  8023,  8027,  8034,  8054,
    8063,  8072,  8081,  8092,  8093,  8096,  8097,  8098,  8101,  8102,
    8105,  8115,  8124,  8141,  8150,  8159,  8168,  8177,  8186,  8195,
    8204,  8213,  8222,  8231,  8240,  8249,  8259,  8269,  8278,  8287,
    8296,  8305,  8315,  8325,  8335,  8345,  8355,  8365,  8375,  8385,
    8395,  8405,  8415,  8425,  8436,  8447,  8458,  8469,  8479,  8489,
    8500,  8511,  8521,  8531,  8539,  8548,  8557,  8566,  8575,  8584,
    8593,  8602,  8611,  8620,  8634,  8635,  8638,  8639,  8649,  8657,
    8666,  8674,  8691,  8700,  8709,  8718,  8727,  8736,  8745,  8754,
    8763,  8772,  8781,  8790,  8799,  8808,  8817,  8826,  8835,  8844,
    8853,  8862,  8871,  8880,  8889,  8898,  8907,  8925,  8934,  8935,
    8938,  8940,  8946,  8947,  8948,  8949,  8950,  8959,  8967,  8975,
    8983,  8991,  8999,  9007,  9015,  9023,  9031,  9039,  9047,  9055,
    9063,  9071,  9079,  9087,  9095,  9103,  9111,  9119,  9127,  9145,
    9164,  9165,  9169,  9173,  9193,  9200,  9208,  9216,  9233,  9246,
    9250,  9257,  9266,  9275,  9284,  9293,  9303,  9313,  9331,  9339,
    9355,  9372,  9373,  9374,  9379,  9385,  9394,  9395,  9396,  9397,
    9398,  9402,  9403,  9406,  9407,  9408,  9409,  9413,  9414,  9415,
    9427,  9437,  9438,  9441,  9450,  9456,  9475,  9482,  9489,  9496,
    9503,  9510,  9517,  9525,  9533,  9541,  9549,  9557,  9564,  9571,
    9580,  9581,  9582,  9586,  9589,  9592,  9595,  9598,  9605,  9607,
    9609,  9614,  9616,  9628,  9641,  9654,  9672,  9693,  9694,  9695,
    9696,  9706,  9722,  9732,  9733,  9737,  9738,  9742,  9746,  9750,
    9768,  9769,  9770,  9771,  9772,  9773,  9774,  9781,  9782,  9793,
    9800,  9807,  9818,  9835,  9842,  9858,  9875,  9881,  9897,  9910,
    9919,  9927,  9935,  9944,  9955,  9966,  9976,  9977,  9988,  9998,
   10009, 10020, 10031, 10042, 10051, 10063, 10064, 10078, 10101, 10109,
   10118, 10129, 10130, 10142, 10156, 10170, 10182, 10190, 10203, 10204,
   10208, 10209, 10210, 10211, 10212, 10225, 10235, 10248, 10249, 10253,
   10254, 10257, 10258, 10261, 10262, 10266, 10267, 10280, 10287, 10297,
   10304, 10314, 10315, 10316, 10317, 10318, 10319, 10320, 10321, 10322,
   10326, 10330, 10337, 10344, 10345, 10349, 10350, 10351, 10361, 10371,
   10372, 10376, 10377, 10378, 10379, 10389, 10396, 10414, 10415, 10425,
   10431, 10437, 10443, 10459, 10477, 10481, 10489, 10495, 10502, 10508,
   10515, 10524, 10525, 10529, 10531, 10536, 10547, 10557, 10567, 10573,
   10582, 10591, 10597, 10598, 10609, 10623, 10624, 10635, 10646, 10647,
   10650, 10651, 10652, 10653, 10654, 10655, 10656, 10657, 10660, 10661,
   10665, 10666, 10667, 10678, 10696, 10697, 10701, 10706, 10730, 10741,
   10742, 10752, 10763, 10766, 10767, 10768, 10769, 10770, 10773, 10774,
   10775, 10823, 10824, 10828, 10829, 10844, 10845, 10852, 10860, 10868,
   10876, 10884, 10892, 10903, 10904, 10931, 10945, 10960, 10961, 10980,
   10984, 10988, 11005, 11012, 11019, 11029, 11030, 11033, 11045, 11046,
   11050, 11062, 11070, 11075, 11080, 11085, 11090, 11098, 11106, 11111,
   11116, 11123, 11124, 11128, 11129, 11130, 11137, 11138, 11142, 11143,
   11147, 11148, 11152, 11156, 11157, 11160, 11169, 11182, 11183, 11184,
   11185, 11189, 11190, 11194, 11196, 11206, 11211, 11214, 11219, 11220,
   11228, 11238, 11239, 11240, 11248, 11252, 11253, 11256, 11257, 11282,
   11283, 11287, 11288, 11292, 11293, 11294, 11295, 11296, 11300, 11313,
   11320, 11327, 11334, 11335, 11339, 11340, 11344, 11345, 11349, 11350,
   11354, 11365, 11366, 11367, 11368, 11372, 11373, 11383, 11389, 11407,
   11408, 11412, 11413, 11419, 11424, 11432, 11439, 11447, 11453, 11460,
   11495, 11520, 11524, 11550, 11554, 11566, 11579, 11593, 11604, 11619,
   11625, 11630, 11636, 11643, 11644, 11652, 11656, 11660, 11666, 11673,
   11678, 11679, 11680, 11681, 11685, 11686, 11698, 11699, 11704, 11711,
   11718, 11725, 11736, 11737, 11750, 11754, 11761, 11774, 11787, 11788,
   11803, 11813, 11825, 11830, 11831, 11834, 11835, 11838, 11839, 11844,
   11845, 11850, 11851, 11859, 11864, 11865, 11869, 11873, 11879, 11904,
   11914, 11927, 11928, 11932, 11946, 12003, 12017, 12019, 12024, 12026,
   12028, 12030, 12035, 12037, 12042, 12050, 12070, 12075, 12082, 12087,
   12093, 12098, 12107, 12109, 12112, 12116, 12117, 12118, 12119, 12120,
   12121, 12126, 12146, 12147, 12148, 12149, 12160, 12166, 12174, 12175,
   12181, 12186, 12191, 12196, 12201, 12206, 12211, 12216, 12222, 12228,
   12234, 12241, 12263, 12272, 12276, 12284, 12288, 12296, 12308, 12329,
   12333, 12339, 12343, 12356, 12364, 12374, 12376, 12378, 12380, 12382,
   12384, 12389, 12390, 12397, 12406, 12414, 12423, 12434, 12442, 12443,
   12444, 12448, 12450, 12452, 12454, 12456, 12458, 12460, 12465, 12470,
   12476, 12484, 12489, 12496, 12503, 12507, 12511, 12547, 12548, 12550,
   12558, 12573, 12575, 12577, 12579, 12581, 12583, 12585, 12587, 12589,
   12591, 12593, 12595, 12597, 12599, 12602, 12604, 12606, 12609, 12611,
   12613, 12615, 12618, 12623, 12631, 12636, 12644, 12649, 12657, 12662,
   12671, 12679, 12687, 12695, 12713, 12721, 12729, 12737, 12745, 12761,
   12769, 12777, 12785, 12793, 12801, 12809, 12813, 12817, 12821, 12825,
   12833, 12841, 12849, 12857, 12877, 12899, 12910, 12917, 12933, 12938,
   12944, 12969, 12971, 12973, 12975, 12977, 12979, 12981, 12983, 12985,
   12987, 12989, 12991, 12993, 12995, 12997, 12999, 13001, 13003, 13005,
   13007, 13011, 13015, 13019, 13023, 13028, 13044, 13045, 13046, 13061,
   13095, 13097, 13099, 13110, 13134, 13145, 13156, 13163, 13173, 13183,
   13192, 13196, 13202, 13209, 13216, 13226, 13233, 13261, 13296, 13307,
   13308, 13315, 13321, 13325, 13329, 13333, 13337, 13341, 13345, 13349,
   13353, 13357, 13361, 13365, 13369, 13373, 13377, 13381, 13383, 13387,
   13396, 13401, 13408, 13423, 13430, 13434, 13438, 13442, 13446, 13453,
   13461, 13469, 13473, 13477, 13481, 13485, 13489, 13495, 13499, 13508,
   13512, 13516, 13521, 13535, 13537, 13541, 13543, 13545, 13548, 13551,
   13554, 13555, 13558, 13566, 13576, 13577, 13580, 13581, 13582, 13587,
   13591, 13595, 13599, 13610, 13611, 13615, 13616, 13624, 13625, 13629,
   13630, 13635, 13643, 13645, 13659, 13662, 13689, 13690, 13693, 13694,
   13705, 13723, 13730, 13739, 13756, 13801, 13809, 13817, 13825, 13833,
   13854, 13855, 13856, 13859, 13860, 13863, 13866, 13867, 13868, 13871,
   13872, 13875, 13876, 13877, 13878, 13879, 13880, 13881, 13882, 13883,
   13884, 13885, 13886, 13889, 13891, 13896, 13898, 13903, 13905, 13907,
   13909, 13911, 13913, 13925, 13929, 13936, 13940, 13946, 13950, 13959,
   13970, 13971, 13974, 13978, 13982, 13988, 13989, 13994, 13998, 14005,
   14006, 14007, 14008, 14009, 14010, 14011, 14012, 14022, 14026, 14033,
   14040, 14041, 14057, 14061, 14066, 14070, 14085, 14090, 14094, 14097,
   14100, 14101, 14102, 14105, 14112, 14122, 14136, 14137, 14141, 14152,
   14153, 14156, 14157, 14160, 14164, 14171, 14175, 14179, 14187, 14198,
   14199, 14203, 14204, 14208, 14209, 14212, 14213, 14223, 14224, 14228,
   14229, 14232, 14248, 14256, 14264, 14286, 14287, 14298, 14302, 14329,
   14331, 14336, 14339, 14342, 14344, 14346, 14348, 14358, 14360, 14371,
   14375, 14379, 14383, 14387, 14396, 14403, 14435, 14439, 14445, 14452,
   14456, 14460, 14466, 14467, 14469, 14470, 14471, 14475, 14505, 14532,
   14536, 14542, 14544, 14561, 14562, 14563, 14568, 14569, 14570, 14575,
   14576, 14577, 14578, 14584, 14585, 14586, 14587, 14588, 14608, 14609,
   14610, 14611, 14612, 14613, 14614, 14615, 14616, 14617, 14618, 14619,
   14620, 14621, 14622, 14623, 14624, 14625, 14626, 14627, 14628, 14629,
   14630, 14631, 14632, 14633, 14634, 14635, 14636, 14637, 14638, 14639,
   14640, 14641, 14642, 14643, 14644, 14645, 14646, 14647, 14648, 14649,
   14650, 14651, 14652, 14653, 14654, 14655, 14656, 14657, 14658, 14659,
   14660, 14661, 14662, 14663, 14664, 14665, 14666, 14667, 14668, 14669,
   14670, 14671, 14672, 14673, 14674, 14675, 14676, 14677, 14678, 14679,
   14680, 14681, 14682, 14683, 14684, 14685, 14686, 14687, 14688, 14689,
   14690, 14691, 14692, 14693, 14694, 14695, 14696, 14697, 14698, 14699,
   14700, 14701, 14702, 14703, 14704, 14705, 14706, 14707, 14708, 14709,
   14710, 14711, 14712, 14713, 14714, 14715, 14716, 14717, 14718, 14719,
   14720, 14721, 14722, 14723, 14724, 14725, 14726, 14727, 14728, 14729,
   14730, 14731, 14732, 14733, 14734, 14735, 14736, 14737, 14738, 14739,
   14740, 14741, 14742, 14743, 14744, 14745, 14746, 14747, 14748, 14749,
   14750, 14751, 14752, 14753, 14754, 14755, 14756, 14757, 14758, 14759,
   14760, 14761, 14762, 14763, 14764, 14765, 14766, 14767, 14768, 14769,
   14770, 14771, 14772, 14773, 14774, 14775, 14776, 14777, 14778, 14779,
   14780, 14781, 14782, 14783, 14784, 14785, 14786, 14787, 14788, 14789,
   14790, 14791, 14792, 14793, 14794, 14795, 14796, 14797, 14798, 14799,
   14800, 14801, 14802, 14803, 14804, 14805, 14806, 14807, 14808, 14809,
   14810, 14811, 14812, 14813, 14814, 14815, 14816, 14817, 14818, 14819,
   14820, 14821, 14822, 14823, 14824, 14825, 14826, 14827, 14828, 14829,
   14830, 14831, 14832, 14833, 14834, 14835, 14836, 14837, 14838, 14839,
   14840, 14841, 14842, 14843, 14844, 14845, 14846, 14847, 14848, 14849,
   14850, 14851, 14852, 14853, 14854, 14855, 14856, 14857, 14858, 14859,
   14860, 14861, 14862, 14863, 14864, 14865, 14866, 14867, 14868, 14869,
   14870, 14871, 14872, 14873, 14874, 14875, 14876, 14877, 14878, 14879,
   14880, 14881, 14882, 14883, 14884, 14885, 14886, 14887, 14888, 14889,
   14903, 14904, 14905, 14906, 14907, 14908, 14909, 14910, 14911, 14912,
   14913, 14914, 14915, 14916, 14917, 14918, 14919, 14920, 14921, 14922,
   14923, 14924, 14925, 14926, 14927, 14928, 14929, 14930, 14931, 14932,
   14933, 14934, 14935, 14936, 14937, 14938, 14939, 14940, 14941, 14942,
   14943, 14944, 14945, 14946, 14947, 14948, 14949, 14950, 14951, 14952,
   14966, 14967, 14968, 14969, 14970, 14971, 14972, 14973, 14974, 14975,
   14976, 14977, 14978, 14979, 14980, 14981, 14982, 14983, 14984, 14985,
   14986, 14987, 14988, 14998, 14999, 15000, 15001, 15002, 15003, 15004,
   15005, 15006, 15007, 15008, 15009, 15010, 15011, 15012, 15013, 15014,
   15015, 15016, 15017, 15018, 15019, 15020, 15021, 15022, 15023, 15024,
   15025, 15026, 15027, 15028, 15029, 15030, 15031, 15032, 15033, 15034,
   15035, 15036, 15037, 15038, 15039, 15040, 15041, 15042, 15043, 15044,
   15045, 15046, 15047, 15048, 15049, 15050, 15051, 15052, 15053, 15054,
   15055, 15056, 15057, 15058, 15059, 15060, 15061, 15062, 15063, 15064,
   15065, 15066, 15067, 15068, 15069, 15070, 15071, 15072, 15073, 15074
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COLUMNS", "COMMENT", "COMMENTS", "COMMIT",
  "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P",
  "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA",
  "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE",
  "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P",
  "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER",
  "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC", "DETACH",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING",
  "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE",
  "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY",
  "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY",
  "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P",
  "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING", "PRECISION",
  "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES",
  "PROCEDURAL", "PROCEDURE", "PROGRAM", "PUBLICATION", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP",
  "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='", "POSTFIXOP", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'",
  "'.'", "';'", "','", "':'", "$accept", "stmtblock", "stmtmulti", "stmt",
  "CreateRoleStmt", "opt_with", "OptRoleList", "AlterOptRoleList",
  "AlterOptRoleElem", "CreateOptRoleElem", "CreateUserStmt",
  "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "ForValues", "partbound_datum", "partbound_datum_list",
  "range_datum_list", "PartitionRangeDatum", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "ColId", "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,    60,    62,    61,   708,    43,    45,    42,
      47,    37,    94,   709,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -4737

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4737)))

#define YYTABLE_NINF -2566

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2566)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    7178,     1, 17610, -4737, -4737,     1, -4737, 65334,   432,   498,
      42,   172, 15993, 65781, 72486,   812,   305, 16812,     1, 72486,
    2354, 50136, 62205,   742, 72486,   427,   560, 50136, 72486, 72933,
     780,   853,   124, 73380, 66228, 60864,   901, 72486,   948,   393,
   73827, 66675,   800, 67122,   560, 46588,   361,   772, 74274, 72486,
    1440,  1336,  1255, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737,   432, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737,  1248, -4737,   724,  1868,  1069,   156,   873, -4737,
   -4737, -4737, 58629, 72486, 72486, 72486,  1472, 72486,  1250, 72486,
     187, 58629, 54159, 67569,  1543,  1385, 43006, 74721, -4737, 72486,
   52818, 72486, 72486, 75168, 72486, 72486, 72486,  1383, 63546, 72486,
    1513, 72486, 72486, 54606, 75615,  1665,  1095, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, 72486, 17282,   427,
   -4737, -4737,  1440, 72486,  1660, 58629, 72486,  1441, 76062,  1634,
   72486, -4737, 72486,  1682, 76509,   494,  1583, 54159,  1763, 43454,
    1815, 72486, 72486, 54159, 76956, 77403, 77850, 72486, 72486, -4737,
   -4737,  1788, 72486, 72486, -4737,  1923, 55053,  1409,  1941,  2096,
    2017,   819, -4737, 68016, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, 57735,   305, -4737, -4737,  1977, 59076, 72486,  2008,
   -4737, -4737, 78297, 93425,  1837, -4737,   732, 59523, 55500,  2159,
    1821, 43902,  2197, -4737, -4737, 55947, -4737, -4737, -4737, -4737,
   -4737, 78744, -4737, 79191,  1916,  2008, -4737, 93858, 56394, -4737,
    2072, 79638, 80085, 80532, -4737,  1841,  1333,  1304, 38950, -4737,
   -4737, -4737,   432, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737,   313,  1875,   199,   198,   207, -4737, -4737,   209,   210,
     212,   313,  2302,  2302, -4737, 72486, -4737, -4737,  1875,    44,
    1874,  1874,  1874,  2053,   856, -4737,  1874,  1989, -4737, -4737,
   -4737, -4737, 67122, -4737,  1866,   427,  1881,  2303,  1986, -4737,
   -4737, -4737, -4737, -4737,  1945, 72486, 72486, 72486, -4737, -4737,
    2369,  2001,  2212,  1962, -4737, -4737, -4737,  2169,  2187,  2196,
     115,   427,  2084, -4737,  2318, -4737,  2213, 27505, 27505,   427,
   68463, 80979,   206, 57735,   427, 68910,  2036,   170,  2242, -4737,
   -4737, -4737,   647, -4737,  2469,  2067,  2330,  1962,  1095, 40299,
   -4737,  2098,  1222, 67122, -4737, -4737, -4737,   320,  2382, 29361,
   72486,  2105, -4737,  2117,  2105,  2161,  2186,  1069, -4737,  7178,
   72486,   903,   903,  2544,   903,  1372,  2003, -4737,  2009, -4737,
    2460,  2432, 67122,  2194,   225, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,  1488,  2198,
    1222, -4737,   227, -4737,  1642,  2177,  1703,  1908, -4737, -4737,
     285, 72486,   234,  2268, 69357,  6930,  2206,  1222,  2250, -4737,
   -4737, -4737,  2409,   355, -4737, -4737, -4737, -4737,  2549,  2584,
    5430,   349, 69804, -4737, -4737, -4737, -4737, 72486, 72486, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,  2271,  1226,
   -4737, -4737,  2276,  2600,  2483,   922,  2565,  2433,  1010,  2486,
    1674,  2608,  5848,    82,  1785,  1632, 70251, 72486,  2572,  2613,
    6338,  1705,   752,  2495,   966,  2605,  2446,  1546,  2622,  1487,
   72486, -4737,  2548,  2658,   678, -4737,   278, -4737,  2359,  2506,
     713,  2537, 58629,  2313, -4737, -4737, 72486, -4737, -4737, 94291,
    2389, -4737,   733, 58629, -4737,  2520,  2362, 44350, 72486, -4737,
   -4737, 72486, -4737, -4737, -4737, -4737, -4737, -4737, -4737,  2451,
    2635, 72486, 94291, -4737,  2582, 72486, 72486, -4737,  2332, -4737,
   -4737, -4737, -4737,  1874, 72486,  2331,  2735, 94291,  2550,    96,
   72486,  1619,  2768, 72486,  2556,  1619,  2377, 81426, -4737, -4737,
    1619, -4737, -4737, -4737, 72486, 72486,  2345,  1035,  2553,  2659,
    1619,  2564,  2778,  2779,  2575,  2426,  2577,  2117,  2750,  2555,
     781,  1397,   184,   263,  1619,  2416, 81873, 82320, 72486,  2417,
   72486,  2765, 58629, 72486,  2689, -4737,  2554, -4737, -4737,   823,
   -4737, -4737, -4737, -4737, -4737,  2703, -4737,   144,   488,  2710,
    2390,  2714, -4737, -4737, -4737,  2441, -4737,  2441,  2441,  2395,
    2395,  2570,  2398,  2721, -4737, -4737, -4737,  1455,  2441,  2395,
   -4737, 95157, -4737,  1366,  1558, -4737,   192, -4737,  2833, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737,  2402, -4737,   799,
    1801, -4737, -4737,  2437, -4737,  2726,   231, -4737,  2734, -4737,
    2403, 82767, -4737, 83214, 83661,  2737,   232, -4737, 54159,  2739,
    2403,  2740,   488,  2745, -4737,   889,  2723,  2747,   192,  2748,
    1883,  2403, 58182,  2751,   276, -4737,  2752,   284, -4737,  2756,
    2629, 29361, -4737,  2532, -4737,   772, -4737,  1274, -4737, 49242,
   -4737,  1304,  1875, -4737, 72486,  1875, 72486,  1875, 72486,  1875,
   72486,  1875, 72486, 72486, 72486,  1875, -4737, -4737, -4737, 72486,
    2444, 72486, 72486, -4737, -4737, -4737, 62652, 54159, 63099, -4737,
   72486, -4737,   352,   427, -4737, -4737, 94291,  2876, 54159,  2765,
   -4737,  1591, -4737, -4737, -4737, -4737, -4737, -4737,  2692, 72486,
    2757,  2759, 62652, 54159, -4737, 84108, 57735,  2647,  2452, -4737,
   -4737, -4737, -4737, -4737,  1829,  2912,   252,  2915, 29361,  2455,
     252,   252,  2459,  2769, -4737, -4737, -4737,   229,  2461,  2463,
   -4737,   200,   200, -4737,  2465,  2467, -4737,   242,  2470,  2471,
    2933,  2936,   244,  2476,  2478,  2479,  1455,   252, 29361, -4737,
    2480,   200,  2481,  2488,  2499,  2956,  2501, -4737,  2959,  2502,
     261,   308,  2503,  2504, -4737,  2465, -4737,   245,  2505,  2512,
    2514,  2516,  2517,  2518,  2521,  2522, 29361, 29361, 29361, -4737,
   26113,  1222,   427, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737,   246,  6706, -4737,  2542, -4737, -4737,  2709, -4737, -4737,
   29361, -4737, -4737,   655, -4737,   248, -4737, -4737, -4737,  1222,
    2785,  2523, -4737, -4737,  1180,  2524, -4737,  1539, -4737, -4737,
   -4737, -4737, -4737, -4737, 56841,  2960, -4737,   294,   427,   278,
     319,  2902, 48348, 48795, -4737, -4737,  2781, -4737, 72486, -4737,
   -4737, 29361, 46141, -4737,  1222,   166, -4737, -4737, -4737, -4737,
    1672, -4737, -4737, -4737,   432, 15231,  1736,  2105, 72486, 72486,
    2963, -4737, -4737, -4737,  2117, -4737, -4737,  1069,  1069, 29361,
    1069,   717,  1343, 27969, 29361,  2847,  2742,  1322,  1453,  2850,
   -4737,  2749,  1372,  2003, 67122, 72486, 84555,  2660, 29361,  2625,
    2626,  2680, 47482, -4737,  1222,  2630,  2599,  2634,  2686, 51030,
    2557,  2636,  2637,  2693, -4737,  2806, -4737, -4737,  2643,  2644,
   85002, -4737, -4737,  1182, -4737, -4737, -4737,  1182, -4737,  2580,
    1228,   821,  1321,  2649,   389,   738,  2961, -4737,  1466, -4737,
   -4737,  2706, -4737,  5565, 72486,  2894,  6062,  2780,   349,  2782,
    2704, -4737, -4737,  2830,  2662, 72486,  2663,  2797,   349,  1122,
   85449, -4737, -4737, -4737, -4737, -4737, -4737,  5448, 25246, -4737,
    1771,  2669,  2648,  2681, 72486, 59970,   343,  2793,  2799,  1396,
    1939,   217,  2731, 72486,   253,  2805, 72486,  2603,  2683,  2685,
    2895,  2609,  1511,  2991,  2607, -4737, -4737, -4737,   418,  2090,
    2798, -4737,  2901,  2943,  7603,  2679,  2682, 92126, -4737,  2707,
     616, 44798, 72486, 72486,  2717,  2722,  2712,  2713,  1030,  2985,
    1723,  2716, -4737, -4737, -4737,  1723, 72486,  2718,  2720, 72486,
   95157,   349, -4737,  3044,   349,   349,  1873,  3055,  2725,   353,
    2869,  1573,  1619,  2607,  3269, -4737,  2727,  2729,   851, -4737,
    2843,  2732,  2741,  2786,   427, -4737, -4737,  2743,  2815,  2746,
     541, -4737, -4737,   -20,  2753, 67122,  2836,  2841,   411,  1651,
    2607, -4737,  2758,  2763,  2609,  2609, 72486, 72486, 72486, 72486,
   72486,   213,  3085,  3087,  2770,   181,  2800,  2664, -4737, 53265,
    2771, 80979, -4737, -4737, 72486,  2774,  1842,  2607,  1676,  1579,
   -4737, -4737, -4737,  1095, -4737, 72486, -4737, 72486, -4737,  2929,
   94291,  2877,  2940, -4737,  2733, -4737,  2949,   349, -4737, 72486,
   72486,  2950,  2898,  2903,   904, 94291,  2904,  2966, -4737,  2969,
    2970,  2802,  2738,  2783, 47915, -4737,  2345,  2736,  3155,  3047,
   72486, 51030, -4737,  3169,  1182, -4737, 94291,  2931,  3053, -4737,
   72486,  2953,    39, -4737,  3094,  2801, -4737, -4737,    35, 72486,
     236,  2788, -4737, -4737,  3062, 54159,   286,  3063,   427,  2789,
    3064,  2952,   427, 54159,  2987, 72486, 72486, 72486, 72486, -4737,
   -4737,  2962,   930,   228, -4737, 53265,  2971, -4737, 72486,  2974,
    3269,  2976,  3186,    70,  1874, 85896,  3071, -4737, 86343,  2764,
    3194, 94291,  3020, -4737,  1870, -4737,  2896, -4737, 58629, -4737,
   -4737, 58629, -4737, -4737, -4737, 94291, 72486, -4737,  2767, -4737,
   -4737, 29361, -4737, -4737, -4737,  2302, -4737, 94291,  2441,  2441,
   -4737, -4737,  3203,  2854,  2855,  2302, -4737,  2302, -4737, 94291,
   -4737,  2777,  2803,  2302,  2858,  2871,  2872, -4737,  2796,  2878,
    2302, -4737, -4737,  1877, -4737, -4737, 58629, 58629, -4737, 54159,
   54159,  3125,   276,  3126,  2863,  3129,  2865, 44798, 44798, -4737,
     291, 54159, 72486, -4737, 72486, -4737, -4737, -4737, -4737, 94291,
   94291, -4737, 54159, 53265,  3131,  3133,   488, 72486, 72486, -4737,
   72486, 72486, -4737, 72486, 72486,  1757, 86790,  1304, 57288, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, 72486, -4737, 72486,
   -4737, 72486, -4737, 72486, -4737, 72486, -4737, -4737, -4737, 72486,
   -4737, 72486,  1777, -4737, -4737,  1784,   143, 72486, 72486,   177,
   58629, 72486,  3019, 72486, 72486, 72486, 72486, 72486,  2893,  2524,
     -33, -4737,  1168,   281, 67122,  3027, -4737, -4737,  1789,  1440,
     861, 72486,   887,  1945, -4737, -4737, 63099, 62205,  3121,   333,
   72486, -4737, -4737,  3802, 29361,  1222, 27041, -4737, -4737, 15231,
    2860, 29361, 29361,  2820,  2302,  2302, -4737,   332, 29361, 29361,
   29361,  2302,  2302,  4602, 29361, 44798, 29361, 33537, 23416, 29361,
   29361, 26577, -4737, 29361,  3056, 34459, 29361,   319,  3057, 29361,
     319,  4602,  3286,  3286,  1140,  7532,  2831,  1222, -4737,  2302,
     876, -4737,   235, 94291, 29361, 29361, 29361, 29361, 51030,  2917,
     250, 72486, 29361,  2839,  1303, -4737, 29361, -4737,  2840, 29361,
    2921,  1021, 29361, 29361, 29361, 29361, 29361, 29361, 29361, 29361,
   29361, -4737, 35806,   259,  3138,  3157,    12,   450, 70698, 27505,
    3149, 22486, -4737,   219,  3149, -4737, -4737, -4737, 72486,  2960,
   -4737, -4737,  2924, -4737, -4737, -4737, -4737, -4737,   258, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737,  2844, -4737, -4737, -4737,
   -4737,  2844, -4737,  2848, 10938,  2849, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737,  3140,  3141,   488, 72486,   320, 63993, -4737, 29361,
   -4737,  1807,  2859, -4737,  3119, -4737,  2861, -4737, 12058,  3119,
   -4737, -4737,   311,  2977,  3118,  3065, -4737, -4737, -4737,  2864,
   15231, -4737,  1947, 15231,  2042, -4737, -4737, -4737, -4737, -4737,
   -4737,  1277, -4737, 72486,   974,  2847,  1453,  2920,  1260,  3298,
   72486, -4737, 40748,  1818, 54159, 72486, 72486,  3066, -4737,  3283,
   -4737, 95157, -4737,  2874, -4737, 94724, 90813, -4737, -4737,   977,
   -4737,   914, 54159, -4737, 72486, 72486, -4737, 51030, 54159, 72486,
   72486, -4737, 54159, 72486, 72486, -4737, -4737, -4737, -4737, -4737,
   49689,  1080, 62205,  3003, 61311, -4737, -4737,  2879, 72486,  2937,
    3139,  3142,   -11, -4737, -4737, 87237, -4737,  3090, 54159, 72486,
   72486, 29361,  3092, 72486, 72486, -4737,   464,  2964,  2967, -4737,
   72486,  2968,  3117, 58629,  2884, 72486, 72486, 94291,  2965,   741,
   58629,  2934, 45246, 72486, 72486, 72486, 72486,  3021,  3201, 94291,
   72486,  3152,  1184, 67122,   186,  2010,  2607,  3105, -4737,  3219,
    1316, -4737, 54159, -4737, 72486,  3101, -4737, -4737, -4737, 71145,
    3326,  3012, -4737, -4737, 87684, -4737, -4737, -4737,  1830, -4737,
   54159, 54159, 72486,  7476, 88131,  1147,  3123, -4737, -4737, 94291,
   -4737, 72486, 72486, 72486,  3228,  3156, 72486, 64440, 88578, 89025,
     987,  1133,  3159, 72486, 64887,  3160, -4737,  3045, 72486, -4737,
   -4737, 51477, 54159, 72486,   719, 51030, -4737, -4737, 72486, -4737,
    3120,   828, -4737, 72486,  6553, -4737, -4737,  2996,  3006, 72486,
    3122,   379,  2155,  2607, 72486, 72486,  2916,  1836, 54159, 72486,
   51030, -4737,  3124,  1194, 67122, 67122, 54159, 72486, 67122, -4737,
   72486, -4737, 54159,  1063, -4737,  3073, 54159, 72486,  8092, -4737,
   -4737, -4737,   349, -4737, -4737, -4737, -4737, -4737, 72486, 72486,
     349, 72486, 72486,   349,  1405, -4737, 54159, 72486, -4737, -4737,
   -4737, 54159, 72486, 72486, -4737, 54159,  2788, 72486, 51030, -4737,
   72486,  7064, 72486, 72486, 72486, 72486, 72486, 72486, 54159, 72486,
   -4737, -4737,   975,  1462,  1689,  1715,   223, 72486,  3210, 72486,
   89472, 54159, 72486, 72486,   427, 72486,  1671, -4737,  3048, -4737,
   54159,  1063,  8455, 72486, 72486,  3008,  3009,   182,  3099, -4737,
   -4737, -4737, -4737, -4737, -4737,   875,  3363, 89919,   875, -4737,
     875,  3200,  2999,  3001,   875, 72486, 72486, -4737, -4737, -4737,
   -4737,  3195, 72486,   875,   875,   875,  3110,  3151,   770,  3230,
    2972,  1846, -4737, -4737, 29361, 94291, 72486, -4737,  1847, -4737,
    2979,   930, -4737, -4737, 51030, 72486,   211,   138,  3271,  3161,
   60417,  1015,  3263, 72486,  3013, 72486,  3401,  3060, 67122,  2345,
   -4737,  1015, 72486, -4737,  1252, 62205, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, 72486, -4737, -4737,  3281, 72486, 29361,  3145,
   -4737,   427,  2345,  2345,  2345,  2345, -4737, -4737, -4737, -4737,
    3180,  1880, -4737,  2988,  2345, 72486,  3096,  3300,  1015,  2989,
    3313, -4737,  3269,  3315,   714, 72486,  3202, 60417,  1921,  3033,
    3216,  3438,  1874,   427,  3223,  3209, -4737, 25679,  6746,  3212,
    3264, 57735,  3303,  3304,  3327, -4737,   144, -4737,  3448, -4737,
   29361,  1853,  3018,   192, -4737, -4737,  3022,  2803,  3038,  3039,
    3023,  3024, -4737,  2302,   195,  3028,   882,   614,  3158,  2302,
    3249,  3030, -4737,   231, -4737,  2403, -4737, 72486, -4737, 72486,
   72486, 72486, 72486,   232, -4737, -4737,  2403,   488, -4737,  3287,
     192,  2403,  3162,  3348, 57735, -4737,   276, -4737,   284, -4737,
    3240,   488, -4737,  3258,  1874, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737,  1854, -4737, 72486, -4737,  3328,  3330,  3331,
    3042,  3049,  3088, 72486,  3050,  3042,   349,  3042,  2524,  2524,
    3042,  3049, 53712,  3499,  3354, -4737,  3146,  3072,  3375,   190,
   -4737,   191,    50,  3302, -4737, -4737, -4737, -4737, 94291, -4737,
   54159,  3113, 72486, 72486, -4737,   131,  3278,  3075, 53712,  3493,
     488, -4737, 58629, -4737, -4737, 94291,  3163,  3172, 58629,  3291,
    3130, -4737, -4737, -4737, -4737, -4737, -4737, -4737, 94291, -4737,
    3341, 72486, 72486,  1859, -4737, -4737,  1744, -4737,  1758, 29361,
     197, -4737, 13297,  1860, 29361,  3091,  3095, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737,  3097,  3392, -4737,  1864,  1865,  1871,
    3098,  3100,  5540,  3102, 13801,  3103,  3093, 33537, 33537, 26113,
     852, -4737, 33537,  3104,  3280,  1893, 12199,  3106,  3107, 13846,
   28433, 29361, 28433, 28433, 14413,  3106,  3108,  1909, 51030,  3275,
   14622,  1924, -4737, 29361, 51030,  6243, 29361, -4737, 29361,  3112,
   -4737, -4737,  2834,  2834,  2834,  4602, -4737,  3128, -4737, 33537,
   33537, -4737,  1911, 26113, -4737, -4737,  3404, -4737, -4737,  1497,
   -4737,  3115, -4737, -4737,  2130, 44798, 10546, 29361,   257, 29361,
    2839, 29361,  3185,  2834,  2834,  2834,   455,   455,   224,   224,
     224,  1691,   450, -4737, -4737, -4737,  3134,  3135,  3137,  3307,
    3144, 29361, -4737,  2054,  2178, 72486,  2656,  2997,  4161, -4737,
   -4737, -4737, 36705,  3173, 29361, 29361, 29361,  3150, -4737,  2507,
   15231,   705, -4737,   260,  3173, -4737,  1095,  2302,   876, 49242,
   -4737, -4737, 29361, -4737, -4737, -4737,  2117, -4737, -4737, -4737,
   15231, -4737,  1440, 29361, -4737, -4737,   773,  3154, 29361,  1947,
   -4737, -4737,  3176, -4737, 29361, -4737, -4737, -4737,  2524, -4737,
    3355, -4737, -4737, -4737, 36705,  3181,  3170,  1205, 39849,  3322,
   -4737, 72486, -4737, 72486,   140, -4737,  3147, -4737, -4737, -4737,
   -4737, -4737, -4737, 90813,  1801, -4737, 94724, -4737, 94724, -4737,
    1801,  3553, -4737, 90813,  1720, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, 54159, 54159,
    3347, 72486,  3349,  3356, 29361,   874, 72486,  3168,  3171,  1325,
    3433, 72486, -4737,  3479,   488, -4737, -4737,  3241, -4737, 15231,
   -4737, -4737, -4737, -4737, -4737, 54159, 72486, -4737, 57735, -4737,
   72486, -4737, 94291, -4737, -4737, -4737, 72486,  3205, 72486, -4737,
   72486, 72486, 72486, -4737, -4737, -4737, -4737, -4737,   971, 94291,
   -4737, -4737, 72486, 72486,   145,  3248,  3254, 72486, -4737,  1127,
    2843,  8582, 72486, 72486, 72486,  3431, 72486, -4737, -4737, -4737,
   -4737,  3380, -4737, -4737, 90813, -4737,  2403,  1315,  3256,  2607,
    3393, -4737,  3500,  3377, -4737,  1361, -4737, 72486,  3308, -4737,
   -4737, -4737, -4737,  3506,   488,  3509,   488, 72486, 72486, 72486,
   72486,  3314, -4737, -4737, -4737, -4737,  3316,  3439, -4737, 51030,
   51030, 51030,  1925, -4737, -4737,   427, -4737, -4737, -4737, -4737,
   -4737, -4737,  3470, -4737,  1926, -4737,  1173, -4737, -4737, -4737,
   -4737, -4737, -4737, 54159, 72486,  9019,  3513, 72486, 72486, 72486,
    1844, -4737,   980, 94291, -4737, 92559, -4737, -4737,  1930, -4737,
    3206, 72486,  3276, 54159,  3252,  3197,  3197, -4737, -4737,  3197,
   -4737, -4737, -4737,  3443,  3383, -4737,   985,  3385, 54159,  3267,
   -4737,  3292, -4737, -4737,  3294,  2406,  2607,  3269, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737,  1025, -4737, -4737,  1376,   415,  2612,  2607,
   -4737,  3521, -4737,  3296, -4737,  3297, -4737, -4737, -4737,  3453,
    3458,  3460,  3306,  3310,  3358,  3311,  3318,  3359, -4737,  3319,
    3364,  3323,  3366,  3445,  3332,   488, 94291,  3462,   427,  3365,
    3570,   488, -4737,  3334, -4737,  3335, -4737,  3675, -4737, 72486,
   -4737,  3338,  2675,  2607, -4737, -4737, 54159, 72486, -4737, -4737,
   -4737, -4737, -4737, -4737, 94291, 72486,  3520, -4737, -4737,   875,
   72486, 72486, -4737,  3523,  3527, 72486,  3528, -4737, -4737, -4737,
   -4737,   221, -4737, -4737, -4737,  3110,  3554, 42098, -4737,  3732,
    7642,  3277,   120, -4737, 51030, 42098,  1888,  1964,   414,  1619,
   -4737, 57735, 72486, 57735, -4737,   138,  3377, 72486, 72486, 72486,
    3279,  3284, -4737, -4737, -4737, -4737, 54159,   671, 54159,  2302,
   -4737, -4737,  3352, -4737, 72486,  1874,  3747,  3598, -4737,  3197,
   -4737,  3713,  2779,   286,  3437,  1707,  2426,  3656,  2117,   159,
   51030,  3033, -4737, -4737, -4737, -4737, 72486, 72486,   930,   427,
   -4737,  3295,  3293, -4737, 72486,  3604, 72486, 72486, 72486, 72486,
    3113,  3299, 72486,  3305, 94291,    64,  3507,  3498,  2609,  3735,
    3631,  1440,  3033,  3390,  3634, 72486, -4737,  1932,   116, -4737,
     427, 57735, 91693,  3623, -4737,  5860, -4737, -4737,   978, 72486,
    3610, -4737, -4737,  1440, -4737, 94291,  1934, -4737, -4737, -4737,
    2302, -4737, -4737,  1681,  1681,  3333, -4737,  3337, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737,  3340, -4737, -4737, -4737,   276,
    3389,   488,  3395,   488, -4737, -4737, 72486, -4737, 72486, 53265,
     488, -4737, -4737, 72486, -4737,  3648, -4737, -4737,  3459,  3472,
    3475, 72486,  3042, -4737,  3342, 54159,  1410, -4737, -4737,  3545,
   -4737, -4737, 67122,  3469, -4737, -4737, -4737, -4737,  3673,  3674,
   -4737, -4737, -4737,   226, -4737, -4737, -4737, 54159, 62652,   303,
   54159, -4737,  3613,  3614, -4737, -4737,  3615,   349, -4737,  3616,
   -4737,  3617,  3618, -4737, -4737, -4737,  3361, 14552, 29361, -4737,
    3690, 94291, -4737,  7676, -4737, -4737, -4737, 29361, -4737, -4737,
   -4737, -4737, -4737, 29361, -4737, 29361,  3668, -4737, 23881,  3820,
    3820,  3362, 94291, 33537, 33537, 33537, 33537,  1732,  2481, 33537,
   33537, 33537, 33537, 33537, 33537, 33537, 33537, 33537, 34001,   462,
   -4737,  3556, 29361, 29361,  3677,  3668, -4737, 94291,  3368,  3106,
    3369,  3370, 29361, -4737, -4737,  1936, 34908,  3379, 51030, -4737,
   29361, 12416,  1943,  3421, 14933,  1222,  7803,   427, 29361,  2498,
    2724, 29361,  1954, 29361,  3685, -4737, -4737, -4737,  3382, -4737,
   -4737, 94291, 29361,  3384,  4068, 33537, 33537,  4379, -4737,  4436,
   29361, 26113, -4737,  3577,  3424, 41197, -4737, 24346,  3386,   560,
     560,   560,   560, -4737, 72486, 72486, 72486, 37154,  3691,  3388,
   36255, 71592,  3387,  1406, -4737, 71592, 72039, 71592, -4737,  3400,
   -4737,  3394,  1222, 29361,  3684,   750,   750,  3577, -4737, 29361,
   29361, 28897,  3391, -4737,  3684,   278,  3396, -4737, -4737, 15231,
    3399, -4737,  3398, -4737,  3402, -4737,  3154,  1204, -4737,  8012,
    3592, -4737, -4737, -4737,  3387, 29825,  3536, -4737, -4737, -4737,
    3451,  1961, -4737, -4737,  3786,  3536, -4737, -4737,  1975, 40748,
    3181, 29361,  1222,  1979,  1792, -4737, -4737, 90813, -4737,  3473,
    2403,  2403,  1489,  3042,  3712,  1489,  8227, -4737, -4737, 37603,
   72486, 72486, -4737, 72486,  1981,  1525, 72486, -4737, 72486, -4737,
   -4737, -4737, -4737,  3836, -4737, 72486, -4737, -4737,  3463,  3464,
   72486, 72486, 72486, 72486,  3660, -4737, -4737,  2177, -4737, -4737,
   54159, 72486, -4737, -4737, -4737,   431,  2795,  2607, -4737,  3489,
   -4737, -4737, -4737,  3681, -4737,  3825,  3501, 72486,  3734, 72486,
    3415, -4737,  1525,  3716,  1522,  2609,   353,  4762, -4737,    87,
   -4737, -4737,  3486, -4737, -4737, 72486, -4737, 72486, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737,  3543, -4737, -4737, -4737, -4737,
   51477, -4737, -4737, 72486, -4737, 51030, 42098, 51030, -4737,  1443,
     454,  2837,  2607, 72486, -4737,  3505, -4737,  3512,  3514,  3551,
    1054,   202,  3515,  3516,  3552,  3441,  3442,  3444, -4737, 51030,
   42558,  3582, 72486,  2403,  3446,  3476,   313,   427, -4737, -4737,
     427,  2403,   427, 72486, 72486, 72486, 51030, -4737,  3851,  3531,
   72486, 72486, 72486, 72486,  3503, -4737, 72486, 72486,  3757,   998,
    1971, 54159, 72486, 72486, 54159, 72486, 72486, 72486, 72486, 72486,
   72486,  3769, 72486, -4737,  3849,  3776,  2113,  3821,  3529, 72486,
   -4737, 72486,   427,  2843, 72486, 72486, -4737, -4737,  3466,  3728,
     875, -4737,  3729,  3730,   875,   875,  3731,   875, -4737, -4737,
    1619, -4737,   221, 72486, -4737,  3402,   418,  2090, -4737, -4737,
   -4737, -4737, -4737, -4737,  2972, -4737, -4737,  2247, 72486, -4737,
   -4737, -4737, 72486,  3482, 72486, 72486, 33537, -4737,  1790,  1523,
     918, -4737,  3739, 72486,  2788, -4737, -4737, -4737,  3649, 72486,
   -4737, -4737, -4737, -4737, -4737,    40,  3299, -4737,  3760, 60417,
    2403, 54159, 54159,  2403, -4737, 94291,  3487,  3033, -4737,   445,
    3565, 54159,   286,  1043, 90366,  2789,  3522,  3688, 36705,  1025,
   -4737,  3488,  3643, -4737,  3490,  3494, -4737, -4737, 72486,  3377,
   53265,  1990,  3269,  3925,   755,  1841, -4737, 61758,  3678,  3299,
    3760, -4737, -4737, -4737,  3890,  3590, -4737,  1440, 72486,  3113,
    3590,   427, 72486,  2937, -4737, 90813, 29361, 29361, -4737,  3508,
   -4737,  3504,  6755, -4737,  3576,  3510, -4737, -4737, -4737, -4737,
   -4737, -4737,  3588,  3517, 72486, -4737,  3519, -4737,  3511, -4737,
   -4737, -4737, -4737, -4737, -4737, 72486, -4737, 72486, -4737,   488,
   -4737,  3636, -4737,   488, 72486, 72486, 72486, 72486,  3042,   349,
   -4737,  3816, 53712, -4737, -4737,  1991, 72486, -4737, -4737, -4737,
    3883,   333,  3826, -4737, -4737,  1027,  1027,  1027,  3783,  1027,
    1027,  1027, -4737, 29361, 15231, -4737,  3524, -4737, 15231,  8300,
   15231,  3677, -4737,  1999, 29361, -4737,  3136,  3136,  3136,  3907,
    3828, -4737,   996,  3526,  3136,  3136,  3136,   429,   429,   273,
     273,   273,  3820,   462, 15231, 15231, -4737, -4737,  3530, -4737,
   -4737, -4737,  3106, -4737, 30289,  3683,  3942, -4737, -4737, -4737,
    3569,  3571,  3532, -4737, 29361, 30753,  3533, 95157,  3723, -4737,
     378, 29361, 29361,  2794, -4737, 15250, 29361, 94291,  2020,  2794,
     293, 29361,  3436,  3485, 29361, 29361,  4575,  8778,  3534, 29361,
   91246, -4737, -4737, -4737,  2022, 29361, 72486, 72486, 72486, 72486,
   -4737, -4737, -4737, 71592, 72039, 71592,  3538, 35357, 24796,  1406,
    3539, 72486, -4737, -4737,  3542, 36705,  3801,  3736, -4737, 36705,
    3736,  1740,  3736,  3803,  3640, 41646, -4737, -4737,  3555, -4737,
    3750, -4737, 22486,  1771, 15231,  3967,  3857, 29361,  3567,  3573,
    3574, 15231, 15231, 29361, -4737,   427,  3857,   427, -4737, -4737,
   44798, -4737, -4737, -4737, -4737, -4737,  3771, 15231, 27505, -4737,
    1440,  1422, 72486,  1222,    49, -4737,  3583, 72486, -4737,  3536,
   15231, -4737,  3645,  2026, -4737, -4737, -4737, -4737, -4737, -4737,
    3650, 62205,  3881, -4737, 29361,  2027, -4737,  3624,  3973,   173,
    2032,  2033,  1525, -4737,  2788, -4737,  1565,  3865,   388, -4737,
     488, -4737, 94291, -4737, 72486, 72486, -4737, -4737, -4737, -4737,
   72486,  2557, -4737, -4737, 72486, 72486, 72486, 72486, -4737, 54159,
   72486, -4737, 72486, -4737, 51030,  1964,  1790,  3878,  3804, -4737,
     349, -4737,  1790,  3805,   313, 72486, -4737, -4737,  2728, -4737,
   94291,   488,   488, -4737, -4737, -4737, -4737, -4737,  3608,  4006,
    3689, 72486, 72486, 72486, -4737, 72486, 54159, 72486, 72486,  2302,
    2302, 94291,  3594, -4737,  2302,  2302,  3597, -4737, 54159, 72486,
   72486, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737,  3682, -4737, 29361,  4005, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737, 54159, 72486,  3686, -4737,  3687,
   -4737,  1894, -4737, -4737, 72486, 72486, 72486, 72486,  3926, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737, 72486,
   -4737, 72486, -4737, -4737,   427,   427, 94291,   488,   488, -4737,
   -4737, -4737, -4737,  3866,   875, -4737,   875,   875, -4737, -4737,
     875, -4737,  3609,   155, -4737,  1525,  1872,  3913, -4737,  3916,
   29361, -4737,  1254,  3907, -4737,  3969,  4046, -4737, -4737, -4737,
   -4737,  2788,  1874,  3672, 58629,   347, -4737,  3899,   211,  3827,
   60417,  3521,   267,  3621,  3743, -4737,  2403,  2403,  3680, 72486,
    4056, -4737, -4737, -4737, -4737, -4737, -4737, 54159,  3252, -4737,
    3841,   929,  3934, 72486, 29361,  3387, -4737,   165,  3937, -4737,
     427, -4737, -4737,  3749,  3033, -4737,  1440, 72486,  3837, 60417,
    3113,  2034, -4737, -4737, -4737,  3670,  4044,  1921, -4737,  3521,
    3678,   897, 72486, -4737,  3671,  4066, -4737, -4737,  3944,  3843,
    3641, -4737, 15231, 15231,   427, 95590,  5860, 94291,  3953, 72486,
     771,  3919,   488, -4737,   488,   488, -4737, 72486, -4737,  3042,
    3042,  3042, -4737,  3845, -4737, -4737,  3912, -4737,   488, 53712,
   -4737, -4737, -4737, -4737, -4737,  1027, -4737, -4737, -4737, 15231,
   -4737, -4737, -4737, -4737,  8933, 33537,  3955, -4737,  3652, 94291,
   -4737,  3653,  2061,  2065, 34459,  3810, -4737, -4737, -4737,  9020,
    3707, 15231,  3761,  3657,  3659,  2794,  2794, 15250,  2069, -4737,
    2794, 29361, 29361,  2794,  2794, 29361, -4737, -4737,  9175,  3842,
   -4737, -4737,  9745, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
   51924,  3663,  3275, 71592,  3664, 72486,  1406, 36705, -4737, -4737,
    1636, -4737, 36705,  3923, -4737, 36705, 58629, -4737, 72486,  3667,
   72486, -4737,   705, 31217, 29361,  3706, -4737, -4737, -4737,  3577,
   -4737,  3706, -4737,  3669, 72486,  2523, -4737,  1205, -4737, -4737,
    4052, 37603,  4014, 29361, -4737, -4737, -4737, -4737, 53712,  3871,
   53712,  1525,  9780,  2788, 37603, 45694, 72486, 72486, 72486,  3830,
    2788,  3672, -4737, -4737, -4737, -4737, -4737, -4737,  3676, -4737,
   -4737, -4737, -4737,  3762, -4737, -4737,    -3,  3027, -4737,  2070,
   -4737,  4109,  4003, -4737, -4737, -4737, -4737, -4737, -4737,  3849,
   -4737, -4737, 42098, 54159, 72486, -4737,  3763, -4737, -4737, -4737,
   -4737, -4737, 39400, 44798, -4737,  1054,  3697,  3698,   202, -4737,
   -4737, -4737, 72486, 10044,  3699,   585,  3027, 72486, 72486,  3700,
    3701,  1492,  1141,  1649,  3042,  3998, -4737, -4737, -4737, -4737,
    3849, -4737, -4737,   875, -4737, -4737, -4737, -4737, 51030, -4737,
    2388, -4737,  1619,  4054, 58629,  4141,  4141, 72486, -4737, 10329,
    3921, -4737, -4737,  4001,  3672,  3949,  3996, -4737,  3719, 72486,
    3885,  3721, 72486,  3722,  3844,   933,   933, 72486, 72486, 72486,
    2075,  1440,  2403,  3476,   286,  4043, 60417,  4087,  3377,   174,
   -4737, -4737,   165, -4737,    71,  4061,  3768, -4737, 72486,  4159,
    3113,  3299, 72486,  3733, -4737, -4737, 61758,  3927,  1964, 96023,
    3498,  3678,  1921,  3863, -4737,  3868, -4737,  1309, -4737,  1440,
   72486, 72486, 37603, -4737, 94724, -4737,  2080, -4737, -4737, -4737,
    3811,  3173,  3838,  3847,  3742, 72486,    78, -4737, -4737, -4737,
   -4737, -4737, 72486, -4737,   303, -4737, -4737,  4493, 33537, 94291,
    2081, 29361, -4737, 29361, -4737,  4149, -4737, -4737, -4737,   617,
   -4737, -4737, -4737,  2794,  2794,  2794, -4737,  4160,  3577, -4737,
   -4737,  2085,  4180, 32609,  4144, -4737, 72486,  2092, -4737, 29361,
    3754, -4737, -4737, 36705,  1636,  3759,  2097, 72486,  2101, 94291,
    3756,  3764,   623,  3765, 22951,  3758, -4737, -4737, -4737, -4737,
   -4737, 15231, 15231, 72486, -4737,  3766, -4737, -4737, -4737,  3812,
   72486,  2102, -4737,   811, 15231,  1410,  1489,   303,  3973,  3672,
   -4737,  3770, -4737, -4737, -4737,   344,   344, 72486,  3672, -4737,
   -4737, 72486,  3853, -4737, -4737, 51030,  4048, -4737,  3829, -4737,
     734,  3027, 72486, 94291, -4737,    65,  4078, -4737, 94291, 94291,
   -4737, -4737, -4737, 29361,  3858, -4737, -4737, -4737,   397,   503,
   -4737, -4737, 72486, 72486, 72486, 72486, 72486,   488, -4737,  2103,
   -4737, 38501, -4737, -4737,  2768,   427,  2768,  1611, -4737, -4737,
    2768, -4737,  2768, -4737,  3609,   427,  4141,   890, -4737, -4737,
   -4737,  1687,  3989,  3774, -4737,   730,  3978,  3873,  3778, -4737,
   58629,  4245,  3299,  3760, 72486, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737,  2115,  3377,  4103,  3033,  3671, -4737,
   72486,  3822, -4737, 36705, -4737, -4737, -4737,  2768, -4737,  1104,
    3790,  4115,  3377,  1440, -4737,  3678,  3299,  3760, -4737, -4737,
   -4737,  3794, -4737,  3590,  1921,  3498, -4737, -4737,  4196,  3993,
    4198,  3113, -4737,  2937,  2129, -4737,  6755, 95590, 94291,  4139,
    3840,  3848, -4737, -4737,  3852, 72486, -4737, -4737,  3377, -4737,
    4493,  2131, -4737,  2133,  2145,  3956,  3855, -4737, 29361,  1708,
    3400, 51924,  3806, -4737, 33537,  2146, -4737,  4011, 72486,  2153,
   -4737, 15231, 72486, -4737, -4737, 29361, -4737,  2157, -4737, -4737,
   29361,  3807, 29361, -4737, 31217,  3814, -4737,  4236, -4737,  1440,
   -4737,  3173, 37603, -4737,  3933, -4737,  4112, -4737, 72486,  3859,
   44798,  3154,  3154,  1874, -4737,  1525, -4737, 72486, -4737,  3774,
   29361, -4737,  3908, -4737, -4737,  2162,  1415,  3977,  3977,  2163,
    2168, 10375, 72486, -4737, -4737, -4737,  2179, -4737, -4737, -4737,
   -4737,  2184,  3049,  1649,  3049, -4737,  3042, -4737, -4737, 51030,
   -4737, 52371, -4737, -4737, -4737,   427, -4737,   427,  4032, 72486,
   47035,   427,   427, -4737, -4737, -4737, -4737, -4737,  4163,  4100,
   -4737,  3269, -4737, -4737, -4737, -4737,   189, -4737,  4030,  4036,
   72486, -4737,  3832, -4737,  2188,  3521,  3957,  3377, -4737, -4737,
   72486,  4270,  4271, -4737,   989, 72486,  3387, 72486, -4737, -4737,
   -4737, 29361,  4007, -4737,  3671,  1921,  3521,  3678,  1964, 38052,
   -4737,  3498,  3590,  4040, -4737,  4041, -4737,  3846,  3033,  5860,
   -4737, -4737,   312,  4147,  4150, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737,  3106, 31681, 31681,  3850, -4737, -4737, 72486,
    3907,  3854, 32609, 51030,  2192, -4737, 92992, -4737,  2203,  2207,
   -4737,  2228, 31217,  2232, -4737, 72486,  3856, -4737, -4737, -4737,
   40748, 53712,   344,  3860, -4737,  3861, -4737, -4737,  3949,  1525,
    3027, -4737, 15231, 72486, 58629,  4263, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737,  3027,  3940,   397, -4737,   503, 72486, -4737,
   -4737,  2233, -4737, -4737, -4737, 72486,  3488, -4737,  3488, -4737,
   -4737,  3999, -4737,  2560,   230,   230,  4205, -4737,  3922, -4737,
   -4737,  3867, -4737,  4328,  3992, 72486, -4737, -4737,  1054,  1440,
   60417,  3377, -4737, -4737, 10807, 58629, -4737,  3498,  3678,  1921,
   29361,  2238, -4737,  3973,   173,  3590, -4737, -4737, -4737, 37603,
    3590, -4737, -4737, -4737,  2011, 58629, 58629, 33073,  4008,   185,
   12905, -4737, -4737, -4737, -4737,  2239, 34459, -4737, -4737, -4737,
   72486,  4069,   988, -4737,  4020, -4737,  2240, -4737, -4737, -4737,
    1183,   303,  3154, 29361,  1525, -4737,  3978, -4737,  3027, -4737,
   72486, -4737,  3875, -4737, -4737, -4737, -4737, 52371,  3488,  3768,
   -4737, -4737,  4322, -4737,  1237, -4737, -4737, -4737, -4737, 72486,
    3377,  3594,  3671, -4737, -4737,  3880,  3590,  1921,  3498, 11018,
   -4737, 38052, 72486, 72486, -4737,  2244,  3173, -4737,  2533, -4737,
   -4737, -4737, -4737, -4737, -4737, -4737,  3874,  3882,  4316, -4737,
   -4737, -4737, -4737, -4737, -4737,  3275, -4737, -4737, 33537, 33537,
    4094, -4737,   988, -4737,  3888, -4737, -4737, -4737, -4737, -4737,
   11442, -4737, -4737, -4737,   397, -4737,  4211, -4737, -4737, -4737,
    3377, -4737, -4737, 50583, -4737,  3498,  3590,  3973, -4737, -4737,
   -4737,  3033, -4737,  2107, -4737, -4737,  2216,  2186,  3970,  4194,
   32145,  4284,  3907,  3907, -4737, -4737, 29361, -4737,  1525,  2245,
    4058, -4737, -4737,  2254, -4737, -4737, -4737, -4737,  3590, -4737,
   72486,  3590, -4737,  2533,  4013,  4016, -4737, 72486, 11709, -4737,
   58629, -4737, 50583, -4737, -4737,  3173, -4737,  3945,  3950,  2255,
   -4737,  3905, -4737, -4737,  4214,  4216, -4737, 50583, 58629, 58629,
    2256, -4737, -4737, -4737
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1619,  1402,   619,  1488,  1487,  1402,   256,     0,  1490,     0,
    1402,   416,  1094,     0,     0,     0,     0,   619,  1402,     0,
    1619,     0,     0,     0,     0,     0,  1632,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1402,     0,     0,  1639,
       0,     0,     0,     0,  1632,     0,  1492,     0,     0,     0,
       0,     0,     2,     4,    73,    74,    31,    30,    37,    36,
      94,    95,    56,    18,    85,    64,   129,   128,   130,    43,
      39,    81,    26,    28,    40,    44,    66,    68,    46,    57,
     107,    65,    24,    63,    89,    69,    92,    51,    12,    13,
      52,    14,    53,    15,    54,    16,   103,    75,    96,    35,
      62,    23,    45,    71,    72,     5,    47,    83,    79,    11,
      58,    59,    61,    86,    87,    88,   112,    90,   124,    42,
     121,   100,   101,   118,   102,   119,     9,   104,    55,    17,
     115,   114,   116,    82,    48,    84,    70,    93,   113,    27,
     117,    19,    20,    22,    21,    60,    29,    67,    32,    91,
     120,   110,   106,   125,   123,   131,   108,    76,     7,     8,
      97,     6,    25,    50,    10,    34,    33,    49,    41,   127,
      38,  1490,    99,   111,    98,    77,   105,    80,   109,   126,
      78,   122,  1592,  1591,  1641,  1595,  1618,     0,  1607,  1401,
    1400,  1386,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   618,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1412,  2213,  2228,  2229,
    2230,  2231,  2232,  2233,  2234,  2235,   387,  2236,  2237,  2238,
    2239,  2240,  2241,  2242,  2243,  2244,  2245,  2246,  2510,  2511,
    2512,  2513,  2247,  2248,  2249,  2250,  2251,  2252,  2253,  2514,
    2515,  2254,  2255,  2256,  2257,  2258,  2516,  2259,  2260,  2261,
    2262,  2263,  2264,  2265,  2266,  2267,  2268,  2269,  2270,  2271,
    2272,  2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,
    2517,  2518,  2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,
    2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,
    2300,  2301,  2302,  2303,  2304,  2305,  2306,  2307,  2308,  2519,
    2309,  2310,  2311,  2520,  2312,  2313,  2314,  2521,  2315,  2316,
    2317,  2318,  2319,  2320,  2321,  2322,  2522,  2523,  2323,  2324,
    2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,
    2335,  2336,  2337,  2338,  2339,  2524,  2340,  2341,  2342,  2343,
    2525,  2526,  2527,  2344,  2345,  2346,  2347,  2348,  2349,  2350,
    2351,  2528,  2352,  2353,  2354,  2355,  2356,  2357,  2358,  2359,
    2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,
    2370,  2371,  2529,  2530,  2372,  2373,  2374,  2531,  2375,  2376,
    2377,  2532,  2378,  2533,  2379,  2380,  2381,  2382,  2383,  2384,
    2385,  2386,  2387,  2534,  2388,  2535,  2389,  2390,  2391,  2392,
    2393,  2394,  2395,  2396,  2397,  2398,  2399,  2536,  2400,  2537,
    2403,  2401,  2402,  2404,  2405,  2406,  2407,  2408,  2409,  2410,
    2411,  2412,  2538,  2413,  2414,  2415,  2416,  2417,  2418,  2419,
    2420,  2421,  2422,  2423,  2424,  2425,  2426,  2427,  2428,  2429,
    2430,  2431,  2432,  2433,  2539,  2434,  2435,  2436,  2437,  2438,
    2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,  2447,  2448,
    2449,  2540,  2450,  2451,  2452,  2453,  2541,  2454,  2455,  2456,
    2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,
    2542,  2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,  2543,
    2544,  2475,  2476,  2545,  2477,  2546,  2478,  2479,  2480,  2481,
    2482,  2483,  2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,
    2492,  2493,  2494,  2547,  2548,  2495,  2496,  2497,  2498,  2499,
    2500,  2501,  2502,  2503,  2504,  2505,  2506,  2549,  2550,  2551,
    2552,  2553,  2554,  2555,  2556,  2557,  2558,  2559,  2507,  2508,
    2509,   386,  1582,  2181,  2214,  2215,  1489,  1469,   619,     0,
    1389,   415,  1619,     0,     0,     0,     0,     0,     0,     0,
       0,   847,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   179,     0,     0,     0,     0,   441,
     440,     0,     0,     0,  1067,   446,     0,     0,     0,     0,
       0,   607,  1531,  2401,  1529,  1583,   257,   260,   261,   258,
     259,  2203,     0,  1189,  1190,  1192,     0,     0,     0,  1202,
     887,   888,     0,     0,     0,   896,     0,     0,     0,   885,
       0,     0,     0,   901,   898,     0,   902,   899,   882,   900,
     889,     0,   881,     0,     0,  1202,   903,     0,     0,   883,
       0,     0,     0,     0,  1390,  1528,   447,  1619,     0,  1506,
    1507,  1508,  1490,  1497,  1509,  1502,  1504,  1503,  1505,  1501,
    2202,  2229,  1007,  1007,  1007,  1007,  1004,  1005,  1007,  1007,
    1007,  2420,     0,     0,   986,     0,   988,  2204,  1007,  1012,
     507,   507,   507,     0,  1011,  1016,   507,     0,  1383,  1421,
    2186,  1631,     0,   987,  1382,  2475,  1520,     0,     0,  1217,
    1213,  1215,  1216,  1214,     0,     0,     0,  2436,  1394,   241,
    2447,  2543,  2475,   240,   235,   236,   209,  2233,     0,     0,
    1011,     0,  1391,  1392,   969,  1638,  1636,     0,  2168,  2252,
    2267,  2355,   232,  2431,  2437,  2447,  2543,  2475,  2506,   188,
     198,   193,     0,   250,  2447,  2543,  2475,   246,  1412,     0,
    1608,  1738,  2177,     0,  1385,  1384,  1491,     0,  1494,     0,
    2415,  1612,  1615,  1496,  1613,  1604,     0,     0,     1,  1619,
    1485,  1635,  1635,     0,  1635,     0,  1596,  1604,  1599,  1603,
       0,     0,     0,     0,  2213,  2560,  2561,  2562,  2563,  2564,
    2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,  2578,  2579,  2580,  2581,  2582,     0,     0,
       0,  2187,  2214,  2218,     0,   906,     0,  1424,  2182,  1053,
       0,     0,     0,     0,     0,     0,     0,  1103,  1102,  2219,
    2209,  2210,     0,  2207,  2208,  2220,  2221,  2222,     0,  2328,
       0,     0,     0,  2079,  2090,  2091,  2092,  2256,  2312,  2087,
    2088,  2089,  2081,  2082,  2083,  2084,  2085,  2086,     0,     0,
    1184,  2080,     0,  2328,     0,     0,   158,     0,   136,     0,
       0,  2328,     0,     0,     0,     0,     0,     0,     0,  2328,
       0,     0,     0,     0,     0,  2360,     0,   136,  2328,     0,
       0,  1406,     0,     0,     0,  1408,  1411,  1387,  1472,     0,
    2177,     0,     0,     0,   940,   933,     0,   941,   948,     0,
       0,   950,     0,     0,   934,     0,     0,     0,     0,   953,
     954,     0,   955,   935,   956,   936,   957,   937,   958,     0,
       0,     0,     0,   938,     0,     0,     0,  1398,     0,  1522,
    1524,  1523,  1521,   507,     0,     0,     0,     0,  2328,     0,
       0,   136,  1457,     0,  2328,   136,     0,     0,   445,   444,
     136,  2207,   443,   442,  2256,  2312,     0,  1093,     0,  1341,
     136,  2328,     0,   181,  2328,   691,  2328,  1496,     0,   622,
       0,     0,   802,  2360,   136,     0,     0,     0,     0,     0,
       0,  1070,     0,     0,     0,   606,   619,  1532,  1530,     0,
    1193,   234,   233,  1191,   894,  2328,  1135,   344,   344,     0,
       0,  2328,  1443,  2216,  1813,  1842,  1820,  1842,  1842,  1809,
    1809,  2296,  1822,  2328,  1810,  1811,  1847,     0,  1842,  1809,
    1814,     0,  1812,  1850,  1850,  1837,   344,   910,  1794,  1795,
    1796,  1797,  1823,  1824,  1798,  1829,  1830,  1834,  1799,  1864,
    1809,  2217,   895,     0,   886,  2328,   344,  1099,  2328,  2211,
     172,     0,   884,  2256,  2312,  2328,   344,  1186,     0,  2328,
     164,  2328,   344,  2328,   623,     0,     0,  2328,   344,  2328,
    2360,   166,     0,  2328,   344,   904,  2328,   344,  2179,  2328,
       0,     0,  1525,     0,  1499,  2547,  1514,     0,  1510,  1517,
    1513,  1619,  1007,  1006,     0,  1007,     0,  1007,     0,  1007,
       0,  1007,     0,     0,     0,  1007,  2205,  2206,   989,     0,
    1013,     0,     0,  1020,  1019,  1018,     0,     0,     0,  1021,
       0,  1742,  1559,     0,  1380,  1397,     0,     0,     0,  1070,
    1220,     0,  1218,  1209,  1210,  1393,   239,   237,     0,     0,
       0,     0,     0,     0,  1399,     0,     0,     0,     0,  2190,
    2192,  2193,  2093,  2163,     0,  2511,  2512,  2513,  2152,     0,
    2514,  2515,  2516,  2562,  1995,  1982,  1991,  1996,  1983,  1985,
    1992,  2517,  2518,  1930,  2519,  2520,  2200,  2521,  2522,  2523,
    2525,  2526,  2527,  2528,  1987,  1989,  2529,  2530,     0,  2201,
    2532,  2533,  2384,  2535,  2536,  2538,  2539,  1993,  2541,  2542,
    2543,  2544,  2545,  2546,  2199,     0,  1994,  2548,  2550,  2551,
    2552,  2553,  2555,  2556,  2557,  2558,     0,     0,     0,  2174,
       0,  1962,     0,  1802,  1803,  1825,  1826,  1804,  1831,  1832,
    1805,     0,  2173,  1867,  2044,  1961,  1978,     0,  1967,  1968,
       0,  1960,  1956,  1621,  2169,     0,  1957,  2189,  2191,  2153,
    1621,  2167,   201,   252,     0,   253,  2175,  2447,   189,   231,
     203,   230,   204,   202,     0,  2254,   190,     0,     0,   191,
       0,     0,     0,     0,   249,   247,     0,  1388,     0,  1740,
    1739,  2160,     0,  2161,  2178,   915,  1484,  1482,  1483,  1481,
       0,  1478,  1480,  1493,  1490,  2103,     0,  1614,     0,     0,
       0,  1594,  1593,     3,  1496,  1633,  1634,     0,     0,     0,
       0,     0,     0,     0,     0,  1687,  1649,  1650,  1652,  1684,
    1688,  1696,     0,  1600,     0,     0,  1744,     0,     0,     0,
       0,     0,     0,  1134,  2188,     0,     0,     0,     0,     0,
     907,     0,     0,     0,  1430,     0,  1432,  1433,  1434,     0,
       0,  1435,  1436,  1424,   243,  1442,  1440,  1423,  1425,  1438,
       0,     0,     0,     0,     0,     0,     0,  1449,     0,   170,
     171,     0,   635,   619,     0,  2328,     0,     0,     0,     0,
       0,  1142,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,  1143,  1141,  1144,   245,  1153,  1170,  1173,     0,  1101,
    1104,     0,     0,     0,     0,     0,  1275,     0,     0,     0,
    1275,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   268,   280,   339,   598,     0,     0,
       0,   601,     0,  2328,     0,     0,     0,     0,  1188,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   134,   135,   140,     0,     0,     0,     0,     0,
       0,     0,   584,   597,     0,     0,     0,     0,     0,   594,
       0,     0,   136,   272,   574,   580,     0,     0,     0,   698,
     697,     0,     0,     0,     0,  1357,  1356,     0,     0,     0,
       0,  1447,  1446,     0,     0,     0,     0,     0,  1275,     0,
     262,   264,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   379,   380,     0,
       0,     0,   140,   163,     0,     0,     0,   274,     0,     0,
    1407,  1404,  1405,     0,  1410,     0,  1468,     0,   947,     0,
       0,     0,     0,   949,     0,   942,     0,     0,   939,  2256,
    2312,     0,     0,     0,     0,     0,     0,     0,   952,     0,
       0,     0,   418,     0,     0,   799,     0,     0,     0,     0,
       0,     0,   810,     0,  1424,  1456,     0,     0,     0,   628,
       0,  2328,     0,   138,   848,     0,   800,   446,     0,     0,
       0,  1165,  1340,   138,     0,     0,   175,     0,     0,   695,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   740,
     739,     0,     0,     0,   801,     0,     0,   138,     0,  2328,
     577,  2328,     0,   507,   507,     0,     0,  1069,  1072,     0,
       0,     0,     0,  1586,  1588,  1587,     0,  1585,     0,   342,
     343,     0,  1176,   797,  1201,     0,     0,  1841,  1828,  1836,
    1835,     0,  1818,  1817,  1816,     0,  1815,     0,  1842,  1842,
    1840,  1819,  1794,     0,     0,     0,  1846,     0,  1844,     0,
     877,  1790,  1786,     0,  1853,  1854,  1855,  1852,  1865,  1851,
       0,  1800,  1856,  1809,  1806,   897,     0,     0,  1174,     0,
       0,  2328,   344,  2328,     0,  2328,     0,     0,     0,  1178,
     344,     0,     0,  1358,     0,   893,   891,   890,   892,     0,
       0,   875,     0,     0,     0,  2328,   344,     0,     0,   870,
       0,     0,   872,     0,     0,     0,     0,  1619,     0,   220,
     221,   219,  1515,   222,  1516,  1512,  1498,     0,   997,     0,
    1001,     0,   992,     0,   998,     0,   993,   990,   991,     0,
     996,     0,     0,   508,   510,     0,     0,  2279,  2295,     0,
    2318,  2348,  2349,  2437,  2443,     0,  2470,  2480,     0,  1022,
    1048,  1017,   709,     0,     0,  1569,  1381,  2110,     0,  1619,
       0,     0,     0,     0,   238,   210,     0,     0,     0,  1050,
    2436,  1396,   968,   619,     0,  1958,     0,  1965,  1966,  2151,
       0,     0,     0,     0,     0,     0,  1964,  2118,     0,     0,
       0,     0,     0,  1890,     0,     0,     0,  2131,     0,  2137,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,  1891,  1871,  1872,  1962,  2103,     0,  1963,  2196,     0,
    1864,  2172,  2093,     0,  2090,  2091,  2092,     0,     0,     0,
    2166,     0,  2101,     0,     0,  1905,  2099,  1907,     0,     0,
       0,     0,  2087,  2088,  2089,  2081,  2082,  2083,  2084,  2085,
    2086,  2097,  1887,     0,     0,  2046,     0,  1886,     0,     0,
    1700,     0,  2194,  2154,  1700,   254,   255,   251,     0,     0,
     206,   205,     0,   224,   228,   229,   200,   227,     0,   223,
     208,  2035,  2034,   207,   199,   196,   194,   211,   213,   214,
     197,   195,   248,     0,  2159,     0,  2223,  2583,  2584,  2585,
    2586,  2587,  2588,  2589,  2590,  2591,  2592,  2593,  2594,  2595,
    2596,  2597,  2598,  2599,  2600,  2601,  2602,  2603,  2604,  2605,
    2606,  2607,  2608,  2609,  2610,  2611,  2612,  2613,  2614,  2615,
    2616,  2617,  2618,  2619,  2620,  2621,  2622,  2623,  2624,  2625,
    2626,  2627,  2628,  2629,  2630,  2631,  2632,  2633,  2634,  2635,
    2636,  2637,  2638,  2639,  2640,  2641,  2642,  2643,  2644,  2645,
    2646,  2647,  2648,  2649,  2650,  2651,  2652,  2653,  2654,  2655,
    2656,  2657,  2658,  2659,  2156,  2155,  2184,  2224,  2225,  2226,
    2227,  2162,     0,     0,   344,  1476,     0,  1473,  1697,     0,
    1616,     0,     0,  1486,  1611,  1610,  1642,  1643,  1086,  1609,
    1667,  1668,  1663,     0,     0,     0,  1693,  1691,  1659,  1653,
    1658,  1656,     0,  1660,  1867,  1686,  1598,  1647,  1648,  1651,
    1597,     0,  1689,     0,  1572,  1687,  1652,  1556,     0,  1534,
       0,  1745,     0,     0,     0,     0,     0,  1114,  1116,     0,
    1115,     0,  1118,     0,  1127,     0,     0,  1113,  1132,     0,
    1121,  1119,     0,  1445,     0,     0,   908,     0,     0,     0,
       0,  1431,     0,     0,  2470,   242,  1434,  1439,  1426,  1437,
       0,     0,     0,     0,     0,  1052,  1051,     0,     0,  1074,
       0,     0,     0,  1452,   496,     0,   341,     0,     0,     0,
       0,     0,     0,     0,     0,   795,   792,     0,     0,   791,
       0,   633,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   671,     0,  1275,     0,   703,     0,  1151,     0,
       0,  1150,     0,  1154,     0,     0,  1152,  1147,  1148,  2437,
    2447,  2475,   244,  1172,     0,  1171,  1169,  1096,     0,  1097,
       0,     0,     0,     0,     0,  2305,  2328,   284,   303,     0,
    1274,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   326,     0,     0,   329,
     328,     0,     0,     0,     0,     0,   333,   312,     0,   313,
       0,     0,   332,     0,     0,   599,   600,     0,     0,     0,
       0,  1275,     0,   276,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,   726,     0,     0,     0,     0,     0,  1344,
       0,   161,     0,   157,   160,     0,     0,     0,     0,   582,
     583,   596,     0,   587,   588,   585,   589,   590,     0,     0,
       0,     0,     0,     0,     0,   581,     0,     0,   693,   692,
     696,     0,     0,     0,  1353,     0,  1165,     0,     0,  1352,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1222,  1221,     0,     0,     0,     0,     0,     0,   838,     0,
       0,     0,     0,     0,     0,     0,     0,   713,     0,   712,
       0,   162,     0,     0,     0,     0,     0,     0,     0,   218,
    1403,  1409,  1471,  2185,  1470,     0,     0,     0,     0,   951,
       0,     0,     0,     0,     0,     0,     0,   943,   944,   945,
     946,     0,     0,     0,     0,     0,   393,     0,     0,     0,
    2216,     0,   826,   798,     0,     0,     0,   812,     0,   815,
     818,     0,  1422,   465,     0,     0,   625,   671,     0,     0,
     449,   168,     0,     0,     0,     0,   728,     0,     0,     0,
    1339,   133,   179,   181,   447,     0,   180,   182,   184,   185,
     186,   183,   187,     0,   690,   694,     0,     0,     0,     0,
     621,     0,     0,     0,     0,     0,   741,   745,   744,   748,
     746,     0,   742,     0,     0,  1765,     0,     0,   156,     0,
       0,   572,   576,     0,     0,     0,     0,   449,   548,   355,
    2328,     0,   507,     0,  2328,     0,  1071,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,   344,  1136,     0,  1444,
       0,     0,     0,   344,  1839,  1838,  1791,  1787,     0,     0,
       0,     0,   911,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1807,   344,  1100,   173,  2212,     0,   879,     0,
       0,     0,     0,   344,  1187,   867,   165,   344,   624,     0,
     344,   167,     0,     0,     0,   616,   344,   905,   344,  2180,
       0,   344,  1527,  2328,   507,  1500,  1511,   994,  1003,  1002,
    1000,   999,   995,     0,  1014,     0,   506,     0,     0,     0,
    1028,  1029,     0,     0,  1027,  1030,     0,  1032,  1024,  1023,
    1033,  1034,     0,     0,  1050,   707,     0,     0,     0,     0,
    1566,     0,  1564,     0,  1743,  1568,  1557,  1519,     0,  1518,
       0,   565,     0,     0,  1219,     0,     0,  1011,     0,     0,
     344,  1395,     0,   970,   976,     0,     0,     0,     0,     0,
       0,   979,   980,   981,   972,   982,   973,   983,     0,   974,
       0,     0,     0,     0,  2164,  2114,     0,  2115,     0,     0,
    2150,  2146,     0,     0,     0,     0,     0,  2119,  2122,  2123,
    2124,  2121,  2125,  2120,     0,     0,  2126,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2539,     0,     0,     0,
       0,  1931,     0,     0,  2074,     0,  2103,  2136,     0,     0,
       0,     0,     0,     0,  2103,  2142,     0,     0,     0,     0,
    2033,     0,  2030,     0,     0,     0,     0,  2163,     0,     0,
    2197,  1868,  1882,  1883,  1884,  1888,  2171,     0,  2165,     0,
       0,  1869,  1896,     0,  2143,  1923,     0,  1928,  1911,     0,
    1904,     0,  1909,  1913,  1892,     0,  1889,     0,  2166,  2102,
       0,  2100,     0,  1879,  1880,  1881,  1873,  1874,  1875,  1876,
    1877,  1878,  1885,  2078,  2076,  2077,     0,     0,     0,  2054,
       0,     0,  1908,  2321,  2355,     0,  1632,  1632,  1632,  1620,
    1630,  2170,     0,  1760,     0,     0,     0,     0,  1970,     0,
    2107,  1641,  2105,  1119,  1760,  2176,     0,     0,  1864,     0,
    1741,  2157,  2160,   913,   914,   912,  1496,  1479,  1475,  1474,
    2104,  1495,  1619,     0,  1084,  1085,     0,  1089,     0,     0,
    1661,  1694,     0,  1685,     0,  1665,  1666,  1657,  1695,  1570,
       0,  1690,  1602,  1601,     0,  1763,     0,     0,     0,  1548,
    1536,     0,  1746,     0,  1700,  1574,     0,  2163,  1698,  1317,
    1223,  1282,  1117,     0,  1809,  1128,     0,  1112,     0,  1111,
    1809,     0,  1129,     0,  1809,  1318,  1224,  1283,   909,  1319,
    1225,  1284,  1320,  1226,  1441,  1429,  1428,  1427,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   776,  2328,   344,  1450,  1321,     0,  1227,   340,
    1451,  1285,  1455,   794,   793,     0,     0,  1286,     0,   634,
       0,   638,     0,   640,   641,   642,     0,     0,     0,   643,
       0,  2256,  2312,   645,   648,   655,   660,   650,     0,     0,
     662,   656,     0,     0,     0,     0,     0,     0,   668,   673,
       0,     0,     0,     0,     0,     0,     0,  1145,  1146,  1322,
    1230,     0,  1287,  1095,     0,  1231,   169,     0,     0,   269,
    2328,   286,     0,   675,   776,  1277,   310,     0,     0,   325,
     320,   321,   319,  2328,   344,  2328,   344,     0,     0,     0,
       0,     0,   322,   317,   318,   314,     0,     0,   327,  2232,
    2297,  2448,     0,   679,   681,     0,   686,   330,  1249,   351,
     350,   349,     0,   334,     0,   356,   359,   331,   308,   311,
     309,   305,   281,     0,     0,     0,     0,     0,     0,     0,
       0,  2183,     0,     0,  1180,     0,  1325,  1288,     0,  1308,
       0,     0,     0,     0,   720,  1345,  1347,  1337,  1237,  1346,
     159,  1264,   149,     0,     0,   145,     0,     0,     0,     0,
     139,     0,  1328,  1238,     0,     0,   273,   575,   586,   591,
    1243,   595,   592,  1298,   593,  1335,  1239,  1331,  1267,  1293,
    1338,  1354,  1240,  1165,  1349,  1351,     0,  1275,     0,   263,
     265,     0,   283,     0,  1241,     0,  1291,  1330,  1266,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,   344,     0,     0,     0,  1277,
    2328,   344,  1329,     0,  1272,     0,  1306,     0,   381,     0,
    1265,     0,     0,   275,  1245,  1300,     0,     0,   216,   215,
     217,   960,   920,   959,     0,  2295,     0,   919,   921,     0,
       0,     0,   922,     0,     0,     0,     0,   918,   916,   917,
     392,     0,   417,   390,   391,   393,     0,     0,   825,     0,
       0,     0,     0,   814,     0,     0,     0,  1448,     0,   136,
     632,     0,     0,     0,   627,   670,   675,     0,     0,     0,
       0,   448,   452,   456,   457,   458,     0,     0,     0,     0,
     150,   137,     0,   856,     0,   507,     0,   730,  1343,  1342,
    1164,     0,   181,   174,     0,     0,   691,     0,  1496,     0,
       0,   355,   809,   807,   806,   808,     0,     0,     0,   830,
     805,     0,  1764,  1766,     0,     0,     0,     0,     0,     0,
     565,   451,     0,     0,   510,     0,     0,   552,     0,     0,
       0,     0,   355,     0,     0,     0,  1106,     0,  1124,  1107,
       0,     0,     0,     0,  1158,  1165,  1159,  1137,     0,     0,
     604,  1589,  1590,     0,  1177,     0,     0,  1808,  1821,   878,
       0,  1849,  1848,  1850,  1850,     0,  1792,     0,  1833,  1858,
    1859,  1860,  1861,  1862,  1863,     0,  1857,  1801,  1175,   344,
       0,   344,     0,   344,  1179,  1359,     0,   876,     0,     0,
     344,   869,   871,     0,   873,     0,  1015,   509,     0,     0,
       0,     0,  1026,   602,  1031,     0,  1043,  1038,  1040,     0,
    1044,   706,     0,     0,  1567,  1560,  1562,  1561,     0,     0,
    1558,  2111,   868,     0,   571,  1211,  1212,     0,     0,   344,
       0,  1045,     0,     0,   977,   971,     0,     0,   975,     0,
     978,     0,     0,  1637,  2112,  2113,     0,     0,     0,  2147,
       0,     0,  2008,     0,  1984,  1986,  1998,     0,  2009,  1969,
    2010,  1988,  1990,     0,  2094,     0,     0,  1999,     0,  1933,
    1934,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1949,  1948,
    2000,  2073,     0,     0,  2134,  2135,  2001,     0,     0,  2141,
       0,     0,     0,  2006,  2011,     0,     0,     0,     0,  2017,
       0,  2038,     0,     0,     0,  1959,  2104,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,  1912,  1906,     0,  1910,
    1914,     0,     0,     0,  1900,     0,     0,  1898,  1924,  1894,
       0,     0,  1925,     0,     0,     0,  1977,     0,     0,  1632,
    1632,  1632,  1632,  1629,     0,     0,     0,     0,  2434,  2559,
       0,  1724,  1699,  1701,  1711,  1724,  1729,  1724,  1979,  1758,
    1980,     0,  2177,     0,  1670,  1641,  1641,  1641,  1976,     0,
       0,     0,     0,  1640,  1670,   192,     0,   225,   212,  2159,
       0,  1477,     0,  1644,     0,  2095,  1089,     0,  1646,     0,
       0,  1692,  1654,  1571,  1555,     0,  1553,  1540,  1542,  1541,
       0,     0,  1543,  2163,     0,  1553,  1535,  1579,     0,     0,
    1763,     0,  1578,     0,  1809,  1109,  1110,     0,  1133,     0,
    1055,  1056,     0,  1054,     0,     0,     0,   495,  1073,     0,
       0,     0,   776,     0,     0,   499,     0,  1453,     0,  1336,
    1263,   636,   637,     0,   649,     0,   658,   657,     0,     0,
       0,     0,     0,     0,     0,   644,   664,   608,   665,   667,
       0,     0,   666,   669,   672,  1275,     0,   704,  1251,     0,
    1304,  1139,  1278,     0,  1098,     0,     0,     0,     0,     0,
       0,   465,   304,     0,     0,     0,   364,     0,   288,   296,
     362,   302,     0,  1281,   336,     0,   307,     0,   300,   323,
     315,   324,   316,   335,   337,     0,   683,   684,   682,   678,
       0,   685,   687,     0,   353,     0,     0,     0,  1324,     0,
    1275,     0,   277,     0,  1247,     0,  1302,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1307,     0,
       0,     0,     0,   725,     0,   722,     0,     0,   142,   141,
       0,   148,     0,     0,     0,     0,     0,  1355,     0,     0,
       0,     0,     0,     0,     0,   282,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   382,   346,     0,   833,     0,     0,     0,
     384,     0,     0,     0,     0,     0,  1323,  1232,     0,     0,
       0,   931,     0,     0,     0,     0,     0,     0,   395,   396,
     136,   394,     0,     0,   824,  2384,  2081,  2082,   822,   828,
     819,   821,   823,   820,     0,   827,   776,     0,     0,   811,
     816,   817,     0,     0,     0,     0,     0,   480,     0,     0,
       0,   471,     0,     0,  1165,   464,   467,   468,     0,     0,
     628,   631,   629,   630,   663,     0,   451,   487,   534,     0,
     152,     0,     0,   153,   151,     0,     0,   355,   727,     0,
     724,     0,   177,   447,     0,   695,     0,     0,     0,  1165,
     620,   747,   750,   743,     0,   829,   831,   803,     0,   675,
       0,     0,   577,     0,   507,  1528,   560,     0,   536,   451,
     534,   546,   545,   547,     0,   554,   354,     0,     0,   565,
     554,     0,     0,  1074,  1105,     0,     0,     0,  1155,  1160,
    1156,     0,     0,  1120,     0,  1157,  1138,  1092,  1375,  1376,
    1373,  1374,     0,     0,     0,  1581,     0,  1827,     0,  1845,
    1843,  1788,  1793,  1866,   880,     0,   863,     0,   865,   344,
     714,     0,   617,   344,     0,     0,     0,     0,  1025,     0,
    1041,     0,     0,  1008,  1047,     0,     0,  1565,  1563,   563,
       0,  1050,     0,  1009,  1049,     0,     0,     0,     0,     0,
       0,     0,  2116,     0,  2149,  2145,     0,  1981,  2117,     0,
    2129,  2128,  2074,     0,     0,  1932,  1944,  1945,  1946,  2130,
       0,  1954,     0,     0,  1941,  1942,  1943,  1935,  1936,  1937,
    1938,  1939,  1940,  1947,  2139,  2138,  2132,  2133,     0,  2003,
    2004,  2005,  2140,  2012,     0,  2247,  2039,  2016,  2032,  2031,
       0,     0,     0,  2019,     0,     0,  2028,     0,  2075,  2198,
    1870,     0,     0,  1897,  2144,  1915,     0,     0,     0,  1893,
    2094,     0,     0,     0,     0,     0,  1902,     0,     0,     0,
    2057,  2052,  2053,  2071,     0,     0,     0,     0,     0,     0,
    1623,  1622,  1628,  1724,  1729,  1724,     0,     0,  1604,     0,
    1711,     0,  1723,  1709,  1722,     0,     0,  1735,  1733,     0,
    1735,     0,  1735,     0,  1703,     0,  1725,  1705,  1722,  1707,
       0,  1750,     0,  2178,  1759,     0,  1683,     0,     0,     0,
       0,  2108,  2109,     0,  2106,  1971,  1683,     0,  2158,  1617,
       0,  1645,  1087,  1088,  1662,  1655,  2275,  1761,     0,  1554,
       0,     0,     0,  1545,  1551,  1533,     0,     0,  1575,  1553,
    1576,  1130,     0,     0,  1122,  1061,  1064,  1062,  1060,  1063,
       0,     0,     0,   776,     0,     0,   515,     0,  1081,  1081,
       0,     0,   501,   557,  1165,   779,     0,     0,     0,   777,
     344,  1228,     0,   659,     0,     0,   654,   652,   651,   653,
       0,   609,  1334,  1229,     0,     0,     0,     0,  1140,     0,
       0,  1250,     0,   285,     0,   461,     0,   297,     0,   293,
       0,  1276,     0,     0,     0,     0,   292,   366,     0,   363,
       0,   344,   344,   338,   680,   352,   357,   358,   361,     0,
       0,     0,     0,     0,  1280,     0,     0,     0,     0,     0,
       0,     0,   857,   840,     0,     0,   858,   859,     0,     0,
       0,  1182,  1183,  1181,  1309,  1310,  1315,  1312,  1311,  1314,
    1316,  1313,     0,  1235,     0,     0,   718,   146,   143,   144,
     147,  1261,  1244,  1299,  1350,     0,     0,     0,  1242,     0,
    1292,     0,  1257,  1253,     0,     0,     0,     0,     0,  1333,
    1271,  1297,  1332,  1269,  1295,  1268,  1294,  1270,  1296,     0,
    1262,     0,  1768,   837,     0,     0,     0,   344,   344,   836,
     716,  1246,  1301,     0,     0,   923,     0,     0,   925,   926,
       0,   928,   400,   420,   736,   796,     0,     0,   813,   775,
       0,   469,     0,   475,   478,     0,     0,   482,   483,   481,
     470,  1165,   507,   556,     0,     0,   786,     0,   626,     0,
     449,     0,   484,     0,     0,   453,   155,   154,     0,     0,
       0,   731,   735,   733,   732,   734,   729,     0,   720,   181,
    2328,     0,     0,     0,     0,   558,  1348,     0,   760,   804,
       0,  1767,   710,     0,   355,   573,     0,     0,     0,   449,
     565,     0,   454,   459,   460,   465,     0,   548,   535,     0,
     536,     0,     0,   562,  1420,     0,   566,   568,     0,     0,
       0,  1108,  1125,  1126,     0,     0,  1165,     0,     0,     0,
       0,   611,   344,  1789,   344,   344,  1208,     0,   874,  1037,
    1036,  1035,   603,     0,  1039,   708,     0,   564,   344,     0,
     985,   965,   984,   964,   966,     0,   963,   961,   962,  2148,
    1997,  2007,  2127,  2073,  2104,     0,     0,  1955,     0,     0,
    2002,  2549,     0,     0,     0,     0,  2036,  2037,  2018,     0,
    2374,  2023,     0,     0,     0,  1921,  1919,  1916,     0,  1917,
    1901,     0,     0,  1899,  1895,     0,  1926,  2043,     0,  2059,
    2056,  2070,  2104,  1627,  1626,  1625,  1624,  1710,  1706,  1708,
       0,  2554,     0,  1713,  1720,     0,  1702,     0,  1734,  1730,
       0,  1731,     0,     0,  1732,     0,     0,  1704,     0,  1720,
       0,  1757,  1641,     0,     0,  2048,  1974,  1975,  1972,  1641,
    2195,  2048,   226,     0,     0,  1552,  1537,     0,  1538,  1544,
       0,     0,     0,     0,  1580,  1573,  1123,  1131,     0,     0,
       0,   497,     0,  1165,     0,     0,     0,  1083,  1083,     0,
    1165,   556,   781,   780,   783,   778,   782,  1454,     0,   646,
     647,   661,  1252,     0,  1305,  1259,     0,  1569,   287,     0,
     676,     0,     0,   289,   365,   367,   290,   291,   294,   346,
     306,   299,     0,     0,     0,  1248,     0,  1303,  1255,  1326,
    1233,  1289,     0,     0,   846,     0,     0,     0,     0,  1327,
    1234,  1290,     0,     0,     0,     0,  1569,     0,     0,     0,
       0,     0,     0,     0,  1463,     0,  1279,   345,   835,   834,
     346,   383,  1273,     0,   924,   929,   930,   927,     0,   389,
     397,   421,   136,     0,     0,  1199,  1199,     0,   776,     0,
       0,   466,   479,     0,   556,   514,     0,   472,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   723,   722,   176,     0,   449,     0,   675,     0,
     754,   755,   749,   751,     0,   762,   766,   832,     0,     0,
     565,   451,     0,     0,  1526,   450,     0,     0,   462,     0,
     552,   536,   548,     0,   549,     0,   553,     0,  1413,     0,
       0,     0,     0,  1161,     0,  1167,     0,  1119,  1090,  1162,
       0,  1760,     0,     0,     0,     0,   615,  1200,   864,   866,
     715,  1042,     0,  1046,   344,   967,  2075,  1950,     0,     0,
       0,     0,  2013,     0,  2014,  2041,  2040,  2020,  2024,     0,
    2021,  2022,  1918,  1922,  1920,  1903,  2045,     0,  1641,  2072,
    1753,     0,  1756,     0,     0,  1712,     0,     0,  1714,     0,
       0,  1716,  1718,     0,     0,     0,     0,     0,     0,  2181,
       0,  2274,  2523,  2433,     0,  1669,  1671,  1674,  1676,  1675,
    1677,  1673,  1682,     0,  1606,     0,  1605,  2096,  1762,     0,
       0,     0,  1075,     0,  1577,  1043,     0,   344,  1081,   556,
     516,  2384,   517,  1080,  1082,  1086,  1086,     0,   556,   776,
     639,     0,     0,   270,   674,     0,     0,   298,   348,   360,
       0,  1569,     0,     0,   844,   853,   853,   841,     0,     0,
     860,  1236,   719,     0,     0,   266,  1258,  1254,     0,     0,
    1465,  1466,     0,     0,     0,     0,     0,   344,   932,     0,
     423,   430,   401,   406,  1457,     0,  1457,     0,   403,   407,
    1457,   402,  1457,   399,   400,     0,  1199,     0,  1196,  1195,
     774,     0,   505,   579,   473,     0,   525,     0,     0,   787,
       0,     0,   451,   534,     0,   494,   493,   489,   488,   490,
     491,   492,   486,   485,     0,   675,   850,   355,  1420,   717,
       0,     0,   688,     0,   752,   757,   756,  1457,   761,     0,
       0,     0,   675,     0,   561,   536,   451,   534,   455,   465,
     538,     0,   539,   554,   548,   552,   550,   551,     0,     0,
       0,   565,  1467,  1074,     0,  1166,     0,     0,     0,     0,
       0,     0,  1203,   610,     0,     0,   614,   605,   675,  1010,
    1951,     0,  1952,     0,     0,     0,  2026,  2025,     0,  2062,
    1758,     0,     0,  1752,     0,     0,  1782,     0,     0,     0,
    1721,  1737,     0,  1717,  1715,     0,  1726,     0,  1728,  1971,
       0,     0,     0,  1678,     0,  2047,  2049,     0,  1973,     0,
    1550,  1760,     0,  1547,     0,  1057,     0,  1058,  1083,   520,
       0,  1089,  1089,   507,   776,   498,  1260,     0,   677,   579,
       0,   301,     0,   278,  1256,     0,     0,   855,   855,     0,
       0,     0,     0,   372,   377,   378,     0,   375,   371,   370,
     373,     0,  1459,     0,  1460,  1461,  1464,   385,   398,     0,
     428,     0,   426,   425,   427,     0,   414,     0,     0,     0,
       0,     0,     0,   388,   419,  1194,  1198,  1197,     0,     0,
     474,     0,   476,   511,   512,   513,     0,   477,   521,   522,
       0,   784,     0,   789,     0,     0,     0,   675,   533,   699,
       0,     0,     0,  1414,     0,     0,   559,     0,   763,   764,
     759,     0,     0,   711,  1420,   548,     0,   536,   463,     0,
     436,   552,   554,     0,  1417,     0,   567,     0,   355,  1165,
    1168,  1163,  1379,     0,     0,   613,   612,   705,  1953,  2029,
    2015,  2042,  2027,  2058,     0,     0,     0,  1751,  1754,     0,
    1785,     0,     0,     0,     0,  1771,     0,  1719,     0,     0,
    1727,     0,     0,     0,  1672,     0,     0,  1539,  1549,  1076,
       0,     0,  1086,     0,   776,     0,  1078,  1077,   514,   500,
    1569,   295,   347,     0,     0,     0,   851,   854,   842,   843,
     862,   861,   721,  1569,     0,     0,   368,     0,     0,   424,
     433,     0,   431,   404,   409,     0,   413,   411,   410,   405,
     408,     0,   504,     0,     0,     0,     0,   523,     0,   524,
     555,     0,   788,     0,     0,     0,   701,   849,     0,     0,
     449,   675,   753,   758,     0,     0,  1415,   552,   536,   548,
       0,     0,   540,  1081,  1081,   554,   434,  1418,  1419,     0,
     554,  1091,  1378,  1377,  1619,     0,     0,  2510,  2275,  2482,
       0,  2060,  2063,  2061,  2055,     0,     0,  1783,  1784,  1769,
       0,     0,  1773,  1736,  1749,  1680,     0,  1679,  2050,  2051,
    1760,   344,  1089,     0,   502,   518,   525,   271,  1569,   845,
       0,   267,     0,   376,   374,  1462,   429,     0,   412,   766,
     578,   530,     0,   529,     0,   527,   526,   785,   790,     0,
     675,   839,  1420,   689,   765,     0,   554,   548,   552,     0,
     537,     0,  1083,  1083,   438,     0,  1760,  1361,  1619,  1360,
    1362,  1370,  1367,  1369,  1368,  1366,  1206,  1207,     0,  2067,
    2066,  2065,  2069,  2068,  1755,     0,  1772,  1775,     0,     0,
       0,  1781,  1774,  1776,     0,  1747,  1681,  1546,  1059,  1079,
       0,   776,   279,   852,     0,   432,     0,   528,   532,   531,
     675,   700,  1416,   769,   437,   552,   554,  1081,   541,   543,
     542,   355,  1065,     0,  1371,  1365,  1604,  1591,     0,     0,
       0,     0,  1778,  1779,  1780,  1777,     0,   519,   503,     0,
       0,   702,   771,     0,   767,   770,   772,   773,   554,   435,
    1083,   554,  1363,  1619,     0,     0,  2064,     0,     0,   369,
       0,   737,     0,   439,   544,  1760,  1364,     0,     0,     0,
    1748,     0,   768,  1066,     0,     0,  1770,   769,     0,     0,
       0,  1204,  1205,   738
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4737, -4737, -4737,  3593, -4737,  -897,  -569,  2829,  -643, -4737,
   -4737, -4737,  3496, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
    3535, -4737, -4737,  1973, -2329, -4737, -4737,   130,  3492, -1252,
     102,  3083,  1633, -4737, -1108, -4737, -4737,  -577,    94, -4737,
    3495,  -723, -4737, -4737, -4737, -4737, -4737, -4737, -4737, -4737,
    -795,  2082,  2150,  1470,  -642, -2596, -4737, -4737, -1348, -3089,
   -4737,   801, -4737,   829, -4049, -4465, -4737,  -827,  -655, -4737,
   -4737,  2071, -4737, -4737, -4737,  1290,   716,  -338, -4737, -4737,
   -4737, -4737, -4737, -4737, -4737,  -510, -4737, -4737,  -747,   146,
      38, -2362, -3608, -4737, -4737,   672,  -153, -1388, -4737, -3439,
   -4737,   214, -3659, -4737, -4737, -4737,  -122, -1360,  1570, -4737,
    -673, -1133,  1876,  -621, -4737,    -6, -4737,  -726,  -526,  -523,
    -647, -3649, -4120, -4737, -4737, -4737,  -752, -4127, -4392, -3703,
   -4131,  1581, -4737,   148, -3013, -3082,   149,   643, -4737,   151,
     152, -4737,   660,  -455,  -891, -1486, -4737,  -763, -4737, -4737,
   -4737, -2828, -4737, -4737, -4737, -4737,    53, -4737, -4737, -4737,
   -4737,   706, -4737, -4737, -4737, -4737, -4737, -4737, -2590,  2038,
    2041, -4737, -3026, -4737,  -856, -4737,   849, -2849,  1490, -4737,
   -4737,  1275,  3549,   688, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -1578, -4737, -4737, -4737, -4737,   215,   -98, -4737, -4737,
   -4737, -4737, -4737, -4737,   154, -4737,  2057,  1271, -4737, -4737,
    -101, -4737, -4737, -4737, -4737, -4737, -4737,  -707,  -843,  -826,
   -4737, -2866, -4737, -4737, -4737,   -74, -4737, -4737, -4737, -4737,
   -4737, -4737,  -847, -4737,  1334, -3036, -4737, -4737,  1338, -4737,
   -4737, -4737, -4737, -4737,  -629,   -15,  2853, -4737,  -245,  -436,
   -4737, -4737, -4737,     0, -4737, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -1047,  6442,  -799,  -541, -4737, -4737, -4737, -4737,
   -4737, -2181, -4737, -4737, -4737, -4737, -3581, -4737,  4448,  1951,
     359,   157, -4737,   -22,    57,  3329, -1113, -2548,   621,  -196,
   -4737, -4737, -4737, -2460, -4737, -4737, -4737, -4737, -3388,   158,
   -4737,  3321, -4737, -3664, -4394, -3414, -3920, -4283, -4416, -3402,
   -4737, -4737, -4737, -4737,  -420,  -189, -4737, -4737, -1376,  2385,
   -1867, -4737, -2019,   687,  1662,  3537, -2647,  -139,  2821, -3672,
    -664, -3135, -4737, -4737, -2258,  -329, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737,  -587,  2766,  -192, -4737, -4737,  3869,
   -4737, -4200, -4737,  3864, -4737, -4737, -4737, -4737,  2684,  2688,
   -4737,  2678, -4737, -4737, -1355,  1428, -4737, -4737, -4737, -4737,
     879, -4737, -4737, -4737, -4737, -4737, -4737, -4737,  1335,   870,
   -4737, -4737, -4737, -4737, -4737,  -602,  -760, -4737, -4737,   160,
   -4737, -4737, -4737, -4737,  2164,  -874,  -697,  3746,   162, -4533,
   -4737, -4737, -1069, -4737,  3148, -4737, -4737, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -2438, -4737, -4737, -4278, -4737, -4737,
   -4737, -4737, -4737,  2484,  2485,    52,   -48, -4737, -4737,  -946,
   -4737,  -540, -4737,  2773, -4737, -4737, -4737, -4737, -1677,   167,
     740, -4737,     4, -4737, -4737,   114, -4737,   511, -4737, -4737,
   -3296,     5, -4737, -4737, -4737, -4737, -4273, -4737,     6,  -506,
    1044, -2713, -4737,   169,     8, -4737, -4737,    19,   784,   -43,
     -71,   -65,     3,   112,  3204, -4737,  3265, -4737,   -19,  1895,
   -4737, -4737,  -766,  -149, -4737,  1761,  -610,  2462,  3189,  3211,
   -4737,  1759, -4737, -4737,  1767, -4737,  1094,  -473,  -314, -4737,
   -4737, -4737, -4737,   562,  -605,  2487, -4737,  3207, -4737, -4737,
   -4737, -1780, -2728, -3306,  1131, -3303, -3234,   612,   596, -1279,
     -75,    18,  -716,  3218, -4737, -4737,  1146,  -266, -4737, -4737,
    -264, -2708,  1087, -4737, -4208, -2231,  1151,  -698,  -550, -4737,
    -628, -4737,  -424,  4968,  2899, -1010, -4737, -4737,  -984, 13216,
   -4737, -4737, -4737, 14910, 15225, -4737, -4737, 15337, 15794, -4737,
    -842, 16385, 13227, -1000, -1735,  -115, 11735, -1684,  2170, -2674,
   -4737, -3403, -2175, -4737, -4737, -4737,   -18,  1212,   452, -4737,
   -4230, -4737, -4737,   194, -4737,  -429, -4737,  -422, -4737, -4737,
   -4737,  -403, -4736,  2699, -4737, -4737, -4737,  -182, -4737, 17247,
   -2635, -4737,  -485, -2633, -2620, -3310, -1738, -4737, -4737, -4737,
   -4737, -4737, -4737, -4737, -1540, -3162,  -466,  1896, -4737, -4737,
    1987, -4737, -4737, -4737, -1293,  1850,  -729, -2533,  1900, -4737,
    -718,  2700,  -733,   205,  -623,  5452,  -507, -2206, -1205, -1502,
   -4737,  1753, -4737,   132,   -16,    -1,  -124,  3114,  -260,  1892,
   12554,  -606, -1231,  8432, 12355, 10946, -3016
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    51,    52,    53,    54,  1484,  2401,  2273,  3150,  3151,
      55,    56,  1480,    57,    58,    59,    60,    61,    62,    63,
    1403,    64,    65,   992,  1626,  2416,    66,  2115,   760,   761,
     762,  1936,  1937,  2350,  1938,  1926,  1290,  1763,  1424,   734,
     735,  1385,  1425,    68,    69,  1284,  1917,    70,    71,    72,
    1454,  1531,  1455,  1397,  1672,  4172,  4891,  2963,  2242,  3199,
    2964,  2965,  3569,  3570,  3645,  4905,  4911,  4906,  4907,    73,
    1547,  1548,    74,    75,  3115,  3111,  3690,  4509,  4510,  4743,
     573,  2378,  4512,  4513,  4729,  4730,  4923,  5061,  5062,  2417,
    1618,  3193,  3778,  3141,  4261,  3142,  4262,  3143,  4263,  3127,
    3725,  3726,  4206,  3727,  3144,  4222,  4772,  3145,  2134,  4940,
    2458,  1785,  1783,  4756,  4035,  4036,  5034,  4947,  4948,  4949,
    5165,  4224,  4267,  4268,  4801,  5101,  5102,  3197,  3785,  4273,
    4527,  2852,    77,   669,  1652,  3294,   670,  2461,   608,   671,
    2418,    82,  2451,  4942,  2452,  1505,  2282,  4908,  3274,    83,
    1016,  3536,  4596,  4826,  4827,    84,   225,    85,  1634,    86,
      87,  2396,  3134,    88,  2151,  2869,    89,    90,  2898,  2899,
    2900,    91,  3561,  4449,  1456,  2952,  2953,  2954,  2955,  3591,
      92,  1629,  2425,  2426,    93,    94,    95,    96,  2567,  2568,
      97,  2338,    98,    99,   100,   101,  3625,  4136,  4238,  2994,
    3157,  3750,  4236,   102,  2419,  1642,  2441,  2442,  4248,  4552,
    4553,  4554,  4787,  5092,  4556,  4789,  4970,  4791,  5263,  5264,
    4518,  3515,  4049,   104,  4215,  4216,  4954,   105,  2149,   106,
     107,   108,  1602,  2388,  2389,  3699,  1595,  2381,  2382,  3764,
    3765,   109,  3068,   110,  4112,  4113,   609,  4961,  4897,  5048,
     111,   112,  4116,  4117,   113,   114,   115,   116,   117,   661,
     662,   663,  1104,  1105,  2824,  1056,   118,  2034,   119,   955,
     956,  3092,   120,  1177,  2611,  2612,  4311,   121,   694,  1123,
    1124,  2420,   123,   703,  2587,   705,  1798,  3276,  3277,  3843,
     124,   125,  2564,  2590,   126,  1390,  2125,  2126,  4030,  2421,
     610,  1658,  2465,  2847,  4671,  4672,  4427,  4685,  2777,  3468,
     128,   611,  1429,  2198,  1076,  1077,  2468,  3207,  2094,  2095,
    2096,  3802,  2097,  3209,  2098,  1363,  2099,  1026,  1027,  3215,
    3216,  3217,  3798,  3805,  2410,  4585,  4586,   129,  1427,  2196,
     130,   131,   132,  1468,   878,  1086,  1087,   133,   623,   624,
     134,  4748,   135,  1030,   136,  4594,   137,   138,   725,   726,
    1161,  1162,   139,   140,  2212,  3572,   141,   142,   143,  2988,
    2989,  4128,   144,   145,  1621,  1622,   146,   147,  3033,  3034,
     148,   149,   150,  5189,  5243,  5244,  5245,  3812,  5114,  5191,
    1154,   152,   153,   154,   191,   915,   916,   917,  2422,  4578,
     156,   157,  1386,  1387,  1388,  1389,  2120,   158,   159,   160,
     161,   162,   163,   164,  1606,   165,   166,  4722,   167,   168,
    1566,   169,  1320,  1321,   170,   171,   567,   778,  1324,  1330,
     172,   673,  1117,  1118,  1119,  1765,   173,  1157,   958,   674,
    1112,   175,   675,  2078,  2799,  3480,  3481,  3482,  3485,  4412,
    4009,   676,  2795,   178,  1805,  2573,  2576,  2791,   677,  2804,
    2805,  2806,  3488,   678,   696,  1019,  2474,   679,  1251,   183,
     184,   185,   787,   781,   782,   187,  1910,  2739,   712,  1337,
     747,   748,   795,  3453,  2046,  2047,  2069,  2070,  1346,  1347,
    2059,  2061,  2779,  2062,  2787,  2052,  3986,  4655,  4656,  4657,
    4658,  4659,  4660,  4395,  2065,  2066,  1349,  1350,  1351,  2074,
     188,  2743,  3432,  3433,  3434,  3962,  3963,  3977,  3973,  4379,
    4641,  3435,  1152,  1357,  4387,  5215,  3436,  4630,  4631,  4843,
    3981,  3444,  3476,  3181,  3182,  3183,  3437,  5014,  5015,  5212,
    5213,  4845,  4846,  2100,  1702,  1058,  1252,  1059,  1714,  1253,
    1686,  1061,  1254,  1255,  1256,  1064,  1257,  1258,  1259,  1067,
    1678,  1260,  1261,  1696,  1711,  1712,  1325,  4847,  1263,  1264,
    1265,  3439,  1266,  3916,  4343,  4332,  2671,  2672,  1933,  3912,
    3377,  1905,  2729,  4664,  4865,  4866,  3416,  3941,  4359,  4628,
    5006,  5121,  5122,  1267,  1268,  1269,  2726,  1901,   881,  1270,
    3701,  1903,  2665,  2751,  2752,  1808,  1828,  2618,  2634,  2635,
    2645,  3336,  2653,  2658,  3364,  3365,  2666,  2695,  1271,  2620,
    2621,  3320,  1830,  1272,  1313,  1945,  1364,  1825,  2690,  1280,
    1273,  1274,  1799,   771,  4637,  1108,   837,  2980,  2025,   919,
     709,  1275,  1276,  1277,  1278,  1461,   852,  1079,  1080,   563,
     831,   854,  2956,   564,   565,   833,  2030
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     625,  1504,   986,   186,   176,   177,   179,   786,  1782,   710,
    1552,  1762,   845,   739,   879,   561,  1022,  1285,  2295,   181,
     698,  2031,   615,   186,   880,   773,   698,  1143,  1144,  1145,
    1281,  2133,  1352,  1149,  1722,   796,  1370,  1509,  3140,  1107,
    3299,  1692,  1564,  1314,  2749,  1020,  3454,  2207,  3031,  2982,
     607,  1631,  2199,   828,  1698,  1682,  1683,  1315,  3562,  1818,
    1299,   770,  1120,  2352,  4001,  1691,  3474,  2446,  3438,  3542,
     660,  2031,   672,   971,  1604,  2208,  2817,  2819,  1609,   704,
    3806,  2026,  3760,  1613,  3163,  2219,   887,  4277,  2617,  3711,
    3487,  3928,   740,  1623,    67,  4037,  3065,  1503,  1460,   906,
    3586,  3703,  3588,  2236,  3280,  1530,  4038,  1647,  3776,  3703,
    3734,  3445,  3446,  3790,  1557,   798,  1098,  4032,  1430,  4428,
    3438,   799,  4075,   790,  3959,  1032,  3447,  1114,  4221,  4280,
    4286,  4270,  2579,  3976,  2754,  2680,   733,  2031,  2026,  1616,
    4570,  3466,  4634,   767,  3385,  4686,    76,  1022,    78,    79,
    4572,    80,    81,   697,   103,  1644,  2466,   122,   127,   697,
     151,   784,   155,  2650,  2106,  2522,  3493,   174,  2192,   180,
     759,  4269,  4534,  2316,  4693,  3773,  1292,  3097,  4803,  3098,
    4646,  1426,  4648,  3102,  1553,  1345,  2320,  2321,  4814,  4015,
    1348,  1314,  3107,  3108,  3109,  1679,  1680,  3153, -2314, -2244,
    1669,  3974,  3896,  3979,   680, -1809,  1690, -2317,   680, -2350,
   -2373,   621, -2404,  4715,  4724,  4725,   680,  1682,  1683,  1643,
    4571,   571,  4896,  2332, -2188,  1125,   621,  3796,  2816,   719,
   -2216,  1698, -2217,  1129, -2565,  1873,   900,  1691, -2216, -2216,
   -2217, -2217, -2565, -2565,  4426,  4963,  2220, -1822,  1669, -1847,
   -1837,   621,  2032,   621,  4910,  2327,  1399, -1842,  1600,  2210,
    3088, -2079,  2407,   621,  1879, -2187, -1850,  3130, -2079,  4881,
    4882,  1713,   800,  -422,  3492,  4313,  4314,  1173,  4316,  4317,
    4318,  2552,  3708,   911,  3342,  2723,  5161,  1669,  1669,  2688,
    1592,   843,  2724,  3297,  1326,  1881,  2688,  1923,  1457,   621,
    4689,  2569,  2742,   680,  3251,  5074,  3253,  1391,  2547,  3543,
     621,  2893,   720, -1850,  2117,  4410,  4749,  1289,  3538, -2098,
     680,  3758,   680,  1316,  2399,  4219, -2098,  4824,  3781,  3318,
    3849,  2455,  1669,  3284,  3286,  2627,  4783,   621,   569,  5112,
    1669,  5200,  3063,  1140,  2730,  2404,  4692,  1669,  1679,  1680,
       3,     4,  1447,  1457,   801,  2456,  1764,  -136,   680,  1669,
     686,   686,  -136,  1506,  1400,  2443,  4114,  1302, -2371,   686,
    2390,   686,   686,  3131,   686,  1690,  2414,  1399,   912,  4529,
    2774,  5198,  3288,   687,   687,  1090,  1673,  2894,  2043,  1873,
     189,   911,   687,  4754,   687,   687,  2563,   687,  1101,  2850,
    1507,  1457,   621,  4785,  1931,  1924,   680,   880,   860,  4535,
    3566,  2227,  4550,  4982,  1700,  1392,  2210,  4451,   892,   745,
    1645,   913,  2245,  4455,  2570,  1564,  2211,   680,  4893,   909,
    4551,   189,   621,   190,  1718,  1303,  4088,  1720,  2628,  4857,
    3342,  5096,  1646,  2228,  1729,  4805,  1932,  4786,  1169,  1881,
    1733,  4804,  2210,  4536,  2415,  2851,  1741,  2405,  3289,   880,
     721,  1873,  1749,   980,  2775,  1752,  1873,  1720,  1670,   990,
    4115,  4231,  2139,  3342,   190,  3850,   914,  5201,  2731,  5162,
    2279,  1317,  1004,  1318,  2210,  1400,   912,  2548,  2210,  2033,
    1879,  4530,  4825,  2863,  2314,  1879,  1022,  1046,  3640,   722,
     723,  4435,  2589,  1508,  2210,  2400,  4220,  1457,   621,  2629,
    1141,  5113,   680,  1022,  5276,  4411,  1670,   622,   746,  1925,
    2549,  1881,  1867,  2553,   776,  1746,  1881,  2210,  1298,   913,
    2235,  1467,  2614,  2444,  1927,  2392,  2457,  1803,  2221,  1939,
    1939,  3064,  3285,  3287,  1669,  3543,  4935,  3132,  4879,  2222,
    1913,  2223,  2897,   957,  5163,  1670,  1670,  4884,  3728,  3539,
    4097,  4232,  1601,   844,   802,  4511,  1393,  3440,  2333,  2630,
    1022,  3797,  2631,  2902,  2031,   186,   959,   960,   961,  5164,
    3703,  1766,  3089,  1401,   914,  1148,  1601,  3688,  3689,  5105,
     724,   962,  5154, -2371, -2079,  5032,  2334,  5075,   976,  1822,
    1670,  1148,  2290,  1394,  4131,  2293,  1021,   625,  1670,  2224,
    3489,  2176,  2408,  2571,  1671,  1670,  5142,  4348,  2725,  3440,
    2031,   954,  2619,  2689,  1121,   786,  1755,  1670,  2328,  2039,
    3405,  2269,  3133,  2572,  1395,  5058,  1804,  1311,   572,  5232,
    3508,  1312,  1402,  4233,  2039,  2178,  4042,  2686,  2543,  1353,
    1601,  3976, -2098,  4903,  2300,  2186,   692,   693,  4230,  4376,
    3236, -2371,  1699,  4380,   692,   693,  1681, -2314, -2244,  2253,
     186,  1677,  2632,  2309, -2371,  4975, -2317,  4981, -2350, -2373,
    1122, -2404,  1127,  1311,  1131, -2188,  1900,  1312,  1022,  2351,
    1135, -2216,  1693, -2217,  2445, -2565,  1022,  1022,  1396,  1155,
    2526,  1717,  1728,  1138,  1113,  5176,  2041,  4276,  1685,  4322,
   -1847, -1837,  1869,  1694,  1911,  5185,   798,  1921, -1842,  4367,
    1116,  4369,   799,  4415,  2757,  1174, -2187,  1695,  2280,  2502,
    1151,  2283,  2284,  1282,  4605,  3357,  1291,  1021,  1293,  1693,
    1319,  2551,  2075,  4252,  1576,  1581,  1748,  2076,  1563,  2383,
    2561,  1458,  1459,  3438,  1751,   880,  3438,  2271,  4878,  4903,
    1694,  1720,  2274,  2195,   568,  1866,  2977,  5147,   692,   693,
     692,   693,   918,  3842,  1697,  3637,  2140,  2778,   963,  2633,
    5151,   863,  1482,  1569,   182,  2864,  5236,  4234,   864,   865,
     866,  1151,   186,   176,   177,   179,  4904,  3495,  2315,  3496,
    4436,  5125,  3641,  1720,   182,  1483,  1458,  1459,   181,  1301,
    -136,  -136,  1670,   697,  2361,   697,  2921,   697,  4064,  2903,
    1356,  3773,  1804,   697,  1136,  1137,  4568,   777,  1730,  1322,
    2959,  3994,  1536,  3752,   785,  3438,  1073,  1574,   616,  3729,
    4195,  4101,  3741,  5268,  2308,  2877,  2484,  2485,  5097,  2141,
    4023,  3242,   566,  4235,  1458,  1459,   621,  5099,  3189,  1908,
    1182,  1635,  1406,  3342,   791,  4194,  4836,  3343,  3344,  3345,
     977,  2050,  1663,  2083,  1537,  5222,  2026,  2749,  2749,  2749,
     621,  1288,  2960,    67,  2261,  1296,  2127,  1800,  3354,  3355,
    3356,  3357,  1327,  4943,  3682,  3683,  2978,  2969,  1810,  5239,
    5240,   707,  2828,  1636,  2128,  1704,  5084,  1895,  1896,  1897,
    1898,  1899,  1900,  1819,  1897,  1898,  1899,  1900,  3681,  3352,
    3353,  3354,  3355,  3356,  3357,  1664,   792,  5098,  4936,  1335,
    1163,  1384,  3113,  4592,  4714,    76,   711,    78,    79,  2127,
      80,    81,  2192,   103,  1474,  1561,   122,   127, -1809,   151,
    4013,   155,  2259,  4795,  1708,  1286,   174,  3807,   180,  4765,
    1458,  1459,  2129,  3339,  3340,  2051,  2295,  4632,  3359,  1735,
     797,  2961,  5178,  4861,  1309,  5251,  1705,   793,  5177, -2185,
    2130,  2459,  1704,  1012,  2367,  4129,  4291,  5284,  1541,  2142,
     621,  5208,   719,   697,  1542,  1334,   793,  3049,   733,  1523,
    3742,  1384,  3610,  3050,  2966,  3389,  3390,  1601,  4038,  4766,
    4037,  1736,  2836,  4573,  4944,  2129,  4257,  4767,  3002,  4610,
    1665,  4038,   793,  3457,  3490, -1809,  2368,  4574,  1336,  2990,
    4245,  4209,   621,  2130,  1302,  1538,  1706,  3346,  3146,  1707,
    4258,  3464,  1126,  1128,  1130,  4768,  2437,  1132,  1133,  1134,
    5235,  3530,  1475,  1705,  2411,  1720,    39,  1139,  3347,  3239,
     717,  2558,  2559,  4873,  1637,  4837,  3002,  1464,  2708,  1662,
    4635,  4638,  1666,  4937,  2143,   720,  4642,  3035,  2448,  4644,
    2508,  1692,  2260,  4892,  3438,  4945,  1021,   718,  2515,  1839,
      43,  3208,  2970,  3531,  3808,  3462,  1543,  3003,  3700,  5209,
    4980,   617,  1303,  1021,  2525,  3051,  3700,  2298,  1074,  1575,
    3611,  4769,  1562,  1706,  4956,  1169,  1707,  2878,  2131,  3240,
    3348,  4326,  4770,  4327,   186,  1909,   794,  2528,  2438,  2962,
      47,  3091,  1768,  1539,  1770,  1867,  1772,  1806,  1774,  1708,
    1776,  1777,  1778,    48,  4989,  3003,  2483,  1780,  4977,  4987,
    3004,  3806,  1120,  1013,  4955,  4155,   618,  3114,  4593,   744,
    1021,  1667,  1638,  3128,  2550,  4559,    49,  4421,  2555,  2479,
    2557,  2131,  1737,  2560,  4210,  3451,  3809,  1311,  4564,  4038,
      50,  1312,  1612,  5182,  5183,  1374, -1809,  2369,  4976,   768,
    2455,  4575,   619,  3803,   620,  1479,  2481,   741,  3004,  2520,
    3147,  2709,   586,  1476,  1720,  3005,  2710,   786,   911,  1014,
     586,  1650,  1653,  1654,  2456,  1015,  1708,  2535,  4109,  4874,
    3987,  4259,  1708,   721,  2132,  4450,   869,   870,   871,  2789,
     872,   873,   874,   875,   876,   877,  1868,  2187,   779,  5210,
    1477,  3628,  2711,  1147,  5211,  1870,  1709,  1544,  2580,  2821,
    4257,   697,  3440,  3005,  3532,  3440,  3052,  4328,  2643,  1912,
     588,  3612,   722,   723,  1375,  1710,  2044,  2045,   588,  2049,
    1738,  1478,   799,   799,  4258,   799,  2037,  2132,  1021,  5106,
   -1604,  1929,  1930,  4310,  1545,  2370,  1021,  1021,  4876,   880,
     189,  3438, -1604,  3053,  1915,  3438,  2503, -1604,  3613,  4831,
    2893,  4771,  3006,   912,  4414,  3349,  3350,  3351,  2565,  3352,
    3353,  3354,  3355,  3356,  3357,  1546,  1376,  5270,  4156,  3713,
    3810,  2937,  4110,  1709,  3054,  2439,  1148,  2188, -2207,  3614,
    2790,  1720,  -158,   190,  3440,   579,   788,  4853,  2440,  2613,
    2788,  2616, -1604,   803,  3148,  -447,   913,  2623,  5228,  4392,
    3006,  1286,  3533,  2637,  2638,  2639,   182,  2893,  4002,  -158,
    4978,  1916, -1604,  2655,  2657,  3716,  4808,  3994,  2667, -1809,
    2554,  2796,  1356,  4399,  4809,  2712,  2894,  1286, -1809,  2938,
    1681, -1809,  1369,  3563, -1809,  2121,  3811,  3017, -1604,  3149,
    2566,  4308,  2765,  4895,   666,  4546,  2122,  -670,  4899,  4900,
   -1604,   914,  5184, -1604,  2135, -1604,  2268,  5186,  2919,  2838,
    1377,    39, -1604,  2123,    14,   599,  3007,   600,  4003,   586,
    3718,  1639,  4111,   599,  3008,   600,  4699,  3009,  2696,   697,
    2697,  2907,  2136,  2894,   697,   697,  4968,  3375,  4632,  1482,
   -1068,  1617,  1640,  3382,  2822,    43,  3703,  2823,    19,  1617,
   -1604,   182,   785,  2698,  2409,  5090,  2171,  -447,  5029,  2505,
    3249,  4723,  1483,  2116,  3007,  2895,  4213,  2939,  4969,  4038,
   -1604,  2516,  3008,  5234,  1341,  3009,  3058,   588,  4794,  5036,
    5037,  1767,  2521,  3016,  1769,    47,  1771,  2053,  1773,  2839,
    1775,  3564,  2299,  5229,  1779,  3636,  1601,  3966,  2304,  4185,
     586,  4246,  2896,  4188,  4189,  4520,  4191,  1469,  2285,  1435,
    3721, -1604,  2992,  1943,  1022,  1436,  3039,  1688,  1689,  3018,
   -1604,  2908,  4782,  3164,  1341,  2940,  2054,  3021,  2504,  1342,
    3024,  2295,  2477,  5269,  4810,    50,  2514,  4251,  3554,  2797,
     697,  2897, -1604,  2311,  1343,   880,   880,  3083,  2995,  2996,
     697,  3722,  2999,  2053,  2699,  2124,  1437,  2846,   588,  2700,
    2079,  1381,  3160,  1382,  2701,  5283,  3723,  -570,  5285,  3967,
    4720,   797,  2137,   182,  1384,  1470,  5103,  3700,  3862,  1384,
    3478,  2993,  1294,  3440,  2749,  3172,  3173,  3174,  3175,  2145,
    1136,  1137,  2054,  4721,  1343,  3555,  1641,  3180,  2897,  2146,
    3968,  4127,    39,  1919,  1311,  1341,  2833,  1331,  1312,  3443,
    1439,  1751,  2424, -1074,  3479,  3969,  2429,  1440,    31,  4294,
    1441,  4295,  3394,   697,  3395,  3970,   697,   697,  3596,  2056,
    3010,  1447,   599,  2136,   600,  1344,    43,  4207,  4045,  2203,
    2286,  3597,   841,  2287,   602,  1442,    39,  3396,  2226,  2055,
   -1604,  3971,  4751,  3489,  4025,   604,  3638,  3724,  1617,  3876,
    3877,  3878,  3879,   880,  3556,  3884,  3885,  3886,  3887,  3888,
    3889,  3890,  3891,  3892,  3893,  1343,    47,  1443,  2263,  4432,
      43,  3831,  3642,  3565,  3566,  2057,  1311,  5045,  4962,    48,
    1312,  2275,  3159,  3077,  2278,  2056,  3438,  2702,  3010,  1542,
    4077,  4407,  1873,  3438,  4208,   896,  4038,  2703,  3438,   697,
    3567,  3438,    49,   599,  1514,   600,  1344,  4046,  3514,  1005,
      47,  3932,  3933,  4099,   789,  3639,  2798,  3966,  2215,  4986,
    2216,  1879,   897,    48,  3972,  2850,  1444,  3438,  1445,   605,
    5219,  1757,  2237,  3055,  1758,  2326,  4433,  2147,  1446,  4959,
    3438,  2057,  1006,  3397,  5046,  1515,    49,  1447,  3398,  2342,
     186,  4604,  1881,  3000,    39,  1516,  4973,  4823,  1448,  1359,
      50,   839,  2354,  4078,  4047,  2537,  4048,  2538,  5103,  2539,
    3056,  2540,    39,  2541,  2148,  1007,  4431,  2542,  2217,  3202,
    3440,  3511,  4100,  3273,  3440,  2586,  3871,  1693,    43,  3967,
    4045,  1543,  4997,   861,  2237,  1555,  1360,   862,  1450,  1451,
    1116,  3057,   186,   959,   960,   961,    43,  2482,  1694,  4204,
    3461,  2636,  2574,  4885,  2406,  3897,  4026,  2490,   962,  2491,
    3968,  1008,  1695,  4027,  3224,  2495,  1556,  1361,    47,  3841,
    2502,  3229,  2501,  4205,  4938,  3969,  4888,  3782,  4439,  4440,
    3786,    48,   902,  2449,  3806,  3970,    47,  3880,  4533,  3881,
    2462,  3248,  4928,  4698, -2207,  1022,  4028,  4929,    34,    48,
    4675,  3254,  4677,  2585,    49,  3255,  2610,   910,  3257,  4046,
    3842,  3971,  2237,  4819,  3261,  2347,  3262,  4029,    50,  3264,
    2238,  3399,    49,  2390,  3220,  1551,   964,  4563,  2348,  5110,
    1453,  3400,  4639,  3967,  4727,   182,    50,   967,  3438,  2292,
    4544,  1374,  2758,  1517,   706,  4930,   708,  2239,  1022,  1872,
     714,  4720,  1873,  1365,  2349,   728,   736,   706,  1601,   743,
    3272,  5086,   736,   736,  3968,   772,  4047,   775,  4048,  3035,
    2240,  2916,  2241,  3169,  4721,   829,  1518,  3260,  3301,  4382,
    1519,  1879,  2238,  4524,   846,  1487,  1366,  2345, -2566,  3970,
    1367,  2534,  1751,   978,  3972,   979,  2625,  2626,  1827,  3438,
    2883,  2879,   695,  2640,  2641,  1482,  2285,  2235,   695,  2239,
     880,  1520,  1881,  3882,  1371,  3452,  1532,  2317,  1836,  1693,
    1375,  1368,  1488,  3883,  2346,  3226,  1939,  4996,  1483,  1286,
    1286,  2679,  2240,  4504,  2241,  4505,  4506,  3059, -1603,  4507,
    1694,  4043,  2210,  5004,  2871,  3494,  2581,  1005,  5039,  1852,
   -1603,  1372,  2218,  1533,  1697, -1603,   970,  1534,  4588,  3713,
    2238,  2227,  4203,  3061,  1864,  3714,  4514,   686,  3060,  2235,
    1743,  5005,  1376,  3761,  3544,    34,  4640,  3715,  1482,  3391,
    1006,  2780,  1373,  3771,  1535,  4966,  4489,  2239,  1812,  3455,
     687,  1813,  1744,  2228,  3062,  5173,  1511,  4515,  3972,  3571,
   -1603,  1483,  1551,  2237,   973,  3716,  2915,  3717,  4720,  4490,
    2240,  4087,  2241,  3754,   830,   835,   835,   838,  1322,   835,
   -1603, -2566,  2614,   847,  2246,   772, -2566,  2800,   882,   680,
    2840,  4721,  2843,  1512,  1021,   772,  3547,   835,  2286,  3438,
     772,  2287,  1693,  2740,   835,  2749,   772,  2235,  3403,  2837,
    2749,   797,   797,  2755,   797,  3607,  2749,  1000,  4157,  1008,
    3718, -1603, -2566,  1694,  1513,   987,  1377,  4174,  1872,  2035,
   -1603,  1873,  2036,   982,  5231,   983,  3177,  3908,  3001,   791,
    4158,  3178,  5271,  1022,  3712, -1640,  3719,  -569,  4175,  3178,
   -1640, -1641,  3608,  5028,  3341,  4679, -1641,  3438,  5144,   226,
    1879,  4073,  4688,  1293,   570,  1009,  3369, -2566,  2344,  1888,
    3602,  3499,   664,  1010,   697,  3852,  1681,  1029,  2107,  1378,
    4065,  2901,  4253,  3609,  3368,  3440,  3370,  3371,  3438,  2614,
     742,  1881,  3440,  2038,  5261,  1011,  2039,  3440,  3392,  3314,
    3440,   792,  3517,  1024,  2039,  3720,  3080,  4079,  3503,  4086,
    3721,  2238,  3757,  3315,  2532, -1640,  1379,  2039,  3316,  1072,
      34, -1641,  3730,  3819,  3820,  1311,  3440, -2188,  1081,  1312,
    2766,  2237,  2769,  1082,  2544,  4102,  3418,  2545,  2239,  3440,
    1088,  2546,   697,  4022,  2545,  1095,  2577,  1380,  1681,  2578,
    2107,  3722,  1022,  5187,    28, -2566, -1640,  1681,  3402,  1369,
   -1603,  2240, -1641,  2241,  2771,  3709,  3723,  1751,  1286,  2785,
    2786,   793,  1151,  1151,  1102,  2808,  1151,  1381,  2039,  1382,
    4279,  3521,  3576,  1826,  3578,    50,  4925,  2913,  4927,  2472,
    2914,  2473,  4931,  2984,  4932,  3438,  2985,  1111,  2235,  2673,
   -2566,   680,  2676,  3118,  3123, -2566,  3119,  3124,  3075,  1146,
    3227,  3266,  4728,  2039,  2545,  1150,  3313,  3322,   965,  2039,
    2039,  3328,  3329,  4776,  2039,  2039,  1153,  1383,  3330,  3093,
    1142,  2039,  3093,  1681,  3093,  2107,  2904,  1156,  3093,  4967,
    3195, -2566,  3196,    39,  3698,  5258,  1158,  3093,  3093,  3093,
    3361, -2566,  3698,  2039,  2966,  1160,  4098,  3724,  1895,  1896,
    1897,  1898,  1899,  1900, -1664, -1664,  3374,  4040,  4041,  2039,
     829,  3241,  3243,  3244,     3,     4,  2237,    43,  2990,  2238,
     846,  3379,  3589,  3594,  3380,  3590,  3595,  3618,  1888,  3794,
    3619,  3817,  3795,  3903,  2039,  3035,  3904,  3440,  1159,  3306,
    3913,   794,  1166,  3914,   697,  3171,  2239,  4264,  4584,  3208,
    1168,  3924,   697,  3663,  2039,   697,  1151,    47,  4011,  3670,
    1169,  4012,  5217,  2948,  3419,  3438,  3420,  4732,  1170,  2240,
      48,  2241,  4016,  3700,   666,  4017,  4021,  3203,  4044,  2823,
    1167,  2545,  3165,  3302,  2975,  1021,  1171,  4254,  4305,   920,
    2545,  1804,  1172,    49,    14,   772,  4323,   830,  3440,  2039,
     835,  1175,   838,  3190,   835,  1176,  2235,  5188,  5242,  1178,
    4733,   882,  3747,  5141, -2566,  1297,   993,  4349,   835,  4361,
    2578,  2979,  2039,  4417,  4423,   835,  2823,  4424,    19,  4429,
    4430,  4565,  2545,  2545,  4566,  4734,  1182,  3438,  1021,  3342,
    2502,  1300,  1304,  3343,  3344,  3345,  1305,  3041,  3042,   830,
    3449,  3450,  4735,   880,   838,  1022,  4736,  1022,  4612,   847,
    3921,  4613,  4614,   882,  2238,  2039,  4622,  4694,  1306,  2578,
    4695,   182,  4777,  1323,  3858,  2545,  4737,  4816,  4832,  4738,
    4817,  2578,  4840,   835,  3731,  4841,  3733,  1310,  3421,  4850,
    3422,  2239,  1751,  4739,  4856,  4815,  3845,  3768,  4858,  4871,
    4918,  3768,  4872,  4919,  5272,  1328,  5273,  5293,  3500,  3501,
   -2566,  1564,  4958,  1329,  2240,  1918,  2241,  1895,  1896,  1897,
    1898,  1899,  1900,   182,  3465,  1490,  4988,  1339,  4998,  4872,
    4999,  2578,  4087,  3380,   772,  1022,   786,  3824,  3440,  3826,
    3155,  3828,  5000,  5011,  1491,  2039,  5012,   772,  3832,  1165,
    5017,  2235,  1354,  1751,  5020,  3235,  3237,  3768,  1331,  5044,
    5050,  3245,  2578,  2578,  3800,  5051,  1355,  2237,  2578,  1279,
    1279,  4607,   772,   736,  4740,  1369,  5054,   736,  3838,  5055,
     786,  5056,  4741,  1332,  5057,  5082, -2471,  3853,  5083,  5129,
    1358,   772,  5130,  1492,  1362,   772,  3440,  2694,    31,  4080,
    5133,  1279,  1428,  1751,  5134,   829,  4196,  2039,  4197,  3988,
    3989,  3990,   772,  1331,  4448, -1592,   846,  1338,   697,  1340,
    2031,  4381,  4742,  4384,   772,  5135,    39,  3440,  2039,  5137,
    5156,  1404,  2039,  5157,  3347,  5180,  5204,  5216,  5181,  3768,
    4864,  5241,  5279,  3983,  4872,  5055, -2218,  3424,  3425,  3426,
    2614,  5281,  5296,  5303,  5282,  5130,  5282,  1431,  4563,  1434,
      43,  5111,  1182,  3623,  1433,  3342,   772,  1467,  4061,  3343,
    3344,  3345,  3635,  1021,  1471,  1472, -2471,  1493,  3631,  1473,
    1479,  1481,  1486,  1489,   772,   786,  3922,  1524,  1525,   835,
     835,  1540,  1549,  1490,  1550,  1659,  3348,  1554,  1559,  1565,
      47,  1560,  1567,  1568,   667,   186,   959,   960,   961,  1570,
    1577,  1573,  1491,    48,  1578,  2238,    28,  3295,   736,   736,
    1584,   962,  1585,  4192,  1588,  1494, -2471,  1594,  1495,  1591,
    1597,  1599,  1872,  1605,  3440,  1873,    49,  1608, -2471,  2294,
    1610,  1601,  2239, -2471,   830,  1624,  1620,  4180, -2471,  1619,
     668,  1625,  -178,  1628, -2471,   847,  1627, -2471,  1630,   882,
   -2471,  1492,  1632,  3698,  1879,  2240,  1633,  2241,  1648,  1655,
    1497, -2566,  1872,  2237,  1657,  1873,  1661,   835,  1668, -2566,
   -2566, -2566,  1021,  3873,   208,  1674,  1675,  4126, -2471,  1676,
    1677,  1681,   182,  1684,  1685,  1881,  1687,  1701,  1703,   772,
    1715,  1716,  2235,  1720,  1879,    39,   835,   835, -2471,  1719,
    1739,  1880,  1727,  1499,  1731,  1732,  3740,  3902,  3743,  3456,
    1734,   697,  1740,  1742,  4082,  1754,  1747,  1750,   772,   772,
     772,  1753,   835,  1500,   830,  1881,  2237,  4344,  1756,    43,
    1781,  1809,  1814,  1823,  1816,  1493,  1817, -1813,  1824, -2471,
   -1820,  1831, -2471,  1502,  4830,  1832,  1833,  1834, -2471,  1835,
    3347,    50,  3944,  1837,  3440,  3465,  1838,  1839, -1810,  3592,
    3423, -1811,  1840,  3465,  1841,  1842,  1844,  1845,  3643,    47,
    4584,  3349,  3350,  3351,  1846,  3352,  3353,  3354,  3355,  3356,
    3357, -1814,    48,  1494, -1812,  1847,  1495,  1848,  1849,  1850,
    1851,  1853,  1904,   835, -2566,   835,   835,  2294,  1854, -2566,
    1855, -2471,  1856,  1857,  1858,    49,  1906,  1859,  1860,  1908,
    3629,  2238,  3348,  1909,  1918,  1922,  1934, -2473,  2042,    50,
   -1372,  1942, -1372,  1279,  1342,  1344,  3440,  2071,  1497,  2082,
    2073,  3675,  2084,  2085,  1882, -2566,  2086,  2102,  2239,  1883,
    2103,  2104,  2105,  2108,  2109,  2107,  2237,  5160,  2111,  2110,
    2112,  2113,   711,  1784,  1784,  2119,  2138,  3851,   772,  2173,
     706,  2240,  2150,  2241,  2144,  2180,  2177,  2181,  2179,  2182,
    2184,  1499,  3666,  2185,  2238,  1886,  2200,  2201, -2471,  2213,
    2202,  1815,  1888,  2225,   772,  2214,  2229,  1821,  2237,  2231,
    2232,  1500,  2233,  2234,  2243,  2235,  4302,  2244,  2235,  2247,
    1279,  2239, -2471,  3093, -2471, -2471,  2248, -2473,  2249,  2254,
    2270,  1502,  2255,  2264,  2258,  3691,  4540,  2281,  2265,  2266,
    2267,  3702,  1888,  2272,  2240,  2276,  2241,  2277,  2288,  3702,
    1279,  2291,  2289,  1447,  2296,  1021,  2297,  1021,  2306,  2301,
   -2471,  2312,  2303, -2471, -2471, -2471,  2313,  2329,  2302,  2330,
    2305,  4066,  2310,  2307,  2336,  2355,  2335, -2473,  1279,  1279,
    1279,  2235,  1279,  2357,  1182,  2318,  2358,  3342, -2566, -2473,
    2319, -2566, -2566, -2566, -2473,  2360,  2364,  2331,  2340, -2473,
    5010,  2343,  1279,  3766,  2365, -2473,  2359,  2377, -2473,  2366,
    2372, -2473,  2373,  4103,  2238,  2374,  2375,  3349,  3350,  3351,
    2379,  3352,  3353,  3354,  3355,  3356,  3357,  4296,  1890,  2376,
    2385,  4298,  2386,  2391,  3799,  1021,  3621,  2394,  2395, -2473,
     772,  2239,  2384,  1279,  2398,   581,  4264,  2412,  2423,  2427,
    1508,  2403,  4299,  4300,  4301,  2431,  2238,  2409,  2428, -2473,
    3789,  2454,  2447,  2436,  2240,  2450,  2241,  2453,  2463,  2469,
    2467,  1279,  2471,  2480,  2475,  1279,  1279,  2486,   182,  2488,
    2489,  2493,  3815,  2239, -2566,  2496,   772,   772,  2081,   697,
    1279,  1895,  1896,  1897,  1898,  1899,  1900,   697,  2497,  2498,
   -2473,  2235,  2499, -2473,  3938,  2500,  2240,  2494,  2241, -2473,
    2507,  2509,   736,  2510,  2511,  2512,  2523,  4731,  2524,  2556,
    2562,  3744,  2575,  2588,  1891,  2619,  2624, -2566, -2566, -2566,
    4405,  1895,  1896,  1897,  1898,  1899,  1900,  1873,  2668,  2674,
    1151,  2678,  2687,  2235,  1490,  2693,  2705,  2183,  2707,  2727,
    2728,  2742,   736,  2756,  2759,  2760,   853,  4454,  2763,  2764,
    2762,   792, -2473,  1491,   888,  2772,   772,  2209,  2782,  2781,
    2794,  2773,  2783,  2801,  2784,   772,  2813,   907,   835,  2841,
    2812,  2815,  3735,  3736,  3737,  2844,  2855,  2846,  2860,  2848,
    2872,  2865,  2849,  2870,  2866,  2868,  2880,  2876,  2889,  3746,
    2888,  2905,  3818,   882,  2892,   772,  2906,  2911,   786,  1294,
    1298,  3919,  1492,   711,  2922,  2927,  2928,  2947,   772,  2941,
    2946,   772,  3762,  2973,  2968,  2974,  2983,   786,  2976,  3067,
    2991,  3011,  3772,  3774,  3079,  3086,  3087,  3779,  3094, -2473,
    3946,  3947,  3948,  3949,  3348,  3090,  3099,  3105,  4437,  3100,
    3793,  3101,  3110,  4403,  3465,  3112,  3137,   772,  3116,  4333,
    3152,   829,  3138, -2473,   829, -2473, -2473,  3117,   835,   835,
     835,   835,   772,  1864,  3125,  3154,  3156,  3158,  3465,   697,
    3167,  3176,  3184,   736,  1182,  3185,   772,  3342,  3170,  4460,
    4461,  3343,  3344,  3345,  3179,  3186,  1493,  2353,  3187,   772,
    3188, -2473,  3198,  3192, -2473, -2473, -2473,  3200,  4351,   846,
     846,   835,   835,  3201,  3204,  3205,  3219,  1864,  3218,  3221,
    3222,  4226,  4227,  3225,  3223,  3228,  3230,  3231,  3232,  3246,
    3233,  3234,   835,  1182,  2694,  3238,  3342,  3247,  1708,  3256,
    3343,  3344,  3345,  1286,  1494,  3259,  3263,  1495,  3258,  3265,
    3412,   772,  1751,  3268,  2064,  3269,  3270,  4352,  2294,  1748,
    1717,  3271,  3279,  2589,  5252,  5253,  3431,   835,   835,   835,
     835,  4491,  4492,  3281,  4494,  4501,  4502,  3283,  3282,  4525,
     772,  3290,  3293,   846,  3298,  1148,  3300,   772,  3305,  1497,
    2353,  3307,  3308,  3310,  3327,  3304,   182, -2071,  3324,  3338,
     830,  3376,  3325,   830,  3326,  3331,  3393,  3332,   838,  3334,
    3337,  3360,  3410,  1279,  3366,  3373,  2039,  3388,  3431,  3387,
    3702,  3401,   785,  3415,  3471,  3473,  3477,  2295,  3484, -2566,
   -2566, -2566,  1499,  3352,  3353,  3354,  3355,  3356,  3357,  3443,
    3411,  3413,  3491,  3414,  4130,  3467,  3497,  3475,   847,   847,
    3417,  4138,  1500,  3502,  4139,  4744,  4140,  3448,  3504,   882,
     882,  3513,  3505,  4922,  3516,  4137,  4650,  3551,  3518,  3950,
    3951,  3952,  1502,  4665,  3509,  3540,  3553,  3510,  3525,   835,
     835,  3541,  3347,  3557,  3558,  3559,   835,  3560,   772,  3574,
    4597,  3575,  4598,  4599,  3577,  3583,  4179,  3584,  3593,  3585,
    3603,  3620,  3624,  3622,  3093,  3626,  4603,  1804,  3093,  3093,
    3627,  3093,  3630,  1784,  3632,  4912,  3691,  4914,  3644,  3633,
     835,  3634,   847,  3646,  3647,  3648,   772,   772,  4731,   835,
    3649,  3347,  3650,  3651,  3653,  3656,   772,  3652,  3654,  3698,
    3658,   981,  3660,   772,  3348,  3655,  3657,   981,   706,   706,
    3659,  3661,  2591,  3665,  3667,  3669,  1279,  2327,  1279,  3662,
     981,  3671,  3672,  1279,  1279,  3674,  3680,  3693,   697,  3684,
    1279,  1279,  1279,  3685,  3687,  3704,  1279,   882,  1279,  1279,
    1279,  1279,  1279,  1279,  3707,  1279,  3738,  1279,  1279,  3745,
    3748,  1279,   697,  3348,  3739,  3749,  3751,  3753,   697,  4549,
    3756,  3770,  3767,  3768,  3784,  3777,  1279,  1279,  1279,  1279,
    3787,  3783,  3780,   835,  1279,  4278,  3788,  3791,  1279,  3792,
    3804,  1279,  5128,  3814,  1279,  1279,  1279,  1279,  1279,  1279,
    1279,  1279,  1279,  3834,  1279,  3835,  5066,  5068,  3821,  3825,
     772,  1279,  3822,  1279,  4774,  3827,  4274,  3823,  3836,  4446,
     772,  3837,  3839,  5060,  3844,  3846,  3847,  3848,   880,  3855,
    3856,  3857,  3859,  3860,  3861,  1826,  3865,  2592,  1136,  1137,
    3363,  3342,  3874, -2070,  3362,  3899,  3900,  3901,  4682,  4312,
    4312,  4312,  3915,  4312,  4312,  4312,  3907,  3926,  3927,   793,
    3939,  3930,  3980,  3956,  3957,  3985,  3945,  3965,  3995,  4005,
    3982,  4008,  4839,  3997,  3998,  3999,  4010,  4014,  4000,  4031,
    4024,  4052,  4060,  4054,  4055,  2593,  4067,  4068,  4069,  4072,
    4070,  4074,  4076,  4090,  4093,  4485,  4705,  4108,  4120,  3349,
    3350,  3351,  4105,  3352,  3353,  3354,  3355,  3356,  3357,  4106,
    4132,  4107,  4118,  4119,  4145,  4135,   829,  2594,  4121,  4122,
    4146,  4123,  4134,   846,  4154,  1182,  4169,  4199,  3342,  4151,
    4171,  4173,  3343,  3344,  3345,  4081,  4176,   772,  4212,   772,
    2595,  1279,  5158,  4183,  4184,  4186,  4187,  4190,  3349,  3350,
    3351,  2596,  3352,  3353,  3354,  3355,  3356,  3357,  4200,  4211,
    4214,  4223,  4237,  4229,  4244,  4243,  4247,  4249,  2545,  4241,
    4256,  2597,  4829,  4266,  4250,   772,  2598,  4271,  4924,  4272,
    4285,   697,  2802,  4287,  2807,  4289,  4293,  4542,  4284,  4400,
    4288,  4402,  4297,  4290,  4303,   182,  4292,  4307,  4309,  4315,
    4325,  4320,  4329,  2462,  4334,  4335,  4336,  4330,  4337,  4338,
   -2072,  4357,  5267,  4342,  4370,   838,  4373,   182,  4375,  4419,
    4377,  4378,  4385,  4849,   706,  2599,   706,  2651,  4386,  1182,
    4393,  4390,  3342,  4391,  4849,  2669,  3343,  3344,  3345,  4406,
    4408,  4394,  4404,  1279,  4396,  4877,  2600,  4418,  4413,  2534,
    4397,  4398,  4416,  4420,  4426,   830,  5013,   835,   835,  5060,
    5073,  5267,   847,  4425,   882,  4434,   835,  4452,   835,  4463,
    4453,  4456,   835,  4462,  4475,   772,  5267,  4478,  4464,  4482,
    4484,  4495,  4503,  4487,  4488,  4508,  1872,  4516,  4517,  1873,
    4522,  4523,  4526,  4457,  4531,  4917,   736,  4537,  4532,  4538,
    4539,  4541,  4545,  4547,  4555,  4558,  2209,  4569,  4562,  4567,
    4577,  4579,   208,  4916,  2925,  2601,  4580,  4582,  1879,  4581,
    4590,  2936,  4595,  3347,  4601, -2566,  4602,  4608,  4609,  4611,
     772,  4616,  4618,  4619,  4620,  1022,  4621,  4627,  4834,  4633,
    4636,  2602,  4643,  4647,  4663,  4670,  4667,  4676,  2603,  1881,
    4673,   772,  4687,  4690,  4696,  2604,  2981,  2981,  4697,  4691,
    4702,  4363,  4364,  4365,  4366,  4726,   772,   772,  4498,  4499,
     772, -2487,   838,  4708,  4709,  4713,  4718,  4719,  3093,  1866,
    3093,  3093,  4745,  2605,  3093,  3348,  4747,  4210,  2606,  4753,
     835,  2607,  4755,   835,  4757,  4758,  4760,  4761,  4780,  4763,
    4764,  4781,  4788,  4790,  4793,  1864,  4806,  4799,  4820,  2608,
    4797,  4807,  4835,  4700,   772,   772,  3931,  4821,  4818,  4822,
    5038,  3953,   697,  4838,  3958,  4842,   697,  3347,  4848,  3066,
    4852,  3069,  3071,  4859,  2609,  4855,  4889,  4869,  4864,  5018,
    4860,  4862,  4887,  4868,  4557,  4896,  4880,  4902,  4939,  4890,
    4941,  4472,  4473,   880,  4946,  4951,  4476,  4477, -2566,   835,
    4953, -2487,  4950, -2566,  4960,  4965,  4971,   835,   835,  4972,
    4979,  4983,  4984,  4985,   835,  4992,  4995,  5001,  4583,  4993,
    5002,  5026,  5009,  5022,  5031,  4560,  1279,  4994,   835,  3348,
    3465,  4706,  5030,  4704,  5025,  5033,  5047,  5043,  5065, -2566,
    5072,   880,  2209,  5035,  5071,  2981,  5076,   772,  5081,  4312,
     772, -2487,  5078,  5085,  3162,  5088,  5089,   706,  5095,  5107,
    5108,  5115,  5109, -2487,  5116,  1022,  5150,  5124, -2487,   835,
    1279,  5074,  3940, -2487,  5126,  4746,  5143,  5152,  5145, -2487,
    5075,  5159, -2487,  5168,  5167, -2487,  1888,  3066,  5169,  5214,
    5199,  5224,  5207,  5227,  5248,   829,  5233,   835,  5250,  3194,
    5254,   846,  5249,  5003,  5256,  5260,  5275,  5274,  5277,  5280,
    3349,  3350,  3351, -2487,  3352,  3353,  3354,  3355,  3356,  3357,
    5019,  5297,  1279,  5287,  5294,  5021,  5288,  5023,  5298,  5295,
    5299,  2341,  1333, -2487,  1485,  3161,  1941,  1872,  1432,  1522,
    1873,  1521,  3458,  3040,  2972,  3568,  4096,  5259,  4089,   835,
    5153,   835,  2981,   835,  2981,  3692,  4933,  3078,  4193,  5059,
    5225,  4225,  4668,  4798,  4773,  3507,  4521,  5146,  4680,  1879,
    5221,  3267, -2566,  5079, -2487,  5077, -2566, -2487,  5166,  5238,
    3512,  4275,  4255, -2487,  5041,  3135,  4218,  1784,  3136,  4094,
    3587,  3755,  1510,  4242,  1872,  4779,  3702,  1873,  3126,  3763,
    1881,  4784,  5226,  4543,  5300,  4759,  5292,  3705,  3710,  5171,
    4707,  4898,  5049,  4304,  3349,  3350,  3351,  2402,  3352,  3353,
    3354,  3355,  3356,  3357,   772,   713,  1879,  1801,  4710,  4875,
    1811,  2818,  4281, -2566,   830,  3498, -2487,  3093,  4990,  2476,
     847,  2584,  1023,  2513,  4591,  3441,  2582,  3668,  4124,  5218,
    2583,  1182,  1596,   835,  3342,  3759,  4144,  1881,  3343,  3344,
    3345,  1279,  5190,  5286,  1307,  4260,  1279,  3934, -2566,  1096,
    2767,  4669,  2768,  4409,  5140,  1895,  1896,  1897,  1898,  1899,
    1900,  2536,  2040,  4018,  3463,  2118,  2068,   711,  2793,  1279,
    1279,  1279,  3431,  3472,  1279,  1914,  3470,  3441,  3996,  5136,
    5024,  1022,  1279,  1279,  1279,  1279,  2072,  2067,  4401, -2566,
    4778,  3960,  2792, -2487, -2566,  1279,  4368,  4383,  1279,  4854,
    1279,   182,  2077,  3954,  3935,  5008,  5007,  4019,  3955,  5289,
    5206,  1279,  1279,  1872,  5255,  1279,  1873, -2487,  5127, -2487,
   -2487,  2487,  3909,  4833,   697,  4666,  5138,   882,  4811,  1279,
   -2566,  1279,  5123,  1279,  5139,  2732,  3408,  3319,  3406,  2741,
    1872,   786,  3460,  1873,     0,  1879, -2566,  1874,  1875,  1876,
       0, -2566, -2566,  1279,     0, -2487,     0,   772, -2487, -2487,
   -2487,     0,     0,     0,  3442,     0,  1279,  1279,  1279,     0,
       0,     0,  1879,     0,     0,     0,  1881,  1888,     0,  1880,
       0,     0,     0,     0,  1279,     0,     0, -2566,     0,     0,
       0,     0,     0,  2339,     0,  1279,     0,     0,     0,     0,
    1279,     0,     0,  1881,     0,     0,  1279,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3442,     0,     0,     0,
    3483,     0,     0,  3486,     0,  2807,     0,     0,   880, -2566,
       0,     0,  4909,  4909,  1888,     0,     0,     0,     0,     0,
       0,     0,     0,  4355,     0,  1021,     0,     0,     0,  4926,
       0,     0,  4750,     0,     0,     0,     0,     0,     0,  4934,
       0,     0,     0, -2566,     0,     0,  1279,  4762,  2981,  2413,
       0,     0,  1286,  1784,     0,     0,     0,  2430,     0,  3431,
       0,     0,     0,  3431,     0, -2566,     0,     0,     0,  2339,
   -2566,  3348,     0,     0,     0,     0,     0,  4796,     0,     0,
     835,     0,   835,   835,   835,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,     0,     0,  4813,  1883,     0,     0,
   -2566,     0,     0,     0,   182,   182, -2566,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1884,  1885,
       0,     0,  4974,     0,     0,     0,  1491,  2651,  2651,     0,
       0,     0,  2651,  1886,     0,     0,     0,     0,     0, -2566,
       0,     0,     0,     0,  2506,     0,  1895,  1896,  1897,  1898,
    1899,  1900,     0,  1888,     0,     0,     0,     0,     0,     0,
     697,   697,     0,     0,     0,  5149,  1887,  2339,     0,  2651,
    2651,     0,     0,   697,     0,  1492,  4081,     0,     0,     0,
    1888,     0,     0,  2141,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   772,     0,     0, -2566,     0,  5027,     0,
       0,     0,  4883,  1895,  1896,  1897,  1898,  1899,  1900,     0,
       0,     0,     0,     0,     0,  1021,     0,     0,     0,  5063,
       0,  5064,     0,     0,     0,  5069,  5070,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5196,  5197,  4082, -2566,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3349,  3350,  3351,  1493,
    3352,  3353,  3354,  3355,  3356,  3357,  1890,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4964,     0,   835,     0,     0,
       0,     0,  2981,  2981,     0,     0,     0,  1494,     0,     0,
    1495,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2294,     0,  4083,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2566,     0,     0,     0,   772,
     772,   772,  1895,  1896,  1897,  1898,  1899,  1900,     0,  4909,
     182,  4909,  1497,     0,     0,     0,   772,     0,     0,     0,
       0,     0,  1891,     0,     0,  1892,  1893,  1894,     0,  1895,
    1896,  1897,  1898,  1899,  1900,     0,     0,     0,  1784,   772,
       0,     0,     0,     0,     0,     0,     0,     0,  1784,   772,
     772,     0,     0,     0,   772,  1499,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   772,     0,     0,
       0,     0,     0,     0,     0,  1500,     0,     0,  5172,  5301,
    5302,     0,     0,     0,     0,     0,     0,   186,  5192,  5193,
    5194,     0,     0,     0,     0,  1502,     0,  4084,     0,     0,
    4085,     0,     0,  5195,     0,     0,     0,     0,     0,     0,
       0,  1021,     0,     0,     0,  5247,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   835,     0,     0,     0,     0,
       0,  3431,     0,     0,     0,     0,  3431,     0,     0,  3431,
       0,     0,     0,     0,   772,     0,     0,     0,     0,     0,
    3441,     0,     0,  3441,     0,     0,     0,   697,     0,   697,
     772,   186,  5192,  5193,  5194,     0,     0,     0,  2809,     0,
       0,     0,     0,     0,     0,     0,     0,  5195,  4909,     0,
    1279,     0,     0,     0,     0,     0,  2825,  5266,     0,  1279,
       0,     0,  2829,     0,     0,  1279,  2832,  1279,  2235,     0,
    1279,     0,     0,     0,     0,  1279,  1279,  1279,  1279,     0,
       0,  1279,  1279,  1279,  1279,  1279,  1279,  1279,  1279,  1279,
    1279,     0,  2856,     0,  1279,  1279,     0,     0,     0,     0,
       0,     0,  3441,     0,  1279,     0,  5266,     0,  1279,     0,
       0,     0,  1279,     0,     0,     0,   186,  5192,  5193,  5194,
    1279,  5266,     0,  1279,     0,  1279,     0,     0,     0,     0,
       0,     0,  5195,     0,  1279,     0,  2909,  1279,  1279,     0,
       0,     0,  1279,  1279,     0,     0,     0,  3942,     0,  1279,
       0,     0,     0,     0,   981,     0,   772,   772,   772,   830,
       0,     0,  3442,  3964,     0,   182,     0,  3964,  3978,  3964,
       0,     0,     0,     0,     0,  1279,     0,     0,     0,     0,
       0,  1279,  1279,  1279,     0,     0,  2957,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   697,     0,     0,     0,
       0,     0,     0,   182,     0,  5265,     0,  1279,     0,     0,
       0,     0,  2986,     0,     0,     0,     0,     0,     0,     0,
    2997,  2807,     0,  1279,     0,     0,   981,     0,     0,     0,
    3012,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4039,  1784,  1784,     0,  2353,     0,     0,     0,     0,
    3025,     0,     0,     0,  5265,  3027,     0,     0,     0,  3030,
       0,     0,   835,   835,   835,   835,     0,  3431,     0,  5265,
       0,     0,  3047,     0,     0,     0,     0,     0,  1864,     0,
       0,     0,     0,     0,     0,  3072,     0,     0,     0,     0,
       0,  2209,  1435,     0,   981,     0,     0,     0,  1436,   562,
       0,     0,     0,     0,     0,   614,   562,     0,     0,  4092,
       0,   665,     0,   562,     0,     0,     0,     0,     0,   562,
       0,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
     783,   783,     0,  1407,     0,     0,     0,     0,     0,     0,
       0,  3441,     0,  2651,  2651,  2651,  2651,     0,     0,  2651,
    2651,  2651,  2651,  2651,  2651,  2651,  2651,  2651,  2651,     0,
       0,     0,     0,     0,     0,     0,     0,  1408,     0,     0,
       0,     0,     0,     0,     0,     0,  3906,     0,  1872,  1438,
       0,  1873,     0,  1439,     0,  1874,  1875,  1876,     0,     0,
    1440,  4177,     0,  1441,     0,     0,     0,  3431,     0,     0,
       0,     0,  1877,     0,     0,  2651,  2651,   182,     0,     0,
    1879,     0,     0,     0,     0,  2152,     0,  1880,  1442,     0,
    2153,     0,     0,     0,     0,     0,  1410,     0,     0,     0,
     835,  1057,     0,     0,   772,     0,   835,     0,  1279,     0,
       0,  1881,     0,     0,     0,   772,     0,     0,     0,     0,
    1443,  4217,     0,     0,  2154,  1057,     0,     0,     0,     0,
    1411,  2209,     0,     0,     0,     0,     0,  2155,     0,     0,
       0,     0,     0,     0,     0,     0,   772,     0,     0,     0,
    3442,   842,  2156,   182,     0,     0,     0,     0,     0,   884,
    3066,   885,     0,   889,   890,  1412,   893,     0,   895,  4265,
       0,   901,     0,   903,     0,     0,  3278,     0,     0,  1444,
     772,  1445,     0,     0,  2353,     0,     0,     0,  1279,  1279,
       0,  1446,     0,  2157,  3292,     0,     0,     0,     0,  1413,
    1447,     0,  3278,     0,  2158,     0,     0,     0,     0,     0,
       0,  1448,     0,     0,     0,     0,     0,  2981,  3441,  2981,
    1882,     0,  3441,     0,  2159,  1883,   772,     0,     0,  2160,
    1415,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,  1885,  1449,     0,
       0,  1450,  1451,     0,     0,  1279,     0,     0,     0,     0,
       0,  1886,     0,     0,     0,     0,  1279,     0,     0,     0,
      34,     0,  2193,     0,  1417,     0,     0,     0,     0,  1452,
       0,  1418,     0,     0,     0,     0,     0,     0,     0,  1419,
       0,     0,     0,     0,  1887,     0,  1279,  2194,     0,  2161,
       0,     0,     0,     0,     0,     0,  1279,  1279,  1888,  1421,
       0,  1889,     0,  1279,  1279,     0,     0,  1422,  1279,     0,
       0,     0,     0,  1279,     0,     0,  1279,  1279,     0,     0,
       0,  1279,  4360,  2162,     0,     0,     0,  1279,   772,   772,
     772,   772,     0,  1453,     0,  3964,  3978,  3964,     0,  1279,
    3964,     0,     0,  4374,     0,     0,     0,  3442,     0,     0,
       0,  3442,     0,     0,     0,   208,     0,  4389,     0,     0,
    1435,     0,  1423,   182,  1279,     0,  1436,     0,     0,  1279,
       0,     0,     0,  1490,     0,  1279,  2651,     0,     0,     0,
       0,     0,   882,     0,  1890,  3210,     0,  1572,   182,     0,
    1279,  2163,  1491,     0,  3483,     0,     0,     0,  2164,  2807,
       0,  2165,     0,     0,     0,  1407,     0,  1437,     0,     0,
    1587,     0,     0,   706,     0,     0,  1279,     0,     0,     0,
       0,     0,     0,     0,     0,  1598,     0,     0,     0,     0,
       0,  2166,     0,     0,     0,     0,  2981,  2981,  2167,  1408,
       0,  1492,     0,     0,     0,  2168,     0,     0,     0,     0,
       0,     0,  2169,     0,  2209,     0,     0,  4528,     0,     0,
       0,  1439,  5246,     0,     0,     0,     0,  4458,  1440,  3519,
       0,  1441,     0,     0,     0,     0,     0,  2170,     0,     0,
    1891,     0,     0,  1892,  1893,  1894,     0,  1895,  1896,  1897,
    1898,  1899,  1900,     0,     0,     0,  1442,     0,  1410,     0,
    3333,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1279,     0,   966,     0,
       0,     0,     0,     0,     0,  1493,   975,     0,  1443,     0,
       0,     0,  1411,   988,   989,     0,     0,   995,   835,   998,
     999,     0,     0,     0,  1001,     0,     0,   182,     0,     0,
       0,     0,     0,   835,     0,  1018,     0,     0,     0,     0,
       0,     0,  3211,     0,     0,     0,     0,  1412,     0,     0,
    1028,     0,     0,  1494,  1435,     0,  1495,  3598,     0,     0,
    1436,     0,  1279,     0,     0,     0,     0,  1496,     0,  1445,
       0,     0,     0,  1092,     0,  1094,   830,     0,     0,  1446,
       0,  1413,  2209,     0,     0,  1110,     0,     0,  1447,     0,
       0,  1784,     0,  3441,  1807,     0,     0,  4372,  1497,  1448,
    3441,  1437,     0,     0,     0,  3441,  1279,     0,  3441,  4645,
       0,     0,  1415,     0,     0,     0,     0,   562,     0,   835,
       0,  3194,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3441,     0,  1498,     0,     0,  1450,
    1451,  1499,     0,     0,     0,     0,     0,  3441,  1164,     0,
       0,   772,    34,     0,     0,  1439,  1417,     0,     0,     0,
       0,  1500,  1440,  1418,     0,  1441,     0,  1501,     0,     0,
    3676,  1419,     0,     0,     0,     0,     0,     0,     0,  2194,
       0,  1502,     0,     0,     0,     0,     0,  1279,     0,     0,
    1442,  1421,     0,     0,     0,   846,  1279,     0,     0,  1422,
       0,     0,   783,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1279,  1279,     0,     0,  1279,     0,     0,
    3213,  1872,  1443,     0,  1873,     0,     0,     0,  1874,  1875,
    1876,  1453,   830,     0,     0,  3964,     0,   846,     0,  3442,
       0,     0,     0,     0,  3442,  1877,     0,  3442,   830,     0,
    3066,     0,  4649,  1879,  1423,  1279,  1279,     0,  3214,  2409,
    1880,     0,     0,  1398,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4039,     0,  1279,     0,     0,     0,     0,
       0,  1444,     0,  1445,  1881,     0,  4039,   882,   835,   835,
     835,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,  1447,     0,     0,  3441,     0,     0,     0,     0,
       0,     0,     0,  1448,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1435,     0,  1558,     0,   847,   882,  1436,     0,     0,     0,
       0,     0,     0,  2339,     0,     0,     0,     0,  1571,  1526,
    2174,     0,     0,  1450,  1451,     0,     0,     0,     0,  3840,
    1582,     0,     0,  1583,     0,     0,  3441,     0,     0,     0,
       0,     0,     0,  1586,     0,     0,   847,  1437,  1590,   772,
       0,  2175,     0,     0,  3854,     0,  1593,     0,     0,     0,
       0,  4217,  1603,  1882,   772,  1607,     0,     0,  1883,   772,
       0,  2981,     0,     0,     0,  2257,     0,     0,  2209,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1884,
    1885,     0,     0,     0,   772,     0,     0,     0,  4265,  1527,
       0,  1439,     0,     0,  1886,  1660,     0,     0,  1440,     0,
       0,  1441,   835,   772,  4039,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2651,  1442,  1887,     0,     0,
    1279,     0,     0,  1279,  4615,  1279,     0,     0,     0,     0,
       0,  1888,     0,  4952,  1889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1279,     0,     0,  1443,     0,
       0,  1279,     0,     0,     0,  3442,  3441,     0,  2356,  4649,
       0,     0,     0,     0,     0,     0,  1279,     0,     0,     0,
       0,     0,     0,  2371,     0,  4867,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2393,  1435,   562,     0,   562,   772,
     562,  1436,   562,     0,   562,   562,   562,  1444,     0,  1445,
       0,   562,     0,     0,  3441,     0,     0,  1890,     0,  1446,
       0,     0,  1802,     0,     0,  1279,     0,     0,  1447,     0,
       0,     0,     0,     0,   835,   835,   835,   835,     0,  1448,
       0,     0,  1437,     0,     0,  3441,     0,     0,     0,  2470,
       0,     0,     0,     0,     0,   834,   836,     0,     0,   840,
       0,     0,     0,  2478,     0,     0,     0,     0,     0,     0,
       0,     0,   830,     0,  4062,  1057,  1528,   894,     0,  1450,
    1451,     0,     0,     0,   904,     0,     0,  2492,     0,     0,
       0,     0,   772,     0,     0,  3442,  1439,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,  1441,  1529,     0,     0,
       0,     0,     0,  1891,     0,     0,  1892,  1893,  1894,     0,
    1895,  1896,  1897,  1898,  1899,  1900,     0,  2519,  1057,  1871,
       0,  1442,     0,  3383,  1872,     0,     0,  1873,     0,     0,
       0,  1874,  1875,  1876,     0,     0,     0,     0,     0,     0,
    1279,     0,  3441,   830,     0,     0,  1279,     0,  1877,     0,
    5016,  1878,     0,  1443,     0,     0,  1879,  1279,     0,     0,
       0,  1453,  1279,  1880,  1279,     0,  1279,     0,     0,     0,
       0,     0,     0,     0,  4039,  4159,     0,     0,  4162,     0,
     835,     0,   882,     0,     0,     0,     0,  1881,  2651,     0,
     783,  3210,  1279,     0,     0,     0,     0,     0,     0,     0,
    3210,     0,     0,     0,     0,     0,     0,   846,     0,     0,
       0,  1407,  1444,  2651,  1445,     0,     0,     0,     0,     0,
    1407,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,  1784,  1784,  1447,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1448,  1408,     0,     0,     0,     0,
       0,  2681,     0,     0,  1408,     0,     0,     0,  5175,     0,
       0,     0,   835,     0,     0,     0,  2172,     0,     0,  5093,
       0,     0,  3441,  1279,     0,  4239,     0,     0,   846,   846,
       0,  5104,     0,     0,  1450,  1451,     0,     0,     0,     0,
       0,     0,     0,     0,  2339,     0,  1882,     0,     0,     0,
       0,  1883,     0,     0,  1410,     0,  1279,  1279,     0,     0,
       0,  3066,  1452,  1410,  1279,     0,     0,     0,     0,     0,
       0,     0,  1884,  1885,  1279,     0,     0,  4867,     0,     0,
       0,     0,  2807,     0,  2262,     0,     0,  1886,  1411,     0,
       0,     0,     0,     0,  3441,     0,   847,  1411,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     835,     0,     0,     0,     0,     0,  3278,  1784,  3211,     0,
    1887,     0,     0,  1412,     0,     0,  1453,  3211,     0,     0,
       0,     0,  1412,     0,  1888,     0,     0,  1889,     0,     0,
       0,     0,  2209,     0,     0,  1407,     0,   830,     0,     0,
       0,     0,  1279,     0,     0,     0,     0,  1413,     0,     0,
       0,  4039,     0,     0,     0,     0,  1413,   847,   847,  1279,
       0,     0,     0,     0,  2651,     0,     0,     0,  1279,  1408,
     969,     0,  5016,     0,   972,     0,     0,     0,  1415,     0,
       0,     0,     0,  5291,     0,  1279,     0,  1415,   997,     0,
       0,     0,   835,     0,     0,  1002,     0,     0,     0,  1409,
       0,   846,   846,     0,     0,     0,     0,     0,     0,     0,
    1890,     0,  2397,     0,     0,     0,     0,     0,    34,     0,
       0,     0,  3212,  5104,   835,   835,     0,    34,  1410,  1418,
       0,  1417,     0,     0,     0,     0,  1435,  1419,  1418,     0,
       0,     0,  1436,     0,     0,  2194,  1419,     0,     0,     0,
    1279,  1279,     0,     0,  2194,  1526,     0,  1421,     0,     0,
       0,     0,  1411,     0,     0,  1422,  1421,     0,     0,     0,
       0,     0,     0,     0,  1422,  2875,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,  3213,  2890,     0,     0,
       0,     0,  1279,     0,     0,  3213,     0,  1412,  1279,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,  1892,
    1893,  1894,   835,  1895,  1896,  1897,  1898,  1899,  1900,  5016,
    1423,     0,   830,     0,  3214,     0,     0,  2923,  -132,  1423,
       0,  1413,  2651,  3214,  2517,  1527,  2518,  1439,     0,     0,
     847,   847,     0,     0,  1440,     0,     1,  1441,     0,     0,
       0,     0,     0,  2529,     0,  2530,     2,     0,     3,     4,
       0,  1414,  1415,     0,     0,     0,     0,     0,     0,   562,
    4469,   562,  1442,   562,     5,   562,     0,   562,     0,     0,
       0,   562,  4479,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     6,     0,     7,     8,  1416,     0,
       0,     0,    34,     9,  1443,    10,  1417,     0,     0,     0,
       0,     0,     0,  1418,     0,     0,    11,     0,    12,     0,
       0,  1419,     0,     0,     0,     0,     0,     0,     0,  1420,
       0,     0,     0,     0,     0,    13,     0,     0,    14,     0,
       0,  1421,     0,     0,     0,     0,  5205,     0,     0,  1422,
       0,     0,    15,     0,    16,     0,     0,     0,    17,  1465,
    1466,     0,     0,  1444,    18,  1445,     0,     0,     0,     0,
       0,     0,    19,     0,    20,  1446,     0,     0,     0,     0,
      21,     0,     0,     0,  1447,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1448,    22,     0,     0,     0,
       0,     0,     0,  3121,  1423,     0,     0,     0,     0,     0,
       0,     0,    23,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2651,  2651,
       0,     0,  3037,     0,     0,  1450,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,     0,
       0,    24,    25,     0,     0,     0,     0,    26,     0,     0,
       0,     0,     0,  3038,     0,     0,     0,     0,     0,    27,
       0,     0,     0,  3278,     0,     0,  1614,  1615,     0,     0,
       0,    28,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1656,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    29,     0,     0,     0,  1453,     0,     0,
       0,     0,     0,     0,     0,     0,    30,     0,     0,     0,
       0,     0,    31,    32,     0,    33,     0,     0,  1435,     0,
      34,     0,     0,     0,  1436,    35,     0,     0,    36,     0,
       0,     0,     0,    37,     0,     0,     0,     0,     0,    38,
      39,     0,     0,     0,     0,  1724,  1726,    40,     0,     0,
       0,    41,  3278,     0,  3278,     0,     0,  2810,  2811,     0,
    1872,    42,     0,  1873,     0,  1437,  3291,  1874,  1875,  1876,
       0,     0,     0,     0,    43,     0,  2826,  2827,     0,     0,
       0,  2830,  2831,  3303,  1877,     0,  2834,     0,     0,     0,
       0,     0,  1879,    44,     0,     0,  3309,     0,     0,  1880,
    2845,     0,     0,    45,     0,     0,     0,  2854,     0,    46,
       0,  2857,  2858,     0,    47,  2861,  2862,     0,     0,  1439,
       0,     0,  2867,  1881,     0,     0,  1440,    48,     0,  1441,
       0,     0,     0,     0,     0,  2884,     0,  2886,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,     0,     0,     0,
      49,  1436,     0,     0,  1442,     0,  2910,     0,     0,     0,
       0,  2912,     0,     0,    50,     0,     0,  -132,     0,     0,
    1872,     0,     0,  1873,  2917,     0,     0,  1874,  1875,  1876,
       0,     0,     0,  2924,     0,  2926,  1443,     0,  2929,  2932,
    2934,     0,  1437,     0,  1877,  2942,  2945,     0,     0,     0,
       0,     0,  1879,     0,  1872,  2958,     0,  1873,     0,  1880,
    2967,  1874,  1875,  1876,     0,  2971,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1877,     0,
       0,  2987,  1882,  1881,     0,     0,  1879,  1883,     0,  2998,
       0,     0,  2250,  1880,     0,  1444,  1439,  1445,     0,  3013,
       0,     0,     0,  1440,     0,     0,  1441,  1446,  1884,  1885,
       0,  3020,     0,     0,  3023,     0,  1447,  1881,     0,  3026,
       0,     0,     0,  1886,  3028,  3029,     0,  1448,     0,  3032,
       0,  1442,  3036,     0,     0,     0,  3043,  3044,  3045,  3046,
       0,  3048,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3073,  3074,  1887,  3076,     0,     0,
       0,     0,     0,  1443,  2918,  3084,  3085,  1450,  1451,     0,
    1888,     0,     0,  1889,     0,     0,     0,     0,     0,     0,
       0,  1872,     0,     0,  1873,     0,     0,     0,  1874,  1875,
    1876,     0,  1882,     0,     0,  1452,     0,  1883,     0,     0,
       0,     0,     0,     0,     0,  1877,     0,     0,     0,     0,
    3523,     0,     0,  1879,     0,     0,     0,  3129,  1884,  1885,
    1880,     0,  1444,     0,  1445,     0,  1882,  3534,     0,     0,
       0,  1883,     0,  1886,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,  1447,  1881,  3166,     0,     0,     0,     0,
       0,     0,  1884,  1885,  1448,     0,  1890,     0,  2230,  1453,
       0,     0,     0,     0,     0,     0,  1887,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,  1889,     0,     0,     0,     0,     0,     0,
       0,  2251,     0,     0,  1450,  1451,     0,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,  1889,     0,     0,
       0,  3615,  2252,  3617,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2322,  2323,
    2324,  2325,  1891,  1882,     0,  1892,  1893,  1894,  1883,  1895,
    1896,  1897,  1898,  1899,  1900,     0,  1890,     0,     0,  2677,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1884,
    1885,     0,     0,     0,     0,     0,  1453,     0,     0,     0,
    1872,  2362,  2363,  1873,  1886,     0,     0,  1874,  1875,  1876,
    1890,     0,     0,     0,  3664,  3296,     0,     0,     0,     0,
       0,     0,  2387,     0,  1877,     0,     0,     0,     0,     0,
       0,     0,  1879,     0,     0,     0,     0,  1887,     0,  1880,
       0,     0,  3678,     0,  3312,     0,     0,     0,     0,     0,
       0,  1888,     0,     0,  1889,     0,     0,  2432,  2433,  2434,
    2435,     0,     0,  1881,     0,     0,     0,     0,     0,     0,
       0,     0,  1891,     0,     0,  1892,  1893,  1894,     0,  1895,
    1896,  1897,  1898,  1899,  1900,     0,     0,     0,     0,  3706,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
    1436,     0,     0,     0,     0,     0,  1891,  1490,     0,  1892,
    1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,
       0,     0,     0,  3867,     0,  3278,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1890,     0,     0,
       0,  1437,  2923,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2527,     0,  1882,  3816,     0,  1492,  2531,  1883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1439,     0,     0,  1884,  1885,
       0,     0,  1440,     0,     0,  1441,     0,     0,     0,     0,
       0,     0,     0,  1886,     0,  1872,     0,     0,  1873,     0,
       0,     0,  1874,  1875,  1876,     0,     0,     0,     0,     0,
    1442,     0,     0,  1891,     0,     0,  1892,  1893,  1894,  1877,
    1895,  1896,  1897,  1898,  1899,  1900,  1887,  1879,     0,     0,
    3918,     0,     0,     0,  1880,     0,     0,     0,     0,  1493,
    1888,     0,  1443,  1889,     0,     0,     0,     0,     0,  3866,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1872,     0,
    3875,  1873,     0,     0,     0,  1874,  1875,  1876,  3520,     0,
       0,     0,  3522,  2691,     0,     0,     0,  1494,  3524,     0,
    1495,     0,  1877,     0,     0,  3898,     0,     0,     0,     0,
    1879,  1496,     0,  1445,  3535,  3537,     0,  1880,     0,  3537,
       0,     0,     0,  1446,  3548,  3549,  3550,     0,  3552,     0,
       0,     0,  1447,     0,     0,     0,  1890,     0,     0,  1807,
       0,  1881,  1497,  1448,     0,     0,     0,     0,     0,  3573,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3579,
    3580,  3581,  3582,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1882,     0,     0,
    3014,     0,  1883,  1450,  1451,  1499,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3599,     0,     0,  3604,
    3605,  3606,     0,  1884,  1885,  1500,     0,     0,     0,     0,
       0,  3015,     0,     0,     0,     0,     0,     0,  1886,     0,
       0,     0,     0,     0,     0,  1502,     0,     0,     0,     0,
       0,     0,  1891,     0,     0,  1892,  1893,  1894,     0,  1895,
    1896,  1897,  1898,  1899,  1900,     0,     0,  1435,     0,  4004,
    1882,  1887,     0,  1436,     0,  1883,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,  1889,     0,
       0,     0,     0,     0,     0,  1453,  1884,  1885,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1886,     0,     0,  1437,     0,     0,     0,     0,     0,
       0,  3673,     0,     0,     0,     0,     0,     0,     0,  3677,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,  3686,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,  1889,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,  1890,     0,     0,  3732,  1440,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,  2873,  2874,     0,
       0,     0,     0,     0,  1435,     0,  2885,     0,  2887,     0,
    1436,     0,  2891,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   832,     0,     0,     0,     0,     0,
       0,     0,     0,   832,   855,     0,  3769,     0,     0,     0,
       0,  3775,   855,     0,     0,  1443,     0,     0,     0,     0,
       0,  1437,     0,     0,  1890,   855,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3813,     0,     0,     0,     0,     0,  1891,     0,     0,
    1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,
       0,     0,     0,     0,  4033,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1444,  1439,  1445,     0,  3829,     0,
    3830,     0,  1440,  4228,     0,  1441,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,  1447,     0,     0,     0,     0,
    3019,     0,     0,  3022,     0,     0,  1448,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1891,     0,     0,  1892,  1893,  1894,     0,  1895,  1896,  1897,
    1898,  1899,  1900,     0,     0,     0,     0,  4321,     0,     0,
       0,     0,  1443,  3081,     0,     0,  1450,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,  1872,     0,     0,  1873,
       0,     0,     0,  1874,  1875,  1876,     0,     0,     0,  3096,
       0,     0,     0,     0,  3082,     0,     0,  3103,  3104,     0,
    1877,     0,     0,     0,  3106,     0,     0,     0,  1879,     0,
       0,     0,     0,     0,     0,  1880,     0,     0,  3122,     0,
       0,  1444,     0,  1445,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,  1881,
       0,     0,  1447,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1448,     0,     0,     0,     0,  1453,  3168,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1807,     0,  3191,     0,     0,
    3545,     0,     0,  1450,  1451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3546,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1872,     0,     0,  1873,     0,     0,     0,  1874,  1875,
    1876,  3250,     0,  3252,     0,     0,     0,     0,  1882,     0,
       0,     0,     0,  1883,     0,  1877,     0,     0,  4050,     0,
    4051,     0,     0,  1879,     0,     0,     0,  4053,     0,     0,
    1880,     0,     0,     0,  1884,  1885,     0,     0,     0,     0,
       0,     0,     0,  4063,     0,  1453,     0,     0,     0,  1886,
       0,     0,     0,     0,  1881,     0,     0,   832,     0,  4071,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   855,
    4438,     0,     0,     0,     0,   855,     0,  4091,  1872,     0,
       0,  1873,  1887,     0,     0,  1874,  1875,  1876,   855,     0,
       0,  1435,     0,     0,     0,  4095,  1888,  1436,     0,  1889,
       0,     0,  1877,  3311,   855,  4104,     0,     0,  4459,   832,
    1879,     0,     0,     0,     0,  1071,     0,  1880,     0,   832,
     855,     0,     0,     0,  4133,     0,     0,   855,     0,  4474,
       0,     0,     0,     0,     0,  4141,  4142,  4143,  1437,  1071,
     855,  1881,  4147,  4148,  4149,  4150,     0,     0,  4152,  4153,
     855,     0,     0,     0,  4160,  4161,     0,  4163,  4164,  4165,
    4166,  4167,  4168,  1882,  4170,     0,     0,     0,  1883,     0,
       0,     0,     0,  4178,     0,     0,  4181,  4182,     0,     0,
       0,     0,  1890,     0,     0,     0,     0,     0,     0,  1884,
    1885,     0,  1439,     0,  4500,  3537,     0,     0,     0,  1440,
       0,     0,  1441,     0,  1886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1442,     0,   832,
     832,     0,     0,  1872,     0,   855,  1873,  1887,     0,     0,
    1874,  1875,  1876,     0,     0,     0,     0,     0,     0,     0,
    1882,  1888,     0,     0,  1889,  1883,     0,  1877,     0,  1443,
       0,   832,     0,     0,     0,  1879,     0,     0,     0,     0,
       0,     0,  1880,     0,     0,     0,  1884,  1885,  1891,     0,
       0,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,
    1900,  1886,     0,     0,     0,  4356,  1881,     0,     0,     0,
       0,     0,     0,     0,     0,  4589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3537,     0,  1444,     0,
    1445,     0,     0,     0,  1887,     0,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,     0,  1890,  1888,  1447,
       0,  1889,     0,     0,     0,     0,     0,  1807,  4306,     0,
    1448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3526,     0,  3527,  3528,  3529,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3600,     0,     0,
    1450,  1451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   832,  1882,     0,     0,     0,     0,
    1883,  1071,     0,     0,     0,   832,     0,     0,  3601,     0,
       0,     0,     0,     0,  1890,     0,     0,     0,     0,     0,
       0,  1884,  1885,  1891,  1071,     0,  1892,  1893,  1894,     0,
    1895,  1896,  1897,  1898,  1899,  1900,  1886,     0,     0,  1071,
    4606,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1887,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,   832,     0,  1889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1891,     0,     0,  1892,  1893,  1894,     0,  1895,  1896,  1897,
    1898,  1899,  1900,  1071,     0,     0,     0,  4617,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4441,     0,     0,     0,  4442,  4443,  4444,  4445,
     855,     0,  4447,     0,     0,     0,     0,     0,     0,  1890,
       0,     0,     0,     0,   855,     0,     0,  3679,     0,     0,
       0,     0,     0,   832,     0,     0,     0,     0,     0,     0,
       0,   855,     0,  4465,  4466,  4467,     0,  4468,     0,  4470,
    4471,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4480,  4481,     0,     0,     0,     0,  1807,     0,   855,
       0,     0,     0,     0,     0,     0,     0,     0,  1071,     0,
     855,     0,     0,     0,     0,     0,     0,     0,  4486,     0,
       0,     0,     0,     0,     0,   855,     0,     0,   855,     0,
       0,     0,     0,     0,     0,     0,     0,  3664,     0,     0,
     832,  4496,     0,     0,     0,  1891,     0,     0,  1892,  1893,
    1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,     0,
       0,     0,  4626,     0,     0,     0,     0,     0,     0,     0,
     832,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1807,     0,     0,     0,     0,  1807,  1807,   832,   832,
     832,     0,   832,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4548,     0,     0,     0,     0,
       0,     0,   832,     0,     0,  3833,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4576,     0,   855,     0,     0,     0,
       0,     0,     0,     0,   855,   855,     0,     0,     0,     0,
       0,     0,     0,   832,  2027,     0,     0,     0,     0,  4600,
       0,     0,     0,  1872,     0,     0,  1873,     0,     0,     0,
    1874,  1875,  1876,     0,     0,     0,     0,     0,     0,     0,
       0,   832,     0,     0,     0,   832,   832,  1877,     0,     0,
       0,     0,     0,     0,     0,  1879,  4991,     0,  1872,     0,
     832,  1873,  1880,     0,  1071,  1874,  1875,  1876,     0,     0,
       0,  2027,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1877,     0,     0,     0,  1881,     0,     0,     0,
    1879,     0,     0,     0,     0,     0,     0,  1880,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,     0,   562,     0,     0,     0,
    1071,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1071,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4701,     0,     0,     0,
       0,     0,  1071,     0,     0,  1882,     0,     0,     0,     0,
    1883,     0,     0,     0,  4711,     0,     0,     0,     0,  4716,
    4717,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1884,  1885,     0,     0,     0,     0,     0,     0,     0,
    1882,     0,     0,     0,     0,  1883,  1886,     0,     0,     0,
       0,     0,  4056,  4057,  4058,  4059,     0,     0,     0,     0,
       0,   855,     0,     0,  5132,     0,  1884,  1885,     0,     0,
    4775,     0,     0,     0,     0,     0,     0,     0,     0,  1887,
       0,  1886,  1071,     0,     0,     0,     0,     0,     0,     0,
    4792,     0,     0,  1888,     0,     0,  1889,  1071,     0,     0,
       0,     0,     0,     0,     0,     0,  1071,     0,     0,     0,
       0,     0,     0,  2027,  1887,     0,     0,     0,  1071,     0,
       0,     0,     0,     0,     0,     0,     0,  3537,  1888,     0,
       0,  1889,  1872,     0,  4828,  1873,     0,   855,     0,  1874,
    1875,  1876,     0,     0,     0,   855,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1877,   855,     0,     0,
       0,     0,     0,     0,  1879,     0,     0,     0,     0,     0,
       0,  1880,     0,  1071,     0,     0,     0,     0,     0,  1890,
     832,     0,     0,   832,     0,     0,     0,  1071,     0,     0,
       0,     0,     0,   832,     0,  1881,     0,     0,     0,  1071,
       0,     0,  4870,     0,     0,     0,     0,     0,     0,     0,
       0,  1071,     0,     0,  1890,     0,     0,     0,     0,     0,
       0,     0,     0,  4886,     0,     0,     0,     0,   832,   832,
    4198,   855,   855,     0,  4894,     0,  4201,     0,     0,     0,
       0,     0,     0,   855,     0,     0,     0,     0,     0,     0,
       0,  1071,  1071,     0,   855,   855,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     855,     0,     0,     0,     0,  1891,     0,     0,  1892,  1893,
    1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,     0,
       0,     0,  4629,     0,     0,     0,  4957,     0,     0,     0,
       0,     0,   832,     0,  1882,     0,     0,     0,     0,  1883,
    1891,     0,     0,  1892,  1893,  1894,     0,  1895,  1896,  1897,
    1898,  1899,  1900,     0,     0,     0,     0,  4678,     0,     0,
    1884,  1885,     0,     0,     0,     0,   832,     0,   832,     0,
       0,     0,     0,   832,   832,  1886,     0,     0,     0,     0,
     832,   832,   832,     0,     0,     0,   832,  3537,   832,   832,
     832,   832,   832,   832,     0,   832,     0,   832,   832,     0,
       0,   832,     0,     0,     0,     0,     0,     0,  1887,     0,
       0,     0,     0,     0,     0,  1071,   832,   832,   832,   832,
    2027,     0,  1888,     0,   832,  1889,     0,     0,   832,     0,
       0,   832,     0,     0,   832,   832,   832,   832,   832,   832,
     832,   832,   832,     0,   832,     0,     0,  1872,     0,  5040,
    1873,   832,     0,   832,  1874,  1875,  1876,     0,     0,     0,
       0,     0,     0,     0,  5053,     0,     0,     0,     0,     0,
       0,  1877,     0,     0,     0,     0,     0,     0,     0,  1879,
       0,     0,     0,     0,     0,     0,  1880,     0,     0,     0,
       0,     0,     0,  1872,     0,     0,  1873,     0,     0,     0,
    1874,  1875,  1876,     0,     0,     0,     0,     0,  1890,     0,
    1881,     0,  5080,     0,     0,     0,     0,  1877,     0,     0,
       0,     0,     0,     0,     0,  1879,     0,  5091,     0,     0,
       0,     0,  1880,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   832,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1891,  5148,     0,  1892,  1893,  1894,
       0,  1895,  1896,  1897,  1898,  1899,  1900,     0,     0,  1882,
       0,  4712,     0,     0,  1883,     0,   855,     0,     0,     0,
       0,     0,     0,  1071,     0,     0,     0,  1071,  1071,     0,
       0,     0,     0,     0,   855,  1884,  1885,  5170,     0,  2027,
     855,     0,     0,     0,   855,     0,     0,     0,     0,     0,
    1886,     0,   855,     0,  1872,  1882,     0,  1873,     0,     0,
    1883,  1874,  1875,  1876,     0,     0,     0,     0,     0,     0,
     855,     0,     0,   832,     0,     0,     0,     0,  1877,     0,
       0,  1884,  1885,  1887,     0,   832,  1879,     0,     0,  1071,
       0,     0,   832,  1880,     0,     0,  1886,  1888,  4493,     0,
    1889,  1071,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4497,   855,     0,     0,  1881,     0,     0,
       0,  5230,     0,     0,     0,     0,     0,     0,     0,  1887,
       0,     0,   855,   855,     0,     0,     0,     0,     0,     0,
       0,  1071,     0,  1888,     0,     0,  1889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2027,   855,     0,     0,  2027,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1890,     0,     0,     0,     0,     0,     0,
     855,     0,  2027,     0,     0,     0,     0,     0,   855,  4561,
       0,     0,     0,     0,   855,     0,     0,     0,   855,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1882,     0,   855,  1890,
       0,  1883,     0,   855,     0,     0,     0,   855,     0,     0,
    2027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     855,     0,  1884,  1885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   855,     0,     0,     0,  1886,     0,     0,
       0,     0,   855,     0,     0,     0,     0,     0,     0,  1891,
       0,     0,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,
    1899,  1900,     0,     0,     0,     0,  4752,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,  1872,   832,  1071,  1873,     0,
       0,     0,  1874,  1875,  1876,  1891,  2027,     0,  1892,  1893,
    1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,  1877,
       0,     0,  5052,     0,     0,     0,     0,  1879,     0,     0,
       0,     0,     0,     0,  1880,     0,     0,     0,     0,     0,
     832,     0,     0,     0,     0,     0,     0,     0,  4683,  4684,
    4684,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1071,
    1890,     0,     0,   855,     0,     0,     0,     0,     0,     0,
       0,     0,   832,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1872,     0,     0,  1873,
       0,     0,     0,  1874,  1875,  1876,   855,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1877,     0,     0,     0,     0,     0,     0,     0,  1879,     0,
       0,     0,     0,     0,     0,  1880,     0,  1882,     0,     0,
       0,     0,  1883,     0,   855,     0,  1891,     0,     0,  1892,
    1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,  1881,
    1071,     0,   855,  1884,  1885,     0,     0,     0,     0,     0,
     855,     0,  4812,     0,   832,     0,  1872,  1071,  1886,  1873,
     832,     0,     0,  1874,  1875,  1876,     0,     0,     0,     0,
    1071,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1877,   832,     0,     0,     0,     0,   832,     0,  1879,     0,
       0,  1887,     0,     0,     0,  1880,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,  1889,   832,
     832,   832,     0,     0,   832,     0,     0,     0,     0,  1881,
       0,     0,   832,   832,   832,   832,     0,     0,     0,     0,
    2027,     0,     0,     0,     0,   832,  2027,     0,   832,     0,
     832,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
       0,   832,   832,  1883,     0,   832,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   832,
       0,   832,     0,   832,  1884,  1885,     0,   848,   857,     0,
       0,     0,     0,     0,     0,     0,   857,     0,     0,  1886,
       0,  1890,     0,   832,     0,  4913,     0,  4915,     0,   857,
       0,     0,     0,     0,   832,     0,   832,   832,   832,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   855,  1887,     0,   832,     0,     0,     0,  1882,     0,
       0,     0,     0,  1883,     0,   832,  1888,     0,     0,  1889,
     832,     0,     0,     0,     0,     0,   832,     0,     0,     0,
       0,     0,     0,     0,  1884,  1885,   832,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,     0,     0,     0,  1071,     0,     0,  1071,     0,
    1071,     0,     0,     0,     0,  1071,     0,  1891,     0,     0,
    1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,
     855,   855,  1887,     0,  5174,     0,   832,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,  1889,
       0,     0,  1890,     0,     0,     0,     0,   855,     0,     0,
     855,     0,     0,     0,  1071,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4684,  1071,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1071,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1890,     0,     0,     0,     0,     0,     0,     0,
       0,  2027,  2027,  2027,     0,     0,     0,     0,  1891,     0,
       0,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,
    1900,     0,  5087,  2761,     0,   855,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1071,     0,  1071,     0,     0,
       0,     0,     0,     0,     0,   855,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     855,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1872,     0,     0,  1873,     0,     0,     0,  1874,  1875,  1876,
       0,     0,     0,     0,     0,     0,     0,     0,  1891,     0,
       0,  1892,  1893,  1894,  1877,  1895,  1896,  1897,  1898,  1899,
    1900,     0,  1879,     0,     0,  5237,     0,     0,     0,  1880,
       0,     0,     0,     0,     0,     0,     0,     0,  1071,     0,
    5155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,     0,     0,     0,     0,   855,     0,
       0,     0,     0,     0,     0,     0,  1071,     0,     0,     0,
       0,     0,     0,   857,     0,     0,     0,     0,     0,   857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1071,
       0,     0,   857,     0,     0,     0,  2027,  1071,     0,     0,
       0,     0,     0,   855,     0,   855,     0,     0,   857,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   855,     0,
     855,     0,     0,   848,   857,     0,     0,     0,     0,     0,
       0,   857,  5223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2027,     0,   857,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   857,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,  4684,  4684,  1071,  1883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   855,  1071,     0,     0,     0,  1884,  1885,
       0,     0,     0,     0,     0,     0,     0,  1071,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   855,     0,     0,     0,     0,  1887,     0,     0,   857,
       0,     0,     0,     0,     0,     0,     0,   855,     0,     0,
    1888,     0,  4684,  1889,     0,     0,     0,  1872,     0,     0,
    1873,     0,     0,     0,  1874,  1875,  1876,     0,     0,   855,
       0,     0,   855,     0,     0,     0,     0,     0,     0,     0,
       0,  1877,     0,     0,     0,     0,     0,     0,     0,  1879,
     832,     0,     0,  1071,     0,     0,  1880,     0,     0,   832,
       0,     0,     0,     0,     0,   832,     0,   832,     0,     0,
     832,     0,     0,     0,  1071,   832,   832,   832,   832,     0,
    1881,   832,   832,   832,   832,   832,   832,   832,   832,   832,
     832,     0,     0,     0,   832,   832,  1890,     0,     0,  1071,
       0,     0,     0,     0,   832,     0,     0,     0,   832,     0,
    2027,     0,   832,     0,     0,     0,     0,     0,     0,     0,
     832,     0,     0,   832,     0,   832,     0,     0,     0,     0,
       0,     0,     0,  1071,   832,     0,     0,   832,   832,     0,
       0,     0,   832,   832,     0,     0,     0,     0,     0,   832,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   832,
       0,     0,   832,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   832,     0,     0,     0,   848,
       0,   832,   832,   832,     0,     0,     0,     0,     0,  1882,
       0,     0,  1891,     0,  1883,  1892,  1893,  1894,     0,  1895,
    1896,  1897,  1898,  1899,  1900,     0,     0,   832,     0,  5257,
       0,     0,     0,     0,     0,  1884,  1885,     0,     0,     0,
       0,     0,     0,   832,     0,     0,     0,     0,     0,  1071,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   832,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1887,     0,     0,     0,     0,     0,     0,
       0,     0,   855,     0,     0,     0,     0,  1888,     0,     0,
    1889,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2027,     0,     0,     0,     0,  2027,  1071,  2027,
       0,     0,     0,     0,   857,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   857,     0,
       0,  2027,  1071,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1890,     0,   857,  1872,     0,  2027,  1873,
       0,     0,     0,  1874,  1875,  1876,     0,     0,     0,     0,
       0,     0,     0,   855,     0,     0,   855,     0,     0,     0,
    1877,     0,     0,   857,  2774,     0,     0,     0,  1879,     0,
       0,     0,     0,     0,   857,  1880,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
       0,     0,   857,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   832,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1891,
       0,     0,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,
    1899,  1900,     0,   855,   855,     0,  5290,  1071,  2775,     0,
       0,     0,     0,   855,     0,     0,     0,     0,     0,     0,
     832,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   855,     0,     0,     0,     0,  1872,     0,     0,
    1873,     0,     0,     0,  1874,  1875,  1876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1071,   832,   832,
       0,  1877,     0,     0,     0,     0,     0,     0,  1882,  1879,
     857,     0,     0,  1883,     0,     0,  1880,     0,   857,   857,
       0,     0,     0,     0,     0,     0,     0,     0,  2029,     0,
       0,     0,     0,     0,  1884,  1885,     0,     0,     0,     0,
    1881,     0,     0,     0,   855,     0,     0,     0,     0,  1886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   832,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   832,     0,     0,     0,
       0,     0,  1887,     0,     0,  2029,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,  1889,
       0,     0,     0,     0,     0,     0,   832,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   832,   832,     0,  1071,
       0,     0,     0,   832,   832,     0,  3362,     0,   832,  1071,
       0,  3363,     0,   832,     0,     0,   832,   832,     0,     0,
       0,   832,     0,     0,     0,     0,     0,   832,     0,  1882,
       0,     0,     0,     0,  1883,     0,     0,     0,     0,   832,
       0,     0,     0,     0,     0,     0,     0,   832,     0,     0,
       0,   832,     0,     0,     0,  1884,  1885,     0,     0,     0,
       0,     0,  1890,     0,   832,     0,     0,     0,     0,   832,
    1886,     0,     0,     0,  1872,   832,     0,  1873,     0,     0,
       0,  1874,  1875,  1876,     0,     0,     0,     0,     0,     0,
     832,     0,     0,     0,     0,     0,     0,     0,  1877,     0,
       0,     0,     0,  1887,     0,     0,  1879,     0,     0,     0,
       0,     0,     0,  1880,     0,     0,   832,  1888,  2776,     0,
    1889,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1262,  1262,  1071,     0,     0,  1881,     0,     0,
       0,     0,     0,     0,     0,   857,     0,     0,     0,     0,
       0,   855,     0,     0,     0,     0,  2027,     0,  1891,     0,
       0,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,
    1900,     0,  1071,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   855,     0,
       0,     0,     0,  1071,     0,     0,     0,  2029,     0,     0,
     855,     0,     0,  1890,     0,     0,     0,   856,     0,     0,
       0,     0,     0,     0,     0,   856,   832,     0,     0,     0,
       0,   857,     0,     0,     0,     0,     0,   855,   856,   857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   857,     0,     0,     0,     0,  1882,     0,     0,     0,
       0,  1883,     0,     0,     0,     0,     0,     0,  1071,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1884,  1885,     0,     0,     0,     0,     0,     0,
       0,     0,   832,     0,     0,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,   832,     0,     0,  1891,
       0,     0,  1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,
    1899,  1900,   848,   848,     0,   857,   857,     0,     0,   855,
    1887,     0,     0,     0,     0,     0,   832,   857,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,  1889,   857,   857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   857,     0,     0,     0,     0,     0,
    3910,     0,     0,     0,     0,     0,     0,  1071,     0,  1071,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   848,     0,     0,     0,
       0,   855,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   832,     0,     0,
       0,  1071,     0,     0,     0,     0,   832,     0,     0,     0,
    1890,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   832,   832,     0,  3911,   832,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   832,     0,     0,     0,     0,     0,     0,   832,
       0,     0,     0,     0,   832,     0,     0,   832,   832,     0,
       0,     0,     0,     0,  2029,   832,   832,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   832,     0,   832,     0,     0,     0,     0,
     855,     0,   855,     0,     0,     0,   832,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,  1892,
    1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1071,   855,     0,     0,     0,     0,
       0,     0,     0,     0,   832,     0,     0,     0,     0,     0,
       0,     0,     0,  1872,     0,     0,  1873,     0,     0,     0,
    1874,  1875,  1876,  1829,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1877,     0,     0,
    2027,     0,   856,     0,     0,  1879,   832,     0,   856,     0,
       0,     0,  1880,  1843,     0,     0,     0,     0,     0,     0,
       0,   856,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,   856,     0,     0,
       0,  1861,  1862,  1863,     0,  1865,     0,     0,     0,     0,
       0,     0,     0,   856,     0,     0,     0,     0,     0,     0,
     856,  4802,     0,     0,     0,  1907,     0,     0,     0,     0,
       0,     0,     0,   856,   832,     0,  1071,     0,     0,     0,
       0,     0,     0,   856,     0,     0,     0,     0,     0,     0,
     857,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     832,  1071,     0,   832,     0,   832,  1944,     0,   857,     0,
       0,     0,     0,  2029,   857,     0,     0,     0,   857,     0,
       0,  5202,     0,     0,     0,   832,   857,     0,     0,     0,
       0,   832,     0,     0,  2048,   832,     0,     0,  2060,  2063,
       0,  1071,     0,     0,   857,  1882,   832,     0,     0,     0,
    1883,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   848,     0,   856,     0,
       0,  1884,  1885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1886,  2027,   857,     0,
       0,     0,     0,     0,     0,  1071,     0,     0,     0,     0,
    1071,  1071,     0,     0,     0,   832,   857,   857,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1887,
       0,     0,     0,   855,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,  1889,  2029,   857,     0,
       0,  2029,     0,     0,     0,     0,     0,  1070,     0,     0,
       0,     0,   832,     0,     0,     0,     0,  5203,     0,     0,
       0,     0,     0,     0,   857,     0,  2029,     0,     0,     0,
       0,  1070,   857,     0,     0,   832,     0,     0,   857,     0,
       0,     0,   857,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   857,     0,     0,     0,     0,   857,     0,  1071,
    1071,   857,     0,     0,  2029,     0,     0,     0,     0,  1890,
       0,     0,     0,     0,   857,     0,     0,     0,     0,     0,
     832,     0,     0,   832,     0,     0,   832,   857,     0,     0,
       0,     0,     0,     0,     0,     0,   857,   832,     0,     0,
       0,     0,   832,     0,   832,     0,   832,     0,     0,     0,
       0,     0,     0,     0,   832,  1872,     0,     0,  1873,     0,
       0,     0,  1874,  1875,  1876,     0,     0,     0,     0,     0,
       0,     0,   832,     0,     0,     0,     0,     0,     0,  1877,
       0,     0,  3321,     0,     0,     0,     0,  1879,     0,     0,
    2029,     0,     0,     0,  1880,     0,     0,     0,     0,     0,
       0,  2027,     0,   855,     0,  1891,     0,     0,  1892,  1893,
    1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   832,     0,     0,     0,     0,     0,     0,
       0,   832,     0,     0,     0,     0,     0,   857,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   832,   832,     0,     0,
       0,     0,     0,   856,   832,  2027,     0,     0,  1071,     0,
       0,     0,     0,     0,   832,     0,     0,   856,     0,     0,
       0,     0,     0,   855,     0,     0,     0,     0,     0,     0,
     857,     0,     0,     0,   856,     0,   832,  1882,     0,     0,
       0,     0,  1883,  1070,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   856,  1884,  1885,     0,  1070,     0,   857,     0,
       0,     0,     0,   856,     0,     0,     0,     0,  1886,     0,
       0,  1070,     0,     0,     0,     0,   857,   832,   856,     0,
       0,   856,   832,     0,   857,     0,     0,     0,     0,     0,
       0,   832,     0,     0,   848,     0,     0,   832,   832,   832,
       0,  1887,     0,     0,     0,     0,     0,     0,   832,     0,
       0,     0,     0,     0,     0,  1888,  2622,     0,  1889,     0,
       0,     0,     0,     0,     0,   832,     0,     0,     0,  2642,
       0,  2644,     0,     0,  2656,  2659,  2664,     0,     0,   855,
       0,  2670,     0,     0,  2675,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1070,     0,     0,     0,  2682,
    2683,  2684,  2685,   832,  2029,     0,     0,  2692,     0,     0,
    2029,  2704,     0,     0,  2706,     0,     0,  2713,  2714,  2715,
    2716,  2717,  2718,  2719,  2720,  2721,     0,  2722,     0,     0,
     832,   832,     0,     0,  1262,     0,  2750,     0,     0,   856,
       0,  1890,     0,     0,     0,     0,     0,   856,   856,     0,
       0,     0,     0,     0,     0,  2027,     0,  2028,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   832,     0,     0,     0,     0,     0,   832,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   857,     0,     0,     0,     0,
    1070,     0,   832,     0,  2027,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2028,     0,     0,     0,     0,  2027,
     832,   832,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1891,     0,     0,
    1892,  1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2770,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   857,   857,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1872,
       0,   857,  1873,     0,   857,     0,  1874,  1875,  1876,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1877,     0,     0,     0,     0,     0,     0,
       0,  1879,     0,     0,     0,     0,     0,     0,  1880,  1060,
       0,     0,     0,     0,  1872,     0,     0,  1873,     0,     0,
    1069,  1874,  1875,  1876,     0,     0,     0,     0,     0,     0,
       0,     0,  1881,  1060,     0,     0,  2859,     0,  1877,     0,
       0,  3367,     0,     0,  1069,     0,  1879,     0,     0,     0,
       0,     0,     0,  1880,     0,  2029,  2029,  2029,     0,     0,
       0,     0,     0,     0,   856,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2101,  1881,     0,   857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   857,     0,  2028,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     856,  1882,  2101,     0,     0,     0,  1883,     0,   856,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     856,     0,     0,     0,     0,     0,     0,  1884,  1885,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1070,  1886,     0,     0,     0,  1882,     0,     0,     0,
       0,  1883,   857,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1070,     0,     0,     0,     0,     0,
       0,     0,  1884,  1885,     0,  1887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,  1888,
    2029,     0,  1889,     0,   856,   856,     0,   857,     0,   857,
       0,     0,     0,     0,     0,     0,   856,     0,     0,  3335,
       0,     0,   857,     0,   857,     0,     0,   856,   856,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   856,  1888,     0,  2029,  1889,     0,  3120,
       0,     0,     0,     0,  1070,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1070,
       0,     0,     0,     0,     0,  1060,     0,     0,  2101,     0,
       0,     0,     0,     0,     0,  1890,  1069,   857,     0,     0,
    1070,     0,     0,     0,     0,     0,     0,     0,  1060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1069,
       0,     0,     0,  1060,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1069,     0,     0,     0,     0,     0,
    1890,     0,     0,     0,     0,   857,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1070,     0,     0,     0,     0,
       0,   857,     0,     0,     0,     0,     0,     0,     0,  1070,
       0,     0,     0,  2028,     0,     0,     0,     0,     0,     0,
       0,  1070,     0,   857,     0,     0,   857,     0,     0,     0,
       0,  1891,     0,  1070,  1892,  1893,  1894,     0,  1895,  1896,
    1897,  1898,  1899,  1900,     0,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1070,  1070,     0,  1891,     0,     0,  1892,
    1893,  1894,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2029,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3317,     0,     0,     0,     0,  3323,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1060,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,  1865,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2664,     0,  2664,  2664,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3381,     0,
       0,  3384,     0,  3386,     0,     0,     0,     0,     0,     0,
       0,  1872,     0,     0,  1873,     0,     0,  1070,  1874,  1875,
    1876,     0,     0,     0,     0,     0,     0,     0,     0,   856,
       0,     0,  3404,     0,  3407,  1877,  3409,     0,     0,     0,
       0,     0,     0,  1879,     0,     0,     0,   856,     0,     0,
    1880,     0,  2028,   856,     0,  2753,     0,   856,     0,     0,
       0,     0,     0,     0,     0,   856,     0,     0,     0,  2750,
    2750,  2750,     0,     0,  1881,     0,   857,     0,     0,     0,
       0,     0,     0,   856,     0,     0,     0,  3459,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2048,     0,
       0,     0,     0,  3469,     0,     0,     0,     0,     0,  2063,
       0,     0,     0,     0,  1928,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2029,   856,     0,     0,
       0,  2029,     0,  2029,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   856,   856,     0,     0,     0,
    1872,     0,     0,  1873,     0,  2029,     0,  1874,  1875,  1876,
       0,     0,     0,     0,     0,  3372,     0,     0,  1060,  3506,
       0,     0,  2029,     0,  1877,     0,  2028,   856,     0,  1069,
    2028,     0,  1879,  1882,     0,     0,     0,   857,  1883,  1880,
     857,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   856,     0,  2028,     0,     0,     0,  1884,
    1885,   856,     0,  1881,     0,     0,     0,   856,     0,     0,
    1872,   856,     0,  1873,  1886,     0,     0,  1874,  1875,  1876,
       0,     0,     0,     0,  1060,  2814,     0,     0,     0,  2101,
    2820,   856,     0,     0,  1877,  1069,   856,  3378,     0,     0,
     856,     0,  1879,  2028,     0,     0,     0,  1887,     0,  1880,
       0,     0,     0,   856,     0,     0,     0,     0,     0,     0,
       0,  1888,     0,  1060,  1889,     0,   856,   857,   857,     0,
       0,     0,     0,  1881,  1069,   856,     0,   857,     0,     0,
       0,     0,     0,     0,     0,     0,  1060,     0,     0,     0,
       0,  1070,     0,     0,     0,     0,   857,  1069,     0,     0,
       0,     0,     0,  1070,     0,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,     0,     0,     0,  1883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2028,
       0,     0,     0,     0,     0,     0,     0,     0,  1884,  1885,
       0,     0,     0,  1070,     0,     0,     0,  1890,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1060,     0,   857,     0,
       0,     0,     0,     0,     0,     0,     0,  1069,     0,     0,
       0,  1060,  1882,     0,     0,     0,  1887,  1883,     0,     0,
    1060,     0,  1069,     0,     0,     0,     0,     0,     0,     0,
    1888,  1069,  1060,  1889,     0,     0,   856,     0,  1884,  1885,
       0,     0,     0,  1069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1891,     0,     0,  1892,  1893,  1894,     0,
    1895,  1896,  1897,  1898,  1899,  1900,  1887,  1060,     0,   856,
       0,     0,     0,     0,     0,     0,     0,     0,  1069,     0,
    1888,  1060,     0,  1889,     0,     0,     0,     0,     0,     0,
       0,     0,  1069,  1060,     0,     0,  1890,     0,     0,     0,
       0,     0,     0,     0,  1069,  1060,     0,   856,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,   856,  3863,     0,     0,  1070,
       0,  1872,     0,   856,  1873,     0,     0,     0,  1874,  1875,
    1876,     0,     0,     0,     0,  1060,  1060,     0,     0,     0,
       0,     0,     0,     0,     0,  1877,  1069,  1069,  3917,     0,
       0,     0,     0,  1879,     0,     0,  1890,     0,     0,     0,
    1880,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1891,     0,  1881,  1892,  1893,  1894,     0,  1895,
    1896,  1897,  1898,  1899,  1900,   857,     0,     0,     0,     0,
    2029,  2101,     0,  2028,     0,     0,     0,     0,     0,  2028,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   857,  3864,     0,     0,     0,     0,     0,     0,
       0,     0,  3868,     0,   857,     0,     0,     0,  3869,     0,
    3870,     0,  1891,     0,     0,  1892,  1893,  1894,     0,  1895,
    1896,  1897,  1898,  1899,  1900,     0,     0,     0,     0,  1060,
       0,   857,     0,     0,     0,     0,     0,  3894,  3895,     0,
    1069,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1882,   856,  2670,     0,     0,  1883,     0,
       0,     0,     0,  3920,     0,     0,  3923,     0,  3925,     0,
       0,     0,  1070,     0,     0,     0,     0,  3929,     0,  1884,
    1885,     0,     0,     0,     0,  3936,  3937,     0,     0,  1070,
       0,     0,     0,     0,  1886,     0,     0,     0,     0,     0,
       0,     0,  1070,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3984,     0,
       0,     0,     0,   857,  3991,  3992,  2750,  1887,     0,     0,
       0,     0,     0,   856,   856,     0,     0,     0,     0,     0,
       0,  1888,     0,     0,  1889,     0,     0,     0,     0,     0,
    4007,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     856,     0,     0,   856,     0,     0,  4020,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1872,
       0,     0,  1873,     0,     0,     0,  1874,  1875,  1876,     0,
       0,     0,     0,     0,     0,   857,     0,     0,  1872,     0,
       0,  1873,     0,  1877,     0,  1874,  1875,  1876,     0,     0,
       0,  1879,     0,     0,     0,     0,     0,     0,  1880,     0,
       0,     0,     0,     0,     0,     0,     0,  1890,     0,     0,
    1879,     0,     0,     0,     0,     0,     0,  1880,  2753,  2753,
    2753,     0,  1881,     0,  2028,  2028,  2028,  1060,     0,     0,
       0,  1060,  1060,     0,     0,     0,     0,     0,  1069,     0,
       0,  1881,  1069,  1069,     0,     0,     0,     0,   856,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   856,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   856,   857,     0,   857,  2101,     0,     0,
    2820,     0,  2820,  1060,     0,     0,     0,  2101,     0,     0,
       0,     0,     0,  1891,  1069,  1060,  1892,  1893,  1894,     0,
    1895,  1896,  1897,  1898,  1899,  1900,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
       0,  1882,     0,     0,     0,     0,  1883,     0,   848,     0,
       0,     0,     0,     0,     0,  1060,  1070,     0,     0,     0,
    1882,     0,     0,     0,     0,  1883,  1069,  1884,  1885,     0,
       0,   856,     0,  1070,     0,     0,     0,     0,     0,     0,
       0,     0,  1886,     0,  2029,     0, -2566, -2566,     0,     0,
     848,     0,     0,     0,     0,     0,     0,     0,  2101,     0,
       0,  1886,     0,     0,     0,     0,     0,     0,     0,  2028,
       0,     0,     0,     0,     0,  1887,   856,     0,   856,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
       0,   856,  1889,   856, -2566,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,  2028,     0,     0,     0,     0,
       0,  4282,  4283,     0,     0,     0,     0,  1070,     0,  1070,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   856,  1062,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1890,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4319,     0,
       0,  1060,     0,     0,  1890,     0,     0,     0,     0,  4324,
       0,     0,  1069,     0,   856,     0,     0,     0,     0,     0,
    1070,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     856,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2029,     0,     0,     0,     0,     0,     0,  1070,  4339,
    4341,     0,   856,     0,     0,   856,  4345,  4346,     0,     0,
       0,  4347,     0,     0,     0,     0,  4350,     0,     0,  4353,
    4354,  2820,     0,     0,  4358,     0,     0,   857,     0,  2820,
    4362,  1891,     0,  1060,  1892,  1893,  1894,     0,  1895,  1896,
    1897,  1898,  1899,  1900,  1069,     0,     0,     0,     0,     0,
    1891,     0,     0,  1892,  1893,  1894,     0,  1895,  1896,  1897,
    1898,  1899,  1900,     0,     0,     0,     0,  2750,     0,     0,
       0,     0,  2750,     0,     0,     0,     0,     0,  2750,     0,
       0,     0,     0,  2028,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1262,     0,     0,     0,     0,  1070,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2820,     0,     0,  4422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1070,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1060,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,     0,     0,
       0,  1060,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1069,     0,  1060,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,  1062,     0,     0,  2029,     0,   857,     0,  4483,
       0,     0,     0,     0,     0,  1070,     0,  1062,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   856,  1070,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1070,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2028,     0,     0,     0,     0,
    2028,     0,  2028,     0,     0,  1070,     0,     0,     0,  2029,
       0,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,  2028,     0,     0,   857,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     848,  2028,     0,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2753,   856,     0,     0,   856,
       0,     0,     0,   574,     0,     0,     0,     0,   575,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1060,
     576,     0,  1060,     0,  1060,     0,     0,     0,     0,  1060,
    1069,     0,     0,  1069,     0,  1069,     0,     0,     0,     0,
    1069,  2101,   577,     0,     0,     0,     0,     0,     0,     0,
       0,   848,   848,     0,     0,   578,  1062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   579,     0,     0,     0,
    -848,     0,     0,     0,     0,     0,  4623,  4624,  1060,     0,
    4625,     0,     0,     0,     0,     0,   856,   856,   580,  1069,
       0,     0,     0,   857,   581,  1060,   856,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,   582,     0,     0,     0,   856,     0,     0,  4661,  4662,
    1060,     0,   583,     0,     0,     0,     0,     0,     0,     0,
     584,  1069,     0,     0,     0,     0,     0,     0,  4674,     0,
    2820,     0,   585,     0,  1063,     0,     0,     0,     0,     0,
     586,     0,     0,     0,   587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2820,     0,     0,  1063,     0,  2029,
       0, -1068,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,   856,     0,  1060,
       0,  1060,     0,     0,     0,     0,     0,     0,     0,     0,
    1069,     0,  1069,     0,     0,     0,     0,     0,   588,     0,
       0,     0,     0,     0,     0,     0,     0,  -570,  2029,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2029,   848,   848,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   589,     0,     0,   590,     0,  1065,     0,     0,     0,
       0,     0,  1062,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,  1060,   591,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,  1069,     0,     0,   592,     0,     0,  1070,
       0,     0,     0,  -447,  1065,     0,     0,     0,     0,     0,
    1060,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1069,   593,     0,     0,     0,     0,     0,     0,   594,
       0,     0,     0,  1060,     0,     0,  -447,     0,  1062,   595,
       0,  1060,     0,     0,  1069,     0,  2670,     0,     0,  2101,
       0,     0,  1069,     0,     0,     0,     0,     0,   596,     0,
       0,     0,     0,     0,   597,     0,     0,     0,     0,  -447,
       0,     0,   598,   599,  4851,   600,   601,  1062,     0,     0,
       0,  1063,     0,     0,     0,   602,     0,     0,  1065,  1865,
     603,     0,     0,     0,     0,     0,   604,     0,     0,   605,
    1062,     0,   606,     0,     0,     0,     0,     0,     0,     0,
    1060,     0,     0,     0,     0,  -447,     0,     0,     0,     0,
       0,  1069,     0,     0,   856,     0,     0,  1066,  1060,  2028,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1069,
       0,  1060,     0,     0,     0,     0,     0,     0,  4901,     0,
       0,  1066,  1069,     0,     0,     0,     0,     0,     0,     0,
       0,   856,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1070,     0,   856,     0,     0,     0,     0,     0,     0,
    1062,  1070,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,  1062,     0,     0,     0,     0,
     856,     0,     0,     0,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2753,  1060,     0,     0,
       0,  2753,     0,     0,     0,     0,     0,  2753,  1069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1069,
       0,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1060,     0,  1062,     0,  1063,     0,     0,
       0,     0,   856,     0,  1069,     0,     0,  1062,     0,  4661,
       0,     0,     0,     0,     0,     0,  1070,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,  5042,     0,     0,  1069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1070,     0,     0,     0,     0,  1062,
    1062,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   856,  1070,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,  5094,     0,     0,     0,
       0,     0,     0,  1060,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,  1066,  1069,     0,     0,     0,     0,     0,
    1070,     0,     0,     0,     0,     0,     0,     0,     0,  5120,
    5120,     0,     0,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4661,     0,     0,
       0,  1066,     0,     0,     0,  1065,     0,     0,     0,     0,
       0,     0,     0,   856,     0,   856,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,     0,     0,     0,
    1063,     0,  1060,     0,     0,     0,     0,     0,   856,  1063,
       0,     0,     0,  1069,     0,     0,     0,  1065,     0,     0,
       0,  1063,   626,     0,     0,  5179,  1060,   627,     0,  4587,
       0,  1070,     0,     0,     0,  1066,     0,  1069,     0,   628,
       0,     0,  5120,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2028,     0,     0,     0,     0,     0,     0,
       0,   629,     0,     0,     0,     0,     0,     0,  5220,     0,
       0,     0,     0,  1070,   630,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   631,
    1063,     0,     0,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,   632,     0,     0,
       0,     0,  1065,     0,  1063,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
     633,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
    1066,   634,     0,     0,     0,     0,     0,     0,     0,   635,
       0,  1060,     0,     0,  1063,  1063,     0,     0,     0,     0,
       0,   636,  1069,     0,     0,     0,   637,     0,     0,     0,
       0,     0,     0,   638,     0,  5120,     0,     0,     0,     0,
       0,  5278,     0,     0,     0,     0,     0,     0,  1065,     0,
     639,  1062,     0,     0,     0,  1062,  1062,     0,     0,     0,
       0,  1060,  1065,     0,     0,     0,  2820,     0,  1068,     0,
       0,     0,  1069,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,   640,     0,     0,     0,
    2028,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,  1065,     0,  1062,
     641,     0,     0,     0,     0,     0,   856,     0,     0,     0,
       0,     0,   642,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,   643,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,     0,     0,   644,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1060,     0,     0,     0,     0,  2820,     0,
       0,   645,     0,  1060,  1069,     0,   646,     0,   647,     0,
       0,     0,     0,     0,  1069,   648,  1066,     0,   649,     0,
       0,     0,     0,  1070,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   650,     0,     0,
       0,     0,     0,   651,     0,     0,     0,     0,   652,     0,
       0,   653,     0,     0,     0,   654,     0,     0,     0,     0,
       0,     0,   655,  1070,   656,     0,     0,     0,     0,   657,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   658,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   659,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1070,     0,     0,
       0,  1066,  1070,  1070,     0,     0,     0,     0,  1060,     0,
       0,     0,     0,     0,  2028,     0,   856,     0,     0,  1069,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,     0,     0,     0,     0,
       0,     0,   921,     0,     0,     0,  1060,   922,     0,     0,
       0,     0,     0,     0,  1068,     0,  1063,  1069,     0,     0,
    1063,  1063,     0,     0,     0,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1068,  1069,     0,
       0,   923,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,   924,   925,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,   926,     0,     0,  2028,   927,
       0,  4587,  1070,     0,     0,     0,     0,  1062,     0,  1066,
       0,     0,  1063,     0,     0,     0,   856,   928,  1066,     0,
       0,     0,  1060,     0,  1063,     0,     0,     0,     0,     0,
    1066,     0,     0,  1069,     0,     0,     0,     0,     0,     0,
     929,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   930,     0,     0,     0,     0,     0,     0,  1065,   931,
       0,     0,  1065,  1065,  1063,     0,  1068,     0,     0,     0,
       0,   932,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
     934,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,  1066,  1065,   935,     0,     0,     0,     0,
       0,     0,     0,  1060,     0,  1062,  1065,     0,     0,     0,
       0,     0,   856,     0,  1069,     0,   936,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1066,  1066,     0,     0,     0,     0,     0,
       0,  1068,     0,     0,     0,  1060,  1065,     0,     0,     0,
     937,     0,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1070,     0,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,     0,     0,   939,     0,     0,  2028,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,   940,     0,     0,     0,     0,   941,     0,   942,     0,
       0,     0,     0,     0,     0,   943,     0,     0,   944,     0,
       0,     0,     0,     0,     0,   192,     0,  2028,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   945,     0,     0,
       0,     0,  2028,   946,     0,     0,     0,     0,   947,     0,
       0,   948,     0,     0,     0,   949,     0,  1066,     0,     0,
       0,     0,   950,     0,   951,     0,     0,     0,  1060,   952,
       0,     0,   193,     0,     0,     0,     0,     0,     0,  1069,
       0,     0,  1063,     0,     0,     0,     0,   194,     0,     0,
       0,     0,     0,     0,   953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   195,     0,     0,     0,     0,
       0,   196,  1065,  1062,     0,     0,  1062,     0,  1062,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,   197,     0,
       0,     0,     0,     0,     0,     0,     0,  1068,     0,   198,
       0,     0,     0,     0,     0,     0,     0,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
       0,     0,     0,     0,   201,     0,     0,     0,     0,     0,
       0,   202,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,  1062,
    1060,     0,     0,  1063,  1065,     0,     0,     0,     0,     0,
       0,  1069,     0,  1068,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,   204,  1062,  1060,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,  1069,     0,     0,     0,
       0,     0,     0,     0,   205,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1060,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1068,  1069,     0,   206,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,  1066,
    1066,     0,     0,  1062,     0,  1062,     0,     0,     0,     0,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,     0,     0,   209,     0,  1065,     0,     0,     0,  1060,
       0,     0,     0,     0,  1060,  1060,     0,     0,     0,     0,
    1069,     0,  1065,     0,     0,  1069,  1069,     0,     0,   210,
       0,     0,     0,     0,   211,  1065,   212,     0,     0,     0,
       0,  1066,     0,   213,     0,  1068,   214,     0,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,     0,     0,   215,  1062,     0,     0,  1068,
       0,   216,     0,     0,     0,   217,   218,     0,     0,   219,
       0,  1068,     0,   220,     0,     0,     0,     0,     0,     0,
       0,     0,   221,  1066,  1062,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,   224,     0,  1060,  1062,     0,     0,  1063,     0,
       0,  1063,     0,  1063,     0,  1069,  1068,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1068,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,  1062,     0,  1068,  1068,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,  1065,     0,  1065,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,  1065,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,  1062,  1060,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0,     0,     0,
       0,  1065,  1062,     0,     0,     0,     0,     0,  1068,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1062,     0,     0,     0,     0,     0,     0,     0,  1063,
    1065,     0,  1065,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1066,  1065,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,  1065,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1068,     0,     0,     0,
    1068,  1068,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,  1902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,  1063,     0,     0,  1065,
       0,     0,     0,     0,  1068,     0,     0,     0,     0,     0,
       0,     0,  1065,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,  1902,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,  1068,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1066,     0,     0,
    1066,     0,  1066,     0,     0,     0,     0,  1066,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,     0,     0,  1065,     0,
       0,     0,     0,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1065,  1062,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,     0,     0,     0,     0,  1066,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,  1062,  1068,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,  1068,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
    1063,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,  1065,     0,     0,     0,  1062,     0,     0,     0,
    1902,     0,     0,     0,  2652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1902,  1902,
    1902,     0,  1902,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1065,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,  1902,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1902,     0,     0,     0,  1066,     0,  1062,  1068,     0,
       0,  1068,     0,  1068,     0,     0,     0,     0,  1068,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,  1068,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1068,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,  1902,     0,     0,     0,  1068,
       0,     0,     0,     0,     0,     0,     0,  1902,     0,     0,
    1902,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1068,     0,
    1068,     0,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,  1068,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1068,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1062,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,     0,     0,     0,     0,
    1068,     0,  1063,  1065,     0,     0,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1068,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,  1068,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,  1062,     0,     0,     0,     0,  1062,  1062,
       0,     0,     0,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1068,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,  1068,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1068,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1902,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,  1066,     0,     0,     0,     0,  1902,
       0,  1902,     0,     0,  2652,  2652,     0,  3358,     0,  2652,
       0,     0,     0,  1902,     0,  1066,  1902,     0,     0,     0,
       0,  1902,     0,     0,     0,     0,     0,  1902,     0,     0,
       0,  1065,  1902,     0,     0,     0,  1062,     0,  1063,  1902,
    1902,  1902,  1902,  1063,  1063,     0,  2652,  2652,     0,  1902,
       0,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,  1902,     0,  1902,     0,     0,     0,     0,     0,     0,
    1902,  1902,  1902,  1902,  1902,  1902,  1902,  1902,  1902,  1902,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1068,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1902,     0,     0,
       0,     0,     0,     0,     0,  1068,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1902,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,  1063,     0,  1065,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1902,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1068,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1068,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1068,  1066,     0,     0,
       0,     0,  1066,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1068,     0,     0,  1902,     0,     0,     0,     0,     0,
    1902,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3358,  3358,     0,     0,
    2652,  2652,  2652,  2652,     0,     0,  2652,  2652,  2652,  2652,
    2652,  2652,  2652,  2652,  2652,  2652,  3358,     0,     0,     0,
       0,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1902,     0,
       0,  1902,     0,  1902,     0,     0,  3358,  3358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1902,  2652,  2652,  1902,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,  1068,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1902,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1068,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2652,     0,     0,     0,     0,     0,  1068,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1068,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1068,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1068,     0,
       0,     0,     0,  1068,  1068,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1902,     0,     0,     0,  1902,  1902,  1902,     0,     0,
       0,     0,     0,  3358,  3358,  3358,  3358,     0,     0,     0,
       0,  3358,  3358,  3358,  3358,  3358,  3358,  3358,  3358,  3358,
    3358,  1902,  1902,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1902,     0,     0,
    1902,     0,  1902,     0,     0,     0,  1902,     0,     0,  3358,
    3358,     0,     0,  1902,  1902,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1068,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1902,     0,     0,     0,     0,     0,     0,  1902,  1902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1902,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1902,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1068,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3358,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1902,
    1902,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,     0,
       0,  1902,  2652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,  1902,     0,
       0,     0,  1902,  1902,  1902,     0,     0,  1902,     0,     0,
    1902,  1902,     0,     0,     0,  1902,     0,     0,     0,  1902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1902,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3358,  2652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1902,  1902,  1902,     0,     0,     0,     0,     0,     0,     0,
    2652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1902,  1902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2652,     0,     0,  3358,     0,     0,     0,  1902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3358,     0,  2652,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1902,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2652,  2652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1902,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   804,
    1179,   621,  1180,  1181,  1182,   680,  1183,     0,     0,  3358,
    3358,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,  2744,   237,   238,   239,     0,     0,     0,     0,
    1184,     0,     0,   240,   241,  1902,   242,   243,   244,   805,
     245,   246,   247,   248,  1185,   806,  1186,  1187,     0,   252,
     253,   254,   255,   256,  1188,  1189,   257,   258,  1190,  1191,
     261,     0,   262,   263,   264,   265,  1192,     0,  1193,     0,
     267,   268,   269,   270,   271,   808,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   809,   281,   282,
     283,  1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,   285,
     286,   287,   288,   289,  1201,  1202,   292,  1203,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,  2745,     0,   304,   305,  1041,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,  1204,   320,   321,   322,  1205,  1206,   324,     0,   325,
     326,  1207,   328,     0,   329,     0,   330,   811,     0,   812,
     331,   332,   333,   334,     0,   335,  1208,     0,  1209,   338,
       0,   339,   340,   341,   342,   343,   813,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     814,   355,   356,   357,   358,   359,  1210,  1211,     0,  1212,
       0,   363,   815,   816,   364,   817,   365,   366,   367,   368,
     369,     0,     0,   370,  1213,   818,   372,   819,     0,   373,
     374,   375,  1214,  1215,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1216,   820,  1217,   394,   395,   396,   397,  1218,   398,   399,
     821,   400,  1219,  1220,   402,  1221,   404,   405,   406,     0,
     407,   408,     0,     0,  1222,   410,   411,     0,     0,   412,
     413,   822,   414,   823,  1223,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,  1224,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1225,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   824,   461,   462,   463,  1226,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,  1227,   479,   480,   481,   482,   483,
     825,   484,   485,  1228,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1229,     0,
     501,   502,     0,   503,   826,   504,   505,   506,   507,   508,
       0,  1230,  1231,     0,     0,   511,   512,  1232,   514,  1233,
    1234,   516,   517,   518,   519,   520,   521,   522,     0,  1235,
     523,   524,   525,   526,   527,  1236,     0,   528,   529,   530,
     531,   532,   533,  1237,  2746,   535,   827,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,  1238,  1239,  1240,  1241,   552,  1242,  1243,
    1244,  1245,   557,   558,   559,   560,  1246,     0,     0,     0,
       0,     0,     0,  1247,  1248,  2747,     0,     0,     0,     0,
       0,     0,  1250,  2748,   804,  1179,   621,  1180,  1181,  1182,
     680,  1183,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,  1184,     0,     0,   240,   241,
       0,   242,   243,   244,   805,   245,   246,   247,   248,  1185,
     806,  1186,  1187,     0,   252,   253,   254,   255,   256,  1188,
    1189,   257,   258,  1190,  1191,   261,     0,   262,   263,   264,
     265,  1192,     0,  1193,     0,   267,   268,   269,   270,   271,
     808,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   809,   281,   282,   283,  1194,  1195,  1196,  1197,
    1198,  1199,  1200,   284,   285,   286,   287,   288,   289,  1201,
    1202,   292,  1203,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
    1041,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,  1204,   320,   321,   322,
    1205,  1206,   324,     0,   325,   326,  1207,   328,     0,   329,
       0,   330,   811,     0,   812,   331,   332,   333,   334,     0,
     335,  1208,     0,  1209,   338,     0,   339,   340,   341,   342,
     343,   813,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   814,   355,   356,   357,   358,
     359,  1210,  1211,     0,  1212,     0,   363,   815,   816,   364,
     817,   365,   366,   367,   368,   369,     0,     0,   370,  1213,
     818,   372,   819,     0,   373,   374,   375,  1214,  1215,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,  1216,   820,  1217,   394,   395,
     396,   397,  1218,   398,   399,   821,   400,  1219,  1220,   402,
    1221,   404,   405,   406,     0,   407,   408,     0,     0,  1222,
     410,   411,     0,     0,   412,   413,   822,   414,   823,  1223,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,  1224,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1225,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   824,
     461,   462,   463,  1226,   465,   466,   467,   468,   469,   470,
     471,   472,   473,    39,   474,   475,   476,   477,   478,  1227,
     479,   480,   481,   482,   483,   825,   484,   485,  1228,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1229,     0,   501,   502,    43,   503,   826,
     504,   505,   506,   507,   508,     0,  1230,  1231,     0,     0,
     511,   512,  1232,   514,  1233,  1234,   516,   517,   518,   519,
     520,   521,   522,     0,  1235,   523,   524,   525,   526,   527,
    1236,     0,   528,   529,   530,   531,   532,  1115,  1237,     0,
     535,   827,   536,   537,   538,   539,     0,     0,   540,     0,
      48,   541,   542,   543,   544,   545,   546,   547,  1238,  1239,
    1240,  1241,   552,  1242,  1243,  1244,  1245,   557,   558,   559,
     560,  1246,     0,    49,     0,     0,     0,     0,  1247,  1248,
       0,     0,     0,     0,     0,     0,     0,  1250,  4863,   804,
    1179,   621,  1180,  1181,  1182,   680,  1183,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
    1184,     0,     0,   240,   241,     0,   242,   243,   244,   805,
     245,   246,   247,   248,  1185,   806,  1186,  1187,     0,   252,
     253,   254,   255,   256,  1188,  1189,   257,   258,  1190,  1191,
     261,     0,   262,   263,   264,   265,  1192,     0,  1193,     0,
     267,   268,   269,   270,   271,   808,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   809,   281,   282,
     283,  1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,   285,
     286,   287,   288,   289,  1201,  1202,   292,  1203,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,  1041,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,  1204,   320,   321,   322,  1205,  1206,   324,     0,   325,
     326,  1207,   328,     0,   329,     0,   330,   811,     0,   812,
     331,   332,   333,   334,     0,   335,  1208,     0,  1209,   338,
       0,   339,   340,   341,   342,   343,   813,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     814,   355,   356,   357,   358,   359,  1210,  1211,     0,  1212,
       0,   363,   815,   816,   364,   817,   365,   366,   367,   368,
     369,     0,     0,   370,  1213,   818,   372,   819,     0,   373,
     374,   375,  1214,  1215,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1216,   820,  1217,   394,   395,   396,   397,  1218,   398,   399,
     821,   400,  1219,  1220,   402,  1221,   404,   405,   406,     0,
     407,   408,     0,     0,  1222,   410,   411,     0,     0,   412,
     413,   822,   414,   823,  1223,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,  1224,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1225,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   824,   461,   462,   463,  1226,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,  1227,   479,   480,   481,   482,   483,
     825,   484,   485,  1228,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1229,     0,
     501,   502,     0,   503,   826,   504,   505,   506,   507,   508,
       0,  1230,  1231,     0,     0,   511,   512,  1232,   514,  1233,
    1234,   516,   517,   518,   519,   520,   521,   522,     0,  1235,
     523,   524,   525,   526,   527,  1236,     0,   528,   529,   530,
     531,   532,   533,  1237,     0,   535,   827,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,  1238,  1239,  1240,  1241,   552,  1242,  1243,
    1244,  1245,   557,   558,   559,   560,  1246,     0,     0,     0,
       0,     0,     0,  1247,  1248,     0,     0,     0,     0,     0,
       0,     0,  1250,  2654,   804,  1179,   621,  1180,  1181,  1182,
     680,  1183,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,  1184,     0,     0,   240,   241,
       0,   242,   243,   244,   805,   245,   246,   247,   248,  1185,
     806,  1186,  1187,     0,   252,   253,   254,   255,   256,  1188,
    1189,   257,   258,  1190,  1191,   261,     0,   262,   263,   264,
     265,  1192,     0,  1193,     0,   267,   268,   269,   270,   271,
     808,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   809,   281,   282,   283,  1194,  1195,  1196,  1197,
    1198,  1199,  1200,   284,   285,   286,   287,   288,   289,  1201,
    1202,   292,  1203,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
    1041,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,  1204,   320,   321,   322,
    1205,  1206,   324,     0,   325,   326,  1207,   328,     0,   329,
       0,   330,   811,     0,   812,   331,   332,   333,   334,     0,
     335,  1208,     0,  1209,   338,     0,   339,   340,   341,   342,
     343,   813,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   814,   355,   356,   357,   358,
     359,  1210,  1211,     0,  1212,     0,   363,   815,   816,   364,
     817,   365,   366,   367,   368,   369,     0,     0,   370,  1213,
     818,   372,   819,     0,   373,   374,   375,  1214,  1215,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,  1216,   820,  1217,   394,   395,
     396,   397,  1218,   398,   399,   821,   400,  1219,  1220,   402,
    1221,   404,   405,   406,     0,   407,   408,     0,     0,  1222,
     410,   411,     0,     0,   412,   413,   822,   414,   823,  1223,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,  1224,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1225,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   824,
     461,   462,   463,  1226,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,  1227,
     479,   480,   481,   482,   483,   825,   484,   485,  1228,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1229,     0,   501,   502,     0,   503,   826,
     504,   505,   506,   507,   508,     0,  1230,  1231,     0,     0,
     511,   512,  1232,   514,  1233,  1234,   516,   517,   518,   519,
     520,   521,   522,     0,  1235,   523,   524,   525,   526,   527,
    1236,     0,   528,   529,   530,   531,   532,   533,  1237,     0,
     535,   827,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,  1238,  1239,
    1240,  1241,   552,  1242,  1243,  1244,  1245,   557,   558,   559,
     560,  1246,     0,     0,     0,     0,     0,     0,  1247,  1248,
       0,     0,     0,     0,     0,     0,     0,  1250,  3872,   804,
    1179,   621,  1180,  1181,  1182,   680,  1183,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
    1184,     0,     0,   240,   241,     0,   242,   243,   244,   805,
     245,   246,   247,   248,  1185,   806,  1186,  1187,     0,   252,
     253,   254,   255,   256,  1188,  1189,   257,   258,  1190,  1191,
     261,     0,   262,   263,   264,   265,  1192,     0,  1193,     0,
     267,   268,   269,   270,   271,   808,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   809,   281,   282,
     283,  1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,   285,
     286,   287,   288,   289,  1201,  1202,   292,  1203,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,  1041,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,  1204,   320,   321,   322,  1205,  1206,   324,     0,   325,
     326,  1207,   328,     0,   329,     0,   330,   811,     0,   812,
     331,   332,   333,   334,     0,   335,  1208,     0,  1209,   338,
       0,   339,   340,   341,   342,   343,   813,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     814,   355,   356,   357,   358,   359,  1210,  1211,     0,  1212,
       0,   363,   815,   816,   364,   817,   365,   366,   367,   368,
     369,     0,     0,   370,  1213,   818,   372,   819,     0,   373,
     374,   375,  1214,  1215,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1216,   820,  1217,   394,   395,   396,   397,  1218,   398,   399,
     821,   400,  1219,  1220,   402,  1221,   404,   405,   406,     0,
     407,   408,     0,     0,  1222,   410,   411,     0,     0,   412,
     413,   822,   414,   823,  1223,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,  1224,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1225,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   824,   461,   462,   463,  1226,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,  1227,   479,   480,   481,   482,   483,
     825,   484,   485,  1228,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1229,     0,
     501,   502,     0,   503,   826,   504,   505,   506,   507,   508,
       0,  1230,  1231,     0,     0,   511,   512,  1232,   514,  1233,
    1234,   516,   517,   518,   519,   520,   521,   522,     0,  1235,
     523,   524,   525,   526,   527,  1236,     0,   528,   529,   530,
     531,   532,   533,  1237,     0,   535,   827,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,  1238,  1239,  1240,  1241,   552,  1242,  1243,
    1244,  1245,   557,   558,   559,   560,  1246,     0,     0,   227,
       0,     0,     0,  1247,  1248,     0,     0,     0,     0,     0,
       0,     0,  1250,  3943,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,  3961,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0, -1724,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0, -1724,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
   -1724,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364, -1724,   365,   366,   367,   368,
     369,     0,     0,   370,   371, -1724,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392, -1724,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460, -1724,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,     0,  1033,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1331,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   805,
     245,   246,   247,     0,  1034,   806,  1035,  1036,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,  1037,  1038,
     261,     0,   262,   263,   264,   265,     0,     0,   807,     0,
     267,   268,   269,   270,   271,   808,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   809,   281,   282,
     283,     0,     0,     0,   810,     0,     0,     0,   284,   285,
     286,   287,   288,   289,  1039,  1040,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,  1041,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,     0,   320,   321,   322,     0,     0,   324,     0,   325,
     326,  1042,   328,     0,   329,     0,   330,   811,     0,   812,
     331,   332,   333,   334,     0,   335,     0,     0,     0,   338,
       0,   339,   340,   341,   342,   343,   813,   344,   345,   346,
     347,  2087,   348,   349,   350,   351,   352,   353,     0,   354,
     814,  2088,   356,   357,   358,   359,  1044,  1045,     0,  1046,
       0,   363,   815,   816,   364,   817,   365,   366,   367,   368,
     369,     0,     0,   370,     0,   818,   372,   819,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1047,   820,  1048,   394,   395,   396,     0,     0,   398,   399,
     821,   400,     0,     0,   402,  1049,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
    2090,   822,   414,   823,     0,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   428,     0,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1050,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   824,   461,   462,   463,     0,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,  2091,   482,   483,
     825,   484,   485,  1052,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,     0,
     501,   502,     0,   503,   826,   504,   505,   506,   507,   508,
       0,  1053,  1054,     0,     0,   511,   512,     0,   514,     0,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,     0,  1055,  2092,   535,   827,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,  1033,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   558,   559,   560,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,  2197,     0,     0,   240,   241,     0,   242,
     243,   244,   805,   245,   246,   247,     0,  1034,   806,  1035,
    1036,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,  1037,  1038,   261,     0,   262,   263,   264,   265,     0,
       0,   807,     0,   267,   268,   269,   270,   271,   808,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     809,   281,   282,   283,     0,     0,     0,   810,     0,     0,
       0,   284,   285,   286,   287,   288,   289,  1039,  1040,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,  1041,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,     0,   320,   321,   322,     0,     0,
     324,     0,   325,   326,  1042,   328,     0,   329,     0,   330,
     811,     0,   812,   331,   332,   333,   334,     0,   335,     0,
       0,     0,   338,     0,   339,   340,   341,   342,   343,   813,
     344,   345,   346,   347,  2087,   348,   349,   350,   351,   352,
     353,     0,   354,   814,  2088,   356,   357,   358,   359,  1044,
    1045,     0,  1046,     0,   363,   815,   816,   364,   817,   365,
     366,   367,   368,   369,     0,     0,   370,     0,   818,   372,
     819,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,  1047,   820,  1048,   394,   395,   396,     0,
       0,   398,   399,   821,   400,     0,     0,   402,  1049,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,  2090,   822,   414,   823,     0,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   428,     0,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1050,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   824,   461,   462,
     463,     0,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
    2091,   482,   483,   825,   484,   485,  1052,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,     0,   501,   502,     0,   503,   826,   504,   505,
     506,   507,   508,     0,  1053,  1054,     0,     0,   511,   512,
       0,   514,     0,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,     0,  1055,  2092,   535,   827,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,     0,   804,  1179,   621,  1180,
    1181,  1182,   680,  1183,     0,     0,   558,   559,   560,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,  3206,  1184,     0,     0,
     240,   241,     0,   242,   243,   244,   805,   245,   246,   247,
     248,  1185,   806,  1186,  1187,     0,   252,   253,   254,   255,
     256,  1188,  1189,   257,   258,  1190,  1191,   261,     0,   262,
     263,   264,   265,  1192,     0,  1193,     0,   267,   268,   269,
     270,   271,   808,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   809,   281,   282,   283,  1194,  1195,
    1196,  1197,  1198,  1199,  1200,   284,   285,   286,   287,   288,
     289,  1201,  1202,   292,  1203,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,  1041,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,  1204,   320,
     321,   322,  1205,  1206,   324,     0,   325,   326,  1207,   328,
       0,   329,     0,   330,   811,     0,   812,   331,   332,   333,
     334,     0,   335,  1208,     0,  1209,   338,     0,   339,   340,
     341,   342,   343,   813,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   814,   355,   356,
     357,   358,   359,  1210,  1211,     0,  1212,     0,   363,   815,
     816,   364,   817,   365,   366,   367,   368,   369,     0,     0,
     370,  1213,   818,   372,   819,     0,   373,   374,   375,  1214,
    1215,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1216,   820,  1217,
     394,   395,   396,   397,  1218,   398,   399,   821,   400,  1219,
    1220,   402,  1221,   404,   405,   406,     0,   407,   408,     0,
       0,  1222,   410,   411,     0,     0,   412,   413,   822,   414,
     823,  1223,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,  1224,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1225,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   824,   461,   462,   463,  1226,   465,   466,   467,   468,
     469,   470,   471,   472,   473,    39,   474,   475,   476,   477,
     478,  1227,   479,   480,   481,   482,   483,   825,   484,   485,
    1228,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1229,     0,   501,   502,    43,
     503,   826,   504,   505,   506,   507,   508,     0,  1230,  1231,
       0,     0,   511,   512,  1232,   514,  1233,  1234,   516,   517,
     518,   519,   520,   521,   522,     0,  1235,   523,   524,   525,
     526,   527,  1236,     0,   528,   529,   530,   531,   532,  1115,
    1237,     0,   535,   827,   536,   537,   538,   539,     0,     0,
     540,     0,    48,   541,   542,   543,   544,   545,   546,   547,
    1238,  1239,  1240,  1241,   552,  1242,  1243,  1244,  1245,   557,
     558,   559,   560,  1246,     0,    49,     0,     0,     0,     0,
    1247,  1248,     0,     0,     0,     0,     0,     0,     0,  1250,
     804,  1179,   621,  1180,  1181,  1182,   680,  1183,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,  1184,     0,     0,   240,   241,     0,   242,   243,   244,
     805,   245,   246,   247,   248,  1185,   806,  1186,  1187,  2660,
     252,   253,   254,   255,   256,  1188,  1189,   257,   258,  1190,
    1191,   261,     0,   262,   263,   264,   265,  1192,     0,  1193,
       0,   267,   268,   269,   270,   271,   808,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,   809,   281,
     282,   283,  1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,
     285,   286,   287,   288,   289,  1201,  1202,   292,  1203,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,  1041,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,  1204,   320,   321,   322,  1205,  1206,   324,     0,
     325,   326,  1207,   328,     0,   329,     0,   330,   811,  2661,
     812,   331,   332,   333,   334,     0,   335,  1208,     0,  1209,
     338,     0,   339,   340,   341,   342,   343,   813,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,   814,   355,   356,   357,   358,   359,  1210,  1211,     0,
    1212,     0,   363,   815,   816,   364,   817,   365,   366,   367,
     368,   369,     0,  2662,   370,  1213,   818,   372,   819,     0,
     373,   374,   375,  1214,  1215,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,  1216,   820,  1217,   394,   395,   396,   397,  1218,   398,
     399,   821,   400,  1219,  1220,   402,  1221,   404,   405,   406,
       0,   407,   408,     0,     0,  1222,   410,   411,     0,     0,
     412,   413,   822,   414,   823,  1223,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,  1224,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1225,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   824,   461,   462,   463,  1226,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,  1227,   479,   480,   481,   482,
     483,   825,   484,   485,  1228,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,  1229,
       0,   501,   502,     0,   503,   826,   504,   505,   506,   507,
     508,     0,  1230,  1231,     0,  2663,   511,   512,  1232,   514,
    1233,  1234,   516,   517,   518,   519,   520,   521,   522,     0,
    1235,   523,   524,   525,   526,   527,  1236,     0,   528,   529,
     530,   531,   532,   533,  1237,     0,   535,   827,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,  1238,  1239,  1240,  1241,   552,  1242,
    1243,  1244,  1245,   557,   558,   559,   560,  1246,     0,     0,
       0,     0,     0,     0,  1247,  1248,     0,     0,     0,     0,
       0,     0,     0,  1250,   804,  1179,   621,  1180,  1181,  1182,
     680,  1183,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,  1184,     0,     0,   240,   241,
       0,   242,   243,   244,   805,   245,   246,   247,   248,  1185,
     806,  1186,  1187,     0,   252,   253,   254,   255,   256,  1188,
    1189,   257,   258,  1190,  1191,   261,     0,   262,   263,   264,
     265,  1192,     0,  1193,     0,   267,   268,   269,   270,   271,
     808,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   809,   281,   282,   283,  1194,  1195,  1196,  1197,
    1198,  1199,  1200,   284,   285,   286,   287,   288,   289,  1201,
    1202,   292,  1203,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
    1041,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,  1204,   320,   321,   322,
    1205,  1206,   324,     0,   325,   326,  1207,   328,     0,   329,
       0,   330,   811,     0,   812,   331,   332,   333,   334,     0,
     335,  1208,     0,  1209,   338,     0,   339,   340,   341,   342,
     343,   813,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   814,   355,   356,   357,   358,
     359,  1210,  1211,     0,  1212,     0,   363,   815,   816,   364,
     817,   365,   366,   367,   368,   369,     0,     0,   370,  1213,
     818,   372,   819,     0,   373,   374,   375,  1214,  1215,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,  1216,   820,  1217,   394,   395,
     396,   397,  1218,   398,   399,   821,   400,  1219,  1220,   402,
    1221,   404,   405,   406,     0,   407,   408,     0,     0,  1222,
     410,   411,     0,     0,   412,   413,   822,   414,   823,  1223,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,  1224,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1225,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   824,
     461,   462,   463,  1226,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,  1227,
     479,   480,   481,   482,   483,   825,   484,   485,  1228,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1229,     0,   501,   502,     0,   503,   826,
     504,   505,   506,   507,   508,     0,  1230,  1231,     0,     0,
     511,   512,  1232,   514,  1233,  1234,   516,   517,   518,   519,
     520,   521,   522,     0,  1235,   523,   524,   525,   526,   527,
    1236,     0,   528,   529,   530,   531,   532,   533,  1237,     0,
     535,   827,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,  1238,  1239,
    1240,  1241,   552,  1242,  1243,  1244,  1245,   557,   558,   559,
     560,  1246,     0,     0,     0,     0,     0,     0,  1247,  1248,
       0,     0,     0,     0,     0,  1826,  2615,  1250,   804,  1179,
     621,  1180,  1181,  1182,   680,  1183,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,  1184,
       0,     0,   240,   241,     0,   242,   243,   244,   805,   245,
     246,   247,   248,  1185,   806,  1186,  1187,     0,   252,   253,
     254,   255,   256,  1188,  1189,   257,   258,  1190,  1191,   261,
       0,   262,   263,   264,   265,  1192,     0,  1193,     0,   267,
     268,   269,   270,   271,   808,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   809,   281,   282,   283,
    1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,   285,   286,
     287,   288,   289,  1201,  1202,   292,  1203,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,  1041,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
    1204,   320,   321,   322,  1205,  1206,   324,     0,   325,   326,
    1207,   328,     0,   329,     0,   330,   811,     0,   812,   331,
     332,   333,   334,     0,   335,  1208,     0,  1209,   338,     0,
     339,   340,   341,   342,   343,   813,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   814,
     355,   356,   357,   358,   359,  1210,  1211,     0,  1212,     0,
     363,   815,   816,   364,   817,   365,   366,   367,   368,   369,
       0,     0,   370,  1213,   818,   372,   819,     0,   373,   374,
     375,  1214,  1215,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,  1216,
     820,  1217,   394,   395,   396,   397,  1218,   398,   399,   821,
     400,  1219,  1220,   402,  1221,   404,   405,   406,     0,   407,
     408,     0,     0,  1222,   410,   411,     0,     0,   412,   413,
     822,   414,   823,  1223,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,  1224,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1225,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   824,   461,   462,   463,  1226,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,  1227,   479,   480,   481,   482,   483,   825,
     484,   485,  1228,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1229,     0,   501,
     502,     0,   503,   826,   504,   505,   506,   507,   508,     0,
    1230,  1231,     0,     0,   511,   512,  1232,   514,  1233,  1234,
     516,   517,   518,   519,   520,   521,   522,     0,  1235,   523,
     524,   525,   526,   527,  1236,     0,   528,   529,   530,   531,
     532,   533,  1237,     0,   535,   827,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,  1238,  1239,  1240,  1241,   552,  1242,  1243,  1244,
    1245,   557,   558,   559,   560,  1246,     0,     0,     0,     0,
       0,     0,  1247,  1248,  1249,     0,     0,     0,     0,     0,
       0,  1250,   804,  1179,   621,  1180,  1181,  1182,   680,  1183,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,  2058,   237,   238,   239,     0,
       0,     0,     0,  1184,     0,     0,   240,   241,     0,   242,
     243,   244,   805,   245,   246,   247,   248,  1185,   806,  1186,
    1187,     0,   252,   253,   254,   255,   256,  1188,  1189,   257,
     258,  1190,  1191,   261,     0,   262,   263,   264,   265,  1192,
       0,  1193,     0,   267,   268,   269,   270,   271,   808,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     809,   281,   282,   283,  1194,  1195,  1196,  1197,  1198,  1199,
    1200,   284,   285,   286,   287,   288,   289,  1201,  1202,   292,
    1203,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,  1041,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,  1204,   320,   321,   322,  1205,  1206,
     324,     0,   325,   326,  1207,   328,     0,   329,     0,   330,
     811,     0,   812,   331,   332,   333,   334,     0,   335,  1208,
       0,  1209,   338,     0,   339,   340,   341,   342,   343,   813,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   814,   355,   356,   357,   358,   359,  1210,
    1211,     0,  1212,     0,   363,   815,   816,   364,   817,   365,
     366,   367,   368,   369,     0,     0,   370,  1213,   818,   372,
     819,     0,   373,   374,   375,  1214,  1215,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,  1216,   820,  1217,   394,   395,   396,   397,
    1218,   398,   399,   821,   400,  1219,  1220,   402,  1221,   404,
     405,   406,     0,   407,   408,     0,     0,  1222,   410,   411,
       0,     0,   412,   413,   822,   414,   823,  1223,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
    1224,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1225,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   824,   461,   462,
     463,  1226,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,  1227,   479,   480,
     481,   482,   483,   825,   484,   485,  1228,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1229,     0,   501,   502,     0,   503,   826,   504,   505,
     506,   507,   508,     0,  1230,  1231,     0,     0,   511,   512,
    1232,   514,  1233,  1234,   516,   517,   518,   519,   520,   521,
     522,     0,  1235,   523,   524,   525,   526,   527,  1236,     0,
     528,   529,   530,   531,   532,   533,  1237,     0,   535,   827,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,  1238,  1239,  1240,  1241,
     552,  1242,  1243,  1244,  1245,   557,   558,   559,   560,  1246,
       0,     0,     0,     0,     0,     0,  1247,  1248,     0,     0,
       0,     0,     0,     0,     0,  1250,   804,  1179,   621,  1180,
    1181,  1182,   680,  1183,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,  1184,     0,     0,
     240,   241,     0,   242,   243,   244,   805,   245,   246,   247,
     248,  1185,   806,  1186,  1187,     0,   252,   253,   254,   255,
     256,  1188,  1189,   257,   258,  1190,  1191,   261,     0,   262,
     263,   264,   265,  1192,     0,  1193,     0,   267,   268,   269,
     270,   271,   808,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   809,   281,   282,   283,  1194,  1195,
    1196,  1197,  1198,  1199,  1200,   284,   285,   286,   287,   288,
     289,  1201,  1202,   292,  1203,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,  1041,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,  1204,   320,
     321,   322,  1205,  1206,   324,     0,   325,   326,  1207,   328,
       0,   329,     0,   330,   811,  2661,   812,   331,   332,   333,
     334,     0,   335,  1208,     0,  1209,   338,     0,   339,   340,
     341,   342,   343,   813,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   814,   355,   356,
     357,   358,   359,  1210,  1211,     0,  1212,     0,   363,   815,
     816,   364,   817,   365,   366,   367,   368,   369,     0,     0,
     370,  1213,   818,   372,   819,     0,   373,   374,   375,  1214,
    1215,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1216,   820,  1217,
     394,   395,   396,   397,  1218,   398,   399,   821,   400,  1219,
    1220,   402,  1221,   404,   405,   406,     0,   407,   408,     0,
       0,  1222,   410,   411,     0,     0,   412,   413,   822,   414,
     823,  1223,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,  1224,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1225,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   824,   461,   462,   463,  1226,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,  1227,   479,   480,   481,   482,   483,   825,   484,   485,
    1228,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1229,     0,   501,   502,     0,
     503,   826,   504,   505,   506,   507,   508,     0,  1230,  1231,
       0,     0,   511,   512,  1232,   514,  1233,  1234,   516,   517,
     518,   519,   520,   521,   522,     0,  1235,   523,   524,   525,
     526,   527,  1236,     0,   528,   529,   530,   531,   532,   533,
    1237,     0,   535,   827,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
    1238,  1239,  1240,  1241,   552,  1242,  1243,  1244,  1245,   557,
     558,   559,   560,  1246,     0,     0,     0,     0,     0,     0,
    1247,  1248,     0,     0,     0,     0,     0,     0,     0,  1250,
     804,  1179,   621,  1180,  1181,  1182,   680,  1183,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,  1184,     0,     0,   240,   241,     0,   242,   243,   244,
     805,   245,   246,   247,   248,  1185,   806,  1186,  1187,     0,
     252,   253,   254,   255,   256,  1188,  1189,   257,   258,  1190,
    1191,   261,     0,   262,   263,   264,   265,  1192,     0,  1193,
       0,   267,   268,   269,   270,   271,   808,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,   809,   281,
     282,   283,  1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,
     285,   286,   287,   288,   289,  1201,  1202,   292,  1203,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,  1041,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,  1204,   320,   321,   322,  1205,  1206,   324,     0,
     325,   326,  1207,   328,     0,   329,     0,   330,   811,     0,
     812,   331,   332,   333,   334,     0,   335,  1208,     0,  1209,
     338,     0,   339,   340,   341,   342,   343,   813,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,   814,   355,   356,   357,   358,   359,  1210,  1211,     0,
    1212,     0,   363,   815,   816,   364,   817,   365,   366,   367,
     368,   369,     0,     0,   370,  1213,   818,   372,   819,     0,
     373,   374,   375,  1214,  1215,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,  1216,   820,  1217,   394,   395,   396,   397,  1218,   398,
     399,   821,   400,  1219,  1220,   402,  1221,   404,   405,   406,
       0,   407,   408,     0,     0,  1222,   410,   411,     0,     0,
     412,   413,   822,   414,   823,  1223,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,  1224,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1225,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   824,   461,   462,   463,  1226,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,  1227,   479,   480,   481,   482,
     483,   825,   484,   485,  1228,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,  1229,
       0,   501,   502,     0,   503,   826,   504,   505,   506,   507,
     508,     0,  1230,  1231,     0,     0,   511,   512,  1232,   514,
    1233,  1234,   516,   517,   518,   519,   520,   521,   522,     0,
    1235,   523,   524,   525,   526,   527,  1236,     0,   528,   529,
     530,   531,   532,   533,  1237,  3993,   535,   827,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,  1238,  1239,  1240,  1241,   552,  1242,
    1243,  1244,  1245,   557,   558,   559,   560,  1246,     0,     0,
       0,     0,     0,     0,  1247,  1248,     0,     0,     0,     0,
       0,     0,     0,  1250,   804,  1179,   621,  1180,  1181,  1182,
     680,  1183,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,  1184,     0,     0,   240,   241,
       0,   242,   243,   244,   805,   245,   246,   247,   248,  1185,
     806,  1186,  1187,     0,   252,   253,   254,   255,   256,  1188,
    1189,   257,   258,  1190,  1191,   261,     0,   262,   263,   264,
     265,  1192,     0,  1193,     0,   267,   268,   269,   270,   271,
     808,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   809,   281,   282,   283,  1194,  1195,  1196,  1197,
    1198,  1199,  1200,   284,   285,   286,   287,   288,   289,  1201,
    1202,   292,  1203,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
    1041,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,  1204,   320,   321,   322,
    1205,  1206,   324,     0,   325,   326,  1207,   328,     0,   329,
       0,   330,   811,     0,   812,   331,   332,   333,   334,     0,
     335,  1208,     0,  1209,   338,     0,   339,   340,   341,   342,
     343,   813,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   814,   355,   356,   357,   358,
     359,  1210,  1211,     0,  1212,     0,   363,   815,   816,   364,
     817,   365,   366,   367,   368,   369,     0,     0,   370,  1213,
     818,   372,   819,     0,   373,   374,   375,  1214,  1215,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,  1216,   820,  1217,   394,   395,
     396,   397,  1218,   398,   399,   821,   400,  1219,  1220,   402,
    1221,   404,   405,   406,     0,   407,   408,     0,     0,  1222,
     410,   411,     0,     0,   412,   413,   822,   414,   823,  1223,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,  1224,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1225,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   824,
     461,   462,   463,  1226,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,  1227,
     479,   480,   481,   482,   483,   825,   484,   485,  1228,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1229,     0,   501,   502,     0,   503,   826,
     504,   505,   506,   507,   508,     0,  1230,  1231,     0,     0,
     511,   512,  1232,   514,  1233,  1234,   516,   517,   518,   519,
     520,   521,   522,     0,  1235,   523,   524,   525,   526,   527,
    1236,     0,   528,   529,   530,   531,   532,   533,  1237,     0,
     535,   827,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,  1238,  1239,
    1240,  1241,   552,  1242,  1243,  1244,  1245,   557,   558,   559,
     560,  1246,     0,     0,     0,     0,     0,     0,  1247,  1248,
       0,     0,     0,     0,     0,     0,     0,  1250,   804,  1179,
     621,  1180,  1181,  1182,   680,  1183,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,  1184,
       0,     0,   240,   241,     0,   242,   243,   244,   805,   245,
     246,   247,   248,  1185,   806,  1186,  1187,     0,   252,   253,
     254,   255,   256,  1188,  1189,   257,   258,  1190,  1191,   261,
       0,   262,   263,   264,   265,  1192,     0,  1193,     0,   267,
     268,   269,   270,   271,   808,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   809,   281,   282,  4006,
    1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,   285,   286,
     287,   288,   289,  1201,  1202,   292,  1203,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,  1041,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
    1204,   320,   321,   322,  1205,  1206,   324,     0,   325,   326,
    1207,   328,     0,   329,     0,   330,   811,     0,   812,   331,
     332,   333,   334,     0,   335,  1208,     0,  1209,   338,     0,
     339,   340,   341,   342,   343,   813,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   814,
     355,   356,   357,   358,   359,  1210,  1211,     0,  1212,     0,
     363,   815,   816,   364,   817,   365,   366,   367,   368,   369,
       0,     0,   370,  1213,   818,   372,   819,     0,   373,   374,
     375,  1214,  1215,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,  1216,
     820,  1217,   394,   395,   396,   397,  1218,   398,   399,   821,
     400,  1219,  1220,   402,  1221,   404,   405,   406,     0,   407,
     408,     0,     0,  1222,   410,   411,     0,     0,   412,   413,
     822,   414,   823,  1223,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,  1224,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1225,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   824,   461,   462,   463,  1226,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,  1227,   479,   480,   481,   482,   483,   825,
     484,   485,  1228,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1229,     0,   501,
     502,     0,   503,   826,   504,   505,   506,   507,   508,     0,
    1230,  1231,     0,     0,   511,   512,  1232,   514,  1233,  1234,
     516,   517,   518,   519,   520,   521,   522,     0,  1235,   523,
     524,   525,   526,   527,  1236,     0,   528,   529,   530,   531,
     532,   533,  1237,     0,   535,   827,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,  1238,  1239,  1240,  1241,   552,  1242,  1243,  1244,
    1245,   557,   558,   559,   560,  1246,     0,     0,     0,     0,
       0,     0,  1247,  1248,     0,     0,     0,     0,     0,     0,
       0,  1250,   804,  1179,   621,  1180,  1181,  1182,   680,  1183,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,  1184,     0,     0,   240,   241,     0,   242,
     243,   244,   805,   245,   246,   247,   248,  1185,   806,  1186,
    1187,     0,   252,   253,   254,   255,   256,  1188,  1189,   257,
     258,  1190,  1191,   261,     0,   262,   263,   264,   265,  1192,
       0,  1193,     0,   267,   268,   269,   270,   271,   808,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     809,   281,   282,   283,  1194,  1195,  1196,  1197,  1198,  1199,
    1200,   284,   285,   286,   287,   288,   289,  1201,  1202,   292,
    1203,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,  1041,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,  1204,   320,   321,   322,  1205,  1206,
     324,     0,   325,   326,  1207,   328,     0,   329,     0,   330,
     811,     0,   812,   331,   332,   333,   334,     0,   335,  1208,
       0,  1209,   338,     0,   339,   340,   341,   342,   343,   813,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   814,   355,   356,   357,   358,   359,  1210,
    1211,     0,  1212,     0,   363,   815,   816,   364,   817,   365,
     366,   367,   368,   369,     0,     0,   370,  1213,   818,   372,
     819,     0,   373,   374,   375,  1214,  1215,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,  1216,   820,  1217,   394,   395,   396,   397,
    1218,   398,   399,   821,   400,  1219,  1220,   402,  1221,   404,
     405,   406,     0,   407,   408,     0,     0,  1222,   410,   411,
       0,     0,   412,   413,   822,   414,   823,  1223,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
    1224,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1225,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   824,   461,   462,
     463,  1226,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,  1227,   479,   480,
     481,   482,   483,   825,   484,   485,  1228,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1229,     0,   501,   502,     0,   503,   826,   504,   505,
     506,   507,   508,     0,  1230,  1231,     0,     0,   511,   512,
    1232,   514,  1233,  1234,   516,   517,   518,   519,   520,   521,
     522,     0,  1235,   523,   524,   525,   526,   527,  1236,     0,
     528,   529,   530,   531,   532,   533,  1237,     0,   535,   827,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,  4331,  1238,  1239,  1240,  1241,
     552,  1242,  1243,  1244,  1245,   557,   558,   559,   560,  1246,
       0,     0,     0,     0,     0,     0,  1247,  1248,     0,     0,
       0,     0,     0,     0,     0,  1250,   804,  1179,   621,  1180,
    1181,  1182,   680,  1183,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,  1184,     0,     0,
     240,   241,     0,   242,   243,   244,   805,   245,   246,   247,
     248,  1185,   806,  1186,  1187,     0,   252,   253,   254,   255,
     256,  1188,  1189,   257,   258,  1190,  1191,   261,     0,   262,
     263,   264,   265,  1192,     0,  1193,     0,   267,   268,   269,
     270,   271,   808,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   809,   281,   282,   283,  1194,  1195,
    1196,  1197,  1198,  1199,  1200,   284,   285,   286,   287,   288,
     289,  1201,  1202,   292,  1203,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,  1041,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,  1204,   320,
     321,   322,  1205,  1206,   324,     0,   325,   326,  1207,   328,
       0,   329,     0,   330,   811,     0,   812,   331,   332,   333,
     334,     0,   335,  1208,     0,  1209,   338,     0,   339,   340,
     341,   342,   343,   813,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   814,   355,   356,
     357,   358,   359,  1210,  1211,     0,  1212,     0,   363,   815,
     816,   364,   817,   365,   366,   367,   368,   369,     0,     0,
     370,  1213,   818,   372,   819,     0,   373,   374,   375,  1214,
    1215,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1216,   820,  1217,
     394,   395,  4340,   397,  1218,   398,   399,   821,   400,  1219,
    1220,   402,  1221,   404,   405,   406,     0,   407,   408,     0,
       0,  1222,   410,   411,     0,     0,   412,   413,   822,   414,
     823,  1223,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,  1224,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1225,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   824,   461,   462,   463,  1226,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,  1227,   479,   480,   481,   482,   483,   825,   484,   485,
    1228,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1229,     0,   501,   502,     0,
     503,   826,   504,   505,   506,   507,   508,     0,  1230,  1231,
       0,     0,   511,   512,  1232,   514,  1233,  1234,   516,   517,
     518,   519,   520,   521,   522,     0,  1235,   523,   524,   525,
     526,   527,  1236,     0,   528,   529,   530,   531,   532,   533,
    1237,     0,   535,   827,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
    1238,  1239,  1240,  1241,   552,  1242,  1243,  1244,  1245,   557,
     558,   559,   560,  1246,     0,     0,     0,     0,     0,     0,
    1247,  1248,     0,     0,     0,     0,     0,     0,     0,  1250,
     804,  1179,   621,  1180,  1181,  1182,   680,  1183,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,  1184,     0,     0,   240,   241,     0,   242,   243,   244,
     805,   245,   246,   247,   248,  1185,   806,  1186,  1187,     0,
     252,   253,   254,   255,   256,  1188,  1189,   257,   258,  1190,
    1191,   261,     0,   262,   263,   264,   265,  1192,     0,  1193,
       0,   267,   268,   269,   270,   271,   808,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,   809,   281,
    4651,   283,  1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,
     285,   286,   287,   288,   289,  1201,  1202,   292,  1203,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,  1041,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,  1204,   320,   321,   322,  1205,  1206,   324,     0,
     325,   326,  1207,   328,     0,   329,     0,   330,   811,     0,
     812,   331,   332,   333,   334,     0,   335,  1208,     0,  4652,
     338,     0,   339,   340,   341,   342,   343,   813,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,   814,   355,   356,   357,   358,   359,  1210,  1211,     0,
    1212,     0,   363,   815,   816,   364,   817,   365,   366,   367,
     368,   369,     0,     0,   370,  1213,   818,   372,   819,     0,
     373,   374,   375,  1214,  1215,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,  1216,   820,  1217,   394,   395,   396,   397,  1218,   398,
     399,   821,   400,  1219,  1220,   402,  1221,   404,   405,   406,
       0,   407,   408,     0,     0,  1222,   410,   411,     0,     0,
     412,   413,   822,   414,   823,  1223,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,  1224,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1225,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   824,   461,   462,  4653,  1226,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,  1227,   479,   480,   481,   482,
     483,   825,   484,   485,  1228,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,  1229,
       0,   501,   502,     0,   503,   826,   504,   505,   506,   507,
     508,     0,  1230,  1231,     0,     0,   511,   512,  1232,   514,
    1233,  1234,   516,   517,   518,   519,   520,   521,   522,     0,
    1235,   523,   524,   525,   526,   527,  1236,     0,   528,   529,
     530,   531,   532,   533,  1237,     0,   535,   827,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,  1238,  1239,  1240,  1241,   552,  1242,
    1243,  1244,  1245,   557,   558,   559,   560,  1246,     0,     0,
       0,     0,     0,     0,  1247,  1248,     0,     0,     0,     0,
       0,     0,     0,  4654,   804,  1179,   621,  1180,  1181,  1182,
     680,  1183,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,  1184,     0,     0,   240,   241,
       0,   242,   243,   244,   805,   245,   246,   247,  5117,  1185,
     806,  1186,  1187,     0,   252,   253,   254,   255,   256,  1188,
    1189,   257,   258,  1190,  1191,   261,     0,   262,   263,   264,
     265,  1192,     0,  1193,     0,   267,   268,   269,   270,   271,
     808,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   809,   281,   282,  5118,  1194,  1195,  1196,  1197,
    1198,  1199,  1200,   284,   285,   286,   287,   288,   289,  1201,
    1202,   292,  1203,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
    1041,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,  1204,   320,   321,   322,
    1205,  1206,   324,     0,   325,   326,  1207,   328,     0,   329,
       0,   330,   811,     0,   812,   331,   332,   333,   334,     0,
     335,  1208,     0,  1209,   338,     0,   339,   340,   341,   342,
     343,   813,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   814,   355,   356,   357,   358,
     359,  1210,  1211,     0,  1212,     0,   363,   815,   816,   364,
     817,   365,   366,   367,   368,   369,     0,     0,   370,  1213,
     818,   372,   819,     0,   373,   374,   375,  1214,  1215,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,  1216,   820,  1217,   394,   395,
     396,   397,  1218,   398,   399,   821,   400,  1219,  1220,   402,
    1221,   404,   405,   406,     0,   407,   408,     0,     0,  1222,
     410,   411,     0,     0,   412,   413,   822,   414,   823,  1223,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,  1224,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1225,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   824,
     461,   462,   463,  1226,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,  1227,
     479,   480,   481,   482,   483,   825,   484,   485,  1228,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1229,     0,   501,   502,     0,   503,   826,
     504,   505,   506,   507,   508,     0,  1230,  1231,     0,     0,
     511,   512,  1232,   514,  1233,  1234,   516,   517,   518,   519,
    5119,   521,   522,     0,  1235,   523,   524,   525,   526,   527,
    1236,     0,   528,   529,   530,   531,   532,   533,  1237,     0,
     535,   827,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,  1238,  1239,
    1240,  1241,   552,  1242,  1243,  1244,  1245,   557,   558,   559,
     560,  1246,     0,     0,     0,     0,     0,     0,  1247,  1248,
       0,     0,     0,     0,     0,     0,     0,  1250,   804,  1179,
     621,  1180,  1181,  1182,   680,  1183,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,  1184,
       0,     0,   240,   241,     0,   242,   243,   244,   805,   245,
     246,   247,   248,  1185,   806,  1186,  1187,     0,   252,   253,
     254,   255,   256,  1188,  1189,   257,   258,  1190,  1191,   261,
       0,   262,   263,   264,   265,  1192,     0,  1193,     0,   267,
     268,   269,   270,   271,   808,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   809,   281,   282,  5118,
    1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,   285,   286,
     287,   288,   289,  1201,  1202,   292,  1203,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,  1041,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
    1204,   320,   321,   322,  1205,  1206,   324,     0,   325,   326,
    1207,   328,     0,   329,     0,   330,   811,     0,   812,   331,
     332,   333,   334,     0,   335,  1208,     0,  1209,   338,     0,
     339,   340,   341,   342,   343,   813,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   814,
     355,   356,   357,   358,   359,  1210,  1211,     0,  1212,     0,
     363,   815,   816,   364,   817,   365,   366,   367,   368,   369,
       0,     0,   370,  1213,   818,   372,   819,     0,   373,   374,
     375,  1214,  1215,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,  1216,
     820,  1217,   394,   395,   396,   397,  1218,   398,   399,   821,
     400,  1219,  1220,   402,  1221,   404,   405,   406,     0,   407,
     408,     0,     0,  1222,   410,   411,     0,     0,   412,   413,
     822,   414,   823,  1223,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,  1224,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1225,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   824,   461,   462,   463,  1226,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,  1227,   479,   480,   481,   482,   483,   825,
     484,   485,  1228,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1229,     0,   501,
     502,     0,   503,   826,   504,   505,   506,   507,   508,     0,
    1230,  1231,     0,     0,   511,   512,  1232,   514,  1233,  1234,
     516,   517,   518,   519,  5119,   521,   522,     0,  1235,   523,
     524,   525,   526,   527,  1236,     0,   528,   529,   530,   531,
     532,   533,  1237,     0,   535,   827,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,  1238,  1239,  1240,  1241,   552,  1242,  1243,  1244,
    1245,   557,   558,   559,   560,  1246,     0,     0,     0,     0,
       0,     0,  1247,  1248,     0,     0,     0,     0,     0,     0,
       0,  1250,   804,  1179,   621,  1180,  1181,  1182,   680,  1183,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,  1184,     0,     0,   240,   241,     0,   242,
     243,   244,   805,   245,   246,   247,   248,  1185,   806,  1186,
    1187,     0,   252,   253,   254,   255,   256,  1188,  1189,   257,
     258,  1190,  1191,   261,     0,   262,   263,   264,   265,  1192,
       0,  1193,     0,   267,   268,   269,   270,   271,   808,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     809,   281,   282,   283,  1194,  1195,  1196,  1197,  1198,  1199,
    1200,   284,   285,   286,   287,   288,   289,  1201,  1202,   292,
    4844,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,  1041,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,  1204,   320,   321,   322,  1205,  1206,
     324,     0,   325,   326,  1207,   328,     0,   329,     0,   330,
     811,     0,   812,   331,   332,   333,   334,     0,   335,  1208,
       0,  1209,   338,     0,   339,   340,   341,   342,   343,   813,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   814,   355,   356,   357,   358,   359,  1210,
    1211,     0,  1212,     0,   363,   815,   816,   364,   817,   365,
     366,   367,   368,   369,     0,     0,   370,  1213,   818,   372,
     819,     0,   373,   374,   375,  1214,  1215,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,  1216,   820,  1217,   394,   395,   396,   397,
       0,   398,   399,   821,   400,  1219,  1220,   402,  1221,   404,
     405,   406,     0,   407,   408,     0,     0,  1222,   410,   411,
       0,     0,   412,   413,   822,   414,   823,  1223,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
    1224,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1225,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   824,   461,   462,
     463,  2646,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,  1227,   479,   480,
     481,   482,   483,   825,   484,   485,  1228,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1229,     0,   501,   502,     0,   503,   826,   504,   505,
     506,   507,   508,     0,  1230,  1231,     0,     0,   511,   512,
    1232,   514,  1233,  1234,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,  1236,     0,
     528,   529,   530,   531,   532,   533,  1237,     0,   535,   827,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,  1238,  1239,  1240,  1241,
     552,  1242,  1243,  1244,  1245,   557,   558,   559,   560,     0,
       0,     0,     0,     0,     0,     0,  2647,  2648,     0,     0,
       0,     0,     0,     0,     0,  2649,   804,  1179,   621,  1180,
    1181,  1182,   680,  1183,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,  1184,     0,     0,
     240,   241,     0,   242,   243,   244,   805,   245,   246,   247,
   -2566,  1185,   806,  1186,  1187,     0,   252,   253,   254,   255,
     256,  1188,  1189,   257,   258,  1190,  1191,   261,     0,   262,
     263,   264,   265,  1192,     0,  1193,     0,   267,   268,   269,
     270,   271,   808,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   809,   281,   282,  5118,  1194,  1195,
    1196,  1197,  1198,  1199,  1200,   284,   285,   286,   287,   288,
     289,  1201,  1202,   292,  1203,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,  1041,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,  1204,   320,
     321,   322,  1205,  1206,   324,     0,   325,   326,  1207,   328,
       0,   329,     0,   330,   811,     0,   812,   331,   332,   333,
     334,     0,   335,  1208,     0,  1209,   338,     0,   339,   340,
     341,   342,   343, -2566,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   814,   355,   356,
     357,   358,   359,  1210,  1211,     0,  1212,     0,   363,     0,
       0,   364,   817,   365,   366,   367,   368,   369,     0,     0,
     370,  1213,   818,   372, -2566,     0,   373,   374,   375,  1214,
    1215,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1216,   820,  1217,
     394,   395,   396,   397,  1218,   398,   399,     0,   400,  1219,
    1220,   402,  1221,   404,   405,   406,     0,   407,   408,     0,
       0,  1222,   410,   411,     0,     0,   412,   413,   822,   414,
     823,  1223,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,  1224,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1225,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   824,   461,   462,   463,  1226,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,  1227,   479,   480,   481,   482,   483, -2566,   484,   485,
    1228,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1229,     0,   501,   502,     0,
     503,   826,   504,   505,   506,   507,   508,     0,  1230,  1231,
       0,     0,   511,   512,  1232,   514,  1233,  1234,   516,   517,
     518,   519,  5119,   521,   522,     0,  1235,   523,   524,   525,
     526,   527,  1236,     0,   528,   529,   530,   531,   532,   533,
    1237,     0,   535,   827,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
    1238,  1239,  1240,  1241,   552,  1242,  1243,  1244,  1245,   557,
     558,   559,   560, -2566,     0,     0,     0,     0,     0,     0,
    1247,  1248,     0,     0,     0,     0,     0,     0,     0,  1250,
     804,  1179,   621,  1180,  1181,  1182,   680,  1183,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,  1184,     0,     0,   240,   241,     0,   242,   243,   244,
     805,   245,   246,   247,   248,  1185,   806,  1186,  1187,     0,
     252,   253,   254,   255,   256,  1188,  1189,   257,   258,  1190,
    1191,   261,     0,   262,   263,   264,   265,  1192,     0,  1193,
       0,   267,   268,   269,   270,   271,   808,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,   809,   281,
     282,   283,  1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,
     285,   286,   287,   288,   289,  1201,  1202,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,  1041,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,  1204,   320,   321,   322,  1205,  1206,   324,     0,
     325,   326,  1207,   328,     0,   329,     0,   330,   811,     0,
     812,   331,   332,   333,   334,     0,   335,  1208,     0,  1209,
     338,     0,   339,   340,   341,   342,   343,   813,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,   814,   355,   356,   357,   358,   359,  1210,  1211,     0,
    1212,     0,   363,   815,   816,   364,   817,   365,   366,   367,
     368,   369,     0,     0,   370,  1213,   818,   372,   819,     0,
     373,   374,   375,  1214,  1215,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,  1216,   820,  1217,   394,   395,   396,   397,     0,   398,
     399,   821,   400,  1219,  1220,   402,  1221,   404,   405,   406,
       0,   407,   408,     0,     0,  1222,   410,   411,     0,     0,
     412,   413,   822,   414,   823,  1223,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,  1224,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1225,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   824,   461,   462,   463,  2646,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,  1227,   479,   480,   481,   482,
     483,   825,   484,   485,  1228,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,  1229,
       0,   501,   502,     0,   503,   826,   504,   505,   506,   507,
     508,     0,  1230,  1231,     0,     0,   511,   512,  1232,   514,
    1233,  1234,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,  1236,     0,   528,   529,
     530,   531,   532,   533,  1237,     0,   535,   827,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,  1238,  1239,  1240,  1241,   552,  1242,
    1243,  1244,  1245,   557,   558,   559,   560,     0,     0,     0,
       0,     0,     0,     0,  2647,  2648,     0,     0,     0,     0,
       0,     0,     0,  2649,   804,  1179,   621,  1180,  1181,  1182,
     680,  1183,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,  1184,     0,     0,   240,   241,
       0,   242,   243,   244,   805,   245,   246,   247,   248,  1185,
     806,  1186,  1187,     0,   252,   253,   254,   255,   256,  1188,
    1189,   257,   258,  1190,  1191,   261,     0,   262,   263,   264,
     265,  1192,     0,  1193,     0,   267,   268,   269,   270,   271,
     808,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   809,   281,   282,   283,  1194,  1195,  1196,  1197,
    1198,  1199,  1200,   284,   285,   286,   287,   288,   289,  1201,
    1202,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
    1041,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,  1204,   320,   321,   322,
    1205,  1206,   324,     0,   325,   326,  1207,   328,     0,   329,
       0,   330,   811,     0,   812,   331,   332,   333,   334,     0,
     335,  1208,     0,  1209,   338,     0,   339,   340,   341,   342,
     343,   813,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   814,   355,   356,   357,   358,
     359,  1210,  1211,     0,  1212,     0,   363,     0,   816,   364,
     817,   365,   366,   367,   368,   369,     0,     0,   370,  1213,
     818,   372,   819,     0,   373,   374,   375,  1214,  1215,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,  1216,   820,  1217,   394,   395,
     396,   397,     0,   398,   399,   821,   400,  1219,  1220,   402,
    1221,   404,   405,   406,     0,   407,   408,     0,     0,  1222,
     410,   411,     0,     0,   412,   413,   822,   414,   823,  1223,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,  1224,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1225,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   824,
     461,   462,   463,  2646,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,  1227,
     479,   480,   481,   482,   483,   825,   484,   485,  1228,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,  1229,     0,   501,   502,     0,   503,   826,
     504,   505,   506,   507,   508,     0,  1230,  1231,     0,     0,
     511,   512,  1232,   514,  1233,  1234,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
    1236,     0,   528,   529,   530,   531,   532,   533,  1237,     0,
     535,   827,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,  1238,  1239,
    1240,  1241,   552,  1242,  1243,  1244,  1245,   557,   558,   559,
     560,     0,     0,     0,     0,     0,     0,     0,  2647,  2648,
       0,     0,   804,  1179,   621,  1180,  1181,  2649,   680,  1183,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,  1184,     0,     0,   240,   241,     0,   242,
     243,   244,   805,   245,   246,   247,   248,  1185,   806,  1186,
    1187,     0,   252,   253,   254,   255,   256,  1188,  1189,   257,
     258,  1190,  1191,   261,     0,   262,   263,   264,   265,  1192,
       0,  1193,     0,   267,   268,   269,   270,   271,   808,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     809,   281,   282,   283,  1194,  1195,  1196,  1197,  1198,  1199,
    1200,   284,   285,   286,   287,   288,   289,  1201,  1202,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,  1041,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,  1204,   320,   321,   322,  1205,  1206,
     324,     0,   325,   326,  1207,   328,     0,   329,     0,   330,
     811,     0,   812,   331,   332,   333,   334,     0,   335,  1208,
       0,  1209,   338,     0,   339,   340,   341,   342,   343,   813,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   814,   355,   356,   357,   358,   359,  1210,
    1211,     0,  1212,     0,   363,   815,   816,   364,   817,   365,
     366,   367,   368,   369,     0,     0,   370,  1213,   818,   372,
     819,     0,   373,   374,   375,  1214,  1215,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,  1216,   820,  1217,   394,   395,   396,   397,
       0,   398,   399,   821,   400,  1219,  1220,   402,  1221,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,   822,   414,   823,  1223,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
    1224,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1225,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   824,   461,   462,
     463,  2646,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,  1227,   479,   480,
     481,   482,   483,   825,   484,   485,  1228,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,  1229,     0,   501,   502,     0,   503,   826,   504,   505,
     506,   507,   508,     0,  1230,  1231,     0,     0,   511,   512,
    1232,   514,  1233,  1234,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,  1236,     0,
     528,   529,   530,   531,   532,   533,  1237,     0,   535,   827,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,  1238,  1239,  1240,  1241,
     552,  1242,  1243,  1244,  1245,   557,   558,   559,   560,     0,
       0,   804,  1179,   621,  1180,  1181,     0,   680,  1183,     0,
       0,     0,     0,     0,     0,  2649,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,  1184,     0,     0,   240,   241,     0,   242,   243,
     244,   805,   245,   246,   247,   248,  1185,   806,  1186,  1187,
       0,  3905,   253,   254,   255,   256,  1188,  1189,   257,   258,
    1190,  1191,   261,     0,   262,   263,   264,   265,  1192,     0,
    1193,     0,   267,   268,   269,   270,   271,   808,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   809,
     281,   282,   283,  1194,  1195,  1196,  1197,  1198,  1199,  1200,
     284,   285,   286,   287,   288,   289,  1201,  1202,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,  1041,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,  1204,   320,   321,   322,  1205,  1206,   324,
       0,   325,   326,  1207,   328,     0,   329,     0,   330,   811,
       0,   812,   331,   332,   333,   334,     0,   335,  1208,     0,
    1209,   338,     0,   339,   340,   341,   342,   343,   813,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   814,   355,   356,   357,   358,   359,  1210,  1211,
       0,  1212,     0,   363,   815,   816,   364,   817,   365,   366,
     367,   368,   369,     0,     0,   370,  1213,   818,   372,   819,
       0,   373,   374,   375,  1214,  1215,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,  1216,   820,  1217,   394,   395,   396,   397,     0,
     398,   399,   821,   400,  1219,  1220,   402,  1221,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,   822,   414,   823,  1223,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,  1224,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1225,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   824,   461,   462,   463,
    2646,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,  1227,   479,   480,   481,
     482,   483,   825,   484,   485,  1228,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1229,     0,   501,   502,     0,   503,   826,   504,   505,   506,
     507,   508,     0,  1230,  1231,     0,     0,   511,   512,  1232,
     514,  1233,  1234,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,  1236,     0,   528,
     529,   530,   531,   532,   533,  1237,     0,   535,   827,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,  1238,  1239,  1240,  1241,   552,
    1242,  1243,  1244,  1245,   557,   558,   559,   560,     0,     0,
     804,  1179,   621,  1180,  1181,     0,   680,  1183,     0,     0,
       0,     0,     0,     0,  2649,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,  1184,     0,     0,   240,   241,     0,   242,   243,   244,
     805,   245,   246,   247,   248,  1185,   806,  1186,  1187,     0,
     252,   253,   254,   255,   256,  1188,  1189,   257,   258,  1190,
    1191,   261,     0,   262,   263,   264,   265,  1192,     0,  1193,
       0,   267,   268,   269,   270,   271,   808,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,   809,   281,
     282,   283,  1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,
     285,   286,   287,   288,   289,  1201,  1202,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,  1041,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,  1204,   320,   321,   322,  1205,  1206,   324,     0,
     325,   326,  1207,   328,     0,   329,     0,   330,   811,     0,
     812,   331,   332,   333,   334,     0,   335,  1208,     0,  1209,
     338,     0,   339,   340,   341,   342,   343,   813,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,   814,   355,   356,   357,   358,   359,  1210,  1211,     0,
    1212,     0,   363,   815,   816,   364,   817,   365,   366,   367,
     368,   369,     0,     0,   370,  1213,   818,   372,   819,     0,
     373,   374,   375,  1214,  1215,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,  1216,   820,  1217,   394,   395,   396,   397,     0,   398,
     399,   821,   400,  1219,  1220,   402,  1221,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,   822,   414,   823,  1223,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,  1224,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1225,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   824,   461,   462,   463,  2646,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,  1227,   479,   480,   481,   482,
     483,   825,   484,   485,  1228,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,  1229,
       0,   501,   502,     0,   503,   826,   504,   505,   506,   507,
     508,     0,  1230,  1231,     0,     0,   511,   512,  1232,   514,
    1233,  1234,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,  1236,     0,   528,   529,
     530,   531,   532,   533,  1237,     0,   535,   827,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,  1238,  1239,  1240,  1241,  4371,  1242,
    1243,  1244,  1245,   557,   558,   559,   560,     0,     0,   804,
    1179,   621,  1180,  1181,  1182,   680,  1183,     0,     0,     0,
       0,     0,     0,  2649,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
    1184,     0,     0,   240,   241,     0,   242,   243,   244,   805,
     245,   246,   247,     0,  1185,   806,  1186,  1187,     0,   252,
     253,   254,   255,   256,  1188,  1189,   257,   258,  1190,  1191,
     261,     0,   262,   263,   264,   265,  1192,     0,  1193,     0,
     267,   268,   269,   270,   271,   808,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   809,   281,   282,
     283,  1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,   285,
     286,   287,   288,   289,  1201,  1202,   292,  1203,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,  1041,   307,   308,     0,   309,
     310,   311,     0,   312,     0,   314,     0,   315,   316,   317,
     318,  1204,   320,   321,   322,  1205,  1206,   324,     0,   325,
     326,  1207,   328,     0,   329,     0,   330,   811,     0,   812,
     331,   332,   333,   334,     0,   335,  1208,     0,  1209,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     814,   355,   356,   357,   358,   359,  1210,  1211,     0,  1212,
       0,   363,     0,     0,   364,   817,   365,   366,   367,   368,
     369,     0,     0,   370,  1213,   818,   372,     0,     0,   373,
     374,   375,  1214,  1215,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1216,   820,  1217,   394,   395,   396,   397,  1218,   398,   399,
       0,   400,  1219,  1220,   402,  1221,   404,   405,   406,     0,
     407,   408,     0,     0,  1222,   410,   411,     0,     0,   412,
     413,   822,   414,   823,  1223,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,  1224,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1225,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   824,   461,   462,   463,  1226,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,  1227,   479,   480,   481,   482,   483,
       0,   484,   485,  1228,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1229,     0,
     501,   502,     0,   503,   826,   504,   505,   506,   507,   508,
       0,  1230,  1231,     0,     0,   511,   512,  1232,   514,  1233,
    1234,   516,   517,   518,   519,   520,   521,   522,     0,  1235,
     523,   524,   525,   526,   527,  1236,     0,   528,   529,   530,
     531,   532,   533,  1237,     0,   535,   827,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,  1238,  1239,  1240,  1241,   552,  1242,  1243,
    1244,  1245,   557,   558,   559,   560,     0,     0,   804,     0,
       0,     0,     0,  1247,  1248,     0,     0,     0,     0,     0,
       0,     0,  1250,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   805,   245,
     246,   247,   248,   249,   806,   250,   251,     0,   252,   253,
     254,   255,   256,     0,  1189,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,  1192,     0,  1193,     0,   267,
     268,   269,   270,   271,   808,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   809,   281,   282,   283,
    1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,  1205,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,   811,     0,   812,   331,
     332,   333,   334,     0,   335,  1208,     0,   337,   338,     0,
     339,   340,   341,   342,   343,   813,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   814,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,   815,   816,   364,   817,   365,   366,   367,   368,   369,
    3427,     0,   370,  1213,   818,   372,   819,     0,   373,   374,
     375,  1214,  1215,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     820,   393,   394,   395,   396,   397,     0,   398,   399,   821,
     400,     0,  1220,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   769,   409,   410,   411,     0,     0,   412,   413,
     822,   414,   823,  1223,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,  1224,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   824,   461,   462,   463,   464,  3428,   466,
     467,   468,   469,   470,   471,   472,   473,    39,   474,   475,
     476,   477,   478,  1227,   479,   480,   481,   482,   483,   825,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1229,     0,   501,
     502,    43,   503,   826,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,  1232,   514,  1233,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,  1236,     0,   528,   529,   530,   531,
     532,  1115,   534,     0,   535,   827,   536,   537,   538,   539,
       0,     0,   540,     0,    48,   541,   542,   543,   544,   545,
     546,   547,  1238,  1239,  1240,  1241,   552,  1242,  1243,  1244,
    1245,  3429,   558,   559,   560,     0,     0,    49,   804,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3430,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   805,   245,
     246,   247,   248,   249,   806,   250,   251,     0,   252,   253,
     254,   255,   256,     0,  1189,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,  1192,     0,  1193,     0,   267,
     268,   269,   270,   271,   808,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   809,   281,   282,   283,
    1194,  1195,  1196,  1197,  1198,  1199,  1200,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,  1205,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,   811,     0,   812,   331,
     332,   333,   334,     0,   335,  1208,     0,   337,   338,     0,
     339,   340,   341,   342,   343,   813,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   814,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,   815,   816,   364,   817,   365,   366,   367,   368,   369,
    3427,     0,   370,  1213,   818,   372,   819,     0,   373,   374,
     375,  1214,  1215,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     820,   393,   394,   395,   396,   397,     0,   398,   399,   821,
     400,     0,  1220,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   769,   409,   410,   411,     0,     0,   412,   413,
     822,   414,   823,  1223,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,  1224,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   824,   461,   462,   463,   464,  3428,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,  1227,   479,   480,   481,   482,   483,   825,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1229,     0,   501,
     502,     0,   503,   826,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,  1232,   514,  1233,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,  1236,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   827,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,  1238,  1239,  1240,  1241,   552,  1242,  1243,  1244,
    1245,  3429,   558,   559,   560,     0,     0,   804,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3430,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,   805,   245,   246,
     247,   248,   249,   806,   250,   251,     0,   252,   253,   254,
     255,   256,     0,  1189,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,  1192,     0,  1193,     0,   267,   268,
     269,   270,   271,   808,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,   809,   281,   282,   283,  1194,
    1195,  1196,  1197,  1198,  1199,  1200,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,  1205,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,   811,     0,   812,   331,   332,
     333,   334,     0,   335,  1208,     0,   337,   338,     0,   339,
     340,   341,   342,   343,   813,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,   814,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
     815,   816,   364,   817,   365,   366,   367,   368,   369,     0,
       0,   370,  1213,   818,   372,   819,     0,   373,   374,   375,
    1214,  1215,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   820,
     393,   394,   395,   396,   397,     0,   398,   399,   821,   400,
       0,  1220,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,   822,
     414,   823,  1223,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,  1224,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   824,   461,   462,   463,   464,  3428,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,  1227,   479,   480,   481,   482,   483,   825,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1229,     0,   501,   502,
       0,   503,   826,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,  1232,   514,  1233,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,  1236,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   827,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,  1238,  1239,  1240,  1241,   552,  1242,  1243,  1244,  1245,
    3429,   558,   559,   560,     0,     0,   804,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   805,   245,   246,   247,
     248,   249,   806,   250,   251,     0,   252,   253,   254,   255,
     256,     0,  1189,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,  1192,     0,  1193,     0,   267,   268,   269,
     270,   271,   808,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   809,   281,   282,   283,  1194,  1195,
    1196,  1197,  1198,  1199,  1200,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,  1205,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,   811,     0,   812,   331,   332,   333,
     334,     0,   335,  1208,     0,   337,   338,     0,   339,   340,
     341,   342,   343,   813,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   814,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,   815,
     816,   364,   817,   365,   366,   367,   368,   369,     0,     0,
     370,  1213,   818,   372,   819,     0,   373,   374,   375,  1214,
    1215,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   820,   393,
     394,   395,   396,   397,     0,   398,   399,   821,   400,     0,
    1220,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,   822,   414,
     823,  1223,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,  1224,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   824,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,  1227,   479,   480,   481,   482,   483,   825,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1229,     0,   501,   502,     0,
     503,   826,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,  1232,   514,  1233,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,  1236,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   827,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
    1238,  1239,  1240,  1241,   552,  1242,  1243,  1244,  1245,   557,
     558,   559,   560,     0,     0,   804,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4034,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   805,   245,   246,   247,   248,
     249,   806,   250,   251,     0,   252,   253,   254,   255,   256,
       0,  1189,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,  1192,     0,  1193,     0,   267,   268,   269,   270,
     271,   808,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   809,   281,   282,   283,  1194,  1195,  1196,
    1197,  1198,  1199,  1200,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,  1205,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,   811,     0,   812,   331,   332,   333,   334,
       0,   335,  1208,     0,   337,   338,     0,   339,   340,   341,
     342,   343,   813,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   814,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,   815,   816,
     364,   817,   365,   366,   367,   368,   369,     0,     0,   370,
    1213,   818,   372,   819,     0,   373,   374,   375,  1214,  1215,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   820,   393,   394,
     395,   396,   397,     0,   398,   399,   821,   400,     0,  1220,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,   822,   414,   823,
    1223,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,  1224,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     824,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
    1227,   479,   480,   481,   482,   483,   825,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,  1229,     0,   501,   502,     0,   503,
     826,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,  1232,   514,  1233,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,  1236,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   827,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,  1238,
    1239,  1240,  1241,   552,  1242,  1243,  1244,  1245,   557,   558,
     559,   560,     0,     0,   849,  1457,   621,     0,     0,     0,
     680,     0,     0,     0,     0,     0,     0,     0,  5100,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   805,   245,   246,   247,   248,   249,
     806,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,   807,     0,   267,   268,   269,   270,   271,
     808,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   809,   281,   282,   283,     0,     0,     0,   810,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,  1759,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,   811,     0,   812,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
     343,   813,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   814,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,   815,   816,   364,
     817,   365,   366,   367,   368,   369,     0,     0,   370,   371,
     818,   372,   819,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   820,   393,   394,   395,
     396,   397,     0,   398,   399,   821,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,  1760,     0,   409,
     410,   411,     0,     0,   412,   413,   822,   414,   823,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   824,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   825,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,   826,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,  1761,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   827,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   849,     0,     0,     0,     0,  1458,  1459,
    4920,     0,     0,     0,     0,     0,     0,  4921,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       3,     4,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   805,   245,   246,   247,   248,   249,   806,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,   807,     0,   267,   268,   269,   270,   271,   808,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,   809,   281,   282,   283,     0,     0,     0,   810,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,   811,     0,   812,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,   343,
     813,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,   814,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,   815,   816,   364,   817,
     365,   366,   367,   368,   369,     0,     0,   370,   371,   818,
     372,   819,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   820,   393,   394,   395,   396,
     397,     0,   398,   399,   821,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,   822,   414,   823,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   824,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,    39,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   825,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,    43,   503,   826,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,  1115,   534,     0,   535,
     827,   536,   537,   538,   539,     0,     0,   540,     0,    48,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,    49,   804,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    50,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   805,   245,   246,   247,   248,   249,   806,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,   807,     0,   267,   268,   269,   270,   271,   808,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,   809,   281,   282,   283,     0,     0,     0,   810,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,   811,     0,   812,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,   343,
     813,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,   814,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,   815,   816,   364,   817,
     365,   366,   367,   368,   369,     0,     0,   370,   371,   818,
     372,   819,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   820,   393,   394,   395,   396,
     397,     0,   398,   399,   821,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,   822,   414,   823,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   824,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   825,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,   826,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     827,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4703,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,    39,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,    43,   503,     0,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,  1115,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,    48,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,    49,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    50,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1308,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2803,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3940,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,     0,     0,
       0,  1033,  1457,   621,     0,     0,   863,   680,     0,     0,
       0,     0,  4388,   864,   865,   866,   228,   229,   230,   231,
     232,   233,   234,   235,  1947,   237,   238,   239,  1948,  1949,
    1950,  1951,  1952,  1953,  1954,   240,   241,  1955,   242,   243,
     244,   805,   245,   246,   247,     0,  1034,   806,  1035,  1036,
    1956,   252,   253,   254,   255,   256,  1957,  1958,   257,   258,
    1037,  1038,   261,  1959,   262,   263,   264,   265,     0,  1960,
     807,  1961,   267,   268,   269,   270,   271,   808,   272,   273,
     274,  1962,   275,   276,   277,   278,   279,   280,  1963,   809,
     281,   282,   283,  1964,  1965,  1966,   810,  1967,  1968,  1969,
     284,   285,   286,   287,   288,   289,  1039,  1040,   292,  1970,
     293,  1971,   294,   295,   296,   297,   298,   299,  1972,   300,
     301,   302,   303,  1973,  1974,   304,   305,  1041,   307,   308,
    1975,   309,   310,   311,  1976,   312,   313,   314,  1977,   315,
     316,   317,   318,     0,   320,   321,   322,     0,  1978,   324,
    1979,   325,   326,  1042,   328,  1980,   329,  1981,   330,   811,
    1982,   812,   331,   332,   333,   334,  1983,   335,     0,  1984,
       0,   338,  1985,   339,   340,   341,   342,   343,   813,   344,
     345,   346,   347,  1986,   348,   349,   350,   351,   352,   353,
    1987,   354,   814,     0,   356,   357,   358,   359,  1044,  1045,
    1988,  1046,  1989,   363,   815,   816,   364,   817,   365,   366,
     367,   368,   369,  1990,  1991,   370,     0,   818,   372,   819,
    1992,   373,   374,   375,  1993,  1994,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,  1047,   820,  1048,   394,   395,   396,  3694,  1995,
     398,   399,   821,   400,  1996,     0,   402,  1049,   404,   405,
     406,  1997,   407,   408,  1998,  1999,  3695,   410,   411,  2000,
    2001,   412,     0,   822,   414,   823,     0,   416,   417,   418,
     419,   420,   421,   422,   423,   424,  2002,   425,   426,     0,
     428,     0,   430,   431,   432,  2003,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1050,   443,   444,   445,   446,
    2004,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,  2005,   459,   460,   824,   461,   462,   463,
       0,   465,   466,   467,   468,   469,   470,   471,   472,   473,
    2006,   474,   475,   476,   477,   478,  2007,   479,   480,  2091,
     482,   483,   825,   484,   485,  1052,   487,  2008,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,  2009,   501,   502,  2010,   503,   826,   504,   505,   506,
     507,   508,  2011,  1053,  1054,  2012,  2013,   511,   512,     0,
     514,     0,  2014,   516,   517,   518,   519,   520,   521,   522,
    2015,  2016,   523,   524,   525,   526,   527,  2017,  2018,   528,
     529,   530,   531,   532,     0,  1055,  2019,   535,   827,   536,
     537,   538,   539,  2020,  2021,   540,  2022,  2023,   541,   542,
     543,   544,   545,   546,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   558,   559,   560,     0,     0,
       0,   869,   870,   871,     0,  3696,  3697,   874,   875,   876,
     877,  1033,  1457,   621,     0,     0,   863,   680,     0,     0,
       0,     0,     0,   864,   865,   866,   228,   229,   230,   231,
     232,   233,   234,   235,  1947,   237,   238,   239,  1948,  1949,
    1950,  1951,  1952,  1953,  1954,   240,   241,  1955,   242,   243,
     244,   805,   245,   246,   247,     0,  1034,   806,  1035,  1036,
    1956,   252,   253,   254,   255,   256,  1957,  1958,   257,   258,
    1037,  1038,   261,  1959,   262,   263,   264,   265,     0,  1960,
     807,  1961,   267,   268,   269,   270,   271,   808,   272,   273,
     274,  1962,   275,   276,   277,   278,   279,   280,  1963,   809,
     281,   282,   283,  1964,  1965,  1966,   810,  1967,  1968,  1969,
     284,   285,   286,   287,   288,   289,  1039,  1040,   292,  1970,
     293,  1971,   294,   295,   296,   297,   298,   299,  1972,   300,
     301,   302,   303,  1973,  1974,   304,   305,  1041,   307,   308,
    1975,   309,   310,   311,  1976,   312,   313,   314,  1977,   315,
     316,   317,   318,     0,   320,   321,   322,     0,  1978,   324,
    1979,   325,   326,  1042,   328,  1980,   329,  1981,   330,   811,
    1982,   812,   331,   332,   333,   334,  1983,   335,     0,  1984,
       0,   338,  1985,   339,   340,   341,   342,   343,   813,   344,
     345,   346,   347,  1986,   348,   349,   350,   351,   352,   353,
    1987,   354,   814,     0,   356,   357,   358,   359,  1044,  1045,
    1988,  1046,  1989,   363,   815,   816,   364,   817,   365,   366,
     367,   368,   369,  1990,  1991,   370,     0,   818,   372,   819,
    1992,   373,   374,   375,  1993,  1994,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,  1047,   820,  1048,   394,   395,   396,  4125,  1995,
     398,   399,   821,   400,  1996,     0,   402,  1049,   404,   405,
     406,  1997,   407,   408,  1998,  1999,  3695,   410,   411,  2000,
    2001,   412,     0,   822,   414,   823,     0,   416,   417,   418,
     419,   420,   421,   422,   423,   424,  2002,   425,   426,     0,
     428,     0,   430,   431,   432,  2003,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1050,   443,   444,   445,   446,
    2004,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,  2005,   459,   460,   824,   461,   462,   463,
       0,   465,   466,   467,   468,   469,   470,   471,   472,   473,
    2006,   474,   475,   476,   477,   478,  2007,   479,   480,  2091,
     482,   483,   825,   484,   485,  1052,   487,  2008,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,  2009,   501,   502,  2010,   503,   826,   504,   505,   506,
     507,   508,  2011,  1053,  1054,  2012,  2013,   511,   512,     0,
     514,     0,  2014,   516,   517,   518,   519,   520,   521,   522,
    2015,  2016,   523,   524,   525,   526,   527,  2017,  2018,   528,
     529,   530,   531,   532,     0,  1055,  2019,   535,   827,   536,
     537,   538,   539,  2020,  2021,   540,  2022,  2023,   541,   542,
     543,   544,   545,   546,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   558,   559,   560,     0,   227,
       0,   869,   870,   871,   863,  3696,  3697,   874,   875,   876,
     877,   864,   865,   866,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   867,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   868,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,     0,   227,     0,   869,
     870,   871,   863,   872,   873,   874,   875,   876,   877,   864,
     865,   866,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   984,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   985,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,     0,   227,     0,   869,   870,   871,
     863,   872,   873,   874,   875,   876,   877,   864,   865,   866,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,  1083,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,  1084,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,  1085,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,     0,   227,     0,   869,   870,   871,   863,   872,
     873,   874,   875,   876,   877,   864,   865,   866,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,  1579,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,  1580,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
       0,   227,     0,   869,   870,   871,   863,   872,   873,   874,
     875,   876,   877,   864,   865,   866,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,     0,   227,
       0,   869,   870,   871,   863,   872,   873,   874,   875,   876,
     877,   864,   865,   866,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,  2881,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,  2882,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,     0,   227,     0,   869,
     870,   871,   863,   872,   873,   874,   875,   876,   877,   864,
     865,   866,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,  4681,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,  1946,     0,     0,   869,   870,   871,
       0,   872,   873,   874,   875,   876,   877,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,  1947,   237,   238,
     239,  1948,  1949,  1950,  1951,  1952,  1953,  1954,   240,   241,
    1955,   242,   243,   244,   805,   245,   246,   247,   248,   249,
     806,   250,   251,  1956,   252,   253,   254,   255,   256,  1957,
    1958,   257,   258,   259,   260,   261,  1959,   262,   263,   264,
     265,   266,  1960,   807,  1961,   267,   268,   269,   270,   271,
     808,   272,   273,   274,  1962,   275,   276,   277,   278,   279,
     280,  1963,   809,   281,   282,   283,  1964,  1965,  1966,   810,
    1967,  1968,  1969,   284,   285,   286,   287,   288,   289,   290,
     291,   292,  1970,   293,  1971,   294,   295,   296,   297,   298,
     299,  1972,   300,   301,   302,   303,  1973,  1974,   304,   305,
     306,   307,   308,  1975,   309,   310,   311,  1976,   312,   313,
     314,  1977,   315,   316,   317,   318,   319,   320,   321,   322,
     323,  1978,   324,  1979,   325,   326,   327,   328,  1980,   329,
    1981,   330,   811,  1982,   812,   331,   332,   333,   334,  1983,
     335,   336,  1984,   337,   338,  1985,   339,   340,   341,   342,
     343,   813,   344,   345,   346,   347,  1986,   348,   349,   350,
     351,   352,   353,  1987,   354,   814,   355,   356,   357,   358,
     359,   360,   361,  1988,   362,  1989,   363,   815,   816,   364,
     817,   365,   366,   367,   368,   369,  1990,  1991,   370,   371,
     818,   372,   819,  1992,   373,   374,   375,  1993,  1994,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   820,   393,   394,   395,
     396,   397,  1995,   398,   399,   821,   400,  1996,   401,   402,
     403,   404,   405,   406,  1997,   407,   408,  1998,  1999,   409,
     410,   411,  2000,  2001,   412,   413,   822,   414,   823,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,  2002,
     425,   426,   427,   428,   429,   430,   431,   432,  2003,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,  2004,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,  2005,   459,   460,   824,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,  2006,   474,   475,   476,   477,   478,  2007,
     479,   480,   481,   482,   483,   825,   484,   485,   486,   487,
    2008,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,  2009,   501,   502,  2010,   503,   826,
     504,   505,   506,   507,   508,  2011,   509,   510,  2012,  2013,
     511,   512,   513,   514,   515,  2014,   516,   517,   518,   519,
     520,   521,   522,  2015,  2016,   523,   524,   525,   526,   527,
    2017,  2018,   528,   529,   530,   531,   532,   533,   534,  2019,
     535,   827,   536,   537,   538,   539,  2020,  2021,   540,  2022,
    2023,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
    2024,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,   774,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,  1033,     0,     0,     0,     0,
       0,     0,     0,     0,  5067,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   805,   245,   246,   247,     0,
    1034,   806,  1035,  1036,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,  1037,  1038,   261,     0,   262,   263,
     264,   265,     0,     0,   807,     0,   267,   268,   269,   270,
     271,   808,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   809,   281,   282,   283,     0,     0,     0,
     810,     0,     0,     0,   284,   285,   286,   287,   288,   289,
    1039,  1040,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,  1041,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,     0,   320,   321,
     322,     0,     0,   324,     0,   325,   326,  1042,   328,     0,
     329,     0,   330,   811,     0,   812,   331,   332,   333,   334,
       0,   335,     0,     0,     0,   338,     0,   339,   340,   341,
     342,   343,   813,   344,   345,   346,   347,  2087,   348,   349,
     350,   351,   352,   353,     0,   354,   814,  2088,   356,   357,
     358,   359,  1044,  1045,     0,  1046,     0,   363,   815,   816,
     364,   817,   365,   366,   367,   368,   369,     0,     0,   370,
       0,   818,   372,   819,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,  1047,   820,  1048,   394,
     395,   396,     0,     0,   398,   399,   821,   400,     0,     0,
     402,  1049,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,  2089,   412,  2090,   822,   414,   823,
       0,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   428,     0,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1050,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     824,   461,   462,   463,     0,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,  2091,   482,   483,   825,   484,   485,  1052,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,     0,   501,   502,     0,   503,
     826,   504,   505,   506,   507,   508,     0,  1053,  1054,     0,
       0,   511,   512,     0,   514,     0,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,     0,  1055,
    2092,   535,   827,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,  2380,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   558,
     559,   560,     0,   228,   229,   230,   231,   232,   233,   234,
     235,  2093,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   805,   245,
     246,   247,     0,  1034,   806,  1035,  1036,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,  1037,  1038,   261,
       0,   262,   263,   264,   265,     0,     0,   807,     0,   267,
     268,   269,   270,   271,   808,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   809,   281,   282,   283,
       0,     0,     0,   810,     0,     0,     0,   284,   285,   286,
     287,   288,   289,  1039,  1040,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,  1041,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
       0,   320,   321,   322,     0,     0,   324,     0,   325,   326,
    1042,   328,     0,   329,     0,   330,   811,     0,   812,   331,
     332,   333,   334,     0,   335,     0,     0,     0,   338,     0,
     339,   340,   341,   342,   343,   813,   344,   345,   346,   347,
    2087,   348,   349,   350,   351,   352,   353,     0,   354,   814,
    2088,   356,   357,   358,   359,  1044,  1045,     0,  1046,     0,
     363,   815,   816,   364,   817,   365,   366,   367,   368,   369,
       0,     0,   370,     0,   818,   372,   819,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,  1047,
     820,  1048,   394,   395,   396,     0,     0,   398,   399,   821,
     400,     0,     0,   402,  1049,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,  2089,   412,  2090,
     822,   414,   823,     0,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   428,     0,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1050,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   824,   461,   462,   463,     0,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,  2091,   482,   483,   825,
     484,   485,  1052,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,     0,   501,
     502,     0,   503,   826,   504,   505,   506,   507,   508,     0,
    1053,  1054,     0,     0,   511,   512,     0,   514,     0,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,     0,  1055,  2092,   535,   827,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   849,  1457,   621,     0,     0,     0,   680,     0,     0,
       0,     0,   558,   559,   560,     0,   228,   229,   230,   231,
     232,   233,   234,   235,  2093,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   805,   245,   246,   247,   248,   249,   806,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
     807,     0,   267,   268,   269,   270,   271,   808,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   809,
     281,   282,   283,     0,     0,     0,   810,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,  1935,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,  1759,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,   811,
       0,   812,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,   813,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   814,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,   815,   816,   364,   817,   365,   366,
     367,   368,   369,     0,     0,   370,   371,   818,   372,   819,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   820,   393,   394,   395,   396,   397,     0,
     398,   399,   821,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,  1760,     0,   409,   410,   411,     0,
       0,   412,   413,   822,   414,   823,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   824,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   825,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,   826,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,  1761,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   827,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   849,  1457,
     621,     0,     0,     0,   680,  1458,  1459,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   805,   245,
     246,   247,   248,   249,   806,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,   807,     0,   267,
     268,   269,   270,   271,   808,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   809,   281,   282,   283,
       0,     0,     0,   810,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,  1940,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,  1759,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,   811,     0,   812,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,   813,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   814,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,   815,   816,   364,   817,   365,   366,   367,   368,   369,
       0,     0,   370,   371,   818,   372,   819,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     820,   393,   394,   395,   396,   397,     0,   398,   399,   821,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,  1760,     0,   409,   410,   411,     0,     0,   412,   413,
     822,   414,   823,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   824,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   825,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,   826,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,  1761,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   827,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   849,  1457,   621,     0,     0,
       0,   680,  1458,  1459,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   805,   245,   246,   247,   248,
     249,   806,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,   807,     0,   267,   268,   269,   270,
     271,   808,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   809,   281,   282,   283,     0,     0,     0,
     810,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,  1759,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,   811,     0,   812,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,   813,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   814,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,   815,   816,
     364,   817,   365,   366,   367,   368,   369,     0,     0,   370,
     371,   818,   372,   819,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   820,   393,   394,
     395,   396,   397,     0,   398,   399,   821,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,  1760,     0,
     409,   410,   411,     0,     0,   412,   413,   822,   414,   823,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     824,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   825,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
     826,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,  1761,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   827,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   849,     0,   621,     0,     0,     0,   680,  1458,
    1459,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   805,   245,   246,   247,   248,   249,   806,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,   807,     0,   267,   268,   269,   270,   271,   808,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     809,   281,   282,   283,     0,     0,     0,   810,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
    2835,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,  1759,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
     811,     0,   812,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,   813,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   814,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,   815,   816,   364,   817,   365,
     366,   367,   368,   369,     0,     0,   370,   371,   818,   372,
     819,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   820,   393,   394,   395,   396,   397,
       0,   398,   399,   821,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,  1760,     0,   409,   410,   411,
       0,     0,   412,   413,   822,   414,   823,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   824,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   825,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,   826,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,  1761,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   827,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,   680,   692,   693,     0,     0,
       0,     0,     0,     0,   228,   681,   230,   231,   232,   233,
     234,   235,   682,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     683,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     684,   327,   328,     0,   329,     0,   685,     0,   686,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   687,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     688,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   689,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   690,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   691,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,  1946,  5262,   621,     0,
       0,     0,   680,   692,   693,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  1947,
     237,   238,   239,  1948,  1949,  1950,  1951,  1952,  1953,  1954,
     240,   241,  1955,   242,   243,   244,   805,   245,   246,   247,
     248,   249,   806,   250,   251,  1956,   252,   253,   254,   255,
     256,  1957,  1958,   257,   258,   259,   260,   261,  1959,   262,
     263,   264,   265,   266,  1960,   807,  1961,   267,   268,   269,
     270,   271,   808,   272,   273,   274,  1962,   275,   276,   277,
     278,   279,   280,  1963,   809,   281,   282,   283,  1964,  1965,
    1966,   810,  1967,  1968,  1969,   284,   285,   286,   287,   288,
     289,   290,   291,   292,  1970,   293,  1971,   294,   295,   296,
     297,   298,   299,  1972,   300,   301,   302,   303,  1973,  1974,
     304,   305,   306,   307,   308,  1975,   309,   310,   311,  1976,
     312,   313,   314,  1977,   315,   316,   317,   318,   319,   320,
     321,   322,   323,  1978,   324,  1979,   325,   326,   327,   328,
    1980,   329,  1981,   330,   811,  1982,   812,   331,   332,   333,
     334,  1983,   335,   336,  1984,   337,   338,  1985,   339,   340,
     341,   342,   343,   813,   344,   345,   346,   347,  1986,   348,
     349,   350,   351,   352,   353,  1987,   354,   814,   355,   356,
     357,   358,   359,   360,   361,  1988,   362,  1989,   363,   815,
     816,   364,   817,   365,   366,   367,   368,   369,  1990,  1991,
     370,   371,   818,   372,   819,  1992,   373,   374,   375,  1993,
    1994,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   820,   393,
     394,   395,   396,   397,  1995,   398,   399,   821,   400,  1996,
     401,   402,   403,   404,   405,   406,  1997,   407,   408,  1998,
    1999,   409,   410,   411,  2000,  2001,   412,   413,   822,   414,
     823,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,  2002,   425,   426,   427,   428,   429,   430,   431,   432,
    2003,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,  2004,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,  2005,   459,
     460,   824,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,  2006,   474,   475,   476,   477,
     478,  2007,   479,   480,   481,   482,   483,   825,   484,   485,
     486,   487,  2008,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,  2009,   501,   502,  2010,
     503,   826,   504,   505,   506,   507,   508,  2011,   509,   510,
    2012,  2013,   511,   512,   513,   514,   515,  2014,   516,   517,
     518,   519,   520,   521,   522,  2015,  2016,   523,   524,   525,
     526,   527,  2017,  2018,   528,   529,   530,   531,   532,   533,
     534,  2019,   535,   827,   536,   537,   538,   539,  2020,  2021,
     540,  2022,  2023,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,  1946,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,  1947,   237,   238,   239,
    1948,  1949,  1950,  1951,  1952,  1953,  1954,   240,   241,  1955,
     242,   243,   244,   805,   245,   246,   247,   248,   249,   806,
     250,   251,  1956,   252,   253,   254,   255,   256,  1957,  1958,
     257,   258,   259,   260,   261,  1959,   262,   263,   264,   265,
     266,  1960,   807,  1961,   267,   268,   269,   270,   271,   808,
     272,   273,   274,  1962,   275,   276,   277,   278,   279,   280,
    1963,   809,   281,   282,   283,  1964,  1965,  1966,   810,  1967,
    1968,  1969,   284,   285,   286,   287,   288,   289,   290,   291,
     292,  1970,   293,  1971,   294,   295,   296,   297,   298,   299,
    1972,   300,   301,   302,   303,  1973,  1974,   304,   305,   306,
     307,   308,  1975,   309,   310,   311,  1976,   312,   313,   314,
    1977,   315,   316,   317,   318,   319,   320,   321,   322,   323,
    1978,   324,  1979,   325,   326,   327,   328,  1980,   329,  1981,
     330,   811,  1982,   812,   331,   332,   333,   334,  1983,   335,
     336,  1984,   337,   338,  1985,   339,   340,   341,   342,   343,
     813,   344,   345,   346,   347,  1986,   348,   349,   350,   351,
     352,   353,  1987,   354,   814,   355,   356,   357,   358,   359,
     360,   361,  1988,   362,  1989,   363,   815,   816,   364,   817,
     365,   366,   367,   368,   369,  1990,  1991,   370,   371,   818,
     372,   819,  1992,   373,   374,   375,  1993,  1994,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   820,   393,   394,   395,   396,
     397,  1995,   398,   399,   821,   400,  1996,   401,   402,   403,
     404,   405,   406,  1997,   407,   408,  1998,  1999,   409,   410,
     411,  2000,  2001,   412,   413,   822,   414,   823,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,  2002,   425,
     426,   427,   428,   429,   430,   431,   432,  2003,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,  2004,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,  2005,   459,   460,   824,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,  2006,   474,   475,   476,   477,   478,  2007,   479,
     480,   481,   482,   483,   825,   484,   485,   486,   487,  2008,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,  2009,   501,   502,  2010,   503,   826,   504,
     505,   506,   507,   508,  2011,   509,   510,  2012,  2013,   511,
     512,   513,   514,   515,  2014,   516,   517,   518,   519,   520,
     521,   522,  2015,  2016,   523,   524,   525,   526,   527,  2017,
    2018,   528,   529,   530,   531,   532,   533,   534,  2019,   535,
     827,   536,   537,   538,   539,  2020,  2021,   540,  2022,  2023,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
    1946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,  2949,
     233,   234,   235,  1947,   237,   238,   239,  1948,  1949,  1950,
    1951,  1952,  1953,  1954,   240,   241,  1955,   242,   243,   244,
     805,   245,   246,   247,   248,   249,   806,   250,   251,  1956,
     252,   253,   254,   255,   256,  1957,  1958,   257,   258,   259,
     260,   261,  1959,   262,   263,   264,   265,   266,  1960,   807,
    1961,   267,   268,   269,   270,   271,   808,   272,   273,   274,
    1962,   275,   276,   277,   278,   279,   280,  1963,   809,   281,
     282,   283,  1964,  1965,  1966,   810,  1967,  1968,  1969,   284,
     285,   286,   287,   288,   289,   290,   291,   292,  1970,   293,
    1971,   294,   295,   296,   297,   298,   299,  1972,   300,   301,
     302,   303,  1973,  1974,   304,   305,   306,  2950,   308,  1975,
     309,   310,   311,  1976,   312,   313,   314,  1977,   315,   316,
     317,   318,   319,   320,   321,   322,   323,  1978,   324,  1979,
     325,   326,   327,   328,  1980,   329,  1981,   330,   811,  1982,
     812,   331,   332,   333,   334,  1983,   335,   336,  1984,   337,
     338,  1985,   339,   340,   341,   342,   343,   813,   344,   345,
     346,   347,  1986,   348,   349,   350,   351,   352,   353,  1987,
     354,   814,   355,   356,   357,   358,   359,   360,   361,  1988,
     362,  1989,   363,   815,   816,   364,   817,   365,   366,   367,
     368,   369,  1990,  1991,   370,   371,   818,   372,   819,  1992,
     373,   374,   375,  1993,  1994,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   820,   393,   394,   395,   396,   397,  1995,   398,
     399,   821,   400,  1996,   401,   402,   403,   404,   405,   406,
    1997,   407,   408,  1998,  1999,   409,   410,   411,  2000,  2001,
     412,   413,   822,   414,   823,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,  2002,   425,   426,   427,   428,
     429,   430,   431,   432,  2003,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,  2004,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,  2005,   459,   460,   824,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,  2006,
     474,   475,   476,   477,   478,  2007,  2951,   480,   481,   482,
     483,   825,   484,   485,   486,   487,  2008,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
    2009,   501,   502,  2010,   503,   826,   504,   505,   506,   507,
     508,  2011,   509,   510,  2012,  2013,   511,   512,   513,   514,
     515,  2014,   516,   517,   518,   519,   520,   521,   522,  2015,
    2016,   523,   524,   525,   526,   527,  2017,  2018,   528,   529,
     530,   531,   532,   533,   534,  2019,   535,   827,   536,   537,
     538,   539,  2020,  2021,   540,  2022,  2023,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   804,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,   805,   245,   246,
     247,   248,   249,   806,   250,   251,     0,   252,   253,   254,
     255,   256,     0,  1189,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,  1192,     0,  1193,     0,   267,   268,
     269,   270,   271,   808,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,   809,   281,   282,   283,  1194,
    1195,  1196,  1197,  1198,  1199,  1200,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,  1205,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,   811,     0,   812,   331,   332,
     333,   334,     0,   335,  1208,     0,   337,   338,     0,   339,
     340,   341,   342,   343,   813,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,   814,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
     815,   816,   364,   817,   365,   366,   367,   368,   369,     0,
       0,   370,  1213,   818,   372,   819,     0,   373,   374,   375,
    1214,  1215,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   820,
     393,   394,   395,   396,   397,     0,   398,   399,   821,   400,
       0,  1220,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,   822,
     414,   823,  1223,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,  1224,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   824,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,  1227,   479,   480,   481,   482,   483,   825,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  1229,     0,   501,   502,
       0,   503,   826,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,  1232,   514,  1233,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,  1236,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   827,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,  1238,  1239,  1240,  1241,   552,  1242,  1243,  1244,  1245,
     557,   558,   559,   560,   849,     0,   621,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   805,   245,   246,   247,   248,   249,
     806,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,   807,     0,   267,   268,   269,   270,   271,
     808,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   809,   281,   282,   283,     0,     0,     0,   810,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,  1759,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,   811,     0,   812,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
     343,   813,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   814,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,   815,   816,   364,
     817,   365,   366,   367,   368,   369,     0,     0,   370,   371,
     818,   372,   819,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   820,   393,   394,   395,
     396,   397,     0,   398,   399,   821,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,  1760,     0,   409,
     410,   411,     0,     0,   412,   413,   822,   414,   823,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   824,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   825,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,   826,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,  1761,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   827,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   849,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,   886,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   805,   245,   246,   247,   248,   249,   806,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
     807,     0,   267,   268,   269,   270,   271,   808,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   809,
     281,   282,   283,     0,     0,     0,   810,     0,     0,   850,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,   811,
       0,   812,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,   813,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   814,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,   815,   816,   364,   817,   365,   366,
     367,   368,   369,     0,     0,   370,   371,   818,   372,   819,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   820,   393,   394,   395,   396,   397,     0,
     398,   399,   821,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,   822,   414,   823,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   824,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   851,   479,   480,   481,
     482,   483,   825,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,   826,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   827,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   849,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   805,   245,
     246,   247,   248,   249,   806,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,   807,     0,   267,
     268,   269,   270,   271,   808,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   809,   281,   282,   283,
       0,     0,     0,   810,     0,     0,   850,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,   811,     0,   812,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,   813,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   814,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,   815,   816,   364,   817,   365,   366,   367,   368,   369,
       0,     0,   370,   371,   818,   372,   819,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     820,   393,   394,   395,   396,   397,     0,   398,   399,   821,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
     822,   414,   823,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   824,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,   851,   479,   480,   481,   482,   483,   825,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,   826,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,  2337,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   827,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   849,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   805,   245,   246,   247,   248,
     249,   806,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,   807,     0,   267,   268,   269,   270,
     271,   808,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   809,   281,   282,   283,     0,     0,     0,
     810,     0,     0,   850,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,   811,     0,   812,   331,   332,   333,   334,
       0,   335,   336,  3275,   337,   338,     0,   339,   340,   341,
     342,   343,   813,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   814,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,   815,   816,
     364,   817,   365,   366,   367,   368,   369,     0,     0,   370,
     371,   818,   372,   819,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   820,   393,   394,
     395,   396,   397,     0,   398,   399,   821,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,   822,   414,   823,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     824,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     851,   479,   480,   481,   482,   483,   825,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
     826,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   827,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   849,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   805,   245,   246,   247,   248,   249,   806,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,   807,     0,   267,   268,   269,   270,   271,   808,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     809,   281,   282,   283,     0,     0,     0,   810,     0,     0,
     850,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
     811,     0,   812,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,   813,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   814,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,   815,   816,   364,   817,   365,
     366,   367,   368,   369,     0,     0,   370,   371,   818,   372,
     819,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   820,   393,   394,   395,   396,   397,
       0,   398,   399,   821,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,   822,   414,   823,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   824,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,   851,   479,   480,
     481,   482,   483,   825,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,   826,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   827,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   849,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   805,
     245,   246,   247,   248,   249,   806,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,   807,     0,
     267,   268,   269,   270,   271,   808,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   809,   281,   282,
     283,     0,     0,     0,   810,     0,     0,   850,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,   811,     0,   812,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,   813,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     814,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,   815,   816,   364,   817,   365,   366,   367,   368,
     369,     0,     0,   370,   371,   818,   372,   819,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   905,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   820,   393,   394,   395,   396,   397,     0,   398,   399,
     821,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,   822,   414,   823,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   824,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   851,   479,   480,   481,   482,   483,
     825,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,   826,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   827,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   849,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   805,   245,   246,   247,
     248,   249,   806,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,   807,     0,   267,   268,   269,
     270,   271,   808,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   809,   281,   282,   283,     0,     0,
       0,   810,     0,     0,   850,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,   811,     0,   812,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   343,   813,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   814,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,   815,
     816,   364,   817,   365,   366,   367,   368,   369,     0,     0,
     370,   371,   818,   372,   819,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,  1003,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   820,   393,
     394,   395,   396,   397,     0,   398,   399,   821,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,   822,   414,
     823,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   824,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,   851,   479,   480,   481,   482,   483,   825,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,   826,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   827,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   849,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   805,   245,   246,   247,   248,   249,   806,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,   807,     0,   267,   268,   269,   270,   271,   808,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,   809,   281,   282,   283,     0,     0,     0,   810,     0,
       0,   850,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,   811,     0,   812,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,  1078,
     813,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,   814,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,   815,   816,   364,   817,
     365,   366,   367,   368,   369,     0,     0,   370,   371,   818,
     372,   819,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   820,   393,   394,   395,   396,
     397,     0,   398,   399,   821,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,   822,   414,   823,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   824,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   851,   479,
     480,   481,   482,   483,   825,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,   826,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     827,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     849,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
     805,   245,   246,   247,   248,   249,   806,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,   807,
       0,   267,   268,   269,   270,   271,   808,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,   809,   281,
     282,   283,     0,     0,     0,   810,     0,     0,   850,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,   811,     0,
     812,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,  1089,   813,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,   814,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,   815,   816,   364,   817,   365,   366,   367,
     368,   369,     0,     0,   370,   371,   818,   372,   819,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   820,   393,   394,   395,   396,   397,     0,   398,
     399,   821,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,   822,   414,   823,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   824,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,   851,   479,   480,   481,   482,
     483,   825,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,   826,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,   827,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   849,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,   805,   245,   246,
     247,   248,   249,   806,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,   807,     0,   267,   268,
     269,   270,   271,   808,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,   809,   281,   282,   283,     0,
       0,     0,   810,     0,     0,   850,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,   811,     0,   812,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,  1099,   813,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,   814,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
     815,   816,   364,   817,   365,   366,   367,   368,   369,     0,
       0,   370,   371,   818,   372,   819,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,  1100,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   820,
     393,   394,   395,   396,   397,     0,   398,   399,   821,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,   822,
     414,   823,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   824,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   851,   479,   480,   481,   482,   483,   825,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,   826,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   827,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   849,     0,   621,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   805,   245,   246,   247,   248,   249,
     806,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,   807,     0,   267,   268,   269,   270,   271,
     808,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   809,   281,   282,   283,     0,     0,     0,   810,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,  1920,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,   811,     0,   812,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
     343,   813,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   814,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,   815,   816,   364,
     817,   365,   366,   367,   368,   369,     0,     0,   370,   371,
     818,   372,   819,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   820,   393,   394,   395,
     396,   397,     0,   398,   399,   821,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,   822,   414,   823,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   824,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   825,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,   826,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,   827,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   849,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     3,     4,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   805,   245,   246,   247,   248,   249,   806,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
     807,     0,   267,   268,   269,   270,   271,   808,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   809,
     281,   282,   283,     0,     0,     0,   810,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,   811,
       0,   812,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,   813,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   814,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,   815,   816,   364,   817,   365,   366,
     367,   368,   369,     0,     0,   370,   371,   818,   372,   819,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   820,   393,   394,   395,   396,   397,     0,
     398,   399,   821,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,   822,   414,   823,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   824,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   825,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,   826,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   827,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   849,     0,
     621,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   805,   245,
     246,   247,   248,   249,   806,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,   807,     0,   267,
     268,   269,   270,   271,   808,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   809,   281,   282,   283,
       0,     0,     0,   810,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,   811,     0,   812,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,   813,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   814,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,   815,   816,   364,   817,   365,   366,   367,   368,   369,
       0,     0,   370,   371,   818,   372,   819,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     820,   393,   394,   395,   396,   397,     0,   398,   399,   821,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
     822,   414,   823,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   824,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   825,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,   826,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,   827,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   849,     0,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   805,   245,   246,   247,   248,
     249,   806,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,   807,     0,   267,   268,   269,   270,
     271,   808,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   809,   281,   282,   283,     0,     0,     0,
     810,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,   811,     0,   812,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,  1745,   813,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   814,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,   815,   816,
     364,   817,   365,   366,   367,   368,   369,     0,     0,   370,
     371,   818,   372,   819,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   820,   393,   394,
     395,   396,   397,     0,   398,   399,   821,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,   822,   414,   823,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     824,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   825,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
     826,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   827,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   804,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   805,   245,   246,   247,   248,   249,   806,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,   807,     0,   267,   268,   269,   270,   271,   808,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     809,   281,   282,   283,     0,     0,     0,   810,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
     811,     0,   812,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,   813,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   814,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,   815,   816,   364,   817,   365,
     366,   367,   368,   369,     0,     0,   370,   371,   818,   372,
     819,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   820,   393,   394,   395,   396,   397,
       0,   398,   399,   821,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,   822,   414,   823,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   824,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   825,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,   826,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,   827,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   804,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   805,
     245,   246,   247,   248,   249,   806,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,   807,     0,
     267,   268,   269,   270,   271,   808,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   809,   281,   282,
     283,     0,     0,     0,   810,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,   811,     0,   812,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,  1025,   813,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     814,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,   815,   816,   364,   817,   365,   366,   367,   368,
     369,     0,     0,   370,   371,   818,   372,   819,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   820,   393,   394,   395,   396,   397,     0,   398,   399,
     821,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,   822,   414,   823,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   824,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     825,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,   826,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   827,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   804,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   805,   245,   246,   247,
     248,   249,   806,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,   807,     0,   267,   268,   269,
     270,   271,   808,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   809,   281,   282,   283,     0,     0,
       0,   810,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,   811,     0,   812,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,  1075,   813,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   814,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,   815,
     816,   364,   817,   365,   366,   367,   368,   369,     0,     0,
     370,   371,   818,   372,   819,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   820,   393,
     394,   395,   396,   397,     0,   398,   399,   821,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,   822,   414,
     823,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   824,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   825,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,   826,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,   827,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,  2127,   262,   263,   264,   265,
     266,     0,     0,  2204,   267,   268,   269,   270,   271,     0,
     272,   273,   274,  2128,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,  2205,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,  2130,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,  2206,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,  2131,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,  2132,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,  2127,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
    2128,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,  2205,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,  2130,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,  3139,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,  2131,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
    2132,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   737,   234,   235,
     699,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,   700,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,   738,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   701,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   702,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,   699,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,   700,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,  2842,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   701,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   702,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,  2127,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,  2128,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,  2205,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,  2130,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,  2131,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,  2132,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   699,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,   700,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   701,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   702,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,  1786,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,  1787,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
    1788,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,  1789,   330,     0,     0,     0,  1790,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,  1791,  1792,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,  1793,   469,
     470,   471,   472,   473,     0,  1794,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,  1795,   503,
       0,  1796,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,  1797,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,   700,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   701,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   702,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,   898,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   899,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   769,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     3,     4,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,  2930,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,  2931,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,  2943,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,  2944,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,   612,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   613,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,   729,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   730,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   731,   510,     0,     0,   732,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,   763,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   764,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     765,   510,     0,     0,   766,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   769,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,   858,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   859,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,  1017,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  1283,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,  1294,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     749,   258,   259,   260,  1295,     0,   262,   263,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   752,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   753,
     462,   463,   464,   465,   466,   467,   754,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,  1287,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   756,   510,     0,     0,   757,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   758,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,  1405,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   769,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
    1462,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,  1463,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,   729,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,  2733,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,  2734,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,  2735,   503,     0,   504,  2736,   506,
    2737,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,  2738,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
     621,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,  3961,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,  3975,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   715,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   727,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   749,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   750,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   751,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     752,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   753,   462,   463,   464,
     465,   466,   467,   754,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   755,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   756,   510,     0,     0,   757,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   758,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   780,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
     883,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   891,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   908,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   968,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   974,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   991,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,   994,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,   996,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,  1031,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,  1091,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
    1093,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,  1103,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,  1106,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,  1109,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   749,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   752,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   753,   462,
     463,   464,   465,   466,   467,   754,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,  1287,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   756,   510,     0,     0,   757,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   758,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,  1611,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,  1649,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,  1651,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,  1721,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,  1723,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   509,
     510,     0,     0,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
    1725,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,  1820,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
    2080,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,   343,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   749,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   752,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   753,   462,   463,   464,   465,   466,   467,   754,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,  1287,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,  2114,   505,   506,   507,   508,     0,   756,   510,     0,
       0,   757,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   758,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   749,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   752,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   753,   462,
     463,   464,   465,   466,   467,  2189,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,  2190,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   756,   510,     0,     0,  2191,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   758,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,  2460,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,   259,   260,   261,     0,   262,
     263,   264,   265,   266,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,   290,   291,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,   336,     0,   337,   338,     0,   339,   340,
     341,   342,  2464,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,   355,   356,
     357,   358,   359,   360,   361,     0,   362,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,   371,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
     394,   395,   396,   397,     0,   398,   399,     0,   400,     0,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,   413,     0,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,     0,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,   509,   510,
       0,     0,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   245,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,   259,   260,   261,     0,   262,   263,   264,   265,
     266,     0,     0,     0,   267,   268,   269,   270,   271,     0,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,     0,   281,   282,   283,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   286,   287,   288,   289,   290,   291,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,     0,   329,     0,
     330,     0,     0,     0,   331,   332,   333,   334,     0,   335,
     336,     0,   337,   338,     0,   339,   340,   341,   342,  2533,
       0,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,     0,   355,   356,   357,   358,   359,
     360,   361,     0,   362,     0,   363,     0,     0,   364,     0,
     365,   366,   367,   368,   369,     0,     0,   370,   371,     0,
     372,     0,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,   394,   395,   396,
     397,     0,   398,   399,     0,   400,     0,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,   413,     0,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,     0,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,     0,   501,   502,     0,   503,     0,   504,
     505,   506,   507,   508,     0,   509,   510,     0,     0,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   245,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,   259,
     260,   261,     0,   262,   263,   264,   265,   266,     0,     0,
       0,   267,   268,   269,   270,   271,     0,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,     0,   281,
     282,   283,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   286,   287,   288,   289,   290,   291,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,   306,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,     0,   329,     0,   330,     0,     0,
       0,   331,   332,   333,   334,     0,   335,   336,     0,   337,
     338,     0,   339,   340,   341,   342,  2853,     0,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,     0,   355,   356,   357,   358,   359,   360,   361,     0,
     362,     0,   363,     0,     0,   364,     0,   365,   366,   367,
     368,   369,     0,     0,   370,   371,     0,   372,     0,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,   394,   395,   396,   397,     0,   398,
     399,     0,   400,     0,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,   413,     0,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,     0,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
       0,   501,   502,     0,   503,     0,   504,   505,   506,   507,
     508,     0,   509,   510,     0,     0,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   245,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,     0,     0,   749,   258,   259,   260,   261,     0,
     262,   263,   264,   265,   266,     0,     0,     0,   267,   268,
     269,   270,   271,     0,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,     0,   281,   282,   283,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   286,   287,
     288,   289,   290,   291,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,   306,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,     0,   329,     0,   330,     0,     0,     0,   331,   332,
     333,   334,     0,   335,   336,     0,   337,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,     0,   355,
     356,   357,   358,   359,   360,   361,     0,   362,     0,   363,
       0,     0,   364,     0,   365,   366,   367,   368,   369,     0,
       0,   370,   371,     0,   372,     0,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   752,   392,     0,
     393,   394,   395,   396,   397,     0,   398,   399,     0,   400,
       0,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,   413,     0,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   753,   462,   463,   464,   465,   466,   467,
     754,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,  2190,     0,   479,   480,   481,   482,   483,     0,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,     0,   501,   502,
       0,   503,     0,   504,   505,   506,   507,   508,     0,   756,
     510,     0,     0,  2191,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   758,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   245,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,   259,   260,   261,     0,   262,   263,   264,
     265,   266,     0,     0,     0,   267,   268,   269,   270,   271,
       0,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,     0,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,   284,   285,   286,   287,   288,   289,   290,
     291,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
     306,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,     0,   329,
       0,   330,     0,     0,     0,   331,   332,   333,   334,     0,
     335,   336,     0,   337,   338,     0,   339,   340,   341,   342,
    2920,     0,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,     0,   355,   356,   357,   358,
     359,   360,   361,     0,   362,     0,   363,     0,     0,   364,
       0,   365,   366,   367,   368,   369,     0,     0,   370,   371,
       0,   372,     0,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,   394,   395,
     396,   397,     0,   398,   399,     0,   400,     0,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,   413,     0,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,     0,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,     0,   501,   502,     0,   503,     0,
     504,   505,   506,   507,   508,     0,   509,   510,     0,     0,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   245,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
     259,   260,   261,     0,   262,   263,   264,   265,   266,     0,
       0,     0,   267,   268,   269,   270,   271,     0,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,     0,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
     284,   285,   286,   287,   288,   289,   290,   291,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,   306,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,     0,   329,     0,   330,     0,
       0,     0,   331,   332,   333,   334,     0,   335,   336,     0,
     337,   338,     0,   339,   340,   341,   342,  2933,     0,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,     0,   355,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   363,     0,     0,   364,     0,   365,   366,
     367,   368,   369,     0,     0,   370,   371,     0,   372,     0,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,   394,   395,   396,   397,     0,
     398,   399,     0,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,   413,     0,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,     0,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,     0,   501,   502,     0,   503,     0,   504,   505,   506,
     507,   508,     0,   509,   510,     0,     0,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   245,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,   259,   260,   261,
       0,   262,   263,   264,   265,   266,     0,     0,     0,   267,
     268,   269,   270,   271,     0,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,     0,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,   284,   285,   286,
     287,   288,   289,   290,   291,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,   306,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,     0,   329,     0,   330,     0,     0,     0,   331,
     332,   333,   334,     0,   335,   336,     0,   337,   338,     0,
     339,   340,   341,   342,  2935,     0,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,     0,
     355,   356,   357,   358,   359,   360,   361,     0,   362,     0,
     363,     0,     0,   364,     0,   365,   366,   367,   368,   369,
       0,     0,   370,   371,     0,   372,     0,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,   394,   395,   396,   397,     0,   398,   399,     0,
     400,     0,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,   413,
       0,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,     0,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,     0,   501,
     502,     0,   503,     0,   504,   505,   506,   507,   508,     0,
     509,   510,     0,     0,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   245,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,   259,   260,   261,     0,   262,   263,
     264,   265,   266,     0,     0,     0,   267,   268,   269,   270,
     271,     0,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,     0,   281,   282,   283,     0,     0,     0,
       0,     0,     0,     0,   284,   285,   286,   287,   288,   289,
     290,   291,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,   306,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,     0,
     329,     0,   330,     0,     0,     0,   331,   332,   333,   334,
       0,   335,   336,     0,   337,   338,     0,   339,   340,   341,
     342,  3070,     0,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,     0,   355,   356,   357,
     358,   359,   360,   361,     0,   362,     0,   363,     0,     0,
     364,     0,   365,   366,   367,   368,   369,     0,     0,   370,
     371,     0,   372,     0,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,   394,
     395,   396,   397,     0,   398,   399,     0,   400,     0,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,   413,     0,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,     0,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,     0,   501,   502,     0,   503,
       0,   504,   505,   506,   507,   508,     0,   509,   510,     0,
       0,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   245,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,   259,   260,   261,     0,   262,   263,   264,   265,   266,
       0,     0,     0,   267,   268,   269,   270,   271,     0,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
       0,   281,   282,   283,     0,     0,     0,     0,     0,     0,
       0,   284,   285,   286,   287,   288,   289,   290,   291,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,  3095,   306,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,     0,   329,     0,   330,
       0,     0,     0,   331,   332,   333,   334,     0,   335,   336,
       0,   337,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,     0,   355,   356,   357,   358,   359,   360,
     361,     0,   362,     0,   363,     0,     0,   364,     0,   365,
     366,   367,   368,   369,     0,     0,   370,   371,     0,   372,
       0,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,   394,   395,   396,   397,
       0,   398,   399,     0,   400,     0,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,   413,     0,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,     0,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,     0,   501,   502,     0,   503,     0,   504,   505,
     506,   507,   508,     0,   509,   510,     0,     0,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,  4240,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,  1033,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   805,   245,   246,   247,
       0,  1034,   806,  1035,  1036,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,  1037,  1038,   261,     0,   262,
     263,   264,   265,     0,     0,   807,     0,   267,   268,   269,
     270,   271,   808,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   809,   281,   282,   283,     0,     0,
       0,   810,     0,     0,     0,   284,   285,   286,   287,   288,
     289,  1039,  1040,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,  1041,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,     0,   320,
     321,   322,     0,     0,   324,     0,   325,   326,  1042,   328,
       0,   329,     0,   330,   811,     0,   812,   331,   332,   333,
     334,     0,   335,     0,     0,     0,   338,     0,   339,   340,
     341,   342,   343,   813,   344,   345,   346,   347,  2087,   348,
     349,   350,   351,   352,   353,     0,   354,   814,  2088,   356,
     357,   358,   359,  1044,  1045,     0,  1046,     0,   363,   815,
     816,   364,   817,   365,   366,   367,   368,   369,     0,     0,
     370,     0,   818,   372,   819,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1047,   820,  1048,
     394,   395,   396,     0,     0,   398,   399,   821,   400,     0,
       0,   402,  1049,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,  2090,   822,   414,
     823,     0,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   428,     0,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1050,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   824,   461,   462,   463,     0,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,  2091,   482,   483,   825,   484,   485,
    1052,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,     0,   501,   502,     0,
     503,   826,   504,   505,   506,   507,   508,     0,  1053,  1054,
       0,     0,   511,   512,     0,   514,     0,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,     0,
    1055,  2092,   535,   827,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     558,   559,   560,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     245,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,   259,   260,
     261,     0,   262,   263,   264,   265,   266,     0,     0,     0,
     267,   268,   269,   270,   271,     0,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,     0,   281,   282,
     283,     0,     0,     0,     0,     0,     0,     0,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,   306,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,     0,   329,     0,   330,     0,     0,     0,
     331,   332,   333,   334,     0,   335,   336,     0,   337,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
       0,   355,   356,   357,   358,   359,   360,   361,     0,   362,
       0,   363,     0,     0,   364,     0,   365,   366,   367,   368,
     369,     0,     0,   370,   371,     0,   372,     0,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,   394,   395,   396,   397,     0,   398,   399,
       0,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
     413,     0,   414,     0,   415,   416,   417,   418,   419,   420,
     421,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,     0,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   461,   462,   463,   464,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
       0,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,     0,
     501,   502,     0,   503,     0,   504,   505,   506,   507,   508,
       0,   509,   510,     0,     0,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,  1033,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   805,   245,   246,   247,
       0,  1034,   806,  1035,  1036,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,  1037,  1038,   261,     0,   262,
     263,   264,   265,     0,     0,   807,     0,   267,   268,   269,
     270,   271,   808,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,   809,   281,   282,   283,     0,     0,
       0,   810,     0,     0,     0,   284,   285,   286,   287,   288,
     289,  1039,  1040,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,  1041,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,     0,   320,
     321,   322,     0,     0,   324,     0,   325,   326,  1042,   328,
       0,   329,     0,   330,   811,     0,   812,   331,   332,   333,
     334,     0,   335,     0,     0,     0,   338,     0,   339,   340,
     341,   342,   343,   813,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,   814,     0,   356,
     357,   358,   359,  1044,  1045,     0,  1046,     0,   363,   815,
     816,   364,   817,   365,   366,   367,   368,   369,     0,     0,
     370,     0,   818,   372,   819,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,  1047,   820,  1048,
     394,   395,   396,     0,     0,   398,   399,   821,   400,  2185,
       0,   402,  1049,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,     0,   822,   414,
     823,     0,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   428,     0,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1050,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   824,   461,   462,   463,     0,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,  2091,   482,   483,   825,   484,   485,
    1052,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,     0,   501,   502,  3801,
     503,   826,   504,   505,   506,   507,   508,     0,  1053,  1054,
       0,     0,   511,   512,     0,   514,     0,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,     0,
    1055,     0,   535,   827,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,  1033,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     558,   559,   560,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   805,
     245,   246,   247,     0,  1034,   806,  1035,  1036,     0,   252,
     253,   254,   255,   256,     0,     0,   257,   258,  1037,  1038,
     261,     0,   262,   263,   264,   265,     0,     0,   807,     0,
     267,   268,   269,   270,   271,   808,   272,   273,   274,     0,
     275,   276,   277,   278,   279,   280,     0,   809,   281,   282,
     283,     0,     0,     0,   810,     0,     0,     0,   284,   285,
     286,   287,   288,   289,  1039,  1040,   292,     0,   293,     0,
     294,   295,   296,   297,   298,   299,     0,   300,   301,   302,
     303,     0,     0,   304,   305,  1041,   307,   308,     0,   309,
     310,   311,     0,   312,   313,   314,     0,   315,   316,   317,
     318,     0,   320,   321,   322,     0,     0,   324,     0,   325,
     326,  1042,   328,     0,   329,     0,   330,   811,     0,   812,
     331,   332,   333,   334,     0,   335,     0,     0,     0,   338,
       0,   339,   340,   341,   342,   343,   813,   344,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,     0,   354,
     814,     0,   356,   357,   358,   359,  1044,  1045,     0,  1046,
       0,   363,   815,   816,   364,   817,   365,   366,   367,   368,
     369,     0,     0,   370,     0,   818,   372,   819,     0,   373,
     374,   375,     0,     0,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1047,   820,  1048,   394,   395,   396,  2256,     0,   398,   399,
     821,   400,     0,     0,   402,  1049,   404,   405,   406,     0,
     407,   408,     0,     0,   409,   410,   411,     0,     0,   412,
       0,   822,   414,   823,     0,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   428,     0,
     430,   431,   432,     0,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1050,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   824,   461,   462,   463,     0,   465,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,     0,   479,   480,  1051,   482,   483,
     825,   484,   485,  1052,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,     0,
     501,   502,     0,   503,   826,   504,   505,   506,   507,   508,
       0,  1053,  1054,     0,     0,   511,   512,     0,   514,     0,
       0,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   524,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,     0,  1055,     0,   535,   827,   536,   537,   538,
     539,     0,     0,   540,     0,     0,   541,   542,   543,   544,
     545,   546,  1033,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   558,   559,   560,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   805,   245,   246,   247,     0,  1034,   806,  1035,
    1036,     0,   252,   253,   254,   255,   256,     0,     0,   257,
     258,  1037,  1038,   261,     0,   262,   263,   264,   265,     0,
       0,   807,     0,   267,   268,   269,   270,   271,   808,   272,
     273,   274,     0,   275,   276,   277,   278,   279,   280,     0,
     809,   281,   282,   283,     0,     0,     0,   810,     0,     0,
       0,   284,   285,   286,   287,   288,   289,  1039,  1040,   292,
       0,   293,     0,   294,   295,   296,   297,   298,   299,     0,
     300,   301,   302,   303,     0,     0,   304,   305,  1041,   307,
     308,     0,   309,   310,   311,     0,   312,   313,   314,     0,
     315,   316,   317,   318,     0,   320,   321,   322,     0,     0,
     324,     0,   325,   326,  1042,   328,     0,   329,     0,   330,
     811,     0,   812,   331,   332,   333,   334,     0,   335,     0,
       0,     0,   338,     0,   339,   340,   341,   342,   343,   813,
     344,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,     0,   354,   814,     0,   356,   357,   358,   359,  1044,
    1045,     0,  1046,     0,   363,   815,   816,   364,   817,   365,
     366,   367,   368,   369,     0,     0,   370,     0,   818,   372,
     819,     0,   373,   374,   375,     0,     0,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,  1047,   820,  1048,   394,   395,   396,  3616,
       0,   398,   399,   821,   400,     0,     0,   402,  1049,   404,
     405,   406,     0,   407,   408,     0,     0,   409,   410,   411,
       0,     0,   412,     0,   822,   414,   823,     0,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
       0,   428,     0,   430,   431,   432,     0,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1050,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   824,   461,   462,
     463,     0,   465,   466,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,     0,   479,   480,
    1051,   482,   483,   825,   484,   485,  1052,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,     0,   501,   502,     0,   503,   826,   504,   505,
     506,   507,   508,     0,  1053,  1054,     0,     0,   511,   512,
       0,   514,     0,     0,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,     0,  1055,     0,   535,   827,
     536,   537,   538,   539,     0,     0,   540,     0,     0,   541,
     542,   543,   544,   545,   546,  1033,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   558,   559,   560,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   805,   245,   246,   247,     0,
    1034,   806,  1035,  1036,     0,   252,   253,   254,   255,   256,
       0,     0,   257,   258,  1037,  1038,   261,     0,   262,   263,
     264,   265,     0,     0,   807,     0,   267,   268,   269,   270,
     271,   808,   272,   273,   274,     0,   275,   276,   277,   278,
     279,   280,     0,   809,   281,   282,   283,     0,     0,     0,
     810,     0,     0,     0,   284,   285,   286,   287,   288,   289,
    1039,  1040,   292,     0,   293,     0,   294,   295,   296,   297,
     298,   299,     0,   300,   301,   302,   303,     0,     0,   304,
     305,  1041,   307,   308,     0,   309,   310,   311,     0,   312,
     313,   314,     0,   315,   316,   317,   318,     0,   320,   321,
     322,     0,     0,   324,     0,   325,   326,  1042,   328,  5131,
     329,     0,   330,   811,     0,   812,   331,   332,   333,   334,
       0,   335,     0,     0,     0,   338,     0,   339,   340,   341,
     342,   343,   813,   344,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,     0,   354,   814,     0,   356,   357,
     358,   359,  1044,  1045,     0,  1046,     0,   363,   815,   816,
     364,   817,   365,   366,   367,   368,   369,     0,     0,   370,
       0,   818,   372,   819,     0,   373,   374,   375,     0,     0,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,  1047,   820,  1048,   394,
     395,   396,     0,     0,   398,   399,   821,   400,     0,     0,
     402,  1049,   404,   405,   406,     0,   407,   408,     0,     0,
     409,   410,   411,     0,     0,   412,     0,   822,   414,   823,
       0,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   428,     0,   430,   431,   432,     0,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1050,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     824,   461,   462,   463,     0,   465,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
       0,   479,   480,  1051,   482,   483,   825,   484,   485,  1052,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,     0,   501,   502,     0,   503,
     826,   504,   505,   506,   507,   508,     0,  1053,  1054,     0,
       0,   511,   512,     0,   514,     0,     0,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,   524,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,     0,  1055,
       0,   535,   827,   536,   537,   538,   539,     0,     0,   540,
       0,     0,   541,   542,   543,   544,   545,   546,  1033,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   558,
     559,   560,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   805,   245,
     246,   247,     0,  1034,   806,  1035,  1036,     0,   252,   253,
     254,   255,   256,     0,     0,   257,   258,  1037,  1038,   261,
       0,   262,   263,   264,   265,     0,     0,   807,     0,   267,
     268,   269,   270,   271,   808,   272,   273,   274,     0,   275,
     276,   277,   278,   279,   280,     0,   809,   281,   282,   283,
       0,     0,     0,   810,     0,     0,     0,   284,   285,   286,
     287,   288,   289,  1039,  1040,   292,     0,   293,     0,   294,
     295,   296,   297,   298,   299,     0,   300,   301,   302,   303,
       0,     0,   304,   305,  1041,   307,   308,     0,   309,   310,
     311,     0,   312,   313,   314,     0,   315,   316,   317,   318,
       0,   320,   321,   322,     0,     0,   324,     0,   325,   326,
    1042,   328,     0,   329,     0,   330,   811,     0,   812,   331,
     332,   333,   334,     0,   335,     0,     0,     0,   338,     0,
     339,   340,   341,   342,  1043,   813,   344,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,     0,   354,   814,
       0,   356,   357,   358,   359,  1044,  1045,     0,  1046,     0,
     363,   815,   816,   364,   817,   365,   366,   367,   368,   369,
       0,     0,   370,     0,   818,   372,   819,     0,   373,   374,
     375,     0,     0,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,  1047,
     820,  1048,   394,   395,   396,     0,     0,   398,   399,   821,
     400,     0,     0,   402,  1049,   404,   405,   406,     0,   407,
     408,     0,     0,   409,   410,   411,     0,     0,   412,     0,
     822,   414,   823,     0,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   428,     0,   430,
     431,   432,     0,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1050,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   824,   461,   462,   463,     0,   465,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,     0,   479,   480,  1051,   482,   483,   825,
     484,   485,  1052,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,     0,   501,
     502,     0,   503,   826,   504,   505,   506,   507,   508,     0,
    1053,  1054,     0,     0,   511,   512,     0,   514,     0,     0,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,     0,  1055,     0,   535,   827,   536,   537,   538,   539,
       0,     0,   540,     0,     0,   541,   542,   543,   544,   545,
     546,  1033,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   558,   559,   560,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   805,   245,   246,   247,     0,  1034,   806,  1035,  1036,
       0,   252,   253,   254,   255,   256,     0,     0,   257,   258,
    1037,  1038,   261,     0,   262,   263,   264,   265,     0,     0,
     807,     0,   267,   268,   269,   270,   271,   808,   272,   273,
     274,     0,   275,   276,   277,   278,   279,   280,     0,   809,
     281,   282,   283,     0,     0,     0,   810,     0,     0,     0,
     284,   285,   286,   287,   288,   289,  1039,  1040,   292,     0,
     293,     0,   294,   295,   296,   297,   298,   299,     0,   300,
     301,   302,   303,     0,     0,   304,   305,  1041,   307,   308,
       0,   309,   310,   311,     0,   312,   313,   314,     0,   315,
     316,   317,   318,     0,   320,   321,   322,     0,     0,   324,
       0,   325,   326,  1042,   328,     0,   329,     0,   330,   811,
       0,   812,   331,   332,   333,   334,     0,   335,     0,     0,
       0,   338,     0,   339,   340,   341,   342,  1097,   813,   344,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
       0,   354,   814,     0,   356,   357,   358,   359,  1044,  1045,
       0,  1046,     0,   363,   815,   816,   364,   817,   365,   366,
     367,   368,   369,     0,     0,   370,     0,   818,   372,   819,
       0,   373,   374,   375,     0,     0,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,  1047,   820,  1048,   394,   395,   396,     0,     0,
     398,   399,   821,   400,     0,     0,   402,  1049,   404,   405,
     406,     0,   407,   408,     0,     0,   409,   410,   411,     0,
       0,   412,     0,   822,   414,   823,     0,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     428,     0,   430,   431,   432,     0,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1050,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   824,   461,   462,   463,
       0,   465,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,     0,   479,   480,  1051,
     482,   483,   825,   484,   485,  1052,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,     0,   501,   502,     0,   503,   826,   504,   505,   506,
     507,   508,     0,  1053,  1054,     0,     0,   511,   512,     0,
     514,     0,     0,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,     0,  1055,     0,   535,   827,   536,
     537,   538,   539,     0,     0,   540,     0,     0,   541,   542,
     543,   544,   545,   546,  1033,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   558,   559,   560,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   805,   245,   246,   247,     0,  1034,
     806,  1035,  1036,     0,   252,   253,   254,   255,   256,     0,
       0,   257,   258,  1037,  1038,   261,     0,   262,   263,   264,
     265,     0,     0,   807,     0,   267,   268,   269,   270,   271,
     808,   272,   273,   274,     0,   275,   276,   277,   278,   279,
     280,     0,   809,   281,   282,   283,     0,     0,     0,   810,
       0,     0,     0,   284,   285,   286,   287,   288,   289,  1039,
    1040,   292,     0,   293,     0,   294,   295,   296,   297,   298,
     299,     0,   300,   301,   302,   303,     0,     0,   304,   305,
    1041,   307,   308,     0,   309,   310,   311,     0,   312,   313,
     314,     0,   315,   316,   317,   318,     0,   320,   321,   322,
       0,     0,   324,     0,   325,   326,  1042,   328,     0,   329,
       0,   330,   811,     0,   812,   331,   332,   333,   334,     0,
     335,     0,     0,     0,   338,     0,   339,   340,   341,   342,
     343,   813,   344,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,     0,   354,   814,     0,   356,   357,   358,
     359,  1044,  1045,     0,  1046,     0,   363,   815,   816,   364,
     817,   365,   366,   367,   368,   369,     0,     0,   370,     0,
     818,   372,   819,     0,   373,   374,   375,     0,     0,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,  1047,   820,  1048,   394,   395,
     396,     0,     0,   398,   399,   821,   400,     0,     0,   402,
    1049,   404,   405,   406,     0,   407,   408,     0,     0,   409,
     410,   411,     0,     0,   412,     0,   822,   414,   823,     0,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   428,     0,   430,   431,   432,     0,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1050,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   824,
     461,   462,   463,     0,   465,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,     0,
     479,   480,  1051,   482,   483,   825,   484,   485,  1052,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,     0,   501,   502,     0,   503,   826,
     504,   505,   506,   507,   508,     0,  1053,  1054,     0,     0,
     511,   512,     0,   514,     0,     0,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,     0,  1055,     0,
     535,   827,   536,   537,   538,   539,     0,     0,   540,     0,
       0,   541,   542,   543,   544,   545,   546,  1033,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   558,   559,
     560,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,   805,   245,   246,
     247,     0,  1034,   806,  1035,  1036,     0,   252,   253,   254,
     255,   256,     0,     0,   257,   258,  1037,  1038,   261,     0,
     262,   263,   264,   265,     0,     0,   807,     0,   267,   268,
     269,   270,   271,   808,   272,   273,   274,     0,   275,   276,
     277,   278,   279,   280,     0,   809,   281,   282,   283,     0,
       0,     0,   810,     0,     0,     0,   284,   285,   286,   287,
     288,   289,  1039,  1040,   292,     0,   293,     0,   294,   295,
     296,   297,   298,   299,     0,   300,   301,   302,   303,     0,
       0,   304,   305,  1041,   307,   308,     0,   309,   310,   311,
       0,   312,   313,   314,     0,   315,   316,   317,   318,     0,
     320,   321,   322,     0,     0,   324,     0,   325,   326,  1042,
     328,     0,   329,     0,   330,   811,     0,   812,   331,   332,
     333,   334,     0,   335,     0,     0,     0,   338,     0,   339,
     340,   341,   342,   343,   813,   344,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,     0,   354,   814,     0,
     356,   357,   358,   359,  1044,  1045,     0,  1046,     0,   363,
     815,   816,   364,   817,   365,   366,   367,   368,   369,     0,
       0,   370,     0,   818,   372,   819,     0,   373,   374,   375,
       0,     0,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,  1047,   820,
    1048,   394,   395,   396,     0,     0,   398,   399,   821,   400,
       0,     0,   402,  1049,   404,   405,   406,     0,   407,   408,
       0,     0,   409,   410,   411,     0,     0,   412,     0,   822,
     414,   823,     0,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   428,     0,   430,   431,
     432,     0,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1050,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   824,   461,   462,   463,     0,   465,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,     0,   479,   480,  2091,   482,   483,   825,   484,
     485,  1052,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,     0,   501,   502,
       0,   503,   826,   504,   505,   506,   507,   508,     0,  1053,
    1054,     0,     0,   511,   512,     0,   514,     0,     0,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
       0,  1055,     0,   535,   827,   536,   537,   538,   539,     0,
       0,   540,     0,     0,   541,   542,   543,   544,   545,   546,
    1033,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   558,   559,   560,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
     805,   245,   246,   247,     0,  1034,   806,  1035,  1036,     0,
     252,   253,   254,   255,   256,     0,     0,   257,   258,  1037,
    1038,   261,     0,   262,   263,   264,   265,     0,     0,   807,
       0,   267,   268,   269,   270,   271,   808,   272,   273,   274,
       0,   275,   276,   277,   278,   279,   280,     0,   809,   281,
     282,   283,     0,     0,     0,   810,     0,     0,     0,   284,
     285,   286,   287,   288,   289,  1039,  1040,   292,     0,   293,
       0,   294,   295,   296,   297,   298,   299,     0,   300,   301,
     302,   303,     0,     0,   304,   305,  1041,   307,   308,     0,
     309,   310,   311,     0,   312,   313,   314,     0,   315,   316,
     317,   318,     0,   320,   321,   322,     0,     0,   324,     0,
     325,   326,  1042,   328,     0,   329,     0,   330,   811,     0,
     812,   331,   332,   333,   334,     0,   335,     0,     0,     0,
     338,     0,   339,   340,   341,   342,   343,   813,   344,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,     0,
     354,   814,     0,   356,   357,   358,   359,  1044,  1045,     0,
    1046,     0,   363,   815,   816,   364,   817,   365,   366,   367,
     368,   369,     0,     0,   370,     0,   818,   372,   819,     0,
     373,   374,   375,     0,     0,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,  1047,   820,  1048,   394,   395,   396,     0,     0,   398,
     399,   821,   400,     0,     0,   402,  1049,   404,   405,   406,
       0,   407,   408,     0,     0,   409,   410,   411,     0,     0,
     412,     0,   822,   414,   823,     0,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   428,
       0,   430,   431,   432,     0,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1050,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   824,   461,   462,   463,     0,
     465,   466,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,     0,   479,   480,     0,   482,
     483,   825,   484,   485,  1052,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
       0,   501,   502,     0,   503,   826,   504,   505,   506,   507,
     508,     0,  1053,  1054,     0,     0,   511,   512,     0,   514,
       0,     0,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,   524,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,     0,  1055,     0,   535,   827,   536,   537,
     538,   539,     0,     0,   540,     0,     0,   541,   542,   543,
     544,   545,   546,  1033,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   558,   559,   560,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   805,   245,   246,   247,     0,     0,   806,
       0,     0,     0,   252,   253,   254,   255,   256,     0,     0,
     257,   258,     0,     0,   261,     0,   262,   263,   264,   265,
       0,     0,   807,     0,   267,   268,   269,   270,   271,   808,
     272,   273,   274,     0,   275,   276,   277,   278,   279,   280,
       0,   809,   281,   282,   283,     0,     0,     0,   810,     0,
       0,     0,   284,   285,   286,   287,   288,   289,     0,     0,
     292,     0,   293,     0,   294,   295,   296,   297,   298,   299,
       0,   300,   301,   302,   303,     0,     0,   304,   305,   306,
     307,   308,     0,   309,   310,   311,     0,   312,   313,   314,
       0,   315,   316,   317,   318,     0,   320,   321,   322,     0,
       0,   324,     0,   325,   326,     0,   328,     0,   329,     0,
     330,   811,     0,   812,   331,   332,   333,   334,     0,   335,
       0,     0,     0,   338,     0,   339,   340,   341,   342,   343,
     813,   344,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,     0,   354,   814,     0,   356,   357,   358,   359,
       0,     0,     0,     0,     0,   363,   815,   816,   364,   817,
     365,   366,   367,   368,   369,     0,     0,   370,     0,   818,
     372,   819,     0,   373,   374,   375,     0,     0,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   820,     0,   394,   395,   396,
       0,     0,   398,   399,   821,   400,     0,     0,   402,     0,
     404,   405,   406,     0,   407,   408,     0,     0,   409,   410,
     411,     0,     0,   412,     0,   822,   414,   823,     0,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   428,     0,   430,   431,   432,     0,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   824,   461,
     462,   463,     0,   465,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   482,   483,   825,   484,   485,     0,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,     0,   501,   502,     0,   503,   826,   504,
     505,   506,   507,   508,     0,     0,     0,     0,     0,   511,
     512,     0,   514,     0,     0,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,     0,     0,     0,   535,
     827,   536,   537,   538,   539,     0,     0,   540,     0,     0,
     541,   542,   543,   544,   545,   546,  4800,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   558,   559,   560,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   245,   246,   247,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,     0,     0,   257,   258,     0,     0,   261,     0,   262,
     263,   264,   265,     0,     0,     0,     0,   267,   268,   269,
     270,   271,     0,   272,   273,   274,     0,   275,   276,   277,
     278,   279,   280,     0,     0,   281,   282,   283,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   286,   287,   288,
     289,     0,     0,   292,     0,   293,     0,   294,   295,   296,
     297,   298,   299,     0,   300,   301,   302,   303,     0,     0,
     304,   305,   306,   307,   308,     0,   309,   310,   311,     0,
     312,   313,   314,     0,   315,   316,   317,   318,     0,   320,
     321,   322,     0,     0,   324,     0,   325,   326,     0,   328,
       0,   329,     0,   330,     0,     0,     0,   331,   332,   333,
     334,     0,   335,     0,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,     0,   354,     0,     0,   356,
     357,   358,   359,     0,     0,     0,     0,     0,   363,     0,
       0,   364,     0,   365,   366,   367,   368,   369,     0,     0,
     370,     0,     0,   372,     0,     0,   373,   374,   375,     0,
       0,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,     0,     0,
     394,   395,   396,     0,     0,   398,   399,     0,   400,     0,
       0,   402,     0,   404,   405,   406,     0,   407,   408,     0,
       0,   409,   410,   411,     0,     0,   412,     0,     0,   414,
       0,     0,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   428,     0,   430,   431,   432,
       0,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   461,   462,   463,     0,   465,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,     0,   479,   480,     0,   482,   483,     0,   484,   485,
       0,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,     0,   501,   502,     0,
     503,     0,   504,   505,   506,   507,   508,     0,     0,     0,
       0,     0,   511,   512,     0,   514,     0,     0,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,   524,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,     0,
       0,     0,   535,     0,   536,   537,   538,   539,     0,     0,
     540,     0,     0,   541,   542,   543,   544,   545,   546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     558,   559,   560
};

static const yytype_int16 yycheck[] =
{
      16,   892,   589,     0,     0,     0,     0,    50,  1141,    25,
     907,  1119,   201,    35,   206,     7,   622,   750,  1504,     0,
      21,  1314,    14,    20,   206,    44,    27,   700,   701,   702,
     748,  1391,   798,   706,  1081,   184,   835,   893,  2400,   662,
    2588,  1051,   916,   772,  1911,   622,  2754,  1435,  2306,  2255,
      12,   997,  1428,   192,  1054,  1039,  1040,   773,  2924,  1172,
     757,    43,   668,  1565,  3466,  1049,  2794,  1645,  2742,  2897,
      17,  1364,    20,   580,   971,  1435,  2095,  2096,   975,    22,
    3215,  1312,  3171,   980,  2413,  1440,   210,  3790,  1826,  3125,
    2803,  3401,    35,   990,     0,  3509,  2327,   892,   861,   223,
    2949,  3117,  2951,  1451,  2564,   900,  3509,  1004,  3190,  3125,
    3136,  2744,  2745,  3202,   909,   186,   657,  3505,   847,  4039,
    2794,   186,  3561,   171,  3430,   632,  2746,   667,  3736,  3793,
    3802,  3780,  1809,  3436,  1914,  1870,    34,  1430,  1369,   986,
    4267,  2776,  4372,    41,  2677,  4428,     0,   753,     0,     0,
    4270,     0,     0,    21,     0,  1002,  1658,     0,     0,    27,
       0,    49,     0,  1847,  1369,  1743,  2813,     0,  1420,     0,
      40,  3779,  4221,  1528,  4447,  3188,   753,  2358,  4570,  2360,
    4388,   845,  4390,  2364,   907,   795,  1534,  1535,  4582,  3485,
     795,   920,  2373,  2374,  2375,  1037,  1038,  2403,     0,     0,
      56,  3435,  3364,  3437,     9,     5,  1048,     0,     9,     0,
       0,     5,     0,  4486,  4492,  4493,     9,  1201,  1202,    35,
    4269,    49,   157,    42,     5,    26,     5,   111,  2095,   105,
       5,  1231,     5,    26,     5,    11,   218,  1221,    13,    14,
      13,    14,    13,    14,    71,  4778,    29,     5,    56,     5,
       5,     5,    86,     5,  4719,    42,    22,     5,   162,    73,
      78,    26,    26,     5,    40,     5,     5,    56,    33,  4685,
    4686,  1070,   116,   118,  2807,  3856,  3857,   162,  3859,  3860,
    3861,   104,   162,   113,    11,    26,    56,    56,    56,    39,
     963,   104,    33,   162,   779,    71,    39,     3,     4,     5,
    4431,    20,   162,     9,  2510,   116,  2512,    22,   165,  2899,
       5,   173,   188,     5,  1383,   266,  4516,   111,   173,    26,
       9,   162,     9,     3,   285,   285,    33,   249,   264,   132,
     104,   261,    56,   143,   143,     3,   162,     5,   296,    27,
      56,   156,   119,   299,   332,   310,   349,    56,  1190,  1191,
      30,    31,   270,     4,   198,   285,  1119,     4,     9,    56,
     162,   162,     9,   281,   130,   137,   164,   387,   162,   162,
    1601,   162,   162,   162,   162,  1217,    90,    22,   208,    32,
      36,  5117,   332,   185,   185,   645,  1028,   249,  1334,    11,
     389,   113,   185,  4524,   185,   185,   429,   185,   658,   410,
     318,     4,     5,   332,    85,   111,     9,   589,   203,   142,
     323,   158,   247,  4805,  1056,   130,    73,  4076,   213,    26,
     157,   251,     4,  4082,   143,  1299,    83,     9,  4701,   224,
     265,   389,     5,   432,  1076,   455,   349,   470,   106,  4647,
      11,  4974,   179,   190,  1086,  4572,   127,   376,   468,    71,
    1092,  4571,    73,   186,   168,   466,  1098,   422,   408,   641,
     336,    11,  1104,   587,   120,  1107,    11,   470,   324,   593,
     268,    26,    83,    11,   432,   249,   306,   292,   466,   249,
    1490,   161,   606,   163,    73,   130,   208,   344,    73,   323,
      40,   144,   414,    29,    83,    40,  1102,   203,    83,   375,
     376,   113,   169,   421,    73,   466,   466,     4,     5,   177,
     466,   199,     9,  1119,  5250,   466,   324,   212,   125,   225,
     377,    71,  1251,   346,   163,  1102,    71,    73,   358,   251,
     466,   466,  1825,   305,  1297,  1604,   466,   185,   321,  1302,
    1303,   318,   352,   352,    56,  3135,  4746,   336,  4679,   332,
    1279,   334,   414,   569,   324,   324,   324,  4688,   144,   414,
    3596,   116,   466,   376,   408,   410,   281,  2742,   387,   237,
    1176,   455,   240,   387,  1867,   572,   572,   572,   572,   349,
    3596,  1121,   400,   349,   306,   470,   466,   366,   367,  4981,
     466,   572,  5057,   387,   359,  4878,   415,   408,   104,  1176,
     324,   470,  1499,   318,  3620,  1502,   622,   623,   324,   392,
     470,  1406,   376,   332,   470,   324,  5032,  3927,   359,  2794,
    1913,   568,   425,   373,   672,   668,  1111,   324,   415,   470,
     373,  1478,   421,   352,   349,  4913,   470,   464,   466,  5172,
    2846,   468,   408,   198,   470,  1408,  3512,  1878,  1781,   798,
     466,  3954,   359,   256,  1510,  1418,   457,   458,  3747,  3965,
     465,   455,   470,  3969,   457,   458,   466,   469,   469,  1464,
     667,   419,   340,  1520,   468,  4795,   469,  4804,   469,   469,
     681,   469,   683,   464,   685,   466,   462,   468,  1294,  1563,
     691,   466,   431,   466,   466,   466,  1302,  1303,   413,   715,
    1747,   470,   470,   695,   666,  5097,  1329,  3789,   466,  3871,
     466,   466,   466,   452,   466,  5109,   787,  1294,   466,  3953,
     668,  3955,   787,  4019,   466,   741,   466,   466,  1491,  1713,
     712,  1494,  1495,   749,  4315,   462,   752,   753,   754,   431,
     420,  1788,  1352,  3769,   933,   937,   470,  1352,   470,  1596,
    1797,   457,   458,  3427,   470,   937,  3430,  1480,  4678,   256,
     452,   470,  1485,  1427,   266,  1250,   387,  5040,   457,   458,
     457,   458,   567,   470,   466,  3033,   387,   466,   573,   447,
    5053,     8,   429,   922,     0,   321,  5178,   342,    15,    16,
      17,   773,   789,   789,   789,   789,   399,  2816,   387,  2818,
     412,  5009,   387,   470,    20,   452,   457,   458,   789,   162,
     457,   458,   324,   681,  1577,   683,  2204,   685,   387,  2174,
     802,  3834,   470,   691,   692,   693,  4265,   466,  1088,   777,
     111,  3451,    80,  3162,    50,  3509,   104,   104,    26,   425,
    3706,   387,   171,  5235,   303,   104,  1688,  1689,  4975,   111,
    3497,   237,   420,   408,   457,   458,     5,  4977,   144,   204,
       8,    80,   844,    11,   140,  3693,   249,    15,    16,    17,
     376,   154,    49,  1358,   122,  5148,  2107,  2744,  2745,  2746,
       5,   751,   163,   789,  1471,   755,    65,  1147,   459,   460,
     461,   462,   780,   163,  3100,  3101,  2251,    69,  1158,  5182,
    5183,   159,  2107,   122,    83,   106,  4955,   457,   458,   459,
     460,   461,   462,  1173,   459,   460,   461,   462,  3099,   457,
     458,   459,   460,   461,   462,   102,   202,  4976,    38,    26,
     725,   837,   162,   162,   349,   789,   376,   789,   789,    65,
     789,   789,  2194,   789,    22,   267,   789,   789,    34,   789,
    3483,   789,   336,  4561,   340,   750,   789,  3215,   789,    26,
     457,   458,   141,  2647,  2648,   248,  2452,  4370,  2652,    80,
     186,   252,  5099,   350,   769,  5205,   177,   272,  5098,   266,
     159,  1654,   106,   164,    80,  3620,  3814,  5270,    22,   251,
       5,     3,   105,   861,    28,   790,   272,    22,   896,   897,
     329,   907,    22,    28,  2235,  2689,  2690,   466,  4411,    76,
    4424,   122,  2120,   116,   284,   141,   261,    84,     3,  4329,
     197,  4424,   272,  2758,  2804,   111,   122,   130,   125,  2260,
    3758,   113,     5,   159,   387,   283,   237,   185,    23,   240,
     285,   268,   683,   684,   685,   112,   116,   688,   689,   690,
    5177,    80,   130,   177,  1623,   470,   342,   698,   206,   177,
     280,  1794,  1795,   252,   283,   448,     3,   862,    47,  1016,
    4373,  4377,   249,   183,   336,   188,  4382,  2308,  1647,  4385,
    1722,  2091,   466,   349,  3758,   355,  1102,   234,  1730,   466,
     376,  2467,   264,   122,   116,  2772,   130,    82,  3117,   111,
    4803,   289,   455,  1119,  1746,   130,  3125,   256,   376,   376,
     130,   178,   434,   237,  4763,   468,   240,   376,   297,   237,
     268,   125,   189,   127,  1121,   470,   402,  1750,   198,   410,
     416,   256,  1124,   381,  1126,  1864,  1128,  1153,  1130,   340,
    1132,  1133,  1134,   429,  4816,    82,  1687,  1139,  4797,  4813,
     135,  4286,  1758,   334,  4762,   157,   344,   387,   387,   211,
    1176,   338,   381,  2394,  1787,  4254,   452,  4033,  1791,  1676,
    1793,   297,   283,  1796,   256,   470,   198,   464,  4260,  4582,
     466,   468,   977,  5103,  5104,     3,   272,   283,  4796,   389,
     261,   294,   380,  3212,   382,   185,  1681,   296,   135,  1740,
     185,   180,   167,   281,   470,   190,   185,  1250,   113,   390,
     167,  1006,  1007,  1008,   285,   396,   340,  1757,   164,   408,
     470,   466,   340,   336,   403,  4074,   453,   454,   455,   255,
     457,   458,   459,   460,   461,   462,  1252,   115,   466,   251,
     318,   256,   221,   387,   256,  1261,   447,   281,   387,   272,
     261,  1119,  3427,   190,   283,  3430,   281,   261,  1845,  1275,
     225,   281,   375,   376,    82,   466,  1337,  1338,   225,  1340,
     381,   349,  1337,  1338,   285,  1340,  1324,   403,  1294,  4982,
     140,  1297,  1298,   256,   318,   381,  1302,  1303,  4676,  1471,
     389,  3965,   152,   318,   114,  3969,  1716,   157,   318,  4609,
     173,   368,   287,   208,  4017,   453,   454,   455,   140,   457,
     458,   459,   460,   461,   462,   349,   134,  5237,   320,    65,
     342,   334,   268,   447,   349,   395,   470,   205,   318,   349,
     356,   470,   322,   432,  3509,    83,     0,  4643,   408,  1824,
    2073,  1826,   202,   470,   329,   310,   251,  1832,   111,  3982,
     287,  1146,   381,  1838,  1839,  1840,   572,   173,   154,   349,
    4799,   181,   222,  1848,  1849,   111,    57,  3987,  1853,   455,
    1790,   111,  1354,  3993,    65,   354,   249,  1172,   464,   392,
     466,   467,   468,    22,   470,   157,   408,  2278,   140,   374,
     222,  3851,  2034,  4703,    90,   466,   168,   270,  4708,  4709,
     152,   306,  5105,   263,    83,   157,   376,  5110,  2203,   329,
     228,   342,   272,   185,   110,   380,   401,   382,   214,   167,
     166,    24,   368,   380,   409,   382,  4462,   412,   125,  1297,
     127,   115,   111,   249,  1302,  1303,   332,  2668,  4841,   429,
     188,   406,    45,  2674,   467,   376,  4462,   470,   144,   406,
     202,   667,   668,   150,   429,   466,  1403,   422,  4872,  1719,
    2507,   320,   452,   281,   401,   281,  3724,   334,   364,  4872,
     222,  1731,   409,  5176,   152,   412,  2323,   225,  4560,  4881,
    4882,  1122,  1742,  2278,  1125,   416,  1127,   210,  1129,   409,
    1131,   130,  1508,   256,  1135,   470,   466,    91,  1514,  3680,
     167,  3759,   318,  3684,  3685,   251,  3687,   281,   103,    22,
     256,   263,   318,  1308,  2120,    28,  2311,    62,    63,  2282,
     272,   205,  4548,   271,   152,   392,   249,  2290,  1717,   157,
    2293,  3017,  1671,  5236,   225,   466,  1728,  3768,  2914,   279,
    1408,   414,   402,  1525,   222,  1727,  1728,  2342,  2264,  2265,
    1418,   297,  2268,   210,   251,   327,    69,   410,   225,   256,
    1355,   379,  2409,   381,   261,  5268,   312,   234,  5271,   163,
     429,   787,   251,   789,  1480,   349,  4979,  3596,  3316,  1485,
     375,   387,    43,  3758,  3451,  2432,  2433,  2434,  2435,   123,
    1458,  1459,   249,   452,   222,   280,   199,  2444,   414,   133,
     194,  3620,   342,    64,   464,   152,  2113,   467,   468,   426,
     123,   470,  1628,   466,   409,   209,  1632,   130,   314,  3825,
     133,  3827,   125,  1491,   127,   219,  1494,  1495,   455,   352,
    2273,   270,   380,   111,   382,   263,   376,   114,   113,  1434,
     235,   468,   392,   238,   392,   158,   342,   150,  1443,   306,
     402,   245,  4518,   470,   165,   403,   280,   403,   406,  3343,
    3344,  3345,  3346,  1845,   349,  3349,  3350,  3351,  3352,  3353,
    3354,  3355,  3356,  3357,  3358,   222,   416,   190,  1473,   114,
     376,  3259,  3037,   322,   323,   408,   464,   272,  4777,   429,
     468,  1486,  2408,    22,  1489,   352,  4370,   394,  2341,    28,
     178,   279,    11,  4377,   181,   322,  5109,   404,  4382,  1577,
     349,  4385,   452,   380,    82,   382,   263,   192,  2851,   310,
     416,  3405,  3406,   280,   469,   349,   466,    91,   332,  4811,
     334,    40,   349,   429,   328,   410,   249,  4411,   251,   406,
    5142,   467,   231,   281,   470,  1540,   181,   281,   261,  4775,
    4424,   408,   343,   256,   339,   123,   452,   270,   261,  1554,
    1757,  4309,    71,  2270,   342,   133,  4792,  4595,   281,   281,
     466,   299,  1567,   251,   249,  1767,   251,  1769,  5181,  1771,
     318,  1773,   342,  1775,   318,   376,  4044,  1779,   392,  2462,
    3965,   466,   349,  2556,  3969,  1817,  3336,   431,   376,   163,
     113,   130,  4828,   260,   231,   318,   318,   422,   321,   322,
    1758,   349,  1809,  1809,  1809,  1809,   376,  1685,   452,    29,
    2766,  1837,  1804,  4689,  1619,  3365,   337,  1695,  1809,  1697,
     194,   422,   466,   344,  2476,  1703,   349,   349,   416,   429,
    2824,  2483,  1710,    53,   157,   209,  4695,  3195,  4054,  4055,
    3198,   429,   339,  1648,  4989,   219,   416,   125,  4220,   127,
    1655,  2503,   251,  4459,   318,  2471,   377,   256,   322,   429,
    4418,  2513,  4420,  1816,   452,  2517,  1823,   212,  2520,   192,
     470,   245,   231,  4591,  2526,   306,  2528,   398,   466,  2531,
     379,   394,   452,  3124,  2471,   349,   236,  4259,   319,  4988,
     413,   404,   266,   163,  4500,  1121,   466,   466,  4582,   336,
    4239,     3,  1928,   281,    22,   304,    24,   406,  2524,     8,
      28,   429,    11,   281,   345,    33,    34,    35,   466,    37,
    2553,  4957,    40,    41,   194,    43,   249,    45,   251,  3170,
     429,  2201,   431,  2428,   452,   192,   314,  2524,  2590,   209,
     318,    40,   379,  4211,   201,   281,   314,   281,    47,   219,
     318,  1756,   470,   380,   328,   382,  1834,  1835,  1184,  4643,
    2162,  2160,    21,  1841,  1842,   429,   103,   466,    27,   406,
    2162,   349,    71,   251,   281,  2751,   281,   336,  1204,   431,
      82,   349,   318,   261,   318,  2480,  2759,  4825,   452,  1794,
    1795,  1869,   429,  4184,   431,  4186,  4187,   318,   140,  4190,
     452,  3513,    73,   305,  2153,  2814,  1811,   310,  4884,  1235,
     152,   318,    83,   318,   466,   157,   392,   322,  4286,    65,
     379,   158,  3716,   318,  1250,    71,   164,   162,   349,   466,
     157,   333,   134,  3176,  2900,   322,   410,    83,   429,   138,
     343,  2052,   349,  3186,   349,  4783,   162,   406,   467,  2756,
     185,   470,   179,   190,   349,  5091,   281,   195,   328,  2925,
     202,   452,   349,   231,   392,   111,  2200,   113,   429,   185,
     429,  3567,   431,   376,   192,   193,   194,   195,  2036,   197,
     222,   180,  3385,   201,     4,   203,   185,  2078,   206,     9,
    2122,   452,  2124,   318,  2120,   213,  2901,   215,   235,  4783,
     218,   238,   431,  1908,   222,  3982,   224,   466,  2705,  2120,
    3987,  1337,  1338,  1918,  1340,   281,  3993,   339,   157,   422,
     166,   263,   221,   452,   349,   320,   228,    24,     8,   467,
     272,    11,   470,   380,  5170,   382,   266,  3378,  2272,   140,
     179,   271,  5241,  2759,   266,   152,   192,   234,    45,   271,
     157,   152,   318,  4871,  2649,  4423,   157,  4841,  5034,     5,
      40,  3559,  4430,  2189,    10,   234,  2661,    47,   336,   268,
    2975,   461,    18,    87,  2052,  3298,   466,   179,   468,   281,
    3545,  2173,  3770,   349,  2660,  4370,  2662,  2663,  4872,  3492,
      36,    71,  4377,   467,  5230,   188,   470,  4382,  2693,   465,
    4385,   202,  2854,   236,   470,   251,  2340,  3565,  2841,  3567,
     256,   379,  3168,   465,   467,   222,   318,   470,   470,   392,
     322,   222,  3129,  3233,  3234,   464,  4411,   466,    79,   468,
    2035,   231,  2037,   422,   467,  3600,  2731,   470,   406,  4424,
      53,   467,  2120,   461,   470,   339,   467,   349,   466,   470,
     468,   297,  2868,   252,   253,   354,   263,   466,   138,   468,
     402,   429,   263,   431,   467,  3122,   312,   470,  2073,   332,
     333,   272,  2264,  2265,   212,   467,  2268,   379,   470,   381,
    3792,  2868,  2934,   464,  2936,   466,  4734,   467,  4736,   429,
     470,   431,  4740,   467,  4742,  4979,   470,   466,   466,  1857,
     180,     9,  1860,   467,   467,   185,   470,   470,  2334,   266,
     467,   467,  4503,   470,   470,   336,   467,   467,   575,   470,
     470,   467,   467,  4539,   470,   470,   470,   429,   467,  2355,
     466,   470,  2358,   466,  2360,   468,   336,   466,  2364,  4787,
     429,   221,   431,   342,  3117,  5221,    53,  2373,  2374,  2375,
     467,   450,  3125,   470,  3595,   420,  3597,   403,   457,   458,
     459,   460,   461,   462,   332,   333,   467,  3510,  3511,   470,
     627,  2496,  2497,  2498,    30,    31,   231,   376,  3619,   379,
     637,   467,   467,   467,   470,   470,   470,   467,   268,   467,
     470,   467,   470,   467,   470,  3636,   470,  4582,   422,  2598,
     467,   402,    43,   470,  2282,  2431,   406,  3777,  4285,  3795,
     208,   467,  2290,  3065,   470,  2293,  2408,   416,   467,  3071,
     468,   470,  5140,  2228,   380,  5109,   382,    49,   269,   429,
     429,   431,   467,  4462,    90,   470,   467,  2463,   467,   470,
     449,   470,  2414,  2592,  2249,  2471,   269,   467,   467,   567,
     470,   470,   266,   452,   110,   573,   467,   575,  4643,   470,
     578,   387,   580,  2454,   582,   157,   466,   466,  5186,   266,
      92,   589,  3155,  5031,   354,   449,   594,   467,   596,   467,
     470,   336,   470,   467,   467,   603,   470,   470,   144,   467,
     467,   467,   470,   470,   470,   117,     8,  5181,  2524,    11,
    3494,   269,    43,    15,    16,    17,   449,  2312,  2313,   627,
      13,    14,   134,  2705,   632,  3131,   138,  3133,   467,   637,
      32,   470,   467,   641,   379,   470,   467,   467,   208,   470,
     470,  1757,   467,   161,  3307,   470,   158,   467,   467,   161,
     470,   470,   467,   661,  3131,   470,  3133,   459,   380,   467,
     382,   406,   470,   175,   467,  4584,  3282,   470,   467,   467,
     467,   470,   470,   470,   467,   470,   469,  5285,  2838,  2839,
     450,  3455,   467,   466,   429,   470,   431,   457,   458,   459,
     460,   461,   462,  1809,  2776,    35,   467,    53,   467,   470,
     467,   470,  4088,   470,   712,  3211,  2649,  3249,  4783,  3251,
    2405,  3253,   467,   467,    54,   470,   470,   725,  3260,   727,
     467,   466,   162,   470,   467,  2493,  2494,   470,   467,   467,
     467,  2499,   470,   470,  3211,   467,   204,   231,   470,   747,
     748,  4325,   750,   751,   256,   468,   467,   755,  3271,   470,
    2693,   467,   264,   467,   470,   467,     0,  3299,   470,   467,
     466,   769,   470,   103,   466,   773,  4841,  1883,   314,  3566,
     467,   779,   466,   470,   467,   922,   429,   470,   431,  3445,
    3446,  3447,   790,   467,  4072,   469,   933,   792,  2556,   794,
    3983,  3970,   304,  3972,   802,   467,   342,  4872,   470,   467,
     467,   433,   470,   470,   206,   467,   467,   467,   470,   470,
     470,   467,   467,  3442,   470,   470,   466,  2736,  2737,  2738,
    4013,   467,   467,   467,   470,   470,   470,   318,  5090,   145,
     376,  4989,     8,  2993,   185,    11,   844,   466,  3537,    15,
      16,    17,   336,  2759,   468,   145,    90,   187,  3008,   266,
     185,   318,   266,   145,   862,  2798,    32,   185,   145,   867,
     868,   266,   157,    35,   318,  1012,   268,   145,   220,   410,
     416,   113,   266,   236,   420,  2772,  2772,  2772,  2772,   466,
     260,   392,    54,   429,   422,   379,   253,  2582,   896,   897,
     339,  2772,   157,  3690,   212,   235,   140,   466,   238,   467,
      65,   251,     8,    35,  4979,    11,   452,   251,   152,   249,
     433,   466,   406,   157,   922,   251,   157,  3673,   162,   266,
     466,    43,    43,   397,   168,   933,   251,   171,   251,   937,
     174,   103,    82,  3596,    40,   429,   281,   431,   422,   422,
     280,    47,     8,   231,    79,    11,   157,   955,   145,    15,
      16,    17,  2868,  3338,   300,   145,   466,  3620,   202,   145,
     419,   466,  2078,   293,   466,    71,   145,    34,   466,   977,
     433,   145,   466,   470,    40,   342,   984,   985,   222,   145,
     157,    47,   145,   323,   145,   145,  3146,  3372,  3148,  2757,
     145,  2759,   145,   145,   166,   266,   145,   145,  1006,  1007,
    1008,   145,  1010,   343,  1012,    71,   231,  3917,   376,   376,
     466,    35,   220,   266,   157,   187,   157,     5,   466,   263,
       5,   466,   266,   363,  4608,   466,   157,   466,   272,   466,
     206,   466,  3417,   466,  5109,  3117,   466,   466,     5,  2955,
    2735,     5,   466,  3125,   466,   466,   466,   466,   336,   416,
    4817,   453,   454,   455,   466,   457,   458,   459,   460,   461,
     462,     5,   429,   235,     5,   466,   238,   466,   466,   466,
     466,   466,   430,  1081,   180,  1083,  1084,   249,   466,   185,
     466,   325,   466,   466,   466,   452,   277,   466,   466,   204,
    3006,   379,   268,   470,   470,    35,    94,     0,    35,   466,
     467,   220,   469,  1111,   157,   263,  5181,   157,   280,   349,
     261,   336,   387,   387,   180,   221,   336,   387,   406,   185,
     421,   387,   336,   387,   387,   468,   231,   467,   222,   336,
     387,   387,   376,  1141,  1142,   455,   387,  3297,  1146,   145,
    1148,   429,   336,   431,    83,   341,   266,   217,   266,   387,
     387,   323,  3068,   256,   379,   221,   387,   409,   402,   266,
     379,  1169,   268,   332,  1172,   266,   261,  1175,   231,   466,
     387,   343,   387,   178,    83,   466,  3839,   470,   466,   281,
    1188,   406,   426,  3099,   428,   429,   185,    90,   145,   410,
     105,   363,   410,   376,   387,  3111,  4229,    53,   376,   387,
     387,  3117,   268,   387,   429,   387,   431,   387,    53,  3125,
    1218,   242,   387,   270,   387,  3131,   387,  3133,   303,   387,
     464,   285,   336,   467,   468,   469,   285,    42,   387,    42,
     387,   336,   379,   387,   470,   206,   336,   140,  1246,  1247,
    1248,   466,  1250,   266,     8,   387,   206,    11,   354,   152,
     387,    15,    16,    17,   157,   206,   206,   387,   387,   162,
    4844,   387,  1270,  3179,   266,   168,   433,   429,   171,   266,
     266,   174,   206,   336,   379,   206,   206,   453,   454,   455,
     397,   457,   458,   459,   460,   461,   462,  3829,   354,   387,
      35,  3833,   145,    24,  3210,  3211,  2991,   266,   145,   202,
    1308,   406,   466,  1311,   251,   111,  4566,   145,   145,   145,
     421,   410,  3835,  3836,  3837,   228,   379,   429,   266,   222,
    3201,    35,   251,   261,   429,   251,   431,   251,   157,    35,
     466,  1339,   212,   466,   338,  1343,  1344,    34,  2454,   385,
     385,   464,  3223,   406,   450,   387,  1354,  1355,  1356,  3117,
    1358,   457,   458,   459,   460,   461,   462,  3125,   387,   387,
     263,   466,   466,   266,  3413,   387,   429,   464,   431,   272,
     145,   145,  1380,   410,   145,   410,   145,  4508,   145,   260,
     387,  3149,   255,   162,   450,   425,   466,   453,   454,   455,
    4008,   457,   458,   459,   460,   461,   462,    11,   242,   242,
    3282,   470,   385,   466,    35,   466,   466,  1415,   387,   171,
     153,   162,  1420,   389,   470,   467,   202,  4080,   178,   178,
     471,   202,   325,    54,   210,   466,  1434,  1435,   210,   352,
     410,   470,   267,    35,   470,  1443,    53,   223,  1446,   336,
     274,   467,  3137,  3138,  3139,   466,   256,   410,   256,   210,
     466,   387,   210,   236,   387,   387,   422,   392,   157,  3154,
     339,   256,  3230,  1471,   212,  1473,   147,   266,  3411,    43,
     358,  3387,   103,   376,   251,   147,   220,   332,  1486,   220,
     220,  1489,  3177,   387,   264,   379,   470,  3430,   266,   179,
     266,   318,  3187,  3188,   346,   387,   387,  3192,    35,   402,
    3419,  3420,  3421,  3422,   268,   306,   206,   212,  4050,   410,
    3205,   410,   302,  4000,  3596,   264,   145,  1525,   188,  3904,
     157,  1668,   261,   426,  1671,   428,   429,   455,  1536,  1537,
    1538,  1539,  1540,  2649,   455,   422,    35,   377,  3620,  3307,
     159,   261,   346,  1551,     8,   145,  1554,    11,   303,  4091,
    4092,    15,    16,    17,   466,   466,   187,  1565,   145,  1567,
     145,   464,   429,   261,   467,   468,   469,   251,    32,  1716,
    1717,  1579,  1580,    35,   251,   266,   212,  2693,   266,   176,
     176,  3741,  3742,    35,   157,   467,   464,   449,   449,   240,
     467,   467,  1600,     8,  2710,   467,    11,   467,   340,   212,
      15,    16,    17,  3298,   235,   157,   266,   238,   346,   251,
    2726,  1619,   470,   185,  1344,   185,   185,    32,   249,   470,
     470,   433,    23,   169,  5208,  5209,  2742,  1635,  1636,  1637,
    1638,  4154,  4155,   387,  4157,  4177,  4178,   162,   466,  4212,
    1648,   239,   429,  1790,   266,   470,    53,  1655,   376,   280,
    1658,   260,   422,   212,   162,   392,  2772,   277,   467,   466,
    1668,   286,   467,  1671,   467,   467,   162,   467,  1676,   467,
     467,   467,   387,  1681,   467,   467,   470,   449,  2794,   467,
    3596,   466,  2798,   276,   408,   230,   416,  5073,   266,   453,
     454,   455,   323,   457,   458,   459,   460,   461,   462,   426,
     466,   466,   455,   466,  3620,   451,    53,   426,  1716,  1717,
     466,  3627,   343,   266,  3630,  4512,  3632,   467,   269,  1727,
    1728,   188,   266,  4731,   145,  3626,  4392,   196,   387,  3424,
    3425,  3426,   363,  4399,   466,   387,   256,   466,   433,  1747,
    1748,   387,   206,   387,   251,   145,  1754,   270,  1756,   341,
    4292,   145,  4294,  4295,   145,   341,  3672,   341,   188,   220,
     147,   455,   410,   387,  3680,   222,  4308,   470,  3684,  3685,
     287,  3687,   287,  1781,   407,  4722,  3692,  4724,   157,   387,
    1788,   387,  1790,   387,   387,   232,  1794,  1795,  4919,  1797,
     232,   206,   232,   387,   336,   336,  1804,   387,   387,  4462,
     336,   587,   336,  1811,   268,   387,   387,   593,  1816,  1817,
     387,   266,  1820,   251,   349,   145,  1824,    42,  1826,   387,
     606,   387,   387,  1831,  1832,   387,   206,   173,  3596,   206,
    1838,  1839,  1840,   206,   206,     3,  1844,  1845,  1846,  1847,
    1848,  1849,  1850,  1851,   467,  1853,   467,  1855,  1856,   397,
       3,  1859,  3620,   268,   470,   157,    43,   320,  3626,  4244,
     104,   157,   467,   470,   266,   466,  1874,  1875,  1876,  1877,
      35,   264,   467,  1881,  1882,  3791,   145,   387,  1886,   145,
     157,  1889,  5013,   173,  1892,  1893,  1894,  1895,  1896,  1897,
    1898,  1899,  1900,   145,  1902,   336,  4929,  4930,   465,   410,
    1908,  1909,   465,  1911,  4537,   410,  3787,   467,   336,  4069,
    1918,   336,   470,  4921,   269,   346,   143,   143,  4000,   206,
     206,   206,   206,   206,   206,   464,   136,    25,  3696,  3697,
     162,    11,   470,   277,   157,   467,   467,   467,  4425,  3855,
    3856,  3857,   421,  3859,  3860,  3861,   467,   162,   466,   272,
     426,   467,   452,   162,   466,   171,   470,   470,   467,   267,
     466,   325,  4628,   467,   465,   467,   415,    81,   466,   157,
     397,    35,   212,   410,   410,    73,   387,   196,    53,   145,
     379,   466,   166,   397,   341,  4145,  4473,   336,   336,   453,
     454,   455,   387,   457,   458,   459,   460,   461,   462,   387,
     318,   387,   387,   387,    53,   429,  2153,   105,   467,   467,
     379,   467,   466,  2160,   157,     8,   147,  3712,    11,   416,
      71,   145,    15,    16,    17,   104,   397,  2035,  3723,  2037,
     128,  2039,  5065,   467,   206,   206,   206,   206,   453,   454,
     455,   139,   457,   458,   459,   460,   461,   462,   466,   210,
     301,   191,   387,   466,   266,   433,   313,   467,   470,  3754,
      35,   159,  4604,   285,   470,  2073,   164,    77,  4731,   379,
     466,  3839,  2080,   397,  2082,   387,   465,  4237,   470,  3995,
     470,  3997,   346,   466,   168,  3201,   467,   104,   162,   206,
     162,   467,   466,  3788,   311,    53,   427,   467,   427,   467,
     277,   467,  5233,   470,   466,  2113,   467,  3223,   466,  4031,
     209,   275,   209,  4636,  2122,   213,  2124,  1847,   378,     8,
      53,   466,    11,   273,  4647,  1855,    15,    16,    17,  4010,
    4011,   174,   261,  2141,   467,  4677,   234,   387,   455,  3834,
     467,   467,   397,   162,    71,  2153,    35,  2155,  2156,  5157,
    4941,  5282,  2160,   429,  2162,   190,  2164,   179,  2166,    53,
     256,   256,  2170,   455,   470,  2173,  5297,   470,   379,   387,
      65,   145,   206,   387,   387,   466,     8,   164,   162,    11,
     111,    35,   410,  4084,   185,  4727,  2194,   466,   261,   346,
     410,    35,   251,   159,   157,   346,  2204,    53,   261,   429,
     429,    35,   300,  4726,  2212,   303,   162,   466,    40,   266,
     157,  2219,   193,   206,   269,    47,   204,   162,   466,   466,
    2228,   311,   415,   362,   467,  4731,   467,   285,  4613,   466,
     466,   329,   209,   466,   428,    83,   467,   266,   336,    71,
     126,  2249,   312,   467,    35,   343,  2254,  2255,   145,   387,
     387,  3946,  3947,  3948,  3949,   157,  2264,  2265,  4174,  4175,
    2268,     0,  2270,   466,   466,   466,   466,   466,  4184,  4654,
    4186,  4187,   118,   371,  4190,   268,    35,   256,   376,   178,
    2288,   379,   233,  2291,   188,   466,   301,   466,   145,   467,
     346,   104,   131,   425,    35,  3411,   333,   270,   360,   397,
     467,   333,    53,  4463,  2312,  2313,   138,   360,   397,   467,
    4883,  3427,  4080,    53,  3430,    35,  4084,   206,    74,  2327,
     466,  2329,  2330,   467,   422,   466,   178,   415,   470,  4852,
     466,   466,   379,   467,  4250,   157,   466,   379,   249,   410,
     466,  4109,  4110,  4425,   266,   467,  4114,  4115,   180,  2357,
       5,    90,   379,   185,   151,   433,   466,  2365,  2366,   144,
     466,    65,   269,    65,  2372,   126,   414,   311,  4284,   429,
     415,    35,   466,   466,   162,  4256,  2384,   429,  2386,   268,
    4462,  4473,   349,  4472,   470,   426,   309,   379,   256,   221,
     190,  4473,  2400,  4880,   131,  2403,   266,  2405,   466,  4315,
    2408,   140,   266,   346,  2412,    35,    35,  2415,   301,   269,
     269,   164,   466,   152,   164,  4921,    53,   467,   157,  2427,
    2428,   116,   466,   162,   470,  4514,   466,   387,   467,   168,
     408,   332,   171,     5,   467,   174,   268,  2445,   346,   319,
     332,   466,   273,    21,   470,  2592,   466,  2455,    32,  2457,
     256,  2598,   470,  4838,   466,   144,   162,   387,    74,   301,
     453,   454,   455,   202,   457,   458,   459,   460,   461,   462,
    4855,   466,  2480,   360,   429,  4860,   360,  4862,   164,   429,
     164,  1552,   789,   222,   888,  2412,  1303,     8,   853,   897,
      11,   896,  2759,  2311,  2244,  2925,  3595,  5224,  3569,  2507,
    5055,  2509,  2510,  2511,  2512,  3115,  4744,  2336,  3692,  4919,
    5157,  3739,  4404,  4566,  4536,  2845,  4202,  5038,  4424,    40,
    5146,  2545,   354,  4949,   263,  4948,    47,   266,  5075,  5181,
    2849,  3788,  3772,   272,  4889,  2397,  3730,  2545,  2397,  3590,
    2950,  3166,   893,  3755,     8,  4543,  4462,    11,  2391,  3178,
      71,  4552,  5159,  4238,  5297,  4529,  5282,  3119,  3124,  5088,
    4475,  4706,  4898,  3842,   453,   454,   455,  1614,   457,   458,
     459,   460,   461,   462,  2582,    27,    40,  1148,  4478,  4675,
    1159,  2096,  3795,    47,  2592,  2823,   325,  4503,  4817,  1668,
    2598,  1813,   623,  1727,  4289,  2742,  1812,  3069,  3619,  5141,
    1812,     8,   965,  2611,    11,  3170,  3636,    71,    15,    16,
      17,  2619,  5114,  5273,   768,  3775,  2624,   138,   450,   655,
    2036,  4407,  2037,  4012,  5030,   457,   458,   459,   460,   461,
     462,  1758,  1328,  3489,  2773,  1387,  1347,   376,  2076,  2647,
    2648,  2649,  3758,  2784,  2652,  1280,  2779,  2794,  3454,  5022,
    4864,  5157,  2660,  2661,  2662,  2663,  1349,  1346,  3996,   180,
    4541,  3430,  2075,   402,   185,  2673,  3954,  3971,  2676,  4644,
    2678,  3787,  1354,  3427,   138,  4841,  4840,  3490,  3427,  5277,
    5130,  2689,  2690,     8,  5212,  2693,    11,   426,  5012,   428,
     429,  1692,  3380,  4611,  4462,  4401,  5025,  2705,  4579,  2707,
     221,  2709,  5005,  2711,  5026,  1906,  2710,  2620,  2708,  1909,
       8,  4654,  2762,    11,    -1,    40,   180,    15,    16,    17,
      -1,   185,    47,  2731,    -1,   464,    -1,  2735,   467,   468,
     469,    -1,    -1,    -1,  2742,    -1,  2744,  2745,  2746,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    71,   268,    -1,    47,
      -1,    -1,    -1,    -1,  2762,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,  1549,    -1,  2773,    -1,    -1,    -1,    -1,
    2778,    -1,    -1,    71,    -1,    -1,  2784,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2794,    -1,    -1,    -1,
    2798,    -1,    -1,  2801,    -1,  2803,    -1,    -1,  4880,   206,
      -1,    -1,  4718,  4719,   268,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,    -1,  4731,    -1,    -1,    -1,  4735,
      -1,    -1,  4517,    -1,    -1,    -1,    -1,    -1,    -1,  4745,
      -1,    -1,    -1,   354,    -1,    -1,  2844,  4532,  2846,  1625,
      -1,    -1,  4537,  2851,    -1,    -1,    -1,  1633,    -1,  3965,
      -1,    -1,    -1,  3969,    -1,   180,    -1,    -1,    -1,  1645,
     185,   268,    -1,    -1,    -1,    -1,    -1,  4562,    -1,    -1,
    2878,    -1,  2880,  2881,  2882,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   180,    -1,    -1,    -1,  4581,   185,    -1,    -1,
     354,    -1,    -1,    -1,  4010,  4011,   221,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,   207,
      -1,    -1,  4793,    -1,    -1,    -1,    54,  2647,  2648,    -1,
      -1,    -1,  2652,   221,    -1,    -1,    -1,    -1,    -1,   450,
      -1,    -1,    -1,    -1,  1720,    -1,   457,   458,   459,   460,
     461,   462,    -1,   268,    -1,    -1,    -1,    -1,    -1,    -1,
    4718,  4719,    -1,    -1,    -1,  5044,   254,  1743,    -1,  2689,
    2690,    -1,    -1,  4731,    -1,   103,   104,    -1,    -1,    -1,
     268,    -1,    -1,   111,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2991,    -1,    -1,   450,    -1,  4869,    -1,
      -1,    -1,  4687,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,    -1,    -1,    -1,  4921,    -1,    -1,    -1,  4925,
      -1,  4927,    -1,    -1,    -1,  4931,  4932,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5115,  5116,   166,   354,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,   454,   455,   187,
     457,   458,   459,   460,   461,   462,   354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4780,    -1,  3095,    -1,    -1,
      -1,    -1,  3100,  3101,    -1,    -1,    -1,   235,    -1,    -1,
     238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   249,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,  3137,
    3138,  3139,   457,   458,   459,   460,   461,   462,    -1,  5055,
    4256,  5057,   280,    -1,    -1,    -1,  3154,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,  3176,  3177,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3186,  3187,
    3188,    -1,    -1,    -1,  3192,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   343,    -1,    -1,  5089,  5298,
    5299,    -1,    -1,    -1,    -1,    -1,    -1,  5114,  5114,  5114,
    5114,    -1,    -1,    -1,    -1,   363,    -1,   365,    -1,    -1,
     368,    -1,    -1,  5114,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5157,    -1,    -1,    -1,  5188,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3263,    -1,    -1,    -1,    -1,
      -1,  4377,    -1,    -1,    -1,    -1,  4382,    -1,    -1,  4385,
      -1,    -1,    -1,    -1,  3282,    -1,    -1,    -1,    -1,    -1,
    3427,    -1,    -1,  3430,    -1,    -1,    -1,  5055,    -1,  5057,
    3298,  5188,  5188,  5188,  5188,    -1,    -1,    -1,  2084,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5188,  5224,    -1,
    3318,    -1,    -1,    -1,    -1,    -1,  2102,  5233,    -1,  3327,
      -1,    -1,  2108,    -1,    -1,  3333,  2112,  3335,   466,    -1,
    3338,    -1,    -1,    -1,    -1,  3343,  3344,  3345,  3346,    -1,
      -1,  3349,  3350,  3351,  3352,  3353,  3354,  3355,  3356,  3357,
    3358,    -1,  2138,    -1,  3362,  3363,    -1,    -1,    -1,    -1,
      -1,    -1,  3509,    -1,  3372,    -1,  5282,    -1,  3376,    -1,
      -1,    -1,  3380,    -1,    -1,    -1,  5273,  5273,  5273,  5273,
    3388,  5297,    -1,  3391,    -1,  3393,    -1,    -1,    -1,    -1,
      -1,    -1,  5273,    -1,  3402,    -1,  2182,  3405,  3406,    -1,
      -1,    -1,  3410,  3411,    -1,    -1,    -1,  3415,    -1,  3417,
      -1,    -1,    -1,    -1,  2200,    -1,  3424,  3425,  3426,  3427,
      -1,    -1,  3430,  3431,    -1,  4541,    -1,  3435,  3436,  3437,
      -1,    -1,    -1,    -1,    -1,  3443,    -1,    -1,    -1,    -1,
      -1,  3449,  3450,  3451,    -1,    -1,  2232,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5224,    -1,    -1,    -1,
      -1,    -1,    -1,  4579,    -1,  5233,    -1,  3475,    -1,    -1,
      -1,    -1,  2258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2266,  3489,    -1,  3491,    -1,    -1,  2272,    -1,    -1,    -1,
    2276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3509,  3510,  3511,    -1,  3513,    -1,    -1,    -1,    -1,
    2296,    -1,    -1,    -1,  5282,  2301,    -1,    -1,    -1,  2305,
      -1,    -1,  3530,  3531,  3532,  3533,    -1,  4643,    -1,  5297,
      -1,    -1,  2318,    -1,    -1,    -1,    -1,    -1,  4654,    -1,
      -1,    -1,    -1,    -1,    -1,  2331,    -1,    -1,    -1,    -1,
      -1,  3559,    22,    -1,  2340,    -1,    -1,    -1,    28,     7,
      -1,    -1,    -1,    -1,    -1,    13,    14,    -1,    -1,  3577,
      -1,    19,    -1,    21,    -1,    -1,    -1,    -1,    -1,    27,
      -1,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    69,
      48,    49,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3758,    -1,  3343,  3344,  3345,  3346,    -1,    -1,  3349,
    3350,  3351,  3352,  3353,  3354,  3355,  3356,  3357,  3358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3376,    -1,     8,   119,
      -1,    11,    -1,   123,    -1,    15,    16,    17,    -1,    -1,
     130,  3669,    -1,   133,    -1,    -1,    -1,  4783,    -1,    -1,
      -1,    -1,    32,    -1,    -1,  3405,  3406,  4793,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    20,    -1,    47,   158,    -1,
      25,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,
    3708,   633,    -1,    -1,  3712,    -1,  3714,    -1,  3716,    -1,
      -1,    71,    -1,    -1,    -1,  3723,    -1,    -1,    -1,    -1,
     190,  3729,    -1,    -1,    59,   657,    -1,    -1,    -1,    -1,
     182,  3739,    -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3754,    -1,    -1,    -1,
    3758,   199,    87,  4869,    -1,    -1,    -1,    -1,    -1,   207,
    3768,   209,    -1,   211,   212,   217,   214,    -1,   216,  3777,
      -1,   219,    -1,   221,    -1,    -1,  2562,    -1,    -1,   249,
    3788,   251,    -1,    -1,  3792,    -1,    -1,    -1,  3796,  3797,
      -1,   261,    -1,   128,  2580,    -1,    -1,    -1,    -1,   251,
     270,    -1,  2588,    -1,   139,    -1,    -1,    -1,    -1,    -1,
      -1,   281,    -1,    -1,    -1,    -1,    -1,  3825,  3965,  3827,
     180,    -1,  3969,    -1,   159,   185,  3834,    -1,    -1,   164,
     282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   206,   207,   318,    -1,
      -1,   321,   322,    -1,    -1,  3863,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,  3874,    -1,    -1,    -1,
     322,    -1,   324,    -1,   326,    -1,    -1,    -1,    -1,   349,
      -1,   333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,
      -1,    -1,    -1,    -1,   254,    -1,  3904,   349,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,  3914,  3915,   268,   361,
      -1,   271,    -1,  3921,  3922,    -1,    -1,   369,  3926,    -1,
      -1,    -1,    -1,  3931,    -1,    -1,  3934,  3935,    -1,    -1,
      -1,  3939,  3940,   268,    -1,    -1,    -1,  3945,  3946,  3947,
    3948,  3949,    -1,   413,    -1,  3953,  3954,  3955,    -1,  3957,
    3958,    -1,    -1,  3961,    -1,    -1,    -1,  3965,    -1,    -1,
      -1,  3969,    -1,    -1,    -1,   300,    -1,  3975,    -1,    -1,
      22,    -1,   424,  5089,  3982,    -1,    28,    -1,    -1,  3987,
      -1,    -1,    -1,    35,    -1,  3993,  3716,    -1,    -1,    -1,
      -1,    -1,  4000,    -1,   354,    35,    -1,   929,  5114,    -1,
    4008,   336,    54,    -1,  4012,    -1,    -1,    -1,   343,  4017,
      -1,   346,    -1,    -1,    -1,    55,    -1,    69,    -1,    -1,
     952,    -1,    -1,  4031,    -1,    -1,  4034,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   967,    -1,    -1,    -1,    -1,
      -1,   376,    -1,    -1,    -1,    -1,  4054,  4055,   383,    89,
      -1,   103,    -1,    -1,    -1,   390,    -1,    -1,    -1,    -1,
      -1,    -1,   397,    -1,  4072,    -1,    -1,  4214,    -1,    -1,
      -1,   123,  5188,    -1,    -1,    -1,    -1,  4085,   130,  2865,
      -1,   133,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,   158,    -1,   148,    -1,
     470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4134,    -1,   576,    -1,
      -1,    -1,    -1,    -1,    -1,   187,   584,    -1,   190,    -1,
      -1,    -1,   182,   591,   592,    -1,    -1,   595,  4156,   597,
     598,    -1,    -1,    -1,   602,    -1,    -1,  5273,    -1,    -1,
      -1,    -1,    -1,  4171,    -1,   613,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,    -1,   217,    -1,    -1,
     628,    -1,    -1,   235,    22,    -1,   238,  2973,    -1,    -1,
      28,    -1,  4200,    -1,    -1,    -1,    -1,   249,    -1,   251,
      -1,    -1,    -1,   651,    -1,   653,  4214,    -1,    -1,   261,
      -1,   251,  4220,    -1,    -1,   663,    -1,    -1,   270,    -1,
      -1,  4229,    -1,  4370,  1156,    -1,    -1,  3957,   280,   281,
    4377,    69,    -1,    -1,    -1,  4382,  4244,    -1,  4385,  4386,
      -1,    -1,   282,    -1,    -1,    -1,    -1,   695,    -1,  4257,
      -1,  4259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4411,    -1,   318,    -1,    -1,   321,
     322,   323,    -1,    -1,    -1,    -1,    -1,  4424,   726,    -1,
      -1,  4289,   322,    -1,    -1,   123,   326,    -1,    -1,    -1,
      -1,   343,   130,   333,    -1,   133,    -1,   349,    -1,    -1,
    3086,   341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,
      -1,   363,    -1,    -1,    -1,    -1,    -1,  4325,    -1,    -1,
     158,   361,    -1,    -1,    -1,  4472,  4334,    -1,    -1,   369,
      -1,    -1,   780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4351,  4352,    -1,    -1,  4355,    -1,    -1,
     390,     8,   190,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,   413,  4370,    -1,    -1,  4373,    -1,  4514,    -1,  4377,
      -1,    -1,    -1,    -1,  4382,    32,    -1,  4385,  4386,    -1,
    4388,    -1,  4390,    40,   424,  4393,  4394,    -1,   428,   429,
      47,    -1,    -1,   841,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4411,    -1,  4413,    -1,    -1,    -1,    -1,
      -1,   249,    -1,   251,    71,    -1,  4424,  4425,  4426,  4427,
    4428,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,    -1,    -1,  4582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    -1,   910,    -1,  4472,  4473,    28,    -1,    -1,    -1,
      -1,    -1,    -1,  3259,    -1,    -1,    -1,    -1,   926,    41,
     318,    -1,    -1,   321,   322,    -1,    -1,    -1,    -1,  3275,
     938,    -1,    -1,   941,    -1,    -1,  4643,    -1,    -1,    -1,
      -1,    -1,    -1,   951,    -1,    -1,  4514,    69,   956,  4517,
      -1,   349,    -1,    -1,  3300,    -1,   964,    -1,    -1,    -1,
      -1,  4529,   970,   180,  4532,   973,    -1,    -1,   185,  4537,
      -1,  4539,    -1,    -1,    -1,  1467,    -1,    -1,  4546,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
     207,    -1,    -1,    -1,  4562,    -1,    -1,    -1,  4566,   121,
      -1,   123,    -1,    -1,   221,  1013,    -1,    -1,   130,    -1,
      -1,   133,  4580,  4581,  4582,   413,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4325,   158,   254,    -1,    -1,
    4608,    -1,    -1,  4611,  4334,  4613,    -1,    -1,    -1,    -1,
      -1,   268,    -1,  4760,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4633,    -1,    -1,   190,    -1,
      -1,  4639,    -1,    -1,    -1,  4643,  4783,    -1,  1570,  4647,
      -1,    -1,    -1,    -1,    -1,    -1,  4654,    -1,    -1,    -1,
      -1,    -1,    -1,  1585,    -1,  4663,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1606,    22,  1124,    -1,  1126,  4687,
    1128,    28,  1130,    -1,  1132,  1133,  1134,   249,    -1,   251,
      -1,  1139,    -1,    -1,  4841,    -1,    -1,   354,    -1,   261,
      -1,    -1,  1150,    -1,    -1,  4713,    -1,    -1,   270,    -1,
      -1,    -1,    -1,    -1,  4722,  4723,  4724,  4725,    -1,   281,
      -1,    -1,    69,    -1,    -1,  4872,    -1,    -1,    -1,  1661,
      -1,    -1,    -1,    -1,    -1,   193,   194,    -1,    -1,   197,
      -1,    -1,    -1,  1675,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4760,    -1,  3540,  1687,   318,   215,    -1,   321,
     322,    -1,    -1,    -1,   222,    -1,    -1,  1699,    -1,    -1,
      -1,    -1,  4780,    -1,    -1,  4783,   123,    -1,    -1,    -1,
      -1,    -1,    -1,   130,    -1,    -1,   133,   349,    -1,    -1,
      -1,    -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,    -1,  1739,  1740,     3,
      -1,   158,    -1,   470,     8,    -1,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
    4838,    -1,  4979,  4841,    -1,    -1,  4844,    -1,    32,    -1,
    4848,    35,    -1,   190,    -1,    -1,    40,  4855,    -1,    -1,
      -1,   413,  4860,    47,  4862,    -1,  4864,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4872,  3651,    -1,    -1,  3654,    -1,
    4878,    -1,  4880,    -1,    -1,    -1,    -1,    71,  4608,    -1,
    1328,    35,  4890,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    -1,  5044,    -1,    -1,
      -1,    55,   249,  4633,   251,    -1,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,  4929,  4930,   270,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   281,    89,    -1,    -1,    -1,    -1,
      -1,  1873,    -1,    -1,    89,    -1,    -1,    -1,  5095,    -1,
      -1,    -1,  4960,    -1,    -1,    -1,  1404,    -1,    -1,  4967,
      -1,    -1,  5109,  4971,    -1,  3751,    -1,    -1,  5115,  5116,
      -1,  4979,    -1,    -1,   321,   322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3770,    -1,   180,    -1,    -1,    -1,
      -1,   185,    -1,    -1,   148,    -1,  5004,  5005,    -1,    -1,
      -1,  5009,   349,   148,  5012,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   206,   207,  5022,    -1,    -1,  5025,    -1,    -1,
      -1,    -1,  5030,    -1,  1472,    -1,    -1,   221,   182,    -1,
      -1,    -1,    -1,    -1,  5181,    -1,  5044,   182,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5058,    -1,    -1,    -1,    -1,    -1,  3842,  5065,   212,    -1,
     254,    -1,    -1,   217,    -1,    -1,   413,   212,    -1,    -1,
      -1,    -1,   217,    -1,   268,    -1,    -1,   271,    -1,    -1,
      -1,    -1,  5090,    -1,    -1,    55,    -1,  5095,    -1,    -1,
      -1,    -1,  5100,    -1,    -1,    -1,    -1,   251,    -1,    -1,
      -1,  5109,    -1,    -1,    -1,    -1,   251,  5115,  5116,  5117,
      -1,    -1,    -1,    -1,  4844,    -1,    -1,    -1,  5126,    89,
     578,    -1,  5130,    -1,   582,    -1,    -1,    -1,   282,    -1,
      -1,    -1,    -1,  5280,    -1,  5143,    -1,   282,   596,    -1,
      -1,    -1,  5150,    -1,    -1,   603,    -1,    -1,    -1,   119,
      -1,  5298,  5299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     354,    -1,  1610,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,   326,  5181,  5182,  5183,    -1,   322,   148,   333,
      -1,   326,    -1,    -1,    -1,    -1,    22,   341,   333,    -1,
      -1,    -1,    28,    -1,    -1,   349,   341,    -1,    -1,    -1,
    5208,  5209,    -1,    -1,   349,    41,    -1,   361,    -1,    -1,
      -1,    -1,   182,    -1,    -1,   369,   361,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   369,  2157,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    69,    -1,    -1,   390,  2169,    -1,    -1,
      -1,    -1,  5250,    -1,    -1,   390,    -1,   217,  5256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,
     454,   455,  5270,   457,   458,   459,   460,   461,   462,  5277,
     424,    -1,  5280,    -1,   428,    -1,    -1,  2209,     0,   424,
      -1,   251,  5012,   428,  1732,   121,  1734,   123,    -1,    -1,
    5298,  5299,    -1,    -1,   130,    -1,    18,   133,    -1,    -1,
      -1,    -1,    -1,  1751,    -1,  1753,    28,    -1,    30,    31,
      -1,   281,   282,    -1,    -1,    -1,    -1,    -1,    -1,  1767,
    4106,  1769,   158,  1771,    46,  1773,    -1,  1775,    -1,    -1,
      -1,  1779,  4118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    68,    69,   318,    -1,
      -1,    -1,   322,    75,   190,    77,   326,    -1,    -1,    -1,
      -1,    -1,    -1,   333,    -1,    -1,    88,    -1,    90,    -1,
      -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,
      -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,    -1,
      -1,   361,    -1,    -1,    -1,    -1,  5126,    -1,    -1,   369,
      -1,    -1,   124,    -1,   126,    -1,    -1,    -1,   130,   867,
     868,    -1,    -1,   249,   136,   251,    -1,    -1,    -1,    -1,
      -1,    -1,   144,    -1,   146,   261,    -1,    -1,    -1,    -1,
     152,    -1,    -1,    -1,   270,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   281,   168,    -1,    -1,    -1,
      -1,    -1,    -1,  2385,   424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5208,  5209,
      -1,    -1,   318,    -1,    -1,   321,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   955,    -1,    -1,
      -1,   223,   224,    -1,    -1,    -1,    -1,   229,    -1,    -1,
      -1,    -1,    -1,   349,    -1,    -1,    -1,    -1,    -1,   241,
      -1,    -1,    -1,  4309,    -1,    -1,   984,   985,    -1,    -1,
      -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1010,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   295,    -1,    -1,    -1,   413,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,    -1,
      -1,    -1,   314,   315,    -1,   317,    -1,    -1,    22,    -1,
     322,    -1,    -1,    -1,    28,   327,    -1,    -1,   330,    -1,
      -1,    -1,    -1,   335,    -1,    -1,    -1,    -1,    -1,   341,
     342,    -1,    -1,    -1,    -1,  1083,  1084,   349,    -1,    -1,
      -1,   353,  4418,    -1,  4420,    -1,    -1,  2085,  2086,    -1,
       8,   363,    -1,    11,    -1,    69,  2578,    15,    16,    17,
      -1,    -1,    -1,    -1,   376,    -1,  2104,  2105,    -1,    -1,
      -1,  2109,  2110,  2595,    32,    -1,  2114,    -1,    -1,    -1,
      -1,    -1,    40,   395,    -1,    -1,  2608,    -1,    -1,    47,
    2128,    -1,    -1,   405,    -1,    -1,    -1,  2135,    -1,   411,
      -1,  2139,  2140,    -1,   416,  2143,  2144,    -1,    -1,   123,
      -1,    -1,  2150,    71,    -1,    -1,   130,   429,    -1,   133,
      -1,    -1,    -1,    -1,    -1,  2163,    -1,  2165,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,
     452,    28,    -1,    -1,   158,    -1,  2184,    -1,    -1,    -1,
      -1,  2189,    -1,    -1,   466,    -1,    -1,   469,    -1,    -1,
       8,    -1,    -1,    11,  2202,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,  2211,    -1,  2213,   190,    -1,  2216,  2217,
    2218,    -1,    69,    -1,    32,  2223,  2224,    -1,    -1,    -1,
      -1,    -1,    40,    -1,     8,  2233,    -1,    11,    -1,    47,
    2238,    15,    16,    17,    -1,  2243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,
      -1,  2259,   180,    71,    -1,    -1,    40,   185,    -1,  2267,
      -1,    -1,   119,    47,    -1,   249,   123,   251,    -1,  2277,
      -1,    -1,    -1,   130,    -1,    -1,   133,   261,   206,   207,
      -1,  2289,    -1,    -1,  2292,    -1,   270,    71,    -1,  2297,
      -1,    -1,    -1,   221,  2302,  2303,    -1,   281,    -1,  2307,
      -1,   158,  2310,    -1,    -1,    -1,  2314,  2315,  2316,  2317,
      -1,  2319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2332,  2333,   254,  2335,    -1,    -1,
      -1,    -1,    -1,   190,   318,  2343,  2344,   321,   322,    -1,
     268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,   180,    -1,    -1,   349,    -1,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,
    2872,    -1,    -1,    40,    -1,    -1,    -1,  2395,   206,   207,
      47,    -1,   249,    -1,   251,    -1,   180,  2889,    -1,    -1,
      -1,   185,    -1,   221,   261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   270,    71,  2423,    -1,    -1,    -1,    -1,
      -1,    -1,   206,   207,   281,    -1,   354,    -1,  1446,   413,
      -1,    -1,    -1,    -1,    -1,    -1,   254,   221,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   318,    -1,    -1,   321,   322,    -1,    -1,    -1,    -1,
     254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   268,    -1,    -1,   271,    -1,    -1,
      -1,  2983,   349,  2985,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1536,  1537,
    1538,  1539,   450,   180,    -1,   453,   454,   455,   185,   457,
     458,   459,   460,   461,   462,    -1,   354,    -1,    -1,   467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
     207,    -1,    -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,
       8,  1579,  1580,    11,   221,    -1,    -1,    15,    16,    17,
     354,    -1,    -1,    -1,  3066,  2583,    -1,    -1,    -1,    -1,
      -1,    -1,  1600,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,   254,    -1,    47,
      -1,    -1,  3094,    -1,  2612,    -1,    -1,    -1,    -1,    -1,
      -1,   268,    -1,    -1,   271,    -1,    -1,  1635,  1636,  1637,
    1638,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    -1,   450,    35,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,    -1,   467,    -1,  5031,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,
      -1,    69,  3194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1748,    -1,   180,  3225,    -1,   103,  1754,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,   206,   207,
      -1,    -1,   130,    -1,    -1,   133,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
     158,    -1,    -1,   450,    -1,    -1,   453,   454,   455,    32,
     457,   458,   459,   460,   461,   462,   254,    40,    -1,    -1,
     467,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,   187,
     268,    -1,   190,   271,    -1,    -1,    -1,    -1,    -1,  3321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
    3342,    11,    -1,    -1,    -1,    15,    16,    17,  2866,    -1,
      -1,    -1,  2870,  1881,    -1,    -1,    -1,   235,  2876,    -1,
     238,    -1,    32,    -1,    -1,  3367,    -1,    -1,    -1,    -1,
      40,   249,    -1,   251,  2892,  2893,    -1,    47,    -1,  2897,
      -1,    -1,    -1,   261,  2902,  2903,  2904,    -1,  2906,    -1,
      -1,    -1,   270,    -1,    -1,    -1,   354,    -1,    -1,  3401,
      -1,    71,   280,   281,    -1,    -1,    -1,    -1,    -1,  2927,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2937,
    2938,  2939,  2940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,
     318,    -1,   185,   321,   322,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2974,    -1,    -1,  2977,
    2978,  2979,    -1,   206,   207,   343,    -1,    -1,    -1,    -1,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,    -1,   363,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    22,    -1,   467,
     180,   254,    -1,    28,    -1,   185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,   413,   206,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    69,    -1,    -1,    -1,    -1,    -1,
      -1,  3079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3087,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    -1,  3105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,
      -1,   354,    -1,    -1,  3132,   130,    -1,    -1,   133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2155,  2156,    -1,
      -1,    -1,    -1,    -1,    22,    -1,  2164,    -1,  2166,    -1,
      28,    -1,  2170,   158,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   192,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   201,   202,    -1,  3184,    -1,    -1,    -1,
      -1,  3189,   210,    -1,    -1,   190,    -1,    -1,    -1,    -1,
      -1,    69,    -1,    -1,   354,   223,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3219,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
      -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   249,   123,   251,    -1,  3256,    -1,
    3258,    -1,   130,  3745,    -1,   133,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   270,    -1,    -1,    -1,    -1,
    2288,    -1,    -1,  2291,    -1,    -1,   281,    -1,    -1,    -1,
     158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,   467,    -1,    -1,
      -1,    -1,   190,   318,    -1,    -1,   321,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,  2357,
      -1,    -1,    -1,    -1,   349,    -1,    -1,  2365,  2366,    -1,
      32,    -1,    -1,    -1,  2372,    -1,    -1,    -1,    40,    -1,
      -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,  2386,    -1,
      -1,   249,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    71,
      -1,    -1,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,    -1,    -1,    -1,    -1,   413,  2427,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3927,    -1,  2455,    -1,    -1,
     318,    -1,    -1,   321,   322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,  2509,    -1,  2511,    -1,    -1,    -1,    -1,   180,    -1,
      -1,    -1,    -1,   185,    -1,    32,    -1,    -1,  3516,    -1,
    3518,    -1,    -1,    40,    -1,    -1,    -1,  3525,    -1,    -1,
      47,    -1,    -1,    -1,   206,   207,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3541,    -1,   413,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    71,    -1,    -1,   575,    -1,  3557,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   587,
    4052,    -1,    -1,    -1,    -1,   593,    -1,  3575,     8,    -1,
      -1,    11,   254,    -1,    -1,    15,    16,    17,   606,    -1,
      -1,    22,    -1,    -1,    -1,  3593,   268,    28,    -1,   271,
      -1,    -1,    32,  2611,   622,  3603,    -1,    -1,  4090,   627,
      40,    -1,    -1,    -1,    -1,   633,    -1,    47,    -1,   637,
     638,    -1,    -1,    -1,  3622,    -1,    -1,   645,    -1,  4111,
      -1,    -1,    -1,    -1,    -1,  3633,  3634,  3635,    69,   657,
     658,    71,  3640,  3641,  3642,  3643,    -1,    -1,  3646,  3647,
     668,    -1,    -1,    -1,  3652,  3653,    -1,  3655,  3656,  3657,
    3658,  3659,  3660,   180,  3662,    -1,    -1,    -1,   185,    -1,
      -1,    -1,    -1,  3671,    -1,    -1,  3674,  3675,    -1,    -1,
      -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,    -1,   206,
     207,    -1,   123,    -1,  4176,  3693,    -1,    -1,    -1,   130,
      -1,    -1,   133,    -1,   221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3715,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   158,    -1,   747,
     748,    -1,    -1,     8,    -1,   753,    11,   254,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     180,   268,    -1,    -1,   271,   185,    -1,    32,    -1,   190,
      -1,   779,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,
      -1,    -1,    47,    -1,    -1,    -1,   206,   207,   450,    -1,
      -1,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   221,    -1,    -1,    -1,   467,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3814,    -1,   249,    -1,
     251,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,   354,   268,   270,
      -1,   271,    -1,    -1,    -1,    -1,    -1,  4329,  3846,    -1,
     281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2878,    -1,  2880,  2881,  2882,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,
     321,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   922,   180,    -1,    -1,    -1,    -1,
     185,   929,    -1,    -1,    -1,   933,    -1,    -1,   349,    -1,
      -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,
      -1,   206,   207,   450,   952,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   221,    -1,    -1,   967,
     467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,
      -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,  1012,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,  1051,    -1,    -1,    -1,   467,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4060,    -1,    -1,    -1,  4064,  4065,  4066,  4067,
    1088,    -1,  4070,    -1,    -1,    -1,    -1,    -1,    -1,   354,
      -1,    -1,    -1,    -1,  1102,    -1,    -1,  3095,    -1,    -1,
      -1,    -1,    -1,  1111,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1119,    -1,  4101,  4102,  4103,    -1,  4105,    -1,  4107,
    4108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4119,  4120,    -1,    -1,    -1,    -1,  4609,    -1,  1147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1156,    -1,
    1158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4146,    -1,
      -1,    -1,    -1,    -1,    -1,  1173,    -1,    -1,  1176,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4649,    -1,    -1,
    1188,  4169,    -1,    -1,    -1,   450,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,    -1,
      -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4703,    -1,    -1,    -1,    -1,  4708,  4709,  1246,  1247,
    1248,    -1,  1250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4243,    -1,    -1,    -1,    -1,
      -1,    -1,  1270,    -1,    -1,  3263,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4272,    -1,  1294,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1302,  1303,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1311,  1312,    -1,    -1,    -1,    -1,  4297,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1339,    -1,    -1,    -1,  1343,  1344,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,  4818,    -1,     8,    -1,
    1358,    11,    47,    -1,  1362,    15,    16,    17,    -1,    -1,
      -1,  1369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    71,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,    -1,    -1,    -1,  4404,    -1,    -1,    -1,
    1428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4464,    -1,    -1,    -1,
      -1,    -1,  1490,    -1,    -1,   180,    -1,    -1,    -1,    -1,
     185,    -1,    -1,    -1,  4482,    -1,    -1,    -1,    -1,  4487,
    4488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,   185,   221,    -1,    -1,    -1,
      -1,    -1,  3530,  3531,  3532,  3533,    -1,    -1,    -1,    -1,
      -1,  1549,    -1,    -1,  5016,    -1,   206,   207,    -1,    -1,
    4538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,
      -1,   221,  1570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4558,    -1,    -1,   268,    -1,    -1,   271,  1585,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1594,    -1,    -1,    -1,
      -1,    -1,    -1,  1601,   254,    -1,    -1,    -1,  1606,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4595,   268,    -1,
      -1,   271,     8,    -1,  4602,    11,    -1,  1625,    -1,    15,
      16,    17,    -1,    -1,    -1,  1633,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    32,  1645,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,  1661,    -1,    -1,    -1,    -1,    -1,   354,
    1668,    -1,    -1,  1671,    -1,    -1,    -1,  1675,    -1,    -1,
      -1,    -1,    -1,  1681,    -1,    71,    -1,    -1,    -1,  1687,
      -1,    -1,  4670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1699,    -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4691,    -1,    -1,    -1,    -1,  1716,  1717,
    3708,  1719,  1720,    -1,  4702,    -1,  3714,    -1,    -1,    -1,
      -1,    -1,    -1,  1731,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1739,  1740,    -1,  1742,  1743,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1758,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,    -1,
      -1,    -1,   467,    -1,    -1,    -1,  4764,    -1,    -1,    -1,
      -1,    -1,  1790,    -1,   180,    -1,    -1,    -1,    -1,   185,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,   467,    -1,    -1,
     206,   207,    -1,    -1,    -1,    -1,  1824,    -1,  1826,    -1,
      -1,    -1,    -1,  1831,  1832,   221,    -1,    -1,    -1,    -1,
    1838,  1839,  1840,    -1,    -1,    -1,  1844,  4825,  1846,  1847,
    1848,  1849,  1850,  1851,    -1,  1853,    -1,  1855,  1856,    -1,
      -1,  1859,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,
      -1,    -1,    -1,    -1,    -1,  1873,  1874,  1875,  1876,  1877,
    1878,    -1,   268,    -1,  1882,   271,    -1,    -1,  1886,    -1,
      -1,  1889,    -1,    -1,  1892,  1893,  1894,  1895,  1896,  1897,
    1898,  1899,  1900,    -1,  1902,    -1,    -1,     8,    -1,  4887,
      11,  1909,    -1,  1911,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4902,    -1,    -1,    -1,    -1,    -1,
      -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,   354,    -1,
      71,    -1,  4950,    -1,    -1,    -1,    -1,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    -1,  4965,    -1,    -1,
      -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,  5043,    -1,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,    -1,    -1,   180,
      -1,   467,    -1,    -1,   185,    -1,  2084,    -1,    -1,    -1,
      -1,    -1,    -1,  2091,    -1,    -1,    -1,  2095,  2096,    -1,
      -1,    -1,    -1,    -1,  2102,   206,   207,  5085,    -1,  2107,
    2108,    -1,    -1,    -1,  2112,    -1,    -1,    -1,    -1,    -1,
     221,    -1,  2120,    -1,     8,   180,    -1,    11,    -1,    -1,
     185,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
    2138,    -1,    -1,  2141,    -1,    -1,    -1,    -1,    32,    -1,
      -1,   206,   207,   254,    -1,  2153,    40,    -1,    -1,  2157,
      -1,    -1,  2160,    47,    -1,    -1,   221,   268,  4156,    -1,
     271,  2169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4171,  2182,    -1,    -1,    71,    -1,    -1,
      -1,  5169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,
      -1,    -1,  2200,  2201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2209,    -1,   268,    -1,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2231,  2232,    -1,    -1,  2235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,    -1,
    2258,    -1,  2260,    -1,    -1,    -1,    -1,    -1,  2266,  4257,
      -1,    -1,    -1,    -1,  2272,    -1,    -1,    -1,  2276,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,  2296,   354,
      -1,   185,    -1,  2301,    -1,    -1,    -1,  2305,    -1,    -1,
    2308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2318,    -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2331,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,  2340,    -1,    -1,    -1,    -1,    -1,    -1,   450,
      -1,    -1,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,    -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,
     254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   268,     8,  2384,  2385,    11,    -1,
      -1,    -1,    15,    16,    17,   450,  2394,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,    32,
      -1,    -1,   467,    -1,    -1,    -1,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
    2428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4426,  4427,
    4428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2467,
     354,    -1,    -1,  2471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,  2524,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,
      -1,    -1,    -1,    -1,    -1,    47,    -1,   180,    -1,    -1,
      -1,    -1,   185,    -1,  2562,    -1,   450,    -1,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    71,
    2578,    -1,  2580,   206,   207,    -1,    -1,    -1,    -1,    -1,
    2588,    -1,  4580,    -1,  2592,    -1,     8,  2595,   221,    11,
    2598,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
    2608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,  2619,    -1,    -1,    -1,    -1,  2624,    -1,    40,    -1,
      -1,   254,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,   271,  2647,
    2648,  2649,    -1,    -1,  2652,    -1,    -1,    -1,    -1,    71,
      -1,    -1,  2660,  2661,  2662,  2663,    -1,    -1,    -1,    -1,
    2668,    -1,    -1,    -1,    -1,  2673,  2674,    -1,  2676,    -1,
    2678,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,
      -1,  2689,  2690,   185,    -1,  2693,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2707,
      -1,  2709,    -1,  2711,   206,   207,    -1,   201,   202,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,   221,
      -1,   354,    -1,  2731,    -1,  4723,    -1,  4725,    -1,   223,
      -1,    -1,    -1,    -1,  2742,    -1,  2744,  2745,  2746,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2759,   254,    -1,  2762,    -1,    -1,    -1,   180,    -1,
      -1,    -1,    -1,   185,    -1,  2773,   268,    -1,    -1,   271,
    2778,    -1,    -1,    -1,    -1,    -1,  2784,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   206,   207,  2794,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,  2813,    -1,    -1,  2816,    -1,
    2818,    -1,    -1,    -1,    -1,  2823,    -1,   450,    -1,    -1,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
    2838,  2839,   254,    -1,   467,    -1,  2844,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,   271,
      -1,    -1,   354,    -1,    -1,    -1,    -1,  2865,    -1,    -1,
    2868,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4878,  2889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2914,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2949,  2950,  2951,    -1,    -1,    -1,    -1,   450,    -1,
      -1,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,    -1,  4960,   465,    -1,  2973,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2983,    -1,  2985,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2993,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,
      -1,   453,   454,   455,    32,   457,   458,   459,   460,   461,
     462,    -1,    40,    -1,    -1,   467,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3066,    -1,
    5058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,  3086,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3094,    -1,    -1,    -1,
      -1,    -1,    -1,   587,    -1,    -1,    -1,    -1,    -1,   593,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3117,
      -1,    -1,   606,    -1,    -1,    -1,  3124,  3125,    -1,    -1,
      -1,    -1,    -1,  3131,    -1,  3133,    -1,    -1,   622,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3146,    -1,
    3148,    -1,    -1,   637,   638,    -1,    -1,    -1,    -1,    -1,
      -1,   645,  5150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3170,    -1,   658,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   668,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   180,    -1,  5182,  5183,  3194,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3211,  3212,    -1,    -1,    -1,   206,   207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3225,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3259,    -1,    -1,    -1,    -1,   254,    -1,    -1,   753,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3275,    -1,    -1,
     268,    -1,  5270,   271,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,  3297,
      -1,    -1,  3300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
    3318,    -1,    -1,  3321,    -1,    -1,    47,    -1,    -1,  3327,
      -1,    -1,    -1,    -1,    -1,  3333,    -1,  3335,    -1,    -1,
    3338,    -1,    -1,    -1,  3342,  3343,  3344,  3345,  3346,    -1,
      71,  3349,  3350,  3351,  3352,  3353,  3354,  3355,  3356,  3357,
    3358,    -1,    -1,    -1,  3362,  3363,   354,    -1,    -1,  3367,
      -1,    -1,    -1,    -1,  3372,    -1,    -1,    -1,  3376,    -1,
    3378,    -1,  3380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3388,    -1,    -1,  3391,    -1,  3393,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3401,  3402,    -1,    -1,  3405,  3406,    -1,
      -1,    -1,  3410,  3411,    -1,    -1,    -1,    -1,    -1,  3417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3427,
      -1,    -1,  3430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3443,    -1,    -1,    -1,   933,
      -1,  3449,  3450,  3451,    -1,    -1,    -1,    -1,    -1,   180,
      -1,    -1,   450,    -1,   185,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,  3475,    -1,   467,
      -1,    -1,    -1,    -1,    -1,   206,   207,    -1,    -1,    -1,
      -1,    -1,    -1,  3491,    -1,    -1,    -1,    -1,    -1,  3497,
     221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3540,    -1,    -1,    -1,    -1,   268,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3590,    -1,    -1,    -1,    -1,  3595,  3596,  3597,
      -1,    -1,    -1,    -1,  1088,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1102,    -1,
      -1,  3619,  3620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   354,    -1,  1119,     8,    -1,  3636,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3651,    -1,    -1,  3654,    -1,    -1,    -1,
      32,    -1,    -1,  1147,    36,    -1,    -1,    -1,    40,    -1,
      -1,    -1,    -1,    -1,  1158,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1173,
      -1,    -1,  1176,    -1,    -1,    -1,    -1,    -1,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3716,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,
      -1,    -1,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,    -1,  3741,  3742,    -1,   467,  3745,   120,    -1,
      -1,    -1,    -1,  3751,    -1,    -1,    -1,    -1,    -1,    -1,
    3758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3770,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3795,  3796,  3797,
      -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,   180,    40,
    1294,    -1,    -1,   185,    -1,    -1,    47,    -1,  1302,  1303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1312,    -1,
      -1,    -1,    -1,    -1,   206,   207,    -1,    -1,    -1,    -1,
      71,    -1,    -1,    -1,  3842,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3863,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3874,    -1,    -1,    -1,
      -1,    -1,   254,    -1,    -1,  1369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,  3904,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3914,  3915,    -1,  3917,
      -1,    -1,    -1,  3921,  3922,    -1,   157,    -1,  3926,  3927,
      -1,   162,    -1,  3931,    -1,    -1,  3934,  3935,    -1,    -1,
      -1,  3939,    -1,    -1,    -1,    -1,    -1,  3945,    -1,   180,
      -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,  3957,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3965,    -1,    -1,
      -1,  3969,    -1,    -1,    -1,   206,   207,    -1,    -1,    -1,
      -1,    -1,   354,    -1,  3982,    -1,    -1,    -1,    -1,  3987,
     221,    -1,    -1,    -1,     8,  3993,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
    4008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,
      -1,    -1,    -1,   254,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    -1,  4034,   268,   410,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   747,   748,  4052,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1549,    -1,    -1,    -1,    -1,
      -1,  4069,    -1,    -1,    -1,    -1,  4074,    -1,   450,    -1,
      -1,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,    -1,  4090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4106,    -1,
      -1,    -1,    -1,  4111,    -1,    -1,    -1,  1601,    -1,    -1,
    4118,    -1,    -1,   354,    -1,    -1,    -1,   202,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   210,  4134,    -1,    -1,    -1,
      -1,  1625,    -1,    -1,    -1,    -1,    -1,  4145,   223,  1633,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1645,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,
      -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,  4176,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4200,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4214,    -1,    -1,   450,
      -1,    -1,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,  1716,  1717,    -1,  1719,  1720,    -1,    -1,  4237,
     254,    -1,    -1,    -1,    -1,    -1,  4244,  1731,    -1,    -1,
      -1,    -1,    -1,    -1,   268,    -1,    -1,   271,  1742,  1743,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1758,    -1,    -1,    -1,    -1,    -1,
     294,    -1,    -1,    -1,    -1,    -1,    -1,  4285,    -1,  4287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1790,    -1,    -1,    -1,
      -1,  4309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4325,    -1,    -1,
      -1,  4329,    -1,    -1,    -1,    -1,  4334,    -1,    -1,    -1,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4351,  4352,    -1,   370,  4355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4370,    -1,    -1,    -1,    -1,    -1,    -1,  4377,
      -1,    -1,    -1,    -1,  4382,    -1,    -1,  4385,  4386,    -1,
      -1,    -1,    -1,    -1,  1878,  4393,  4394,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4411,    -1,  4413,    -1,    -1,    -1,    -1,
    4418,    -1,  4420,    -1,    -1,    -1,  4424,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4462,  4463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4472,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,  1188,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,
    4508,    -1,   587,    -1,    -1,    40,  4514,    -1,   593,    -1,
      -1,    -1,    47,  1218,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    71,   622,    -1,    -1,
      -1,  1246,  1247,  1248,    -1,  1250,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   638,    -1,    -1,    -1,    -1,    -1,    -1,
     645,  4569,    -1,    -1,    -1,  1270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   658,  4582,    -1,  4584,    -1,    -1,    -1,
      -1,    -1,    -1,   668,    -1,    -1,    -1,    -1,    -1,    -1,
    2084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4608,  4609,    -1,  4611,    -1,  4613,  1311,    -1,  2102,    -1,
      -1,    -1,    -1,  2107,  2108,    -1,    -1,    -1,  2112,    -1,
      -1,   156,    -1,    -1,    -1,  4633,  2120,    -1,    -1,    -1,
      -1,  4639,    -1,    -1,  1339,  4643,    -1,    -1,  1343,  1344,
      -1,  4649,    -1,    -1,  2138,   180,  4654,    -1,    -1,    -1,
     185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2160,    -1,   753,    -1,
      -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,  4695,  2182,    -1,
      -1,    -1,    -1,    -1,    -1,  4703,    -1,    -1,    -1,    -1,
    4708,  4709,    -1,    -1,    -1,  4713,  2200,  2201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,
      -1,    -1,    -1,  4731,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,    -1,    -1,   271,  2231,  2232,    -1,
      -1,  2235,    -1,    -1,    -1,    -1,    -1,   633,    -1,    -1,
      -1,    -1,  4760,    -1,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,  2258,    -1,  2260,    -1,    -1,    -1,
      -1,   657,  2266,    -1,    -1,  4783,    -1,    -1,  2272,    -1,
      -1,    -1,  2276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2296,    -1,    -1,    -1,    -1,  2301,    -1,  4817,
    4818,  2305,    -1,    -1,  2308,    -1,    -1,    -1,    -1,   354,
      -1,    -1,    -1,    -1,  2318,    -1,    -1,    -1,    -1,    -1,
    4838,    -1,    -1,  4841,    -1,    -1,  4844,  2331,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2340,  4855,    -1,    -1,
      -1,    -1,  4860,    -1,  4862,    -1,  4864,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4872,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4890,    -1,    -1,    -1,    -1,    -1,    -1,    32,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    40,    -1,    -1,
    2394,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
      -1,  4919,    -1,  4921,    -1,   450,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4971,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4979,    -1,    -1,    -1,    -1,    -1,  2471,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5004,  5005,    -1,    -1,
      -1,    -1,    -1,  1088,  5012,  5013,    -1,    -1,  5016,    -1,
      -1,    -1,    -1,    -1,  5022,    -1,    -1,  1102,    -1,    -1,
      -1,    -1,    -1,  5031,    -1,    -1,    -1,    -1,    -1,    -1,
    2524,    -1,    -1,    -1,  1119,    -1,  5044,   180,    -1,    -1,
      -1,    -1,   185,   929,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1147,   206,   207,    -1,   952,    -1,  2562,    -1,
      -1,    -1,    -1,  1158,    -1,    -1,    -1,    -1,   221,    -1,
      -1,   967,    -1,    -1,    -1,    -1,  2580,  5095,  1173,    -1,
      -1,  1176,  5100,    -1,  2588,    -1,    -1,    -1,    -1,    -1,
      -1,  5109,    -1,    -1,  2598,    -1,    -1,  5115,  5116,  5117,
      -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,  5126,    -1,
      -1,    -1,    -1,    -1,    -1,   268,  1831,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,  5143,    -1,    -1,    -1,  1844,
      -1,  1846,    -1,    -1,  1849,  1850,  1851,    -1,    -1,  5157,
      -1,  1856,    -1,    -1,  1859,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1051,    -1,    -1,    -1,  1874,
    1875,  1876,  1877,  5181,  2668,    -1,    -1,  1882,    -1,    -1,
    2674,  1886,    -1,    -1,  1889,    -1,    -1,  1892,  1893,  1894,
    1895,  1896,  1897,  1898,  1899,  1900,    -1,  1902,    -1,    -1,
    5208,  5209,    -1,    -1,  1909,    -1,  1911,    -1,    -1,  1294,
      -1,   354,    -1,    -1,    -1,    -1,    -1,  1302,  1303,    -1,
      -1,    -1,    -1,    -1,    -1,  5233,    -1,  1312,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5250,    -1,    -1,    -1,    -1,    -1,  5256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2759,    -1,    -1,    -1,    -1,
    1156,    -1,  5280,    -1,  5282,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1369,    -1,    -1,    -1,    -1,  5297,
    5298,  5299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2039,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2838,  2839,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,  2865,    11,    -1,  2868,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,   633,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
     633,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    71,   657,    -1,    -1,  2141,    -1,    32,    -1,
      -1,    35,    -1,    -1,   657,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    -1,  2949,  2950,  2951,    -1,    -1,
      -1,    -1,    -1,    -1,  1549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1362,    71,    -1,  2973,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2993,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3008,    -1,  1601,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1625,   180,  1428,    -1,    -1,    -1,   185,    -1,  1633,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1645,    -1,    -1,    -1,    -1,    -1,    -1,   206,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1467,   221,    -1,    -1,    -1,   180,    -1,    -1,    -1,
      -1,   185,  3086,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   206,   207,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,   268,
    3124,    -1,   271,    -1,  1719,  1720,    -1,  3131,    -1,  3133,
      -1,    -1,    -1,    -1,    -1,    -1,  1731,    -1,    -1,   288,
      -1,    -1,  3146,    -1,  3148,    -1,    -1,  1742,  1743,    -1,
     254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1758,   268,    -1,  3170,   271,    -1,  2384,
      -1,    -1,    -1,    -1,  1570,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1585,
      -1,    -1,    -1,    -1,    -1,   929,    -1,    -1,  1594,    -1,
      -1,    -1,    -1,    -1,    -1,   354,   929,  3211,    -1,    -1,
    1606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   952,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   952,
      -1,    -1,    -1,   967,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   967,    -1,    -1,    -1,    -1,    -1,
     354,    -1,    -1,    -1,    -1,  3259,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1661,    -1,    -1,    -1,    -1,
      -1,  3275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1675,
      -1,    -1,    -1,  1878,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1687,    -1,  3297,    -1,    -1,  3300,    -1,    -1,    -1,
      -1,   450,    -1,  1699,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,    -1,    -1,    -1,  1051,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1051,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1739,  1740,    -1,   450,    -1,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3378,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2619,    -1,    -1,    -1,    -1,  2624,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1156,  2649,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2660,    -1,  2662,  2663,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2673,    -1,
      -1,  2676,    -1,  2678,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,  1873,    15,    16,
      17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2084,
      -1,    -1,  2707,    -1,  2709,    32,  2711,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    -1,    -1,    -1,  2102,    -1,    -1,
      47,    -1,  2107,  2108,    -1,  1911,    -1,  2112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2120,    -1,    -1,    -1,  2744,
    2745,  2746,    -1,    -1,    71,    -1,  3540,    -1,    -1,    -1,
      -1,    -1,    -1,  2138,    -1,    -1,    -1,  2762,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2773,    -1,
      -1,    -1,    -1,  2778,    -1,    -1,    -1,    -1,    -1,  2784,
      -1,    -1,    -1,    -1,  1297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3590,  2182,    -1,    -1,
      -1,  3595,    -1,  3597,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2200,  2201,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,  3619,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,  1362,  2844,
      -1,    -1,  3636,    -1,    32,    -1,  2231,  2232,    -1,  1362,
    2235,    -1,    40,   180,    -1,    -1,    -1,  3651,   185,    47,
    3654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2258,    -1,  2260,    -1,    -1,    -1,   206,
     207,  2266,    -1,    71,    -1,    -1,    -1,  2272,    -1,    -1,
       8,  2276,    -1,    11,   221,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,  1428,  2091,    -1,    -1,    -1,  2095,
    2096,  2296,    -1,    -1,    32,  1428,  2301,    35,    -1,    -1,
    2305,    -1,    40,  2308,    -1,    -1,    -1,   254,    -1,    47,
      -1,    -1,    -1,  2318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   268,    -1,  1467,   271,    -1,  2331,  3741,  3742,    -1,
      -1,    -1,    -1,    71,  1467,  2340,    -1,  3751,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1490,    -1,    -1,    -1,
      -1,  2157,    -1,    -1,    -1,    -1,  3770,  1490,    -1,    -1,
      -1,    -1,    -1,  2169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   180,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,   207,
      -1,    -1,    -1,  2209,    -1,    -1,    -1,   354,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1570,    -1,  3842,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1570,    -1,    -1,
      -1,  1585,   180,    -1,    -1,    -1,   254,   185,    -1,    -1,
    1594,    -1,  1585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,  1594,  1606,   271,    -1,    -1,  2471,    -1,   206,   207,
      -1,    -1,    -1,  1606,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   254,  1661,    -1,  2524,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1661,    -1,
     268,  1675,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1675,  1687,    -1,    -1,   354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1687,  1699,    -1,  2562,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1699,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2580,   384,    -1,    -1,  2385,
      -1,     8,    -1,  2588,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,  1739,  1740,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    32,  1739,  1740,    35,    -1,
      -1,    -1,    -1,    40,    -1,    -1,   354,    -1,    -1,    -1,
      47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    71,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,  4069,    -1,    -1,    -1,    -1,
    4074,  2467,    -1,  2668,    -1,    -1,    -1,    -1,    -1,  2674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4106,  3318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3327,    -1,  4118,    -1,    -1,    -1,  3333,    -1,
    3335,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,  1873,
      -1,  4145,    -1,    -1,    -1,    -1,    -1,  3362,  3363,    -1,
    1873,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   180,  2759,  3380,    -1,    -1,   185,    -1,
      -1,    -1,    -1,  3388,    -1,    -1,  3391,    -1,  3393,    -1,
      -1,    -1,  2578,    -1,    -1,    -1,    -1,  3402,    -1,   206,
     207,    -1,    -1,    -1,    -1,  3410,  3411,    -1,    -1,  2595,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3443,    -1,
      -1,    -1,    -1,  4237,  3449,  3450,  3451,   254,    -1,    -1,
      -1,    -1,    -1,  2838,  2839,    -1,    -1,    -1,    -1,    -1,
      -1,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
    3475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2865,    -1,    -1,  2868,    -1,    -1,  3491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,  4309,    -1,    -1,     8,    -1,
      -1,    11,    -1,    32,    -1,    15,    16,    17,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,  2744,  2745,
    2746,    -1,    71,    -1,  2949,  2950,  2951,  2091,    -1,    -1,
      -1,  2095,  2096,    -1,    -1,    -1,    -1,    -1,  2091,    -1,
      -1,    71,  2095,  2096,    -1,    -1,    -1,    -1,  2973,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2993,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3008,  4418,    -1,  4420,  2813,    -1,    -1,
    2816,    -1,  2818,  2157,    -1,    -1,    -1,  2823,    -1,    -1,
      -1,    -1,    -1,   450,  2157,  2169,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,  2169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4463,
      -1,   180,    -1,    -1,    -1,    -1,   185,    -1,  4472,    -1,
      -1,    -1,    -1,    -1,    -1,  2209,  2872,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,   185,  2209,   206,   207,    -1,
      -1,  3086,    -1,  2889,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,  4508,    -1,   206,   207,    -1,    -1,
    4514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2914,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3124,
      -1,    -1,    -1,    -1,    -1,   254,  3131,    -1,  3133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
      -1,  3146,   271,  3148,   254,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,
      -1,    -1,    -1,    -1,    -1,  3170,    -1,    -1,    -1,    -1,
      -1,  3796,  3797,    -1,    -1,    -1,    -1,  2983,    -1,  2985,
      -1,    -1,    -1,   633,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3211,   657,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3863,    -1,
      -1,  2385,    -1,    -1,   354,    -1,    -1,    -1,    -1,  3874,
      -1,    -1,  2385,    -1,  3259,    -1,    -1,    -1,    -1,    -1,
    3066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4695,    -1,    -1,    -1,    -1,    -1,    -1,  3094,  3914,
    3915,    -1,  3297,    -1,    -1,  3300,  3921,  3922,    -1,    -1,
      -1,  3926,    -1,    -1,    -1,    -1,  3931,    -1,    -1,  3934,
    3935,  3117,    -1,    -1,  3939,    -1,    -1,  4731,    -1,  3125,
    3945,   450,    -1,  2467,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,  2467,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,  3982,    -1,    -1,
      -1,    -1,  3987,    -1,    -1,    -1,    -1,    -1,  3993,    -1,
      -1,    -1,    -1,  3378,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4008,    -1,    -1,    -1,    -1,  3194,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,  4034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3225,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2578,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2578,    -1,    -1,    -1,    -1,
      -1,  2595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2595,    -1,  2608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2608,    -1,    -1,    -1,   929,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   633,    -1,
      -1,    -1,   952,    -1,    -1,  4919,    -1,  4921,    -1,  4134,
      -1,    -1,    -1,    -1,    -1,  3321,    -1,   967,    -1,    -1,
      -1,    -1,   657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3540,  3342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4200,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3590,    -1,    -1,    -1,    -1,
    3595,    -1,  3597,    -1,    -1,  3401,    -1,    -1,    -1,  5013,
      -1,  1051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     633,    -1,    -1,    -1,  3619,    -1,    -1,  5031,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5044,  3636,    -1,    -1,   657,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3451,  3651,    -1,    -1,  3654,
      -1,    -1,    -1,    20,    -1,    -1,    -1,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2813,
      37,    -1,  2816,    -1,  2818,    -1,    -1,    -1,    -1,  2823,
    2813,    -1,    -1,  2816,    -1,  2818,    -1,    -1,    -1,    -1,
    2823,  3497,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5115,  5116,    -1,    -1,    72,  1156,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    83,    -1,    -1,    -1,
      87,    -1,    -1,    -1,    -1,    -1,  4351,  4352,  2872,    -1,
    4355,    -1,    -1,    -1,    -1,    -1,  3741,  3742,   105,  2872,
      -1,    -1,    -1,  5157,   111,  2889,  3751,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2889,    -1,    -1,    -1,
      -1,   128,    -1,    -1,    -1,  3770,    -1,    -1,  4393,  4394,
    2914,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     147,  2914,    -1,    -1,    -1,    -1,    -1,    -1,  4413,    -1,
    3596,    -1,   159,    -1,   929,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3620,    -1,    -1,   952,    -1,  5233,
      -1,   188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   967,    -1,    -1,    -1,    -1,  3842,    -1,  2983,
      -1,  2985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2983,    -1,  2985,    -1,    -1,    -1,    -1,    -1,   225,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,  5282,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5297,  5298,  5299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   268,    -1,    -1,   271,    -1,   929,    -1,    -1,    -1,
      -1,    -1,  1362,    -1,    -1,    -1,  1051,    -1,    -1,    -1,
      -1,    -1,  3066,   290,    -1,    -1,    -1,    -1,    -1,   952,
      -1,    -1,    -1,  3066,    -1,    -1,   303,    -1,    -1,  3745,
      -1,    -1,    -1,   310,   967,    -1,    -1,    -1,    -1,    -1,
    3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3094,   329,    -1,    -1,    -1,    -1,    -1,    -1,   336,
      -1,    -1,    -1,  3117,    -1,    -1,   343,    -1,  1428,   346,
      -1,  3125,    -1,    -1,  3117,    -1,  4611,    -1,    -1,  3795,
      -1,    -1,  3125,    -1,    -1,    -1,    -1,    -1,   365,    -1,
      -1,    -1,    -1,    -1,   371,    -1,    -1,    -1,    -1,   376,
      -1,    -1,   379,   380,  4639,   382,   383,  1467,    -1,    -1,
      -1,  1156,    -1,    -1,    -1,   392,    -1,    -1,  1051,  4654,
     397,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,   406,
    1490,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3194,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,
      -1,  3194,    -1,    -1,  4069,    -1,    -1,   633,  3212,  4074,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3212,
      -1,  3225,    -1,    -1,    -1,    -1,    -1,    -1,  4713,    -1,
      -1,   657,  3225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3917,    -1,  4118,    -1,    -1,    -1,    -1,    -1,    -1,
    1570,  3927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1156,    -1,  1585,    -1,    -1,    -1,    -1,
    4145,    -1,    -1,    -1,  1594,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1606,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3982,  3321,    -1,    -1,
      -1,  3987,    -1,    -1,    -1,    -1,    -1,  3993,  3321,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3342,
      -1,  1661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3367,    -1,  1675,    -1,  1362,    -1,    -1,
      -1,    -1,  4237,    -1,  3367,    -1,    -1,  1687,    -1,  4864,
      -1,    -1,    -1,    -1,    -1,    -1,  4052,    -1,    -1,  1699,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4890,    -1,    -1,  3401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,    -1,  1739,
    1740,    -1,    -1,  1428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4309,  4111,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1467,    -1,    -1,    -1,    -1,    -1,    -1,  1362,
      -1,    -1,    -1,    -1,    -1,    -1,  4971,    -1,    -1,    -1,
      -1,    -1,    -1,  3497,    -1,  1490,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   929,  3497,    -1,    -1,    -1,    -1,    -1,
    4176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5004,
    5005,    -1,    -1,    -1,    -1,    -1,   952,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5022,    -1,    -1,
      -1,   967,    -1,    -1,    -1,  1428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4418,    -1,  4420,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1873,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1570,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1467,    -1,    -1,    -1,    -1,    -1,
    1585,    -1,  3596,    -1,    -1,    -1,    -1,    -1,  4463,  1594,
      -1,    -1,    -1,  3596,    -1,    -1,    -1,  1490,    -1,    -1,
      -1,  1606,    20,    -1,    -1,  5100,  3620,    25,    -1,  4285,
      -1,  4287,    -1,    -1,    -1,  1051,    -1,  3620,    -1,    37,
      -1,    -1,  5117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4508,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,  5143,    -1,
      -1,    -1,    -1,  4329,    72,    -1,  1661,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
    1675,    -1,    -1,    -1,    -1,    -1,    -1,  1570,    -1,    -1,
      -1,    -1,  1687,    -1,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,  1585,    -1,  1699,    -1,    -1,    -1,    -1,    -1,
      -1,  1594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     128,    -1,    -1,  1606,    -1,    -1,    -1,    -1,    -1,    -1,
    1156,   139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,  3745,    -1,    -1,  1739,  1740,    -1,    -1,    -1,    -1,
      -1,   159,  3745,    -1,    -1,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,   171,    -1,  5250,    -1,    -1,    -1,    -1,
      -1,  5256,    -1,    -1,    -1,    -1,    -1,    -1,  1661,    -1,
     188,  2091,    -1,    -1,    -1,  2095,  2096,    -1,    -1,    -1,
      -1,  3795,  1675,    -1,    -1,    -1,  4462,    -1,   633,    -1,
      -1,    -1,  3795,    -1,  1687,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1699,    -1,    -1,    -1,
      -1,    -1,   657,    -1,    -1,    -1,   234,    -1,    -1,    -1,
    4695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2157,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1739,  1740,    -1,  2169,
     268,    -1,    -1,    -1,    -1,    -1,  4731,    -1,    -1,    -1,
      -1,    -1,   280,    -1,    -1,    -1,    -1,    -1,  1873,    -1,
      -1,    -1,   290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   300,    -1,    -1,   303,    -1,    -1,    -1,  2209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3917,    -1,    -1,    -1,    -1,  4584,    -1,
      -1,   329,    -1,  3927,  3917,    -1,   334,    -1,   336,    -1,
      -1,    -1,    -1,    -1,  3927,   343,  1362,    -1,   346,    -1,
      -1,    -1,    -1,  4609,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,    -1,    -1,   371,    -1,    -1,    -1,    -1,   376,    -1,
      -1,   379,    -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,   390,  4649,   392,    -1,    -1,    -1,    -1,   397,
    1873,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   409,  1428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4703,    -1,    -1,
      -1,  1467,  4708,  4709,    -1,    -1,    -1,    -1,  4052,    -1,
      -1,    -1,    -1,    -1,  4919,    -1,  4921,    -1,    -1,  4052,
      -1,    -1,    -1,    -1,  1490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2385,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    -1,    -1,    -1,  4090,    25,    -1,    -1,
      -1,    -1,    -1,    -1,   929,    -1,  2091,  4090,    -1,    -1,
    2095,  2096,    -1,    -1,    -1,    -1,    -1,  4111,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   952,  4111,    -1,
      -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   967,    -1,    72,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1570,    83,    -1,    -1,  5013,    87,
      -1,  4817,  4818,    -1,    -1,    -1,    -1,  2467,    -1,  1585,
      -1,    -1,  2157,    -1,    -1,    -1,  5031,   105,  1594,    -1,
      -1,    -1,  4176,    -1,  2169,    -1,    -1,    -1,    -1,    -1,
    1606,    -1,    -1,  4176,    -1,    -1,    -1,    -1,    -1,    -1,
     128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,  2091,   147,
      -1,    -1,  2095,  2096,  2209,    -1,  1051,    -1,    -1,    -1,
      -1,   159,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1675,
     188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1687,    -1,    -1,    -1,    -1,    -1,    -1,  2578,    -1,
      -1,    -1,    -1,  1699,  2157,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4287,    -1,  2595,  2169,    -1,    -1,    -1,
      -1,    -1,  5157,    -1,  4287,    -1,   234,    -1,  2608,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1739,  1740,    -1,    -1,    -1,    -1,    -1,
      -1,  1156,    -1,    -1,    -1,  4329,  2209,    -1,    -1,    -1,
     268,    -1,    -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5016,    -1,   290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   300,    -1,    -1,   303,    -1,    -1,  5233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2385,   329,    -1,    -1,    -1,    -1,   334,    -1,   336,    -1,
      -1,    -1,    -1,    -1,    -1,   343,    -1,    -1,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    25,    -1,  5282,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,    -1,  5297,   371,    -1,    -1,    -1,    -1,   376,    -1,
      -1,   379,    -1,    -1,    -1,   383,    -1,  1873,    -1,    -1,
      -1,    -1,   390,    -1,   392,    -1,    -1,    -1,  4462,   397,
      -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,  4462,
      -1,    -1,  2467,    -1,    -1,    -1,    -1,    87,    -1,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,   111,  2385,  2813,    -1,    -1,  2816,    -1,  2818,    -1,
      -1,    -1,    -1,  2823,    -1,    -1,    -1,    -1,   128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1362,    -1,   139,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,
      -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,
      -1,   171,  2872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   188,  2889,
    4584,    -1,    -1,  2578,  2467,    -1,    -1,    -1,    -1,    -1,
      -1,  4584,    -1,  1428,    -1,    -1,    -1,    -1,    -1,    -1,
    2595,    -1,    -1,   213,  2914,  4609,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2608,    -1,    -1,  4609,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4649,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1490,  4649,    -1,   268,    -1,
      -1,    -1,    -1,    -1,    -1,  2091,    -1,    -1,    -1,  2095,
    2096,    -1,    -1,  2983,    -1,  2985,    -1,    -1,    -1,    -1,
     290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     300,    -1,    -1,   303,    -1,  2578,    -1,    -1,    -1,  4703,
      -1,    -1,    -1,    -1,  4708,  4709,    -1,    -1,    -1,    -1,
    4703,    -1,  2595,    -1,    -1,  4708,  4709,    -1,    -1,   329,
      -1,    -1,    -1,    -1,   334,  2608,   336,    -1,    -1,    -1,
      -1,  2157,    -1,   343,    -1,  1570,   346,    -1,    -1,    -1,
      -1,    -1,    -1,  2169,    -1,    -1,    -1,    -1,    -1,    -1,
    1585,    -1,    -1,    -1,    -1,   365,  3066,    -1,    -1,  1594,
      -1,   371,    -1,    -1,    -1,   375,   376,    -1,    -1,   379,
      -1,  1606,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   392,  2209,  3094,    -1,    -1,   397,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3117,    -1,    -1,
      -1,    -1,   422,    -1,  4818,  3125,    -1,    -1,  2813,    -1,
      -1,  2816,    -1,  2818,    -1,  4818,  1661,    -1,  2823,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1675,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1699,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,
      -1,    -1,    -1,    -1,  3194,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2889,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3212,    -1,  1739,  1740,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3225,    -1,    -1,    -1,  2914,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2813,    -1,    -1,  2816,    -1,  2818,    -1,    -1,    -1,    -1,
    2823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2385,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2983,  2872,
    2985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2889,    -1,    -1,    -1,
      -1,  3321,  5016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5016,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2914,  3342,    -1,    -1,    -1,    -1,    -1,  1873,    -1,
      -1,  2467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3367,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,
    2983,    -1,  2985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2595,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2608,  3066,    -1,    -1,    -1,  3497,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3194,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3094,    -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3225,    -1,    -1,    -1,  3117,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2091,    -1,    -1,    -1,
    2095,  2096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3596,    -1,    -1,  1262,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3620,  3194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2157,    -1,    -1,    -1,  3321,    -1,    -1,  3212,
      -1,    -1,    -1,    -1,  2169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3225,    -1,    -1,    -1,    -1,  3342,    -1,    -1,
      -1,    -1,  1325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3367,    -1,  2209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2813,    -1,    -1,
    2816,    -1,  2818,    -1,    -1,    -1,    -1,  2823,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3745,    -1,    -1,  3321,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3342,
      -1,    -1,    -1,  2889,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3367,  3795,    -1,    -1,  2914,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2385,    -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,  2985,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3596,    -1,    -1,    -1,    -1,    -1,  3917,    -1,    -1,
      -1,    -1,    -1,    -1,  3497,    -1,    -1,  3927,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3620,    -1,    -1,    -1,    -1,
      -1,    -1,  2467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3125,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3596,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3620,    -1,    -1,
      -1,    -1,  4052,  2578,    -1,    -1,    -1,    -1,    -1,    -1,
    3745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3194,    -1,
      -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,    -1,
    4090,    -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3225,
    3795,  4111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1829,    -1,    -1,    -1,
      -1,    -1,  3745,    -1,    -1,    -1,  4176,    -1,    -1,    -1,
    1843,    -1,    -1,    -1,  1847,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1861,  1862,
    1863,    -1,  1865,    -1,    -1,  3321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3795,    -1,    -1,    -1,  3342,    -1,    -1,    -1,
      -1,    -1,  3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3927,    -1,  1907,    -1,    -1,    -1,    -1,    -1,
      -1,  3367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1944,    -1,    -1,    -1,  3401,    -1,  4287,  2813,    -1,
      -1,  2816,    -1,  2818,    -1,    -1,    -1,    -1,  2823,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4329,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3917,    -1,    -1,  2872,    -1,    -1,
      -1,    -1,    -1,    -1,  3927,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2889,    -1,    -1,  4052,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3497,    -1,    -1,    -1,  2048,    -1,    -1,    -1,  2914,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2060,    -1,    -1,
    2063,    -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,
    2985,    -1,  4462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4052,
    3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3620,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4090,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4111,    -1,
      -1,  3066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4584,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3125,    -1,  4287,  4176,    -1,    -1,    -1,    -1,    -1,  4609,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3745,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,  4649,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3194,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3795,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3225,    -1,    -1,  4703,    -1,    -1,    -1,    -1,  4708,  4709,
      -1,    -1,    -1,    -1,  4287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4462,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3321,    -1,    -1,    -1,
      -1,  3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3927,    -1,    -1,    -1,    -1,    -1,  3342,  4818,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4462,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4609,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4052,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2622,
      -1,    -1,    -1,    -1,  4649,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3497,    -1,  4090,    -1,    -1,    -1,    -1,  2642,
      -1,  2644,    -1,    -1,  2647,  2648,    -1,  2650,    -1,  2652,
      -1,    -1,    -1,  2656,    -1,  4111,  2659,    -1,    -1,    -1,
      -1,  2664,    -1,    -1,    -1,    -1,    -1,  2670,    -1,    -1,
      -1,  4584,  2675,    -1,    -1,    -1,  5016,    -1,  4703,  2682,
    2683,  2684,  2685,  4708,  4709,    -1,  2689,  2690,    -1,  2692,
      -1,    -1,    -1,    -1,    -1,    -1,  4609,    -1,    -1,    -1,
      -1,  2704,    -1,  2706,    -1,    -1,    -1,    -1,    -1,    -1,
    2713,  2714,  2715,  2716,  2717,  2718,  2719,  2720,  2721,  2722,
    4176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3596,    -1,    -1,    -1,    -1,  4649,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2750,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3620,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4703,    -1,    -1,  4818,    -1,  4708,  4709,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2859,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,    -1,    -1,
    3745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4818,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3795,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4462,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5016,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4609,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4052,    -1,    -1,
      -1,    -1,    -1,  4649,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4111,  4703,    -1,    -1,
      -1,    -1,  4708,  4709,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4176,    -1,    -1,  3317,    -1,    -1,    -1,    -1,    -1,
    3323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3339,  3340,    -1,    -1,
    3343,  3344,  3345,  3346,    -1,    -1,  3349,  3350,  3351,  3352,
    3353,  3354,  3355,  3356,  3357,  3358,  3359,    -1,    -1,    -1,
      -1,    -1,  4818,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3381,    -1,
      -1,  3384,    -1,  3386,    -1,    -1,  3389,  3390,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3404,  3405,  3406,  3407,    -1,  3409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4329,    -1,  3469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4462,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3716,    -1,    -1,    -1,    -1,    -1,  4584,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4609,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4649,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4703,    -1,
      -1,    -1,    -1,  4708,  4709,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3864,    -1,    -1,    -1,  3868,  3869,  3870,    -1,    -1,
      -1,    -1,    -1,  3876,  3877,  3878,  3879,    -1,    -1,    -1,
      -1,  3884,  3885,  3886,  3887,  3888,  3889,  3890,  3891,  3892,
    3893,  3894,  3895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3920,    -1,    -1,
    3923,    -1,  3925,    -1,    -1,    -1,  3929,    -1,    -1,  3932,
    3933,    -1,    -1,  3936,  3937,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4818,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3984,    -1,    -1,    -1,    -1,    -1,    -1,  3991,  3992,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4007,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4020,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4282,
    4283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,    -1,    -1,
      -1,  4324,  4325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4339,    -1,  4341,    -1,
      -1,    -1,  4345,  4346,  4347,    -1,    -1,  4350,    -1,    -1,
    4353,  4354,    -1,    -1,    -1,  4358,    -1,    -1,    -1,  4362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4519,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4607,  4608,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4623,  4624,  4625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4661,  4662,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4830,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4844,    -1,    -1,  4847,    -1,    -1,    -1,  4851,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4901,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5010,    -1,  5012,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5042,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5179,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5208,  5209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5220,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,  5252,
    5253,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,  5278,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,   459,    -1,    -1,    -1,    -1,
      -1,    -1,   466,   467,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,    -1,   452,    -1,    -1,    -1,    -1,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,   467,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,   467,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,   467,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,    -1,    -1,     3,
      -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,   467,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,    -1,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,   467,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    -1,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
      -1,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    -1,
      -1,   252,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
      -1,   292,    -1,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
      -1,   392,    -1,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,   447,   448,   449,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,   467,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,   452,    -1,    -1,    -1,    -1,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,   162,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,   216,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
      -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,
      -1,    -1,    -1,    -1,    -1,   464,   465,   466,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,
      -1,    -1,   457,   458,   459,    -1,    -1,    -1,    -1,    -1,
      -1,   466,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
      -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,   162,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
      -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,
      -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
      -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
      -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,
      -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,
      -1,    -1,     3,     4,     5,     6,     7,   466,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,     3,     4,     5,     6,     7,    -1,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
       3,     4,     5,     6,     7,    -1,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,    -1,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,     3,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,
       9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,     3,    -1,    -1,    -1,    -1,   457,   458,
     459,    -1,    -1,    -1,    -1,    -1,    -1,   466,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,    -1,    -1,     8,     9,    -1,    -1,
      -1,    -1,   466,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    -1,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,    -1,
      -1,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,     3,     4,     5,    -1,    -1,     8,     9,    -1,    -1,
      -1,    -1,    -1,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    -1,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
      -1,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,     3,
      -1,   453,   454,   455,     8,   457,   458,   459,   460,   461,
     462,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,     3,    -1,   453,
     454,   455,     8,   457,   458,   459,   460,   461,   462,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,     3,    -1,   453,   454,   455,
       8,   457,   458,   459,   460,   461,   462,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,     3,    -1,   453,   454,   455,     8,   457,
     458,   459,   460,   461,   462,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,     3,    -1,   453,   454,   455,     8,   457,   458,   459,
     460,   461,   462,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,     3,
      -1,   453,   454,   455,     8,   457,   458,   459,   460,   461,
     462,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,     3,    -1,   453,
     454,   455,     8,   457,   458,   459,   460,   461,   462,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     459,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    -1,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,   146,   147,
     148,    -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,    -1,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,   449,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,   459,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,    -1,   292,    -1,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,     3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,
      -1,    -1,   447,   448,   449,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,   459,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,     4,
       5,    -1,    -1,    -1,     9,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,     4,     5,    -1,    -1,
      -1,     9,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,     5,    -1,    -1,    -1,     9,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,     9,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,   162,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,     4,     5,    -1,
      -1,    -1,     9,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,    -1,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,    -1,   292,    -1,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,    -1,   292,    -1,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,    -1,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    -1,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
      -1,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
      -1,   292,    -1,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
      -1,   392,    -1,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    -1,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,   146,   147,
     148,    -1,    -1,   151,    -1,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,    -1,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,   449,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,    -1,   292,    -1,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,   449,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    -1,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,   146,   147,   148,    -1,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,    -1,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,    -1,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,
     392,    -1,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    -1,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,   146,   147,   148,
      -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,    -1,   292,    -1,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,    -1,   392,    -1,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,
     449,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    -1,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
     146,   147,   148,    -1,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,   449,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    -1,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,    -1,   292,
      -1,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,    -1,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,
      -1,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    -1,    -1,    49,
      -1,    -1,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    -1,    -1,    64,    -1,    66,    67,    68,    69,
      -1,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,    -1,    -1,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,   146,   147,   148,    -1,
      -1,   151,    -1,   153,   154,    -1,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,    -1,   196,   197,   198,   199,
      -1,    -1,    -1,    -1,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,    -1,    -1,   258,    -1,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,    -1,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,    -1,   352,   353,   354,   355,   356,    -1,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,    -1,    -1,    -1,    -1,   389,
     390,    -1,   392,    -1,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,    -1,    -1,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    -1,    -1,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,    -1,    -1,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,    -1,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,    -1,   196,
     197,   198,   199,    -1,    -1,    -1,    -1,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,   253,    -1,   255,    -1,
      -1,   258,    -1,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,    -1,    -1,   276,
      -1,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,    -1,   292,    -1,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,    -1,   352,   353,    -1,   355,   356,
      -1,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,    -1,    -1,
      -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,    -1,
      -1,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    46,    66,    68,    69,    75,
      77,    88,    90,   107,   110,   124,   126,   130,   136,   144,
     146,   152,   168,   184,   223,   224,   229,   241,   253,   295,
     308,   314,   315,   317,   322,   327,   330,   335,   341,   342,
     349,   353,   363,   376,   395,   405,   411,   416,   429,   452,
     466,   473,   474,   475,   476,   482,   483,   485,   486,   487,
     488,   489,   490,   491,   493,   494,   498,   510,   515,   516,
     519,   520,   521,   541,   544,   545,   561,   604,   605,   608,
     611,   612,   613,   621,   627,   629,   631,   632,   635,   638,
     639,   643,   652,   656,   657,   658,   659,   662,   664,   665,
     666,   667,   675,   676,   695,   699,   701,   702,   703,   713,
     715,   722,   723,   726,   727,   728,   729,   730,   738,   740,
     744,   749,   753,   754,   762,   763,   766,   771,   782,   809,
     812,   813,   814,   819,   822,   824,   826,   828,   829,   834,
     835,   838,   839,   840,   844,   845,   848,   849,   852,   853,
     854,   861,   863,   864,   865,   870,   872,   873,   879,   880,
     881,   882,   883,   884,   885,   887,   888,   890,   891,   893,
     896,   897,   902,   908,   911,   913,   914,   923,   925,   930,
     935,   939,   940,   941,   942,   943,   944,   947,   982,   389,
     432,   866,    25,    72,    87,   105,   111,   128,   139,   147,
     159,   164,   171,   188,   213,   234,   268,   290,   300,   303,
     329,   334,   336,   343,   346,   365,   371,   375,   376,   379,
     383,   392,   397,   409,   422,   628,   866,     3,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      37,    38,    40,    41,    42,    44,    45,    46,    47,    48,
      50,    51,    53,    54,    55,    56,    57,    60,    61,    62,
      63,    64,    66,    67,    68,    69,    70,    74,    75,    76,
      77,    78,    80,    81,    82,    84,    85,    86,    87,    88,
      89,    92,    93,    94,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   112,   114,   115,   116,   117,   118,   119,
     121,   122,   123,   124,   127,   128,   129,   130,   131,   133,
     134,   135,   137,   138,   139,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   151,   153,   154,   155,   156,   158,
     160,   164,   165,   166,   167,   169,   170,   172,   173,   175,
     176,   177,   178,   179,   181,   182,   183,   184,   186,   187,
     188,   189,   190,   191,   193,   195,   196,   197,   198,   199,
     200,   201,   203,   205,   208,   210,   211,   212,   213,   214,
     217,   218,   220,   223,   224,   225,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   246,   247,   248,   249,   250,   252,   253,
     255,   257,   258,   259,   260,   261,   262,   264,   265,   268,
     269,   270,   273,   274,   276,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   289,   290,   291,   292,   293,
     294,   295,   296,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   326,
     327,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   343,   344,   345,   346,   347,   349,
     350,   351,   352,   353,   355,   356,   357,   358,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   374,   375,   377,   379,   380,   381,   382,   383,   385,
     386,   389,   390,   391,   392,   393,   395,   396,   397,   398,
     399,   400,   401,   404,   405,   406,   407,   408,   411,   412,
     413,   414,   415,   416,   417,   419,   421,   422,   423,   424,
     427,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   936,  1107,  1121,  1125,  1126,   420,   898,   266,   296,
     866,    49,   466,   552,    20,    25,    37,    59,    72,    83,
     105,   111,   128,   139,   147,   159,   167,   171,   225,   268,
     271,   290,   303,   329,   336,   346,   365,   371,   379,   380,
     382,   383,   392,   397,   403,   406,   409,   562,   610,   718,
     772,   783,    26,   295,  1107,   936,    26,   289,   344,   380,
     382,     5,   212,   820,   821,  1116,    20,    25,    37,    59,
      72,    87,   105,   128,   139,   147,   159,   164,   171,   188,
     234,   268,   280,   290,   303,   329,   334,   336,   343,   346,
     365,   371,   376,   379,   383,   390,   392,   397,   409,   422,
     628,   731,   732,   733,   866,  1107,    90,   420,   466,   605,
     608,   611,   897,   903,   911,   914,   923,   930,   935,   939,
       9,    19,    26,    44,   154,   160,   162,   185,   214,   248,
     298,   316,   457,   458,   750,   751,   936,  1115,  1117,    26,
      90,   312,   342,   755,   756,   757,  1121,   159,  1121,  1112,
    1116,   376,   950,   750,  1121,   389,  1107,   280,   234,   105,
     188,   336,   375,   376,   466,   830,   831,   335,  1121,    26,
     347,   385,   389,   502,   511,   512,  1121,    23,   168,   755,
     756,   296,   866,  1121,   211,    26,   125,   952,   953,    60,
      84,   225,   243,   329,   336,   347,   385,   389,   435,   499,
     500,   501,   502,    26,   347,   385,   389,   502,   389,   267,
     993,  1105,  1121,   950,   459,  1121,   163,   466,   899,   466,
     310,   945,   946,  1107,   945,   940,   941,   944,     0,   469,
     898,   140,   202,   272,   402,   954,   955,   940,   942,   943,
     116,   198,   408,   470,     3,    43,    49,    72,    79,    91,
      98,   161,   163,   180,   194,   206,   207,   209,   219,   221,
     245,   254,   275,   277,   328,   354,   378,   420,   799,  1113,
    1121,  1122,  1125,  1127,   735,  1121,   735,  1108,  1121,   299,
     735,   392,  1107,   104,   376,   787,  1113,  1121,  1127,     3,
     101,   348,  1118,  1119,  1123,  1125,  1126,  1127,    26,   179,
    1105,   260,   422,     8,    15,    16,    17,    67,   151,   453,
     454,   455,   457,   458,   459,   460,   461,   462,   816,   818,
    1069,  1070,  1121,   179,  1107,  1107,    26,  1118,  1119,  1107,
    1107,   179,  1105,  1107,   735,  1107,   322,   349,    26,   179,
     993,  1107,   339,  1107,   735,   232,  1118,  1119,   179,  1105,
     212,   113,   208,   251,   306,   867,   868,   869,  1105,  1111,
    1121,    20,    25,    59,    72,    73,    83,    87,   105,   128,
     139,   147,   159,   164,   188,   213,   234,   268,   290,   303,
     329,   334,   336,   343,   346,   365,   371,   376,   379,   383,
     390,   392,   397,   422,   628,   741,   742,  1116,   910,   914,
     923,   930,   939,  1105,   236,  1113,  1107,   466,   179,   735,
     392,  1108,   735,   392,   179,  1107,   104,   376,   380,   382,
    1118,  1119,   380,   382,    67,   151,   816,   320,  1107,  1107,
    1118,   179,   495,  1121,   179,  1107,   179,   735,  1107,  1107,
     339,  1107,   735,   232,  1118,   310,   343,   376,   422,   234,
      87,   188,   164,   334,   390,   396,   622,    26,  1107,   937,
     509,  1116,  1123,   821,   236,   179,   799,   800,  1107,   179,
     825,   179,  1108,     3,    48,    50,    51,    62,    63,   108,
     109,   129,   155,   179,   200,   201,   203,   244,   246,   259,
     307,   351,   357,   385,   386,   417,   737,  1015,  1017,  1019,
    1021,  1023,  1025,  1026,  1027,  1029,  1030,  1031,  1033,  1034,
    1122,  1125,   392,   104,   376,   179,   786,   787,   179,  1119,
    1120,    79,   422,    67,   151,   179,   817,   818,    53,   179,
    1120,   179,  1107,   179,  1107,   339,   825,   179,   737,   179,
     232,  1120,   212,   179,   734,   735,   179,  1106,  1107,   179,
    1107,   466,   912,   562,   903,   416,   897,   904,   905,   906,
    1123,   898,  1117,   751,   752,    26,   752,  1117,   752,    26,
     752,  1117,   752,   752,   752,  1117,  1115,  1115,   936,   752,
     299,   466,   466,   582,   582,   582,   266,   387,   470,   582,
     336,   993,   994,   470,   862,  1116,   466,   909,    53,   422,
     420,   832,   833,  1105,  1107,  1121,    43,   449,   208,   468,
     269,   269,   266,   162,  1116,   387,   157,   745,   266,     4,
       6,     7,     8,    10,    34,    48,    50,    51,    58,    59,
      62,    63,    70,    72,    95,    96,    97,    98,    99,   100,
     101,   108,   109,   111,   145,   149,   150,   155,   170,   172,
     200,   201,   203,   218,   226,   227,   244,   246,   251,   256,
     257,   259,   268,   278,   291,   307,   332,   348,   357,   372,
     385,   386,   391,   393,   394,   403,   409,   417,   437,   438,
     439,   440,   442,   443,   444,   445,   450,   457,   458,   459,
     466,   940,  1018,  1021,  1024,  1025,  1026,  1028,  1029,  1030,
    1033,  1034,  1038,  1040,  1041,  1042,  1044,  1065,  1066,  1067,
    1071,  1090,  1095,  1102,  1103,  1113,  1114,  1115,  1116,  1121,
    1101,  1102,  1116,    26,   517,  1104,  1105,   347,   499,   111,
     508,  1116,   509,  1116,    43,    64,   499,   449,   358,   868,
     269,   162,   387,   455,    43,   449,   208,   869,   466,  1105,
     459,   464,   468,  1096,  1098,   994,     3,   161,   163,   420,
     894,   895,   897,   161,   900,  1038,  1074,   945,   470,   466,
     901,   467,   467,   475,  1105,    26,   125,   951,   951,    53,
     951,   152,   157,   222,   263,   958,   960,   961,   976,   978,
     979,   980,   954,   955,   162,   204,   993,   995,   466,   281,
     318,   349,   466,   797,  1098,   281,   314,   318,   349,   468,
     736,   281,   318,   349,     3,    82,   134,   228,   281,   318,
     349,   379,   381,   429,   510,   513,   874,   875,   876,   877,
     767,    22,   130,   281,   318,   349,   413,   525,  1107,    22,
     130,   349,   408,   492,   433,   179,   993,    55,    89,   119,
     148,   182,   217,   251,   281,   282,   318,   326,   333,   341,
     349,   361,   369,   424,   510,   514,   802,   810,   466,   784,
    1098,   318,   492,   185,   145,    22,    28,    69,   119,   123,
     130,   133,   158,   190,   249,   251,   261,   270,   281,   318,
     321,   322,   349,   413,   522,   524,   646,     4,   457,   458,
     619,  1117,    26,   179,  1105,   735,   735,   466,   815,   281,
     349,   468,   145,   266,    22,   130,   281,   318,   349,   185,
     484,   318,   429,   452,   477,   484,   266,   281,   318,   145,
      35,    54,   103,   187,   235,   238,   249,   280,   318,   323,
     343,   349,   363,   522,   616,   617,   281,   318,   421,   646,
     654,   281,   318,   349,    82,   123,   133,   281,   314,   318,
     349,   512,   500,   502,   185,   145,    41,   121,   318,   349,
     522,   523,   281,   318,   322,   349,    80,   122,   283,   381,
     266,    22,    28,   130,   281,   318,   349,   542,   543,   157,
     318,   349,   477,   513,   145,   318,   349,   522,  1107,   220,
     113,   267,   434,   470,   867,   410,   892,   266,   236,   799,
     466,  1107,  1015,   392,   104,   376,   787,   260,   422,    67,
     151,   818,  1107,  1107,   339,   157,  1107,  1015,   212,   735,
    1107,   467,   582,  1107,   466,   708,   797,    65,  1015,   251,
     162,   466,   704,  1107,   477,    35,   886,  1107,   251,   477,
     433,   179,  1105,   477,   735,   735,   704,   406,   562,   266,
     157,   846,   847,   477,   251,    43,   496,   251,   397,   653,
     251,   901,    82,   281,   630,    80,   122,   283,   381,    24,
      45,   199,   677,    35,   704,   157,   179,   477,   422,   179,
    1105,   179,   606,  1105,  1105,   422,   735,    79,   773,  1113,
    1107,   157,   628,    49,   102,   197,   249,   338,   145,    56,
     324,   470,   526,   526,   145,   466,   145,   419,  1032,  1032,
    1032,   466,  1020,  1020,   293,   466,  1022,   145,    62,    63,
    1032,  1020,  1017,   431,   452,   466,  1035,   466,  1035,   470,
     526,    34,  1016,   466,   106,   177,   237,   240,   340,   447,
     466,  1036,  1037,   736,  1020,   433,   145,   470,   526,   145,
     470,   179,   734,   179,   735,   179,   735,   145,   470,   526,
    1120,   145,   145,   526,   145,    80,   122,   283,   381,   157,
     145,   526,   145,   157,   179,   179,   509,   145,   470,   526,
     145,   470,   526,   145,   266,  1074,   376,   467,   470,   150,
     266,   394,   506,   509,   619,   907,   903,   752,   936,   752,
     936,   752,   936,   752,   936,   752,   936,   936,   936,   752,
     936,   466,   583,   584,  1121,   583,    26,   105,   128,   159,
     164,   212,   213,   336,   343,   376,   379,   397,   758,  1104,
    1120,   757,  1107,   185,   470,   926,  1116,  1015,  1077,    35,
    1120,   773,   467,   470,   220,  1121,   157,   157,   758,  1120,
     335,  1121,   509,   266,   466,  1099,   464,   940,  1078,  1038,
    1094,   466,   466,   157,   466,   466,   940,   466,   466,   466,
     466,   466,   466,  1038,   466,   466,   466,   466,   466,   466,
     466,   466,   940,   466,   466,   466,   466,   466,   466,   466,
     466,  1038,  1038,  1038,   940,  1038,  1074,  1098,  1116,   466,
    1116,     3,     8,    11,    15,    16,    17,    32,    35,    40,
      47,    71,   180,   185,   206,   207,   221,   254,   268,   271,
     354,   450,   453,   454,   455,   457,   458,   459,   460,   461,
     462,  1069,  1071,  1073,   430,  1053,   277,  1038,   204,   470,
     948,   466,  1116,  1098,   948,   114,   181,   518,   470,    64,
     111,   509,    35,     3,   111,   225,   507,   619,  1034,  1116,
    1116,    85,   127,  1050,    94,   111,   503,   504,   506,   619,
     111,   503,   220,  1105,  1038,  1097,     3,    26,    30,    31,
      32,    33,    34,    35,    36,    39,    52,    58,    59,    65,
      71,    73,    83,    90,    95,    96,    97,    99,   100,   101,
     111,   113,   120,   125,   126,   132,   136,   140,   150,   152,
     157,   159,   162,   168,   171,   174,   185,   192,   202,   204,
     215,   216,   222,   226,   227,   251,   256,   263,   266,   267,
     271,   272,   288,   297,   312,   325,   342,   348,   359,   373,
     376,   384,   387,   388,   394,   402,   403,   409,   410,   418,
     425,   426,   428,   429,   459,  1110,  1124,  1125,  1126,  1127,
    1128,  1096,    86,   323,   739,   467,   470,   898,   467,   470,
     946,  1106,    35,   901,   942,   942,   956,   957,  1038,   942,
     154,   248,   967,   210,   249,   306,   352,   408,    26,   962,
    1038,   963,   965,  1038,  1040,   976,   977,   961,   960,   958,
     959,   157,   979,   261,   981,   958,   976,   995,   915,  1105,
      35,  1121,   349,  1074,   387,   387,   336,   185,   195,   272,
     274,   351,   418,   459,   790,   791,   792,   794,   796,   798,
    1015,  1122,   387,   421,   387,   336,  1110,   468,   387,   387,
     336,   222,   387,   387,   379,   499,   281,   874,   876,   455,
     878,   157,   168,   185,   327,   768,   769,    65,    83,   141,
     159,   297,   403,   579,   580,    83,   111,   251,   387,    83,
     387,   111,   251,   336,    83,   123,   133,   281,   318,   700,
     336,   636,    20,    25,    59,    72,    87,   128,   139,   159,
     164,   234,   268,   336,   343,   346,   376,   383,   390,   397,
     422,   628,  1107,   145,   318,   349,   522,   266,   619,   266,
     341,   217,   387,  1121,   387,   256,   619,   115,   205,   336,
     347,   389,   501,   324,   349,   802,   811,   467,   785,   790,
     387,   409,   379,  1105,    73,   141,   179,   569,   579,  1121,
      73,    83,   836,   266,   266,   332,   334,   392,    83,   836,
      29,   321,   332,   334,   392,   332,  1105,   158,   190,   261,
     735,   466,   387,   387,   178,   466,   530,   231,   379,   406,
     429,   431,   530,    83,   470,     4,     4,   281,   185,   145,
     119,   318,   349,   522,   410,   410,   250,  1015,   387,   336,
     466,   816,  1107,  1105,   376,   376,   387,   387,   376,   704,
     105,   513,   387,   479,   513,  1105,   387,   387,  1105,  1017,
     619,    53,   618,   619,   619,   103,   235,   238,    53,   387,
     477,   242,   336,   477,   249,   617,   387,   387,   256,  1116,
     646,   387,   387,   336,  1116,   387,   303,   387,   303,   704,
     379,   993,   285,   285,    83,   387,   836,   336,   387,   387,
     530,   530,   735,   735,   735,   735,  1105,    42,   415,    42,
      42,   387,    42,   387,   415,   336,   470,   409,   663,  1119,
     387,   479,  1105,   387,   336,   281,   318,   306,   319,   345,
     505,   867,  1111,  1121,  1105,   206,  1015,   266,   206,   433,
     206,   619,   735,   735,   206,   266,   266,    80,   122,   283,
     381,  1015,   266,   206,   206,   206,   387,   429,   553,   397,
       3,   709,   710,   704,   466,    35,   145,   735,   705,   706,
    1124,    24,   874,  1015,   266,   145,   633,  1107,   251,   285,
     466,   478,   718,   410,   310,   422,  1105,    26,   376,   429,
     806,   478,   145,  1119,    90,   168,   497,   561,   612,   676,
     753,   771,   870,   145,  1116,   654,   655,   145,   266,  1116,
    1119,   228,   735,   735,   735,   735,   261,   116,   198,   395,
     408,   678,   679,   137,   305,   466,   663,   251,   478,  1105,
     251,   614,   616,   251,    35,   261,   285,   466,   582,   582,
     179,   609,  1105,   157,   179,   774,  1111,   466,   788,    35,
    1015,   212,   429,   431,   938,   338,   800,   799,  1015,  1108,
     466,  1074,  1115,   737,  1032,  1032,    34,  1016,   385,   385,
    1115,  1115,  1015,   464,   464,  1115,   387,   387,   387,   466,
     387,  1115,  1020,   786,   787,  1120,  1119,   145,   526,   145,
     410,   145,   410,   817,   818,   526,  1120,  1107,  1107,  1015,
     737,  1120,   663,   145,   145,   526,   734,   735,  1106,  1107,
    1107,   735,   467,   179,  1105,   903,   905,   936,   936,   936,
     936,   936,   936,   583,   467,   470,   467,   165,   344,   377,
    1106,   734,   104,   346,   786,  1106,   260,  1106,  1104,  1104,
    1106,   734,   387,   429,   764,   140,   222,   660,   661,    20,
     143,   332,   352,   927,   993,   255,   928,   467,   470,   910,
     387,  1105,   830,   831,   833,   756,   755,   756,   162,   169,
     765,  1121,    25,    73,   105,   128,   139,   159,   164,   213,
     234,   303,   329,   336,   343,   371,   376,   379,   397,   422,
     628,   746,   747,  1074,  1096,   465,  1074,  1078,  1079,   425,
    1091,  1092,  1038,  1074,   466,  1115,  1115,     3,   106,   177,
     237,   240,   340,   447,  1080,  1081,  1116,  1074,  1074,  1074,
    1115,  1115,  1038,   816,  1038,  1082,   332,   457,   458,   466,
    1039,  1040,  1071,  1084,   467,  1074,  1038,  1074,  1085,  1038,
      52,   162,   216,   388,  1038,  1074,  1088,  1074,   242,  1040,
    1038,  1048,  1049,  1050,   242,  1038,  1050,   467,   470,  1115,
    1036,  1015,  1038,  1038,  1038,  1038,  1124,   385,    39,   373,
    1100,   735,  1038,   466,   940,  1089,   125,   127,   150,   251,
     256,   261,   394,   404,  1038,   466,  1038,   387,    47,   180,
     185,   221,   354,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,    26,    33,   359,  1068,   171,   153,  1054,
     332,   466,  1065,   167,   225,   376,   380,   382,   406,   949,
    1105,  1103,   162,   983,    26,   125,   418,   459,   467,   792,
    1038,  1075,  1076,  1122,   983,  1105,   389,   466,  1116,   470,
     467,   465,   471,   178,   178,   526,  1105,   895,   896,  1105,
    1038,   467,   466,   470,    36,   120,   410,   780,   466,   964,
    1117,   352,   210,   267,   470,   332,   333,   966,  1104,   255,
     356,   929,   977,   959,   410,   924,   111,   279,   466,   916,
     939,    35,  1121,   466,   931,   932,   933,  1121,   467,  1119,
    1107,  1107,   274,    53,  1122,   467,   792,   794,   791,   794,
    1122,   272,   467,   470,   736,  1119,  1107,  1107,  1110,  1119,
    1107,  1107,  1119,  1108,  1107,   111,   506,  1117,   329,   409,
     755,   336,   168,   755,   466,  1107,   410,   775,   210,   210,
     410,   466,   603,   179,  1107,   256,  1119,  1107,  1107,  1038,
     256,  1107,  1107,    29,   321,   387,   387,  1107,   387,   637,
     236,   799,   466,   735,   735,  1015,   392,   104,   376,   787,
     422,    67,   151,   818,  1107,   735,  1107,   735,   339,   157,
    1015,   735,   212,   173,   249,   281,   318,   414,   640,   641,
     642,   993,   387,   836,   336,   256,   147,   115,   205,  1119,
    1107,   266,  1107,   467,   470,  1118,  1120,  1107,   318,   522,
     179,   569,   251,  1015,  1107,  1121,  1107,   147,   220,  1107,
      26,   409,  1107,   179,  1107,   179,  1121,   334,   392,   334,
     392,   220,  1107,    26,   409,  1107,   220,   332,  1105,    22,
     130,   349,   647,   648,   649,   650,  1124,  1119,  1107,   111,
     163,   252,   410,   529,   532,   533,  1124,  1107,   264,    69,
     264,  1107,   524,   387,   379,  1105,   266,   387,   836,   336,
    1109,  1121,  1109,   470,   467,   470,  1119,  1107,   841,   842,
    1124,   266,   318,   387,   671,   994,   994,  1119,  1107,   994,
    1108,  1118,     3,    82,   135,   190,   287,   401,   409,   412,
     480,   318,  1119,  1107,   318,   349,   522,   616,   619,   735,
    1107,   619,   735,  1107,   619,  1119,  1107,  1119,  1107,  1107,
    1119,   806,  1107,   850,   851,  1124,  1107,   318,   349,   522,
     523,  1105,  1105,  1107,  1107,  1107,  1107,  1119,  1107,    22,
      28,   130,   281,   318,   349,   281,   318,   349,   704,   318,
     349,   318,   349,   119,   318,  1007,  1121,   179,   714,  1121,
     179,  1121,  1119,  1107,  1107,  1116,  1107,    22,   543,   346,
    1118,   318,   349,   522,  1107,  1107,   387,   387,    78,   400,
     306,   256,   743,  1116,    35,   128,   735,   743,   743,   206,
     410,   410,   743,   735,   735,   212,   735,   743,   743,   743,
     302,   547,   264,   162,   387,   546,   188,   455,   467,   470,
    1038,  1015,   735,   467,   470,   455,   678,   571,  1124,  1107,
      56,   162,   336,   421,   634,   641,   642,   145,   261,   221,
     563,   565,   567,   569,   576,   579,    23,   185,   329,   374,
     480,   481,   157,  1109,   422,  1105,    35,   672,   377,   994,
     704,   495,  1121,   496,   271,   562,  1107,   159,   735,  1074,
     303,  1116,   704,   704,   704,   704,   261,   266,   271,   466,
     704,  1005,  1006,  1007,   346,   145,   466,   145,   145,   144,
     939,   735,   261,   563,  1121,   429,   431,   599,   429,   531,
     251,    35,   582,  1116,   251,   266,   467,   789,   790,   795,
      35,   212,   326,   390,   428,   801,   802,   803,   266,   212,
     509,   176,   176,   157,   526,    35,  1074,   467,   467,   526,
     464,   449,   449,   467,   467,  1115,   465,  1115,   467,   177,
     237,  1037,   237,  1037,  1037,  1115,   240,   467,   526,   734,
     735,  1109,   735,  1109,   526,   526,   212,   526,   346,   157,
     509,   526,   526,   266,   526,   251,   467,   584,   185,   185,
     185,   433,  1106,   619,   620,   171,   759,   760,  1119,    23,
     765,   387,   466,   162,   143,   352,   143,   352,   332,   408,
     239,  1015,  1119,   429,   607,  1105,  1107,   162,   266,   759,
      53,   526,   799,  1015,   392,   376,   787,   260,   422,  1015,
     212,   735,  1107,   467,   465,   465,   470,  1038,   132,  1092,
    1093,    35,   467,  1038,   467,   467,   467,   162,   467,   467,
     467,   467,   467,   470,   467,   288,  1083,   467,   466,  1039,
    1039,  1074,    11,    15,    16,    17,   185,   206,   268,   453,
     454,   455,   457,   458,   459,   460,   461,   462,  1071,  1039,
     467,   467,   157,   162,  1086,  1087,   467,    35,  1088,  1074,
    1088,  1088,   162,   467,   467,  1124,   286,  1052,    35,   467,
     470,  1038,  1124,   470,  1038,  1099,  1038,   467,   449,  1039,
    1039,   138,  1074,   162,   125,   127,   150,   256,   261,   394,
     404,   466,   138,   816,  1038,   373,  1100,  1038,  1089,  1038,
     387,   466,   940,   466,   466,   276,  1058,   466,  1074,   380,
     382,   380,   382,  1105,   950,   950,   950,   215,   333,   446,
     466,   940,   984,   985,   986,   993,   998,  1008,  1041,  1043,
    1044,  1113,  1121,   426,  1003,  1075,  1075,  1076,   467,    13,
      14,   470,   954,   955,  1003,   868,  1115,  1036,   504,  1038,
    1097,   901,   910,   957,   268,  1069,  1072,   451,   781,  1038,
     966,   408,   963,   230,   984,   426,  1004,   416,   375,   409,
     917,   918,   919,  1121,   266,   920,  1121,   933,   934,   470,
     983,   455,  1099,   798,   736,   794,   794,    53,   796,   461,
    1120,  1120,   266,  1106,   269,   266,  1038,   580,  1109,   466,
     466,   466,   603,   188,   583,   693,   145,   526,   387,  1119,
    1107,   509,  1107,  1015,  1107,   433,   735,   735,   735,   735,
      80,   122,   283,   381,  1015,  1107,   623,  1107,   173,   414,
     387,   387,   623,   640,   646,   318,   349,   522,  1107,  1107,
    1107,   196,  1107,   256,   790,   280,   349,   387,   251,   145,
     270,   644,   693,    22,   130,   322,   323,   349,   525,   534,
     535,   646,   837,  1107,   341,   145,   526,   145,   526,  1107,
    1107,  1107,  1107,   341,   341,   220,   649,   650,   649,   467,
     470,   651,  1116,   188,   467,   470,   455,   468,  1119,  1107,
     318,   349,   522,   147,  1107,  1107,  1107,   281,   318,   349,
      22,   130,   281,   318,   349,  1015,   250,  1015,   467,   470,
     455,  1105,   387,  1120,   410,   668,   222,   287,   256,  1116,
     287,  1120,   407,   387,   387,   336,   470,   806,   280,   349,
      83,   387,   836,   336,   157,   536,   387,   387,   232,   232,
     232,   387,   387,   336,   387,   387,   336,   387,   336,   387,
     336,   266,   387,   526,  1015,   251,  1116,   349,   837,   145,
     526,   387,   387,  1107,   387,   336,  1119,  1107,  1015,   735,
     206,   743,  1109,  1109,   206,   206,  1107,   206,   366,   367,
     548,  1116,   547,   173,   250,   268,   457,   458,   619,   707,
     794,  1072,  1116,  1128,     3,   710,   467,   467,   162,   704,
     706,   707,   266,    65,    71,    83,   111,   113,   166,   192,
     251,   256,   297,   312,   403,   572,   573,   575,   144,   425,
     477,   509,  1107,   509,   644,  1105,  1105,  1105,   467,   470,
    1120,   171,   329,  1120,  1115,   397,  1105,   582,     3,   157,
     673,    43,   496,   320,   376,   653,   104,   901,   162,   850,
     531,   583,  1105,   679,   711,   712,  1116,   467,   470,  1107,
     157,   583,  1105,   606,  1105,  1107,   607,   466,   564,  1105,
     467,   264,   530,   264,   266,   600,   530,    35,   145,   939,
     531,   387,   145,  1105,   467,   470,   111,   455,   804,  1116,
     509,   376,   793,   794,   157,   805,   803,   806,   116,   198,
     342,   408,   859,  1107,   173,   939,  1015,   467,  1115,  1035,
    1035,   465,   465,   467,   526,   410,   526,   410,   526,  1107,
    1107,   663,   526,   735,   145,   336,   336,   336,  1106,   470,
    1119,   429,   470,   761,   269,   994,   346,   143,   143,   104,
     249,  1120,   758,   526,  1119,   206,   206,   206,   619,   206,
     206,   206,  1078,   384,  1038,   136,  1015,   467,  1038,  1038,
    1038,  1086,   467,  1074,   470,  1015,  1039,  1039,  1039,  1039,
     125,   127,   251,   261,  1039,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1038,  1038,  1087,  1086,  1015,   467,
     467,   467,  1074,   467,   470,    53,  1040,   467,  1124,  1049,
     294,   370,  1051,   467,   470,   421,  1045,    35,   467,  1116,
    1038,    32,    32,  1038,   467,  1038,   162,   466,  1077,  1038,
     467,   138,  1039,  1039,   138,   138,  1038,  1038,   955,   426,
     466,  1059,  1121,   467,  1074,   470,   950,   950,   950,   950,
    1105,  1105,  1105,   940,   998,  1008,   162,   466,   940,   985,
     986,    35,   987,   988,  1121,   470,    91,   163,   194,   209,
     219,   245,   328,   990,   988,    35,   987,   989,  1121,   988,
     452,  1002,   466,  1098,  1038,   171,   968,   470,   954,   954,
     954,  1038,  1038,   418,  1076,   467,   968,   467,   465,   467,
     466,   781,   154,   214,   467,   267,    94,  1038,   325,   922,
     415,   467,   470,  1099,    81,   922,   467,   470,   932,  1004,
    1038,   467,   461,   798,   397,   165,   337,   344,   377,   398,
     770,   157,   770,   467,   466,   586,   587,   777,  1043,  1121,
     583,   583,   693,  1111,   467,   113,   192,   249,   251,   694,
    1107,  1107,    35,  1107,   410,   410,   735,   735,   735,   735,
     212,   736,  1119,  1107,   387,   836,   336,   387,   196,    53,
     379,  1107,   145,   569,   466,   571,   166,   178,   251,   530,
     477,   104,   166,   251,   365,   368,   530,   617,   349,   535,
     397,  1107,  1121,   341,   648,  1107,   533,   707,  1124,   280,
     349,   387,   836,   336,  1107,   387,   387,   387,   336,   164,
     268,   368,   716,   717,   164,   268,   724,   725,   387,   387,
     336,   467,   467,   467,   842,   250,   619,   794,   843,  1072,
    1116,  1128,   318,  1107,   466,   429,   669,  1117,  1116,  1116,
    1116,  1107,  1107,  1107,   851,    53,   379,  1107,  1107,  1107,
    1107,   416,  1107,  1107,   157,   157,   320,   157,   179,  1119,
    1107,  1107,  1119,  1107,  1107,  1107,  1107,  1107,  1107,   147,
    1107,    71,   527,   145,    24,    45,   397,  1121,  1107,  1116,
     646,  1107,  1107,   467,   206,   743,   206,   206,   743,   743,
     206,   743,   477,   548,   623,   693,   429,   431,   735,  1105,
     466,   735,  1107,  1039,    29,    53,   574,   114,   181,   113,
     256,   210,  1105,   806,   301,   696,   697,  1121,   633,   285,
     466,   564,   577,   191,   593,   567,  1120,  1120,  1015,   466,
     531,    26,   116,   198,   342,   408,   674,   387,   670,  1119,
     179,  1105,   655,   433,   266,   984,   806,   313,   680,   467,
     470,  1007,   644,   663,   467,   614,    35,   261,   285,   466,
     912,   566,   568,   570,   579,  1121,   285,   594,   595,   564,
     593,    77,   379,   601,   939,   609,   607,   601,  1116,  1111,
     775,   795,  1038,  1038,   470,   466,   801,   397,   470,   387,
     466,   623,   467,   465,  1109,  1109,   526,   346,   526,  1106,
    1106,  1106,   619,   168,   760,   467,  1107,   104,   765,   162,
     256,   748,  1116,   748,   748,   206,   748,   748,   748,  1038,
     467,   467,  1087,   467,  1038,   162,   125,   127,   261,   466,
     467,   436,  1047,  1074,   311,    53,   427,   427,   467,  1038,
     249,  1038,   470,  1046,  1017,  1038,  1038,  1038,  1077,   467,
    1038,    32,    32,  1038,  1038,   138,   467,   467,  1038,  1060,
    1121,   467,  1038,  1105,  1105,  1105,  1105,   988,   989,   988,
     466,   441,  1040,   467,  1121,   466,   985,   209,   275,   991,
     985,   991,   209,   990,   991,   209,   378,   996,   466,  1121,
     466,   273,  1075,    53,   174,   975,   467,   467,   467,  1076,
    1116,   975,  1116,   816,   261,  1102,   939,   279,   939,   919,
     266,   466,   921,   455,   933,   922,   397,   467,   387,   755,
     162,   693,  1038,   467,   470,   429,    71,   778,   778,   467,
     467,   806,   114,   181,   190,   113,   412,   526,  1015,  1109,
    1109,  1107,  1107,  1107,  1107,  1107,  1120,  1107,   569,   645,
     649,   574,   179,   256,   619,   574,   256,  1117,  1121,  1015,
     526,   526,   455,    53,   379,  1107,  1107,  1107,  1107,  1119,
    1107,  1107,  1115,  1115,  1015,   470,  1115,  1115,   470,  1119,
    1107,  1107,   387,  1038,    65,  1120,  1107,   387,   387,   162,
     185,  1106,  1106,   735,  1106,   145,  1107,   735,  1116,  1116,
    1015,   526,   526,   206,   743,   743,   743,   743,   466,   549,
     550,   410,   554,   555,   164,   195,   164,   162,   692,  1038,
     251,   573,   111,    35,   806,   582,   410,   602,  1113,    32,
     144,   185,   261,   563,   536,   142,   186,   466,   346,   410,
     583,    35,  1120,   668,   496,   251,   466,   159,  1107,  1074,
     247,   265,   681,   682,   683,   157,   686,  1116,   346,   531,
     939,   735,   261,   563,   607,   467,   470,   429,   571,    53,
     599,   536,   594,   116,   130,   294,  1107,   429,   871,    35,
     162,   266,   466,  1116,   792,   807,   808,  1122,   806,  1015,
     157,  1105,   162,   387,   827,   193,   624,   526,   526,   526,
    1107,   269,   204,   526,   759,   748,   467,  1039,   162,   466,
    1077,   466,   467,   470,   467,  1040,   311,   467,   415,   362,
     467,   467,   467,  1038,  1038,  1038,   467,   285,  1061,   467,
     999,  1000,  1043,   466,  1052,   987,   466,  1106,   985,   266,
     410,   992,   985,   209,   985,  1113,  1006,   466,  1006,  1121,
     954,    93,   172,   331,   466,   969,   970,   971,   972,   973,
     974,  1038,  1038,   428,  1055,   954,  1055,   467,   936,   917,
      83,   776,   777,   126,  1038,   759,   266,   759,   467,   806,
     587,   268,   816,   735,   735,   779,   779,   312,   806,   602,
     467,   387,   349,   928,   467,   470,    35,   145,   527,   707,
    1120,  1107,   387,   466,   787,   816,   818,   717,   466,   466,
     725,  1107,   467,   466,   349,   928,  1107,  1107,   466,   466,
     429,   452,   889,   320,   889,   889,   157,   527,   743,   556,
     557,  1124,    49,    92,   117,   134,   138,   158,   161,   175,
     256,   264,   304,   551,   477,   118,   787,    35,   823,   823,
    1105,   693,   467,   178,   602,   233,   585,   188,   466,   697,
     301,   466,  1105,   467,   346,    26,    76,    84,   112,   178,
     189,   368,   578,   578,  1104,  1107,  1109,   467,   939,   669,
     145,   104,   644,   162,   682,   332,   376,   684,   131,   687,
     425,   689,  1107,    35,   607,   564,  1105,   467,   568,   270,
       3,   596,  1125,   600,   594,   599,   333,   333,    57,    65,
     225,   939,   735,  1105,   776,   794,   467,   470,   397,  1003,
     360,   360,   467,   623,   249,   414,   625,   626,  1107,   526,
    1039,  1077,   467,  1048,  1074,    53,   249,   448,    53,   954,
     467,   470,    35,  1001,   111,  1013,  1014,  1039,    74,  1106,
     467,  1038,   466,   985,   992,   466,   467,  1006,   467,   467,
     466,   350,   466,   467,   470,  1056,  1057,  1121,   467,   415,
    1107,   467,   470,   252,   408,   761,   770,   526,   778,   602,
     466,   780,   780,  1105,   602,   693,  1107,   379,   649,   178,
     410,   528,   349,   928,  1107,  1077,   157,   720,   720,  1077,
    1077,  1038,   379,   256,   399,   537,   539,   540,   619,  1116,
     537,   538,   734,   735,   734,   735,  1106,   526,   467,   470,
     459,   466,   506,   558,   619,   886,  1116,   886,   251,   256,
     304,   886,   886,   549,  1116,   823,    38,   183,   157,   249,
     581,   466,   615,   163,   284,   355,   266,   589,   590,   591,
     379,   467,  1113,     5,   698,   564,   593,  1107,   467,   644,
     151,   719,   531,   871,  1105,   433,   984,   886,   332,   364,
     688,   466,   144,   644,   939,   594,   564,   593,   571,   466,
     601,   599,   600,    65,   269,    65,   607,   775,   467,   801,
     807,  1015,   126,   429,   429,   414,   623,   644,   467,   467,
     467,   311,   415,  1074,   305,   333,  1062,  1002,   999,   466,
    1039,   467,   470,    35,  1009,  1010,  1121,   467,  1106,  1074,
     467,  1074,   466,  1074,   970,   470,    35,   939,  1003,   777,
     349,   162,   779,   426,   588,   816,   781,   781,   582,   693,
    1107,   615,  1038,   379,   467,   272,   339,   309,   721,   721,
     467,   467,   467,  1107,   467,   470,   467,   470,   889,   557,
     506,   559,   560,  1116,  1116,   256,   583,   459,   583,  1116,
    1116,   131,   190,   616,   116,   408,   266,   591,   266,   590,
    1107,   466,   467,   470,   536,   346,   644,   735,    35,    35,
     466,  1107,   685,  1121,  1038,   301,   871,   599,   536,   594,
     466,   597,   598,  1043,  1121,   600,   601,   269,   269,   466,
     531,   806,    27,   199,   860,   164,   164,    47,    94,   399,
    1038,  1063,  1064,  1063,   467,  1006,   470,  1014,  1124,   467,
     470,   157,  1015,   467,   467,   467,   969,   467,  1057,  1059,
     931,   759,   780,   466,   693,   467,   585,   928,  1107,   787,
      53,   928,   387,   540,   537,   735,   467,   470,   583,   332,
     467,    56,   249,   324,   349,   592,   592,   467,     5,   346,
    1107,   716,   939,   644,   467,  1113,   600,   594,   599,  1038,
     467,   470,   778,   778,   601,   776,   601,   252,   466,   855,
     857,   861,   914,   923,   930,   939,   787,   787,  1064,   332,
     156,   292,   156,   292,   467,  1040,  1010,   273,     3,   111,
     251,   256,  1011,  1012,   319,   997,   467,  1003,   526,   781,
    1038,   589,   928,   735,   466,   560,   689,    21,   111,   256,
    1107,   644,   871,   466,   601,   599,   600,   467,   598,   779,
     779,   467,  1003,   856,   857,   858,   940,   941,   470,   470,
      32,  1052,  1039,  1039,   256,  1012,   466,   467,   693,   539,
     144,   644,     4,   690,   691,  1115,  1116,  1124,   600,   601,
     778,   531,   467,   469,   387,   162,  1064,    74,  1038,   467,
     301,   467,   470,   601,   779,   601,   858,   360,   360,  1009,
     467,  1113,   691,  1003,   429,   429,   467,   466,   164,   164,
     690,   787,   787,   467
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   472,   473,   474,   474,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   476,   477,   477,   477,   478,   478,   479,
     479,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     481,   481,   481,   481,   481,   481,   482,   483,   484,   484,
     485,   485,   486,   487,   488,   488,   489,   489,   490,   491,
     492,   492,   493,   493,   494,   494,   494,   494,   495,   495,
     496,   496,   497,   497,   497,   497,   497,   497,   498,   498,
     498,   499,   499,   499,   500,   500,   500,   500,   501,   501,
     501,   501,   501,   501,   501,   501,   501,   501,   501,   502,
     502,   503,   503,   504,   504,   505,   505,   505,   505,   506,
     506,   506,   506,   507,   507,   507,   507,   507,   507,   507,
     508,   508,   508,   509,   509,   510,   511,   511,   511,   511,
     512,   512,   513,   513,   514,   514,   515,   515,   515,   515,
     515,   516,   517,   517,   518,   518,   519,   520,   520,   520,
     520,   520,   521,   521,   521,   521,   521,   521,   521,   521,
     521,   521,   521,   521,   521,   521,   521,   521,   521,   521,
     522,   522,   523,   523,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     525,   525,   526,   526,   526,   527,   527,   528,   528,   529,
     529,   529,   529,   530,   531,   531,   532,   532,   533,   533,
     533,   533,   534,   534,   535,   535,   535,   535,   536,   536,
     537,   537,   537,   538,   538,   539,   539,   540,   540,   541,
     542,   542,   543,   543,   543,   543,   544,   544,   545,   545,
     546,   546,   547,   547,   548,   548,   548,   549,   549,   550,
     550,   551,   551,   551,   551,   551,   551,   551,   551,   551,
     551,   551,   551,   551,   551,   552,   552,   553,   553,   554,
     554,   555,   555,   556,   556,   557,   558,   558,   558,   558,
     558,   559,   559,   560,   561,   561,   561,   561,   561,   561,
     562,   562,   562,   562,   562,   562,   562,   562,   563,   563,
     564,   564,   565,   565,   566,   566,   567,   567,   567,   568,
     568,   569,   570,   570,   571,   571,   572,   572,   572,   572,
     573,   573,   573,   573,   573,   573,   573,   573,   574,   574,
     575,   575,   575,   575,   576,   577,   577,   577,   578,   578,
     578,   578,   578,   578,   578,   579,   579,   580,   580,   580,
     580,   580,   580,   580,   581,   581,   582,   582,   583,   583,
     584,   585,   585,   585,   585,   586,   586,   587,   587,   588,
     588,   589,   589,   589,   589,   589,   590,   591,   592,   592,
     592,   592,   592,   593,   593,   594,   594,   595,   596,   596,
     597,   597,   598,   598,   598,   599,   599,   599,   599,   600,
     600,   600,   600,   601,   601,   602,   602,   603,   604,   604,
     605,   605,   606,   607,   607,   607,   608,   608,   609,   610,
     610,   611,   612,   612,   613,   613,   614,   614,   615,   615,
     616,   616,   617,   617,   617,   617,   617,   617,   617,   617,
     617,   617,   617,   617,   617,   617,   618,   618,   619,   619,
     619,   619,   620,   620,   621,   621,   622,   622,   623,   623,
     624,   624,   625,   625,   626,   626,   627,   627,   628,   628,
     629,   630,   630,   631,   631,   632,   632,   633,   633,   634,
     634,   634,   634,   635,   636,   636,   637,   638,   638,   638,
     638,   638,   638,   638,   638,   638,   638,   638,   638,   638,
     638,   638,   638,   638,   638,   638,   638,   638,   638,   638,
     638,   638,   638,   639,   640,   640,   640,   640,   641,   641,
     642,   642,   643,   643,   644,   644,   645,   645,   646,   647,
     647,   648,   648,   648,   648,   649,   650,   651,   652,   652,
     653,   653,   654,   654,   655,   655,   656,   656,   656,   657,
     657,   657,   657,   658,   658,   659,   660,   660,   661,   661,
     662,   662,   663,   663,   664,   664,   665,   666,   667,   668,
     668,   669,   669,   670,   670,   671,   671,   672,   672,   673,
     673,   674,   674,   674,   674,   674,   675,   676,   676,   677,
     677,   677,   678,   678,   679,   679,   679,   679,   679,   680,
     680,   681,   681,   682,   683,   683,   684,   684,   685,   686,
     686,   687,   687,   688,   688,   689,   689,   690,   690,   690,
     691,   691,   691,   691,   692,   692,   693,   693,   694,   694,
     694,   694,   694,   694,   695,   695,   696,   696,   697,   698,
     698,   699,   700,   700,   700,   700,   701,   702,   703,   703,
     703,   703,   703,   703,   703,   703,   703,   703,   703,   703,
     703,   703,   703,   703,   704,   705,   705,   706,   706,   707,
     707,   707,   707,   707,   707,   708,   709,   709,   710,   711,
     711,   712,   712,   713,   713,   713,   713,   714,   714,   715,
     716,   716,   717,   717,   717,   717,   717,   718,   718,   719,
     719,   720,   720,   720,   721,   721,   722,   723,   723,   724,
     724,   725,   725,   726,   726,   727,   727,   728,   729,   730,
     730,   730,   730,   730,   730,   730,   730,   730,   730,   730,
     730,   731,   731,   731,   731,   731,   731,   731,   731,   731,
     731,   731,   731,   731,   732,   732,   732,   732,   732,   732,
     732,   733,   733,   733,   734,   734,   735,   735,   736,   736,
     737,   737,   738,   739,   739,   739,   740,   740,   740,   740,
     740,   740,   740,   740,   740,   740,   740,   740,   740,   740,
     740,   740,   740,   741,   741,   741,   741,   741,   741,   741,
     741,   741,   741,   741,   741,   741,   741,   742,   742,   742,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   743,
     743,   744,   744,   744,   744,   744,   744,   744,   745,   745,
     746,   746,   746,   746,   746,   746,   747,   747,   747,   747,
     747,   747,   747,   747,   748,   748,   749,   749,   750,   750,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   751,   751,   752,   752,   753,   754,
     754,   755,   755,   755,   755,   755,   756,   756,   757,   757,
     757,   757,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   759,   759,
     760,   760,   761,   761,   762,   763,   763,   764,   764,   765,
     765,   766,   767,   767,   768,   768,   768,   769,   769,   769,
     770,   770,   770,   770,   770,   771,   771,   772,   772,   773,
     773,   774,   774,   775,   775,   776,   776,   777,   777,   777,
     778,   778,   779,   779,   780,   780,   780,   781,   781,   781,
     782,   782,   782,   783,   783,   784,   784,   785,   785,   786,
     786,   787,   787,   787,   787,   788,   788,   789,   789,   790,
     790,   790,   790,   790,   791,   791,   791,   791,   791,   792,
     793,   794,   794,   794,   795,   795,   795,   796,   797,   797,
     797,   797,   798,   798,   799,   800,   800,   801,   801,   802,
     802,   802,   802,   802,   802,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   802,   803,   803,   803,   803,   803,
     804,   804,   805,   805,   806,   806,   807,   808,   808,   809,
     810,   810,   811,   811,   812,   812,   813,   813,   814,   814,
     815,   815,   815,   815,   816,   816,   817,   817,   818,   819,
     820,   820,   821,   821,   822,   822,   822,   823,   823,   823,
     824,   825,   825,   826,   827,   827,   827,   827,   828,   829,
     829,   829,   829,   830,   830,   831,   831,   831,   832,   832,
     833,   834,   834,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   836,   836,   837,   837,   838,   838,
     838,   838,   839,   839,   839,   839,   839,   839,   839,   839,
     839,   839,   839,   839,   839,   839,   839,   839,   839,   839,
     839,   839,   839,   839,   839,   839,   839,   840,   841,   841,
     842,   842,   843,   843,   843,   843,   843,   844,   844,   844,
     844,   844,   844,   844,   844,   844,   844,   844,   844,   844,
     844,   844,   844,   844,   844,   844,   844,   844,   844,   845,
     846,   846,   847,   847,   848,   848,   848,   848,   849,   850,
     850,   851,   852,   852,   852,   852,   852,   852,   853,   853,
     854,   855,   855,   855,   856,   856,   857,   857,   857,   857,
     857,   858,   858,   859,   859,   859,   859,   860,   860,   860,
     861,   862,   862,   863,   864,   864,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     866,   866,   866,   867,   867,   867,   867,   867,   868,   868,
     868,   869,   869,   870,   870,   870,   870,   871,   871,   871,
     871,   872,   873,   874,   874,   875,   875,   876,   876,   876,
     877,   877,   877,   877,   877,   877,   877,   878,   878,   879,
     879,   879,   880,   881,   881,   882,   883,   883,   884,   885,
     885,   885,   885,   885,   885,   885,   886,   886,   887,   888,
     888,   888,   888,   888,   888,   889,   889,   890,   891,   891,
     891,   892,   892,   893,   893,   893,   893,   893,   894,   894,
     895,   895,   895,   895,   895,   896,   896,   897,   897,   898,
     898,   899,   899,   900,   900,   901,   901,   902,   902,   902,
     902,   903,   903,   903,   903,   903,   903,   903,   903,   903,
     904,   904,   905,   906,   906,   907,   907,   907,   908,   909,
     909,   910,   910,   910,   910,   911,   911,   912,   912,   913,
     913,   913,   913,   914,   915,   915,   916,   916,   916,   916,
     916,   917,   917,   918,   918,   919,   920,   920,   920,   921,
     921,   921,   922,   922,   923,   924,   924,   925,   926,   926,
     927,   927,   927,   927,   927,   927,   927,   927,   928,   928,
     929,   929,   929,   930,   931,   931,   932,   932,   933,   934,
     934,   935,   936,   937,   937,   937,   937,   937,   938,   938,
     938,   939,   939,   940,   940,   941,   941,   941,   941,   941,
     941,   941,   941,   942,   942,   943,   943,   943,   943,   943,
     943,   943,   944,   944,   944,   945,   945,   946,   947,   947,
     948,   948,   949,   949,   949,   949,   949,   949,   949,   949,
     949,   950,   950,   951,   951,   951,   952,   952,   953,   953,
     954,   954,   955,   956,   956,   957,   957,   958,   958,   958,
     958,   959,   959,   960,   960,   960,   961,   961,   962,   962,
     963,   964,   964,   964,   965,   966,   966,   967,   967,   968,
     968,   969,   969,   970,   970,   970,   970,   970,   971,   972,
     973,   974,   975,   975,   976,   976,   977,   977,   978,   978,
     979,   980,   980,   980,   980,   981,   981,   982,   982,   983,
     983,   984,   984,   985,   985,   985,   985,   985,   985,   985,
     985,   985,   985,   986,   986,   986,   986,   986,   986,   987,
     987,   987,   987,   988,   988,   989,   989,   989,   989,   989,
     990,   990,   990,   990,   991,   991,   992,   992,   993,   993,
     993,   993,   994,   994,   995,   995,   995,   996,   997,   997,
     998,   998,   999,  1000,  1000,  1001,  1001,  1002,  1002,  1003,
    1003,  1004,  1004,  1004,  1005,  1005,  1006,  1006,  1007,  1008,
    1008,  1009,  1009,  1010,  1010,  1010,  1011,  1011,  1012,  1012,
    1012,  1012,  1013,  1013,  1014,  1014,  1015,  1015,  1015,  1015,
    1015,  1015,  1016,  1016,  1016,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1018,  1018,  1018,  1018,  1019,  1019,  1020,  1020,
    1021,  1021,  1021,  1021,  1021,  1021,  1021,  1021,  1021,  1021,
    1021,  1022,  1022,  1023,  1023,  1024,  1024,  1025,  1026,  1027,
    1027,  1028,  1028,  1029,  1030,  1031,  1031,  1031,  1031,  1031,
    1031,  1032,  1032,  1033,  1033,  1033,  1033,  1034,  1035,  1035,
    1035,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,
    1036,  1036,  1036,  1036,  1036,  1037,  1037,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1042,  1042,  1043,
    1043,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1045,  1045,  1046,  1046,  1046,  1046,  1047,
    1048,  1048,  1049,  1049,  1050,  1050,  1051,  1051,  1051,  1052,
    1052,  1052,  1052,  1053,  1053,  1054,  1054,  1055,  1055,  1056,
    1056,  1057,  1058,  1058,  1058,  1059,  1060,  1060,  1061,  1061,
    1062,  1062,  1062,  1063,  1063,  1064,  1064,  1064,  1064,  1064,
    1065,  1065,  1065,  1066,  1066,  1067,  1068,  1068,  1068,  1069,
    1069,  1070,  1070,  1070,  1070,  1070,  1070,  1070,  1070,  1070,
    1070,  1070,  1070,  1071,  1071,  1072,  1072,  1073,  1073,  1073,
    1073,  1073,  1073,  1074,  1074,  1075,  1075,  1076,  1076,  1076,
    1077,  1077,  1078,  1078,  1078,  1079,  1079,  1080,  1080,  1081,
    1081,  1081,  1081,  1081,  1081,  1081,  1081,  1082,  1082,  1083,
    1084,  1084,  1085,  1085,  1085,  1085,  1085,  1085,  1086,  1087,
    1088,  1088,  1088,  1089,  1089,  1090,  1091,  1091,  1092,  1093,
    1093,  1094,  1094,  1095,  1095,  1096,  1096,  1096,  1096,  1097,
    1097,  1098,  1098,  1099,  1099,  1100,  1100,  1101,  1101,  1102,
    1102,  1103,  1103,  1103,  1103,  1104,  1104,  1105,  1105,  1106,
    1106,  1107,  1108,  1109,  1110,  1111,  1112,  1113,  1113,  1114,
    1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,
    1114,  1114,  1115,  1116,  1117,  1117,  1117,  1118,  1119,  1119,
    1119,  1120,  1120,  1121,  1121,  1121,  1122,  1122,  1122,  1123,
    1123,  1123,  1123,  1124,  1124,  1124,  1124,  1124,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,
    1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,
    1127,  1127,  1127,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     1,     1,     0,     2,     0,     2,
       0,     2,     2,     3,     3,     1,     3,     3,     2,     1,
       1,     2,     2,     2,     3,     3,     5,     5,     0,     3,
       5,     5,     5,     4,     3,     5,     3,     5,     5,     6,
       1,     1,     3,     5,     6,     4,     9,     7,     1,     0,
       2,     0,     1,     1,     1,     1,     1,     1,     2,     3,
       3,     2,     5,     1,     3,     3,     3,     3,     1,     3,
       3,     2,     2,     2,     2,     3,     3,     3,     3,     1,
       3,     1,     3,     1,     1,     2,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     3,     5,     1,     1,     1,
       1,     1,     0,     1,     1,     2,     1,     2,     3,     2,
       1,     1,     2,     1,     2,     1,     2,     3,     4,     3,
       2,     4,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     4,     6,     4,     6,    10,    13,     4,     6,
      10,    13,     4,     6,     4,     6,     5,     7,    11,    14,
       1,     3,     4,     3,     2,     5,     3,     6,     4,     6,
       6,     6,     5,     5,     6,     9,     4,     5,     7,     6,
       4,     8,     4,     2,     4,     3,     6,     4,     3,     3,
       3,     3,     2,     2,     3,     4,     4,     3,     3,     3,
       3,     3,     3,     4,     4,     3,     2,     3,     2,     2,
       3,     3,     2,     2,     3,     4,     4,     4,     5,     1,
       3,     2,     1,     1,     0,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     1,     2,     1,     3,     2,     3,     6,    10,
       1,     1,     1,     1,     3,     1,     3,     1,     1,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     1,     3,     3,     1,     1,     3,     3,
       3,     3,     4,     3,     2,     1,     0,     2,     0,     3,
       0,     1,     0,     1,     3,     2,     1,     1,     1,     3,
       0,     1,     3,     1,    12,    15,    11,    14,    13,    16,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     4,     2,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     5,     1,     2,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     5,     7,     3,
       8,     4,     9,    11,     2,     0,     3,     0,     1,     3,
       1,     2,     2,     2,     0,     1,     3,     3,     6,     4,
       0,     1,     1,     2,     2,     0,     3,     3,     2,     1,
       1,     2,     2,     4,     0,     1,     0,     6,     1,     1,
       1,     3,     3,     3,     5,     2,     2,     2,     0,     3,
       4,     4,     0,     2,     0,     4,     0,     3,     8,    11,
       7,    10,     5,     2,     3,     0,     8,    11,     4,     1,
       0,     6,     5,     8,     4,     6,     1,     0,     3,     0,
       1,     2,     2,     2,     1,     2,     3,     2,     2,     2,
       2,     3,     3,     3,     1,     3,     1,     0,     1,     2,
       2,     1,     1,     3,     6,    10,     1,     0,     1,     2,
       2,     0,     2,     2,     1,     0,     5,     7,     1,     0,
       7,     2,     0,     3,     5,     5,     8,     2,     0,     2,
       2,     2,     1,     5,     2,     0,     2,     7,     6,    10,
       6,     6,     6,     6,     7,     6,     9,     9,     6,     7,
       6,     8,     8,     8,     8,     6,     6,     7,     7,     8,
       6,     9,     6,     7,     2,     2,     2,     2,     1,     2,
       1,     0,     7,     6,     4,     0,     1,     3,     4,     1,
       3,     1,     2,     2,     2,     2,     1,     1,    10,    13,
       2,     0,     2,     2,     1,     0,     5,     4,     4,    11,
      14,    12,    15,     5,     7,    11,     2,     1,     4,     0,
       8,    11,     1,     1,     7,     9,     8,    10,     8,     4,
       0,     5,     0,     2,     0,     2,     0,     2,     0,     2,
       0,     1,     1,     1,     1,     1,     8,    16,    20,     1,
       1,     2,     1,     3,     1,     1,     1,     3,     1,     2,
       0,     1,     2,     4,     1,     1,     1,     1,     1,     3,
       0,     1,     0,     1,     1,     4,     0,     1,     3,     0,
       1,     1,     1,     1,     2,     0,     0,     2,     2,     1,
       2,     2,     2,     2,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     4,     5,     4,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     7,     5,     8,     3,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     3,     3,     1,
       0,     1,     3,     7,     9,     9,     8,     3,     0,    13,
       1,     3,     5,     5,     3,     6,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     6,     4,     6,     8,     4,     6,     4,     6,     5,
       7,     1,     1,     1,     2,     1,     2,     1,     1,     1,
       3,     3,     3,     3,     2,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     2,     2,     3,
       1,     3,     5,     2,     2,     0,     6,     6,     6,     6,
       6,     6,     6,     8,     9,     8,     8,     9,     8,     9,
       9,     7,    10,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     2,     3,     3,     3,     3,     2,     1,     2,
       1,     3,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     8,     8,     8,     8,     8,     8,     9,     2,     0,
       1,     2,     1,     1,     1,     2,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     2,
       3,     3,     3,     3,     4,     4,     3,     3,     3,     4,
       4,     3,     4,     4,     1,     1,     1,     0,     7,     7,
      10,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     1,     2,     2,     4,     3,     2,     2,     2,
       2,     3,     2,     2,     2,     5,     5,     5,     1,     3,
       1,     2,     3,     0,     6,     6,     9,     3,     0,     3,
       0,     5,     2,     0,     3,     3,     3,     7,     7,    10,
       1,     1,     1,     1,     1,    14,    17,     1,     0,     1,
       0,     1,     0,     2,     0,     1,     3,     5,     5,     7,
       2,     0,     1,     0,     1,     1,     0,     2,     2,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     1,
       3,     2,     1,     1,     2,     3,     2,     1,     3,     3,
       3,     2,     2,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     4,     5,     1,     3,     3,     1,     3,     3,
       5,     6,     1,     3,     2,     1,     3,     1,     2,     4,
       5,     1,     1,     1,     1,     3,     3,     2,     2,     1,
       2,     2,     2,     1,     2,     2,     2,     2,     1,     1,
       1,     3,     3,     5,     2,     0,     2,     1,     3,     5,
       1,     2,     1,     0,     4,     6,     4,     6,     4,     6,
       3,     5,     5,     5,     1,     3,     1,     3,     2,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,    10,    11,    11,     5,     5,     8,     3,
       3,     6,     6,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     5,     6,     6,     6,     6,     6,     8,     8,
       6,     6,     7,     9,     9,     8,    10,     6,     6,     6,
       6,     6,     8,     6,     8,     6,     8,     7,     9,     6,
       8,     7,     9,     8,    10,     9,    11,     8,    10,     9,
      11,     8,     8,     7,     6,     6,     6,     6,     8,     8,
       8,     8,     6,     9,     1,     0,     2,     0,     7,     9,
       8,     7,     6,     6,     6,     6,     6,     6,     6,     9,
       9,     6,     8,     6,     8,     8,     8,     8,     6,     8,
       6,     8,     7,     9,     7,     9,     6,     7,     1,     3,
       3,     3,     1,     1,     1,     1,     1,     6,     6,     6,
       6,     6,     6,     7,     7,     6,     9,     9,     6,     6,
       6,     6,     8,     8,     8,     6,     7,     6,     6,     5,
       1,     0,     3,     3,     5,     6,     6,     6,     8,     1,
       3,     1,     5,     5,     6,     7,     4,     4,     4,     6,
      13,     1,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     1,     0,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     2,     1,     3,
       2,     1,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     1,     0,     1,     2,     3,     3,     3,
       1,     2,     1,     1,     1,     1,     1,     1,     0,     5,
       4,     6,     4,     3,     5,     5,     4,     4,     6,     4,
       6,     6,     5,     7,     9,     6,     1,     0,     6,    11,
      11,    11,    13,     9,    11,     1,     1,    10,     4,     2,
       5,     2,     0,     4,     5,     5,     4,     6,     1,     3,
       1,     1,     1,     1,     1,     2,     4,     1,     1,     1,
       0,     1,     0,     1,     0,     3,     0,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     2,     1,     1,     1,     1,     0,     5,     3,
       0,     1,     1,     1,     1,     3,     9,     3,     0,     2,
       3,     2,     3,     7,     1,     3,     1,     4,     4,     7,
       2,     1,     1,     1,     3,     2,     8,     5,     0,     4,
       3,     0,     2,     0,     7,     2,     0,     5,     3,     0,
       2,     2,     2,     3,     1,     3,     1,     2,     1,     0,
       1,     2,     0,     8,     1,     3,     3,     5,     2,     1,
       3,     7,     1,     0,     3,     2,     2,     2,     0,     2,
       2,     1,     1,     3,     3,     1,     2,     4,     4,     2,
       3,     5,     5,     1,     1,     9,     9,     1,     2,     4,
       4,     4,     2,     2,     3,     1,     3,     6,     1,     0,
       2,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     2,     3,     1,     1,
       1,     1,     3,     0,     1,     1,     1,     1,     1,     3,
       0,     1,     3,     1,     1,     1,     1,     1,     2,     4,
       4,     5,     2,     0,     1,     3,     1,     0,     1,     2,
       3,     2,     4,     2,     3,     2,     0,     4,     5,     2,
       0,     1,     3,     2,     3,     2,     3,     2,     3,     2,
       3,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     1,     0,     1,     4,     5,     4,     0,
       2,     2,     2,     1,     1,     0,     4,     2,     1,     2,
       2,     4,     1,     3,     1,     2,     3,     6,     4,     0,
       2,     6,     2,     1,     3,     4,     0,     2,     0,     2,
       0,     2,     4,     0,     1,     0,     1,     3,     3,     7,
      12,     1,     3,     2,     3,     3,     1,     2,     2,     2,
       2,     1,     1,     3,     3,     2,     2,     3,     5,     6,
       2,     3,     3,     4,     0,     1,     1,     1,     1,     1,
       2,     4,     1,     1,     1,     1,     2,     3,     3,     0,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     2,
       1,     3,     0,     1,     1,     1,     1,     5,     2,     1,
       1,     1,     1,     4,     1,     2,     2,     1,     3,     3,
       2,     1,     0,     5,     2,     5,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     0,     1,     4,     1,     3,     3,
       5,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     3,     3,
       2,     2,     3,     5,     4,     6,     3,     5,     4,     6,
       4,     6,     5,     7,     3,     2,     4,     2,     3,     3,
       4,     3,     4,     3,     4,     5,     6,     6,     7,     6,
       7,     6,     7,     3,     4,     4,     6,     2,     3,     4,
       1,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     1,     4,
       3,     5,     6,     8,     6,     6,     4,     4,     1,     1,
       1,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     5,     4,     6,     5,
       7,     7,     7,     2,     3,     3,     3,     4,     0,     4,
       1,     3,     3,     1,     1,     1,     2,     2,     0,     2,
       4,     4,     6,     5,     0,     5,     0,     2,     0,     1,
       3,     3,     2,     2,     0,     6,     1,     0,     3,     0,
       2,     2,     0,     1,     4,     2,     2,     2,     2,     2,
       4,     3,     5,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     4,     1,     4,     1,
       2,     1,     2,     1,     3,     1,     3,     1,     3,     3,
       1,     3,     3,     3,     2,     1,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     3,     2,
       3,     0,     3,     3,     2,     2,     1,     0,     2,     2,
       3,     2,     1,     1,     3,     5,     1,     2,     4,     2,
       0,     1,     0,     1,     2,     2,     2,     3,     5,     1,
       0,     1,     2,     0,     2,     1,     0,     1,     0,     1,
       3,     3,     2,     1,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     2,     6,     2,     3,     5,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 776 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 24165 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 792 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 24181 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 804 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 24192 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 941 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24198 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 952 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24210 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 962 "gram.y" /* yacc.c:1646  */
    {}
#line 24216 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 963 "gram.y" /* yacc.c:1646  */
    {}
#line 24222 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 964 "gram.y" /* yacc.c:1646  */
    {}
#line 24228 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 973 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24234 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 974 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24240 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 978 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24246 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 979 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24252 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 984 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 24261 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 989 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 24269 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 993 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 24283 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1003 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 24295 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1011 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 24303 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1015 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 24311 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1019 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 24319 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1024 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24327 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1028 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 24376 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1075 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 24382 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 24390 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1082 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24398 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24406 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1090 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 24414 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1094 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 24422 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1108 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24434 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1126 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 24446 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1136 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24452 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1137 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24458 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1142 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24470 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1150 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24482 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1168 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 24494 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1180 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-1].rolespec);
					n->database = NULL;
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24506 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1201 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24517 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1208 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24528 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1225 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24539 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1232 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24550 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1249 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24562 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1267 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 24575 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1277 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 24581 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1278 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 24587 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1291 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24598 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1298 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24609 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1315 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 24623 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1325 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 24637 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1335 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 24656 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1350 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 24675 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1367 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24681 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1368 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24687 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1373 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 24697 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1379 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24703 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1407 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 24713 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1413 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 24723 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1419 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 24733 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1428 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24745 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1436 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24757 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1448 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24769 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1456 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24781 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1464 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24792 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1471 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24803 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1479 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 24809 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1481 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24820 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1489 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 24835 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1500 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 24847 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1508 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24859 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1516 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 24874 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1527 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24886 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1535 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24898 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1543 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 24909 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1550 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24921 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1559 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24933 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1568 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24939 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1570 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 24945 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1573 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 24951 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1574 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 24957 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1578 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 24963 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1580 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 24969 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1583 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 24975 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1584 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 24981 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1585 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 24987 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1586 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 24993 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1590 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 24999 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1591 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 25005 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1592 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 25011 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1598 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25017 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1611 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 25025 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1615 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 25033 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1619 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 25052 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1634 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 25063 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1640 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 25069 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1641 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25075 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1642 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25081 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1646 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25087 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1647 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25093 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1648 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25099 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1652 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25105 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1653 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25111 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1657 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 25117 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1661 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25123 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1663 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 25134 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1670 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 25145 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1677 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 25156 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1687 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 25167 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1694 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 25177 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1703 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25183 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1704 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 25189 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1709 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25195 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1710 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 25201 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1716 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25211 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1722 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 25221 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1728 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 25231 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1734 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 25241 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1740 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 25251 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1750 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 25262 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1759 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25268 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1760 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25274 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1764 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25280 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1765 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25286 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1774 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 25295 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1789 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 25305 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1795 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 25315 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1801 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 25325 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1807 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 25335 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1813 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 25345 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1832 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25358 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1841 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25371 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1850 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25384 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1859 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25397 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1868 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25412 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1879 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25427 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1890 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25440 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1899 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25453 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1908 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25468 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1919 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25483 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1930 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25496 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1939 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25509 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1948 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25522 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1957 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25535 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1966 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25548 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1975 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25561 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1984 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25576 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 1995 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25591 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2008 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25597 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2009 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25603 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2015 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 25619 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2028 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 25635 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2044 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25647 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2053 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25659 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2062 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25671 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2071 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25683 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2080 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25695 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2089 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 25706 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2097 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 25717 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2105 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 25729 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2114 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25741 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2123 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25753 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2132 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 25765 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2141 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 25785 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2158 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25797 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2167 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25809 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2176 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25821 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2185 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 25834 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2195 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 25847 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2208 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 25865 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2223 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25877 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2232 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25888 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2240 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 25906 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2255 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25917 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2263 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 25930 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2273 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 25943 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2283 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 25953 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2290 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 25963 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2297 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25974 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2305 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 25985 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2313 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 25995 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2320 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 26005 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2327 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26016 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2335 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26027 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2343 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26038 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2351 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 26048 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2358 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 26058 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2365 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26069 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2373 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 26079 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2380 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 26089 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2387 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26100 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2395 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26111 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2403 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26122 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2411 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26133 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2419 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 26144 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2427 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 26155 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2435 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 26168 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2445 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 26178 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2452 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 26189 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2460 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26200 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2468 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26211 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2476 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26222 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2484 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 26233 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2492 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26243 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2499 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26253 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2506 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26263 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2513 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26273 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2519 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26284 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2528 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26290 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2529 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26296 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2533 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 26302 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2534 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 26308 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2535 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 26314 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2540 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 26326 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26332 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2551 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26338 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2552 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26344 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2557 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26355 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2564 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26366 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2571 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26377 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2578 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26388 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2587 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26394 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26400 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2591 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26406 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2595 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26412 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2596 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 26418 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2602 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 26426 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2606 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 26434 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2610 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 26443 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2615 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 26451 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2622 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26457 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26463 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2629 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 26471 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2633 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 26479 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2637 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 26494 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2648 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 26502 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2656 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 26516 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2668 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 26531 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2681 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 26537 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2682 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26543 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2683 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst((yylsp[0])); }
#line 26549 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2687 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26555 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2689 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26561 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26567 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2695 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26573 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2700 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->infinite = true;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 26587 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2710 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->infinite = false;
					n->value = (yyvsp[0].node);
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 26601 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2730 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 26615 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2742 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26621 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2743 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26627 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2749 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26639 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2758 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 26652 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2768 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 26665 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2778 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 26684 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2804 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26694 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2810 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26704 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2844 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 26736 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2872 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 26759 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2893 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26765 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2894 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26771 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2898 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26777 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2899 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26783 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2908 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26789 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2909 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26795 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2910 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26801 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26807 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26813 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26819 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2920 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26825 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2925 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 26833 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2929 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 26841 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2933 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 26849 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2937 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26857 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2941 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26865 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2945 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 26873 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2949 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 26881 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2953 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26889 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2957 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26897 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2961 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26905 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2965 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 26913 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2969 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 26921 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2973 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26929 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2977 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 26937 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2986 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 26945 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2989 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 26951 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2994 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE), (yylsp[-1]));
				}
#line 26959 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2997 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 26965 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3002 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 26973 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3005 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 26979 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3009 "gram.y" /* yacc.c:1646  */
    {}
#line 26985 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3010 "gram.y" /* yacc.c:1646  */
    {}
#line 26991 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3016 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 26999 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 27007 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3027 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 27015 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3033 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 27021 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3034 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 27027 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3035 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 27033 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3036 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 27039 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3037 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27045 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3042 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27053 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3046 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27061 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3053 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 27067 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3066 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27087 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3084 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27107 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3102 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27128 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3121 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27149 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3140 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27170 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3159 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27191 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3188 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27197 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3189 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27203 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3190 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27209 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3191 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27215 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3193 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 27226 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3200 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 27237 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3206 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 27243 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3207 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 27249 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3211 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27255 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3212 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27261 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3216 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27267 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3217 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27273 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3222 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27281 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27289 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27297 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3237 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27305 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3243 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27311 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3244 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27317 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3245 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27323 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3249 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27329 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3250 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27335 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3254 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 27359 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3276 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27382 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3295 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 27405 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3316 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 27411 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3317 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27417 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3322 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 27428 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3328 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27434 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3329 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27440 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3331 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 27457 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3362 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27468 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3369 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 27479 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3376 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27494 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3387 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27509 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3398 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 27525 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3410 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27538 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3419 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 27551 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3428 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 27570 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3445 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 27576 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3446 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 27582 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3466 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 27593 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3473 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27604 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3480 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27615 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3487 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27626 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3498 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 27637 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3507 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 27643 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3508 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 27649 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3509 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 27655 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3513 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 27661 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3514 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 27667 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3515 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 27673 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3516 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 27679 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3517 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 27685 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3518 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 27691 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3519 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 27697 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3529 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 27708 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3535 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27714 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3540 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 27731 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3554 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27749 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3568 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27767 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3583 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27785 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3597 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27803 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3613 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27823 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3630 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 27845 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3649 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 27851 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3650 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 27857 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3654 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27863 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3655 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27869 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3659 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27875 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3660 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27881 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3664 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 27889 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3670 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 27897 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3674 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 27909 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3682 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 27917 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3686 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 27925 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3692 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 27931 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 27937 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3698 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 27945 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3703 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 27953 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3709 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 27959 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3710 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27965 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3721 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 27971 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3723 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 27977 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3725 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 27983 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3727 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 27989 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3729 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 27995 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3732 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 28001 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3735 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 28007 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3739 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 28013 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3740 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 28019 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3741 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 28025 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3742 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 28031 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3743 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 28037 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3746 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28043 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3747 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28049 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3751 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 28055 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3752 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 28061 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3756 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 28075 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3767 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28081 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3768 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 28087 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3771 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 28093 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3772 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 28099 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3776 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 28114 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3787 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 28129 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3798 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 28144 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3811 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28150 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3812 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(true), (yylsp[-1]))); }
#line 28156 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3813 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(false), (yylsp[-1]))); }
#line 28162 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3814 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28168 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3817 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 28174 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3818 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 28180 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3819 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 28186 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3820 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 28192 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3823 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28198 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3824 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28204 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3827 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28210 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3828 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28216 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3831 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28222 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3851 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28236 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3862 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28250 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3885 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28267 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3898 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28284 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3914 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 28299 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3927 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28305 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3928 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28311 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3929 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28317 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3942 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28334 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3955 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28351 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3971 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 28366 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3983 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 28372 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3984 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 28378 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3997 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 28390 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4017 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28404 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4027 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28418 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4040 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28430 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4048 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28442 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4058 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28448 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4059 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28454 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4062 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28460 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4063 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28466 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4066 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28472 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4067 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28478 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4071 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 28486 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4075 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28494 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4079 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 28502 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4083 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 28510 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4087 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28518 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4091 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28526 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4095 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28534 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4099 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 28542 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4103 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 28550 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4107 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28558 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4111 "gram.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28567 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4116 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28575 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4120 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 28583 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4124 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28591 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4129 "gram.y" /* yacc.c:1646  */
    {}
#line 28597 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4130 "gram.y" /* yacc.c:1646  */
    {}
#line 28603 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4134 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 28609 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4135 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 28615 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4137 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 28624 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4141 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 28630 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4144 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 28636 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4145 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 28642 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4158 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 28658 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4171 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 28673 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4184 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28679 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4185 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28685 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28691 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 28697 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4198 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28703 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4199 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28709 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28715 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28721 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28727 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4209 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28733 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4214 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28747 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4224 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28761 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4236 "gram.y" /* yacc.c:1646  */
    {}
#line 28767 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4237 "gram.y" /* yacc.c:1646  */
    {}
#line 28773 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4248 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28786 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4258 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 28792 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4259 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 28798 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4273 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 28809 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4280 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 28820 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4297 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28832 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4305 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28844 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4316 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28850 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4318 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28856 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4323 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28864 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4327 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28872 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4331 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28880 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4335 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 28888 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4347 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28899 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4357 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28905 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4359 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28911 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4364 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28919 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4377 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 28932 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4386 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 28945 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4395 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 28958 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4404 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28971 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4413 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28984 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4422 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 28997 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4431 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 29010 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4440 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29023 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4449 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 29036 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4458 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 29049 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4467 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 29062 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4476 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29075 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4485 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29088 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4494 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29101 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4503 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29114 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4512 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29127 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4521 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29140 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4530 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29153 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4539 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29166 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4548 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29179 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4557 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29192 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4566 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29205 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4575 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29218 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4584 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29231 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4593 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 29244 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4602 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 29257 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4620 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29269 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4630 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 29275 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4631 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 29281 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4632 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 29287 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4633 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 29293 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4637 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29299 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4638 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29305 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4642 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29311 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4643 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29317 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4654 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29329 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4662 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 29341 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4673 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29347 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4674 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29353 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4679 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29361 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4683 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 29369 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4690 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29375 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4695 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29383 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4699 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 29391 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4706 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 29399 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 29408 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4715 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 29417 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4720 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 29425 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4727 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 29433 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4733 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29439 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4738 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 29445 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4750 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29460 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4762 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29475 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4775 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29481 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4776 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29487 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4781 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29493 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4782 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29499 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4786 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29505 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4787 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29511 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4798 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 29524 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4807 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 29536 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4815 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29547 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4834 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29569 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4854 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29591 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4874 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29614 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4895 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29637 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4924 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29650 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4933 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29663 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4955 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 29678 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4968 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 29684 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4969 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 29690 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4974 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 29701 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4981 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 29712 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4997 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29725 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5006 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29738 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5017 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 29744 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5018 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 29750 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5031 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29762 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5039 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29774 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5056 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29786 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5082 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 29802 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5098 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 29816 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5110 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29822 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5111 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29828 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5115 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29834 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5116 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29840 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5120 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29846 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5121 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 29852 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5125 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29858 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5126 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 29864 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5131 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 29882 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5144 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29888 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5148 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29894 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5149 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 29900 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5153 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 29906 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5154 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 29912 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5155 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 29918 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5156 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 29924 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5157 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 29930 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5168 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = AMTYPE_INDEX;
					(yyval.node) = (Node *) n;
				}
#line 29942 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5188 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29965 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5210 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 29989 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5232 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 29995 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5233 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 30001 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5234 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 30007 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5239 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30013 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5241 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 30036 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5263 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 30042 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5265 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 30048 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5267 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 30054 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5269 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 30060 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5271 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 30066 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5275 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30072 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5276 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30078 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5280 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30084 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5281 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 30090 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5286 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 30102 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5296 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30108 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5297 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30114 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5301 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30120 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5310 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30126 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5314 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30132 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5319 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 30140 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5323 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 30152 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5333 "gram.y" /* yacc.c:1646  */
    {}
#line 30158 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5334 "gram.y" /* yacc.c:1646  */
    {}
#line 30164 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5338 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30170 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5339 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30176 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5343 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30182 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5344 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30188 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 30194 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5349 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 30200 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5350 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30206 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5355 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 30214 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5358 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30220 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5359 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30226 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5360 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30232 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5364 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 30238 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5365 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 30244 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5370 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30250 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5372 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 30278 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5398 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 30284 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5399 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 30290 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5400 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 30296 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5401 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 30302 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5402 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 30308 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5403 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 30314 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5418 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 30327 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5429 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 30340 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5441 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30346 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5443 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30352 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5448 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 30358 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5453 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30364 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5455 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 30370 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5460 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 30381 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5469 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 30387 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5470 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 30393 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5471 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 30399 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5472 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 30405 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5486 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 30425 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5505 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 30440 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5527 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30454 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5537 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30469 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5548 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30483 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5558 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30497 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5568 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30512 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5579 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 30525 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5588 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 30536 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5595 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30547 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5602 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30560 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5611 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30573 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5620 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30586 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5629 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30599 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5638 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30612 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5647 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30626 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5657 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 30639 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5666 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30653 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5677 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30659 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5680 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30665 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5681 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30671 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 30679 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5689 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 30687 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5695 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 30693 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5696 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 30699 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5697 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 30705 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5698 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 30711 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5699 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 30717 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5700 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 30723 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5703 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30729 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5706 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30735 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5707 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30741 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5716 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 30749 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5722 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30755 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30761 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5727 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30767 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5729 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 30773 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5740 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 30788 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5751 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 30803 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5762 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 30818 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5773 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 30833 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5785 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30839 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5786 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30845 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5804 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30860 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5817 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30866 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5818 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30872 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5823 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 30888 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5836 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 30901 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5845 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 30913 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5853 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 30926 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5862 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 30937 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5870 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30943 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5871 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30949 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5874 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30955 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5875 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30961 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5878 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30967 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30973 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5880 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30979 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5884 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 30997 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5897 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31003 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5903 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31014 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5913 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31027 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5922 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31040 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5933 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31046 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31052 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5939 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31064 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5947 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31076 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5959 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31090 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5969 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31104 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5982 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31118 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5992 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31132 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6014 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31143 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6024 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 31154 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6042 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31168 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6052 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31182 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6062 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31196 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6072 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31210 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6082 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31224 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6092 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31238 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6102 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31252 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6112 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31266 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6122 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31280 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6132 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31294 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6142 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 31308 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6152 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 31322 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6165 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 31328 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6166 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 31334 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6167 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 31340 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6168 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 31346 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6169 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 31352 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6170 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 31358 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6171 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 31364 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6172 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 31370 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6173 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 31376 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6174 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 31382 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6175 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 31388 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6176 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 31394 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6177 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 31400 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6182 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 31406 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6183 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 31412 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6184 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 31418 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6185 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 31424 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6186 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 31430 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6187 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 31436 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6188 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 31442 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6193 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 31448 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6194 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 31454 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6195 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 31460 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6199 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 31466 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6200 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 31472 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31478 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 31484 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31490 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6210 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 31496 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6214 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 31502 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6215 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 31508 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6226 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31520 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6236 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31526 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6237 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31532 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6238 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31538 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6273 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31550 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6281 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31562 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6289 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31574 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6297 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31586 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6305 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31598 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6313 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31610 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6321 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31622 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6329 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31634 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6337 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31651 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6350 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31663 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6358 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31675 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6366 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31687 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6374 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31699 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6382 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31711 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6390 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31723 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6398 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31735 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6406 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31747 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6417 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 31753 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6418 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 31759 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6419 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 31765 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6420 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 31771 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6421 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 31777 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6422 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 31783 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6423 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 31789 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6424 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 31795 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6425 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 31801 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6426 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 31807 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6427 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 31813 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6428 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 31819 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6429 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 31825 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6430 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 31831 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6435 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 31837 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6436 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 31843 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6437 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 31849 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6438 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 31855 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6439 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 31861 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6440 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 31867 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6441 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 31873 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6442 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 31879 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6443 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 31885 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6444 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 31891 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6445 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 31897 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6446 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 31903 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6450 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31909 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6451 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31915 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6467 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31928 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6477 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31941 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6487 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31954 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6497 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31967 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6507 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31980 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6517 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31993 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6527 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32006 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6537 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32012 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6538 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32018 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6543 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 32024 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6544 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 32030 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6545 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 32036 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6546 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 32042 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6547 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 32048 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6548 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 32054 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6553 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 32060 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6554 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 32066 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6555 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 32072 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6556 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 32078 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6557 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 32084 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6558 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 32090 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6559 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 32096 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6560 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 32102 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6563 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32108 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6564 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32114 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6575 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 32124 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6581 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 32134 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6589 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32146 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6597 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32158 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6605 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32170 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6613 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32182 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6621 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32194 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6629 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 32206 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6637 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32218 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6645 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32230 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6653 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32242 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6661 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32254 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6669 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32266 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6677 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32278 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6685 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32290 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6693 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32302 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6701 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32314 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6709 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32326 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6718 "gram.y" /* yacc.c:1646  */
    {}
#line 32332 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6719 "gram.y" /* yacc.c:1646  */
    {}
#line 32338 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6722 "gram.y" /* yacc.c:1646  */
    {}
#line 32344 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6723 "gram.y" /* yacc.c:1646  */
    {}
#line 32350 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6735 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 32366 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6751 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32383 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6765 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32400 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6790 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32406 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6792 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32412 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6794 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32418 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6796 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 32429 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6803 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 32440 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6811 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 32446 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6812 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 32452 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6816 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32463 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6823 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32474 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6830 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32485 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6837 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32496 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6851 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32508 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6859 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32520 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6867 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32532 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6875 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32544 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6883 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32556 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6891 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32568 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6899 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32580 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6907 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32592 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6915 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32604 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6923 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32616 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6931 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32628 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6939 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32640 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6947 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32652 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6955 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32664 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6963 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32676 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6971 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32688 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6982 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 32694 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6983 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 32700 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6987 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32706 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6988 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32712 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6993 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32718 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6994 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32724 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7005 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 32738 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7018 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 32752 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7028 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 32766 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7039 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32772 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7040 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32778 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7043 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32784 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7044 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 32790 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7055 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 32801 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7064 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32807 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7065 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32813 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7070 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 32821 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7074 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 32829 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 32837 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7090 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 32853 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7103 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32870 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7117 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32887 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7132 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 32893 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7133 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 32899 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7134 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 32905 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7135 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 32911 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7136 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_NAMESPACE; }
#line 32917 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7151 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 32945 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7177 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-15].boolean);
					n->concurrent = (yyvsp[-13].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 32973 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7203 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32979 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7204 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32985 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7208 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32991 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7209 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32997 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7213 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33003 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7214 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33009 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7218 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33015 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7219 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 33021 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7222 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 33027 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7223 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 33033 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7232 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 33048 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7243 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 33063 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7254 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 33078 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7266 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33084 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7267 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33090 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7270 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33096 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7271 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33102 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7274 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 33108 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7275 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 33114 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7276 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 33120 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7279 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 33126 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7280 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 33132 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7281 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 33138 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7299 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33153 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7311 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33169 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7324 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33184 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7337 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33190 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7338 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33196 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7341 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33202 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7342 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33208 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33214 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33220 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33226 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7353 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33232 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7358 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 33243 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7370 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33254 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7377 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33265 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7384 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33277 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7398 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33283 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7399 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33289 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7403 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33295 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7405 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33301 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7420 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33314 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7429 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33327 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7438 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33340 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7447 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33353 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7456 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33366 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7467 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 33372 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7468 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 33378 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7469 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 33384 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7470 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 33390 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7471 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 33396 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7482 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33408 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7496 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33414 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7498 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 33424 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7504 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 33435 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7514 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 33443 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7518 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 33452 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7523 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 33461 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7531 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 33475 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7572 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 33483 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7576 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 33491 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7580 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 33499 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7584 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 33508 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7591 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33514 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7592 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33520 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7597 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 33531 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7606 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33537 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7608 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33543 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7613 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33549 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7614 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33555 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7622 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE), (yylsp[-3]));
				}
#line 33563 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7626 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE), (yylsp[-4]));
				}
#line 33571 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7630 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33579 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7634 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 33587 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7638 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 33595 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7642 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 33603 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE), (yylsp[-2]));
				}
#line 33611 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE), (yylsp[-2]));
				}
#line 33619 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7654 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE), (yylsp[-1]));
				}
#line 33627 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 33635 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7662 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33643 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7666 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 33651 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7670 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 33659 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7674 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 33667 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7678 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 33676 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7683 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33684 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7690 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 33692 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7694 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33700 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 33708 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7702 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33716 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7706 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 33724 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7711 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33730 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7713 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 33738 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7719 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 33744 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7720 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 33750 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7724 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33756 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7725 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33762 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7729 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33775 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7741 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 33783 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7745 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 33791 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7760 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33802 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7770 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33808 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7771 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33814 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7793 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33828 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7803 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33842 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7816 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33856 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7826 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33870 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7839 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33884 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7849 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33898 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7862 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 33910 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7870 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 33916 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7872 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 33922 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7874 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 33928 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33934 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7881 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 33940 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7885 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33946 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7887 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33952 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7892 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 33963 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7910 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33973 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7918 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33979 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33985 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7924 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 33993 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7928 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34001 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7941 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 34015 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7952 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 34029 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7963 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 34043 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7974 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 34049 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7975 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 34055 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7976 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 34061 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7981 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34075 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7992 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34081 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7993 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34087 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8004 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 34101 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8016 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 34109 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 34117 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8024 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 34125 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8028 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 34133 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8035 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 34146 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8055 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 34159 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8064 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 34172 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8073 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 34185 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8082 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 34198 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8092 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 34204 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8093 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 34210 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8096 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 34216 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8097 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 34222 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8098 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 34228 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8101 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 34234 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8102 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34240 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8105 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 34246 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8116 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 34259 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8125 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 34272 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8142 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34285 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8151 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34298 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8160 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34311 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8169 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34324 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8178 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34337 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8187 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34350 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8196 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34363 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8205 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34376 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8214 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34389 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8223 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34402 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8232 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34415 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8241 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34428 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8250 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34442 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8260 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34456 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8270 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34469 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8279 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34482 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8288 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34495 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8297 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34508 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8306 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34522 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8316 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34536 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8326 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34550 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8336 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34564 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8346 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34578 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8356 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34592 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8366 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34606 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8376 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34620 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8386 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34634 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8396 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34648 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8406 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34662 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8416 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34676 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8426 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34691 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8437 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34706 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8448 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34721 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8459 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34736 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8470 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34750 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8480 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34764 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8490 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34779 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8501 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34794 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8512 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34808 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8522 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34822 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8532 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34834 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8540 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34847 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8549 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34860 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8558 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34873 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8567 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34886 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8576 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34899 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8585 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34912 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8594 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34925 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8603 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34938 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8612 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34951 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8621 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34967 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8634 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 34973 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8635 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 34979 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8638 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 34985 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8639 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 34991 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8650 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35003 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8658 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-6].str)));
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35016 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8667 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35028 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8675 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35040 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8692 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35053 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8701 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35066 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8710 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35079 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8719 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35092 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8728 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35105 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8737 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35118 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8746 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35131 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8755 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35144 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8764 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35157 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8773 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35170 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8782 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35183 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8791 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35196 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8800 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35209 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8809 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35222 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8818 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35235 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8827 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35248 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8836 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35261 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8845 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35274 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8854 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35287 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8863 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35300 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8872 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35313 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8881 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35326 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8890 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35339 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8899 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35352 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8908 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35365 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8926 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35376 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35382 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8935 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35388 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8939 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 35394 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8941 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 35400 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8946 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 35406 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8947 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 35412 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8948 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 35418 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8949 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 35424 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8950 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 35430 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8960 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35442 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8968 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35454 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8976 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35466 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8984 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35478 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8992 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35490 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9000 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35502 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9008 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35514 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9016 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35526 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9024 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35538 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9032 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35550 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9040 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35562 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9048 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35574 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9056 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35586 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9064 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35598 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9072 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35610 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9080 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35622 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9088 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35634 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9096 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35646 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9104 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35658 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9112 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35670 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9120 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35682 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9128 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35694 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9146 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = TRUE;
					}
					(yyval.node) = (Node *)n;
				}
#line 35714 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9164 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35720 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9165 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35726 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9170 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 35734 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9174 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeInteger(TRUE);
				}
#line 35742 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9194 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35753 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9201 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 35765 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9209 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 35777 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9217 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 35789 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9234 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35803 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9247 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].value));
				}
#line 35811 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9251 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value));
				}
#line 35819 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9257 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 35825 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9267 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35838 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9276 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 35851 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9285 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35864 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9294 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35878 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9304 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(TRUE), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 35892 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9314 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(FALSE), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 35906 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9332 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 35918 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9340 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 35930 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9358 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35946 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35952 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9373 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35958 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9374 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35964 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9380 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 35974 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9386 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 35984 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9402 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35990 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9403 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35996 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9406 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 36002 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9407 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 36008 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9408 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 36014 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9409 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 36020 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9413 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 36026 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9414 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36032 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9415 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36038 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9428 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36049 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9437 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36055 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9438 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36061 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9442 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36071 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9451 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36081 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9457 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 36091 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9476 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36102 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9483 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36113 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9490 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36124 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9497 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36135 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9504 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36146 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9511 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36157 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9518 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 36169 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9526 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-2])));
					(yyval.node) = (Node *)n;
				}
#line 36181 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9534 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 36193 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9542 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-4])));
					(yyval.node) = (Node *)n;
				}
#line 36205 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9550 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 36217 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9558 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36228 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9565 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36239 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9572 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36250 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9580 "gram.y" /* yacc.c:1646  */
    {}
#line 36256 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9581 "gram.y" /* yacc.c:1646  */
    {}
#line 36262 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9582 "gram.y" /* yacc.c:1646  */
    {}
#line 36268 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9587 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 36275 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9590 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1])), (yylsp[-1])); }
#line 36282 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9593 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1])), (yylsp[-1])); }
#line 36289 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9596 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0])), (yylsp[0])); }
#line 36296 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9599 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1])), (yylsp[-1])); }
#line 36303 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9606 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36309 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9608 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36315 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9610 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36321 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9616 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36327 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9630 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36343 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9643 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36359 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9656 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 36380 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9674 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 36401 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9693 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 36407 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9694 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 36413 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9695 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 36419 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9696 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 36425 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9707 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36435 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9723 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36446 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9732 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36452 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9733 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36458 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9737 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36464 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9738 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36470 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9743 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 36478 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9747 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 36486 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9751 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 36494 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9768 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36500 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9769 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 36506 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9770 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36512 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9771 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36518 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9772 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36524 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9773 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36530 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9774 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36536 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9781 "gram.y" /* yacc.c:1646  */
    {}
#line 36542 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9782 "gram.y" /* yacc.c:1646  */
    {}
#line 36548 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9794 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 36559 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9801 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 36570 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9808 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 36582 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9819 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36593 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9836 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 36604 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9843 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 36615 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9859 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 36625 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9876 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36635 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9882 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36645 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9898 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 36658 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9911 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 36670 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9920 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 36681 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9928 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 36692 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9936 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 36704 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9945 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36718 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9956 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36732 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9967 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36744 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9976 "gram.y" /* yacc.c:1646  */
    {}
#line 36750 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9977 "gram.y" /* yacc.c:1646  */
    {}
#line 36756 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9989 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36767 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9999 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 36782 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 10010 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 36797 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 10021 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 36812 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 10032 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 36827 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 10043 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 36840 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 10052 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 36853 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 10063 "gram.y" /* yacc.c:1646  */
    {}
#line 36859 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 10064 "gram.y" /* yacc.c:1646  */
    {}
#line 36865 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 10080 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 36879 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 10102 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 36891 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 10110 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 36903 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 10119 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 36915 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 10129 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36921 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 10130 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36927 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 10143 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36945 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 10157 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36963 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 10171 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					(yyval.node) = (Node *)n;
				}
#line 36979 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 10183 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 36991 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 10191 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 37005 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 10203 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 37011 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 10204 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 37017 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 10208 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 37023 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 10209 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 37029 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 10210 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 37035 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 10211 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 37041 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 10213 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "disable_page_skipping") == 0)
						(yyval.ival) = VACOPT_DISABLE_PAGE_SKIPPING;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized VACUUM option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 37055 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 10226 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37069 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 10236 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37083 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10248 "gram.y" /* yacc.c:1646  */
    {}
#line 37089 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10249 "gram.y" /* yacc.c:1646  */
    {}
#line 37095 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10253 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37101 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10254 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37107 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10257 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37113 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10258 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37119 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10261 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37125 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10262 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37131 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10266 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37137 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10267 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37143 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10281 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 37154 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10288 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 37168 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10298 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 37179 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 10305 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37190 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10327 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 37198 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10331 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 37206 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10338 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 37214 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10344 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37220 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10345 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 37226 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10349 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37232 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10350 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 37238 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10351 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37244 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10362 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 37256 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10371 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37262 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37268 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10390 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37279 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10398 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 37298 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10414 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37304 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10415 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37310 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10426 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 37320 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10432 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 37330 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10438 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 37340 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10444 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 37350 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10461 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 37362 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10478 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 37370 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10482 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 37379 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10490 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37389 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37400 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10503 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37410 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10509 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37421 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10516 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 37431 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10524 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 37437 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10525 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 37443 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10530 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 37449 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10532 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 37455 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10537 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 37467 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10548 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 37480 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 37493 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10567 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 37501 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10574 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 37513 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10583 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 37525 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 37533 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10597 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37539 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10598 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37545 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10611 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 37559 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10623 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37565 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37571 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10636 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37584 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10646 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 37590 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10647 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 37596 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10650 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 37602 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10651 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 37608 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10652 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 37614 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10653 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 37620 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10654 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 37626 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10655 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 37632 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10656 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 37638 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10657 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 37644 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10660 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37650 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10661 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37656 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10665 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 37662 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10666 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 37668 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10667 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 37674 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10683 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 37689 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37695 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10697 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 37701 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10702 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 37710 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10707 "gram.y" /* yacc.c:1646  */
    {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 37735 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10731 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 37747 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10741 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 37753 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10742 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 37759 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10753 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 37772 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10763 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37778 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10766 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37784 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10767 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 37790 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10768 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 37796 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10769 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 37802 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10770 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 37808 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10773 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37814 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10774 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 37820 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10775 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37826 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10828 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 37832 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10829 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 37838 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10844 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37844 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10846 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 37855 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10853 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 37867 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10861 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 37879 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10869 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 37891 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10877 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 37903 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10885 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 37915 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10893 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 37927 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10903 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37933 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10904 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37939 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10934 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37955 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10948 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37972 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10960 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37978 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10962 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 38001 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10981 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 38009 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10985 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 38017 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10989 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 38025 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 11006 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 38036 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 11013 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 38047 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 11020 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 38058 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 11029 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38064 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 11030 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 38070 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 11034 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 38083 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 11045 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 38089 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 11046 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 38095 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 11051 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 38110 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 11062 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 38116 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 11071 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38125 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 11076 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38134 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 11081 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38143 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 11086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38152 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 11091 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38164 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 11099 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38176 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 11107 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 38185 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 11112 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 38194 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 11117 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 38203 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 11123 "gram.y" /* yacc.c:1646  */
    {}
#line 38209 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 11124 "gram.y" /* yacc.c:1646  */
    {}
#line 38215 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 11128 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 38221 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 11129 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 38227 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 11130 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 38233 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 11137 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 38239 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 11138 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38245 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 11142 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL;}
#line 38251 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 11143 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38257 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 11147 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 38263 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 11148 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38269 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 11152 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38275 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 11156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 38281 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 11157 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 38287 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 11161 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 38300 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 11170 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 38313 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 11182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 38319 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 11183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 38325 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 11184 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 38331 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 11185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 38337 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 11189 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38343 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 11190 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 38349 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 11195 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38355 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 11197 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 38368 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 11207 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 38374 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 11212 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38380 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11215 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 38386 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11219 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38392 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11221 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 38401 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11228 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38407 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11238 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0])); }
#line 38413 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11239 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 38419 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11240 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 38425 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11248 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38431 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11252 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38437 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11253 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38443 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11256 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38449 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11257 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38455 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38461 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38467 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38473 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11288 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 38479 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11292 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38485 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11293 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38491 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11294 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38497 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11295 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38503 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11296 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38509 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11301 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 38517 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11314 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 38525 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11321 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 38533 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11328 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38541 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11334 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38547 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11335 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 38553 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11339 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38559 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11340 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38565 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11344 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38571 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11345 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38577 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11349 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38583 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11350 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 38589 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11355 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38601 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11365 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 38607 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11366 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 38613 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11367 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 38619 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11368 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 38625 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38631 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11373 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38637 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11384 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 38647 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11390 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 38657 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11407 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38663 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11408 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38669 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11412 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38675 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11413 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 38681 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11420 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 38690 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11425 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 38702 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11433 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 38713 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11440 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 38725 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11448 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 38735 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11454 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 38746 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11461 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 38785 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11496 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 38814 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11521 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 38822 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11525 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 38831 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11551 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 38839 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11555 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 38855 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11567 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 38872 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11580 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 38890 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11594 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 38905 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11605 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 38921 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11620 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 38931 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11626 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 38940 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 38950 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11637 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 38959 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11643 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 38965 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11644 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 38971 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11653 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 38979 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11657 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 38987 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11661 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 38997 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11667 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 39007 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11673 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 39015 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11678 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 39021 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11679 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 39027 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11680 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 39033 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11681 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 39039 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11685 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39045 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11686 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39051 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11698 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 39057 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11699 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39063 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11705 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 39074 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11712 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 39085 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11719 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 39096 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11726 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 39107 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11736 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 39113 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11737 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 39119 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11751 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 39127 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11755 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 39138 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11762 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 39149 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11775 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 39163 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11787 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 39169 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11788 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39175 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11804 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 39189 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11814 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 39203 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11826 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 39209 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11830 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 39215 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11831 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 39221 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39227 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11835 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39233 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11838 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39239 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11839 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39245 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11844 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39251 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11845 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39257 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11850 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39263 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11852 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 39275 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11859 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39281 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11864 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39287 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11865 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39293 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11870 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 39301 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11874 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 39309 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11880 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 39332 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11905 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 39346 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11916 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 39360 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11927 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39366 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11928 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 39372 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 11933 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 39390 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 11947 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 39451 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 12004 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 39466 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 12018 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39472 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 12020 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39478 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 12025 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 39484 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 12027 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 39490 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 12029 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 39496 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 12031 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 39502 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 12036 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39508 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 12038 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39514 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 12043 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 39526 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 12051 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39538 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 12071 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 39547 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 12076 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 39557 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 12083 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 39566 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 12088 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 39576 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 12094 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 39585 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 12099 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 39595 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 12108 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 39601 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 12110 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 39607 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 12112 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 39613 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 12116 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39619 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 12117 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39625 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 12118 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39631 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 12119 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39637 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 12120 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39643 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12122 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 39652 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12127 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 39662 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12146 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39668 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12147 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39674 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12148 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39680 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12149 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39686 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12161 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39696 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12167 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 39706 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12174 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39712 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12175 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39718 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12182 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39727 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12187 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39736 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39745 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12197 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39754 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12202 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39763 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12207 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39772 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12212 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39781 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12217 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39791 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12223 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39801 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12229 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39811 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12235 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39820 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12242 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 39845 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12263 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 39853 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12273 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39861 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12277 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39869 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12285 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39877 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12289 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 39886 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12297 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 39899 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12309 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39917 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12330 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39925 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12334 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39933 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12340 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39941 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12344 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 39956 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12357 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39966 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12365 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39978 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12375 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 39984 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12377 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 39990 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12379 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 39996 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12381 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40002 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12383 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40008 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12385 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40014 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12389 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 40020 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12390 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 40026 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12398 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 40039 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12407 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40051 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12415 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 40064 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12424 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40076 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 40085 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12442 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 40091 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12443 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 40097 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12444 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 40103 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12449 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 40109 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12451 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 40115 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12453 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 40121 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12455 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 40127 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12457 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 40133 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12459 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40139 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 40148 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12466 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 40157 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12471 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 40167 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40179 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 40188 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12490 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40199 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12497 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40209 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12503 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40215 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12508 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 40223 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12512 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 40232 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40238 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12549 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 40244 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12551 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 40256 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12559 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 40266 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12574 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40272 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12576 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40278 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12578 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40284 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12580 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40290 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12582 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40296 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12584 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40302 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12586 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40308 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12588 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40314 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12590 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40320 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12592 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40326 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12594 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40332 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12596 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40338 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12598 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40344 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12600 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40350 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12603 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40356 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12605 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40362 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12607 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 40368 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12610 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40374 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12612 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40380 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12614 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 40386 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12616 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 40392 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12619 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 40401 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12624 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40413 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12632 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 40422 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12637 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40434 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12645 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 40443 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12650 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40455 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 40464 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12663 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40476 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12672 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 40488 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12680 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40500 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12688 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40512 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12696 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 40524 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12714 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 40536 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12722 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40548 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12730 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 40560 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12738 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40572 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12746 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 40592 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12762 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40604 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12770 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40616 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12778 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40628 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12786 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40640 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12794 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40652 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12802 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40664 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12810 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 40672 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12814 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 40680 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12818 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 40688 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12822 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 40696 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12826 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 40708 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12834 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 40720 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12842 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 40732 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 12850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 40744 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 12858 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 40768 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 12878 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 40794 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 12900 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 40809 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 12911 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 40820 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 12918 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 40840 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 12934 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 40849 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 12939 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 40859 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 12945 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40877 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 12970 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40883 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 12972 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 40889 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 12974 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40895 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 12976 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40901 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 12978 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40907 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 12980 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40913 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 12982 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40919 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 12984 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40925 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 12986 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40931 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 12988 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40937 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 12990 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40943 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 12992 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40949 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 12994 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40955 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 12996 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40961 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 12998 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40967 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 13000 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40973 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 13002 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40979 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 13004 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40985 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 13006 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 40991 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 13008 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 40999 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 13012 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 41007 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 13016 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41015 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 13020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 41023 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 13024 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 41032 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 13029 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 41042 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 13044 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41048 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 13045 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41054 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 13047 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 41073 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 13062 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 41111 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 13096 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41117 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 13098 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41123 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 13100 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 41138 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 13111 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 41166 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 13135 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41181 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 13146 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41196 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 13157 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41207 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 13164 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 41221 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 13174 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 41235 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 13184 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 41246 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 13193 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 41254 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 13197 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41264 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 13203 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41275 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 13210 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41286 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 13217 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 41300 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 13227 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 41311 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 13234 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 41331 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 13262 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 41370 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 13297 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41376 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 13307 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41382 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 13308 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41388 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 13316 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 41398 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 13322 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 41406 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 13326 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 41414 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 13330 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41422 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 13334 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 41430 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 13338 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41438 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 13342 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 41446 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 13346 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41454 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 13350 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 41462 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 13354 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41470 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 13358 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 41478 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 13362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 41486 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 13366 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 41494 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 13370 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 41502 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 13374 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 41510 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 13378 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 41518 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 13382 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 41524 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 13384 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41532 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 13388 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41545 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 13397 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41554 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 13402 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41565 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 13409 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 41584 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 13424 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41595 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 13431 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41603 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 13435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41611 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 13439 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41619 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 13443 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 41627 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 13447 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 41638 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 13454 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 41650 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 13462 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 41662 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 13470 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41670 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 13474 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 41678 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 13478 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 41686 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 13482 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 41694 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 13486 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 41702 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 13490 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 41712 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 13496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 41720 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 13500 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 41733 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 13509 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 41741 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 13513 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 41749 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 13517 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 41758 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 13522 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 41771 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 13536 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41777 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 13538 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 41783 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 13542 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 41789 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 13544 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 41795 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 13546 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 41801 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 13548 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 41807 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 13551 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41813 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 13554 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 41819 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 13555 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 41825 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 13559 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 41837 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 13567 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 41849 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 13576 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 41855 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 13577 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 41861 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 13580 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 41867 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 13581 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 41873 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 13582 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 41879 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 13588 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 41887 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 13592 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 41895 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 13596 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 41903 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 13600 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 41911 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 13610 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41917 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 13611 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41923 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 13615 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 41929 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 13616 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41935 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 13624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41941 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 13625 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41947 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 13629 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 41953 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 13631 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 41959 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 13636 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 41969 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 13644 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 41975 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 13646 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 41992 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 13659 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 41998 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 13664 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 42016 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 13689 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42022 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 13690 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 42028 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 13693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42034 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 13694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42040 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 13706 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 42062 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 13724 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 42072 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 13730 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42084 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 13740 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 42105 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 13757 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 42146 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 13802 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42158 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 13810 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42170 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 13818 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42182 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 13826 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42194 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 13834 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42206 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 13854 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42212 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 13855 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42218 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 13856 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 42224 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 13859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42230 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 13860 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42236 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 13863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 42242 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 13866 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 42248 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 13867 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 42254 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 13868 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 42260 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 13871 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42266 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 13872 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42272 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 13875 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 42278 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 13876 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 42284 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 13877 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 42290 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 13878 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 42296 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 13879 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 42302 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 13880 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 42308 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 13881 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 42314 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 13882 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 42320 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 13883 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 42326 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 13884 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 42332 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 13885 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 42338 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 13886 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 42344 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 13890 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42350 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 13892 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42356 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 13897 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42362 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 13899 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42368 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 13904 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42374 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 13906 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42380 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 13908 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 42386 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 13910 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 42392 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 13912 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 42398 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 13914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 42404 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 13926 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 42412 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 13930 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 42420 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 13937 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 42428 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 13941 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 42436 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 13947 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 42444 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 13951 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 42457 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 13960 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 42470 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 13970 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 42476 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 13971 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 42482 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 13975 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 42490 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 13979 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 42498 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 13983 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 42506 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 13988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42512 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 13989 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 42518 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 13995 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 42526 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 13998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42532 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 14005 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42538 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 14006 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 42544 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 14007 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 42550 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 14008 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 42556 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 14009 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 42562 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 14010 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 42568 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 14011 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 42574 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 14012 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42580 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 14023 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42588 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 14027 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42596 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 14034 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42602 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 14040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 42608 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 14041 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42614 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 14058 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42622 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 14062 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 42631 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 14067 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42639 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 14071 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 42658 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 14086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 42666 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 14090 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42672 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 14094 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42678 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 14097 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42684 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 14100 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 42690 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 14101 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42696 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 14102 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42702 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 14106 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 42713 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 14112 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 42719 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 14123 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 42733 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 14136 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42739 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 14137 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 42745 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 14142 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 42757 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 14152 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42763 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 14153 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42769 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 14156 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42775 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 14157 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42781 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 14161 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 42789 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 14165 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 42797 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 14172 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 42805 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 14176 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 42813 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 14180 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 42825 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 14188 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 42837 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 14198 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42843 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 14199 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42849 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 14203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42855 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 14204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 42861 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 14208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42867 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 14209 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 42873 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 14223 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42879 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 14224 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42885 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 14228 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 42891 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 14229 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 42897 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 14233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 42909 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 14249 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 42921 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 14257 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 42933 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 14265 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 42949 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 14286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 42955 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 14287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 42961 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 14299 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 42969 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 14303 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 42998 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 14330 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 43004 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 14332 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 43010 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 14336 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43016 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 14339 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43022 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 14342 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43028 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 14344 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43034 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 14346 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43040 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 14348 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43046 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 14359 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 43052 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 14361 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 43061 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 14372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 43069 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 14376 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43077 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 14380 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43085 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 14384 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43093 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 14388 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43106 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 14397 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43117 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 14404 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43153 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 14436 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 43161 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 14440 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 43171 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 14446 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43182 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 14453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 43190 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 14457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 43198 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 14461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 43206 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 14466 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 43212 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 14467 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43218 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 14469 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 43224 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 14470 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 43230 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 14471 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 43236 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 14476 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
					}
				}
#line 43268 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 14506 "gram.y" /* yacc.c:1646  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 43299 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 14533 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 43307 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 14537 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 43315 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 14543 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 43321 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 14545 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 43327 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 14561 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43333 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 14562 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43339 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 14563 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43345 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 14568 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43351 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 14569 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43357 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 14570 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43363 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 14575 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43369 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 14576 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43375 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 14577 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43381 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 14578 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43387 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 14584 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43393 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 14585 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43399 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 14586 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43405 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 14587 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43411 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 14588 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43417 "gram.c" /* yacc.c:1646  */
    break;


#line 43421 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15077 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
