/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTACH = 372,
    ATTRIBUTE = 373,
    AUTHORIZATION = 374,
    BACKWARD = 375,
    BEFORE = 376,
    BEGIN_P = 377,
    BETWEEN = 378,
    BIGINT = 379,
    BINARY = 380,
    BIT = 381,
    BOOLEAN_P = 382,
    BOTH = 383,
    BY = 384,
    CACHE = 385,
    CALLED = 386,
    CASCADE = 387,
    CASCADED = 388,
    CASE = 389,
    CAST = 390,
    CATALOG_P = 391,
    CHAIN = 392,
    CHAR_P = 393,
    CHARACTER = 394,
    CHARACTERISTICS = 395,
    CHECK = 396,
    CHECKPOINT = 397,
    CLASS = 398,
    CLOSE = 399,
    CLUSTER = 400,
    COALESCE = 401,
    COLLATE = 402,
    COLLATION = 403,
    COLUMN = 404,
    COLUMNS = 405,
    COMMENT = 406,
    COMMENTS = 407,
    COMMIT = 408,
    COMMITTED = 409,
    CONCURRENTLY = 410,
    CONFIGURATION = 411,
    CONFLICT = 412,
    CONNECTION = 413,
    CONSTRAINT = 414,
    CONSTRAINTS = 415,
    CONTENT_P = 416,
    CONTINUE_P = 417,
    CONVERSION_P = 418,
    COPY = 419,
    COST = 420,
    CREATE = 421,
    CROSS = 422,
    CSV = 423,
    CUBE = 424,
    CURRENT_P = 425,
    CURRENT_CATALOG = 426,
    CURRENT_DATE = 427,
    CURRENT_ROLE = 428,
    CURRENT_SCHEMA = 429,
    CURRENT_TIME = 430,
    CURRENT_TIMESTAMP = 431,
    CURRENT_USER = 432,
    CURSOR = 433,
    CYCLE = 434,
    DATA_P = 435,
    DATABASE = 436,
    DAY_P = 437,
    DEALLOCATE = 438,
    DEC = 439,
    DECIMAL_P = 440,
    DECLARE = 441,
    DEFAULT = 442,
    DEFAULTS = 443,
    DEFERRABLE = 444,
    DEFERRED = 445,
    DEFINER = 446,
    DELETE_P = 447,
    DELIMITER = 448,
    DELIMITERS = 449,
    DEPENDS = 450,
    DESC = 451,
    DETACH = 452,
    DICTIONARY = 453,
    DISABLE_P = 454,
    DISCARD = 455,
    DISTINCT = 456,
    DO = 457,
    DOCUMENT_P = 458,
    DOMAIN_P = 459,
    DOUBLE_P = 460,
    DROP = 461,
    EACH = 462,
    ELSE = 463,
    ENABLE_P = 464,
    ENCODING = 465,
    ENCRYPTED = 466,
    END_P = 467,
    ENUM_P = 468,
    ESCAPE = 469,
    EVENT = 470,
    EXCEPT = 471,
    EXCLUDE = 472,
    EXCLUDING = 473,
    EXCLUSIVE = 474,
    EXECUTE = 475,
    EXISTS = 476,
    EXPLAIN = 477,
    EXTENSION = 478,
    EXTERNAL = 479,
    EXTRACT = 480,
    FALSE_P = 481,
    FAMILY = 482,
    FETCH = 483,
    FILTER = 484,
    FIRST_P = 485,
    FLOAT_P = 486,
    FOLLOWING = 487,
    FOR = 488,
    FORCE = 489,
    FOREIGN = 490,
    FORWARD = 491,
    FREEZE = 492,
    FROM = 493,
    FULL = 494,
    FUNCTION = 495,
    FUNCTIONS = 496,
    GENERATED = 497,
    GLOBAL = 498,
    GRANT = 499,
    GRANTED = 500,
    GREATEST = 501,
    GROUP_P = 502,
    GROUPING = 503,
    HANDLER = 504,
    HAVING = 505,
    HEADER_P = 506,
    HOLD = 507,
    HOUR_P = 508,
    IDENTITY_P = 509,
    IF_P = 510,
    ILIKE = 511,
    IMMEDIATE = 512,
    IMMUTABLE = 513,
    IMPLICIT_P = 514,
    IMPORT_P = 515,
    IN_P = 516,
    INCLUDING = 517,
    INCREMENT = 518,
    INDEX = 519,
    INDEXES = 520,
    INHERIT = 521,
    INHERITS = 522,
    INITIALLY = 523,
    INLINE_P = 524,
    INNER_P = 525,
    INOUT = 526,
    INPUT_P = 527,
    INSENSITIVE = 528,
    INSERT = 529,
    INSTEAD = 530,
    INT_P = 531,
    INTEGER = 532,
    INTERSECT = 533,
    INTERVAL = 534,
    INTO = 535,
    INVOKER = 536,
    IS = 537,
    ISNULL = 538,
    ISOLATION = 539,
    JOIN = 540,
    KEY = 541,
    LABEL = 542,
    LANGUAGE = 543,
    LARGE_P = 544,
    LAST_P = 545,
    LATERAL_P = 546,
    LEADING = 547,
    LEAKPROOF = 548,
    LEAST = 549,
    LEFT = 550,
    LEVEL = 551,
    LIKE = 552,
    LIMIT = 553,
    LISTEN = 554,
    LOAD = 555,
    LOCAL = 556,
    LOCALTIME = 557,
    LOCALTIMESTAMP = 558,
    LOCATION = 559,
    LOCK_P = 560,
    LOCKED = 561,
    LOGGED = 562,
    MAPPING = 563,
    MATCH = 564,
    MATERIALIZED = 565,
    MAXVALUE = 566,
    METHOD = 567,
    MINUTE_P = 568,
    MINVALUE = 569,
    MODE = 570,
    MONTH_P = 571,
    MOVE = 572,
    NAME_P = 573,
    NAMES = 574,
    NATIONAL = 575,
    NATURAL = 576,
    NCHAR = 577,
    NEW = 578,
    NEXT = 579,
    NO = 580,
    NONE = 581,
    NOT = 582,
    NOTHING = 583,
    NOTIFY = 584,
    NOTNULL = 585,
    NOWAIT = 586,
    NULL_P = 587,
    NULLIF = 588,
    NULLS_P = 589,
    NUMERIC = 590,
    OBJECT_P = 591,
    OF = 592,
    OFF = 593,
    OFFSET = 594,
    OIDS = 595,
    OLD = 596,
    ON = 597,
    ONLY = 598,
    OPERATOR = 599,
    OPTION = 600,
    OPTIONS = 601,
    OR = 602,
    ORDER = 603,
    ORDINALITY = 604,
    OUT_P = 605,
    OUTER_P = 606,
    OVER = 607,
    OVERLAPS = 608,
    OVERLAY = 609,
    OVERRIDING = 610,
    OWNED = 611,
    OWNER = 612,
    PARALLEL = 613,
    PARSER = 614,
    PARTIAL = 615,
    PARTITION = 616,
    PASSING = 617,
    PASSWORD = 618,
    PLACING = 619,
    PLANS = 620,
    POLICY = 621,
    POSITION = 622,
    PRECEDING = 623,
    PRECISION = 624,
    PRESERVE = 625,
    PREPARE = 626,
    PREPARED = 627,
    PRIMARY = 628,
    PRIOR = 629,
    PRIVILEGES = 630,
    PROCEDURAL = 631,
    PROCEDURE = 632,
    PROGRAM = 633,
    PUBLICATION = 634,
    QUOTE = 635,
    RANGE = 636,
    READ = 637,
    REAL = 638,
    REASSIGN = 639,
    RECHECK = 640,
    RECURSIVE = 641,
    REF = 642,
    REFERENCES = 643,
    REFERENCING = 644,
    REFRESH = 645,
    REINDEX = 646,
    RELATIVE_P = 647,
    RELEASE = 648,
    RENAME = 649,
    REPEATABLE = 650,
    REPLACE = 651,
    REPLICA = 652,
    RESET = 653,
    RESTART = 654,
    RESTRICT = 655,
    RETURNING = 656,
    RETURNS = 657,
    REVOKE = 658,
    RIGHT = 659,
    ROLE = 660,
    ROLLBACK = 661,
    ROLLUP = 662,
    ROW = 663,
    ROWS = 664,
    RULE = 665,
    SAVEPOINT = 666,
    SCHEMA = 667,
    SCHEMAS = 668,
    SCROLL = 669,
    SEARCH = 670,
    SECOND_P = 671,
    SECURITY = 672,
    SELECT = 673,
    SEQUENCE = 674,
    SEQUENCES = 675,
    SERIALIZABLE = 676,
    SERVER = 677,
    SESSION = 678,
    SESSION_USER = 679,
    SET = 680,
    SETS = 681,
    SETOF = 682,
    SHARE = 683,
    SHOW = 684,
    SIMILAR = 685,
    SIMPLE = 686,
    SKIP = 687,
    SMALLINT = 688,
    SNAPSHOT = 689,
    SOME = 690,
    SQL_P = 691,
    STABLE = 692,
    STANDALONE_P = 693,
    START = 694,
    STATEMENT = 695,
    STATISTICS = 696,
    STDIN = 697,
    STDOUT = 698,
    STORAGE = 699,
    STRICT_P = 700,
    STRIP_P = 701,
    SUBSCRIPTION = 702,
    SUBSTRING = 703,
    SYMMETRIC = 704,
    SYSID = 705,
    SYSTEM_P = 706,
    TABLE = 707,
    TABLES = 708,
    TABLESAMPLE = 709,
    TABLESPACE = 710,
    TEMP = 711,
    TEMPLATE = 712,
    TEMPORARY = 713,
    TEXT_P = 714,
    THEN = 715,
    TIME = 716,
    TIMESTAMP = 717,
    TO = 718,
    TRAILING = 719,
    TRANSACTION = 720,
    TRANSFORM = 721,
    TREAT = 722,
    TRIGGER = 723,
    TRIM = 724,
    TRUE_P = 725,
    TRUNCATE = 726,
    TRUSTED = 727,
    TYPE_P = 728,
    TYPES_P = 729,
    UNBOUNDED = 730,
    UNCOMMITTED = 731,
    UNENCRYPTED = 732,
    UNION = 733,
    UNIQUE = 734,
    UNKNOWN = 735,
    UNLISTEN = 736,
    UNLOGGED = 737,
    UNTIL = 738,
    UPDATE = 739,
    USER = 740,
    USING = 741,
    VACUUM = 742,
    VALID = 743,
    VALIDATE = 744,
    VALIDATOR = 745,
    VALUE_P = 746,
    VALUES = 747,
    VARCHAR = 748,
    VARIADIC = 749,
    VARYING = 750,
    VERBOSE = 751,
    VERSION_P = 752,
    VIEW = 753,
    VIEWS = 754,
    VOLATILE = 755,
    WHEN = 756,
    WHERE = 757,
    WHITESPACE_P = 758,
    WINDOW = 759,
    WITH = 760,
    WITHIN = 761,
    WITHOUT = 762,
    WORK = 763,
    WRAPPER = 764,
    WRITE = 765,
    XML_P = 766,
    XMLATTRIBUTES = 767,
    XMLCONCAT = 768,
    XMLELEMENT = 769,
    XMLEXISTS = 770,
    XMLFOREST = 771,
    XMLNAMESPACES = 772,
    XMLPARSE = 773,
    XMLPI = 774,
    XMLROOT = 775,
    XMLSERIALIZE = 776,
    XMLTABLE = 777,
    YEAR_P = 778,
    YES_P = 779,
    ZONE = 780,
    NOT_LA = 781,
    NULLS_LA = 782,
    WITH_LA = 783,
    POSTFIXOP = 784,
    UMINUS = 785
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1233 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1262 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   132505

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  550
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  799
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3133
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5947

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   785

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   537,     2,     2,
     542,   543,   535,   533,   545,   534,   544,   536,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   547,   546,
     529,   531,   530,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   540,     2,   541,   538,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   548,     2,   549,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   532,   539
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1601,  1601,  1604,  1606,  1608,  1610,  1612,  1614,  1616,
    1618,  1620,  1622,  1624,  1626,  1628,  1630,  1632,  1634,  1636,
    1638,  1640,  1642,  1644,  1646,  1648,  1650,  1652,  1654,  1656,
    1658,  1660,  1662,  1664,  1666,  1668,  1670,  1672,  1674,  1692,
    1694,  1696,  1698,  1700,  1702,  1704,  1706,  1708,  1710,  1712,
    1714,  1716,  1718,  1720,  1722,  1724,  1726,  1728,  1730,  1732,
    1734,  1736,  1738,  1740,  1742,  1744,  1746,  1748,  1750,  1752,
    1754,  1756,  1758,  1760,  1762,  1764,  1768,  1770,  1772,  1774,
    1776,  1778,  1780,  1782,  1784,  1786,  1788,  1790,  1792,  1794,
    1796,  1798,  1800,  1802,  1804,  1806,  1808,  1810,  1812,  1814,
    1816,  1818,  1820,  1822,  1824,  1826,  1828,  1830,  1832,  1834,
    1841,  1843,  1845,  1847,  1849,  1851,  1853,  1855,  1857,  1859,
    1861,  1863,  1869,  1871,  1873,  1875,  1877,  1879,  1881,  1883,
    1885,  1891,  1901,  1905,  1911,  1915,  1925,  1935,  1936,  1950,
    1957,  1963,  1974,  1980,  1989,  1996,  2002,  2011,  2018,  2026,
    2031,  2039,  2043,  2048,  2054,  2059,  2065,  2070,  2076,  2080,
    2084,  2088,  2093,  2097,  2101,  2105,  2109,  2117,  2121,  2125,
    2129,  2133,  2137,  2145,  2153,  2162,  2164,  2172,  2176,  2184,
    2192,  2200,  2204,  2212,  2216,  2224,  2232,  2240,  2244,  2252,
    2256,  2264,  2268,  2272,  2277,  2286,  2291,  2297,  2302,  2308,
    2312,  2316,  2320,  2324,  2328,  2336,  2340,  2344,  2352,  2356,
    2360,  2368,  2372,  2376,  2380,  2381,  2385,  2389,  2393,  2398,
    2402,  2406,  2410,  2414,  2418,  2422,  2430,  2434,  2442,  2446,
    2454,  2458,  2472,  2476,  2480,  2484,  2492,  2496,  2500,  2504,
    2512,  2516,  2520,  2524,  2528,  2532,  2536,  2544,  2548,  2553,
    2559,  2563,  2571,  2579,  2583,  2587,  2591,  2599,  2603,  2611,
    2615,  2623,  2627,  2635,  2639,  2643,  2647,  2651,  2660,  2668,
    2672,  2680,  2684,  2692,  2700,  2704,  2708,  2712,  2716,  2724,
    2728,  2732,  2736,  2740,  2744,  2748,  2752,  2756,  2760,  2764,
    2768,  2772,  2776,  2780,  2784,  2788,  2792,  2800,  2804,  2812,
    2816,  2824,  2828,  2832,  2836,  2840,  2844,  2848,  2852,  2856,
    2860,  2864,  2868,  2872,  2876,  2880,  2884,  2888,  2892,  2896,
    2900,  2904,  2908,  2912,  2916,  2920,  2924,  2928,  2932,  2936,
    2940,  2944,  2948,  2952,  2956,  2960,  2964,  2968,  2972,  2976,
    2980,  2984,  2988,  2992,  2996,  3000,  3004,  3008,  3012,  3016,
    3020,  3024,  3028,  3032,  3036,  3040,  3044,  3052,  3056,  3064,
    3068,  3073,  3079,  3084,  3090,  3095,  3101,  3105,  3109,  3113,
    3121,  3129,  3134,  3140,  3144,  3152,  3156,  3160,  3164,  3172,
    3176,  3184,  3188,  3192,  3196,  3204,  3208,  3216,  3220,  3224,
    3232,  3236,  3244,  3248,  3256,  3260,  3268,  3276,  3280,  3288,
    3292,  3296,  3300,  3308,  3313,  3321,  3329,  3337,  3341,  3349,
    3354,  3360,  3364,  3368,  3376,  3380,  3388,  3393,  3399,  3403,
    3407,  3411,  3415,  3419,  3423,  3427,  3431,  3435,  3439,  3443,
    3447,  3451,  3459,  3464,  3470,  3475,  3481,  3486,  3492,  3497,
    3503,  3507,  3515,  3523,  3527,  3531,  3535,  3540,  3546,  3550,
    3558,  3566,  3570,  3574,  3578,  3582,  3586,  3594,  3598,  3602,
    3606,  3610,  3614,  3618,  3623,  3629,  3634,  3640,  3645,  3651,
    3655,  3663,  3667,  3675,  3679,  3683,  3691,  3695,  3703,  3711,
    3715,  3723,  3728,  3734,  3738,  3742,  3746,  3754,  3758,  3762,
    3766,  3770,  3774,  3778,  3782,  3790,  3794,  3802,  3806,  3810,
    3814,  3822,  3830,  3834,  3839,  3845,  3849,  3853,  3857,  3861,
    3865,  3869,  3877,  3881,  3889,  3893,  3897,  3901,  3905,  3909,
    3913,  3921,  3926,  3932,  3937,  3943,  3947,  3955,  3963,  3967,
    3972,  3977,  3983,  3987,  3995,  3999,  4007,  4012,  4018,  4022,
    4026,  4030,  4035,  4041,  4049,  4057,  4061,  4065,  4069,  4073,
    4081,  4086,  4092,  4097,  4103,  4111,  4115,  4123,  4127,  4135,
    4139,  4143,  4151,  4155,  4159,  4164,  4170,  4174,  4178,  4183,
    4189,  4194,  4200,  4205,  4211,  4219,  4223,  4231,  4239,  4243,
    4248,  4254,  4258,  4266,  4274,  4279,  4285,  4293,  4297,  4305,
    4309,  4317,  4322,  4328,  4333,  4339,  4343,  4351,  4355,  4359,
    4363,  4367,  4371,  4375,  4379,  4383,  4387,  4391,  4395,  4399,
    4403,  4411,  4416,  4422,  4426,  4430,  4434,  4442,  4446,  4454,
    4458,  4466,  4471,  4477,  4481,  4489,  4494,  4500,  4504,  4512,
    4517,  4523,  4527,  4535,  4540,  4546,  4554,  4559,  4565,  4569,
    4577,  4581,  4589,  4594,  4600,  4604,  4608,  4612,  4620,  4628,
    4633,  4639,  4647,  4651,  4655,  4659,  4663,  4667,  4671,  4675,
    4679,  4683,  4687,  4691,  4695,  4699,  4703,  4707,  4711,  4715,
    4719,  4723,  4727,  4731,  4735,  4739,  4743,  4747,  4755,  4763,
    4767,  4771,  4775,  4783,  4787,  4795,  4800,  4806,  4810,  4818,
    4823,  4829,  4833,  4841,  4849,  4853,  4861,  4865,  4869,  4873,
    4881,  4889,  4897,  4905,  4909,  4917,  4922,  4928,  4932,  4940,
    4945,  4951,  4955,  4959,  4967,  4971,  4975,  4979,  4987,  4991,
    4999,  5007,  5011,  5019,  5024,  5030,  5034,  5042,  5046,  5054,
    5058,  5066,  5074,  5082,  5090,  5095,  5101,  5106,  5112,  5117,
    5123,  5128,  5134,  5139,  5145,  5150,  5156,  5160,  5164,  5168,
    5172,  5180,  5188,  5192,  5200,  5204,  5208,  5216,  5220,  5228,
    5232,  5236,  5240,  5244,  5252,  5257,  5263,  5267,  5275,  5283,
    5287,  5295,  5299,  5307,  5315,  5320,  5326,  5331,  5337,  5341,
    5349,  5354,  5360,  5364,  5369,  5375,  5379,  5383,  5387,  5395,
    5400,  5407,  5409,  5417,  5421,  5425,  5429,  5433,  5437,  5445,
    5449,  5457,  5461,  5469,  5477,  5481,  5489,  5497,  5501,  5505,
    5509,  5517,  5526,  5535,  5539,  5543,  5547,  5551,  5555,  5559,
    5563,  5567,  5571,  5575,  5579,  5583,  5587,  5591,  5595,  5603,
    5611,  5615,  5623,  5627,  5635,  5639,  5643,  5647,  5651,  5655,
    5663,  5671,  5675,  5683,  5691,  5696,  5702,  5706,  5714,  5718,
    5722,  5726,  5734,  5739,  5745,  5753,  5757,  5765,  5769,  5773,
    5777,  5781,  5789,  5794,  5800,  5805,  5811,  5815,  5820,  5826,
    5832,  5838,  5846,  5850,  5858,  5862,  5870,  5874,  5882,  5886,
    5894,  5898,  5906,  5914,  5922,  5926,  5930,  5934,  5938,  5942,
    5946,  5950,  5954,  5958,  5962,  5966,  5974,  5978,  5982,  5986,
    5990,  5994,  5998,  6002,  6006,  6010,  6014,  6018,  6022,  6030,
    6034,  6038,  6042,  6046,  6050,  6054,  6062,  6066,  6070,  6078,
    6082,  6090,  6094,  6102,  6106,  6114,  6118,  6119,  6127,  6131,
    6136,  6142,  6146,  6150,  6154,  6158,  6162,  6166,  6170,  6174,
    6178,  6182,  6186,  6190,  6194,  6198,  6202,  6206,  6214,  6218,
    6222,  6226,  6230,  6234,  6238,  6242,  6246,  6250,  6254,  6258,
    6262,  6266,  6274,  6278,  6282,  6286,  6290,  6294,  6298,  6302,
    6306,  6310,  6314,  6318,  6326,  6330,  6338,  6342,  6346,  6350,
    6354,  6358,  6362,  6370,  6375,  6381,  6385,  6389,  6393,  6397,
    6401,  6409,  6413,  6417,  6421,  6425,  6429,  6433,  6437,  6445,
    6449,  6457,  6461,  6465,  6469,  6475,  6481,  6487,  6493,  6499,
    6505,  6511,  6521,  6532,  6543,  6554,  6565,  6576,  6587,  6603,
    6619,  6635,  6646,  6662,  6673,  6689,  6704,  6708,  6716,  6721,
    6727,  6735,  6739,  6747,  6751,  6755,  6759,  6763,  6771,  6775,
    6783,  6787,  6791,  6795,  6803,  6807,  6811,  6815,  6819,  6823,
    6827,  6831,  6835,  6839,  6843,  6847,  6851,  6855,  6859,  6863,
    6871,  6875,  6883,  6887,  6895,  6900,  6906,  6914,  6918,  6926,
    6931,  6937,  6942,  6948,  6956,  6961,  6967,  6971,  6975,  6983,
    6987,  6991,  6999,  7003,  7007,  7011,  7015,  7023,  7027,  7035,
    7040,  7046,  7051,  7057,  7062,  7068,  7073,  7079,  7083,  7091,
    7095,  7099,  7107,  7112,  7118,  7123,  7129,  7133,  7138,  7144,
    7148,  7153,  7159,  7163,  7167,  7175,  7180,  7186,  7190,  7198,
    7202,  7210,  7214,  7222,  7226,  7230,  7234,  7242,  7246,  7254,
    7258,  7266,  7270,  7274,  7278,  7282,  7290,  7294,  7298,  7302,
    7306,  7314,  7322,  7330,  7334,  7338,  7346,  7350,  7354,  7362,
    7371,  7375,  7379,  7383,  7391,  7395,  7403,  7411,  7415,  7423,
    7427,  7435,  7439,  7443,  7447,  7451,  7455,  7459,  7463,  7467,
    7471,  7475,  7479,  7483,  7487,  7491,  7495,  7503,  7507,  7511,
    7515,  7519,  7527,  7531,  7539,  7543,  7551,  7556,  7562,  7570,
    7574,  7582,  7590,  7594,  7602,  7607,  7613,  7617,  7625,  7629,
    7637,  7641,  7649,  7653,  7657,  7661,  7669,  7673,  7681,  7685,
    7693,  7701,  7709,  7713,  7721,  7725,  7733,  7737,  7741,  7749,
    7753,  7758,  7764,  7772,  7777,  7783,  7791,  7795,  7799,  7803,
    7811,  7819,  7823,  7827,  7831,  7839,  7843,  7851,  7855,  7859,
    7867,  7871,  7879,  7887,  7891,  7899,  7903,  7907,  7911,  7915,
    7919,  7923,  7927,  7931,  7935,  7939,  7943,  7947,  7951,  7955,
    7959,  7963,  7967,  7971,  7975,  7979,  7983,  7987,  7991,  7995,
    7999,  8003,  8007,  8011,  8015,  8019,  8023,  8027,  8031,  8035,
    8039,  8043,  8047,  8051,  8055,  8059,  8063,  8067,  8071,  8075,
    8079,  8083,  8087,  8091,  8095,  8099,  8107,  8112,  8118,  8123,
    8129,  8133,  8137,  8141,  8149,  8153,  8157,  8161,  8165,  8169,
    8173,  8177,  8181,  8185,  8189,  8193,  8197,  8201,  8205,  8209,
    8213,  8217,  8221,  8225,  8229,  8233,  8237,  8241,  8245,  8253,
    8261,  8265,  8273,  8277,  8285,  8289,  8293,  8297,  8301,  8309,
    8313,  8317,  8321,  8325,  8329,  8333,  8337,  8341,  8345,  8349,
    8353,  8357,  8361,  8365,  8369,  8373,  8377,  8381,  8385,  8389,
    8393,  8401,  8409,  8414,  8420,  8424,  8432,  8436,  8440,  8444,
    8452,  8460,  8464,  8472,  8480,  8484,  8488,  8492,  8496,  8500,
    8508,  8512,  8520,  8528,  8532,  8536,  8544,  8548,  8556,  8560,
    8564,  8568,  8572,  8580,  8585,  8591,  8595,  8599,  8603,  8611,
    8615,  8620,  8626,  8634,  8639,  8645,  8653,  8657,  8665,  8669,
    8673,  8677,  8681,  8685,  8689,  8693,  8697,  8701,  8705,  8709,
    8713,  8717,  8725,  8729,  8734,  8740,  8744,  8748,  8752,  8756,
    8764,  8768,  8772,  8780,  8785,  8791,  8795,  8799,  8804,  8813,
    8817,  8821,  8826,  8832,  8840,  8848,  8853,  8859,  8863,  8871,
    8875,  8879,  8887,  8891,  8895,  8899,  8903,  8907,  8911,  8919,
    8924,  8930,  8934,  8938,  8946,  8954,  8958,  8966,  8974,  8978,
    8986,  8994,  8998,  9002,  9006,  9010,  9014,  9018,  9026,  9031,
    9037,  9045,  9049,  9053,  9057,  9061,  9065,  9073,  9077,  9085,
    9093,  9097,  9101,  9109,  9114,  9120,  9124,  9128,  9132,  9136,
    9144,  9148,  9156,  9160,  9164,  9168,  9172,  9180,  9184,  9192,
    9196,  9204,  9209,  9215,  9220,  9226,  9231,  9237,  9242,  9248,
    9252,  9256,  9260,  9268,  9272,  9276,  9280,  9284,  9288,  9292,
    9296,  9300,  9308,  9312,  9320,  9328,  9332,  9340,  9344,  9349,
    9355,  9361,  9371,  9376,  9382,  9386,  9390,  9394,  9402,  9404,
    9412,  9417,  9423,  9431,  9435,  9443,  9447,  9451,  9455,  9459,
    9467,  9471,  9479,  9483,  9491,  9499,  9503,  9508,  9514,  9518,
    9523,  9529,  9534,  9540,  9548,  9553,  9559,  9567,  9572,  9578,
    9582,  9586,  9590,  9594,  9598,  9602,  9606,  9614,  9619,  9625,
    9629,  9634,  9640,  9648,  9652,  9660,  9664,  9672,  9680,  9684,
    9692,  9745,  9749,  9762,  9764,  9768,  9772,  9776,  9785,  9791,
    9795,  9803,  9807,  9815,  9819,  9827,  9831,  9835,  9839,  9843,
    9847,  9851,  9855,  9863,  9867,  9875,  9879,  9883,  9887,  9891,
    9895,  9899,  9907,  9911,  9915,  9923,  9927,  9935,  9943,  9948,
    9954,  9959,  9961,  9967,  9971,  9975,  9979,  9983,  9987,  9991,
    9995,  9999, 10007, 10012, 10018, 10022, 10027, 10033, 10037, 10045,
   10050, 10056, 10061, 10067, 10075, 10079, 10087, 10091, 10099, 10103,
   10107, 10111, 10119, 10124, 10130, 10134, 10139, 10147, 10151, 10159,
   10163, 10171, 10179, 10183, 10188, 10194, 10202, 10206, 10214, 10218,
   10226, 10231, 10237, 10241, 10249, 10253, 10257, 10261, 10265, 10273,
   10281, 10289, 10297, 10305, 10310, 10316, 10320, 10328, 10333, 10339,
   10343, 10351, 10359, 10363, 10367, 10371, 10379, 10384, 10390, 10394,
   10402, 10407, 10413, 10417, 10425, 10429, 10433, 10437, 10441, 10445,
   10449, 10456, 10463, 10467, 10475, 10479, 10483, 10487, 10491, 10495,
   10503, 10507, 10511, 10515, 10523, 10528, 10534, 10538, 10542, 10546,
   10551, 10557, 10561, 10565, 10569, 10577, 10582, 10588, 10592, 10600,
   10604, 10608, 10612, 10620, 10624, 10632, 10636, 10640, 10648, 10656,
   10661, 10667, 10671, 10679, 10687, 10691, 10699, 10704, 10710, 10715,
   10721, 10726, 10732, 10736, 10742, 10748, 10753, 10759, 10763, 10771,
   10779, 10783, 10791, 10795, 10803, 10807, 10811, 10819, 10823, 10831,
   10835, 10839, 10843, 10851, 10855, 10863, 10867, 10875, 10877, 10879,
   10883, 10887, 10891, 10899, 10909, 10920, 10929, 10933, 10937, 10941,
   10945, 10949, 10953, 10961, 10965, 10969, 10973, 10981, 10985, 10993,
   10998, 11004, 11008, 11012, 11016, 11020, 11024, 11028, 11032, 11036,
   11040, 11044, 11052, 11057, 11063, 11067, 11075, 11079, 11087, 11095,
   11103, 11107, 11115, 11119, 11127, 11135, 11143, 11147, 11151, 11155,
   11159, 11163, 11171, 11176, 11182, 11186, 11190, 11194, 11202, 11210,
   11214, 11219, 11225, 11229, 11233, 11237, 11241, 11245, 11249, 11253,
   11257, 11261, 11265, 11269, 11273, 11278, 11284, 11288, 11296, 11300,
   11304, 11308, 11312, 11316, 11320, 11324, 11328, 11332, 11336, 11340,
   11344, 11348, 11352, 11356, 11360, 11364, 11368, 11372, 11376, 11380,
   11384, 11388, 11392, 11396, 11400, 11404, 11408, 11412, 11416, 11420,
   11424, 11428, 11432, 11436, 11440, 11444, 11448, 11452, 11456, 11460,
   11464, 11468, 11472, 11476, 11480, 11484, 11488, 11492, 11496, 11500,
   11504, 11508, 11512, 11516, 11520, 11524, 11528, 11532, 11536, 11541,
   11545, 11549, 11557, 11561, 11565, 11569, 11573, 11577, 11581, 11585,
   11589, 11593, 11597, 11601, 11605, 11609, 11613, 11617, 11621, 11625,
   11629, 11633, 11637, 11641, 11645, 11649, 11653, 11661, 11665, 11669,
   11673, 11677, 11681, 11685, 11689, 11693, 11697, 11701, 11705, 11709,
   11713, 11721, 11725, 11729, 11733, 11737, 11741, 11745, 11753, 11757,
   11765, 11769, 11777, 11781, 11785, 11789, 11793, 11797, 11801, 11805,
   11809, 11813, 11817, 11821, 11825, 11829, 11833, 11837, 11841, 11845,
   11849, 11853, 11857, 11861, 11865, 11869, 11873, 11877, 11881, 11885,
   11889, 11893, 11897, 11901, 11905, 11909, 11913, 11917, 11921, 11925,
   11929, 11933, 11937, 11941, 11949, 11953, 11961, 11965, 11969, 11974,
   11980, 11988, 11992, 12000, 12004, 12012, 12016, 12024, 12028, 12033,
   12039, 12043, 12047, 12051, 12059, 12064, 12070, 12075, 12081, 12086,
   12092, 12096, 12104, 12112, 12116, 12121, 12127, 12135, 12139, 12146,
   12151, 12157, 12162, 12167, 12173, 12177, 12185, 12189, 12193, 12197,
   12201, 12209, 12213, 12217, 12225, 12229, 12237, 12245, 12249, 12253,
   12261, 12265, 12273, 12277, 12281, 12285, 12289, 12293, 12297, 12301,
   12305, 12309, 12313, 12317, 12325, 12329, 12337, 12341, 12349, 12353,
   12357, 12361, 12365, 12369, 12377, 12381, 12389, 12393, 12401, 12405,
   12409, 12417, 12421, 12429, 12433, 12437, 12445, 12449, 12457, 12462,
   12468, 12472, 12476, 12480, 12484, 12488, 12492, 12496, 12504, 12508,
   12516, 12524, 12529, 12535, 12539, 12543, 12547, 12551, 12556, 12562,
   12570, 12578, 12582, 12586, 12594, 12598, 12606, 12614, 12618, 12626,
   12634, 12639, 12645, 12650, 12656, 12660, 12668, 12672, 12676, 12680,
   12688, 12693, 12699, 12703, 12712, 12714, 12722, 12727, 12733, 12738,
   12744, 12748, 12756, 12760, 12764, 12768, 12776, 12780, 12788, 12792,
   12800, 12804, 12812, 12820, 12828, 12836, 12844, 12852, 12860, 12864,
   12872, 12876, 12880, 12884, 12888, 12892, 12896, 12900, 12904, 12908,
   12912, 12916, 12920, 12924, 12925, 12930, 12936, 12940, 12941, 12945,
   12953, 12961, 12965, 12969, 12977, 12981, 12989, 12993, 12997, 13001,
   13009, 13013, 13017, 13021, 13025, 13029, 13033, 13037, 13041, 13045,
   13049, 13053, 13057, 13061, 13065, 13069, 13073, 13077, 13081, 13085,
   13089, 13093, 13097, 13101, 13105, 13109, 13113, 13117, 13121, 13125,
   13129, 13133, 13137, 13141, 13145, 13149, 13153, 13157, 13161, 13165,
   13169, 13173, 13177, 13181, 13185, 13189, 13193, 13197, 13201, 13205,
   13209, 13213, 13217, 13221, 13225, 13229, 13233, 13237, 13241, 13245,
   13249, 13253, 13257, 13261, 13265, 13269, 13273, 13277, 13281, 13285,
   13289, 13293, 13297, 13301, 13305, 13309, 13313, 13317, 13321, 13325,
   13329, 13333, 13337, 13341, 13345, 13349, 13353, 13357, 13361, 13365,
   13369, 13373, 13377, 13381, 13385, 13389, 13393, 13397, 13401, 13405,
   13409, 13413, 13417, 13421, 13425, 13429, 13433, 13437, 13441, 13445,
   13449, 13453, 13457, 13461, 13465, 13469, 13473, 13477, 13481, 13485,
   13489, 13493, 13497, 13501, 13505, 13509, 13513, 13517, 13521, 13525,
   13529, 13533, 13537, 13541, 13545, 13549, 13553, 13557, 13561, 13565,
   13569, 13573, 13577, 13581, 13585, 13589, 13593, 13597, 13601, 13605,
   13609, 13613, 13617, 13621, 13625, 13629, 13633, 13637, 13641, 13645,
   13649, 13653, 13657, 13661, 13665, 13669, 13673, 13677, 13681, 13685,
   13689, 13693, 13697, 13701, 13705, 13709, 13713, 13717, 13721, 13725,
   13729, 13733, 13737, 13741, 13745, 13749, 13753, 13757, 13761, 13765,
   13769, 13773, 13777, 13781, 13785, 13789, 13793, 13797, 13801, 13805,
   13809, 13813, 13817, 13821, 13825, 13829, 13833, 13837, 13841, 13845,
   13849, 13853, 13857, 13861, 13865, 13869, 13873, 13877, 13881, 13885,
   13889, 13893, 13897, 13901, 13905, 13909, 13913, 13917, 13921, 13925,
   13929, 13933, 13937, 13941, 13945, 13949, 13953, 13957, 13961, 13965,
   13969, 13973, 13977, 13981, 13985, 13989, 13993, 13997, 14001, 14005,
   14009, 14013, 14017, 14021, 14025, 14029, 14033, 14037, 14041, 14045,
   14049, 14053, 14057, 14061, 14065, 14069, 14073, 14077, 14081, 14085,
   14089, 14093, 14097, 14105, 14109, 14113, 14117, 14121, 14125, 14129,
   14133, 14137, 14141, 14145, 14149, 14153, 14157, 14161, 14165, 14169,
   14173, 14177, 14181, 14185, 14189, 14193, 14197, 14201, 14205, 14209,
   14213, 14217, 14221, 14225, 14229, 14233, 14237, 14241, 14245, 14249,
   14253, 14257, 14261, 14265, 14269, 14273, 14277, 14281, 14285, 14289,
   14297, 14301, 14305, 14309, 14313, 14317, 14321, 14325, 14329, 14333,
   14337, 14341, 14345, 14349, 14353, 14357, 14361, 14365, 14369, 14373,
   14377, 14381, 14385, 14393, 14397, 14401, 14405, 14409, 14413, 14417,
   14421, 14425, 14429, 14433, 14437, 14441, 14445, 14449, 14453, 14457,
   14461, 14465, 14469, 14473, 14477, 14481, 14485, 14489, 14493, 14497,
   14501, 14505, 14509, 14513, 14517, 14521, 14525, 14529, 14533, 14537,
   14541, 14545, 14549, 14553, 14557, 14561, 14565, 14569, 14573, 14577,
   14581, 14585, 14589, 14593, 14597, 14601, 14605, 14609, 14613, 14617,
   14621, 14625, 14629, 14633, 14637, 14641, 14645, 14649, 14653, 14657,
   14661, 14665, 14669, 14673, 14677, 14681, 14685, 14689, 14699, 14700,
   14703, 14704, 14705, 14711, 14712, 14713, 14714, 14715, 14728, 14728,
   14737, 14752, 14754, 14757, 14759, 14763, 14775, 14791, 14795, 14806,
   14807, 14810, 14822, 14831, 14832, 14835, 14836, 14837, 14840, 14841,
   14844, 14845, 14848, 14849, 14852, 14854, 14856, 14858, 14862, 14869,
   14876, 14892, 14926, 14936, 14939, 14943, 14956, 14957, 14959, 14961,
   14965, 14979, 14986, 15047, 15056, 15058, 15059, 15062, 15064, 15065,
   15068, 15069, 15070, 15071, 15072, 15079, 15078, 15088, 15090, 15092,
   15093, 15096, 15097, 15098, 15099, 15102, 15103, 15107, 15106, 15123,
   15121, 15137, 15136, 15150, 15156, 15157, 15160, 15162, 15163, 15166,
   15167, 15168, 15169, 15172, 15173, 15176, 15184, 15201, 15209, 15232,
   15338, 15372, 15374, 15376, 15380, 15384, 15383, 15434, 15436, 15435,
   15450, 15456, 15463, 15468, 15474, 15475, 15478, 15479, 15480, 15481,
   15482, 15483, 15484, 15492, 15500, 15503, 15504, 15505, 15506, 15507,
   15508, 15516, 15524, 15525, 15526, 15529, 15530, 15533, 15535, 15544,
   15632, 15633, 15640, 15641, 15642, 15648, 15657, 15660, 15661, 15662,
   15663, 15666, 15667, 15668, 15671, 15673, 15681, 15682, 15688, 15696,
   15697, 15700, 15701, 15704, 15709, 15716, 15721, 15728, 15735, 15735,
   15737, 15744, 15745, 15748, 15749, 15750, 15751, 15752, 15753, 15754,
   15755, 15756, 15762, 15769, 15781, 15787, 15794, 15802, 15803, 15815,
   15826, 15837, 15841, 15842, 15845, 15850, 15854, 15855, 15858, 15864,
   15872, 15878, 15885, 15889, 15890, 15893, 15896, 15900, 15901, 15904,
   15910, 15919, 15924, 15934, 15944, 15956, 15957, 15958, 15959, 15960,
   15961, 15962, 15963, 15964, 15965, 15966, 15967, 15968, 15969, 15970,
   15977, 15978, 15981, 15982, 15989, 15990, 15991, 15998, 15997, 16014,
   16015, 16022, 16021, 16091, 16097, 16103, 16111, 16117, 16123, 16129,
   16135, 16141, 16147, 16153, 16159, 16170, 16171, 16174, 16175, 16176,
   16177, 16178, 16179, 16180, 16181, 16182, 16183, 16184, 16185, 16186,
   16187, 16188, 16189, 16190, 16191, 16192, 16193, 16194, 16195, 16196,
   16199, 16200, 16201, 16202, 16203, 16204, 16208, 16209, 16210, 16211,
   16212, 16213, 16214, 16217, 16220, 16221, 16222, 16223, 16224, 16225,
   16226, 16227, 16240, 16241, 16242, 16243, 16244, 16245, 16246, 16251,
   16252, 16253, 16254, 16255, 16256, 16262, 16263, 16264, 16265, 16266,
   16267, 16268, 16269, 16270, 16271, 16272, 16275, 16276, 16277, 16278,
   16279, 16282, 16283, 16284, 16285, 16288, 16289, 16290, 16291, 16292,
   16293, 16294, 16311, 16312, 16313, 16316, 16317, 16318, 16319, 16320,
   16321, 16325, 16325, 16328, 16334, 16335, 16338, 16340, 16345, 16355,
   16366, 16373, 16374, 16375, 16378, 16411, 16413, 16415, 16418, 16428,
   16438, 16448, 16449, 16452, 16454, 16455, 16456, 16459, 16461, 16469,
   16470, 16471, 16475, 16476, 16480, 16481, 16484, 16485, 16488, 16489,
   16490, 16491, 16492, 16495, 16496, 16497, 16498, 16499, 16500, 16501,
   16502, 16503, 16504, 16505, 16506, 16507, 16508, 16509, 16510, 16511,
   16512, 16513, 16514, 16515, 16516, 16517, 16518, 16519, 16520, 16521,
   16522, 16523, 16524, 16525, 16526, 16527, 16528, 16529, 16530, 16531,
   16532, 16533, 16534, 16535, 16536, 16537, 16538, 16539, 16540, 16541,
   16542, 16543, 16544, 16545, 16546, 16547, 16548, 16549, 16550, 16553,
   16554, 16555, 16556, 16559, 16560, 16561, 16562, 16563, 16564, 16565,
   16566, 16567, 16568, 16575, 16576, 16577, 16578, 16579, 16582, 16583,
   16586, 16587, 16598, 16599
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION",
  "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P",
  "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT",
  "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION",
  "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH", "MATERIALIZED",
  "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE",
  "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS",
  "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN",
  "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES",
  "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P",
  "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='",
  "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['",
  "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept",
  "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "ForValues", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "NonReservedWord", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", "statements", "statement",
  "CreateAsStmt", "$@1", "at", "ECPGConnect", "connection_target",
  "opt_database_name", "db_prefix", "server", "opt_server", "server_name",
  "opt_port", "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,    60,
      62,    61,   784,    43,    45,    42,    47,    37,    94,   785,
      91,    93,    40,    41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5343

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5343)))

#define YYTABLE_NINF -2974

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2974)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5343,  1026, 11465, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, 34720, -5343,
   -5343, -5343, -5343, -5343, 32992,  1287, -5343, -5343, -5343,124729,
   -5343, -5343, -5343,   303, 83569, -5343, 86689,  1378, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, 90849, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, 70033,   939, -5343,   546,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343,   -64, 19680, -5343,
   -5343, 87209, -5343,   132, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, 87729,   959, -5343, -5343,  1172,  1286, -5343,   129, 20062,
   -5343, -5343, 79929, 84609, -5343, -5343, 91369,   967,  1801, 18723,
     -64, 35536, 91889, -5343,  2927, -5343, 66349, -5343, -5343, -5343,
   84089, -5343, -5343, -5343,  1569, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, 97609,  2624,  1070, 66878, -5343,
   -5343, -5343, -5343, 97609, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, 92409, -5343,  1571,  1655,   858, 98129, 98649,
   81489, -5343,  1361, -5343, 97609,  1761,  1262, 68991, -5343, 99169,
   -5343, -5343,  1637, -5343, 92929, -5343, -5343, -5343, -5343, -5343,
    1070, -5343, 70033, 65307,    57,  1677, -5343, -5343, 99689, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   97609,  2664,  1565, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,   959,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,   444,
   -5343,  1520,   892,  1181,   674,  1736, -5343, -5343, -5343, 17031,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343,121523,  1591, -5343,
   -5343, -5343,  1709, -5343,  1746, -5343, -5343, -5343,  1540, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343,   802, -5343, -5343, -5343,
   -5343,  2265,120489, 90849, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, 79409, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,   203, -5343,
   -5343, -5343, -5343, -5343, 90849, 90849, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, 90849,  1827, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343,   500,  2065, -5343, -5343, 70033,  3219,
    3219,  2360,121523, -5343, -5343, -5343, 71596, 97609, 97609, 97609,
    2040, 97609,  1962, 97609,   400, 71596,128809, 93449,  2054,  2000,
   60533,100209, -5343, 97609,127450, 97609, 97609,100729, 97609, 97609,
   97609,  1268, 88249, 97609,  2098, 97609, 97609,129262,101249,  2285,
   -5343,  2521,  1610, -5343, -5343, -5343, 97609, 20460,  2624, -5343,
   -5343,  2664, 97609,  2292, 71596, 97609,  2052,101769,  2177, 97609,
   -5343, 97609,  2199,102289,   408,  2015,128809,  2179, 61066,  2263,
   97609, 97609,128809,102809,103329,103849, 97609, 97609, -5343, -5343,
    2278, 97609, 97609, -5343,  2353,129715,  1619,  2401,  2563,  2468,
     737, -5343, -5343,  2653,  2197, -5343, -5343,  2692, 90849, -5343,
   88769, -5343, -5343, -5343,  2414, -5343, -5343, -5343, -5343, -5343,
   -5343,126544,  1801, -5343, -5343,  2456, 72117, 97609,  2520, -5343,
   -5343,104369, 75764,  2303, -5343,   634, 72638,130168,  2625,  2286,
   61599,  2668, -5343, -5343,130621, -5343, -5343, -5343, -5343, -5343,
  104889, -5343,105409,  2378,  2520, -5343, 76285,131074, -5343,  2536,
  105929,106449,106969, -5343, 15336, -5343,  2252,  2517,  2301,  1546,
   90849, 90849,  2290,122429, -5343, -5343,   959, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343,   195,  1995, 67407,  1041, 67936,
   -5343, -5343,  1179,  1184,  1439,   195,  2759,  2759,   660, 90849,
   -5343, -5343,  1995, -5343,   584,   -34,  2306,  2306,  2306,  2511,
    1142, -5343,  2306,  2445, -5343, -5343, -5343, -5343, 92929, 67407,
   67936, -5343,  2338,  2624,    95,  2755,  2395, -5343, -5343, -5343,
   -5343, -5343,  2398, 97609, 97609, 97609, -5343, -5343, -5343,  2779,
    2381,  2630, -5343,  2371, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343,  2576,  2595,  2604,    76,  2624,  2488, -5343,
    2735, -5343,  2648, 41425, 41425,  1424, 90849,  2624, 68465, 93969,
  117369,   224,126544,  2624,107489,  2471,  1160,  2657, -5343, -5343,
   -5343,   577, -5343,  2890,  2485,  2729,    51,  1610, 57370, -5343,
    2484,  2007, 92929, 32271, -5343, -5343, -5343, -5343,   326,  2783,
   45191, 97609,  2482, -5343,  2489,  2482,  2493,  2498,  1181, -5343,
   97609,  1453,  1453,  2925,  1453,  1855,  1858, -5343,  1519, -5343,
    2809,  2752, 92929,  2535,   -64,  2539, -5343, -5343, -5343,  2523,
   -5343,  2515,  2530, -5343,   716,  2805, -5343, -5343, -5343, -5343,
    2623,  2627,  2628,  2636,  2586,  2640,   231, -5343, -5343, -5343,
   -5343,  2921, -5343, -5343, -5343, -5343, -5343, -5343,  3029,  3008,
  125185,125185,   676,   769,   165,   278, -5343, -5343, -5343,  2869,
   -5343, -5343,  2867, 97609,  2694, 97609, -5343, -5343, -5343,108009,
   -5343, -5343,  3219,  2523,  1606,  2643, -5343,   295, -5343,  2007,
   -5343,   361,   371,   412,  1786,  2618,  2101,  1783, -5343,   869,
   97609,   206,  2690, 94489,  7215,  2646,  2665,  2007,  2820,   285,
    2956,  2992,  6655,   231, 95009, -5343, -5343, -5343, -5343, 97609,
   97609, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
    2695,  1684, -5343, -5343,  2689,  3019,  2906,  1228,  2998,  2870,
    1355,  2929,  1156,  3058,  5664,  1710,  2117,  1506,108529,117889,
    3032,  3059,  5771,  1994,   386,  2963,  1037,  3071,  2914,  2056,
    3088,  8316, 97609,  2772, -5343,  3023,  3133,    -1, -5343,   661,
   -5343,  2840,  2991,   851,  3020, 71596,  2799, -5343, -5343, 97609,
   -5343, -5343, 76806,  2872, -5343,   720, 71596, -5343,  3011,  2852,
   62132, 97609, -5343, -5343, 97609, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343,  2939,  3125, 97609, 76806, -5343,  3075, 97609, 97609,
   -5343,  2828, -5343, -5343, -5343, -5343,  2306, 97609,  2830,  3236,
   76806,  3053,   216, 97609,  1814,  3273, 97609,  3060,  1814,  2881,
  109049, -5343, -5343,  1814, -5343, -5343, 97609, 97609,  2851,  2248,
    3052,  3164,  1814,  3076,  3283,  3291,  3086,  2941,  3097,  2489,
    3270,  3077,   912,  1596,   123,  1908,  1814,  2935,109569,110089,
   97609,  2954, 97609,  3310, 71596, 97609,  3252, -5343,  3113, 95529,
   -5343,  2945,  2653, -5343, -5343, -5343, -5343, -5343,  1046, -5343,
   -5343, -5343, -5343, -5343,  3277, -5343,   139,   192,  3299,  2979,
    3313, -5343, -5343,  2999, -5343,  2999,  2999,  3007,  3007,  3183,
    3012,  3336, -5343, -5343, -5343,  2532,  2999,  3007, -5343, 77848,
   -5343,  1756,  2022, -5343,   146, -5343,  3451, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343,  3036, -5343,  1014, -5343,  2139,
   -5343, -5343, -5343, -5343,  3073, -5343,  3347,   158, -5343,  3362,
   -5343,  3046,110609, -5343,111129,111649,  3374,   161, -5343,128809,
    3379,  3046,  3381,   192,  3382, -5343,  1004,  3371,  3384,   146,
    3385,  2002,  3046,126997,  3386,   174, -5343,  3388,   176, -5343,
    3394,  3274, 19532, 15336, -5343, 21593,  2036, -5343, -5343, -5343,
   -5343, -5343, -5343, 45191,   843,  3165, -5343, -5343, -5343,  2169,
   -5343,123807, -5343,  2290,  1995, -5343, 90849,  1995, 90849,   660,
    1995, 90849,  1995, 90849,   660,  1995, 90849, 90849, 90849,  1995,
   -5343, -5343,   239,   212, -5343, -5343, -5343, -5343, -5343, 90849,
    3079, 97609, 97609, -5343, -5343, -5343, 85129,128809, 85649, -5343,
   97609, -5343,   283, 90849, -5343, 90849, -5343,  2624, -5343, -5343,
    2517, 76806,  3508,128809,  3310, -5343,  2174, -5343, -5343, -5343,
   -5343, -5343, -5343,  3332, 97609,  3399,  3402, 85129,128809, -5343,
  112169,126544,  3298,  3099, -5343, -5343, -5343, -5343,  2178,  2673,
     198,  2804, 45191,  3103,   198,   198,  3104,  3411, -5343, -5343,
   -5343,   441,  3105,  3106, -5343,   316,   316, -5343,  3107,  3108,
   -5343,   339,  3109,  3111,  2860,   382,  3112,  3116,  3119,  2532,
     198, 45191, -5343,  3121,   316,  3122,  3123,  3124,  3078,  3126,
   -5343,  3102,  3128,   394,   479,  3130,  3131, -5343,  3107, -5343,
     459,  3132,  3134,  3137,  3138,  3139,  3140,  3141,  3144, 45191,
   45191, 45191, -5343, 39811,  2007,  2624, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343,   492,  5895, -5343,  3149, -5343, -5343,
    3322, -5343, -5343, 45191, -5343, -5343,   568, -5343,   585, -5343,
   -5343,  2007, -5343, -5343,  2191, -5343, -5343, -5343, -5343,  3407,
    3143,  2255,  2255,   213, -5343, 87209, 87209, -5343, -5343,  1703,
    3145, -5343,  2291, -5343, -5343, -5343, -5343, -5343, -5343,126091,
    3578, -5343,  1693,  2624,   661,  1823,  3523,122885,123346,  3415,
    3415,  3400, -5343, -5343, 97609, -5343, -5343, 45191, 64265, -5343,
    2007,   105,  3418, -5343, -5343, -5343,  2217, -5343, -5343, -5343,
   -5343,   959, 18455,  2231,  2482, 97609, 97609,  3590, -5343, -5343,
    2489, -5343, -5343,  1181,  1181, 45191,  1181,   766,  1671, 41963,
   45191,  3470,  3366,   941,  1604,  3474, -5343,  3372,  1855,  1858,
   92929, 97609,112689,  3286, 45191, -5343,  2523,  3173,  2140, -5343,
   78889,121006,121006,  3437, -5343, -5343,  1054,  1203,  3300,  3398,
    2759,  1983,  2440,  2440, -5343, -5343,  3170, -5343,  3531, 87209,
    3233,125185, -5343, -5343, 97609, -5343, -5343, 96049, -5343, -5343,
   -5343,  1976,  3175, -5343,  3192, 97609, -5343,  3710,  2440,  2440,
   -5343, -5343,  3180, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343,121523,  3185, 97609, -5343,  3186,  3188, -5343, 32271,  3268,
    3269,  3321, 64786, -5343,  2007,  3272,  3241,  3276,  3328, 70033,
    3197,  3281,  3284,  3334,  3450, -5343, -5343,  3287,  3288,118409,
   -5343, -5343,  1326, -5343, -5343, -5343,  1326, -5343,  3221, -5343,
    1558,  1045,  1222,  3290,   244,   695,  3595, -5343,  1383, -5343,
   -5343,  3343, -5343,  6312, 97609,  3536,  9264,  3416,   231,  3419,
    3345, -5343, -5343,  3467,  3301, 97609,  3303,  3431,   231,   211,
  118929, -5343, -5343, -5343, -5343, -5343, -5343,  4422, 38761, -5343,
    2068,  3306,  3292,  3316, 97609, 80449,  2384,  3433,  3436,   938,
    2387,   312,  3373, 97609,  2038,  3442, 97609,  3238,  3319,  3320,
    3532,  3246,  2304,  3632,  3251, -5343, -5343,  3448,  3545,  3586,
    7850,  3323,  3324, 74201, -5343,  3351,   929, 62665, 97609, 97609,
    3370,  3375,  3360,  3361,   545,  3644,  1318,  3363, -5343, -5343,
   -5343,  1318, 97609,  3365,  3369, 97609, 77848,   231, -5343,  3700,
     231,   231,  1754,  3702,  3377,   297,  3516,  2324,  1814,  3251,
    2856, -5343,  3387,  3389,  2246, -5343,  3489,  3392,  3397,  3424,
    2624, -5343, -5343,  3401,  3468,  3403,    20, -5343, -5343,  1409,
    3396, 92929,  3488,  3502,   207,  2344,  3251, -5343,  3406,  3408,
    3246,  3246, 97609, 97609, 97609, 97609, 97609,   145,  3747,  3754,
    3414,   189,  3466,  3335, -5343,127903,  3421,117369, -5343, -5343,
   97609,  3422,  2507,  3251,  1354, -5343,  2095, -5343, -5343, -5343,
    1610, -5343, 97609, -5343, 97609, -5343,  3597, 76806,  3539,  3604,
   -5343,  3378, -5343,  3606,   231, -5343, 97609, 97609,  3607,  3548,
    3550,  1293, 76806,  3551,  3613, -5343,  3614,  3615,  3435,  3404,
    3426, 64786, -5343,  2851,  3359,  3791,  3682, 97609, 70033, -5343,
    3804,  1326, -5343, 76806,  3565,  3689, -5343, 97609,  3585,   -14,
   -5343,  3726,  3434, -5343, -5343,  1220, 97609,   182,  3427, -5343,
   -5343,  3712,128809,  1193,  3713,  2624,  3440,  3717,  3579,  2624,
  128809,  3635, 97609, 97609, 97609, 97609, -5343, -5343,  3605,  1002,
     113, -5343,127903,  3616, -5343, 97609,  3617,  2856,  3619,  3830,
     719,  2306,113209,  3714, -5343,113729,  3410,  3839, 76806,  3666,
   -5343, -5343,  3413,  2759, -5343,  2945, -5343,  2282, -5343,  3544,
   -5343, 71596, -5343, -5343, 71596, -5343, -5343, -5343, 76806, 97609,
   -5343,  3417, -5343, -5343, 45191, -5343, -5343, -5343,  2759, -5343,
   76806,  2999,  2999, -5343, -5343,  3850,  3501,  3504,  2759, -5343,
    2759, -5343, 76806, -5343,  3429,  3430,  2759,  3509, -5343,  3510,
    2759, -5343,  2211, -5343, -5343, 71596, 71596, -5343,128809,128809,
    3746,   174,  3750,  3490,  3756,  3494, 62665, 62665, -5343,   204,
  128809, 97609, -5343, 97609, -5343, -5343, -5343, -5343, 76806, 76806,
   -5343,128809,127903,  3760,  3764,   192, 97609, 97609, -5343, 97609,
   97609, -5343, 97609, 97609, -5343, 21276,  2078, -5343, 15336, -5343,
    2251,  3415, -5343,  1827, 97609,  1265,  2290,131527, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, 90849, -5343, 90849,   660,
   -5343, -5343, 90849, -5343, 90849,   660, -5343, 90849, -5343, -5343,
   -5343, 90849, 97609,  3973,  3443, -5343,  2191, -5343, 97609,  2258,
   -5343, -5343,  2267,   821, 97609, 97609,   347, 71596, 97609,  3653,
   97609, 97609, 97609, 97609, 97609,  3528,  3145,  1466, -5343,   793,
     655, 92929,  3661, -5343, -5343, -5343, -5343, -5343,  2270,  2664,
    1291, 97609,  1422,  2398, -5343, -5343, 85649, 84089,  3757,   181,
   97609, -5343, -5343,  3120, 45191, 40887, -5343, -5343, 18455,  3495,
   45191, 45191,  3455,  2759,  2759, -5343,  2826, 45191, 45191, 45191,
    2759,  2759,  6115, 45191, 62665, 45191, 48419, 37144, 45191, 45191,
   40349, -5343, 45191,  3680, 49495, 45191,  1823,  3683, 45191,  1823,
    6115,  3917,  3917,  1677,  3087,  8018,  3460,  2007, -5343,  2759,
    1321,   375, 76806, 45191, 45191, 45191, 45191, 70033,  3546,   170,
   97609, 45191,  3464,  1702, -5343, 45191, -5343,  3471, 45191,  3547,
     971, 45191, 45191, 45191, 45191, 45191, 45191, 45191, 45191, 45191,
   -5343, 51067,   448, -5343,  3761,  3783,   688,   640, 86169, 41425,
    3776, -5343, 36066, -5343,   263, 90849, -5343, -5343,  2007,  3776,
   -5343, -5343, -5343, -5343, -5343,  1976,  3472, -5343,  3484, -5343,
   -5343, -5343, -5343, -5343, 97609,  3578, -5343, -5343,  3553, -5343,
   -5343, -5343, -5343,   602, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343,  3475, -5343, -5343, -5343, -5343,  3475, -5343, -5343,
    3415,  3476, 12947,  3480, -5343, -5343, -5343, -5343,  3767,  3774,
     192,121523, 97609,   326, 89289, -5343, 45191, -5343,  2313,  3487,
   -5343,  3752, -5343,  3486, -5343, 13693,  3752, -5343, -5343,   166,
    3609,  3748,  3690, -5343, -5343, -5343,  3493, 18455, -5343,  2408,
   18455,  2430, -5343, -5343, -5343, -5343, -5343, -5343,  1523, -5343,
   97609,  1270,  3470,  1604,  3549,   870,  3929, 97609, -5343, 57894,
    2347,  2315, -5343,  2523, -5343, -5343, 14534, -5343, 17851, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,  3499, -5343,
   -5343, -5343, -5343, -5343,   231,  3505,  4010, -5343,125185, -5343,
   -5343, -5343,  3973, -5343,  2692, -5343,  2692,  4035, -5343, 90849,
   -5343, -5343, -5343, -5343,  1074, -5343, 15336, -5343, 15336, -5343,
  128809, 97609, 97609,  3701, -5343,  3921, -5343, 77848, -5343,  3511,
   -5343, 77327, 73159, -5343, -5343,  1267, -5343,   471,128809, -5343,
   97609, 97609, -5343, 70033,128809, 97609, 97609, -5343,128809, 97609,
   97609, -5343, -5343, -5343, -5343, -5343,124268,  1061, 84089,  3640,
   82009, -5343, -5343,  3513, 97609,  3567,  3770,  3772,   -76, -5343,
   -5343,114249, -5343,  3727,128809, 97609, 97609, 45191,  3728, 97609,
   97609, -5343,   613,  3599,  3600, -5343, 97609,  3610,  3755, 71596,
    3530, 97609, 97609, 76806,  3602,   743, 71596,  3580, 63198, 97609,
   97609, 97609, 97609,  3662,  3846, 76806, 97609,  3792,  1337, 92929,
     260,  2901,  3251,  3749, -5343,  3859,  1148, -5343,128809, -5343,
   97609,  3741, -5343, -5343, -5343, 82529,  3965,  3652, -5343, -5343,
  119449, -5343, -5343, -5343,  2366, -5343,128809,128809, 97609,  9522,
  114769,  1357,  3762, -5343, -5343, 76806, -5343, 97609, 97609, 97609,
    3864,  3794, 97609, 89809,115289,115809,  1017,  1352,  3795, 97609,
   90329,  3796, -5343,  3685, 97609, -5343, -5343, 70554,128809, 97609,
     186, 70033, -5343, -5343, 97609, -5343,  3765,   882, -5343, 97609,
    7615,  3625,  3641, 97609,  3766,   280,  2949,  3251, 97609, 97609,
    3552,  2386,128809, 97609, 70033, -5343,  3768,   522, 92929, 92929,
  128809, 97609, 92929, -5343, 97609, -5343,128809,  2172, -5343,  3708,
  128809, 97609,  8798, -5343, -5343, -5343,   231, -5343, -5343, -5343,
   -5343, -5343, 97609, 97609,   231, 97609, 97609,   231,  1833, -5343,
  128809, 97609, -5343, -5343, -5343,128809, 97609, 97609, -5343,128809,
    3427, 97609, 70033, -5343, 97609,  7984, 97609, 97609, 97609, 97609,
   97609, 97609,128809, 97609, -5343, -5343,  1210,  1607,   893,  1912,
     734, 97609,  3849, 97609,116329,128809, 97609, 97609,  2624, 97609,
    1741, -5343,  3684, -5343,128809,  2172,  9835, 97609, 97609,  3646,
    3648,   173,  3725, -5343, -5343, -5343, -5343, -5343, -5343,  2257,
    4003,116849,  2257, -5343,  2257,  3833,  3630,  3631,  2257, 97609,
   97609, -5343, -5343, -5343, -5343,  3831, 97609,  2257,  2257,  2257,
    3740,  3780,   107,  3857,  2404, -5343,  3591, -5343, 45191, 76806,
   97609, -5343,  2409, -5343,  3596,  1002, -5343, -5343, 70033, 97609,
     358,   921,  3905,  3797, 80969,  1518,  3895, 97609,  3633, 97609,
    4018,  3686, 92929,  2851, -5343,  1518, 97609, -5343,  1666, 84089,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, 97609, -5343, -5343,
    3898, 97609, 45191,  3758, -5343,  2624,  2851,  2851,  2851,  2851,
   -5343, -5343, -5343, -5343,  3798,  2212, -5343,  3594,  2851, 97609,
    3716,  3919,  1518,  3603,  3920, -5343,  2856,  3925,  3922, 97609,
    3810, 80969,  2320,  3643,  3822,  4039,  2306,  2624,  3824,  3811,
   -5343, 39286,  3837,  3813,  3869,126544, 95529, -5343,  3622,  3900,
    3907,  3927, -5343,   139, -5343,  4052, -5343, 45191,  2413,  3623,
     146, -5343, -5343,  3628,  3430,  3647,  3649,  3626,  3634, -5343,
    2759, 55274,  3636,  1094,  3860,  3637, -5343,   158, -5343,  3046,
   -5343, 97609, -5343, 97609, 97609, 97609, 97609,   161, -5343, -5343,
    3046,   192, -5343,  3877,   146,  3046,  3753,  3945,126544, -5343,
     174, -5343,   176, -5343,  3840,   192, -5343, -5343, -5343, -5343,
   -5343, -5343,  2306,  2282, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, 90849,  2692, -5343,  2436, -5343,
   97609, -5343,  3923,  3924,  3926,  3638,  3651,  3672, 97609,  3657,
    3638,   231,  3638,  3145,  3145,  3638,  3651,128356,  4089,  3944,
   -5343,  3729,  3655,  3953,   831, -5343,   832,  1380,  3878, -5343,
   -5343, -5343, -5343, 76806, -5343,128809,  3693, 97609, 97609, -5343,
      83,  3861,  3659,128356,  4076,   192, -5343, 71596, -5343, -5343,
   76806,  3738,  3769, 71596,  3871,  3711, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, 76806, -5343,  3932, 97609, 97609,  2439, -5343,
    2103, -5343,  2111, 45191,   245, -5343, 15860,  2452, 45191,  3665,
    3670, -5343, -5343, -5343, -5343, -5343, -5343,  3679,  3988, -5343,
   -5343,  2494,  2499,  2503,  3688,  3691,  7237,  3694, 16071,  3695,
    3699, 48419, 48419, 39811,  1971, -5343, 48419,  3704,  3874,  2512,
   13815,  3697,  3705, 16181, 42501, 45191, 42501, 42501, 16816,  3697,
    3706,  2516, 70033,  3866, 16689,  2519, -5343, 45191, 70033,  7498,
   45191, -5343, 45191,  3709, -5343, -5343,  3282,  3282,  3282,  6115,
   -5343,  3718, -5343, 48419, 48419, -5343,  2574, 39811, -5343, -5343,
    3995, -5343, -5343,  1589, -5343,  3715, -5343, -5343,  4308, 62665,
    6484, 45191,   180, 45191,  3464, 45191,  3773,  3282,  3282,  3282,
     175,   175,   178,   178,   178,  2113,   640, -5343, -5343, -5343,
    3719,  3721,  3722,  3899,  3723, 45191, -5343,  2594,  2611, 97609,
    6984, 11977, 12479, -5343, -5343, -5343, 52129,  3751, 45191, 45191,
   45191,  3724, -5343,  2785, 18455,   -13, -5343,  2916, -5343, -5343,
   -5343,  3751,  1273,  4035,  1976, -5343,  1610,  2759,  1321,123807,
   -5343, -5343, -5343, 45191, -5343, -5343, -5343, -5343,  2489, -5343,
   -5343, -5343, 18455, -5343,  2664, 45191, -5343, -5343,   945,  3732,
   45191,  2408, -5343, -5343,  3782, -5343, 45191, -5343, -5343, -5343,
    3145, -5343,  3950, -5343, -5343, -5343, 52129,  3771,  3777,   593,
   56846,  3918, -5343, 97609, -5343, 97609,   119, -5343,  3737, -5343,
   -5343, -5343, -5343,  1949, -5343, -5343, -5343, -5343, -5343, -5343,
    3731, -5343,  3730, -5343,  3739, -5343, -5343, -5343, -5343,   197,
    3735,  3734,  3742,  1886, -5343, -5343, -5343, -5343, 73159,  2139,
   -5343, 77327, -5343, 77327, -5343,  2139,  4142, -5343, 73159,  2080,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343,128809,128809,  3938, 97609,  3936,  3941, 45191,
    1216, 97609,  3744,  3745,  1559,  4024, 97609, -5343,  4072,   192,
   -5343, -5343,  3832, -5343, 18455, -5343, -5343, -5343, -5343, -5343,
  128809, 97609, -5343,126544, -5343, 97609, -5343, 76806, -5343, -5343,
   -5343, 97609,  3785, 97609, -5343, 97609, 97609, 97609, -5343, -5343,
   -5343, -5343, -5343,  1302, 76806, -5343, -5343, 97609, 97609,    97,
    3834,  3835, 97609, -5343,   289,  3489,  9873, 97609, 97609, 97609,
    4028, 97609, -5343, -5343, -5343, -5343,  3964, -5343, -5343, 73159,
   -5343,  3046,  1307,  3838,  3251,  3975, -5343,  4083,  3959, -5343,
    1214, -5343, 97609,  3889, -5343, -5343, -5343, -5343,  4086,   192,
    4087,   192, 97609, 97609, 97609, 97609,  3892, -5343, -5343, -5343,
   -5343,  3893,  4015, -5343, 70033, 70033, 70033,  2572, -5343, -5343,
    2624, -5343, -5343, -5343, -5343, -5343, -5343,  4050, -5343,  2577,
   -5343,  1708, -5343, -5343, -5343, -5343, -5343, -5343,128809, 97609,
   10378,  4092, 97609, 97609, 97609,  2123, -5343,  1263, 76806, -5343,
   74722, -5343, -5343,  2584, -5343,  3786, 97609,  3855,128809,  3836,
    3778,  3778, -5343, -5343,  3778, -5343, -5343,  4023,  3961, -5343,
    2271,  3962,128809,  3844, -5343, -5343,  3865, -5343, -5343,  3868,
    2995,  3251,  2856, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,  1485, -5343,
   -5343,  1696,   346,  3035,  3251, -5343,  4096, -5343,  3870, -5343,
    3872, -5343, -5343, -5343,  4026,  4036,  4040,  3880,  3887,  3939,
    3890,  3894,  3940, -5343,  3896,  3946,  3897,  3949,  4021,  3901,
     192, 76806,  4043,  2624,  3942,  4145,   192, -5343,  3908, -5343,
    3912, -5343,  4258, -5343, 97609, -5343,  3914,  3081,  3251, -5343,
   -5343,128809, 97609, -5343, -5343, -5343, -5343, -5343, -5343, 76806,
   97609,  4097, -5343, -5343,  2257, 97609, 97609, -5343,  4098,  4100,
   97609,  4101, -5343, -5343, -5343, -5343,  1261, -5343, -5343, -5343,
    3740,  4136, -5343,  2414, 59466,  8638,  3843,   229, -5343, 70033,
   59466,  2215,  2798,   261,  1814, -5343,126544, 97609,126544, -5343,
     921,  3959, 97609, 97609, 97609,  3845,  3851, -5343, -5343, -5343,
   -5343,128809,   576,128809,  2759, -5343, -5343,  3928, -5343, 97609,
    2306,  2414,  4157, -5343,  3778, -5343,  4272,  3291,  1193,  3998,
    1632,  2941,  4217,  2489,   136, 70033,  3643, -5343, -5343, -5343,
   -5343, 97609, 97609,  1002,  2624, -5343,  3863,  3858, -5343, 97609,
    4169, 97609, 97609, 97609, 97609,  2664,  3862, 97609,  3867, 76806,
     601,  4067,  4066,  3246,  4298,  4191,  2664,  3643,  3955,  4192,
   97609, -5343,  2589,    99, -5343,  2624,126544, 73680,  4183, -5343,
    6494, -5343, -5343,  1050, 97609,  4170, -5343, 97609, -5343, -5343,
   56322, -5343, 76806,  2601, -5343, -5343, -5343,  2759, -5343, -5343,
    1907,  1907,  3879, -5343, 55798, -5343,  3881, -5343,  2561, -5343,
   -5343, -5343,   174,  3935,   192,  3943,   192, -5343, -5343, 97609,
   -5343, 97609,127903,   192, -5343, -5343, 97609, -5343,  4189, -5343,
   -5343, -5343, -5343,  4013,  4014,  4020, 97609,  3638, -5343,  3885,
  128809,  1835, -5343, -5343,  4090, -5343, -5343, 92929,  4012, -5343,
   -5343, -5343, -5343,  4218,  4219, -5343, -5343, -5343,   227, -5343,
   -5343, -5343,128809, 85129,   233,128809, -5343,  4154,  4158, -5343,
   -5343,  4159,   231, -5343,  4160, -5343,  4162,  4164, -5343, -5343,
   -5343,  3909, 17190, 45191, -5343,  4227, 76806, -5343,  8696, -5343,
   -5343, -5343, 45191, -5343, -5343, -5343, -5343, -5343, 45191, -5343,
   45191,  4210, -5343, 37683,  4363,  4363,  3906, 76806, 48419, 48419,
   48419, 48419,  1897,  3122, 48419, 48419, 48419, 48419, 48419, 48419,
   48419, 48419, 48419, 48957,   647, -5343,  4099, 45191, 45191,  4221,
    4210, -5343, 76806,  3913,  3697,  3915,  3916, 45191, -5343, -5343,
    2605, 50019,  3930, 70033, -5343, 45191, 15535,  2620,  3960, 18318,
    2007,  9204,  2624, 45191,  1824,  3308, 45191,  2637, 45191,  4222,
   -5343, -5343, -5343,  3933, -5343, -5343, 76806, 45191,  3934,  4597,
   48419, 48419,  4932, -5343,  5266, 45191, 39811, -5343,  4113,  3966,
   58418, -5343, 38222,  3931,  1070,  1070,  1070,  1070, -5343, 97609,
   97609, 97609, 52653,  4224,  3947, 51605, 96569,  3937,  2722, -5343,
   96569, 97089, 96569, -5343,  3956, -5343,  3948,  2007, 45191,  4216,
      46,    46,  4113, -5343, 45191, 45191, 43039,  3951, -5343,  4216,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343,  3952, -5343,  3957, -5343, -5343,
     661,  3958, -5343, -5343, 18455,  3954,   197, -5343,  3963, -5343,
    3967, -5343,  3732,  1862, -5343,  9256,  4121, -5343, -5343, -5343,
    3937, 43577,  4069, -5343, -5343, -5343,  3976,  2650, -5343, -5343,
    4321,  4069, -5343, -5343,  2655, 57894,  3771, 45191,  2007,  2759,
    3968, -5343,  2692,  1273, -5343, -5343, -5343, -5343, -5343,  2666,
    2096, -5343, -5343, 73159, -5343,  4019,  3046,  3046,  1683,  3638,
    4253,  1683,  9713, -5343, -5343, 53177, 97609, 97609, -5343, 97609,
    2679,  1617, 97609, -5343, 97609, -5343, -5343, -5343, -5343,  4376,
   -5343, 97609, -5343, -5343,  4005,  4007, 97609, 97609, 97609, 97609,
    4208, -5343, -5343,  2618, -5343, -5343,128809, 97609, -5343, -5343,
   -5343,   291,  3115,  3251, -5343,  4037, -5343, -5343, -5343,  4230,
   -5343,  4374,  4049, 97609,  4284, 97609,  3969, -5343,  1617,  4265,
    1252,  3246,  2342,  2509, -5343,  1740, -5343, -5343,  4041, -5343,
   -5343, 97609, -5343, 97609, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343,  4091, -5343, -5343, -5343, -5343, 70554, -5343, -5343, 97609,
   -5343, 70033, 59466, 70033, -5343,  1698,   300,  3129,  3251, 97609,
   -5343,  4047, -5343,  4053,  4054,  4107,  1149,  1113,  4057,  4058,
    4111,  3987,  3991,  3992, -5343, 70033, 60000,  4118, 97609,  3046,
    3994,  4034,   195,  2624, -5343, -5343,  2624,  3046,  2624, 97609,
   97609, 97609, 70033, -5343,  4411,  4088, 97609, 97609, 97609, 97609,
    4055, -5343, 97609, 97609,  4311,   986,  2156,128809, 97609, 97609,
  128809, 97609, 97609, 97609, 97609, 97609, 97609,  4318, 97609, -5343,
    4401,  4328,  2364,  4375,  4084, 97609, -5343, 97609,  2624,  3489,
   97609, 97609, -5343, -5343,  4022,  4276,  2257, -5343,  4280,  4281,
    2257,  2257,  4289,  2257, -5343, -5343,  1814, -5343,  1261, 97609,
   -5343,  3591, -5343,  3967,  2440,  2440, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343,  2718, 97609, -5343, -5343, -5343, 97609,  4030,
   97609, 97609, 48419, -5343,  1415,  1837,   770, -5343,  4288, 97609,
    3427, -5343, -5343, -5343,  4198, 97609, -5343, -5343, -5343, -5343,
   -5343,    17,  3862, -5343,  4299, 80969,  3046,128809,128809,  3046,
   -5343, 76806,  4042,  3643, -5343,   329,  4115,128809,  1193,  1669,
  110089,  3440,  4070,  4239, 52129,  1485, -5343,  4038,  4196, -5343,
    4045,  4044, -5343, -5343, 97609,  3959,127903,  2684,  2856,   954,
    2301,  3693, 83049,  4225,  3862,  4299, -5343, -5343, -5343,  4437,
    4137, -5343,  2664, 97609,  3693,  4137,  2624, 97609,  3567, -5343,
   73159, 45191, 45191, -5343,  4051, -5343,  4059,  6838, -5343,  4122,
    4061, -5343, -5343, -5343, -5343, -5343, -5343,  4131,  4060, 97609,
    4513, -5343, -5343,  4056, -5343,  4062, -5343, -5343, -5343,  2537,
  121523, 55798, 55798, 55798, 55798, 55798, -5343, -5343, 97609, -5343,
   97609, -5343,   192, -5343,  4178, -5343,   192,  2664, 97609, 97609,
   97609,  3638,   231, -5343,  4364,128356, -5343, -5343,  2685, 97609,
   -5343, -5343, -5343,  4427,   181,  4371, -5343, -5343,  2289,  2289,
    2289,  4329,  2289,  2289,  2289, -5343, 45191, 18455, -5343,  4071,
   -5343, 18455,  9753, 18455,  4221, -5343,  2691, 45191, -5343,  2937,
    2937,  2937,  1932,  4372, -5343,  1911,  4073,  2937,  2937,  2937,
     159,   159,   148,   148,   148,  4363,   647, 18455, 18455, -5343,
   -5343,  4074, -5343, -5343, -5343,  3697, -5343, 45729,  4226,  4483,
   -5343, -5343, -5343,  4117,  4120,  4075, -5343, 45191, 46267,  4079,
   77848,  4263, -5343,  2026, 45191, 45191,  1544, -5343, 15380, 45191,
   76806,  2700,  1544,   470, 45191,  3681,  4547, 45191, 45191,  5515,
    9874,  4078, 45191,119969, -5343, -5343, -5343,  2701, 45191, 97609,
   97609, 97609, 97609, -5343, -5343, -5343, 96569, 97089, 96569,  4085,
   50543, 54749,  2722,  4082, 97609, -5343, -5343,  4093, 52129,  4345,
    4286, -5343, 52129,  4286,  1925,  4286,  4347,  4187, 58942, -5343,
   -5343,  4102, -5343,  4293, -5343, 36066,  2068, 18455,  4514,  4398,
   45191,  4108,  4114,  4116, 18455, 18455, 45191, -5343,  2624,  4398,
    1273,   531,  2624, -5343, -5343, -5343, 62665, -5343, -5343, -5343,
   -5343, -5343,  4319, 18455, 41425, -5343,  2664,  2127, 97609,  2007,
     675, -5343,  4127, 97609, -5343,  4069, 18455, -5343, 15336, -5343,
   -5343, -5343, -5343,  4188,  2720, -5343, -5343, -5343, -5343, -5343,
   -5343,  4197, 84089,  4424, -5343, 45191,  2727, -5343,  4161,  4516,
      98,  2733,  2740,  1617, -5343,  3427, -5343,  1917,  4399,   293,
   -5343,   192, -5343, 76806, -5343, 97609, 97609, -5343, -5343, -5343,
   -5343, 97609,  3197, -5343, -5343, 97609, 97609, 97609, 97609, -5343,
  128809, 97609, -5343, 97609, -5343, 70033,  2798,  1415,  4409,  4336,
   -5343,   231, -5343,  1415,  4337,   195, 97609, -5343, -5343,  2599,
   -5343, 76806,   192,   192, -5343, -5343, -5343, -5343, -5343,  4139,
    4543,  4220, 97609, 97609, 97609, -5343, 97609,128809, 97609, 97609,
    2759,  2759, 76806,  4128, -5343,  2759,  2759,  4129, -5343,128809,
   97609, 97609, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343,  4213, -5343, 45191,  4536, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343,128809, 97609,  4215, -5343,
    4223, -5343,  2053, -5343, -5343, 97609, 97609, 97609, 97609,  4458,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   97609, -5343, 97609, -5343, -5343,  2624,  2624, 76806,   192,   192,
   -5343, -5343, -5343, -5343,  4400,  2257, -5343,  2257,  2257, -5343,
   -5343,  2257, -5343,  4141,   343, -5343,  1617,  2141,  4445, -5343,
    4451, 45191, -5343,  2195,  1932, -5343,  4503,  4580, -5343, -5343,
   -5343, -5343,  3427,  2306,  4206, 71596,  1535, -5343,  4433,   358,
    4358, 80969,  4096,  1595,  4155,  4274, -5343,  3046,  3046,  4212,
   97609,  4588, -5343, -5343, -5343, -5343, -5343, -5343,128809,  3836,
   -5343,  1178,  4466, 97609, 45191,  3937, -5343,  2093,  4469, -5343,
    2624, -5343, -5343,  4282,  3643, -5343, 97609,  4366, 80969,  3693,
   -5343,  2746, -5343, -5343, -5343,  4200,  4577,  2320, -5343,  4096,
    4225,   733, 97609, -5343,  4203,  4599, -5343, -5343,  4473,  4370,
    4172, -5343, 18455, 18455,  2624, 78369,  6494, 76806,  4484, 97609,
     690,  4449, 97609, -5343,   192, -5343, -5343,  4176,  2142,  2142,
   -5343, -5343, -5343,   192,   192, -5343, 97609, -5343,  3638,  3638,
    3638, -5343,  4377, -5343, -5343,  4441, -5343,   192,128356, -5343,
   -5343, -5343, -5343, -5343,  2289, -5343, -5343, -5343, 18455, -5343,
   -5343, -5343, -5343, 10223, 48419,  4485, -5343,  4182, 76806, -5343,
    4184,  2749,  2753, 49495,  4340, -5343, -5343, -5343, 10482,  4237,
   18455,  4291,  4190,  4193,  1544,  1544, 15380,  2754, -5343,  1544,
   45191, 45191,  1544,  1544, 45191, -5343, -5343, 10541,  4373, -5343,
   -5343, 10693, -5343, -5343, -5343, -5343, -5343, -5343, -5343, 71075,
    4201,  3866, 96569,  4204, 97609,  2722, 52129, -5343, -5343,  2305,
   -5343, 52129,  4446, -5343, 52129, 71596, -5343, 97609,  4205, 97609,
   -5343,   -13, 46805, 45191,  4228, -5343, -5343, -5343,  4113, -5343,
    4228, -5343,  2440, -5343, -5343, -5343, -5343, -5343,  4199, 90849,
     646, -5343,   593, -5343, -5343,  4576, 53177,  4546, 45191, -5343,
   -5343, -5343, -5343, -5343,128356,  4403,128356,  1617, 11048,  3427,
   53177, 63731, 97609, 97609, 97609,  4362,  3427,  4206, -5343, -5343,
   -5343, -5343, -5343, -5343,  4209, -5343, -5343, -5343, -5343,  4294,
   -5343, -5343,   865,  3661, -5343,  2771, -5343,  4640,  4538, -5343,
   -5343, -5343, -5343, -5343, -5343,  4401, -5343, -5343, 59466,128809,
   97609, -5343,  4297, -5343, -5343, -5343, -5343, -5343, 54225, 62665,
   -5343,  1149,  4231,  4232,  1113, -5343, -5343, -5343, 97609, 11340,
    4233,   927,  3661, 97609, 97609,  4240,  4242,  1772,  1664,  1821,
    3638,  4528, -5343, -5343, -5343, -5343,  4401, -5343, -5343,  2257,
   -5343, -5343, -5343, -5343, 70033, -5343,  2950, -5343,  1814,  4568,
   71596,  4652,  4652, 97609, -5343, 11707,  4434, -5343, -5343,  4511,
    4206,  4459,  4505, -5343,  4243, 97609,  4393,  4244, 97609,  4229,
    4357,  2326,  2326, 97609, 97609, 97609,  2782,  2664,  3046,  4034,
    1193, 80969,  4601,  3959,   205, -5343, -5343,  2093, -5343,  1493,
    4581,  4290, -5343, 97609,  4676,  3862, 97609,  4247, -5343, -5343,
   83049,  4447,  2798,131980,  4066,  4225,  2320,  4383, -5343,  4385,
   -5343,  1421, -5343,  2664, 97609, 97609, 53177, -5343, 77327, -5343,
    2786, -5343, -5343, -5343,  4324,  3751,  4367,  4378,  4255, 97609,
      39, -5343,  4268, -5343, -5343, -5343, -5343, -5343, -5343, 97609,
   -5343,   233, -5343, -5343,  5542, 48419, 76806,  2793, 45191, -5343,
   45191, -5343,  4671, -5343, -5343, -5343,   668, -5343, -5343, -5343,
    1544,  1544,  1544, -5343,  4673,  4113, -5343, -5343,  2794,  4695,
   47881,  4657, -5343, 97609,  2803, -5343, 45191,  4266, -5343, -5343,
   52129,  2305,  4270,  2814, 97609,  2819, 76806,  4267,  4271,   -18,
    4273, 36605,  4278, -5343, -5343, -5343, -5343, -5343, 18455, 18455,
   97609, -5343,  4275, -5343, -5343, -5343, -5343, -5343, -5343,  4330,
   97609,  2825, -5343,   582, 18455,  1835,  1683,   233,  4516,  4206,
   -5343,  4283, -5343, -5343, -5343,  1170,  1170, 97609,  4206, -5343,
   -5343, 97609,  4380, -5343, -5343, 70033,  4572, -5343,  4342, -5343,
     988,  3661, 97609, 76806, -5343,    80,  4604, -5343, 76806, 76806,
   -5343, -5343, -5343, 45191,  4402, -5343, -5343, -5343,  1173,  1024,
   -5343, -5343, 97609, 97609, 97609, 97609, 97609,   192, -5343,  2833,
   -5343,121976, -5343, -5343,  3273,  2624,  3273,  1922, -5343, -5343,
    3273, -5343,  3273, -5343,  4141,  2624,  4652,   905, -5343, -5343,
   -5343,  2042,  4507,  4296, -5343,   140,  4488,  4405,  4305, -5343,
   71596,  4759,  3862,  4299, 97609, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343,  2875,  3959,  4627,  3643,  4203, -5343,
    4346, -5343, 52129, -5343, -5343, -5343,  3273, -5343,    33,  4322,
    4641,  3959,  2664,  4225,  3862,  4299, -5343, -5343,  4323, -5343,
   -5343,  4137,  2320,  4066, -5343, -5343,  4722,  4521,  4728,  3693,
   -5343,  3567,  2882, -5343,  6838, 78369, 76806,  4669,  4368,  4369,
   -5343, -5343,  4382, 97609, -5343, -5343,  2528,  4791,  3959, -5343,
    5542,  2894, -5343,  2899,  2903,  4489,  4390, -5343, 45191,   590,
    3956, 71075,  4341, -5343, 48419,  2915, -5343,  5607, 97609,  2918,
   -5343, 18455, 97609, -5343, -5343, 45191, -5343,  2936, -5343, -5343,
   45191,  4343, 45191, -5343, 46805,  4344, -5343,  4771, -5343,  2664,
   -5343,  3751, 53177, -5343,  4461, -5343,  4649, -5343, 97609,  4386,
   62665,  3732,  3732,  2306, -5343,  1617, -5343, 97609, -5343,  4296,
   45191, -5343,  4435, -5343, -5343,  2943,   883,  4508,  4508,  2952,
    2958, 11833, 97609, -5343, -5343, -5343,  2961, -5343, -5343, -5343,
   -5343,  2962,  3651,  1821,  3651, -5343,  3638, -5343, -5343, 70033,
   -5343,125638, -5343, -5343, -5343,  2624, -5343,  2624,  4560, 97609,
   65828,  2624,  2624, -5343, -5343, -5343, -5343, -5343,  4690,  4632,
   -5343,  2856, -5343, -5343, -5343, -5343,   561, -5343,  4558,  4562,
   97609, -5343,  4360, -5343,  2965,  4096,  4487,  3959, -5343, -5343,
   97609,  4795,  4796, -5343, 97609,  3937, 97609, -5343, -5343, -5343,
   45191,  4533, -5343,  4203,  2320,  4096,  4225,  2798, 53701, -5343,
    4066,  4137,  4566, -5343,  4567, -5343,  4379,  3643,  6494, -5343,
   -5343,   888,  4675,  4677, -5343, -5343, -5343, -5343, -5343, 97609,
   -5343, -5343, -5343, -5343, -5343, -5343,  3697, 44115, 44115,  4381,
   -5343, -5343, 97609,  1932,  4387, 47881, 70033,  2966, -5343, 75243,
   -5343,  2969,  2970, -5343,  2973, 46805,  2983, -5343, 97609,  4384,
   -5343, -5343, -5343, 57894,128356,  1170,  4388, -5343,  4391, -5343,
   -5343,  4459,  1617,  3661, -5343, 18455, 97609, 71596,  4784, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343,  3661,  4453,  1173, -5343,
    1024, 97609, -5343, -5343,  2990, -5343, -5343, -5343, 97609,  4038,
   -5343,  4038, -5343, -5343,  4510, -5343,  1009,   886,   886,  4735,
   -5343,  4444, -5343, -5343,  4392, -5343,  4850,  4515, 97609, -5343,
   -5343,  1149,  2664,  3959, -5343, -5343, 12205, 71596, -5343,  4066,
    4225,  2320, 45191,  3002, -5343,  4516,    98,  4137, -5343, -5343,
   -5343, 53177,  4137, -5343, -5343, -5343,  2210, 71596, 71596, -5343,
   47343,  4534,   143, 14191, -5343, -5343, -5343, -5343,  3005, 49495,
   -5343, -5343, -5343, 97609,  4594,  1717, -5343,  4549, -5343,  3010,
   -5343, -5343, -5343,  1633,   233,  3732, 45191,  1617, -5343,  4488,
   -5343,  3661, -5343, 97609, -5343,  4404, -5343, -5343, -5343, -5343,
  125638,  4038,  4290, -5343, -5343,  4848, -5343,  1082, -5343, -5343,
   -5343, -5343, 97609,  3959,  4128,  4203, -5343, -5343,  4406,  4137,
    2320,  4066, 12322, -5343, 53701, 97609, 97609, -5343,  3017,  3751,
   -5343,  1309, -5343, -5343, -5343, -5343, -5343, -5343, -5343,  4408,
    4410,  4841, -5343, -5343, -5343, -5343, -5343, -5343,  3866, -5343,
   -5343, 48419,  4618, -5343,  1717, -5343, 48419,  4412, -5343, -5343,
   -5343, -5343, -5343, 12531, -5343, -5343, -5343,  1173, -5343,  4731,
   -5343, -5343, -5343,  3959, -5343, -5343, 69512, -5343,  4066,  4137,
    4516, -5343, -5343, -5343,  3643, -5343,  2024, -5343, -5343,  2107,
    2498,  4495,  4721, 44653,  4812,  1932, -5343, -5343,  1932, 45191,
   -5343,  1617,  3026,  4586, -5343,  3044, -5343, -5343, -5343, -5343,
   -5343,  4137, -5343, 97609,  4137, -5343,  1309,  4529,  4530, -5343,
   97609, 12826, -5343, 71596, -5343, 69512, -5343, -5343,  3751, -5343,
    4462,  4463,  3051, -5343,  4428, -5343, -5343,  4724,  4729, -5343,
   69512, 71596, 71596,  3056, -5343, -5343, -5343
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2658,     0,     2,     1,  3087,  3091,  3095,  3096,  3013,  3097,
    3098,  3063,  3064,  3065,  3066,  3067,  3068,  3069,  3070,  3071,
    3072,  3073,  3074,  3076,  3075,  3077,  3078,  3079,  3080,  3081,
    3082,  3083,  3084,  3086,  3085,  3035,  2665,  3032,  3029,  3030,
    3031,  3036,  3034,  3027,  3028,  2225,  3100,  3088,  3101,  3089,
    3090,  3092,  3093,  3062,  3094,  3102,  3103,  3104,  3099,  3107,
    3058,  3059,  3057,  3060,  3061,  3105,  3106,  3049,  3050,  3051,
    3052,  3108,  2666,  2667,  3054,  2659,  2663,  2725,  2796,  3055,
    3056,  3053,  2664,  3048,  2796,     0,  2917,  2918,  2919,     0,
    2920,  2921,  2922,  2848,  2810,  2923,     0,     0,  2924,  2925,
    2926,  2927,  2928,  2929,  2930,  2931,     0,  2932,  2933,  2934,
    2935,  2795,  2936,  2937,  2938,  2939,  2772,  2778,  2901,     0,
    2752,  2753,  2749,  2751,  2750,  2754,  2737,  1424,   634,  1510,
    1509,     0,  2560,  1424,  2513,  2514,  2561,  2515,  2516,  2517,
     273,     0,  1512,  2518,  2562,     0,  1424,  2563,   433,  1116,
    2564,  2565,  2680,     0,  2519,  2520,     0,     0,     0,   634,
    1424,     0,     0,  2521,  1639,  2522,     0,  2523,  2566,  2567,
       0,  2524,  2525,  2568,     0,  2569,  2526,  2527,  2528,  2570,
    2571,  2572,  2529,  2573,  2574,     0,     0,  1653,     0,  2530,
    2575,  2531,  2532,     0,  2576,  2533,  2534,  2535,  2577,  2578,
    2536,  2537,  2538,     0,  2539,     0,     0,     0,     0,     0,
       0,  2579,  1424,  2540,     0,     0,  1660,     0,  2541,     0,
    2580,  2542,     0,  2543,     0,  2581,  2544,  2545,  2546,  2547,
    1653,  2897,  2773,     0,  1514,     0,  2548,  2582,     0,  2549,
    2550,  2551,  2552,  2553,  2554,  2555,  2556,  2557,  2558,  2559,
       0,     0,     0,    71,    72,    29,    28,    35,    34,    92,
      93,    54,    16,    83,    62,   127,   126,   128,    41,    37,
      79,    24,    26,    38,    42,    64,    66,    55,   105,    63,
      22,    61,    87,    67,    90,    49,    10,    11,    50,    12,
      51,    13,    52,    14,   101,    73,    94,    33,    60,    21,
      43,    69,    70,     3,    45,    81,    77,     9,    56,    57,
      59,    84,    85,    86,   110,    88,   122,    40,   119,    98,
      99,   116,   100,   117,     7,   102,    53,    15,   113,   112,
     114,    80,    46,    82,    68,    91,   111,    25,   115,    17,
      18,    20,    19,    58,    27,    65,    30,    89,   118,   108,
     104,   123,   121,   129,   106,    74,     5,     6,    95,     4,
      23,    48,     8,    32,    31,    47,    39,   125,    36,  1512,
      97,   109,    96,   103,    78,   107,   124,    76,   120,  1624,
    1611,  1662,  1623,  1638,     0,  1627,  2992,  2993,    44,  1639,
     131,   132,   137,  2662,  2714,  2715,  2716,  2796,  2747,  2748,
    2741,  2757,  2767,  2756,  2760,  2768,  2755,  2774,     0,   134,
     136,   138,   141,   135,   130,   133,   140,   145,   139,   144,
     142,   143,   146,   147,   148,  2994,  1885,  2991,    75,  2732,
    2731,     0,  2796,     0,  3024,  2240,  2241,  2242,  2243,  2244,
    2245,  2246,  2247,  2248,  2249,  2250,  2251,  2252,  2253,  2254,
    2255,  2256,  2257,  2258,  2259,  2260,  2261,  2262,  2263,  2264,
    2265,  2266,  2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,
    2275,  2276,  2277,  2278,  2279,  2280,  2281,  2282,  2283,  2284,
    2285,  2232,  2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,
    2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,
    2304,  2305,  2306,  2307,  2308,  2309,  2310,  2311,  2312,  2313,
    2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,
    2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,
    2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,
    2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,
    2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,  2369,  2370,  2371,  2372,  2373,
    2374,  2375,  2376,  2377,  2378,  2379,  2380,  2381,  2382,  2383,
    2384,  2385,  2386,  2387,  2388,  2389,  2390,  2391,  2392,  2393,
    2394,  2395,  2396,  2397,  2398,  2399,  2400,  2401,  2402,  2403,
    2404,  2405,  2408,  2406,  2407,  2409,  2410,  2411,  2412,  2413,
    2414,  2415,  2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,
    2424,  2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,
    2434,  2435,  2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,
    2444,  2445,  2446,  2447,  2448,  2449,  2450,  2451,  2233,  2452,
    2453,  2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,
    2463,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,
    2473,  2474,  2475,  2476,  2477,  2478,  2680,  2479,  2480,  2481,
    2482,  2483,  2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,
    2492,  2493,  2494,  2495,  2496,  2497,  2498,  2499,  2500,  2501,
    2502,  2503,  2504,  2505,  2506,  2507,  2508,  2509,  2510,  2511,
    2512,  2698,  2230,  2231,  2237,  2238,  2239,  2673,  2694,  2700,
    3020,  2699,  2236,  2847,     0,     0,  2940,  2941,  2942,  2943,
    2944,  2945,  2995,  2996,  2997,  2998,  2999,  3001,  3000,  2809,
    2967,  3004,  2808,  3005,  2812,  3006,  3007,  3008,  3009,  2968,
    3010,  2811,  3002,  2964,  2813,  2806,  2807,  2965,  2915,  2916,
    2203,  2966,  2963,  3003,  2701,  2962,  2817,  2816,  1601,  3019,
    2202,  1602,     0,  2819,  2946,  2947,  2948,  2949,  2951,  2950,
    2952,  2583,  2584,  2585,  2586,  2587,  2588,  2589,  2590,  2591,
    2592,  2593,  2594,  2977,  2595,  2596,  2597,  2990,  2598,  2599,
    2978,  2600,  2601,  2602,  2603,  2604,  2605,  2606,  2607,  2608,
    2609,  2610,  2611,  2612,  2613,  2614,  2615,  2616,  2617,  2618,
    2619,  2620,  2621,  2622,  2623,  2979,  2980,  2624,  2625,  2626,
    2627,  2628,  2629,  2630,  2631,  2632,  2633,  2634,  2635,  2636,
    2637,  2638,  2639,  2640,  2641,  2642,  2643,  2644,  2645,  2646,
    2647,  2981,  2648,  2649,  2982,  2650,  2651,  2652,  2983,  2653,
    2654,  2655,  2656,  2657,  2987,  2988,  2989,  2976,  2770,  2953,
    2975,  2986,  2984,  2985,  2780,  2776,  2784,  2779,     0,     0,
       0,     0,  2796,  1423,  1422,  1408,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   633,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2670,     0,  1434,   404,   403,  1511,  1491,   634,     0,  1411,
     432,  1639,     0,     0,     0,     0,     0,     0,     0,     0,
     862,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,     0,     0,     0,     0,   458,   457,
       0,     0,     0,  1089,   463,     0,     0,     0,     0,     0,
     622,  2679,  2674,  2684,     0,  2677,  2678,  2962,     0,  3111,
    2406,  2710,  2711,  3109,  2463,  1603,   274,   277,   278,   275,
     276,     0,  1211,  1212,  1214,     0,     0,     0,  1224,   902,
     903,     0,     0,     0,   911,     0,     0,     0,   900,     0,
       0,     0,   916,   913,     0,   917,   914,   897,   915,   904,
       0,   896,     0,     0,  1224,   918,     0,     0,   898,     0,
       0,     0,     0,  1412,     0,  2762,  2763,  2337,  1551,   464,
       0,     0,  1639,     0,  1529,  1530,  1512,  1519,  1531,  1524,
    1526,  1525,  1527,  1523,  1528,  2241,  1029,  2256,  1029,  2326,
    1026,  1027,  1029,  1029,  1029,  2425,     0,     0,  1001,     0,
    1012,  2226,  1029,  2227,  3020,  1034,   524,   524,   524,     0,
    1033,  1038,   524,     0,  1405,  1443,  2207,  1652,     0,  2256,
    2326,  1002,  1404,  2479,  1543,     0,     0,  1239,  1235,  1237,
    1238,  1236,     0,     0,     0,  2441,  1416,   258,  2960,  2451,
    2544,  2479,  2961,   257,   252,   253,  2955,  2956,  2958,   226,
    2959,  2957,  2954,  2245,     0,     0,  1033,     0,  1413,  1414,
     984,  1659,  1657,     0,  2189,     0,     0,  2264,     0,  2278,
    2362,   249,  2436,  2442,  2451,  2544,  2479,  2510,   205,   215,
     210,     0,   267,  2451,  2544,  2479,     0,  1434,     0,  1628,
    1759,  2198,     0,     0,  2771,  1407,  1406,  1513,     0,  1516,
       0,  2420,  1632,  1635,  1518,  1633,  1624,     0,     0,  2661,
    1507,  1656,  1656,     0,  1656,     0,  1616,  1624,  1619,  1623,
       0,     0,     0,     0,  1424,     0,  2739,  2767,  2746,  2802,
    2743,     0,     0,  2792,  2788,  2785,  2793,  2794,  2787,  2775,
    1874,  1875,  1876,  1873,  1886,  1872,     0,  2720,  1877,  2759,
    2726,     0,  2734,  2733,  3037,  3038,  2849,  2672,  2691,     0,
       0,     0,     0,     0,     0,     0,  2818,  2820,  2822,  2782,
    2781,  2777,     0,     0,     0,     0,  2907,  2908,  2906,     0,
    2903,  2905,     0,  2802,     0,     0,  2971,  2965,  2974,     0,
    2208,  2966,  2963,  2962,     0,   921,     0,  1446,  1075,     0,
       0,     0,     0,     0,     0,     0,  1124,  1125,     0,  2230,
       0,  2336,     0,     0,     0,  2100,  2111,  2112,  2113,  2268,
    2321,  2108,  2109,  2110,  2102,  2103,  2104,  2105,  2106,  2107,
       0,     0,  1206,  2101,     0,  2336,     0,     0,   175,     0,
     153,     0,     0,  2336,     0,     0,     0,     0,     0,     0,
       0,  2336,     0,     0,     0,     0,     0,  2367,     0,   153,
    2336,     0,     0,     0,  1428,     0,     0,     0,  1430,  1433,
    1409,  1494,     0,  2198,     0,     0,     0,   955,   948,     0,
     956,   963,     0,     0,   965,     0,     0,   949,     0,     0,
       0,     0,   968,   969,     0,   970,   950,   971,   951,   972,
     952,   973,     0,     0,     0,     0,   953,     0,     0,     0,
    1420,     0,  1545,  1547,  1546,  1544,   524,     0,     0,     0,
       0,  2336,     0,     0,   153,  1479,     0,  2336,   153,     0,
       0,   462,   461,   153,   460,   459,  2268,  2321,     0,  1115,
       0,  1363,   153,  2336,     0,   198,  2336,   706,  2336,  1518,
       0,   637,     0,     0,   817,  2367,   153,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,     0,   621,   634,     0,
    2683,  2689,     0,  2681,  2850,  3112,  3110,  2805,     0,  1215,
     250,   251,  1213,   909,  2336,  1157,   361,   361,     0,     0,
    2336,  1465,  1834,  1863,  1841,  1863,  1863,  1830,  1830,  2305,
    1843,  2336,  1831,  1832,  1868,     0,  1863,  1830,  1835,     0,
    1833,  1871,  1871,  1858,   361,   925,  1815,  1816,  1817,  1818,
    1844,  1845,  1819,  1850,  1851,  1855,  1820,  1885,  2972,  1830,
    2973,  2970,  2969,   910,     0,   901,  2336,   361,  1121,  2336,
    2234,   189,     0,   899,  2268,  2321,  2336,   361,  1208,     0,
    2336,   181,  2336,   361,  2336,   638,     0,     0,  2336,   361,
    2336,  2367,   183,     0,  2336,   361,   919,  2336,   361,  2200,
    2336,     0,     0,     0,  3042,  3046,     0,  3044,  3039,  2761,
    2815,  2814,  2713,     0,  3123,     0,  1603,  1521,  1536,     0,
    1532,  1539,  1535,  1639,  1029,  1028,     0,  1029,     0,  3132,
    1029,     0,  1029,     0,  3132,  1029,     0,     0,     0,  1029,
    2228,  2229,     0,     0,  3131,  3129,  3130,  1003,  1013,     0,
    1035,     0,     0,  1042,  1041,  1040,     0,     0,     0,  1043,
       0,  1763,  1578,     0,  1010,     0,  1008,     0,  1402,  1419,
       0,     0,     0,     0,  1092,  1242,     0,  1240,  1231,  1232,
    1415,   256,   254,     0,     0,     0,     0,     0,     0,  1421,
       0,     0,     0,     0,  3026,  2214,  2114,  3025,     0,  2514,
    2515,  2516,  2173,     0,  2967,  2517,  2518,  2562,  2016,  2003,
    2012,  2017,  2004,  2006,  2013,  2519,  2520,  1951,  2521,  2522,
    2221,  2523,  2524,  2525,  2527,  2528,  2529,  2008,  2010,  2530,
    2531,     0,  2222,  2533,  2534,  2389,  2536,  2537,  2539,  2540,
    2014,  2542,  2543,  2544,  2545,  2546,  2547,  2220,     0,  2015,
    2548,  2550,  2551,  2552,  2553,  2555,  2556,  2557,  2558,     0,
       0,     0,  2195,     0,  1983,     0,  1823,  1824,  1846,  1847,
    1825,  1852,  1853,  1826,     0,  2194,  1888,  2065,  1982,  1999,
       0,  1988,  1989,     0,  1981,  1977,  1642,  2190,     0,  1978,
    2210,  2174,  2224,  2223,  3020,  2184,  2213,  2211,  2212,  1642,
    2188,     0,     0,     0,   218,     0,     0,  2896,   269,     0,
     270,  2196,  2451,   206,   248,   220,   247,   221,   219,     0,
    2266,   207,     0,     0,   208,     0,     0,     0,     0,     0,
       0,     0,   263,  1410,     0,  1761,  1760,  2181,     0,  2182,
    2199,   930,     0,  1504,  1505,  1503,     0,  1500,  1502,  1506,
    1515,  1512,  2124,     0,  1634,     0,     0,     0,  1614,  1613,
    1518,  1654,  1655,     0,     0,     0,     0,     0,     0,     0,
       0,  1708,  1670,  1671,  1673,  1705,  1709,  1717,     0,  1620,
       0,     0,  1765,     0,     0,  2660,  2802,  2803,     0,  2797,
       0,  2796,  2796,  2790,  2789,  2786,     0,     0,     0,     0,
       0,     0,     0,     0,  2717,   616,  2719,   613,     0,     0,
    2693,     0,  2697,  2695,     0,  2842,  2845,     0,  2843,  2844,
    2846,     0,  2851,  2852,     0,     0,  3033,     0,     0,     0,
    2833,  2821,  2828,  2830,  2832,  2831,  2840,  2836,  2839,  2841,
    2783,  2796,  2914,     0,  2909,  2912,     0,  2904,     0,     0,
       0,     0,     0,  1156,  2209,     0,     0,     0,     0,     0,
     922,     0,     0,     0,     0,  1454,  1455,  1456,     0,     0,
    1457,  1458,  1446,   260,  1464,  1462,  1445,  1447,  1460,  1452,
       0,     0,     0,     0,     0,     0,     0,  1471,     0,   187,
     188,     0,   650,   634,     0,  2336,     0,     0,     0,     0,
       0,  1164,  1171,     0,     0,     0,     0,     0,     0,     0,
       0,  1165,  1163,  1166,   262,  1175,  1192,  1195,     0,  1123,
    1126,     0,     0,     0,     0,     0,  1297,     0,     0,     0,
    1297,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   285,   297,   356,     0,     0,  2336,
       0,     0,     0,     0,  1210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,   152,
     157,     0,     0,     0,     0,     0,     0,     0,   599,   612,
       0,     0,     0,     0,     0,   609,     0,     0,   153,   289,
     589,   595,     0,     0,     0,   713,   712,     0,     0,     0,
       0,  1379,  1378,     0,     0,     0,     0,  1469,  1468,     0,
       0,     0,     0,     0,  1297,     0,   279,   281,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   396,   397,     0,     0,     0,   157,   180,
       0,     0,     0,   291,     0,  2727,     0,  1429,  1426,  1427,
       0,  1432,     0,  1490,     0,   962,     0,     0,     0,     0,
     964,     0,   957,     0,     0,   954,  2268,  2321,     0,     0,
       0,     0,     0,     0,     0,   967,     0,     0,     0,   435,
       0,     0,   814,     0,     0,     0,     0,     0,     0,   825,
       0,  1446,  1478,     0,     0,     0,   643,     0,  2336,     0,
     155,   863,     0,   815,   463,     0,     0,     0,  1187,  1362,
     155,     0,     0,   192,     0,     0,   710,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   755,   754,     0,     0,
       0,   816,     0,     0,   155,     0,  2336,   592,  2336,     0,
     524,   524,     0,     0,  1091,  1094,     0,     0,     0,     0,
    2687,  2682,  2685,     0,  2675,  2689,  1606,  1608,  1607,     0,
    1605,     0,   359,   360,     0,  1198,   812,  1223,     0,     0,
    1862,  1849,  1857,  1856,     0,  1839,  1838,  1837,     0,  1836,
       0,  1863,  1863,  1861,  1840,  1815,     0,     0,     0,  1867,
       0,  1865,     0,   892,  1811,  1807,     0,  1874,  1873,  1872,
       0,  1821,  1830,  1827,   912,     0,     0,  1196,     0,     0,
    2336,   361,  2336,     0,  2336,     0,     0,     0,  1200,   361,
       0,     0,  1380,     0,   908,   906,   905,   907,     0,     0,
     890,     0,     0,     0,  2336,   361,     0,     0,   885,     0,
       0,   887,     0,     0,  3040,     0,     0,  3043,     0,  2764,
       0,  3126,  1548,  3127,     0,     0,  1639,     0,   237,   238,
     236,  1537,   239,  1538,  1534,  1520,     0,  1021,     0,  3132,
    3133,  1006,     0,  1016,     0,  3132,  1004,     0,  1017,  1014,
    1015,     0,     0,     0,  3128,  3011,  3017,  1020,     0,     0,
     525,   527,     0,     0,  2289,  2304,     0,  2327,  2355,  2356,
    2442,  2447,     0,  2474,  2484,     0,  1044,  1070,  1039,   724,
       0,     0,  1588,  1011,  1009,  1403,  1541,  2131,     0,  1639,
       0,     0,     0,     0,   255,   227,     0,     0,     0,  1072,
    2441,  1418,   983,   634,     0,     0,  1986,  1987,  2172,     0,
       0,     0,     0,     0,     0,  1985,  2139,     0,     0,     0,
       0,     0,  1911,     0,     0,     0,  2152,     0,  2158,     0,
       0,  1948,     0,     0,     0,     0,     0,     0,     0,     0,
    1912,  1892,  1893,  2968,  1983,  2124,     0,  1984,  2217,     0,
    1885,  2114,     0,  2111,  2112,  2113,     0,     0,     0,  2187,
       0,  2122,     0,     0,  1926,  2120,  1928,     0,     0,     0,
       0,  2108,  2109,  2110,  2102,  2103,  2104,  2105,  2106,  2107,
    2118,  1908,     0,  2193,     0,  2067,     0,  1907,     0,     0,
    1721,  1641,     0,  2215,  2175,     0,  3018,  3021,  1979,  1721,
    2893,  2892,  2891,  2890,  2861,     0,  2855,  2856,     0,  2894,
    2895,   271,   272,   268,     0,     0,   223,   222,     0,   245,
     246,   217,   244,     0,   240,   241,   225,  2056,  2055,   224,
     216,   213,   211,   228,   230,   231,   214,   212,   266,   264,
       0,     0,  2180,     0,  2177,  2176,  2205,  2183,     0,     0,
     361,  2796,  1498,     0,  1495,  1718,     0,  1636,     0,     0,
    1508,  1631,  1630,  1663,  1664,  1108,  1629,  1688,  1689,  1684,
       0,     0,     0,  1714,  1712,  1680,  1674,  1679,  1677,     0,
    1681,  1888,  1707,  1618,  1668,  1669,  1672,  1617,     0,  1710,
       0,  1591,  1708,  1673,  1575,     0,  1553,     0,  1766,     0,
       0,     0,  2804,  2802,  2742,  1815,  2796,  2735,  2796,  2791,
    2723,  1879,  1880,  1881,  1882,  1883,  1884,  2724,     0,  2721,
    1878,  2722,   614,   615,     0,     0,     0,  2690,     0,  2671,
    2696,  2827,  2459,  2859,     0,  2860,     0,     0,  2824,     0,
    2834,  2837,  2835,  2838,     0,  1815,  3014,  2910,  3014,  1815,
       0,     0,     0,  1136,  1138,     0,  1137,     0,  1140,     0,
    1149,     0,     0,  1135,  1154,     0,  1143,  1141,     0,  1467,
       0,     0,   923,     0,     0,     0,     0,  1453,     0,     0,
    2474,   259,  1456,  1461,  1448,  1459,     0,     0,     0,     0,
       0,  1074,  1073,     0,     0,  1096,     0,     0,     0,  1474,
     513,     0,   358,     0,     0,     0,     0,     0,     0,     0,
       0,   810,   807,     0,     0,   806,     0,   648,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   686,     0,
    1297,     0,   718,     0,  1173,     0,     0,  1172,     0,  1176,
       0,     0,  1174,  1169,  1170,  2442,  2451,  2479,   261,  1194,
       0,  1193,  1191,  1118,     0,  1119,     0,     0,     0,     0,
       0,  2314,  2336,   301,   320,     0,  1296,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   343,     0,     0,   346,   345,     0,     0,     0,
       0,     0,   350,   329,     0,   330,     0,     0,   349,     0,
       0,     0,     0,     0,     0,  1297,     0,   293,     0,     0,
       0,     0,     0,     0,     0,  1207,     0,   741,     0,     0,
       0,     0,     0,  1366,     0,   178,     0,   174,   177,     0,
       0,     0,     0,   597,   598,   611,     0,   602,   603,   600,
     604,   605,     0,     0,     0,     0,     0,     0,     0,   596,
       0,     0,   708,   707,   711,     0,     0,     0,  1375,     0,
    1187,     0,     0,  1374,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1244,  1243,     0,     0,     0,     0,
       0,     0,   853,     0,     0,     0,     0,     0,     0,     0,
       0,   728,     0,   727,     0,   179,     0,     0,     0,     0,
       0,     0,     0,   235,  1425,  1431,  1493,  2206,  1492,     0,
       0,     0,     0,   966,     0,     0,     0,     0,     0,     0,
       0,   958,   959,   960,   961,     0,     0,     0,     0,     0,
     410,     0,     0,     0,     0,   841,  2969,   813,     0,     0,
       0,   827,     0,   830,   833,     0,  1444,   482,     0,     0,
     640,   686,     0,     0,   466,   185,     0,     0,     0,     0,
     743,     0,     0,     0,  1361,   150,   196,   198,   464,     0,
     197,   199,   201,   202,   203,   200,   204,     0,   705,   709,
       0,     0,     0,     0,   636,     0,     0,     0,     0,     0,
     756,   760,   759,   763,   761,     0,   757,     0,     0,  1786,
       0,     0,   173,     0,     0,   587,   591,     0,  2668,     0,
       0,   466,   565,   372,  2336,     0,   524,     0,  2336,     0,
    1093,     0,     0,     0,     0,     0,     0,  2688,     0,     0,
       0,     0,  1604,   361,  1158,     0,  1466,     0,     0,     0,
     361,  1860,  1859,  1812,  1808,     0,     0,     0,     0,   926,
       0,     0,     0,     0,     0,     0,  1828,   361,  1122,   190,
    2235,     0,   894,     0,     0,     0,     0,   361,  1209,   882,
     182,   361,   639,     0,   361,   184,     0,     0,     0,   631,
     361,   920,   361,  2201,     0,   361,  3041,  3047,  3045,  1550,
    3124,  3125,   524,  1608,  1522,  1533,  1018,  1025,  1007,  1024,
    1023,  1005,  1022,  1019,  2826,     0,     0,  3016,     0,  1036,
       0,   523,     0,     0,     0,  1050,  1051,     0,     0,  1049,
    1052,     0,  1054,  1046,  1045,  1055,  1056,     0,     0,  1072,
     722,     0,     0,     0,     0,  1585,     0,  1583,     0,  1764,
    1587,  1576,  1542,     0,  1540,     0,   580,     0,     0,  1241,
       0,     0,  1033,     0,     0,   361,  1417,     0,   985,   991,
       0,     0,     0,     0,     0,     0,   994,   995,   996,   987,
     997,   988,   998,     0,   989,     0,     0,     0,     0,  2135,
       0,  2136,     0,     0,  2171,  2167,     0,     0,     0,     0,
       0,  2143,  2144,  2145,  2142,  2146,  2141,     0,     0,  2147,
    2140,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2540,     0,     0,     0,     0,  1952,     0,     0,  2095,     0,
    2124,  2157,     0,     0,     0,     0,     0,     0,  2124,  2163,
       0,     0,     0,     0,  2054,     0,  2051,     0,     0,     0,
       0,  2184,     0,     0,  2218,  1889,  1903,  1904,  1905,  1909,
    2192,     0,  2186,     0,     0,  1890,  1917,     0,  2164,  1944,
       0,  1949,  1932,     0,  1925,     0,  1930,  1934,  1913,     0,
    1910,     0,  2187,  2123,     0,  2121,     0,  1900,  1901,  1902,
    1894,  1895,  1896,  1897,  1898,  1899,  1906,  2099,  2097,  2098,
       0,     0,     0,  2075,     0,     0,  1929,  2330,  2362,     0,
    1653,  1653,  1653,  1640,  1651,  2191,     0,  1781,     0,     0,
       0,     0,  1991,     0,  2128,  1662,  2126,  2208,  3023,  3022,
    2185,  1781,     0,     0,     0,  2197,     0,     0,  1885,     0,
     265,  1762,  2178,  2181,   928,   929,   927,  1815,  1518,  1501,
    1497,  1496,  2125,  1517,  1639,     0,  1106,  1107,     0,  1111,
       0,     0,  1682,  1715,     0,  1706,     0,  1686,  1687,  1678,
    1716,  1589,     0,  1711,  1622,  1621,     0,  1784,     0,     0,
       0,  1567,  1555,     0,  1767,     0,  1721,  1593,     0,  2184,
    1719,  2740,  2798,  2745,  2766,  2736,  2769,  1887,  2718,  2758,
       0,  2692,  2862,  2863,     0,  2853,  2854,  2823,  2829,  2900,
       0,  3015,     0,     0,  1339,  1245,  1304,  1139,     0,  1830,
    1150,     0,  1134,     0,  1133,  1830,     0,  1151,     0,  1830,
    1340,  1246,  1305,   924,  1341,  1247,  1306,  1342,  1248,  1463,
    1451,  1450,  1449,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   791,  2336,   361,
    1472,  1343,     0,  1249,   357,  1473,  1307,  1477,   809,   808,
       0,     0,  1308,     0,   649,     0,   653,     0,   655,   656,
     657,     0,     0,     0,   658,     0,  2268,  2321,   660,   663,
     670,   675,   665,     0,     0,   677,   671,     0,     0,     0,
       0,     0,     0,   683,   685,     0,     0,     0,     0,     0,
       0,     0,  1167,  1168,  1344,  1252,     0,  1309,  1117,     0,
    1253,   186,     0,     0,   286,  2336,   303,     0,   690,   791,
    1299,   327,     0,     0,   342,   337,   338,   336,  2336,   361,
    2336,   361,     0,     0,     0,     0,     0,   339,   334,   335,
     331,     0,     0,   344,  2244,  2306,  2452,     0,   694,   696,
       0,   701,   347,  1271,   368,   367,   366,     0,   351,     0,
     373,   376,   348,   325,   328,   326,   322,   298,     0,     0,
       0,     0,     0,     0,     0,     0,  2204,     0,     0,  1202,
       0,  1347,  1310,     0,  1330,     0,     0,     0,     0,   735,
    1367,  1369,  1359,  1259,  1368,   176,  1286,     0,     0,   162,
       0,     0,     0,     0,   156,   166,     0,  1350,  1260,     0,
       0,   290,   590,   601,   606,  1265,   610,   607,  1320,   608,
    1357,  1261,  1353,  1289,  1315,  1360,  1376,  1262,  1187,  1371,
    1373,     0,  1297,     0,   280,   282,     0,   300,     0,  1263,
       0,  1313,  1352,  1288,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1480,     0,     0,     0,     0,     0,     0,
     361,     0,     0,     0,  1299,  2336,   361,  1351,     0,  1294,
       0,  1328,     0,   398,     0,  1287,     0,     0,   292,  1267,
    1322,     0,     0,   233,   232,   234,   975,   935,   974,     0,
    2304,     0,   934,   936,     0,     0,     0,   937,     0,     0,
       0,     0,   933,   931,   932,   409,     0,   434,   407,   408,
     410,     0,   840,     0,     0,     0,     0,     0,   829,     0,
       0,     0,  1470,     0,   153,   647,     0,     0,     0,   642,
     685,   690,     0,     0,     0,     0,   465,   469,   473,   474,
     475,     0,     0,     0,     0,   167,   154,     0,   871,     0,
     524,     0,   745,  1365,  1364,  1186,     0,   198,   191,     0,
       0,   706,     0,  1518,     0,     0,   372,   824,   822,   821,
     823,     0,     0,     0,   845,   820,     0,  1785,  1787,     0,
       0,     0,     0,     0,     0,     0,   468,     0,     0,   527,
       0,     0,   569,     0,     0,     0,     0,   372,     0,     0,
       0,  1128,     0,  1146,  1129,     0,     0,     0,     0,  1180,
    1187,  1181,  1159,     0,     0,   619,  2686,  2680,  1609,  1610,
       0,  1199,     0,     0,  1829,  1842,   893,     0,  1870,  1869,
    1871,  1871,     0,  1813,     0,  3113,  3121,  3120,     0,  1854,
    1822,  1197,   361,     0,   361,     0,   361,  1201,  1381,     0,
     891,     0,     0,   361,   884,   886,     0,   888,     0,  2825,
    3012,  1037,   526,     0,     0,     0,     0,  1048,   617,  1053,
       0,  1065,  1060,  1062,     0,  1066,   721,     0,     0,  1586,
    1579,  1581,  1580,     0,     0,  1577,  2132,   883,     0,   586,
    1233,  1234,     0,     0,   361,     0,  1067,     0,     0,   992,
     986,     0,     0,   990,     0,   993,     0,     0,  1658,  2133,
    2134,     0,     0,     0,  2168,     0,     0,  2029,     0,  2005,
    2007,  2019,     0,  2030,  1990,  2031,  2009,  2011,     0,  2115,
       0,     0,  2020,     0,  1954,  1955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1970,  1969,  2021,  2094,     0,     0,  2155,
    2156,  2022,     0,     0,  2162,     0,     0,     0,  2027,  2032,
       0,     0,     0,     0,  2038,     0,  2059,     0,     0,     0,
    1980,  2125,     0,     0,     0,     0,     0,     0,     0,     0,
    1950,  1933,  1927,     0,  1931,  1935,     0,     0,     0,  1921,
       0,     0,  1919,  1945,  1915,     0,     0,  1946,     0,     0,
       0,  1998,     0,     0,  1653,  1653,  1653,  1653,  1650,     0,
       0,     0,     0,  2439,  2559,     0,  1745,  1720,  1722,  1732,
    1745,  1750,  1745,  2000,  1779,  2001,     0,  2198,     0,  1691,
    1662,  1662,  1662,  1997,     0,     0,     0,     0,  1661,  1691,
    2875,  2877,  2878,  2879,  2880,  2881,  2883,  2884,  2886,  2887,
    2888,  2876,  2882,  2885,  2889,  2866,  2867,     0,  2857,  2858,
     209,     0,   242,   229,  2180,     0,  2900,  1499,     0,  1665,
       0,  2116,  1111,     0,  1667,     0,     0,  1713,  1675,  1590,
    1574,     0,  1572,  1559,  1561,  1560,     0,     0,  1562,  2184,
       0,  1572,  1554,  1598,     0,     0,  1784,     0,  1597,     0,
    2800,  2728,     0,     0,  2899,  2902,  2913,  2911,  2738,     0,
    1830,  1131,  1132,     0,  1155,     0,  1077,  1078,     0,  1076,
       0,     0,     0,   512,  1095,     0,     0,     0,   791,     0,
       0,   516,     0,  1475,     0,  1358,  1285,   651,   652,     0,
     664,     0,   673,   672,     0,     0,     0,     0,     0,     0,
       0,   659,   679,   623,   680,   682,     0,     0,   681,   684,
     687,  1297,     0,   719,  1273,     0,  1326,  1161,  1300,     0,
    1120,     0,     0,     0,     0,     0,     0,   482,   321,     0,
       0,     0,   153,     0,   305,   313,   379,   319,     0,  1303,
     353,     0,   324,     0,   317,   340,   332,   341,   333,   352,
     354,     0,   698,   699,   697,   693,     0,   700,   702,     0,
     370,     0,     0,     0,  1346,     0,  1297,     0,   294,     0,
    1269,     0,  1324,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1329,     0,     0,     0,     0,   740,
       0,   737,     0,     0,   159,   158,     0,   165,     0,     0,
       0,     0,     0,  1377,     0,     0,     0,     0,     0,     0,
       0,   299,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   399,
     363,     0,   848,     0,     0,     0,   401,     0,     0,     0,
       0,     0,  1345,  1254,     0,     0,     0,   946,     0,     0,
       0,     0,     0,     0,   412,   413,   153,   411,     0,     0,
     842,     0,   839,  2389,  2102,  2103,   837,   843,   834,   836,
     835,   838,   791,     0,     0,   826,   831,   832,     0,     0,
       0,     0,     0,   497,     0,     0,     0,   488,     0,     0,
    1187,   481,   484,   485,     0,     0,   643,   646,   644,   645,
     678,     0,   468,   504,   551,     0,   169,     0,     0,   170,
     168,     0,     0,   372,   742,     0,   739,     0,   194,   464,
       0,   710,     0,     0,     0,  1187,   635,   762,   765,   758,
       0,   844,   846,   818,     0,   690,     0,     0,   592,     0,
    1551,   580,     0,   553,   468,   551,   563,   562,   564,     0,
     571,   371,     0,     0,   580,   571,     0,     0,  1096,  1127,
       0,     0,     0,  1177,  1182,  1178,     0,     0,  1142,     0,
    1179,  1160,  1114,  1397,  1398,  1395,  1396,     0,     0,     0,
    2703,  1600,  2712,     0,  1848,     0,  1866,  1864,  1809,     0,
    2796,     0,     0,     0,     0,     0,  1814,   895,     0,   878,
       0,   880,   361,   729,     0,   632,   361,     0,     0,     0,
       0,  1047,     0,  1063,     0,     0,  1030,  1069,     0,     0,
    1584,  1582,   578,     0,  1072,     0,  1031,  1071,     0,     0,
       0,     0,     0,     0,     0,  2137,     0,  2170,  2166,     0,
    2002,  2138,     0,  2150,  2149,  2095,     0,     0,  1953,  1965,
    1966,  1967,  2151,     0,  1975,     0,     0,  1962,  1963,  1964,
    1956,  1957,  1958,  1959,  1960,  1961,  1968,  2160,  2159,  2153,
    2154,     0,  2024,  2025,  2026,  2161,  2033,     0,  2259,  2060,
    2037,  2053,  2052,     0,     0,     0,  2040,     0,     0,  2049,
       0,  2096,  2219,  1891,     0,     0,  1918,  2165,  1936,     0,
       0,     0,  1914,  2115,     0,     0,     0,     0,     0,  1923,
       0,     0,     0,  2078,  2073,  2074,  2092,     0,     0,     0,
       0,     0,     0,  1644,  1643,  1649,  1745,  1750,  1745,     0,
       0,  1624,     0,  1732,     0,  1744,  1730,  1743,     0,     0,
    1756,  1754,     0,  1756,     0,  1756,     0,  1724,     0,  1746,
    1726,  1743,  1728,     0,  1771,     0,  2199,  1780,     0,  1704,
       0,     0,     0,     0,  2129,  2130,     0,  2127,  1992,  1704,
       0,     0,     0,  2179,  2898,  1637,     0,  1666,  1109,  1110,
    1683,  1676,     0,  1782,     0,  1573,     0,     0,     0,  1564,
    1570,  1552,     0,     0,  1594,  1572,  1595,  2744,     0,  2799,
    2864,  2865,  1152,     0,     0,  1144,  1083,  1086,  1084,  1082,
    1085,     0,     0,     0,   791,     0,     0,   532,     0,  1103,
    1103,     0,     0,   518,   574,  1187,   794,     0,     0,     0,
     792,   361,  1250,     0,   674,     0,     0,   669,   667,   666,
     668,     0,   624,  1356,  1251,     0,     0,     0,     0,  1162,
       0,     0,  1272,     0,   302,     0,   478,     0,   314,     0,
     310,     0,  1298,     0,     0,     0,     0,   309,   383,     0,
     380,     0,   361,   361,   355,   695,   369,   374,   375,   378,
       0,     0,     0,     0,     0,  1302,     0,     0,     0,     0,
       0,     0,     0,   872,   855,     0,     0,   873,   874,     0,
       0,     0,  1204,  1205,  1203,  1331,  1332,  1337,  1334,  1333,
    1336,  1335,  1338,     0,  1257,     0,     0,   733,   163,   160,
     161,   164,  1283,  1266,  1321,  1372,     0,     0,     0,  1264,
       0,  1314,     0,  1279,  1275,     0,     0,     0,     0,     0,
    1355,  1293,  1319,  1354,  1291,  1317,  1290,  1316,  1292,  1318,
       0,  1284,     0,  1789,   852,     0,     0,     0,   361,   361,
     851,   731,  1268,  1323,     0,     0,   938,     0,     0,   940,
     941,     0,   943,   417,   437,   751,   811,     0,     0,   828,
     790,     0,   486,     0,   492,   495,     0,     0,   499,   500,
     498,   487,  1187,   524,   573,     0,     0,   801,     0,   641,
       0,   466,     0,   501,     0,     0,   470,   172,   171,     0,
       0,     0,   746,   750,   748,   747,   749,   744,     0,   735,
     198,     0,     0,     0,     0,   575,  1370,     0,   775,   819,
       0,  1788,   725,     0,   372,   588,     0,     0,   466,   580,
    2669,     0,   471,   476,   477,   482,     0,   565,   552,     0,
     553,     0,     0,   577,  1442,     0,   581,   583,     0,     0,
       0,  1130,  1147,  1148,     0,     0,  1187,     0,     0,     0,
       0,   626,     0,  2676,   361,  1810,  3114,     0,  3115,  3116,
    3117,  3118,  3119,   361,   361,  1230,     0,   889,  1059,  1058,
    1057,   618,     0,  1061,   723,     0,   579,   361,     0,  1000,
     980,   999,   979,   981,     0,   978,   976,   977,  2169,  2018,
    2028,  2148,  2094,  2125,     0,     0,  1976,     0,     0,  2023,
    2549,     0,     0,     0,     0,  2057,  2058,  2039,     0,  2379,
    2044,     0,     0,     0,  1942,  1940,  1937,     0,  1938,  1922,
       0,     0,  1920,  1916,     0,  1947,  2064,     0,  2080,  2077,
    2091,  2125,  1648,  1647,  1646,  1645,  1731,  1727,  1729,     0,
    2554,     0,  1734,  1741,     0,  1723,     0,  1755,  1751,     0,
    1752,     0,     0,  1753,     0,     0,  1725,     0,  1741,     0,
    1778,  1662,     0,     0,  2069,  1995,  1996,  1993,  1662,  2216,
    2069,  2868,     0,  2871,  2869,  2870,  2874,   243,     0,     0,
       0,  1556,     0,  1557,  1563,     0,     0,     0,     0,  1599,
    1592,  2801,  1145,  1153,     0,     0,     0,   514,     0,  1187,
       0,     0,     0,  1105,  1105,     0,  1187,   573,   796,   795,
     798,   793,   797,  1476,     0,   661,   662,   676,  1274,     0,
    1327,  1281,     0,  1588,   304,     0,   691,     0,     0,   306,
     382,   384,   307,   308,   311,   363,   323,   316,     0,     0,
       0,  1270,     0,  1325,  1277,  1348,  1255,  1311,     0,     0,
     861,     0,     0,     0,     0,  1349,  1256,  1312,     0,     0,
       0,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,  1301,   362,   850,   849,   363,   400,  1295,     0,
     939,   944,   945,   942,     0,   406,   414,   438,   153,     0,
       0,  1221,  1221,     0,   791,     0,     0,   483,   496,     0,
     573,   531,     0,   489,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   738,   737,
     193,   466,     0,   690,     0,   769,   770,   764,   766,     0,
     777,   781,   847,     0,     0,   468,     0,     0,  1549,   467,
       0,     0,   479,     0,   569,   553,   565,     0,   566,     0,
     570,     0,  1435,     0,     0,     0,     0,  1183,     0,  1189,
       0,  1141,  1112,  1184,     0,  1781,     0,     0,     0,     0,
     630,  2702,  2706,  1222,  3122,   879,   881,   730,  1064,     0,
    1068,   361,   982,  2096,  1971,     0,     0,     0,     0,  2034,
       0,  2035,  2062,  2061,  2041,  2045,     0,  2042,  2043,  1939,
    1943,  1941,  1924,  2066,     0,  1662,  2093,  1774,     0,  1777,
       0,     0,  1733,     0,     0,  1735,     0,     0,  1737,  1739,
       0,     0,     0,     0,     0,     0,  2202,     0,  2285,  2525,
    2438,     0,  1690,  1692,  1695,  1697,  1696,  1698,  1694,  1703,
       0,  1626,     0,  1625,  2873,  2872,  2117,  1783,  1571,     0,
       0,     0,  1097,     0,  1596,  1065,     0,   361,  1103,   573,
     533,  2389,   534,  1102,  1104,  1108,  1108,     0,   573,   791,
     654,     0,     0,   287,   689,     0,     0,   315,   365,   377,
       0,  1588,     0,     0,   859,   868,   868,   856,     0,     0,
     875,  1258,   734,     0,     0,   283,  1280,  1276,     0,     0,
    1487,  1488,     0,     0,     0,     0,     0,   361,   947,     0,
     440,   447,   418,   423,  1479,     0,  1479,     0,   420,   424,
    1479,   419,  1479,   416,   417,     0,  1221,     0,  1218,  1217,
     789,     0,   522,   594,   490,     0,   542,     0,     0,   802,
       0,     0,   468,   551,     0,   511,   510,   506,   505,   507,
     508,   509,   503,   502,     0,   690,   865,   372,  1442,   732,
       0,   703,     0,   767,   772,   771,  1479,   776,     0,     0,
       0,   690,     0,   553,   468,   551,   472,   482,     0,   556,
     555,   571,   565,   569,   567,   568,     0,     0,     0,   580,
    1489,  1096,     0,  1188,     0,     0,     0,     0,     0,     0,
    1225,   625,     0,     0,   629,   620,     0,  2704,   690,  1032,
    1972,     0,  1973,     0,     0,     0,  2047,  2046,     0,  2083,
    1779,     0,     0,  1773,     0,     0,  1803,     0,     0,     0,
    1742,  1758,     0,  1738,  1736,     0,  1747,     0,  1749,  1992,
       0,     0,     0,  1699,     0,  2068,  2070,     0,  1994,     0,
    1569,  1781,     0,  1566,     0,  1079,     0,  1080,  1105,   537,
       0,  1111,  1111,   524,   791,   515,  1282,     0,   692,   594,
       0,   318,     0,   295,  1278,     0,     0,   870,   870,     0,
       0,     0,     0,   389,   394,   395,     0,   392,   388,   387,
     390,     0,  1481,     0,  1482,  1483,  1486,   402,   415,     0,
     445,     0,   443,   442,   444,     0,   431,     0,     0,     0,
       0,     0,     0,   405,   436,  1216,  1220,  1219,     0,     0,
     491,     0,   493,   528,   529,   530,     0,   494,   538,   539,
       0,   799,     0,   804,     0,     0,     0,   690,   550,   714,
       0,     0,     0,  1436,     0,   576,     0,   778,   779,   774,
       0,     0,   726,  1442,   565,     0,   553,   480,     0,   453,
     569,   571,     0,  1439,     0,   582,     0,   372,  1187,  1190,
    1185,  1401,     0,     0,   628,   627,  2707,  2709,  2708,     0,
     720,  1974,  2050,  2036,  2063,  2048,  2079,     0,     0,     0,
    1772,  1775,     0,  1806,     0,     0,     0,     0,  1792,     0,
    1740,     0,     0,  1748,     0,     0,     0,  1693,     0,     0,
    1558,  1568,  1098,     0,     0,  1108,     0,   791,     0,  1100,
    1099,   531,   517,  1588,   312,   364,     0,     0,     0,   866,
     869,   857,   858,   877,   876,   736,  1588,     0,     0,   385,
       0,     0,   441,   450,     0,   448,   421,   426,     0,   430,
     428,   427,   422,   425,     0,   521,     0,     0,     0,     0,
     540,     0,   541,   572,     0,   803,     0,     0,     0,   716,
     864,     0,     0,   690,   768,   773,     0,     0,  1437,   569,
     553,   565,     0,     0,   557,  1103,  1103,   571,   451,  1440,
    1441,     0,   571,  1113,  1400,  1399,  1639,     0,     0,  2705,
    2513,     0,  2486,     0,  2081,  2084,  2082,  2076,     0,     0,
    1804,  1805,  1790,     0,     0,  1794,  1757,  1770,  1701,     0,
    1700,  2071,  2072,  1781,   361,  1111,     0,   519,   535,   542,
     288,  1588,   860,     0,   284,     0,   393,   391,  1484,   446,
       0,   429,   781,   593,   547,     0,   546,     0,   544,   543,
     800,   805,     0,   690,   854,  1442,   704,   780,     0,   571,
     565,   569,     0,   554,     0,  1105,  1105,   455,     0,  1781,
    1383,  1639,  1382,  1384,  1392,  1389,  1391,  1390,  1388,  1228,
    1229,     0,  2088,  2087,  2086,  2090,  2089,  1776,     0,  1793,
    1796,     0,     0,  1802,  1795,  1797,     0,     0,  1768,  1702,
    1565,  1081,  1101,     0,   791,   296,   867,     0,   449,     0,
     545,   549,   548,   690,   715,  1438,   784,   454,   569,   571,
    1103,   558,   560,   559,   372,  1087,     0,  1393,  1387,  1624,
    1611,     0,     0,     0,     0,  1800,  1801,  1798,  1799,     0,
     536,   520,     0,     0,   717,     0,   782,   785,   788,   786,
     787,   571,   452,  1105,   571,  1385,  1639,     0,     0,  2085,
       0,     0,   386,     0,   752,     0,   456,   561,  1781,  1386,
       0,     0,     0,  1769,     0,   783,  1088,     0,     0,  1791,
     784,     0,     0,     0,  1226,  1227,   753
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5343, -5343,  4582, -5343, -1295,    41,  2895,  -818, -5343, -5343,
   -5343,  3664, -5343, -5343, -5343, -5343, -5343, -5343, -5343,  3696,
   -5343, -5343,  2030, -2874, -5343, -5343,   -47,  3658, -1761,   -62,
    3204,  1672, -5343, -1550, -5343, -5343,  -887,    11, -5343,  3667,
   -1121, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -1137,
    2135,  2203,  1484,  5631, -3313, -5343, -5343, -1881, -3661, -5343,
     785, -5343,   812, -4642, -5077, -5343,  -876,  -709, -5343, -5343,
    2120, -5343, -5343, -5343,  1303,   696,  -389, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343,  -561, -5343, -5343,  -800,   256,  -106,
   -2863, -4197, -5343, -5343,   654,  -199, -1920, -5343, -4044, -5343,
     179, -2169, -5343, -5343, -5343,  -169, -1888,  1585, -5343, -1057,
   -1576,  1921,  -674, -5343,   -42, -5343,  -767,  -575,  -565,  -694,
   -4236, -4698, -5343, -5343, -5343,  -799, -4694, -4979, -4243, -3827,
    1608, -5343, -5343, -4216,   265,   638, -5343,   284,   309, -5343,
     657,  -496, -1305, -2014, -5343, -1142, -5343, -5343, -5343, -3391,
   -5343, -5343, -5343, -5343,   -93, -5343, -5343, -5343, -5343,   701,
   -5343, -5343, -5343, -5343, -5343, -5343, -3165,  2109,  2110, -5343,
   -3469, -5343, -1279, -5343,   842, -3429,  1522, -5343, -5343,  1304,
    3736,   682, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -2108,
   -5343, -5343, -5343, -5343,   190,  -126, -5343, -5343, -5343, -5343,
   -5343, -5343,   377, -5343,  2132,  1306, -5343, -5343,  -127, -5343,
   -5343, -5343, -5343, -5343, -5343,  -741,  -875,  -859, -5343, -3416,
   -5343, -5343, -5343,   -98, -5343, -5343, -5343, -5343, -5343, -5343,
   -1322, -5343,  1369, -3575, -5343, -5343,  1376, -5343, -5343, -5343,
   -5343, -5343,  -660,   -39,  2932, -5343,  -272,  -463, -5343, -5343,
   -5343,   -28, -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -1488,  8395, -1223,  -892, -5343, -5343, -5343, -5343, -5343, -2765,
   -5343, -5343, -5343, -5343, -4213, -5343,  4899,    22,  -775,   396,
   -5343,  -207,   -92,  3492, -1565, -3079,   633,  -224, -5343, -5343,
   -5343, -2999, -5343, -5343, -5343, -5343, -3965,   401, -5343,  3478,
   -5343, -4261, -5013, -4000, -4525, -4883, -5057, -3974, -5343, -5343,
   -5343, -5343, -1818,  -878, -5343, -5343, -1912,  2461, -2402, -5343,
   -2575,   694,  1697,  3720, -3189,  -819,  2897, -4244, -1060, -3706,
   -5343, -5343, -2716,  -356, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343,  -938,  2844,  -877, -5343, -5343,  4109, -5343, -4604,
   -5343,  4080, -5343, -5343, -5343, -5343,  2741,  2745, -5343,  2739,
   -5343, -5343, -1878,  1465, -5343, -5343, -5343, -5343,   885, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343,  1367,   872, -5343, -5343,
   -5343, -5343, -5343,  -641,  -797, -5343, -5343,   402, -5343, -5343,
   -5343, -5343,  1738, -1292, -1081,  3970,   419, -5148, -5343, -5343,
   -1017, -5343,  3200, -5343, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -2811, -5343, -5343, -4885, -5343, -5343, -5343, -5343,
   -5343,  2597,  2593,   -96,  -273, -5343, -5343, -1366, -5343,  -910,
   -5343,  2821, -5343, -5343, -5343, -5343, -2191,   428,   742,   -77,
   -5343, -5343,    84, -5343,   497, -5343, -5343, -3876,   -72, -5343,
   -5343, -5343, -5343, -4845, -5343,   -70,  -545,  1044, -3234, -5343,
     432,    -5,  3581,  2063,   -66,  1119,  -249,  -274,  -223,   -74,
     -79,  3344, -5343,  3420, -5343,  -193,  2298, -5343, -5343, -1153,
    -355, -5343,  1813,  -979,  2578,  3327,  3331, -5343,  1809, -5343,
   -5343,  1818, -5343,  1121,  -513,  -351, -5343, -5343, -5343, -5343,
     548,  -972,  2592, -5343,  3340, -5343, -5343, -5343, -2295, -3276,
   -3877,  1155, -3850, -3794,   594,   578, -1479,  -118,  -197, -1118,
    3349, -5343, -5343,  1162,  -316, -5343, -5343,  -313, -3252,  1084,
   -5343, -4808, -2756,  1169,  -748,  -600, -5343,  -680, -5343,  -480,
    4361, -2072, -1438, -5343, -5343, -1416, 21172, -5343, -5343, -5343,
   26958, 27285, -5343, -5343, 28573, 28770, -5343, -1264, 29192,  8986,
   -1403, -1417, -1654, 25724,  -955,  3368,  -210, -5343, -3993,  1245,
   -5343, -5343, -5343,   -69,  1221,   259, -5343, -4828, -5343, -5343,
     151, -5343,  -486, -5343,  -485, -5343, -5343, -5343,  -465, -5342,
    2730, -5343, -5343, -5343,  -762, -5343, 29655, -3153, -5343,  2930,
   -3149, -3164, -3779, -2281, -5343, -5343, -5343, -5343, -5343, -5343,
   -5343, -1874, -3717, -2783,  1931, -5343, -5343,  2023, -5343, -5343,
   -5343, -1732,  1876, -1122, -3031,  1938, -5343, -1105,  2732, -1134,
   23514,  -919, 22386,  -112, -2696, -1708, -2029, -5343,  3821, -5343,
    3009,  -138,  -798,  4438,  -996,  -984,  8063,  5798,  5209, -3587,
   -5343, -5343,   435, -5343, -5343, -5343,  4518,  1395, -5343,  3763,
   -5343,  2189,  3001, -5343, -5343,  2600, -1011,   236, -5343,  -439,
   -5343,  -131, -5343, -5343, -5343,   219, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343, -5343, -5343,  3376, -5343, -5343, -1600, -5343,
   -5343, -5343, -5343, -5343,  4805,  -384, -5343,  4168,  -383, -5343,
   -5343, -5343, -5343, -5343, -5343, -5343, -5343, -5343,  3380,  2634,
   -5343,  3971, -5343, -5343, -5343,   -56,  3601, -5343, -5343, -5343,
   -1359,  -643,  3980,  3982,  2603, -5343, -5343, -5343, -5343, -5343,
   -5343, -5343, -5343,  2613, -5343, -5343,  1906, -2406,  2615, -5343,
   -5343,  1128, -5343, -5343,   615, -5343,  1130, -5343,  3491, -5343,
   -5343, -5343,  1174, -5343, -5343, -5343,  -628, 19052,    88,  1215,
     955,  1494, -5343, 11169, 26195,   425,  3405,   -46, 15307, 24558,
     814, -5343,  4797,  2608,  2145, -1124, -5343,  2394,  2908, 17173,
   -5343, -1115,   167,  2031, -5343,    -2,  -714, -1347,  3698,  -801,
   -2233, -5343,  5234, -5343, -3564, -5343, -1126,  4173, -1378
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   252,   253,  2010,  2935,  2807,  3725,  3726,   254,
     255,  2006,   256,   257,   258,   259,   260,   261,   262,  1933,
     263,   264,  1414,  2153,  2950,   265,  2651,  1149,  1150,  1151,
    2502,  2503,  2884,  2504,  2491,  1755,  2302,  1954,  1114,  1115,
    1914,  1955,   267,   268,  1749,  2483,   269,   270,   271,  1984,
    2057,  1985,  1927,  2205,  4793,  5531,  3538,  2778,  3774,  3539,
    3540,  4175,  4176,  4251,  5545,  5551,  5546,  5547,   272,  2073,
    2074,   273,   274,  3690,  3686,  4296,  5145,  5146,  5383,   932,
    2912,  5148,  5149,  5369,  5370,  5563,  5704,  5705,  2951,  2145,
    3768,  4383,  3716,  4881,  3717,  4882,  3718,  4883,  3702,  4331,
    4332,  4827,  4333,  3719,  4843,  5412,  3720,  2670,  5580,  2992,
    2332,  2330,  5396,  4656,  4657,  5677,  5587,  5588,  5589,  5808,
    4845,  4887,  4888,  5438,  5743,  5744,  3772,  4390,  4893,  5163,
    3427,   276,  2179,  3869,  1044,  2995,   967,  1045,  2952,   280,
    2985,  5582,  2986,  2031,  2816,  5548,  3849,   281,  1438,  4142,
    5230,  5464,  5465,   282,   919,   283,  2161,   284,   285,  2930,
    3709,   286,  2687,  3444,   287,   288,  3473,  3474,  3475,   289,
    4167,  5085,  1986,  3527,  3528,  3529,  3530,  4197,   290,  2156,
    2959,  2960,   291,   292,   293,   294,  3112,  3113,   295,  2872,
     296,   297,   298,   299,  4231,  4757,  4859,  3569,  3732,  4356,
    4857,   300,  2953,  2169,  2975,  2976,  4868,  5187,  5188,  5189,
    5426,  5734,  5191,  5428,  5609,  5430,  5905,  5906,  5154,  4121,
    4670,   302,  4836,  4837,  5594,   303,  2685,   304,   305,   306,
    2129,  2922,  2923,  4307,  2122,  2914,  2915,  4370,  4371,   307,
    3643,   308,  4733,  4734,   968,  5601,  5537,  5691,   309,   310,
    4737,  4738,   311,   312,   313,   314,   315,  1030,  1031,  1032,
    1535,  1536,  3399,  1484,   316,  2520,   317,  1378,  1379,  3667,
     318,  1632,  3156,  3157,  4940,   319,  1068,  1565,  1566,  2954,
     321,  1079,  3132,  1081,  2345,  3851,  3852,  4456,   322,   323,
    3109,  3135,   324,  1920,  2661,  2662,  4651,  2955,   969,  2185,
    2999,  3422,  5311,  5312,  5063,  5325,  3329,  4064,   326,   970,
    1959,  2734,  1507,  1508,  3002,  3782,  2630,  2631,  2632,  4407,
    2633,  3784,  2634,  1893,  2635,  1455,  1456,  3790,  3791,  3792,
    4403,  4410,  2944,  5219,  5220,   327,  1957,  2732,   328,   329,
     330,  1994,  1300,  1517,  1518,   331,   992,   993,   332,  5388,
     333,  1459,   334,  5228,   335,   336,  1103,  1104,  1616,  1617,
     337,   338,  2748,  4178,   339,   340,   341,  3563,  3564,  4749,
     342,   343,  2148,  2149,   344,   345,  3608,  3609,   346,   347,
     348,  5832,  5886,  5887,  5888,  4417,  5756,  5834,  1608,   350,
     351,   352,   922,  1338,  1339,  1340,  2956,  5212,   354,   355,
    1915,  1916,  1917,  1918,  2656,   356,   357,   358,   359,   360,
     361,   362,  2133,   363,   364,  5362,   365,   366,  2093,   367,
    1786,  1787,   368,   369,   926,  1169,  1791,  1797,   370,  1047,
    1559,  1560,  1561,  2304,   371,  1612,  1381,  1048,  1554,  1049,
    2565,  3351,  4076,  4077,  4078,  4081,  5047,  4625,  1050,  3347,
     375,  2352,  3118,  3121,  3343,  1051,  3356,  3357,  3358,  4084,
    1052,  1070,  1448,  3011,  1053,  1704,   380,   381,   382,  1178,
    1172,  1173,   384,  2460,  3283,  1088,  1803,  1133,  1134,  1185,
    4028,  2533,  2534,  2556,  2557,  1812,  1813,  2546,  2548,  3331,
    2549,  3339,  2539,  4599,  5292,  5293,  5294,  5295,  5296,  5297,
    5024,  2552,  2553,  1815,  1816,  1817,  2561,   385,  3287,  4007,
    4008,  4009,  4575,  4576,  4590,  4586,  5008,  5278,  4010,  1602,
    1823,  5016,  5858,  4011,  5267,  5268,  5483,  4594,  4019,  4072,
    3756,  3757,  3758,  4012,  5657,  5658,  5854,  5855,  5485,  5486,
    2636,  2235,  1486,  1705,  1487,  2243,  1706,  2219,  1489,  1707,
    1708,  1709,  1492,  1710,  1711,  1712,  1495,  2211,  1713,  1714,
    2229,  1217,  1218,  1792,  5487,  1716,  1717,  1718,  4014,  1719,
    4529,  4972,  4961,  3215,  3216,  2499,  4525,  3952,  2455,  3273,
    5301,  5505,  5506,  3991,  4554,  4988,  5265,  5649,  5764,  5765,
    1720,  1721,  1722,  3270,  2450,  1303,  1723,  4309,  2452,  3209,
    3295,  3296,  2358,  2377,  3162,  3177,  3178,  3189,  3911,  3197,
    3202,  3939,  3940,  3210,  3239,  1724,  3164,  3165,  3895,  2379,
    1725,  1779,  2513,  1894,  2468,  3234,  1739,  1726,  1727,  2346,
    1160,  5274,   768,   751,  3555,  2515,  1342,  1085,  1728,  1729,
    1730,  1845,   711,  1510,  1511,   713,   752,   753,  1256,   865,
       2,    75,  1054,  3765,   389,   390,   972,   973,   974,  1440,
    1441,  2191,  2194,  1850,  2599,   717,   718,   769,  4913,  5231,
    5467,  1038,   391,   392,   393,   394,  1846,  2595,  1219,    76,
      84,    77,  1220,   431,   432,  2576,   395,   882,   396,  1826,
    1199,  4090,   397,   398,   399,   400,   401,  1035,   402,  1201,
     403,  1202,   404,   405,   406,   407,  1209,   408,  1828,  1829,
    4639,  1830,   409,   410,   755,   756,  1552,   411,   412,  1236,
    1237,  1584,  1585,  1856,  1871,  1872,  1873,   413,   725,   414,
     415,   416,  1862,  1863,   417,  2476,  2477,  2604,  2478,   418,
    3372,  3373,   419,  4045,  4046,  5034,  4047,   420,  2472,   421,
     422,  1163,  4095,   423,   878,   424,  1250,   757,   758,   759,
    1258,   868,  1119,   770,  1260,  3531,   870,   871,   761,   762,
     763,  2324,    78,  3380,  2325,  1732,   771,  1733,  2466,  1734,
    1735,  1736,  1737,  1738,  1879,   765,  1226,  1544,  1545,  3381,
    1547,    82,  1548,   428,  3818,  2292,  1586,  2310,  2311
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,   373,  1177,  1125,   383,  1750,   374,  1450,   376,  2030,
    1408,  2301,   378,  1196,  1197,  2329,  2829,  1274,  1521,  1593,
    1594,  1595,   983,  1301,  2251,  1599,  1186,  1159,  1072,  1740,
    1772,  1532,   426,  2669,  2078,  1818,  2035,  1162,   426,  1780,
     971,  2225,  1900,   966,  1781,  2743,  2735,  2091,  2517,  4029,
    1072,  2215,  2216,  2158,  3874,  3068,  3392,  3394,  1234,  1562,
    3293,  2224,  2368,  2886,  2980,  1764,  1029,  1254,  1046,  3302,
    4070,  3715,  1094,  3738,  1844,   920,   427,  2744,  1080,  2231,
    2241,  4148,   427,  4168,  4411,  4366,  2143,   722,  4617,   266,
     383,   767,  2755,  3557,  3161,  4192,  1180,  4194,  1278,  2131,
    2772,   773,  2171,  2136,  1449,  3640,  1309,  4310,  2140,  1188,
    3855,  1874,  1538,  4310,   427,  4658,  4395,  2150,  1126,  1328,
    1876,  4083,  4659,  4696,  3606,  4317,  4022,  3672,  4572,  3673,
    1238,  2174,  1557,  3677,  1529,  5064,   924,  4900,  1302,  4020,
    4021,  1987,  3682,  3683,  3684,  4842,  4653,  1113,  1403,  4890,
     977,   985,  4897,  3024,  1412,  1960,  3000,  1156,  1450,   427,
    1189,  4589,  2517,  4906,  3056,  4880,   425,  1426,  3124,    79,
    1148,  1175,   425,  5271,  3301,  4062,  2850,  2029,  4896,  2854,
    2855,  5326,  2583,  2585,  2586,  2056,  1302,  4889,  1069,  2728,
    3960,  2642,  5206,  5204,  2083,  2291,  2316,  4541,  2287,  4099,
    5170,  2212,  2213,  5452,   425,  4631,  1811,  1122,  2079,  5283,
    1069,  5285,  2223,  1814,  1956,  1122,  4587,  1122,  4592,  1852,
    1853,  1780,  4509,  2474,  1229,  5441,  1865,  4094,  2517,  3391,
     427,  2577,  2577,  1546,  2170,  3917,   434,   434,  5333,  2215,
    2216,  3728,  4340,  5364,  5365,  5062,  3917,  5205,  1302,   425,
    4429,    45,  1251,  2322,   930,  1757,  4942,  4943,  2224,  4945,
    4946,  4947,  2422,  2861,  1444,  2422,   434,  2518,  5521,  5522,
    5603,  2202, -1863, -1863, -1863, -1863,  2242,  5355,  2202, -1863,
      45,  2231,  5550,  1571,  2941,  3232,  4401,  1576,  1577,  1578,
    2202,  2428,  1865,  2202,  2428,  3232,  1167,  1589,    37,    38,
      39,    40,   434,   430,  1929,    44,  2202,  2866,  2202,  4149,
     434,    43,   373,  5536,  1628,   383,    45,   374,   921,   376,
     425,  3872,  2430,   378,  2202,  2430,  2977,  3663,  4088,  2119,
     754,  1582,   723,  1610,   275,  1183,  2202, -2209, -2209, -2209,
   -2209,  1590,  2088,   277, -2209,  3688,  4144,  2933,  3824,   434,
    3826,   426,    37,    38,    39,    40,  2746,  3286,    43,    44,
    1634,  1866,   278,    45,  5462,  2202,  2848,   754,  -153, -2972,
   -2972, -2972, -2972,  3534,  4364,  5843, -2972,  -153,  4840,  5583,
    2212,  2213,  -153,  1929, -2972, -2972,   426,   279,   975,   982,
   -1830, -1830, -1830, -1830,  1183,   427,    35, -1830,   982,  2842,
     266,   883,  2723,  2675,    41,    42,  2223,  4462,  5501,  2746,
    3425,  1754,  1930, -1843, -1843, -1843, -1843,  2756,  5841,  2303,
   -1843,  3943,  1743,  3945,  3946,  3535,  3134,  3037,  2293,  2746,
     427,  4852,   129,   130,  2530, -2973, -2973, -2973, -2973,   982,
    2746,  5607, -2973,  5422,   884, -2970, -2970, -2970, -2970,  2746,
   -2973, -2973, -2970,  3893,  2127,   301, -1868, -1868, -1868, -1868,
   -2970, -2970, -2376, -1868,  5621,  5738,  3426,  4314, -1871, -1871,
   -1871, -1871,  2091,  5608,   320, -1871,  5497, -2100,  2103,   325,
     349,  4334,  5071,  2108, -2100,   425, -2969, -2969, -2969, -2969,
    3705,  1930,  2724, -2969,  2978,  2746,  5533,   353,  1253,  1197,
    5584, -2969, -2969,  3363,  2519,  4246,   372,  5442,  1591,  2089,
     377,  5844,  5443,   388,  3536, -2565, -2565, -2565, -2565,  3099,
     425,  4853, -2565,  2259,  2388,  1239,  2096,  3097,  2934,  5463,
   -2565, -2565,  4026, -1858, -1858, -1858, -1858,  -439,  3468,  2203,
   -1858,   869,  2062,  3379,  2350,  4149,  2203,  3383,  5389,  1450,
    3267,  5919,  4463, -1871, -1871, -1871, -1871,  3268,  2203,  4841,
   -1871,  2203,  2128,  1783,   971,  1784,    37,    38,    39,    40,
    3689,  5585, -2119,    44,  2203,   724,  2203,  1450,  2813, -2119,
    1272, -1830,  2417,   879,  2063,   880,   869,  4145,  1399,  1855,
    1858,  4600,  2203,  1232,  1233,  1624,  3706,   883,  1302,  1168,
    2461,  2347,   434,  4854,  2203,    37,    38,    39,    40,  2464,
   -1612,    43,    44,  2461,  3469,  4310,    45,  2360,  5785,  3233,
    2492,  1598,  1993,  5797,  1887,  2505,  2505,  4718,  1598,  3980,
    4402,  1931,  2369,  2203,  2942,  5675,  2862,  1611,  1777,  4751,
     884,  5747,  1778,  2508,  2509,   275,  2275,  1450,  1867,  3664,
    2351,  1223,  2867,  2305,   277,  2979,  1861,   869, -1830,    37,
      38,    39,    40,  5198,  4085,  2128,    44,  5875,  5701,  1225,
    2849,   931,  3537,   278,   977,  2323,    37,    38,    39,    40,
    2868,  2526,  2803,    44,  2204,  2517,  3932, -2376, -1612,  1230,
    1932,  2232,  4851,  2210,  3929,  3930,  3931,  3932,   279,  1066,
    1067,  5005,  4663,  2246,  2475,  5009,  2257,  2676,  3330,  2757,
    2446,  2447,  2448,  2449,  1867,  1322,  2449,  4589,  3438,  2277,
    2758,  2280,  2759,  3477,  2843,  4114,  2249,  2422,  1066,  1067,
    2824,  5242,  2517,  2827,  3917,  5614,  3300,  3031,  5828,  1231,
   -1863,  1833,  2286,  3552,  2372,  2064,  3163,  4855,  5620,  2249,
    2526,  3114,  3088,  5717,  4685, -2376,  2428,  2834,  2128,  5050,
    5819,  4977,  4335,  4722,  1842,  1843,   301,  4951, -2376,  3098,
    3707,  2128,  4996,  1563,  4998,  1450,  1240,  1267,  4455,  3472,
    2760,  5072,  5575,  1450,  1450,   320, -1612,  2430,  3060,  2306,
     325,   349,  2308,  5518,  1177,  2312,  2714,  2314,  2885,  2712,
    2317,  2917,  2008,  1777,  2321, -2209,  2722,  1778,   353,  4247,
   -2100,  1868,  1869,  4856,  1504,  1766,  4101,   372,  4102, -1830,
    3496,   377,  1785,  4347,   388,  2009,  3036,  1394,  2351,  5147,
    -153,  -153,  3478,  1819,  1377,  -688,   426, -2972,  5790,  2562,
    2600,  5202,  5879,  2065,  5768, -1612,  2563,  3096,  2458,  1446,
    1334,  5794,  1273,  2787,  1382,  3708,  3106,   383,  2214,  1383,
    1400,  1384,  4607,  4358, -2701,  1385,  1190,  4918,  4919,  4920,
    4921,  4922,  2487,   881,  3115,  2814,   427,  2528,  2817,  2818,
     427,  2218,  2677,  3269,  1263,  2805,  3293,  3293,  3293,  1461,
    2808,  1601,  4243,  1263,   722,  2653,  4816,  2731,  4049,  5911,
    2101,  2226,   722, -2973,  1188, -2119,  4872,  3553,  4815,  4287,
    5513,  1238,   975, -2970,  4644,   722,  3567,  1564,  5741,  1570,
    5739,  1575,  2227,  3452, -1868,  5207,  1582,  1579,  5226,  3638,
     873,  3078,  1263,  1555,  3071,  3403,  2228,  3081,  2287,  5208,
    1582,  4386,  5882,  5883,   722,  1335,  5865,  1558,  1191, -1612,
     722,  1570,  1575,  5727, -2969,  1189,  1854,  3021,  3022,  4830,
     982,   982,  2895,   722,   874,  1601,   425,  1921,   383,  2728,
     425,  5647,  2829,  5740,   875,   873,  3365,  1434,  3365,  4288,
    4289,  4348,  1447, -2565,  1210,  3568,  2226, -1612,  1336,   722,
   -1612,  5754,  1834,  5476,  1263,  1822,  2537,  2802,  5433,  5648,
    1502, -1858, -1830,  3224,  1263,   722,  5269,  2227,  1225,  3110,
    3439, -1830,   722,  2214, -1830,  1899, -1830,  5045,  5804,  5576,
    5894,  2230,  2678,  1121,  1502,   722,     3,  3544,  4911,  1285,
    5927,  1121,    81,  1121,  2419,  1556,  1286,  1287,  1288,  1097,
    1767,   722,  5820,  1337,  4074,  5718,   873,  5821,  4629,  1857,
    3859,  3861,  1569,  4659,  1574,  1211,  2989,  3348, -1615,  2795,
    4658,  4086,  3092,  3116,  1588,  5032,  5514,  4659,  2162,   986,
   -2701,   867,  1788,  4750,  4412,  1922,  1936,   876,  4075,  1568,
    2990,  1573,  1747,  3117,  1604,  1606,  1505,  2128,  4865,  3783,
    2538,  3111,  1794,  1753,  3252,   434,  3274,  1761,    37,    38,
      39,    40,  4831,  5209,    43,    44,  3411,  2679,  1768,    45,
    2163,  1603,  1605,  2459,  2926,  1212,   867,  1782,  1213,  4308,
    2016,  1624,  1098,  1582,  2993,  4308,  5878,  2462,  3639,  5275,
   -2701,  1263,  1263,  4058,  5279,  2067, -1615,  5281,  1122,  2017,
     722,  2068,  1122,  2771,  3307,   434,  1583,  1435,    37,    38,
      39,    40,  5272,  5227,    43,    44,  1634,  1866,  1192,    45,
    2264,   427,  1583,  5755,  5577,  3070,  1789,  5596,  1263,  1807,
    3468,  2196,  2102,  2444,  2445,  2446,  2447,  2448,  2449,  5247,
    3927,  3928,  3929,  3930,  3931,  3932,  2663,   867,  2018,  2225,
    5626,  2459,  5477, -2206,  2971,  3453,  2237,   379,  5619,  5616,
    4411,    79,  2265,  1436,  2664,  5595,  2090,  3103,  3104,  1437,
    5628,  5805,  4408,  5194,  1225,   877,   982,  5046,  1214,  4776,
    5825,  5826,  3545,  4659,  2197,  3349,  1923,  3253,   722,   722,
    3275,  5688,  3254,  5625, -1615,  1302,  2580,  5615,  5057,  1809,
    5329,  3093,  4413,  2069,   434,  4056,  3469,    37,    38,    39,
      40,   425,  3039,    43,    44,  1583,  1113,  2049,    45,  3860,
    3862,  2991,  2665,  1924,  3050,  1919,  5086,  1211,  3255,  5871,
    1099,  2164,  2019,  1551,  3094,  3055,  2972,   982,  1913,  1060,
    2666,  4030,  3326,   379,  4031,  4032,  5806,  3634,   216,  4060,
    5332,  4876,  2417, -1615,  1925,  4033,  4034,  4035,  5689,  4036,
    4037,   433,  1061,  1242,  4038,  4039,  4040,  2581,  3624,  1100,
    1101,  5807,  4169,  1562,  3625,  4877,  1122,  1122,  3635,  2198,
    2020, -2323,   224,  2021,  4414,  1215,  2000,  1212,  3020,  1235,
    2238,   866,   987,  5394,  2828,    37,    38,    39,    40,  3482,
    1913,  2793,    44,  1263,  1216,  2189,  2751,  2581,  2752,  1334,
    1502,  5516,  5354,  4735,  1263,  5913,  5543,  2663,  1926,  2948,
    3062,  4216,   235,  2266,  1131,  2023,  3327,  2582,  3038,  2165,
    1176,  2199,  1225,  1502,   754,   238,   866,  3054,  5748,  2583,
    3048,  2671,  4777,  1847,  3310,  3014,  3074,   988,  1502,  4730,
    2196,  1777,   772,  5617,  2070,  1778,    35, -1615,   250,  5049,
    1102,  3256,  1877,  5493,    41,    42,  2753,  2582,  2025,  2672,
    2249,  3472,  3350,  5532,  5872,  3095,  3626,  1060,  2667,  3100,
    4170,  3102,  1060,   989,  3105,   990,  3340,  3512,  2026,  3483,
    1214,  2071,  1263,  2665,  2001, -1615,  4607,  2949, -1615,  2672,
    1061,  3194,  5028,  3073,  1335,  1061,  5021,   866,  2028,  2901,
    1847,  2666,  3368,  4041,  1177,   925,  3187,  4736,  4136, -2357,
    2200,  2267,  2072,  1132, -2378,  4937,  3413,  5471,  4415,  4217,
    1214,  2794,  2249,  2973,  1291,  1292,  1293,  1502,  1294,  1295,
    1296,  1297,  1298,  1299,  1904,  3513,  2974,  1336,  5269,   383,
    1874,  2902,  5519,  4731,  1302,  1302,  4878,  2615,  1197,  1876,
    4137,  5524,  1187,  2237,  5827,  5543,  4698,  3592,   379,  5829,
    1214,  4310,  5672,  2013,   927,  2989,  2584,   722,  2524,  4659,
    4825,  4806,  1087,  5339,  2668,  4809,  4810, -2323,  4812,  2531,
    2532,   722,  2536,  2249,  4416,  3633,  1905,  2239,  2198,  2990,
      81,    81,  1337,    81,  4826,  1203,  3414,  5679,  5680,  2673,
    2014,  1263,  5803,  3822,  5446,  1801,  2240,  1842,  1843,   722,
    1977,  2307,  5447,  2309,  5535,  1204,  2313,  3627,  2315,  5539,
    5540,  2318,  2319,  2320,  1211,  1205,  5877,  4160,  2829,  4699,
    1189,  1189,  2681,  1189,  2327,  2002,  3468, -2323,    35,  2667,
    2199,  4042,  2682,  4732,  1763,   722,    41,    42,  2353,   216,
    2354,  3341,  3494,  1097,  3628,  1597,  2938,  1868,  1869,  1502,
    4475,   722,  4171,  4172,  4834,  3396,  2005,  3721,  4871,  1214,
    4218,  3735,  2003,  1822,  3293,  5745,   722,  4308,  2421,   722,
    1906,  2422,  1302,   224,  1212,  3629,  5912,  2238,   193,  4173,
    1263,   121,  4043,  5165,  3747,  3748,  3749,  3750,  5544,  4866,
    1238,  4748,  2903,  2004,  1802,  1036,  3755,  4219,   928,   125,
    2428,  4138,  3469,  4161,  2040, -2357,  1318, -2974,  5926,  1263,
   -2378,  5928,  1450,   235,  3593,  3591,  3577,  1060,  1206,  2200,
    3570,  3571,  3596,  2652,  3574,  3599,  1098,  1598,  4220,  2479,
    2480,  2430,   873,  1319,  3470,  2668,  2166,  1263,  1263,  1263,
    1061,  1263,  3342,  4294,  4295,  2041,  1842,  1843,  3614,    79,
      79,  2879,    79,  2453,  5421,  2042,   209,  2167,  2939, -2409,
    5181,  1263,  5448,   251,  4444, -2357,  1164,   216,  1847,  3578,
   -2378,  3471,  4162,  1127,  4248,  1181,  1181,  1214,  5391,  3658,
    2683,  3491,  4923,  2077,  4924,  1207,  4044, -1662,  2880, -2230,
    2904,   883, -1662,  -175,  3125,  5166,  5602,   722,  4659,  4139,
    2495,   224,  3514,    35,   434,   722,   722,    37,    38,    39,
      40,    41,    42,    43,    44,  1263,   427,  2684,    45,  3722,
    -175,  1910,  5338,  1911,  3579,   426,   426,    35,  3863,   945,
    3969,  2657,  3970,  2597,   884,    41,    42,  1182,  1182,  1334,
   -2974,   235,  2658,  1263,  1083, -2974,  4666,  1263,  1263,  2540,
    3397,  5862,  3398,  5171,   238,  3971,  1208, -1662,  3454,  2659,
    3515,  3458,  1263,  5367,  3734,   938,   883,  3472,   427,   427,
     427,  5745,  1807,   867,  1099,   426,  2249,   250,  5461,  3652,
    2707, -2974,  2619,  3421,  2239,  2068,  1551,   947,  2541,   722,
    4120,   251, -1394,    35,  2845, -1394,  -585,  5172, -1662,  5241,
    2008,    41,    42,  2043,  3864,   885,   425,  1183,  1183,   884,
    3446,  2168,  1767,  1100,  1101,    37,    38,    39,    40,   427,
    2489,  3580,    44,  2009,   929,  4667,   427,  1741,  2437,  4387,
    1502,  4052,  4391,  2481,  1335,  3377,  2044,   427,  1033, -1096,
    2045,  5424,  1809,  3240,  5851,  3241,  5528,  1122,  1636,   945,
    1919,  3917,   945,  5525,  1919,  3918,  3919,  3920,   425,   425,
     425,  3972,  4411,  3723,  4646, -2409,  3973,  1095,  3242,  1847,
   -1090,  2046,  4534,  2819,  1847,  1847,  1302,  1336,  3490,  3777,
    1768,  1904,  4668,  1810,  4669,  5425,  5599,  2069,  1122,  5067,
    1128,  2543,  4057,  1624,  1121,  1742,  1502,  2540,  1121,  3848,
    2482,  2660,  5612,  1889,  3630,  1096,  5752,   947,  3724,   425,
     947,  3108,  1474,  5457, -2974,  5315,   425,  5317,  5169,  5075,
    5076,   754,   754,  3036,  2497, -2409,  5180,   425,  2763,  3584,
    2943,  1502,  1337,  1905,  2490,  3581,  2541,  1184,  1184,  5640,
    1890,  3631,   958,  3582,   959,  1427,  3583,  2544,  3576,  2592,
    2593,  2249,  2819,  3739,  1502,  5197,  1636,  1913,  1427,  3917,
    2764,  1450,  1913,  3918,  3919,  3920,  2498,  4828,   964,  3243,
    4242,  1891,  3632,    80,  3244,  2611,  2613,  4484,  1428,  3245,
    5140,  1995,  5141,  5142,  5852,  3425,  5143,   434,  1130,  5853,
     379,  1428,  4244,  2542,  4720,  1636,  1977,  3584,  3917,  3974,
    5363,    45,  3918,  3919,  3920,  2820,  4510,  2032,  2821,  3975,
   -2974,  1429,  5635,   722,  1450,  1122,  3655,  2444,  2445,  2446,
    2447,  2448,  2449,  1807,  4360,   754, -1661,  1906,  1808,   991,
    4664, -1661,  4618,   866,  4829,  1502,  4647,  3016,  4493,  2543,
    4494,  4117,  1157,  4648,  2033,  1847,  3922,  5068,  5682,  1996,
    1502,  1179,  4955,  2422,  4956,  1847,  5160,  1430,  3795,  2916,
     721,  4245,   958,  4721,   959,   958,   427,   959,  5729,  1919,
    1430,  1502,  1121,  1121,   961,  4018,  4649,  3317,  1197,  4172,
    1907,  2172,  4027,  1895,  2820,   963,  5605,  2821,  2144,  2128,
     722,  2144,  4619,  1809,  3119,  2544, -1661,  4650,   722,  4708,
    3131,   379,  1176,  2173,  4580,  4709,  4100,  2505,  3923,  5360,
     722,  3833,  3246,  2430,  5069,  4367,  1896,  1908,  4085,  3847,
    1897,   209,  3247,   976,  1847,  4377,  1502,  1847,  1847,   994,
    5222,  2945,  5361,  3293,  1810,  4581,  4150, -1661,  3293,  1263,
    2422,  1558,  1263,  2516,  3293,  5033,  1502,  2034,  1909,  2280,
    5011,  1898,  1263,  2465,  3922,  2982,   425,  1086,  1502,  1170,
    4583,  4177,   383,  5914,  4495,  4050,  1842,  1843,  3300,  2428,
    1502,  4666,  3921,  1060,  4496,  2272,  3914,  3915,  1910,  4202,
    1911,  3934,    35,  1263,  1263,  4694,   722,   722,  4957,  5568,
      41,    42,  4203,  3922,  5569,  1200,  1061,  2273,   722,  5671,
    2430,  5787,   434,  2226,  5816,  3881,  1502,  1502,  4873,   722,
     722,  1847,  2763,  4686,  3130,  5578,  3923,  5360,  3964,  3965,
    3155,  1193,  1382,    81,  2227,   383,    81,  1383,  1912,  1384,
    4700,  5125,  4707,  1385, -2765,   722,  2589,  1187,  2228,  2590,
    5361,  3076,  5570,  3077,  2764,     8,  3636,  3079,  4465,  3080,
    4667,  3978,  3082,  1235,  5126,  3923,  3083,  2280,  3877,  2008,
      37,    38,    39,    40,  2516,  1450,  5360,    44,  4723,  4585,
    3577,    37,    38,    39,    40,  1263,  4319,  3637,    44,  4153,
    4454,  1241,  2009,  5319,  5874,    37,    38,    39,    40,  5361,
    5328,  2058,    44,  3924,  3925,  3926,  3300,  3927,  3928,  3929,
    3930,  3931,  3932,    37,    38,    39,    40,  4668,  4899,  4669,
      44,  3839,  1263,  1263,  5368,  4315,  1252,  4363,  1263,  1263,
    4455,  5150,  4322,  3578,  3180,  1263,  1263,  1263,  2059,  4778,
    1283,  1263,  2060,  1263,  1263,  1263,  1263,  1263,  1263,  2591,
    1263,  3332,  1263,  1263,  5904,  5051,  1263,  4426,  4427,  4336,
    1759,  4779,  5151,  4208,  2226,  1268,  5185,  4106,  4107,  2061,
    1502,  1263,  1263,  1263,  1263,   427,  3031,  1788,  5405,  1263,
    1270,  2485,  4098,  1263,  5186,  2227,  1263,  4324,  3579,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  5901,  1263,
   -2230,  3415,    79,  3418,   209,    79,  1039,  1263,  1901,  1450,
    1263,  3924,  3925,  3926,  4795,  3927,  3928,  3929,  3930,  3931,
    3932,  1401,  4579,  1402,  2037,   426,  1040,  2881,  5406,  5416,
    4213,  2077,  5042,   719,    35,  4796,  5407,  1302,  3783,  3031,
    2882,   945,    41,    42,  4884,  1902,  4089,  4109,  1284,  3352,
    3924,  3925,  3926,  5218,  3927,  3928,  3929,  3930,  3931,  3932,
    1041,  2038,  3476,  1324,  5408,   425,  2883,  4214,  3412,   427,
      43,  1789,  5156,  4308,  1263,    45,  1903,  4327,  5087,  2226,
     426,  5860,   426,  2746,  5091,  3580,  2746,  3408,  5830,   193,
    4661,  4662,  2039,  2747,  4580,   216,  2754,  1777,  4215,   947,
    2227,  1778,  4306,  2924,  3752,  1333,  4127,  4318,  4306,  3753,
    1073,  2008,  3753,  5565,  2230,  5567,  4061,  5915,  4328,  5571,
    5916,  5572,  4229,  1332,   427,  4581,   427,  5885,  2832,   224,
    5409,  2288,  1073,  4329,  2009,  2289,  4237,  1550,   434,  3666,
    4582,  5410,   873,  2470,  1390,  5784,   722,  2471,    35,   434,
    4583,  1601,  1601,  4234,  1387,  1601,    41,    42,  1777,   425,
   -2209,  2773,  1778,    45,    81,  5606,    81,  4105,   722,   235,
    2016,  4939,  2214,  2288,  2643,  1502,  4584,  3067,   216,  1502,
    1502,  2773,   238,  4643,  -464,  1404,   722,  1405,  2214,  2017,
    2643,   427,   722,  5453,  3889,  1393,   722,  5276,  2526,  3581,
    1798,  2773,  3890, -1612,   722,   250,  3891,  3582,  2421,  1409,
    3583,  2422,   224,  -584,   425,  3217,   425,  1396,  3220,   251,
    2221,  2222,   722,  4353,  4330,  1263,  5936,  4433,  4434,  4435,
     206,  2214,   379,  1899,  3036,  2573,  2574,  1263,  2018,  4702,
    2428,  1502,  3575,  1422,  1263,  4708,  2677, -2974,    37,    38,
      39,    40,   235,  1502,   958,    44,   959,   976,   216,  4585,
    2016,  1431,  2296,   873,  2297,   238,   722,  2362,  2375,  2363,
     251,  2430,  1450,  1121,  1450,  4346,  1432,  4349,  1122,  2017,
    2144,   425,  1433,   867,   722,   722,  2826,  1439,   250,  4458,
    4471,  -381,   224,  1502,  1442,  1601,  -464, -1834, -1834, -1834,
   -1834,  4703,  5831,  2214, -1834,  2643,  2851,  2376,  2091,  2774,
    2522,  1847,  2523,   434,  1121,   427,   722,  -381,  1453,   427,
    5411,  1503,  2019,  5084,  2525,  1458,  2526,  2385,  2018,  2774,
    1512,  1877,   235,    79,  1513,    79,  2775,  3009,  3966,  3010,
     722,  5277,   427,  1526,  3069,   238,  2526,  1519,   722,  2774,
    1034,  3089,  1450,  3090,   722,  3585,  2775,  2401,   722,  2776,
    3091,  2777,  3090,  3122,  2773,  3123,  3337,  3338,   250,  4337,
    2020,  4339,  2414,  2021,  1533,  3770,  2775,  3771,   722,  2776,
   -2974,  2777,   251,   722,  2828, -2974,  4704,   722, -1685, -1685,
     427,  4703,  3740,  1553,    45,  1225,  2771,  2008,  1592,  2776,
     722,  2777,  3230,  1596,   867,   425,  3323,  1600,  2280,   425,
    2573,  3361,  2019,   722,  2517,  2023,  2771,  4601,  4602,  4603,
    2009, -2974,   722,  3585,  4024,  4025,  4464,  4701, -1841, -1841,
   -1841, -1841,   425,  1607,  1613, -1841,  2771,  -381,  -381,  4579,
    3360,  1121,  2526,  1614,  1615,  4596,    35,  3300,  1621,  4405,
      37,    38,    39,    40,    41,    42,  1622,    44,  2025,  3488,
    2020,  3489,  5753,  2021,  1623,  1624,  1263,  1502,  2437,  2878,
    4682,  1625,  1187,  1187,  2828,  1187,   427,  4451,  2026,  3559,
     425,  3560,  4061,  3585, -1832, -1832, -1832, -1832,  4061,  4319,
    1626, -1832,   873,  3585,  1177,  4320,  1627,  3692,  2028,  3693,
    4705,  1630,  3698,  4706,  3699,  2023,  3804,  4321,  2526,  1380,
    1263,  4580,  2774,  4489,  4490,  4491,  4492,  2016,  1631,  4497,
    4498,  4499,  4500,  4501,  4502,  4503,  4504,  4505,  4506,  3841,
    3585,  3090,  3888,  1847,  2526,  4322,  2017,  4323,  1177,  2775,
    1633,  1847,  4581,   866,  1847,  3897,  1762,  2526,  2025,  1502,
    4801,  4813,  1765,   722, -2974, -1141, -1141,  4582,  3171,  1769,
    1770,    74,  2776,  1771,  2777,  1263,   425,  4583,  2026,  1776,
    1790,  1636,  1451,   994,  3917,  4545,  4546,  1795, -2974, -2974,
   -2974,  1796,  1821,   129,   130,  2018,  1798,  3903,  2028,  2526,
    4324,  1799,  3904,  4584,  2526,   866,  3905,  1820,  2526,  2771,
    3994,  2771,  3995,  5218,  1805,  3936,   722,  2526,  1827,  3949,
    4306,  2526,  3954,  1831,  3955,    80,  4325,  3996,  2516,  3997,
    4431,  4432,  4433,  4434,  4435,  5372,  4013,  1824,  1832,  3172,
    4916,  1835,   216,   867,  4747,  1825,  1836,  3999,  4000,  4001,
    1837,  1838,  4973,  1039,  4431,  4432,  4433,  4434,  4435,  1839,
   -2974,  1177,  4436,  1841,  5010,   722,  5013,  2444,  2445,  2446,
    2447,  2448,  2449,  1040,   866,  4195,   224,  4196,  5373,  2019,
    4200,  1502,  4201,   722,  1609,  4326,  4585,  4224,  1840,  4225,
    4327,   722,  4399,  1848,  4400,  1263,  4013,  1851,  1502,  3173,
    1849,  1263,  3174,  5374,  4424,  1880,  2526,  1041,  4516,  1881,
    4517,  1502, -1835, -1835, -1835, -1835,   235,  1883,  1629, -1835,
    5375,  1263,  1899,  4526,  5376,  4527,  1263,  2020,  1744,   238,
    2021,  4328,  1756,  1451,  1758,  1071, -1833, -1833, -1833, -1833,
    4537,  2828,  2526, -1833,  5377,  1892,  4329,  5378,  1958,  1263,
    1263,  1263,   250,  4627,  1263,  4628,  3541,  1071,  4632,  1934,
    4633,  5379,  1263,  1263,  1263,  1263,   251, -2971,  2773,  4642,
     427,  3398,  2023,  1964,  1961,  1263,   427,  1963,  1263,  3565,
    1263,  3137,  4665,  4817,  3090,  4818,  1243,  4874,  4934,  3090,
    2351,  1263,  1263,  1997,  4952,  1263,  2526,  1993,  1244,  1245,
    1998,   873,  3175,  4978,  4990,  3123,  2526,  1382,  1999,  1263,
     383,  1263,  1383,  1263,  1384,  2025,  2773,  1246,  1385,  2005,
    1247,   721,   721,  5053,  2007,  3398,  1878,  3610,  1847,  3138,
    5059,  2012,  5060,  1263,  5176,  2026,  5065,  4330,  3090,  2015,
    2051,  3923,  5380,  5066,  1263,  3090,  1263,  1263,  1263,  5199,
    5381,  5200,  5249,  2050,  5250,  2028,  5251,  5259,  2526,  3123,
     425,  3139,  2773, -1624,  2075,  2066,   425,   722,  2076,  2080,
    4931,  1263,  4884,  3479,  5334, -1624,  5335,   206,  2085,  2086,
   -1624,  1225,  2087,  1263,  3140,  5417,  2092,  3090,  1263,  5454,
    5382,  5455,  2095,  2094,  1263,  3141,  5472,  5480,  3123,  5481,
    2100,  2097,  2773,   866,  1263,   216,  5490,  2104,  2280,  3176,
    2105,  4847,  4848,  3703,  2111,  3142,  2774,  5496,  2112,  4374,
    3143,  3554,  5498,  2115,  4374, -1624,  2421,  4824,  5511,  2422,
    5512,  2118,  2121, -2974, -2974, -2974,  5558,  2124,  5559,   224,
    2126,  1248,   867,  2775,  2132, -1624,  1502,  2135,  2773,  1502,
    2137,  1502,  1636,  2128,  2146,  3917,  1502,  2147,  2428,  3918,
    3919,  3920,  2152,  2151,  2774,  2429,  2776,  4241,  2777,  3144,
    -195,   722,   722,  2154,  2155,   379,  4535,  1263,  5598,   235,
    2484,  1249,  2773,  1042,  2157,  5627, -1624,  5512,  2159,  2430,
    3145,  2775,   238,  2175,  2160, -1624,  2773,  5641,   722,  3123,
    4061,   722,  5642,  2771,  3955,  1502,  5643,  4249,  2526,  1073,
    2774,  1073,  2182,  1073,  2776,   250,  2777,   873,  5654,  1073,
    5655,  5660,  1502,  2280,  4061,  2184, -2974, -2974, -2974,  1043,
    3927,  3928,  3929,  3930,  3931,  3932,  1847,  2775,   379,  5663,
    1804,  4374,  1806,  1073,  1073,  2188,  5687,  1502,  3123,   902,
    2774,  2771,  2193,  4281,  2210,  5693,   902,  3123,  2201,  3146,
    2776,  5694,  2777,  3123,  5697,  5699,  5698,  5700,  5725,  5772,
    5726,  5773,  5776,  5777,  2280,  2526,  5778,  2775,  2526,  5040,
    2207,  2208,   427,   427,   427,  3147,  5780,  4687,  2526,  4928,
    4929,  4930,  3148,  5799,  2209,  5800,  2774,  2771,  2431,  3149,
    2776,  4724,  2777,  2432,  1121,  5823,   722,  5824,  5847,  2214,
    4374,  3238,  2217,  5859,  2218,  5504,  1502,  2220,  1502,  5090,
    5884,  2234,  5512,  2775,  1451, -1624,   722,  3150,  2245,  5922,
    2774,  5698,  3151,    80,    80,  3152,    80,  2771,  2236,  2435,
     722,   873,  2244,  2248,  2774,   873,  2776,  5924,  2777,  5925,
    3922,  2249,  1451,  3153,  5939,  2256,  5773,  2775,   867,  5946,
    2260,  5925,  2261,  2263,  2268,  2269,  2271,  2276,   873,  2279,
    1073,  2775,   425,   425,   425,  2282,  2283,  2294,  3154,  2359,
    2776,  2328,  2777,  2771,   719,   719,  2437,  1777,  2364,  1875,
    1798,  1778,  2366,  4551,  2776,  2367,  2777,  3950,  2355,  1502,
    2373,  2374,   866,  3957,  2382,  2380,  2381,  2383,  2384,   251,
    2386,  2387,  3923,  2388,  2389,  2454,   873,  2771,  2390,   722,
    1601,  2391,  1451,  2393,  2394,  2395,  2396,  1502,  2397,  4422,
    2398,  2771,  2399,  2400,  2402,  2456,  2403,  1073,  5038,  2404,
    2405,  2406,  2407,  2408,   379,   971,  2409,  2458,  2459,  2488,
    2484,  4301,  1502,  2500,  5082,  1582,  2510,   427,  1502,  4381,
    2521,  2529,  2829,  1808,   722,  1810,   722,  2558,  2572,  2560,
    4394,  2569,  2439,  2579,  2587,  2594,  1214,  2596,  2598,   722,
    2606,   722,   867,  2607,  2609,  2614,   867,  2616, -2917,  4354,
    2618,  2620,  2621,  2622,  4421,  2638,  2418,  1177,  2639,  2640,
    2641,  2643,   873,   427,  2644,  2420,  2646,  2645,  2647,   867,
    2648,  2649,  2655,  2674,  2680,  2686,  1177,  2709,  2713,  2463,
    2717,  2715,  2716,  2721,  2718,  1636,  2720,  1502,  3917,  2736,
    5121,  2738,  3918,  3919,  3920,  2749,  5161,  2737,  2750,  2765,
    2767,  2761,  2768,  2769,   722,  1502,  2770,   425,  2771,  4980,
    1451,  2779,  4013,  2494,  2496,  4013,  2780,   867,  1451,  1451,
    1502,  4559,  4560,  4561,  4562,  2781,  2782,  2783,  2440,  2788,
    2789, -2974, -2974, -2974,  2792,  2444,  2445,  2446,  2447,  2448,
    2449,  5562,  2798,  2800,  2801,  2804,  2806,  2799,  2810,  2815,
     722,  2822,  2811,   425,  2825,  1977,  2837,  3924,  3925,  3926,
    2823,  3927,  3928,  3929,  3930,  3931,  3932,  2840,   722,  2846,
    2830,  2844,  2831,  5384,  1302,  2835,  5127,  5128,   866,  5130,
    2836,  1847,  5178,  2847,  2839,  2863,  2841,  1847,  5287,  2852,
     722,  2853,  2864,   722,  5552,  5302,  5554,  2865,  2869,  2889,
    2870,  2891,   721,   867,  2874,  2877,  2892,  2893,  2894,  2898,
    2899,  1263,  2900,  2906,  1502,  2907,  2908,  2909,  2910,  2913,
    1263,  2918,  2919,  2920,  2925,  4013,  1263,  2928,  1263,  2911,
    2929,  1263,  2932,   940,  5308,  1502,  1263,  1263,  1263,  1263,
    2937,  2962,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  2943,  2946,  2957,  1263,  1263,  2034,  2961,  2965,
    1502,  2988,  2970,  2981,  2984,  1263,  2987,  2997,  3785,  1263,
    3003,   427,  3001,  1263,  3005,  1073,  4306,  3006,  3012,  3017,
    3023,  1263,  3025,  3922,  1263,  3026,  1263,  3041,  1937,  3030,
    3031,  3043,  3033,  3034,  1502,  1263,  3044,  3045,  1263,  1263,
    3046,  3057,   866,  1263,  1263,  3058,   866,  3085,  3086,  3101,
    1263,  3107,  3120,  5709,  5711,  3133,  3163,  3168,  3212,  5244,
    1263,  3218,  1938,  1263,  2422,  3222,  3237,  3231,  3271,   866,
    3251,  5703,  3272,  3249,  3286,  3304,  1263,  3303,  3306,  3311,
    3309,  3314,  1263,  1263,  1263,  3923,   873,  3313,  3315,  3324,
    1182,  3325,   873,  3335,  3334,  3346,   982,  3333,  3336,  5414,
    3353,   425,  3367,    74,  3370,  2474,  4917,  1197,  3369,  1847,
    3388,  3387,  3416,  3421,  3390,  3419,  3423,   866,  3424,  3430,
    3435,  1940,  3440,  3441,  1071,  2833,  1071,  3445,  1071,  1263,
    3451,  2838,  3447,  3443,  1071,  1580,  1581,  3463,  3455,  3464,
    3467,  3480,  3481,  3486,  1759,  1263,  1763,  3502,  3548,  3497,
    3503,  3516,  3521,  3522,  4758,  1941,  3549,  3558,  1071,  1071,
    1793,  1502,  3586,  5340,  3642,  3543,  3654,  3665,  3551,  3661,
    3566,  3662,  5479,  1263,  3669,  3674,  3675,  3676,  3685,  3680,
    3687,  3691,  3694,  5322,  2924,  3786,  3712,  3700,  3727,  3731,
    1942,  3729,  5801,  3742,  3713,  3751,  3754,  3745,  3759,  3733,
    3760,  3762,  3764,   866,   722,  3761,  3763,  3767,  3773,  3775,
    3776,  3779,  3798,  3780,  4013,  3793,  1073,  3794,  3797,  3799,
    3800,  1073,  1073,  3802,  1943,  3829,  3805,   867,  3807,  3810,
    3610,  5345,  3808,   867,  3809,  3831,  2590,  3811,  3832,  3819,
    3820,  3846,  3836,  2280,  3843,  3844,  2958,  3845,  3854,  3134,
    2963,  3858,  3856,  3865,   427,  1945,  2277,  3857,  3868,   427,
    1502,   427,  2246,  3873,  1598,  3875,  3879,  3882,  3899,  3883,
    3924,  3925,  3926,  3900,  3927,  3928,  3929,  3930,  3931,  3932,
    3885,  3880,  3901,   427,  1502,  1071,  3902, -2092,  3951,  5564,
    5344,  3906,  5346,  3968,  3907,   209,  3985,  3909,  3912,  3787,
     427,  3913,  2526,  3963,  1870,   719,  1948,  3935,  3941,  3948,
    5703,  3990,  3962,  4018,  1949,   722,  4069,  3976,   722,  4063,
    4080,  3986,  2730,  3988,  3989,  3992,  4067,  4023,  4087,  4073,
    4093,  4103,  5386,  4071,  1951,  4092,  5716,  4091,  4096,  2288,
    4108,  4110,  1952,  4111,   425,  4097,  4115,  4116,  4119,   425,
    5470,   425,  1071,  4122,  4131,  4124,  4159,  4146,  4147,  1302,
    4157,  4163,  4164,  3788,  4165,  4166,  4180,  4181,  4183,  4189,
    4190,  4191,  2414,   425,  4199,  4209,    80,  4226,  4228,    80,
    1263,  4232,  4230,  2351,  4233,  4236,  4894,  4238,  4239,  4250,
     425,  4240,  1073,  4252,  4254,  4253,  4061,  1953,   873,   873,
     873,  3789,  1073,  4257,  4255,   722,   722,  1302,  4256,  1502,
    4258,  4259,  4262,  4260,  5489,   722,  2414,  4261,  4264,  4263,
    4265,  4266,  1263,  4267,  4268,  5489,  4275,  4273,  4013,  1847,
    4271,  4277,  4013,  3238,   722,  4278,  2861,  4280,  4521,  4286,
    4290,  4421,  4291,  4293,   426,  4299,  4313,  1450,  4344,  3987,
    4355,  4357,  2421,  1847,  4359,  2422,  4345,  4362,  1502,  1263,
    1263,  4351,  4376,  4374,  4382,  4006,  4373,  4388,  4389,  4392,
    4385,  1073,  4393,  4397,  1073,  1073,  4409,  3179,  4396,  4419,
    4428,  4438,  4447,  4430,  2428,  4448,  4449,   866,   427,  4440,
    4452, -2974,  4450,   866,  4459,  4457,  4468,  4460,  4461,  4478,
    4469,  4470,  4472,   379,  4473,  5055,  4474,  5556,  3938,  2375,
    3917,  4487, -2091,   722,  3937,  2430,  4512,  4528,  4513,  4514,
    4539,  1183,  4569,  4598,  4621,  4006,  5681,  4626,  4552,  1176,
    4624,  2592,  2593,  4520,  1263,  4540,  4558,  4543,  4630,   867,
     867,   867,  4578,  2290,  4593,  1263,  4652,  4673,  4611,  4570,
    4595,  4675,  4645,  4676,  4608,  4613,  4681,  4610,  1073,  4638,
    4688,  4612,  4689,  4690,  4691,  4693,  4615,  4697,  4714,  4616,
    4726,  4695,  4753,   873,  4711,  1263,  4727,  4728,   425,  4729,
    4739,  4740,  3977,  4741,  3308,  1263,  1263,   712,  1502,  5653,
    4742,  4015,  1263,  1263,  4743,  4744,  4755,  1263,  1502,  4756,
    4766,  4790,  1263,  4767,  4775,  1263,  1263,  4772,  4792,  4794,
    1263,    74,    74,  1937,    74,  4702,  1263,  4797,  4805,   873,
    5041,  5043,  4807,  4808, -2974,  4804,  4844,  5093,  1263, -2974,
    1071,  4811,  4821,  5661,  4832,  4835,  1263,  1450,  4858,  4863,
    1263,  4864,  5678,  3090,  4850,  4867,  4886,  1938,  4869,  4870,
    4891,  4015,  4892,  1263,  4909,  4907,  4904,  4912,  1263,  4914,
    4926,  4905,  4910,  4915,  1263, -2974,  4908,  4936,  4932,  4938,
    4954,  4944,  4964,  4963,  4949,  4958, -2093,  4959,  4967,  1847,
    4965,  4986,  1263,  4966,  4971,  5002,  3541,  4999,  4719,   721,
    5006,  1636,  5014,  2416,  3917,  5004,    81,  5007,  3918,  3919,
    3920,  5015,  5020,  5022,  5019,  1878,  1940,    80,  5023,    80,
    3565,  5025,  2437,  1263,   867,  4981,  5039,  5026,  5048,  5027,
    5054,  5052,  5056,  5062,  5088,  5070,  5061,  3610,  5089,  5092,
    5098,  1502,  5099,  5111,  5114,  5100,  5118,  5120,  5123,  5131,
    1941,  2421,  5139,  5144,  2422,  5152,  5124,  1451,   722,  5153,
    5158,  5159,  5162,   427,  5167,  5168,  5174,  5173,  5175,  5177,
     867,  5182,  5190,  5196,  5193,  5201,  5203,  1255,  5211,  1502,
    5213,  5214,  5215,  2428,  5216,  1942,  1275,  5224,  5229,  5234,
   -2974,  5239,  5238,  5245,  5246,   722,  5248,  5253,  5255,  5256,
    1502,  5280,  5300,  5257,  5264,  5310,  5258,   722, -2974,   866,
     866,   866,  5306,  5270,  2430,  5316,  5273,  5284,  5313,  1943,
    5327,  5336,  5330,  1263,  2570,  1388,  1758,  5331,  1302,  5337,
    5342,  5366,  5385,  5387,   722,  5393,  4831,   873,  5395,  5397,
    5400,  1071,  5403,  5348,  5349,  5353,  1071,  1071,  5035,  5404,
    1945,  5420,  5358,   425,  5359,  5398,  5401,  5432,  5427,  4013,
    5435,  5429,  5444,  5437,  5445,  1502,  4013,  5456,  5460,  5466,
    5475,  4013,  5478,  5458,  4013,    79,  5482,  5488,  5492,  5792,
    5499,  4544,  5495,  5500,  5459,  5502,  1450,  1255,  5508,  1263,
     209,  5509,  2729,  5504,  1947,  5520,  5529,  1275,  5530,  3922,
    5586,  1948,  5579,  1263, -2974,  5527,  4013,  5536,  5581,  1949,
    5593,  2444,  2445,  2446,  2447,  2448,  2449,  2730,  5591,  2588,
    4013,  1580,  1581, -2974,  5600,  5604,   722,  5542, -2974,  1951,
    5590,  5611,  1263,  5622,  5610,  5618,  5623,  1952,  1847,  5624,
    2603,  5631,  5634,  5632,  5633,  5639,  5644,  2610,  2612,  5839,
    5840,  5645,  5669,  5652,   379,  5665,  5673,  5674,  5676,  5668,
    5686,  3923,  5708,  5690, -2974,   379,  5895,  5714,  5715,  3650,
    5719,  5898,  5724,  1502,  5721,  1502,  5731,  5732,   867,  5728,
    5737,  5749,  5750,  5793,   866,  5757,  5795,  5758,  5802,   379,
    3668,  5751,  1953,  3668,  5767,  3668,  4553,  5717,  5718,  3668,
    5786,  5811,  5769,  1073,  5788,  5810,   722,  5812,  3668,  3668,
    3668,  2437,  5842,  5850,  5857,  5870,  5867,  1071,  5876,  5893,
    5896,  5903,  1263,  5891,  5899,  5892,  1502,  1071,  5917,  5918,
     866,  1263,  5920,  5923,  5941,  5930,  5931,  5937,  5938,  5942,
    5940,  1195,  2507,  2875,  2011,  1962,  3736,  2048,  1263,  1263,
    3615,  4053,  1263,  3547,  4174,  2047,  4717,  4710,  1073,  5796,
    3653,  5902,   719,  4298,  4814,  5573,  3746,  1263,  5702,  4846,
    5868,  5436,  5157,  5413,  1263,  4113,  4013,  5789,  1875,  1263,
     873,  3842,  1263,  1263,  5722,   873,  2421,   873,  5320,  2422,
    1263,  1263,  5864,  5720,  5809,  5881,  1071, -2974,  3778,  1071,
    1071,  4895,  4118,  5684,  5307,  4875,  1451,  4839,  4715,   873,
    3710,  3711,  1177,  4862,  1263,  4361,  1263,  4193,  2428,  5179,
    1073,  2036,   722,  5419,   722, -2974,   873,  3701,  1263,  4369,
    5423,  5869,  3817,  5944,  5945,  5943,  5935,  5399,  4316,  4300,
    4013,  5814,  5347,  2936,  5538,  5692,  3924,  3925,  3926,  2430,
    3927,  3928,  3929,  3930,  3931,  3932,  5350,  1091,  4933,  1451,
    2348,  5515,  2361,  3393,  4901,  4104,  1502,   722,  3013,  5629,
    3047,  1452,  3129,  3127,  1527,  2414,  1263,  3128,  2123,  4274,
    4745,  5418,  4365,  1071,  4765,  5833,  2654,  3320,  3075,  5929,
    3319,  4566,  4879, -2974,  4571,  5044,  5309,  1773,  5783,  4634,
    2444,  2445,  2446,  2447,  2448,  2449,  3838,  2295,  4059,  2527,
    2555,  3345,   427,  2554,  3018,  4068,  4547,  5449,  1263,  4066,
    4609,   867,  5779,  5667,  3344,  2559,   867,  5030,   867,  2469,
    4573,  4997,  5012,  5494,  4567,  5651,  1255,  5650,   866,  2564,
    4635,  4568,  5932,  5849,  5897,  5770,  4522,  1275,  2551,  5473,
     867,  5303,  5781,  5766,  5782,  3983,  3276,  3894, -2974,  4055,
    3981,  3285,  4420, -2974,  1228,  3796,  3008,   867,  3371,  5305,
    5759,  5440,  3007,  1198,  1549,  2195,  2571,  3362,  2578,  4048,
    1073,  2356,  4013,  1859,  1263,  1860,  1502,  3378,  1073,  3375,
    4640,  1073,  3376,  4641,  1888,  5031,  3382,  3019,  1221, -2974,
    4614,  3840,   425,  2473,  3087,  2575,    83,  3027,     0,  3028,
    2285,  1587,     0,  1263,  1502,  3032,  1263,  4015,  1263,  3035,
    4015,     0,     0,     0,     0,  2186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1847,     0,     0,  1263,     0,
       0,  4013,     0,     0,  1263,     0,  2437,     0,  1263,     0,
       0,     0,     0,     0,  1502,     0,     0,   387,     0,  1263,
       0,     0,     0,   387,    74,     0,     0,    74,   716,     0,
       0,     0,  4013,     0,  3158,  3160,     0,     0,     0,     0,
       0,  3167,     0,     0,     0,     0,     0,  3181,  3182,  3183,
       0,     0,     0,     0,     0,   387,     0,  3199,  3201,     0,
       0,     0,  3211,   427,  1279,     0,     0,     0,     0,     0,
    1451,  1502,  1310,     0,     0,     0,  1502,  1502,     0,     0,
    2421,  1263,     0,  2422,     0,  1329,     0,     0,     0,     0,
    4015,     0, -2974,  1485,     0,     0,  5613,     0,     0,   722,
     387,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2428,     0,   712,     0,     0,  1485,     0, -2974,
     712,     0,  3169,  3170,     0,     0,     0,     0,  1263,  3184,
    3185,     0,     0,   712,     0,     0,     0,     0,  4013,     0,
       0,   866,     0,  2430,     0,     0,   866,     0,   866,     0,
    1263,     0,     0,   425,     0,     0,     0,     0,  3223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     866,   387,     0,  5670,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1502,  1502,     0,     0,   866, -2974,     0,
       0,     0,     0,     0,  5638,  2444,  2445,  2446,  2447,  2448,
    2449,     0,     0,     0,  1451,     0,  1263,     0,     0,  1263,
    4548,     0,  1263,  4006,  2603,     0,     0,     0,     0,     0,
       0,     0,     0,  1263,     0,  1073,     0,     0,  1263,     0,
    1263,     0,  1263,     0,     0,     0,     0,     0,     0,   873,
    1263,   379,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2974,     0,     0,  1847,  1847, -2974,  1263,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1847,     0,
       0,  4013,     0,     0,     0,     0,     0,     0,  1071,     0,
       0,     0,     0,     0,     0,     0,     0,   427,     0,   722,
       0,  4198,     0, -2974,     0,     0,   379,     0,     0,  5371,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5890,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2421,
       0,     0,  2422,  1071,     0,     0,   387,     0,  1263,  4015,
    2437,  4235,     0,     0,  4013,     0,  1263,     0,     0,     0,
       0,     0,     0,  1870,     0,    74,  1636,    74,     0,  3917,
       0,  2428,     0,  3918,  3919,  3920,     0,     0, -2974,     0,
       0,   387,     0,     0,     0,  1263,  1263,   425,     0,     0,
     867,     0,     0,  1263,   427,     0,     0,  1502,     0,     0,
       0,     0,  2430,  1263,     0,  1071,  5815,     0,   712,   712,
       0,     0,   722,     0,  4272,     0,     0,     0,     0,  5835,
       0,     0,   383,     0,  5836,  1263,  5837,     0,     0,     0,
    5838,  1636,     0,     0,  3917,     0, -2974,  4006,  3918,  3919,
    3920,  4006,     0,  1073,     0,  3668,     0,     0,     0,     0,
       0,     0,     0,  2099,     0,     0,     0,  4297,  5656,     0,
       0,     0,     0,     0,     0,  4311,     0,     0,     0,  4984,
       0,  4311,     0,     0,     0,  1263,  2114,  1451,     0,  1451,
    1263,     0,     0,     0,   425,   379,   379,     0,     0,  1263,
       0,  2125,     0,     0,  5835,  1263,  1263,   383,  1263,  5836,
       0,  5837,  1965,     0,  3195,  5838,     0,  1263,  1966,     0,
       0, -2974,  3213,  5856,     0,  2016, -2974,     0,     0,     0,
       0,     0,     0,     0,  1263,  4372,     0,     0,     0,     0,
       0,     0, -2974,     0,  2017,     0,     0,     0,   722,  2444,
    2445,  2446,  2447,  2448,  2449,     0,     0,     0,     0,  1967,
       0,     0, -2974,     0,     0,     0,  4404,  1451,     0,     0,
       0,     0,  1263,  4015, -2974,  1071,     0,  4015,     0,     0,
       0,     0,     0,  1071,     0,     0,  1071,     0,     0,  5835,
       0,     0,   383,  2018,  5836,  3817,  5837,     0,     0,  1263,
    5838,     0,  5856,     0,  1263,     0,     0,     0,     0,  2437,
       0,     0,     0,  1969,     0,  1847,     0,  1847,     0,  1965,
    1970,     0,     0,  1971,   427,  1966,   386,     0,     0,     0,
       0,     0,   386,     0,     0,     0,  3923,   715,  2052,  3922,
       0,  1263,  3744,     0,     0,     0,     0,  1263,  1972,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     866,     0,     0,     0,   386,     0,  1967,     0,     0,     0,
       0,  1263,     0,   427,     0,     0,     0,  2019,     0,     0,
    1973,     0,     0,     0,     0,     0,     0,     0,   427,  1263,
    1263,     0,     0,     0,     0, -2974,     0,  3803,     0,     0,
       0,  3923,     0,     0,     0,     0,     0,     0,   873,   386,
       0,     0,     0,     0,   425,    35,     0,     0,  2053,     0,
    1969,     0,  2357,    41,    42,  2020,     0,  1970,  2021,  2421,
    1971,     0,  2422,     0,  5371,     0,  2423,  2424,  2425,  2022,
       0,  1975,     0,  4532,     0,     0,     0,     0,     0,     0,
       0,  1976,     0,  2426,     0,  1972,  2427,  1117,     0,     0,
    1977,  2428,     0,   425,     0,  1117,     0,  1117,  2429,     0,
    2023,  1978,  1255,     0,     0,  1255,     0,     0,   425,     0,
     386,     0,     0,     0,  1847,     0,     0,  1973,     0,  3812,
    3815, -2974,  2430,  5909,     0,     0,     0,     0,  2444,  2445,
    2446,  2447,  2448,  2449,     0,     0,     0,     0,  2024,     0,
       0,  1980,  1981,  2025,     0,     0,  1275,  1275,     0,     0,
       0,  3924,  3925,  3926,     0,  3927,  3928,  3929,  3930,  3931,
    3932,  5771,     0,  2026,     0,     0,     0,   387,  1073,  2027,
       0,   387,  5909,     0,  1073,     0,  1974,     0,  1975,   867,
       0,     0,     0,  2028,  1276,   716,     0,  5909,  1976,     0,
    1071,     0,     0,   716,     0,     0,     0,  1977,     0,     0,
       0,     0,     0,  3916,     0,  4006,   716,     0,  1978,     0,
    4006,     0,     0,  4006,     0,  3944,  3924,  3925,  3926,     0,
    3927,  3928,  3929,  3930,  3931,  3932,     0,     0,     0,   873,
       0,  2431,     0,  1983,     0,   716,  2432,     0,  1275,     0,
       0,   716,     0,     0,     0,  2054,     0,  3967,  1980,  1981,
       0,     0,     0,     0,   716,     0,     0,  2433,  2434,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2435,     0,     0,   386,  2055,     0,     0,  2421,
     716,     0,  2422,     0,     0,  3993,  2423,  2424,  2425,     0,
       0,     0,     0,     0,     0,  1276,   716,     0,     0,     0,
       0,     0,     0,   716,     0,  2436,     0,     0,     0,     0,
     386,  2428,     0,  4311,     0,     0,   716,     0,  2429,  2437,
       0,     0,  2438,     0,  4015,     0,     0,     0,     0,     0,
       0,  4015,   716,     0,     0,     0,  4015,  4752,     0,  4015,
    1983,     0,  2430,     0,  4759,     0,     0,  4760,     0,  4761,
       0,     0,     0,     0,     0,     0,  1073,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   712,
     867,  4015,     0,     0,     0,     0,   379,     0,     0,     0,
       0,  5908,     0,     0,     0,  4015,     0,     0,     0,  4800,
       0,     0,     0,  2603,     0,     0,  4051,  3668,  1071,     0,
       0,  3668,  3668,     0,  3668,  2439,     0,     0,     0,  4297,
       0,     0,   379,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5908,   716,     0,     0,  2791,     0,     0,     0,     0,   866,
       0,     0,     0,     0,     0,  5908,     0,     0,     0,     0,
       0,  2431,   387,   873,     0,     0,  2432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2433,  2434,  4006,
       0,     0,     0,     0,     0,     0,     0,     0,  2688,     0,
    2414,     0,  2435,  2689,     0,     0,     0,     0,     0,     0,
       0,  2440,     0,     0,  2441,  2442,  2443,  4898,  2444,  2445,
    2446,  2447,  2448,  2449,     0,     0,     0,     0,     0,   716,
     716,     0,     0,     0,     0,  2436,     0,  2690,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2890,  2437,
    2691,  4015,  3817,  3817,  3817,  3817,  3817,     0,     0,     0,
     873,     0,     0,  2905,     0,  2692,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2927,     0,     0,     0,     0,  4941,
    4941,  4941,     0,  4941,  4941,  4941,     0,     0,     0,     0,
    1255,     0,     0,  2873,   867,     0,  2693,  1275,     0,     0,
       0,     0,     0,     0,     0,  4015,     0,  2694,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4006,     0,     0,     0,  2439,     0,  2695,     0,  3004,
     866,   379,  2696,     0,     0,     0,     0,     0,     0,  3195,
    3195,     0,     0,     0,  3195,  1276,     0,     0,  2421,  3015,
       0,  2422,     0,     0,     0,  2423,  2424,  2425,     0,     0,
       0,  1485,     0,     0,     0,     0,     0,     0,     0,     0,
    2947,     0,  2426,  3029,     0,     0,  1073,     0,  2964,     0,
    2428,  3195,  3195,     0,     0,  3785,     0,  2429,     0,     0,
    2873,   867,     0,     0,     0,     0,     0,     0,     0,     0,
    1073,     0,  2697,     0,     0,  1937,  1073,     0,   379,  3053,
    1485,  2430,     0,     0,     0,     0,     0,     0,     0,  5029,
       0,  2440,  5036,  5037,  2441,  2442,  2443,     0,  2444,  2445,
    2446,  2447,  2448,  2449,     0,     0,  2698,     0,     0,  1938,
       0,     0,     0,     0,     0,     0,     0,  4015,     0,    80,
       0,     0,     0,     0,     0,     0,   386,     0,     0,     0,
     386,     0,     0,     0,     0,     0,     0,  3040,   902,     0,
     873,     0,     0,     0,   715,     0,     0,     0,     0,     0,
       0,     0,   715,  1071,     0,     0,     0,     0,     0,  1071,
    2873,     0,     0,     0,     0,   715,     0,     0,  1940,     0,
       0,     0,     0,     0,  2699,     0,  4015,     0,   716,     0,
       0,  2700,     0,  4350,  2701,     0,     0,     0,     0,   873,
    2431,     0,   716,     0,   715,  2432,     0,     0,     0,     0,
     715,     0,  1941,  1965,   873,     0,     0,  4015,     0,  1966,
       0,     0,     0,   715,  2702,     0,  2433,  2434,     0,     0,
     716,  2703,     0,     0,   866,     0,     0,     0,  2704,     0,
       0,  2435,  3786,  3225,     0,  2705,     0,  1942,     0,   715,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1967,     0,     0,     0,     0,   715,   716,     0,     0,     0,
    2706,     0,   715,     0,  2436,     0,  4425,     0,     0,     0,
       0,  1943,   716,  3815,     0,   715,  5134,  5135,  2437,     0,
       0,   867,     0,     0,     0,     0,  3668,   716,  3668,  3668,
     716,   715,  3668,  4486,     0,     0,  1073,     0,     0,     0,
    1968,   379,  1945,     0,  1969,     0,     0,     0,     0,     0,
       0,  1970,     0,  4015,  1971,     0,     0,     0,     0,     0,
       0,   866,     0,     0,     0,   379,     0,  4515,     0,     0,
     867,     0,     0,     0,     0,     0,     0,     0,     0,  1972,
       0,  1071,   209,     0,     0,   867,  1947,     0,     0,     0,
       0,  5192,     0,  1948,     0,     0,     0,     0,     0,     0,
       0,  1949,     0,     0,  2439,     0,     0,     0,     0,  2730,
       0,  1973,  4557,     0,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,     0,     0,  5217,     0,     0,  1117,  1952,
     715,     0,  1117,     0,     0,     0,     0,     0,     0,  3785,
    5889,     0,     0,     0,     0,     0,     0,     0,  1255,     0,
    3788,   386,     0,     0,  1275,     0,     0,     0,   716,  1937,
       0,     0,     0,     0,     0,  4941,   716,   716,     0,     0,
    1974,     0,  1975,     0,     0,     0,     0,   387,     0,     0,
       0,     0,  1976,     0,  1953,     0,  4015,     0,  3789,  2943,
       0,  1977,     0,  1938,     0,     0,     0,     0,     0,     0,
    2440,     0,  1978,  2441,  2442,  2443,     0,  2444,  2445,  2446,
    2447,  2448,  2449,     0,     0,     0,     0,     0,   715,   715,
       0,     0,     0,     0,     0,   379,   712,     0,     0,   387,
     387,   387,     0,     0,     0,     0,     0,     0,     0,  1979,
       0,     0,  1980,  1981,  3450,     0,     0,     0,  3384,     0,
     716,     0,  1940,     0,     0,     0,  3465,     0,     0,  4015,
       0,     0,     0,     0,     0,     0,  3400,     0,     0,     0,
    1982,     0,  3404,     0,     0,     0,  3407,     0,  2206,     0,
     387,   866,     0,     0,     0,  1073,  1941,   387,  4637,  1073,
       0,     0,     0,     0,     0,     0,  3498,  4016,   387,     0,
       0,     0,  3431,     0,     0,  2233,  1117,  1117,     0,     0,
       0,     0,     0,     0,     0,     0,  3786,     0,     0,  4311,
       0,  1942,     0,     0,     0,     0,     0,     0,  2247,     0,
     866,     0,     0,     0,  1983,     0,     0,     0,  2258,     0,
   -2475,     0,     0,     0,  2262,   866,  3484,     0,     0,     0,
    2270,     0,     0,     0,     0,  1943,  2278,  4016,     0,  2281,
    3668,     0,     0,     0,   712,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1945,     0,     0,     0,
   -2475,     0,     0,     0,     0,     0,  3532,     0,     0,     0,
       0,  1071, -2475,     0,     0,     0,     0, -2475,     0,     0,
       0,     0, -2475,     0,     0,     0,     0,     0, -2475,     0,
    3561, -2475,     0,     0, -2475,  1071,   209,     0,  3572,     0,
    1947,  1071,     0,     0,   712,     0,     0,  1948,  3587,     0,
       0,     0,     0,     0,     0,  1949,     0,     0,     0,     0,
       0,     0, -2475,  2730,     0,     0,     0,     0,  3600,     0,
       0,     0,     0,  3602,     0,  1951,     0,  3605,     0,     0,
    3696,     0, -2475,  1952,   716,     0,  3195,  3195,  3195,  3195,
    3622,     0,  3195,  3195,  3195,  3195,  3195,  3195,  3195,  3195,
    3195,  3195,     0,  3647,  3788,     0,     0,     0,     0,     0,
       0,     0,   712,  1580,  1581,     0,     0,   715,     0,  4519,
       0,  2421,     0, -2475,  2422,     0, -2475,     0,  2423,  2424,
    2425,   715, -2475,     0,     0,     0,     0,   387,  1953,     0,
       0,     0,  3789,     0,     0,  2426,  1937,     0,  3195,  3195,
       0,     0,     0,  2428,     0,     0,     0,     0,     0,   715,
    2429,   716,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1938,   716,     0,     0,  2430, -2475,     0,     0,     0,  5549,
    5549,     0,     0,     0,     0,   715,     0,     0,     0,     0,
       0,     0,  1451,     0,     0,     0,  5566,     0,     0,     0,
    1939,   715,     0,     0,     0,     0,  5574,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   715,     0,     0,   715,
       0,     0,     0,     0,     0,     0,  1087,     0,     0,  1940,
    3815,  3815,  3815,  3815,  3815,     0,     0,  4962,     0,     0,
       0,     0,     0,     0,  1276,  1276,     0,   716,   716,     0,
       0,  1071, -2475,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,  1941,     0,     0,     0,     0,     0,     0,
     716,   716,     0,     0,  3866,     0, -2475,     0, -2475, -2475,
       0,     0,  1073,  2431,     0,     0,     0,     0,  2432,     0,
       0,  3878,     0,     0,     0,     0,   716,     0,  1942,     0,
       0,     0,     0,     0,  3884,     0,     0,     0,     0,  2433,
    2434,     0,     0,     0, -2475,     0,     0, -2475, -2475,     0,
   -2475,     0,     0,     0,  2435,     0,     0,     0,     0,     0,
       0,     0,  1943,     0,     0,  3853,  1276,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   715,     0,     0,
       0,     0,     0,  3867,     0,   715,   715,  2436,     0,     0,
       0,  3853,  1944,  1945,     0,     0,   386,     0,     0,     0,
       0,  2437,  2421,     0,  2438,  2422,     0,     0,     0,  2423,
    2424,  2425,  1451,     0,     0,     0,  5706,     0,  5707,     0,
       0,     0,  5712,  5713,     0,     0,  2426,     0,     0,  1946,
       0,     0,     0,   209,  2428,     0,     0,  1947,     0,     0,
    2603,  2429,     0,     0,  1948,     0,     0,     0,   386,   386,
     386,     0,  1949,     0,     0,     0,   387,     0,     0,     0,
    1950,     0,     0,     0,     0,  2430,     0,    74,     0,   715,
       0,     0,  1951,     0,     0,     0,     0,     0,     0,     0,
    1952,     0,     0,     0,     0,     0,     0,  2439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   386,
       0,     0,     0,     0,     0,     0,   386,     0,     0,     0,
    3195,     0,     0,     0,     0,     0,     0,   386,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1117,     0,     0,
    1071,     0,     0,  1965,  1071,  1953,     0,     0,     0,  1966,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5549,
     387,  5549,     0,     0,     0,     0,     0,     0,     0,  5108,
    5109,     0,     0,     0,  5112,  5113,     0,     0,  1117,     0,
       0,     0,  1073,  1073,  2431,     0,     0,     0,     0,  2432,
    1967,     0,     0,  2440,     0,  1073,  2441,  2442,  2443,     0,
    2444,  2445,  2446,  2447,  2448,  2449,     0,     0,     0,     0,
    2433,  2434,  3908,     0,     0,   387,     0,   387,     0,     0,
       0,     0,     0,     0,  5184,  2435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,  4129,     0,
       0,     0,     0,     0,  1969,     0,     0,     0,     0,     0,
       0,  1970,     0,  4016,  1971,  4140,  4016,     0,  2436,   716,
       0,  1451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2437,     0,     0,  2438,     0,   716,     0,  1972,
       0,     0,   387,   716,     0,     0,     0,   716,     0,     0,
    5637,     0,     0,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,   715,     0,  1117,     0,     0,  4125,     0,
       0,  1973,  3042,   716,     0,     0,     0,     0,     0,     0,
    3049,     0,     0,     0,     0,     0,     0,     0,  5549,     0,
       0,     0,     0,     0,     0,  1276,  3059,  5910,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4221,
       0,  4223,     0,     0,     0,     0,   386,   716,  2439,     0,
       0,     0,     0,     0,     0,     0,  4016,     0,  5001,     0,
    1974,     0,  1975,     0,     0,   716,   716,     0,  1965,     0,
     715,     0,  1976,     0,  1966,     0,  5910,     0,   715,     0,
       0,  1977,     0,     0,     0,     0,     0,     0,     0,     0,
     715,  5910,  1978,     0,     0,     0,   387,   716,     0,     0,
     387,     0,     0,     0,     0,     0,  4204,     0,     0,     0,
       0,     0,     0,     0,     0,  1967,     0,     0,     0,     0,
       0,   716,  4270,   387,     0,     0,     0,     0,     0,   716,
       0,     0,  1980,  1981,     0,   716,     0,     0,     0,   716,
       0,     0,     0,     0,  2440,     0,     0,  2441,  2442,  2443,
    4284,  2444,  2445,  2446,  2447,  2448,  2449,     0,     0,   716,
    1982,  5304,     0,  3958,   716,  2784,   715,   715,   716,  1969,
       0,   387,     0,     0,     0,     0,  1970,     0,   715,  1971,
       0,   716,     0,     0,     0,     0,     0,     0,     0,   715,
     715,     0,     0,     0,   716,     0,     0,     0,     0,     0,
       0,     0,  1965,   716,  1972,     0,     0,     0,  1966,     0,
       0,     0,  1073,     0,  1073,   715,     0,     0,     0,  4282,
       0,  2052,  2421,     0,  1983,  2422,     0,  1071,     0,  2423,
    2424,  2425,     0,     0,     0,     0,  1973,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2426,     0,     0,  1967,
    3498,     0,     0,     0,  2428,     0,     0,   387,     0,     0,
       0,  2429,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3316,   714,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4423,     0,  2430,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1974,     0,  1975,     0,   864,
    5474,  2053,     0,  1969,     0,  4016,     0,  1976,     0,     0,
    1970,     0,     0,  1971,     0,     0,  1977,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1978,     0,     0,
       0,     0,     0,     0,   716,     0,     0,     0,  1972,     0,
       0,  2416,     0,     0,   864,   386,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2785,     0,     0,  1980,  1981,     0,
    1973,     0,     0,     0,     0,     0,     0,  4479,     0,     0,
       0,  1073,     0,     0,     0,     0,     0,   716,     0,     0,
    2873,     0,  1116,     0,  2431,  2786,     0,     0,  4488,  2432,
    1116,     0,  1116,     0,     0,     0,     0,     0,  4453,     0,
       0,     0,     0,     0,     0,   864,     0,     0,     0,     0,
    2433,  2434,     0,  4511,     0,     0,     0,     0,     0,  1974,
       0,  1975,     0,  4467,     0,  2435,   716,     0,     0,   386,
       0,  1976,  3195,     0,     0,     0,     0,     0,     0,     0,
    1977,  5252,     0,     0,   716,     0,     0,  2357,     0,  1983,
       0,  1978,   716,     0,     0,     0,     0,     0,  2436,     0,
       0,     0,  1276,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2437,     0,     0,  2438,     0,  1071,  1071,     0,
       0,     0,     0,     0,   386,     0,   386,     0,  3612,     0,
    1071,  1980,  1981,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   715,     0,     0,  4016,
       0,     0,     0,  4016,     0,     0,     0,     0,  5646,  3613,
       0,     0,     0,     0,  1965,     0,     0,     0,   715,     0,
    1966,   387,     0,     0,     0,  5662,     0,   387,     0,     0,
    5664,     0,  5666,     0,     0,     0,   715,     0,     0,     0,
       0,   386,   715,     0,     0,     0,   715,     0,  2439,     0,
       0,     0,     0,     0,   715,     0,     0,     0,     0,     0,
       0,  1967,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   715,  1983,     0,  5636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1969,   715,     0,   716,     0,
       0,     0,  1970,     0,     0,  1971,     0,     0,  1117,     0,
       0,     0,     0,     0,   715,   715,     0,     0,     0,     0,
       0,     0,     0,     0,  2440,     0,     0,  2441,  2442,  2443,
    1972,  2444,  2445,  2446,  2447,  2448,  2449,     0,     0,     0,
       0,  3221,     0,     0,     0,   386,   715,     0,     0,   386,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1973,     0,  4683,     0,     0,     0,     0,     0,
     715,     0,   386,     0,     0,     0,     0,     0,   715,     0,
       0,     0,     0,     0,   715,     0,     0,     0,   715,     0,
       0,     0,     0,  3195,     0,     0,     0,     0,     0,     0,
       0,     0,   716,   716,     0,     0,     0,     0,   715,     0,
       0,     0,     0,   715,     0,     0,     0,   715,  3195,     0,
     386,  1974,     0,  1975,  3801,     0,     0,     0,     0,   716,
     715,  3806,   716,  1976,     0,     0,  5164,     0,     0,     0,
       0,     0,  1977,   715,     0,     0,     0,     0,  3821,     0,
       0,     0,   715,  1978,     0,     0,     0,     0,  3827,     0,
       0,     0,  3828,     0,     0,  3830,     0,     0,     0,     0,
       0,  3834,     0,  3835,     0,  4780,  3837,     0,  4783,     0,
       0,     0,     0,     0,     0,     0,     0,  1071,     0,  1071,
    2081,     0,  4849,  1980,  1981,     0,     0,     0,     0,     0,
       0,     0,  2421,     0,     0,  2422,   386,     0,     0,  2423,
    2424,  2425,     0,   387,   387,   387,     0,     0,     0,     0,
       0,  2082,     0,     0,     0,     0,  2426,     0,     0,     0,
       0,     0,     0,     0,  2428,     0,     0,   716,     0,     0,
       0,  2429,     0,     0,     0,     0,  3876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,     0,     0,
    2421,     0,     0,  2422,     0,  2430,     0,  2423,  2424,  2425,
       0,   716,     0,     0,     0,  4860,     0,     0,     0,     0,
       0,     0,     0,   715,  2426,  1983,     0,     0,     0,     0,
       0,     0,  2428,     0,  2873,     0,     0,     0,     0,  2429,
    4016,     0,     0,     0,     0,     0,     0,  4016,     0,     0,
       0,     0,  4016,     0,     0,  4016,  5282,     0,     0,     0,
       0,     0,     0,  2430,     0,     0,     0,     0,     0,     0,
       0,     0,  3195,     0,     0,     0,   715,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4016,     0,     0,
     716,     0,     0,     0,     0,     0,  1071,     0,     0,     0,
       0,  4016,     0,     0,     0,  5907,     0,     0,     0,     0,
       0,     0,     0,  3853,  2431,     0,  1965,     0,     0,  2432,
       0,  2357,  1966,     0,     0,   715,     0,     0,   387,  2016,
       0,     0,     0,     0,     0,   716,     0,   716,     0,     0,
    2433,  2434,     0,   715,     0,     0,     0,     0,  2017,  1275,
     716,   715,   716,     0,  5907,  2435,     0,     0,     0,     0,
       0,   864,     0,  1967,     0,     0,     0,     0,     0,  5907,
       0,     0,  2431,     0,   387,     0,     0,  2432,     0,   714,
       0,     0,     0,     0,     0,     0,     0,   714,  2436,     0,
       0,  1275,     0,     0,     0,     0,     0,  2018,  2433,  2434,
     714,     0,  2437,     0,     0,  2438,     0,     0,     0,     0,
       0,     0,     0,  2435,     0,   716,     0,  1969,     0,     0,
       0,     0,     0,     0,  1970,     0,     0,  1971,     0,   714,
     386,     0,     0,     0,     0,   714,   386,     0,     0,     0,
       0,     0,     0,  3195,     0,     0,  2436,     0,   714,     0,
       0,     0,  1972,     0,  5074,     0,     0,  4016,     0,     0,
    2437,   716,     0,  2438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,     0,     0,     0,   716,
    4123,  2019,     0,     0,  1973,     0,     0,     0,  2439,     0,
     714,     0,  5095,     0,     0,     0,     0,   714,     0,     0,
       0,   716,     0,     0,   716,     0,     0,     0,     0,     0,
     714,     0,     0,  5110,     0,     0,     0,     0,     0,     0,
       0,  4016,     0,     0,     0,     0,   714,   715,     0,  2020,
       0,     0,  2021,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2022,     0,  1975,  2439,     0,     0,     0,
       0,     0,     0,     0,     0,  1976,     0,  5848,     0,     0,
    4182,     0,  4184,     0,  1977,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2023,  1978,     0,     0,  5136,     0,
       0,     0,   387,     0,  2440,  5105,     0,  2441,  2442,  2443,
       0,  2444,  2445,  2446,  2447,  2448,  2449,  5115,     0,     0,
       0,  4312,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3589,     0,     0,  1980,  1981,  2025,     0,     0,
       0,     0,     0,  1116,     0,   714,     0,  1116,     0,     0,
       0,   715,   715,     0,     0,     0,     0,  2026,     0,  3195,
       0,  5592,  2440,  3590,  3195,  2441,  2442,  2443,     0,  2444,
    2445,  2446,  2447,  2448,  2449,     0,     0,  2028,   715,  4480,
       0,   715,     0,  4016,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5223,     0,
       0,  4269,     0,     0,     0,     0,     0,  4276,     0,     0,
       0,     0,  1264,  1266,     0,     0,  1269,  1983,  2421,     0,
       0,  2422,     0,   714,   714,  2423,  2424,  2425,     0,     0,
       0,     0,  4016,     0,  1316,     0,     0,     0,     0,     0,
       0,  1326,  2426,     0,     0,     0,     0,     0,     0,  2357,
    2428,     0,   386,   386,   386,     0,     0,  2429,     0,     0,
       0,     0,  1392,  4016,     0,     0,  1395,     0,     0,     0,
    2421,     0,     0,  2422,     0,     0,   715,  2423,  2424,  2425,
    1419,  2430,     0,     0,     0,   716,     0,  1424,     0,     0,
       0,     0,  1965,     0,  2426,     0,   715,     0,  1966,     0,
       0,     0,  2428,     0,     0,     0,  3853,     0,     0,  2429,
     715,  1116,  1116,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2430,     0,   387,     0,     0,     0,  1967,
     387,     0,   387,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   387,     0,     0,     0,     0,  4016,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   387,     0,  4437,     0,  4439,     0,  4441,     0,   715,
    2431,     0,     0,  1969,  4445,  2432,   716,     0,     0,   716,
    1970,     0,     0,  1971,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2433,  2434,     0,     0,
       0,     0,  3853,     0,  3853,     0,     0,   386,  1972,     0,
       0,  2435,     0,     0,   715,  4466,   715,     0,  1275,     0,
       0,     0,  2431,     0,     0,     0,     0,  2432,     0,   715,
       0,   715,     0,     0,     0,     0,     0,     0,     0,     0,
    1973,     0,     0,     0,  2436,     0,     0,     0,  2433,  2434,
       0,     0,     0,   386,     0,     0,     0,     0,  2437,     0,
       0,  2438,     0,  2435,     0,     0,   716,   716,  5818,     0,
       0,     0,     0,     0,     0,     0,   716,     0,     0,     0,
       0,     0,  4016,     0,     0,     0,     0,     0,  1275,  1275,
       0,     0,   714,     0,   715,   716,  2436,     0,     0,  1974,
       0,  1975,     0,     0,     0,     0,   714,     0,     0,     0,
    2437,  1976,     0,  2438,     0,     0,     0,  2357,     0,     0,
    1977,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1965,  1978,     0,     0,   714,     0,  1966,     0,     0,     0,
     715,     0,     0,     0,  2439,     0,     0,     0,     0,   387,
       0,     0,     0,     0,     0,  4016,     0,  4270,   715,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2710,     0,
     714,  1980,  1981,     0,   716,     0,     0,  1967,     0,     0,
     715,     0,     0,   715,     0,     0,   714,     0,     0,     0,
       0,     0,     0,     0,  1991,  1992,  2439,     0,     0,  2711,
       0,   714,     0,     0,   714,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2357,     0,     0,     0,     0,  2357,
    2357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1969,     0,     0,     0,     0,     0,     0,  1970,     0,
    2440,  1971,     0,  2441,  2442,  2443,     0,  2444,  2445,  2446,
    2447,  2448,  2449,     0,  5934,     0,     0,  4531,     0,     0,
       0,   386,     0,  1983,     0,     0,  1972,     0,     0,     0,
       0,     0,  1275,  1275,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2116,     0,     0,     0,     0,     0,     0,
       0,     0,  2440,     0,     0,  2441,  2442,  2443,  1973,  2444,
    2445,  2446,  2447,  2448,  2449,     0,     0,  2421,     0,  4620,
    2422,  2141,  2142,     0,  2423,  2424,  2425,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5630,     0,     0,
       0,  2426,   714,     0,     0,     0,     0,  2183,     0,  2428,
     714,   714,     0,     0,     0,     0,  2429,  2421,     0,     0,
    2422,   864,     0,     0,  2423,  2424,  2425,  1974,     0,  1975,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1976,
    2430,  2426,     0,     0,     0,     0,     0,     0,  1977,  2428,
       0,     0,     0,     0,     0,     0,  2429,     0,     0,  1978,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   864,     0,     0,     0,     0,     0,   716,
    2430,     0,     0,     0,   387,     0,     0,     0,     0,  2253,
    2255,     0,     0,     0,   714,     0,  3493,     0,     0,  1980,
    1981,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1965,     0,     0,   716,     0,     0,  1966,
       0,     0,     0,     0,   715,     0,     0,  1982,   716,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2421,     0,
       0,  2422,   864,     0,     0,  2423,  2424,  2425,     0,  2431,
       0,  1965,  1116,     0,  2432,   716,     0,  1966,     0,     0,
    1967,     0,  2426,     0,     0,     0,     0,     0,  1497,     0,
    2428,     0,     0,     0,   386,  2433,  2434,  2429,     0,   386,
       0,   386,     0,     0,     0,     0,     0,     0,     0,  2431,
    2435,  1983,  1497,  1116,  2432,     0,     0,     0,  1967,     0,
    5775,  2430,     0,   386,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1969,  2433,  2434,     0,     0,     0,
     386,  1970,     0,  2436,  1971,     0,     0,     0,     0,     0,
    2435,     0,     0,     0,     0,   715,     0,  2437,   715,     0,
    2438,     0,     0,     0,     0,     0,     0,   716,     0,  1972,
       0,     0,  1969,  4925,     0,     0,     0,  4927,     0,  1970,
       0,     0,  1971,  2436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2437,     0,     0,
    2438,  1973,     0,     0,     0,     0,     0,  1972,     0,     0,
       0,     0,  3853,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2431,     0,     0,     0,     0,  2432,     0,     0,   714,  1973,
    1116,     0,     0,  2439,     0,   715,   715,   716,     0,     0,
       0,     0,     0,     0,     0,   715,  2433,  2434,     0,     0,
    1974,     0,  1975,     0,     0,     0,     0,     0,     0,     0,
       0,  2435,  1976,     0,   715,     0,     0,     0,     0,     0,
       0,  1977,     0,  2439,     0,     0,     0,     0,     0,     0,
       0,   864,  1978,     0,     0,     0,     0,     0,  1974,     0,
    1975,     0,     0,     0,  2436,     0,     0,     0,     0,     0,
    1976,     0,     0,     0,     0,   714,     0,     0,  2437,  1977,
       0,  2438,     0,   714,     0,     0,     0,     0,   386,  3656,
    1978,     0,  1980,  1981,     0,   714,     0,     0,     0,  2440,
       0,     0,  2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,
    2448,  2449,     0,   715,     0,     0,  4654,     0,     0,     0,
    3657,     0,     0,   716,     0,   716,     0,  4151,     0,     0,
    1980,  1981,     0,     0,     0,     0,     0,     0,     0,  2440,
       0,     0,  2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,
    2448,  2449,     0,     0,     0,     0,  4950,     0,  4152,     0,
       0,     0,  5073,     0,  2439,     0,     0,  2421,   716,     0,
    2422,   714,   714,     0,  2423,  2424,  2425,  1276,     0,     0,
       0,     0,     0,   714,  1983,     0,     0,     0,     0,     0,
       0,  2426,     0,     0,   714,   714,     0,     0,  1497,  2428,
       0,     0,     0,  5096,  5097,     0,  2429,     0,     0,     0,
       0,     0,     0,   387,     0,     0,     0,     0,     0,  1276,
     714,  1497,  1983,     0,     0,     0,     0,     0,     0,     0,
    2430,  2766,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2440,     0,     0,  2441,  2442,  2443,     0,  2444,  2445,  2446,
    2447,  2448,  2449,     0,     0,     0,     0,  4985,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5137,
    5138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2856,  2857,  2858,
    2859,     0,     0,     0,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1965,     0,     0,  2431,
       0,     0,  1966,     0,  2432,     0,     0,     0,   715,     0,
     864,     0,     0,   386,     0,     0,     0,     0,     0,     0,
       0,  2896,  2897,     0,     0,  2433,  2434,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2435,     0,  2921,  1967,     0,   715,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   715,     0,     0,
       0,     0,     0,     0,   387,  5233,     0,     0,     0,     0,
       0,     0,     0,  2436,  5235,  5236,     0,  2966,  2967,  2968,
    2969,     0,     0,     0,   715,     0,  2421,  2437,  5240,  2422,
    2438,     0,     0,  2423,  2424,  2425,     0,  1969,     0,     0,
     716,     0,     0,     0,  1970,     0,     0,  1971,     0,     0,
    2426,     0,     0,     0,     0,     0,     0,  1497,  2428,     0,
       0,     0,     0,     0,     0,  2429,     0,     0,     0,     0,
       0,     0,  1972,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2421,     0,     0,  2422,  2430,
       0,     0,  2423,  2424,  2425,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1973,     0,     0,     0,     0,  2426,
       0,     0,     0,  2439,     0,     0,   715,  2428,     0,     0,
       0,   714,     0,     0,  2429,     0,     0,     0,     0,     0,
       0,     0,  3061,     0,     0,     0,     0,     0,  3065,     0,
       0,     0,     0,   714,     0,     0,     0,     0,  2430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,  1974,     0,  1975,   864,   714,     0,     0,
       0,   714,     0,     0,     0,  1976,     0,     0,     0,   714,
       0,     0,     0,     0,  1977,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1978,   715,   714,  2431,     0,
       0,     0,     0,  2432,     0,     0,     0,     0,  2493,  2440,
       0,     0,  2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,
    2448,  2449,     0,     0,  2433,  2434,  5243,     0,   387,     0,
     716,     0,  4206,     0,     0,  1980,  1981,  2421,     0,  2435,
    2422,   714,     0,     0,  2423,  2424,  2425,     0,     0,     0,
       0,     0,     0,  1116,     0,     0,     0,  2431,     0,   714,
     714,  2426,  2432,  4207,     0,     0,     0,     0,     0,  2428,
       0,     0,  2436,     0,     0,     0,  2429,     0,     0,     0,
       0,     0,     0,  2433,  2434,  3235,  2437,     0,     0,  2438,
     864,   714,     0,     0,   864,     0,     0,     0,  2435,     0,
    2430,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   715,     0,   715,   714,     0,   864,     0,     0,
       0,     0,     0,   714,     0,   387,     0,  1983,     0,   714,
       0,  2436,  5469,   714,     0,     0,     0,     0,  1497,     0,
       0,     0,     0,   716,     0,  2437,     0,     0,  2438,     0,
       0,     0,     0,   714,     0,     0,  1276,   715,   714,     0,
       0,     0,   714,     0,     0,   864,     0,     0,     0,     0,
       0,     0,  2439,     0,     0,   714,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,     0,
       0,     0,   386,     0,  1497,     0,     0,     0,  5517,  2431,
       0,     0,     0,     0,  2432,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1276,  1276,     0,     0,
       0,  2439,     0,     0,     0,  2433,  2434,     0,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2435,   864,     0,     0,     0,     0,     0,     0,  5557,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,  2440,   716,
       0,  2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,
    2449,     0,     0,  2436,     0,  5254,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2437,     0,     0,
    2438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2440,   714,     0,
    2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,
       0,     0,     0,  1497,  5263,   387,  3448,  3449,     0,     0,
       0,     0,     0,     0,     0,  3460,     0,  3462,  1497,     0,
       0,  3466,     0,     0,     0,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1497,
       0,   714,     0,  2439,     0,     0,     0,     0,     0,     0,
       0,     0,  2421,   386,   387,  2422,     0,     0,     0,  2423,
    2424,  2425,     0,     0,     0,     0,     0,     0,     0,   387,
    1276,  1276,     0,     0,     0,     0,  2426,     0,     0,     0,
       0,     0,     0,     0,  2428,     0,     0,     0,     0,   715,
     714,  2429,     0,     0,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
       0,     0,     0,     0,  1497,  2430,   714,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3594,  1497,  2440,
    3597,     0,  2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,
    2448,  2449,     0,     0,     0,     0,  5266,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,  1497,     0,     0,     0,     0,
       0,     0,     0,   760,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   864,     0,     0,     0,     0,
       0,   864,     0,     0,     0,     0,  3671,     0,     0,     0,
       0,     0,     0,     0,  3678,  3679,     0,     0,     0,     0,
     760,  3681,     0,     0,  2431,     0,     0,     0,     0,  2432,
       0,     0,     0,     0,     0,  3697,     0,     0,     0,     0,
       0,   760,     0,     0,     0,     0,     0,     0,     0,     0,
    2433,  2434,     0,     0,     0,     0,     0,     0,     0,  1082,
       0,     0,     0,     0,     0,  2435,     0,     0,     0,     0,
       0,     0,     0,     0,  1084,     0,  3743,   386,     0,   715,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,     0,     0,     0,  1106,  2436,  1082,
       0,     0,     0,  1129,  3766,     0,     0,     0,     0,     0,
       0,     0,  2437,  1161,     0,  2438,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,     0,     0,  1497,     0,
       0,     0,     0,     0,     0,  5861,     0,     0,     0,     0,
       0,     0,     0,     0,  2421,     0,     0,  2422,     0,     0,
       0,  2423,  2424,  2425,     0,     0,     0,     0,  3823,     0,
    3825,     0,     0,     0,     0,     0,     0,     0,  2426,     0,
       0,     0,     0,     0,   386,     0,  2428,     0,     0,     0,
       0,     0,     0,  2429,     0,     0,     0,     0,     0,     0,
       4,     0,   715,     0,     0,     0,   714,   714,  2439,     0,
       0,     0,     0,     0,     0,     0,     0,  2430,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     0,   714,     0,     8,   714,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,    36,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,  3886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2440,     0,     0,  2441,  2442,  2443,
       0,  2444,  2445,  2446,  2447,  2448,  2449,   864,   864,   864,
       0,  5318,     0,     0,     0,     0,  2431,     0,   715,     0,
       0,  2432,     0,    46,     0,     0,     0,     0,     0,     0,
       0,   714,     0,  1497,     0,     0,     0,  1497,  1497,     0,
       0,     0,  2433,  2434,     0,     0,     0,     0,     0,     0,
       0,   714,     0,     0,     0,     0,     0,  2435,     0,     0,
       0,     0,     0,     0,     0,   714,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2436,     0,     0,     0,   386,     0,     0,     0,    47,  1497,
       0,     0,     0,     0,  2437,     0,     0,  2438,     0,     0,
       0,  1497,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,   386,   714,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,   386,     0,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   864,     0,     0,     0,     0,     0,     0,   714,
    2439,   714,     0,     0,     0,     0,     0,     0,    51,     0,
       0,    52,     0,     0,   714,     0,   714,     0,     0,     0,
       0,  2421,     0,     0,  2422,     0,     0,    53,  2423,  2424,
    2425,     0,     0,     0,     0,     0,     0,     0,   864,     0,
       0,     0,     0,     0,     0,  2426,     0,     0,     0,     0,
       0,     0,     0,  2428,     0,     0,     0,     0,     0,     0,
    2429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   760,     0,     0,  4132,   714,
    4133,  4134,  4135,     0,  2430,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2440,     0,     0,  2441,
    2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,     0,
       0,    54,     0,  5352,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,   714,     0,     0,     0,  2421,     0,     0,
    2422,     0,     0,     0,  2423,  2424,  2425,     0,    55,     0,
       0,     0,     0,     0,     0,   714,     0,     0,   714,     0,
       0,  2426,     0,    56,     0,     0,     0,     0,     0,  2428,
       0,     0,     0,     0,     0,     0,  2429,     0,    57,     0,
       0,     0,     0,  2431,     0,     0,     0,     0,  2432,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2430,     0,     0,     0,     0,     0,     0,  1497,    58,  2433,
    2434,     0,     0,     0,     0,     0,    59,     0,    60,    61,
      62,    63,    64,     0,  2435,    65,    66,    67,    68,     0,
      69,    70,    71,    72,    73,     0,   864,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2437,     0,     0,  2438,  1259,  1265,  1265,   760,     0,
    1265,     0,     0,     0,  1277,  4285,  1161,     0,     0,  1304,
       0,     0,     0,     0,     0,     0,  1161,     0,  1265,     0,
       0,  1161,     0,     0,     0,  1265,     0,  1161,     0,  2431,
       0,     0,     0,     0,  2432,  1343,     0,     0,     0,     0,
       0,  1161,     0,  1259,     0,     0,  1265,     0,   760,  1497,
    1265,     0,     0,     0,     0,  2433,  2434,  1304,     0,     0,
       0,     0,  1415,     0,  1265,     0,  1497,     0,     0,     0,
    2435,  1265,     0,     0,     0,     0,     0,  2439,     0,  1497,
       0,     0,     0, -2477,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2436,     0,  1259,     0,     0,     0,     0,
     760,     0,     0,     0,     0,  1277,     0,  2437,     0,  1304,
    2438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2477,     0,     0,     0,     0,     0,  1265,
       0,     0,     0,     0,     0, -2477,     0,     0,     0,   714,
   -2477,     0,     0,     0,     0, -2477,     0,     0,     0,     0,
       0, -2477,     0,     0, -2477,     0,     0, -2477,     0,     0,
       0,  4446,     0,  2440,     0,     0,  2441,  2442,  2443,     0,
    2444,  2445,  2446,  2447,  2448,  2449,     0,     0,     0,     0,
    5392,     0,     0,     0,     0, -2477,     0,  1161,     0,   864,
       0,     0,     0,  2439,   864,     0,   864,     0,     0,     0,
       0,     0,  1161,     0,  1620, -2477,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   864,  2421,
       0,     0,  2422,     0,     0,     0,  2423,  2424,  2425,     0,
       0,     0,  1731,  1731,     0,   864,     0,   760,  1161,     0,
       0,     0,     0,  2426,     0,     0, -2477,     0,     0, -2477,
     714,  2428,     0,   714,     0, -2477,     0,  1161,  2429,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,  1731,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,  2430,     0,     0,     0,     0,     0,     0,  2440,
       0,  1161,  2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,
    2448,  2449,     0,     0,  1497,     0,  5695,  1497, -2477,  1497,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2421,     0,     0,  2422,
     714,   714,     0,  2423,  2424,  2425,     0,     0,     0,     0,
     714,     0,     0,     0,     0,     0,     0,     0,     0,  1087,
    2426,     0,     0,  1497,     0,     0,     0,     0,  2428,   714,
       0,     0,  1161,     0,     0,  2429,     0,     0,     0,     0,
    1497,     0,     0,  1161,     0, -2477,     0,     0,  1265,  1265,
       0,  2431,     0,     0,     0,     0,  2432,     0,     0,  2430,
       0,     0,     0,     0,     0,  1497,     0,     0,     0, -2477,
       0, -2477, -2477,     0,     0,     0,     0,  2433,  2434,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2435,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1259,     0,     0, -2477,   714,     0,
   -2477, -2477,     0, -2477,     0,  1277,     0,     0,     0,  1304,
       0,  4677,  4678,  4679,  4680,  2436,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,  1497,  1265,     0,  2437,
       0,     0,  2438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,  1265,  1265,     0,  2431,     0,
       0,     0,     0,  2432,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,  1161,  1161,
       0,  1265,     0,  1259,  2433,  2434,     0,     0,  2192,     0,
       0,     0,     0,     0,     0,  2421,     0,     0,  2422,  2435,
       0,     0,  2423,  2424,  2425,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,  2439,     0,     0,     0,  2426,
       0,     0,     0,     0,     0, -2491,     0,  2428,     0,     0,
       0,     0,  2436,     0,  2429,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2437,     0,     0,  2438,
       0,     0,     0,     0,     0,     0,     0,     0,  2430,     0,
    1497,  1265,     0,  1265,  1265,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0, -2491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2491,     0,  4819,
       0,     0, -2491,     0,     0,  4822,     0, -2491,     0,     0,
       0,     0,  1731, -2491,     0,     0, -2491,     0,     0, -2491,
       0,  2440,     0,     0,  2441,  2442,  2443,     0,  2444,  2445,
    2446,  2447,  2448,  2449,     0,     0,     0,     0,  5817,     0,
       0,     0,  2439,   714,     0,  1497,     0, -2491,   864,     0,
    2331,  2331,     0,     0,     0,  1161,     0,  1082,     0,     0,
       0,     0,     0,  1497,     0,     0,     0, -2491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2431,  1497,     0,
     714,     0,  2432,  2365,     0,     0,  1161,     0,     0,  2371,
       0,     0,   714,     0,     0,     0,     0,     0,     0,     0,
       0,  1731,     0,  2433,  2434,     0,     0,     0, -2491,     0,
       0, -2491,     0,     0,     0,     0,     0, -2491,  2435,   714,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1731,     0,     0,     0,     0,     0,     0,     0,  2440,     0,
       0,  2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,
    2449,  2436,     0,     0,     0,  5880,     0,     0,  1731,  1731,
    1731,     0,  1731,     0,     0,  2437,     0,     0,  2438,     0,
   -2491,     0,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1731,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
    2421,     0,     0,  2422,   760,   760,     0,  2423,  2424,  2425,
       0,   714,     0,     0,     0,     0,     0,     0,  1497,     0,
       0,  1087,     0,     0,  2426,     0,     0,     0,     0,     0,
       0,     0,  2428,  1161,     0,     0,  1731,     0,     0,  2429,
       0,     0,     0,     0,     0,     0,     0, -2491,     0,     0,
       0,  2439,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2430,  1731,     0,     0,     0,  1731,  1731,
       0, -2491,     0, -2491, -2491,     0,     0,     0,     0,  1161,
    1161,  2568,     0,  1731,     0,     0,     0,     0,     0,     0,
       0,   714,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   760, -2491,
       0,     0, -2491, -2491,     0, -2491,     0,     0,     0,     0,
       0,  2421,     0,     0,  2422,     0,     0,     0,  2423,  2424,
    2425,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2426,     0,  2440,     0,     0,
    2441,  2442,  2443,  2428,  2444,  2445,  2446,  2447,  2448,  2449,
    2429,     0,     0,     0,  5900,     0,     0,     0,     0,     0,
       0,     0,  2431,     0,     0,     0,     0,  2432,     0,  1497,
       0,     0,     0,     0,  2430,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2433,  2434,
       0,     0,     0,     0,  2719,     0,     0,   714,     0,   714,
       0,     0,     0,  2435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,  2745,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,  1265,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2436,     0,     0,     0,
       0,     0,   714,     0,     0,     0,  1304,     0,  1161,     0,
    2437,     0,  5129,  2438,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,  1161,     0,     0,  5133,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2431,     0,     0,     0,   864,  2432,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,  2433,
    2434,  1265,  1265,  1265,  1265,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,  2435,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,  2439,     0,     0,     0,
       0,  2887,     0,  1161,     0,     0,  5439,     0,     0,     0,
       0,  5195,     0,     0,     0,  1265,  1265,  2436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2437,     0,     0,  2438,     0,  1265,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1265,  1265,  1265,  1265,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,  1161,  2440,     0,  2887,  2441,  2442,  2443,     0,  2444,
    2445,  2446,  2447,  2448,  2449,     0,     0,     0,     0,  5933,
    1259,     0,     0,  1259,     0,     0,     0,  2439,   760,     0,
       0,     0,     0,  1731,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   864,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1277,  1277,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1304,  1304,     0,     0,     0,
       0,     0,     0,     0,   714,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1265,  1265,     0,     0,     0,
       0,     0,  1265,     0,     0,     0,     0,  5323,  5324,  5324,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2440,     0,     0,  2441,  2442,  2443,     0,
    2444,  2445,  2446,  2447,  2448,  2449,     0,     0,  3312,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,     0,
       0,     0,     0,     0,  1265,     0,  1277,     0,     0,     0,
    1161,  1161,     0,  1265,     0,     0,  1497,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
    1161,     0,     0,     0,     0,  1082,  1082,     0,     0,  3136,
       0,     0,     0,  1731,  1731,     0,     0,     0,     0,  1731,
    1731,     0,     0,     0,     0,     0,  1731,  1731,  1731,     0,
       0,     0,  1731,  1304,  1731,  1731,  1731,  1731,  1731,  1731,
       0,  1731,     0,  1731,  1731,     0,     0,  1731,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1731,  1731,  1731,  1731,     0,     0,     0,  1265,
    1731,     0,     0,     0,  1731,     0,     0,  1731,     0,  5450,
    1731,  1731,  1731,  1731,  1731,  1731,  1731,  1731,  1731,     0,
    1731,     0,   864,     0,   714,     0,     0,  1161,  1731,     0,
       0,  1731,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,  1161,     0,  1731,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1497,   864,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,  3354,   714,  3359,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5553,     0,
    5555,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2421,     0,     0,
    2422,     0,     0,  1497,  2423,  2424,  2425,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2426,     0,     0,     0,  3326,     0,     0,     0,  2428,
       0,     0,     0,     0,     0,     0,  2429,     0,   760,     0,
       0,     0,     0,     0,     0,     0,     0,  1082,     0,  1082,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2430,     0,     0,     0,     0,     0,  1731,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1259,     0,
    1265,  1265,     0,   714,     0,  1277,     0,  1304,     0,  1265,
       0,  1265,     0,     0,     0,  1265,     0,     0,  1161,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3327,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,  2421,
       0,     0,  2422,     0,     0,     0,  2423,  2424,  2425,  2745,
       0,     0,     0,  5324,     0,     0,     0,  3500,     0,     0,
       0,     0,     0,  2426,  3511,     0,     0,     0,     0,     0,
       0,  2428,     0,  1161,     0,     0,     0,     0,  2429,   864,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,  2431,
       0,     0,  1161,     0,  2432,     0,     0,  3556,  3556,     0,
       0,     0,  2430,     0,     0,     0,     0,  1161,  1161,     0,
       0,  1161,     0,   760,     0,  2433,  2434,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   864,     0,
    2435,  1265,     0,     0,  1265,  5730,     0,     0,     0,     0,
       0,     0,     0,   864,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,  1161,     0,     0,     0,
       0,     0,     0,  2436,     0,     0,     0,     0,     0,     0,
    3641,     0,  3644,  3646,     0,     0,     0,  2437,     0,     0,
    2438,     0,     0,     0,     0,     0,     0,     0,  3937,     0,
       0,     0,     0,  3938,     0,     0,     0,     0,     0,     0,
    1265,     0,     0,     0,     0,     0,     0,     0,  1265,  1265,
       0,  2431,     0,     0,     0,  1265,  2432,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,  1731,     0,  1265,
       0,     0,     0,     0,     0,     0,  5798,  2433,  2434,     0,
       0,     0,     0,  2745,     0,     0,  3556,     0,  1161,     0,
       0,  1161,  2435,     0,     0,  3737,     0,     0,  1082,     0,
       0,     0,     0,  2439,     0,     0,     0,     0,     0,     0,
    1265,  1731,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2436,     0,     0,  3641,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1265,  2437,
    3769,     0,  2438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2192,     0,     0,     0,  3328,
       0,     0,     0,     0,     0,     0,  1731,     0,  5866,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3816,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
    1265,     0,  1265,  3556,  1265,  3556,     0,     0,     0,  2440,
    5324,  5324,  2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,
    2448,  2449,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2331,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,  2421,     0,     0,  2422,     0,
       0,     0,  2423,  2424,  2425,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,  2426,
       0,     0,     0,     0,     0,     0,  1259,  2428,  5324,     0,
       0,     0,  1277,     0,  2429,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1265,     0,     0,     0,  1497,
       0,     0,  1731,     0,  1497,  1497,     0,  1731,  2430,     0,
       0,  2440,     0,     0,  2441,  2442,  2443,     0,  2444,  2445,
    2446,  2447,  2448,  2449,     0,     0,     0,     0,     0,     0,
    1731,  1731,  1731,     0,     0,  1731,     0,     0,     0,     0,
       0,     0,     0,  1731,  1731,  1731,  1731,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1731,     0,     0,  1731,
       0,  1731,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1731,  1731,     0,     0,  1731,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1304,     0,
    1731,     0,  1731,  5845,  1731,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,  1731,     0,     0,  2431,  1161,     0,
       0,     0,  2432,     0,     0,  4017,     0,  1731,  1731,  1731,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2433,  2434,     0,     0,     0,     0,     0,
       0,     0,  1731,     0,     0,     0,     0,     0,  2435,     0,
       0,     0,     0,     0,  1731,     0,     0,     0,     0,  1731,
       0,     0,     0,     0,     0,  1731,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4017,     0,     0,     0,  4079,
       0,  2436,  4082,     0,  3359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2437,     0,     0,  2438,     0,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,  5846,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,     0,   115,   116,   117,     0,     0,
       0,     0,     0,   120,   121,     0,     0,     0,  1731,   122,
    3556,     0,     0,     0,     0,  2331,     0,     0,   123,     0,
     124,     0,   125,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,  2439,  1265,     0,  1265,  1265,  1265,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,  2440,   154,   155,
    2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   161,     0,     0,
       0,     0,     0,     0,     0,   163,     0,     0,     0,   165,
       0,     0,     0,     0,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,  1265,
       0,     0,     0,     0,  3556,  3556,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,  1161,  1161,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
    2331,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
    2331,  1161,  1161,     0,     0,     0,  1161,     0,   211,     0,
       0,     0,   213,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,   760,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,  3816,     0,     0,     0,     0,   225,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,  1265,     0,     0,     0,     0,
       0,     0,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,   236,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,     0,     0,     0,
       0,     0,  1731,     0,     0,     0,     0,     0,     0,     0,
       0,  1731,     0,     0,     0,     0,     0,  1731,     0,  1731,
       0,     0,  1731,  3364,     0,     0,     0,  1731,  1731,  1731,
    1731,     0,     0,  1731,  1731,  1731,  1731,  1731,  1731,  1731,
    1731,  1731,  1731,     0,     0,     0,  1731,  1731,     0,     0,
       0,     0,     0,     0,     0,     0,  1731,     0,     0,     0,
    1731,     0,     0,     0,  1731,     0,     0,     0,     0,     0,
       0,     0,  1731,     0,     0,  1731,     0,  1731,     0,     0,
       0,     0,     0,     0,     0,     0,  1731,     0,     0,  1731,
    1731,     0,     0,     0,  1731,  1731,     0,     0,     0,  4555,
       0,  1731,     0,     0,     0,     0,     0,     0,  1161,  1161,
    1161,  1259,     0,     0,  4017,  4577,     0,     0,     0,  4577,
    4591,  4577,     0,     0,     0,     0,     0,  1731,     0,     0,
       0,     0,     0,  1731,  1731,  1731,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1731,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3359,     0,  1731,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4660,  2331,  2331,     0,  2887,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1265,  1265,  1265,  1265,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2745,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4713,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,   872,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4798,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2421,     0,     0,  2422,   872,     0,
       0,  2423,  2424,  2425,    46,     0,     0,     0,     0,     0,
       0,     0,     0,  1265,     0,     0,     0,  1161,     0,  1265,
       0,  1731,     0,     0,     0,     0,  2428,     0,  1161,     0,
       0,     0,     0,  2429,  4838,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2745,     0,  1120,     0,     0,     0,
       0,     0,     0,     0,  1120,     0,  1120,  2430,     0,  1161,
       0,     0,     0,  4017,     0,     0,     0,     0,     0,   872,
       0,     0,     0,  3641,     0,     0,     0,     0,     0,    47,
       0,  4885,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,  2887,    48,     0,     0,
    1731,  1731,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    49,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3816,  3816,  3816,  3816,  3816,     0,     0,  3556,     0,  3556,
       0,     0,    50,     0,     0,     0,     0,     0,     0,  2421,
       0,     0,  2422,     0,     0,     0,  2423,  2424,  2425,     0,
       0,     0,     0,     0,     0,     0,  2431,     0,     0,     0,
       0,  2432,     0,  2426,     0,  1731,     0,     0,     0,    51,
       0,  2428,    52,     0,     0,     0,  1731,     0,  2429,     0,
       0,     0, -2974, -2974,     0,     0,     0,     0,    53,     0,
       0,     0,     0,     0,     0,     0,     0,  2435,     0,     0,
       0,     0,  2430,     0,     0,     0,  1731,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1731,  1731,     0,     0,
       0,     0,     0,  1731,  1731,     0,     0,     0,  1731,     0,
   -2974,     0,     0,  1731,     0,     0,  1731,  1731,     0,     0,
       0,  1731,  4989,     0,  2437,     0,     0,  1731,  1161,  1161,
    1161,  1161,     0,     0,     0,  4577,  4591,  4577,     0,  1731,
    4577,     0,     0,  5003,     0,     0,     0,  4017,     0,     0,
       0,  4017,    54,     0,     0,     0,     0,  5018,     0,     0,
       0,     0,     0,     0,  1731,     0,     0,     0,     0,  1731,
       0,     0,     0,     0,     0,  1731,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1304,     0,     0,     0,     0,
       0,  2431,     0,  1731,     0,     0,  2432,  4079,     0,    55,
       0,     0,  3359,     0,     0,     0,     0,     0,     0,     0,
    2439,     0,     0,     0,    56,     0,     0,  2433,  2434,     0,
       0,  1082,     0,     0,  1731,     0,     0,     0,     0,    57,
       0,     0,  2435,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3556,  3556,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,  2745,     0,     0,  2436,     0,    59,     0,    60,
      61,    62,    63,    64,     0,  5094,    65,    66,  1542,  2437,
       0,     0,  2438,    71,  1543,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4523,  2440,     0,     0,  2441,
    2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,     0,
       0,     0,     0,     0,  1731,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2421,     0,  1265,  2422,     0,     0,
       0,  2423,  2424,  2425,     0,     0,     0,     0,     0,     0,
       0,  1265,     0,     0,     0,  2439,     0,     0,  2426,     0,
       0,  3896,     0,     0,     0,     0,  2428,     0,     0,     0,
       0,  4524,     0,  2429,     0,     0,     0,     0,     0,     0,
    1731,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1259,     0,     0,  2430,     0,     0,
    2745,     0,     0,     0,     0,     0,     0,     0,     0,  2331,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1731,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1265,     0,  2745,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2440,     0,     0,  2441,  2442,  2443,     0,  2444,  2445,
    2446,  2447,  2448,  2449,     0,     0,     0,     0,  1161,     0,
       0,  5232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2431,     0,     0,     0,
       0,  2432,     0,  1731,     0,     0,     0,     0,     0,     0,
       0,     0,  1731,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2433,  2434,     0,     0,     0,     0,     0,  1731,
    1731,     0,     0,  1731,     0,  2421,     0,  2435,  2422,     0,
       0,     0,  2423,  2424,  2425,     0,     0,     0,  1259,     0,
       0,  4577,     0,     0,     0,  4017,     0,     0,     0,  2426,
    4017,     0,     0,  4017,  1259,   872,  3641,  2428,  5286,     0,
    2436,  1731,  1731,  1261,  2429,     0,     0,     0,     0,     0,
       0,     0,  1261,     0,  2437,     0,     0,  2438,     0,     0,
       0,     0,     0,     0,     0,  4660,     0,  1731,  2430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4660,
    1304,  1265,  1265,  1265,     0,     0,     0,     0,     0,     0,
       0,  1261,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2421,     0,     0,  2422,     0,
       0,     0,  2423,  2424,  2425,     0,     0,  1277,  1304,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2426,
    2439,     0,  3942,     0,     0,     0,     0,  2428,     0,     0,
       0,     0,     0,  1261,  2429,     0,     0,     0,     0,  1500,
       0,     0,     0,  1261,     0,     0,     0,     0,     0,  1277,
       0,     0,  1161,     0,     0,     0,     0,  2431,  2430,     0,
       0,     0,  2432,  1500,  4838,     0,     0,  1161,     0,     0,
       0,     0,  1161,     0,  3556,     0,     0,     0,     0,     0,
    2745,     0,     0,  2433,  2434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,  2435,  4885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1265,  1161,  4660,  2440,     0,     0,  2441,
    2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,     0,
       0,  2436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1731,  2437,     0,  1731,  2438,  1731,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3910,     0,  2431,     0,  1731,
    1261,  1261,  2432,     0,     0,  1731,     0,  1120,     0,  4017,
       0,  1120,     0,  5286,     0,     0,     0,     0,     0,     0,
    1731,     0,     0,  2433,  2434,     0,     0,     0,     0,  5507,
       0,     0,     0,     0,     0,     0,     0,  1261,  2435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,     0,
       0,  2439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1731,     0,     0,  2437,     0,     0,  2438,     0,
       0,  1265,  1265,  1265,  1265,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1259,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4017,     0,     0,     0,     0,     0,  2440,     0,     0,
    2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,
       0,  2439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1120,  1120,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1731,     0,     0,
    1259,     0,  1261,  1731,     0,     0,     0,  5659,     0,  1500,
       0,     0,     0,  1261,  1731,     0,     0,     0,     0,  1731,
       0,  1731,     0,  1731,     0,     0,     0,     0,     0,     0,
       0,  4660,  1500,     0,     0,     0,     0,  1265,     0,  1304,
       0,     0,     0,     0,     0,     0,     0,  1500,     0,  1731,
       0,     0,     0,     0,     0,     0,     0,  2440,     0,     0,
    2441,  2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2331,  2331,
       0,  1261,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1265,
       0,     0,     0,  2421,     0,  5735,  2422,     0,     0,  1731,
    2423,  2424,  2425,     0,     0,     0,  1500,  5746,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2426,     0,     0,
    3953,     0,     0,     0,     0,  2428,     0,     0,  5232,     0,
       0,     0,  2429,     0,     0,     0,  1731,  1731,     0,     0,
       0,  3641,     0,     0,  1731,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1731,     0,  2430,  5507,     0,     0,
       0,     0,  3359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1277,     0,     0,     0,
    1261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1265,     0,     0,     0,     0,     0,     0,  2331,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2421,     0,     0,  2422,     0,     0,  1259,  2423,  2424,  2425,
       0,  1731,     0,     0,     0,     0,     0,     0,  1500,     0,
    4660,     0,     0,     0,  2426,     0,  1277,  1277,     0,  1731,
       0,     0,  2428,     0,     0,     0,     0,     0,  1731,  2429,
       0,     0,  5659,     0,     0,  2431,     0,     0,     0,  1261,
    2432,     0,     0,     0,     0,  1731,     0,     0,     0,     0,
       0,     0,  1265,  2430,     0,     0,     0,     0,     0,     0,
       0,  2433,  2434,     0,     0,     0,     0,     0,  1261,     0,
       0,     0,     0,     0,     0,     0,  2435,     0,     0,     0,
       0,     0,     0,  5746,  1265,  1265,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1261,  1261,  1261,     0,
    1261,     0,     0,     0,     0,     0,     0,     0,     0,  2436,
    1731,     0,     0,     0,     0,  1731,     0,     0,     0,     0,
    1261,     0,     0,  2437,    85,     0,  2438,     0,     0,     0,
      89,     0,     0,     0,    93,     0,    94,     0,    96,    97,
       0,     0,     0,     0,  3947,     0,     0,     0,     0,   106,
       0,     0,  1731,     0,     0,     0,     0,     0,  1731,     0,
       0,     0,  2431,     0,     0,   118,   119,  2432,     0,     0,
       0,     0,  1265,     0,  1261,   872,     0,     0,     0,  5659,
       0,     0,  1259,     0,     0,     0,     0,     0,  2433,  2434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1277,  1277,  1261,  2435,     0,     0,  1261,  1261,     0,  2439,
       0,     0,     0,     0,     0,   127,     0,     0,     0,     0,
       0,  1261,     0,     0,     0,   128,     0,   129,   130,     0,
       0,     0,     0,     0,     0,     0,  2436,     0,     0,     0,
       0,     0,     0,  1194,     0,     0,     0,     0,     0,     0,
    2437,     0,     0,  2438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,   141,   142,     0,     0,     0,
       0,     0,   145,     0,   146,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   148,     0,   149,     0,  1500,
       0,     0,     0,     0,     0,     0,   872,     0,     0,     0,
       0,     0,   152,     0,   153,  2440,  1120,   156,  2441,  2442,
    2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,     0,     0,
       0,   157,     0,   158,     0,     0,     0,   159,     0,     0,
       0,     0,     0,   160,     0,     0,  2439,     0,     0,     0,
       0,   162,     0,   164,     0,     0,     0,  1120,     0,   166,
       0,     0,   720,     0,     0,  1500,     0,   764,     0,   764,
       0,     0,     0,     0,  2421,   170,     0,  2422,     0,   764,
       0,  2423,  2424,  2425,     0,     0,     0,     0,     0,     0,
       0,   174,     0,     0,     0,     0,     0,     0,  2426,     0,
    1500,     0,     0,     0,   764,     0,  2428,     0,     0,     0,
       0,     0,     0,  2429,   764,     0,     0,     0,     0,     0,
       0,     0,     0,  1500,     0,   764,   764,     0,     0,   764,
     185,   186,     0,     0,     0,   764,   187,  2430,     0,  1074,
       0,     0,  2440,     0,     0,  2441,  2442,  2443,   188,  2444,
    2445,  2446,  2447,  2448,  2449,     0,     0,     0,     0,     0,
     193,  1074,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   764,     0,     0,     0,
       0,     0,     0,     0,  1120,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   203,     0,  1500,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   205,     0,     0,     0,  1500,
       0,   206,   207,     0,   208,     0,     0,     0,  1500,   209,
       0,     0,     0,     0,   210,   872,     0,   212,     0,     0,
    1500,     0,   214,     0,     0,     0,  2431,     0,   215,   216,
       0,  2432,     0,     0,     0,     0,   217,     0,     0,     0,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,  2433,  2434,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,     0,     0,     0,  2435,     0,     0,
       0,     0,     0,     0,     0,  1500,     0,     0,     0,     0,
       0,     0,   230,     0,   231,     0,     0,     0,  1261,     0,
       0,  1261,   233,     0,     0,  1500,     0,     0,   234,     0,
    2436,  1261,     0,   235,     0,     0,     0,  1500,     0,     0,
       0,     0,     0,     0,  2437,     0,   238,  2438,     0,  1500,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1261,  1261,     0,     0,     0,     0,     0,   250,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   251,     0,  1500,  1500,  -149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   764,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2439,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1261,     0,     0,     0,     0,     0,
    4476,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1261,  1261,     0,     0,     0,     0,  1261,  1261,     0,
       0,     0,     0,     0,  1261,  1261,  1261,     0,     0,     0,
    1261,     0,  1261,  1261,  1261,  1261,  1261,  1261,     0,  1261,
       0,  1261,  1261,     0,     0,  1261,  2440,     0,     0,  2441,
    2442,  2443,     0,  2444,  2445,  2446,  2447,  2448,  2449,  1500,
    1261,  1261,  1261,  1261,   872,     0,     0,     0,  1261,     0,
       0,     0,  1261,     0,     0,  1261,     0,     0,  1261,  1261,
    1261,  1261,  1261,  1261,  1261,  1261,  1261,     0,  1261,     0,
       0,     0,     0,     0,     0,     0,  1261,     0,     0,  1261,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1261,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   764,
       0,     0,     0,     0,     0,     0,     0,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,     0,   115,   116,   117,     0,     0,   764,   764,     0,
     120,   121,     0,     0,     0,     0,   122,     0,     0,     0,
       0,     0,     0,     0,     0,   123,     0,   124,     0,   125,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,  1500,     0,     0,     0,  1500,  1500,
       0,     0,     0,     0,     0,   764,     0,     0,     0,     0,
     872,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,  1261,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,  1261,   143,     0,   144,
    1500,     0,     0,  1261,     0,     0,   147,     0,     0,     0,
       0,     0,  1500,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,  1120,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1500,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   161,     0,     0,     0,     0,     0,
       0,     0,   163,     0,   872,     0,   165,     0,   872,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,     0,   171,     0,   172,
       0,   872,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   175,   176,     0,     0,     0,     0,     0,   177,     0,
     178,     0,     0,   179,   180,     0,   181,     0,     0,     0,
       0,     0,     0,     0,     0,   182,   183,     0,   184,   872,
    1443,   764,     0,   764,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   189,   190,   191,     0,     0,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
     764,     0,     0,   764,   764,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,  1261,  1500,     0,   720,     0,
    1074,     0,  1074,     0,   204,   872,     0,     0,   720,     0,
       0,     0,   764,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,   213,
       0,     0,  1074,  1074,     0,     0,     0,     0,     0,  1261,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,  1500,   764,
       0,   764,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,  1261,     0,     0,     0,     0,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3366,     0,  2421,   720,   720,  2422,     0,  1864,     0,  2423,
    2424,  2425,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2426,     0,     0,  4530,
    1500,     0,     0,     0,  2428,     0,     0,     0,     0,     0,
       0,  2429,     0,     0,  1261,     0,     0,  1500,     0,     0,
    1261,     0,     0,     0,     0,     0,   720,     0,     0,     0,
    1500,     0,     0,     0,     0,  2430,     0,     0,     0,     0,
    1261,     0,     0,     0,     0,  1261,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1261,  1261,
    1261,     0,     0,  1261,     0,     0,     0,     0,     0,     0,
       0,  1261,  1261,  1261,  1261,     0,     0,     0,     0,   872,
       0,     0,     0,     0,  1261,   872,     0,  1261,     0,  1261,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2421,
    1261,  1261,  2422,     0,  1261,     0,  2423,  2424,  2425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1261,     0,
    1261,     0,  1261,  2426,     0,     0,     0,     0,     0,     0,
       0,  2428,     0,     0,  2431,     0,     0,     0,  2429,  2432,
       0,     0,  1261,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1261,     0,  1261,  1261,  1261,     0,     0,
    2433,  2434,  2430,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2435,     0,     0,     0,     0,
    1261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1261,     0,     0,     0,     0,  1261,     0,     0,
       0,     0,     0,  1261,     0,     0,     0,     0,  2436,     0,
       0,     0,     0,  1261,     0,     0,     0,     0,     0,     0,
       0,     0,  2437,     0,     0,  2438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1500,     0,     0,  1500,     0,
    1500,     0,     0,     0,     0,  1500,     0,     0,     0,     0,
       0,  2431,     0,     0,     0,     0,  2432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1261,     0,     0,     0,
       0,     0,     0,     0,   720,     0,     0,  2433,  2434,   764,
       0,   764,     0,     0,   764,     0,   764,     0,  2439,   764,
     764,   764,  2435,     0,  1500,  2326,     0,     0,     0,     0,
       0,     0,   764,     0,     0,     0,     0,     0,     0,     0,
       0,  1500,     0,     0,     0,     0,   764,     0,   764,     0,
       0,     0,     0,   764,     0,  2436,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1500,     0,     0,  2437,
       0,     0,  2438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   995,
       0,     0,     0,     0,   996,     0,     0,     0,     0,     0,
       0,   872,   872,   872,     0,     0,   997,     0,     0,     0,
       0,     0,     0,     0,  2440,     0,     0,  2441,  2442,  2443,
       0,  2444,  2445,  2446,  2447,  2448,  2449,     0,   998,     0,
       0,     0,     0,     0,     0,  1500,     0,  1500,     0,     0,
       0,   999,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2439,  1000,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1001,     0,     0,  2467,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   764,   764,
       0,     0,     0,     0,     0,     0,     0,  1002,     0,     0,
       0,     0,     0,     0,     0,   720,     0,     0,  1003,     0,
     720,   720,     0,     0,     0,     0,  1004,     0,  1500,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1005,     0,
       0,     0,     0,  1006,     0,     0,     0,     0,     0,     0,
    1007,     0,     0,     0,     0,     0,  1500,     0,     0,     0,
       0,  2440,     0,     0,  2441,  2442,  2443,  1008,  2444,  2445,
    2446,  2447,  2448,  2449,     0,     0,     0,     0,     0,     0,
       0,  1500,     0,     0,     0,     0,   872,  1500,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   764,     0,   720,     0,     0,     0,     0,     0,
       0,     0,     0,  1009,  2605,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   872,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1010,     0,     0,
       0,     0,     0,     0,     0,     0,  1500,     0,     0,  1011,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1012,
       0,     0,     0,     0,  1500,     0,     0,     0,     0,   902,
       0,     0,  1013,     0,     0,     0,     0,     0,     0,  1500,
       0,   720,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,     0,     0,     0,     0,     0,  1014,     0,
       0,     0,     0,  1015,     0,  1016,     0,     0,     0,     0,
       0,     0,  1017,     0,     0,  1018,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1019,     0,     0,     0,     0,     0,
    1020,     0,     0,     0,     0,  1021,     0,     0,  1022,     0,
       0,     0,  1023,     0,     0,     0,     0,     0,     0,  1024,
     720,  1025,     0,   720,   720,     0,  1026,     0,     0,     0,
    1261,     0,     0,  1500,     0,     0,     0,     0,  1027,  1261,
       0,     0,     0,     0,     0,  1261,     0,  1261,     0,     0,
    1261,  1028,     0,     0,  1500,  1261,  1261,  1261,  1261,     0,
       0,  1261,  1261,  1261,  1261,  1261,  1261,  1261,  1261,  1261,
    1261,     0,     0,     0,  1261,  1261,     0,     0,     0,  1500,
       0,     0,     0,     0,  1261,     0,     0,     0,  1261,     0,
     872,  1118,  1261,     0,     0,     0,     0,     0,     0,  1118,
    1261,  1118,     0,  1261,     0,  1261,     0,   720,     0,     0,
       0,     0,     0,  1500,  1261,     0,     0,  1261,  1261,     0,
       0,     0,  1261,  1261,     0,     0,     0,     0,     0,  1261,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1261,
       0,     0,  1261,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1261,     0,     0,     0,     0,
       0,  1261,  1261,  1261,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1261,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1261,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1500,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1261,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   764,
       0,   764,     0,     0,     0,   764,     0,   764,     0,     0,
     764,     0,     0,     0,   764,     0,     0,     0,     0,  2467,
       0,     0,     0,   872,     0,     0,     0,     0,   872,  1500,
     872,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   872,  1500,     0,     0,     0,     4,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   872,
       0,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     0,
       0,     0,     0,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1261,
       0,  2326,     0,     0,     0,     0,     0,     0,  3299,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2605,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1500,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,  1261,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1500,  1261,  1261,
       0,     0,   720,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,     0,     0,     0,   720,     0,     0,
       0,   720,     0,     0,     0,     0,     0,  3374,     0,  1864,
       0,   886,   764,  1261,     0,    49,     0,     0,     0,     0,
       0,     0,     0,     0,  1261,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1261,     0,     0,     0,   887,   720,
       0,     0,     0,     0,  1261,  1261,     0,  1500,     0,     0,
       0,  1261,  1261,   888,     0,    51,  1261,  1500,    52,     0,
       0,  1261,     0,     0,  1261,  1261,     0,     0,     0,  1261,
       0,   889,     0,     0,    53,  1261,     0,   890,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1261,     0,     0,
       0,     0,     0,     0,   891,  1261,     0,     0,     0,  1261,
       0,     0,     0,     0,     0,   892,     0,     0,     0,     0,
       0,     0,  1261,   893,     0,     0,     0,  1261,     0,     0,
       0,     0,     0,  1261,     0,   894,     0,     0,     0,     0,
     895,     0,     0,     0,     0,     0,     0,   896,     0,     0,
       0,  1261,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,   897,     0,     0,  1257,    54,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1261,     0,     0,     0,     0,     0,     0,   898,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1500,     0,     0,     0,     0,     0,  1257,     0,     0,   720,
     899,     0,     0,     0,     0,    55,     0,   720,     0,     0,
     720,     0,   872,     0,     0,     0,     0,     0,     0,     0,
      56,     0,     0,     0,     0,     0,     0,     0,  1500,     0,
       0,     0,     0,     0,   900,    57,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1500,
       0,     0,     0,     0,     0,     0,   901,     0,  1257,     0,
       0,     0,     0,     0,  1498,    58,   902,     0,  1257,   903,
       0,     0,  1261,    59,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1542,  2284,     0,     0,  1498,    71,
       0,     0,     0,     0,     0,   904,     0,     0,     0,     0,
     905,     0,   906,     0,     0,     0,     0,     0,     0,   907,
       0,     0,   908,     0,  1500,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   909,     0,     0,     0,     0,     0,   910,  1261,     0,
       0,   911,   912,     0,     0,   913,     0,     0,     0,   914,
       0,     0,  1261,     0,     0,     0,     0,     0,   915,     0,
       0,     0,     0,   916,     0,     0,     0,     0,   933,     0,
       0,     0,     0,   934,     0,   917,     0,     0,     0,     0,
       0,  1261,     0,     0,     0,   935,     0,     0,   918,     0,
       0,     0,     0,     0,     0,  1257,  1257,     0,     0,     0,
       0,     0,  1118,     0,     0,     0,  1118,   936,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     937,     0,  1500,     0,  1500,     0,     0,     0,     0,     0,
       0,   938,  1257,     0,     0,  -863,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   939,     0,     0,     0,     0,     0,   940,
       0,     0,     0,     0,     0,     0,     0,     0,   764,  2326,
       0,  1261,     0,     0,     0,  1500,   941,     0,     0,     0,
    1261,     0,     0,     0,   720,     0,     0,   942,     0,     0,
       0,     0,     0,     0,     0,   943,     0,  1261,  1261,     0,
       0,  1261,     0,     0,     0,     0,     0,   944,     0,     0,
       0,     0,     0,     0,     0,   945,  1261,     0,     0,   946,
       0,     0,     0,  1261,     0,     0,     0,     0,  1261,     0,
       0,  1261,  1261,     0,     0,     0, -1090,     0,     0,  1261,
    1261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1261,     0,  1261,     0,     0,     0,     0,
       0,     0,     0,   947,     0,     0,     0,  1261,     0,     0,
    1118,  1118,  -585,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,  1498,  1500,   948,     0,  1257,   949,
       0,     0,     0,     0,     0,  1261,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,   950,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   951,  1498,     0,     0,     0,     0,     0,  -464,     0,
       0,   872,     0,     0,     0,     0,     0,  1261,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   952,     0,     0,
       0,     0,     0,     0,   953,     0,     0,  2605,     0,     0,
       0,  -464,   720,     0,   954,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   955,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,  -464,     0,     0,   957,   958,     0,
     959,   960,     0,  1261,     0,  1500,     0,     0,     0,     0,
     961,  1498,     0,     0,     0,   962,     0,     0,     0,     0,
       0,   963,     0,     0,   964,     0,     0,   965,     0,     0,
       0,     0,  1261,  1500,     0,  1261,  1344,  1261,     0,     0,
    -464,  1345,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1261,     0,     0,
       0,     0,     0,  1261,     0,     0,     0,  1261,     0,     0,
       0,     0,     0,  1500,     0,  1346,     0,     0,  1261,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,  1347,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
       0,     0,     0,  1350,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1351,   872,     0,     0,     0,     0,     0,     0,     0,
    1500,     0,     0,     0,     0,  1500,  1500,     0,     0,     0,
    1261,     0,     0,  1498,  1352,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1353,     0,     0,     0,     0,
       0,     0,     0,  1354,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,  1355,     0,     0,     0,     0,
    1356,     0,     0,     0,     0,     0,     0,  1261,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,  1357,     0,     0,     0,     0,  1261,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1358,
       0,  1257,  1257,  1257,     0,  1257,     0,     0,     0,     0,
       0,     0,  1500,  1500,     0,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1261,     0,     0,  1261,     0,
       0,  1261,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1261,     0,  1360,     0,     0,  1261,     0,  1261,
       0,  1261,     0,     0,     0,     0,     0,     0,     0,  1261,
       0,     0,     0,     0,     0,     0,  1361,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,   902,  1261,     0,  1362,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,  1257,  1257,     0,     0,  1363,   872,   720,     0,     0,
    1364,     0,  1365,   720,     0,     0,  1257,     0,     0,  1366,
       0,     0,  1367,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1368,     0,     0,     0,     0,     0,  1369,     0,     0,
       0,     0,  1370,     0,     0,  1371,     0,  1261,     0,  1372,
       0,     0,     0,     0,     0,  1261,  1373,     0,  1374,     0,
       0,     0,     0,  1375,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1261,  1261,     0,     0,  1376,     0,
       0,  1118,  1261,   872,     0,     0,  1500,     0,     0,     0,
       0,     0,  1261,   764,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1261,     0,     0,     0,     0,     0,
       0,     0,  1118,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1261,  1498,     0,     0,     0,  1261,
       0,     0,     0,     0,     0,   720,     0,     0,  1261,     0,
       0,     0,     0,     0,  1261,  1261,     0,  1261,  1498,     0,
       0,     0,     0,     0,     0,     0,  1261,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1261,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1118,
       0,  1261,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,  1261,     0,
       0,     0,     0,  1261,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   872,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1261,     0,     0,     0,     0,     0,  1261,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1261,     0,   872,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,   872,  1261,  1261,
       0,     0,     0,  1257,     0,     0,  1257,     0,     0,     0,
    1498,     0,     0,     0,     0,  3374,  1257,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,  1257,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     9,    10,
    1498,  1498,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,     0,     0,     0,     0,   720,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,  1257,     0,     0,
       0,     0,  1257,  1257,     0,     0,     0,     0,     0,  1257,
    1257,  1257,     0,     0,     0,  1257,     0,  1257,  1257,  1257,
    1257,  1257,  1257,     0,  1257,     0,  1257,  1257,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,  1257,  1257,  1257,  1257,     0,
       0,     0,     0,  1257,     0,     0,     0,  1257,     0,    47,
    1257,     0,     0,  1257,  1257,  1257,  1257,  1257,  1257,  1257,
    1257,  1257,     0,  1257,     0,     0,     0,    48,     0,     0,
       0,  1257,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    49,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    51,
       0,     0,    52,     0,     0,     0,     0,     0,     4,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    53,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     5,     0,
       0,     0,     0,     0,     0,   720,     0,     0,     6,     7,
       0,     0,     0,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,  1498,
       0,     0,     0,  1498,  1498,     0,     0,     0,     0,     0,
       0,     0,    54,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,    46,     0,     0,     0,     0,     0,     0,     0,    55,
       0,  1257,     0,     0,     0,  1498,     0,     0,  1257,     0,
       0,     0,     0,     0,    56,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    57,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1118,     0,  2605,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,    58,
       0,     0,     0,     0,     0,     0,    47,    59,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,  1542,  3066,
       0,     0,     0,    71,    48,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    50,
       0,     0,     0,     0,   720,     0,     0,     0,   720,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    51,     0,     0,    52,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    53,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    54,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,    55,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,    56,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    57,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    58,     0,     0,     0,
       0,     0,     0,     0,    59,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1542,     0,     0,     0,     0,
      71,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,  1498,     0,     0,  1257,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,   764,     0,     0,  1257,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,  1257,  1257,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,  1257,  1257,  1257,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,   720,  1257,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,  1257,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,  1257,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
    1257,  1257,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,  1498,     0,  1498,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
       0,   720,   720,     0,     0,     0,     0,     0,     0,   981,
       0,  1498,     0,     0,   720,     0,     0,  1488,   981,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   981,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1174,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1174,     0,     0,   720,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1224,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   720,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,  1498,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
    1257,     0,  1257,     0,     0,  1257,     0,     0,     0,  1498,
    1257,  1257,  1257,  1257,     0,     0,  1257,  1257,  1257,  1257,
    1257,  1257,  1257,  1257,  1257,  1257,     0,     0,     0,  1257,
    1257,     0,     0,     0,  1498,     0,     0,     0,     0,  1257,
       0,     0,     0,  1257,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,  1257,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,  1498,  1257,
       0,     0,  1257,  1257,     0,     0,     0,  1257,  1257,     0,
     720,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,  1257,  1257,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     981,   981,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,  1224,     0,
       0,     0,     0,     0,     0,  1488,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,  1271,
       0,     0,     0,     0,  1488,     0,     0,  1306,     0,  1307,
       0,  1311,  1312,  1488,  1315,     0,  1317,     0,     0,  1323,
       0,  1325,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1389,     0,     0,     0,     0,     0,     0,     0,  1398,
       0,     0,     0,     0,     0,     0,  1410,  1411,     0,     0,
    1417,     0,  1420,  1421,     0,     0,     0,  1423,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,  1224,     0,   981,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
    1488,     0,     0,  1457,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,  1488,     0,  1523,     0,  1525,     0,
       0,     0,     0,     0,     0,     0,  1257,  1539,  1541,     0,
       0,     0,     0,     0,     0,     0,     0,   981,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,  1257,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1619,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1224,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1174,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
    1257,     0,  1498,     0,     0,     0,  1257,  1257,     0,     0,
       0,  1257,  1498,     0,  1488,     0,  1257,     0,     0,  1257,
    1257,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,  1882,
    1257,  1884,     0,     0,  1257,  1886,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,  1257,     0,     0,     0,  1928,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2084,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2098,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2109,     0,     0,
    2110,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2113,     0,     0,  1498,     0,  2117,     0,     0,     0,     0,
       0,     0,     0,  2120,     0,     0,     0,     0,     0,  2130,
       0,     0,  2134,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,  1488,  1488,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2187,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2349,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
    1498,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,  1257,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,  1257,     0,     0,  1257,  1257,     0,     0,
       0,     0,     0,     0,  1257,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1488,     0,     0,     0,     0,     0,     0,  1257,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,  1174,  1539,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2601,     0,     0,  2601,     0,     0,     0,     0,     0,     0,
       0,  2608,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,  2617,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,  1257,  1498,     0,
    1257,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
    2708,     0,  1257,     0,     0,  1488,     0,     0,  1257,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2796,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
    1498,  1498,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,  1282,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1314,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1331,     0,     0,     0,     0,     0,     0,     0,
    1341,     0,     0,     0,     0,     0,  1386,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2931,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,  1257,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,  1257,     0,  1257,     0,  1257,     0,     0,     0,
    1488,     0,     0,  1488,  1257,  1488,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1618,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3051,     0,  3052,
       0,     0,     0,  1751,     0,     0,     0,     0,     0,     0,
       0,  1488,  1257,     0,     0,  1539,  3063,     0,  3064,     0,
    1257,     0,  1775,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1800,     0,     0,     0,     0,  1257,
    1257,     0,     0,     0,     0,     0,     0,  1257,  3084,     0,
       0,  1498,     0,     0,     0,     0,     0,  1257,     0,     0,
    1539,     0,     0,     0,  1539,     0,  1539,     0,     0,  1539,
    1488,     0,  1488,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,  1257,     0,     0,     0,  1990,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,  1257,
    1257,     0,  1257,  1488,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3298,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1488,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,  2139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1488,  2177,  2180,  2181,  1257,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,  1257,  1224,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3385,  3386,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3401,  3402,     0,     0,
       0,  3405,  3406,     0,     0,     0,  3409,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3420,     0,     0,     0,     0,     0,     0,  3429,     0,     0,
       0,  3432,  3433,     0,     0,  3436,  3437,     0,  1488,     0,
       0,     0,  3442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3459,     0,  3461,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3485,     0,     0,     0,
    1751,  3487,     0,     0,  1488,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3492,     0,     0,     0,     0,     0,
       0,     0,     0,  3499,     0,  3501,     0,     0,  3504,  3507,
    3509,  1751,     0,     0,     0,  3517,  3520,     0,  1488,     0,
       0,     0,     0,     0,     0,  3533,     0,     0,     0,     0,
    3542,     0,     0,     0,     0,  3546,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3562,
       0,     0,     0,     0,     0,     0,     0,  3573,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3588,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3595,
       0,     0,  3598,     0,     0,     0,     0,  3601,     0,     0,
       0,     0,  3603,  3604,     0,     0,     0,  3607,     0,     0,
    3611,     0,     0,     0,  3618,  3619,  3620,  3621,     0,  3623,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3648,  3649,     0,  3651,     0,     0,     0,     0,
       0,     0,     0,  3659,  3660,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2511,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2566,     0,     0,     0,     0,
       0,     0,     0,  3741,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,     0,  1262,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1224,     0,     0,     0,     0,     0,     0,  2739,     0,
       0,     0,     0,     0,  1539,     0,     0,  2762,     0,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2797,  3871,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,  2809,     0,     0,  2812,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
    2860,     0,     0,     0,  1501,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2876,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2940,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2983,
       0,  1262,  1262,     0,     0,     0,  2996,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1262,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1539,     0,     0,     0,     0,     0,  3072,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4126,     0,     0,
       0,  4128,     0,     0,     0,     0,     0,  4130,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,  4141,  4143,  1751,  1751,     0,  4143,     0,
       0,     0,     0,  4154,  4155,  4156,     0,  4158,     0,     0,
       0,     0,     0,     0,     0,  3126,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,  4179,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4185,  4186,
    4187,  4188,     0,  1262,  1488,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,     0,  4205,     0,     0,  4210,  4211,
    4212,     0,     0,     0,     0,     0,     0,     0,  1501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1488,
       0,     0,  3284,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,  3305,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3318,  1501,  3321,     0,
    4279,     0,     0,     0,     0,     0,     0,     0,  4283,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4292,     0,     0,     0,
       0,     0,     0,     0,  1751,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1262,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4375,     0,     0,     0,     0,
    4380,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1501,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4418,     0,     0,     0,     0,     0,   981,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4442,     0,  4443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1262,
       0,     0,  1539,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1262,  1262,  1262,
       0,  1262,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,  3523,     0,
       0,  1262,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1262,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3616,  3617,     0,  1262,     0,     0,     0,  1262,  1262,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,  3730,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4671,     0,
    4672,     0,     0,     0,     0,  1488,  1501,  4674,     0,     0,
    1488,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4684,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4692,
       0,  1501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4712,     0,     0,
       0,     0,     0,     0,  1501,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4725,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4754,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4762,  4763,  4764,  1488,     0,
       0,     0,  4768,  4769,  4770,  4771,     0,     0,  4773,  4774,
       0,  3870,     0,     0,  4781,  4782,     0,  4784,  4785,  4786,
    4787,  4788,  4789,     0,  4791,  1501,     0,     0,     0,     0,
       0,     0,     0,  4799,     0,     0,  4802,  4803,     0,     0,
    1501,     0,     0,     0,     0,     0,     0,     0,     0,  1501,
       0,     0,     0,     0,     0,  4143,     0,     0,     0,     0,
       0,  1501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1501,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1262,
       0,     0,  1262,     0,     0,     0,  1501,     0,     0,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,  1501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,  3998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1262,  1262,  4143,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1501,  1501,     0,     0,
       0,  1488,     0,     0,  1539,  1539,  1539,     0,     0,     0,
       0,     0,     0,     0,     0,  4935,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1715,  1715,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1262,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1262,  1262,     0,     0,     0,     0,  1262,  1262,
       0,     0,     0,     0,     0,  1262,  1262,  1262,     0,     0,
       0,  1262,     0,  1262,  1262,  1262,  1262,  1262,  1262,     0,
    1262,     0,  1262,  1262,     0,     0,  1262,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1501,  1262,  1262,  1262,  1262,     0,     0,     0,     0,  1262,
       0,     0,     0,  1262,     0,     0,  1262,     0,     0,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,     0,  1262,
       0,     0,     0,     0,     0,     0,     0,  1262,     0,     0,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5077,     0,     0,
       0,  5078,  5079,  5080,  5081,     0,     0,  5083,     0,     0,
    4227,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5101,  5102,
    5103,     0,  5104,     0,  5106,  5107,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5116,  5117,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5122,     0,     0,     0,     0,     0,     0,
       0,  1539,  1539,     0,  1539,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5132,     0,     0,     0,
       0,     0,     0,     0,     0,  1501,     0,     0,     0,  1501,
    1501,     0,     0,     0,     0,     0,     0,  1499,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1499,     0,     0,     0,     0,  4341,  4342,  4343,     0,
       0,     0,     0,     0,     0,  1262,     0,     0,     0,     0,
       0,     0,     0,  4352,     0,     0,     0,  1262,     0,  5183,
       0,  1501,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,     0,     0,  4368,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4378,  4379,  5210,     0,
       0,  4384,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4398,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,     0,     0,     0,     0,     0,     0,
       0,     0,  5237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2378,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1751,     0,     0,
    1539,     0,     0,     0,     0,  2392,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1539,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2410,  2411,  2412,     0,  2415,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2457,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1262,  1501,     0,     0,
       0,     0,     0,     0,     0,     0,  5341,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2512,     0,     0,  5351,     0,     0,     0,     0,  5356,
    5357,     0,     0,  4563,  4564,  4565,     0,     0,     0,     0,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,  2535,
       0,     0,     0,  2547,  2550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1499,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1501,
    5415,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1499,     0,     0,     0,     0,  1262,     0,     0,     0,  5431,
       0,     0,     0,     0,     0,  1499,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4143,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5468,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1539,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1539,     0,     0,     0,  1499,     0,     0,     0,     0,     0,
       0,  1501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1262,  5510,     0,  1501,     0,
       0,  1262,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1501,     0,     0,     0,     0,     0,  5526,     0,     0,
       0,  1262,     0,     0,     0,     0,  1262,     0,  5534,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1262,
    1262,  1262,  1539,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,  1262,  1262,  1262,  1262,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1262,     0,     0,  1262,     0,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5597,  1262,  1262,     0,     0,  1262,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1499,     0,     0,  1262,
       0,  1262,     0,  1262,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4820,  1262,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4833,  1262,     0,  1262,  1262,  1262,  4143,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1262,     0,     0,  4861,     0,     0,     0,  1539,     0,
       0,     0,     0,  1262,     0,     0,     0,     0,  1262,     0,
       0,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1262,     0,     0,  2996,     0,     0,
       0,     0,     0,  5683,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5696,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1501,     0,     0,  1501,
       0,  1501,     0,     0,     0,     0,  1501,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5723,  1262,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
    5733,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1501,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1501,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5791,  4992,  4993,  4994,  4995,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2637,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5813,     0,  1501,  3186,  1501,  3188,
       0,     0,  3200,  3203,  3208,     0,     0,     0,     0,  3214,
       0,     0,  3219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3226,  3227,  3228,
    3229,     0,     0,  2637,     0,  3236,     0,     0,     0,  3248,
       0,     0,  3250,     0,     0,  3257,  3258,  3259,  3260,  3261,
    3262,  3263,  3264,  3265,     0,  3266,     0,     0,     0,     0,
       0,     0,     0,  1715,     0,     0,  3294,     0,  1499,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5873,  1501,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1499,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3322,     0,  1501,     0,     0,     0,     0,     0,  1501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,  1499,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1499,     0,     0,
    1490,  1491,     0,     0,     0,     0,  2637,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1501,  1499,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1501,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1499,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3434,     0,  1499,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1499,     0,     0,     0,     0,
       0,     0,     0,  5225,     0,     0,     0,  1499,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1262,     0,     0,  1501,     0,     0,     0,     0,     0,
    1262,     0,     0,  1499,  1499,     0,  1262,     0,  1262,     0,
       0,  1262,     0,     0,     0,  1501,  1262,  1262,  1262,  1262,
       0,     0,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,     0,     0,     0,  1262,  1262,     0,     0,     0,
    1501,     0,     0,     0,     0,  1262,     0,     0,     0,  1262,
       0,     0,     0,  1262,     0,     0,     0,     0,     0,     0,
       0,  1262,     0,     0,  1262,     0,  1262,     0,     0,     0,
       0,     0,     0,     0,  1501,  1262,     0,     0,  1262,  1262,
       0,     0,     0,  1262,  1262,     0,     0,     0,     0,     0,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1262,     0,     0,  1262,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,  1262,     0,     0,     0,
       0,     0,  1262,  1262,  1262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1499,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1262,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,  3695,     0,     0,  1262,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3297,     0,     0,
    1491,  1501,     0,     0,     0,     0,     0,  5390,     0,     0,
       0,     0,     0,  1262,     0,  1491,     0,     0,     0,     0,
       0,     0,  5402,     0,     0,     0,     0,  1751,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5434,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1501,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3389,     0,     0,     0,  2637,  3395,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5523,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1262,     0,     0,     0,     0,     0,     0,  3892,  1499,     0,
       0,     0,  3898,     0,     0,     0,  1491,     0,     0,     0,
    1499,     0,     0,     0,     0,     0,     0,     0,     0,  1501,
       0,     0,     0,     0,     0,     0,  1490,  2415,     0,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,  3208,     0,
    3208,  3208,     0,     0,     0,     0,     0,     0,     0,     0,
    1499,  3956,     0,     0,  3959,     0,  3961,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,  1501,  1262,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,  3979,     0,  3982,     0,  3984,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3294,  3294,  3294,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1262,     0,     0,  4054,     0,     0,
       0,     0,     0,     0,     0,  1262,     0,     0,     0,  2535,
       0,     0,     0,     0,  4065,  1490,     0,     0,     0,     0,
    2550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,  1262,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,  1262,  1262,     0,  1501,     0,
       0,  1490,  1262,  1262,     0,     0,     0,  1262,  1501,     0,
       0,     0,  1262,     0,     0,  1262,  1262,     0,     0,     0,
    1262,     0,     0,     0,  1499,     0,  1262,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1262,     0,
       0,     0,     0,     0,     0,     0,  1262,     0,     0,     0,
    1262,     0,     0,  4112,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,  1262,     0,     0,     0,     0,  1262,     0,
       0,     0,     0,     0,  1262,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,  1490,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,  2637,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1262,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,  1490,     0,     0,
       0,  1501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1501,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1262,     0,     0,     0,     0,  1499,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1499,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1499,     0,
       0,     0,     0,     0,     0,  1501,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1262,
    1490,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1262,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,     0,  1501,     0,     0,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3297,  3297,  3297,     0,     0,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,  1262,     0,     0,     0,  1501,  1491,     0,     0,
       0,  1262,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1262,  1262,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1491,  1491,     0,     0,  1262,     0,     0,
       0,     0,     0,     0,  1262,     0,     0,     0,     0,  1262,
       0,     0,  1262,  1262,     0,  1493,     0,     0,     0,     0,
    1262,  1262,     0,  2637,     0,  1490,  3395,     0,  3395,  1490,
    1490,     0,     0,  2637,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,  1262,     0,  1262,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4477,  1262,     0,
       0,     0,     0,     0,     0,     0,  4481,     0,     0,     0,
       0,     0,  4482,     0,  4483,     0,     0,     0,     0,     0,
       0,     0,  1499,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,  1501,     0,     0,  1499,
       0,  4507,  4508,  1490,     0,     0,  1262,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3214,
       0,     0,     0,     0,  2637,     0,     0,  4533,     0,     0,
    4536,     0,  4538,     0,     0,     0,     0,     0,     0,     0,
       0,  4542,     0,  1490,     0,     0,     0,  1491,  1262,  4549,
    4550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4597,     0,     0,     0,     0,     0,  4604,  4605,
    3294,     0,     0,  1499,     0,  1499,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,  1262,     0,  1501,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4623,  1494,     0,     0,     0,
       0,     0,     0,  1262,  1501,     0,  1262,     0,  1262,     0,
       0,  4636,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1262,     0,
       0,     0,     0,     0,  1262,     0,  1499,     0,  1262,     0,
       0,     0,     0,     0,  1501,     0,     0,     0,     0,  1262,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3395,
       0,     0,     0,     0,     0,  3395,     0,     0,     0,     0,
       0,  1501,     0,     0,     0,     0,  1501,  1501,     0,     0,
       0,  1262,  1491,     0,     0,     0,  1491,  1491,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1262,  1490,
       0,     0,     0,  1493,  1499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
    1262,     0,  3395,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,  1499,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,  1501,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,  1262,     0,     0,  1262,
       0,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,  1262,     0,     0,     0,     0,  1262,     0,
    1262,     0,  1262,     0,     0,     0,     0,     0,     0,     0,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,  1262,     0,
       0,  1499,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,  1499,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,  4902,  4903,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1499,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,     0,     0,     0,  1262,     0,
       0,  1499,     0,     0,     0,     0,  1262,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,     0,     0,
    4948,     0,     0,     0,  1491,  1262,  1262,     0,     0,     0,
       0,  4953,     0,  1262,     0,     0,     0,  1501,  1496,     0,
       0,  3297,     0,  1262,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1262,     0,     0,     0,  1494,
       0,  4968,  4970,     0,     0,     0,     0,     0,  4974,  4975,
       0,     0,     0,  4976,     0,     0,     0,     0,  4979,     0,
       0,  4982,  4983,     0,     0,     0,  4987,     0,     0,     0,
       0,     0,  4991,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,  1262,     0,     0,  2637,     0,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,  1262,
       0,     0,     0,     0,     0,  1262,  1262,     0,  1262,  3294,
       0,     0,     0,     0,  3294,     0,     0,  1262,     0,     0,
    3294,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1262,     0,  1490,     0,  1715,  1490,
       0,  1490,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5058,
       0,  1494,  1262,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3395,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,  1491,  1262,
       0,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,  3395,  1490,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,  1262,     0,     0,     0,     0,     0,  1262,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5119,
       0,  1262,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1262,
    1262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,  5155,  1499,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1496,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,  2637,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,     0,
    1493,  1496,     0,  1491,     0,     0,  1491,     0,  1491,     0,
       0,     0,     0,  1491,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5260,  5261,  1493,     0,  5262,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1499,     0,  1490,  1494,     0,
       0,     0,  1491,     0,     0,  1499,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,  5298,  5299,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,  1493,     0,  1494,     0,     0,     0,     0,     0,     0,
       0,     0,  5314,     0,  1491,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,  1494,     0,     0,     0,
    3297,     0,     0,  1493,     0,  3297,     0,     0,     0,     0,
       0,  3297,     0,  1496,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,  1493,  1491,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,  1499,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,  1494,     0,     0,  1499,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,  1499,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3214,     0,     0,     0,     0,     0,  1494,  1491,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
    1494,     0,  1499,     0,     0,  1493,     0,     0,     0,     0,
    5491,     0,  1494,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2415,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,  5541,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5221,     0,  1499,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,  1499,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,  1490,  1496,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,  1491,     0,  1493,  1493,     0,     0,  1496,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,  5298,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5685,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,     0,     0,  3395,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,     0,  1490,
       0,     0,     0,  1496,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,  1496,     0,     0,     0,     0,
       0,     0,     0,     0,  5736,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2451,  5763,  5763,     0,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,  1491,  5298,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,     0,
    1496,  1494,  1494,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1496,  3395,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1499,     0,     0,     0,     0,     0,  2451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,  1496,     0,  1494,     0,     0,  5822,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,  1499,     0,     0,  5763,     0,     0,  1491,  1490,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5863,  1491,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1499,     0,
       0,     0,     0,  1499,  1499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,  5763,     0,     0,
       0,     0,     0,  5921,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5221,  1499,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,  1494,
    1490,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,  1496,
       0,     0,     0,  1496,  1496,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,  1493,     0,     0,  1493,     0,  1493,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2451,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2451,     0,     0,
       0,  3196,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,  1493,     0,     0,  2451,  2451,  2451,     0,     0,
    2451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,  2451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,  1494,     0,  1494,     0,     0,     0,  2451,  1494,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2451,     0,  1491,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,  2451,     0,  1490,  2451,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,     0,  1493,  1491,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,  1490,   107,   108,   109,   110,  1490,  1490,   112,   113,
     114,     0,   115,     0,     0,  1496,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
    1494,     0,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,    35,  1493,     0,     0,  1496,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,  1494,     0,     0,  1490,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,  1494,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,  1493,
    1494,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,  1491,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,  1493,     0,   171,     0,   172,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,   175,   176,     0,     0,     0,     0,     0,   177,  1493,
     178,     0,     0,   179,   180,     0,   181,  1494,     0,     0,
       0,     0,     0,     0,     0,   182,   183,     0,   184,     0,
       0,  1491,  1494,     0,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,  1496,     0,  1496,     0,     0,     0,     0,
    1496,   189,   190,   191,     0,     0,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,  1491,     0,
       0,     0,     0,  1491,  1491,     0,     0,     0,   201,  1496,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,   211,  1493,     0,     0,   213,
       0,  1496,     0,     0,     0,     0,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,  1491,     0,     0,     0,     0,  1494,     0,     0,     0,
    1496,     0,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,  2451,     0,  2451,     0,     0,  3196,  3196,     0,  3933,
       0,  3196,     0,     0,     0,  2451,     0,     0,  2451,     0,
       0,  1496,     0,  2451,     0,     0,     0,     0,     0,  2451,
       0,     0,     0,  1494,  2451,     0,     0,     0,     0,     0,
       0,  2451,  2451,  2451,  2451,     0,  1496,     0,  3196,  3196,
       0,  2451,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2451,     0,  2451,     0,     0,     0,     0,
       0,     0,  2451,  2451,  2451,  2451,  2451,  2451,  2451,  2451,
    2451,  2451,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,  2451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,  1493,     0,     0,     0,  2451,     0,  1496,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,  1494,     0,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114, -2729,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,   126,    35,     0,   429,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,  2451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,  1496,
       0,   132,     0,  1493,     0,   134,   135,   136,   137,   138,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,  1496,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,  1496,     0,
    1494,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,  1493,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,  1493,     0,   182,   183,     0,   184,
       0,     0,     0,     0,     0,  1496,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
    1494,     0,   189,   190,   191,     0,     0,     0,   192,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
    2451,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,   211,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,  1494,     0,     0,   225,     0,     0,     0,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,  1494,     0,     0,     0,   236,     0,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,  2451,     0,     0,
       0,     0,     0,  2451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,  3933,
    3933,     0,     0,  3196,  3196,  3196,  3196,     0,     0,  3196,
    3196,  3196,  3196,  3196,  3196,  3196,  3196,  3196,  3196,  3933,
       0,     0,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2451,     0,     0,  2451,     0,  2451,     0,     0,  3933,
    3933,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2451,  3196,  3196,  2451,     0,  2451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2451,     0,  1496,     0,     0,     0,     0,     0,  1494,     0,
       0,     0,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,  1496,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,  1493,  1493,     0,  1496,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,  1496,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,  1494,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2451,     0,     0,     0,  2451,  2451,  2451,     0,
       0,     0,     0,     0,  3933,  3933,  3933,  3933,     0,     0,
    1496,     0,  3933,  3933,  3933,  3933,  3933,  3933,  3933,  3933,
    3933,  3933,  2451,  2451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2451,     0,
       0,  2451,     0,  2451,     0,     0,     0,  2451,     0,     0,
    3933,  3933,     0,     0,  2451,  2451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2451,     0,     0,     0,     0,     0,     0,  2451,
    2451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2451,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,  2451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,  3933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,     0,     0,     0,
    1496,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2451,  2451,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2451,     0,     0,     0,     0,  2451,  3196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2451,     0,  2451,     0,     0,     0,  2451,
    2451,  2451,     0,     0,  2451,     0,     0,  2451,  2451,     0,
       0,     0,  2451,     0,     0,     0,  2451,     0,  1496,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    85,     0,     0,    86,    87,    88,    89,
      90,    91,    92,    93,     0,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   106,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
       0,   115,   116,   117,   118,   119,     0,     0,     0,   120,
     121,     0,     0,     0,  2451,   122,     0,     0,     0,     0,
       0,     0,     0,     0,   123,     0,   124,     0,   125,   126,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2451,     0,     0,     0,   127,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   128,     0,   129,   130,     0,     0,
       0,     0,     0,     0,     0,     0,   131,     0,     0,   132,
       0,     0,   133,   134,   135,   136,   137,   138,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,   139,
       0,     0,   140,     0,   141,   142,   143,     0,   144,     0,
       0,   145,     0,   146,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,   148,     0,   149,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,  3933,
    3196,   152,     0,   153,   154,   155,   156,     0,     0,     0,
       0,     0, -1639,     0,     0,  2451,  2451,  2451,     0,     0,
     157,     0,   158,     0,     0,  3196,   159,     0,     0,     0,
       0,     0,   160,   161,     0,     0,     0,     0,     0,     0,
     162,   163,   164,     0,     0,   165,     0,     0,   166,     0,
       0,   167,     0,  2451,  2451,     0,     0,   168,     0,   169,
       0,     0,     0,     0,   170,     0,   171,     0,   172,  2451,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
     174,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0, -1639,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,   185,
     186,     0,     0,     0,     0,   187,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,     0,     0,
     189,   190,   191,     0,     0,     0,   192,     0,     0,   193,
     194,     0,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,   205,     0,     0,     0,     0,     0,
     206,   207,     0,   208,     0,     0,     0,     0,   209,     0,
       0,     0,     0,   210,   211,  3933,   212,     0,   213,     0,
       0,   214,     0,     0,     0,     0,     0,   215,   216,  3196,
       0,     0,  3933,     0,     0,   217,  2451,   218,     0,   219,
     220,     0,     0,   221,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,   224,     0,   225,     0,     0,     0,     0,     0,
       0,   226,   227,     0,     0,     0,     0,   228,     0,   229,
       0,   230,     0,   231,     0,     0,  2451,     0,   232,     0,
       0,   233,     0,     0, -1639,     0,     0,   234,     0,     0,
       0,     0,   235,   236,     0,     0,   237,     0,     0,     0,
       0,     0,     0,     0,     0,   238,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,     0,     0,     0,     0,     0,   250,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   251,     0,     0,     0,  -149,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3933,     0,
    3196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2451,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3196,     0,     0,     0,
       0,  3196,     0,     0,     0,     0,     0,     0,  2451,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   774,    86,    87,    88,   726,    90,    91,    92,   727,
    3933,   728,    95,  3933,     0,    98,    99,   100,   101,   102,
     103,   775,   104,   105,   729,   776,     0,   107,   108,   109,
     110,   777,   778,   112,   113,   114,  2451,   115,   779,   780,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,   781,   443,
     444,   445,   782,   783,   784,   785,   786,   787,   788,   446,
     447,   789,   448,   449,   450,   132,   451,   452,   453,   134,
     135,   136,   137,   138,   790,   454,   455,   456,   457,   458,
     791,   792,   459,   460,   793,   139,   461,   794,   462,   463,
     464,   465,   143,   795,   144,   796,   466,   467,   468,   469,
     470,   147,   471,   472,   797,   798,   473,   474,   475,   476,
     477,   478,   799,   150,   479,   480,   800,   801,   802,   803,
     151,   804,   805,   806,   482,   483,   484,   485,   743,   486,
     154,   155,   487,   807,   488,   808,   489,   490,   491,   492,
     493,   494,   809,   495,   496,   497,   498,   810,   811,   499,
     500,   501,   502,   503,   812,   504,   505,   506,   813,   507,
     508,   509,   814,   510,   511,   512,   513,   163,   514,   515,
     516,   165,   815,   517,   816,   518,   519,   167,   520,   817,
     521,   818,   522,   168,   819,   169,   523,   524,   525,   526,
     820,   527,   171,   821,   172,   528,   822,   529,   530,   745,
     531,   532,   173,   533,   534,   535,   536,   823,   537,   538,
     539,   540,   541,   542,   824,   543,   175,   176,   825,   544,
     545,   546,   826,   177,   827,   178,   828,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,   829,   830,   554,
     182,   183,   555,   184,   831,   556,   557,   558,   832,   833,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,   834,   576,   577,   194,   578,   835,   195,
     579,   196,   580,   581,   582,   836,   583,   584,   837,   838,
     585,   586,   587,   839,   840,   588,   197,   198,   589,   199,
     200,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     841,   599,   600,   201,   601,   202,   602,   603,   604,   842,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   204,
     614,   615,   616,   617,   843,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   844,   630,   631,
     211,   632,   633,   634,   213,   635,   636,   637,   638,   639,
     640,   641,   748,   642,   845,   643,   644,   645,   646,   647,
     846,   649,   650,   218,   651,   652,   220,   653,   654,   221,
     655,   847,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   223,   848,   668,   669,   849,   670,
     225,   671,   672,   673,   674,   675,   850,   226,   227,   851,
     852,   677,   678,   228,   679,   229,   853,   680,   681,   682,
     683,   684,   685,   686,   854,   855,   687,   688,   689,   690,
     691,   856,   857,   692,   693,   694,   695,   696,   858,   236,
     859,   697,   237,   698,   699,   700,   701,   860,   861,   702,
     862,   863,   703,   704,   705,   706,   707,   708,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   750,
     709,   710,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   774,    86,    87,    88,   726,    90,    91,    92,   727,
       0,   728,    95,     0,  1034,    98,    99,   100,   101,   102,
     103,   775,   104,   105,   729,   776,     0,   107,   108,   109,
     110,   777,   778,   112,   113,   114,     0,   115,   779,   780,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,   434,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1634,  1635,
    1636,    45,  1637,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,  3288,   443,
     444,   445,     0,     0,     0,     0,  1638,     0,     0,   446,
     447,     0,   448,   449,   450,   132,   451,   452,   453,   134,
    1639,   136,  1640,  1641,     0,   454,   455,   456,   457,   458,
    1642,  1643,   459,   460,  1644,  1645,   461,     0,   462,   463,
     464,   465,  1646,     0,  1647,     0,   466,   467,   468,   469,
     470,   147,   471,   472,   741,     0,   473,   474,   475,   476,
     477,   478,     0,   150,   479,   480,     0,  1648,  1649,  1650,
    1651,  1652,  1653,  1654,   482,   483,   484,   485,   743,   486,
    1655,  1656,   487,  1657,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,  3289,     0,   499,
     500,  1469,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,  1658,   514,   515,
     516,  1659,  1660,   517,     0,   518,   519,  1661,   520,     0,
     521,     0,   522,   168,     0,   169,   523,   524,   525,   526,
       0,   527,  1662,     0,  1663,   528,     0,   529,   530,   745,
     531,   532,   173,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,  1472,  1664,     0,  1665,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
    1666,   183,   555,   184,     0,   556,   557,   558,  1667,  1668,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,  1669,   190,  1670,   573,
     574,   575,   192,  1671,   576,   577,   194,   578,  1672,  1673,
     579,  1674,   580,   581,   582,     0,   583,   584,     0,     0,
    1675,   586,   587,     0,     0,   588,   197,   198,   589,   199,
    1676,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,  1677,   601,   202,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,  1678,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     211,   632,   633,   634,  1679,   635,   636,   637,   638,   639,
     640,   641,   748,   642,     0,   643,   644,   645,   646,   647,
    1680,   649,   650,   218,   651,   652,   220,   653,   654,  1681,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,  1682,     0,   668,   669,     0,   670,
     225,   671,   672,   673,   674,   675,     0,  1683,  1684,     0,
       0,   677,   678,  1685,   679,  1686,  1687,   680,   681,   682,
     683,   684,   685,   686,     0,  1688,   687,   688,   689,   690,
     691,  1689,     0,   692,   693,   694,   695,   696,   749,  1690,
    3290,   697,   237,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,   239,  1691,
    1692,  1693,  1694,   244,  1695,  1696,  1697,  1698,   249,   750,
     709,   710,  1699,     0,     0,     0,     0,     0,     0,  1700,
    1701,  3291,     0,     0,     0,     0,     0,     0,  1703,  3292,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1634,  1635,  1636,
      45,  1637,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,  1638,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,  1639,
     136,  1640,  1641,     0,   454,   455,   456,   457,   458,  1642,
    1643,   459,   460,  1644,  1645,   461,     0,   462,   463,   464,
     465,  1646,     0,  1647,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,  1648,  1649,  1650,  1651,
    1652,  1653,  1654,   482,   483,   484,   485,   743,   486,  1655,
    1656,   487,  1657,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
    1469,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,  1658,   514,   515,   516,
    1659,  1660,   517,     0,   518,   519,  1661,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,  1662,     0,  1663,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,  1472,  1664,     0,  1665,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,  1666,
     183,   555,   184,     0,   556,   557,   558,  1667,  1668,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,  1669,   190,  1670,   573,   574,
     575,   192,  1671,   576,   577,   194,   578,  1672,  1673,   579,
    1674,   580,   581,   582,     0,   583,   584,     0,     0,  1675,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1676,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1677,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,  1678,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,  1679,   635,   636,   637,   638,   639,   640,
     641,   748,   642,   216,   643,   644,   645,   646,   647,  1680,
     649,   650,   218,   651,   652,   220,   653,   654,  1681,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1682,     0,   668,   669,   224,   670,   225,
     671,   672,   673,   674,   675,     0,  1683,  1684,     0,     0,
     677,   678,  1685,   679,  1686,  1687,   680,   681,   682,   683,
     684,   685,   686,     0,  1688,   687,   688,   689,   690,   691,
    1689,     0,   692,   693,   694,   695,   696,  2413,  1690,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
     238,   703,   704,   705,   706,   707,   708,   239,  1691,  1692,
    1693,  1694,   244,  1695,  1696,  1697,  1698,   249,   750,   709,
     710,  1699,     0,   250,     0,     0,     0,     0,  1700,  1701,
       0,     0,     0,     0,     0,     0,     0,  1703,  5503,   774,
      86,    87,    88,   726,    90,    91,    92,   727,     0,   728,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   775,
     104,   105,   729,   776,     0,   107,   108,   109,   110,   777,
     778,   112,   113,   114,     0,   115,   779,   780,   730,   731,
       0,     0,     0,   732,   733,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
     736,     0,   737,   738,    35,   434,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1634,  1635,  1636,    45,
    1637,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,  1638,     0,     0,   446,   447,     0,
     448,   449,   450,   132,   451,   452,   453,   134,  1639,   136,
    1640,  1641,     0,   454,   455,   456,   457,   458,  1642,  1643,
     459,   460,  1644,  1645,   461,     0,   462,   463,   464,   465,
    1646,     0,  1647,     0,   466,   467,   468,   469,   470,   147,
     471,   472,   741,     0,   473,   474,   475,   476,   477,   478,
       0,   150,   479,   480,     0,  1648,  1649,  1650,  1651,  1652,
    1653,  1654,   482,   483,   484,   485,   743,   486,  1655,  1656,
     487,  1657,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,  1469,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,  1658,   514,   515,   516,  1659,
    1660,   517,     0,   518,   519,  1661,   520,     0,   521,     0,
     522,   168,     0,   169,   523,   524,   525,   526,     0,   527,
    1662,     0,  1663,   528,     0,   529,   530,   745,   531,   532,
     173,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
    1472,  1664,     0,  1665,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,  1666,   183,
     555,   184,     0,   556,   557,   558,  1667,  1668,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   746,   568,   569,
     747,   570,   571,   572,  1669,   190,  1670,   573,   574,   575,
     192,  1671,   576,   577,   194,   578,  1672,  1673,   579,  1674,
     580,   581,   582,     0,   583,   584,     0,     0,  1675,   586,
     587,     0,     0,   588,   197,   198,   589,   199,  1676,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,  1677,   601,   202,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,  1678,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   211,   632,
     633,   634,  1679,   635,   636,   637,   638,   639,   640,   641,
     748,   642,     0,   643,   644,   645,   646,   647,  1680,   649,
     650,   218,   651,   652,   220,   653,   654,  1681,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,  1682,     0,   668,   669,     0,   670,   225,   671,
     672,   673,   674,   675,     0,  1683,  1684,     0,     0,   677,
     678,  1685,   679,  1686,  1687,   680,   681,   682,   683,   684,
     685,   686,     0,  1688,   687,   688,   689,   690,   691,  1689,
       0,   692,   693,   694,   695,   696,   749,  1690,     0,   697,
     237,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,  1691,  1692,  1693,
    1694,   244,  1695,  1696,  1697,  1698,   249,   750,   709,   710,
    1699,     0,     0,     0,     0,     0,     0,  1700,  1701,     0,
       0,     0,     0,     0,     0,     0,  1703,  3198,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,   434,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1634,  1635,  1636,    45,  1637,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,  1638,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,  1639,   136,  1640,
    1641,     0,   454,   455,   456,   457,   458,  1642,  1643,   459,
     460,  1644,  1645,   461,     0,   462,   463,   464,   465,  1646,
       0,  1647,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   482,   483,   484,   485,   743,   486,  1655,  1656,   487,
    1657,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,  1469,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,  1658,   514,   515,   516,  1659,  1660,
     517,     0,   518,   519,  1661,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,  1662,
       0,  1663,   528,     0,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1472,
    1664,     0,  1665,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1666,   183,   555,
     184,     0,   556,   557,   558,  1667,  1668,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,  1669,   190,  1670,   573,   574,   575,   192,
    1671,   576,   577,   194,   578,  1672,  1673,   579,  1674,   580,
     581,   582,     0,   583,   584,     0,     0,  1675,   586,   587,
       0,     0,   588,   197,   198,   589,   199,  1676,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
    1677,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,  1678,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,  1679,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,  1680,   649,   650,
     218,   651,   652,   220,   653,   654,  1681,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,  1682,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,  1683,  1684,     0,     0,   677,   678,
    1685,   679,  1686,  1687,   680,   681,   682,   683,   684,   685,
     686,     0,  1688,   687,   688,   689,   690,   691,  1689,     0,
     692,   693,   694,   695,   696,   749,  1690,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,  1691,  1692,  1693,  1694,
     244,  1695,  1696,  1697,  1698,   249,   750,   709,   710,  1699,
       0,     0,     0,     0,     0,     0,  1700,  1701,     0,     0,
       0,     0,     0,     0,     0,  1703,  4485,   774,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   775,   104,   105,
     729,   776,     0,   107,   108,   109,   110,   777,   778,   112,
     113,   114,     0,   115,   779,   780,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,   434,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1634,  1635,  1636,    45,  1637,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,  1638,     0,     0,   446,   447,     0,   448,   449,
     450,   132,   451,   452,   453,   134,  1639,   136,  1640,  1641,
       0,   454,   455,   456,   457,   458,  1642,  1643,   459,   460,
    1644,  1645,   461,     0,   462,   463,   464,   465,  1646,     0,
    1647,     0,   466,   467,   468,   469,   470,   147,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,   150,
     479,   480,     0,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
     482,   483,   484,   485,   743,   486,  1655,  1656,   487,  1657,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,  1469,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,  1658,   514,   515,   516,  1659,  1660,   517,
       0,   518,   519,  1661,   520,     0,   521,     0,   522,   168,
       0,   169,   523,   524,   525,   526,     0,   527,  1662,     0,
    1663,   528,     0,   529,   530,   745,   531,   532,   173,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1472,  1664,
       0,  1665,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1666,   183,   555,   184,
       0,   556,   557,   558,  1667,  1668,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,  1669,   190,  1670,   573,   574,   575,   192,  1671,
     576,   577,   194,   578,  1672,  1673,   579,  1674,   580,   581,
     582,     0,   583,   584,     0,     0,  1675,   586,   587,     0,
       0,   588,   197,   198,   589,   199,  1676,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,  1677,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,  1678,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   211,   632,   633,   634,
    1679,   635,   636,   637,   638,   639,   640,   641,   748,   642,
       0,   643,   644,   645,   646,   647,  1680,   649,   650,   218,
     651,   652,   220,   653,   654,  1681,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
    1682,     0,   668,   669,     0,   670,   225,   671,   672,   673,
     674,   675,     0,  1683,  1684,     0,     0,   677,   678,  1685,
     679,  1686,  1687,   680,   681,   682,   683,   684,   685,   686,
       0,  1688,   687,   688,   689,   690,   691,  1689,     0,   692,
     693,   694,   695,   696,   749,  1690,     0,   697,   237,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,   239,  1691,  1692,  1693,  1694,   244,
    1695,  1696,  1697,  1698,   249,   750,   709,   710,  1699,     0,
       0,     0,     0,     0,     0,  1700,  1701,     0,     0,     0,
       0,     0,     0,     0,  1703,  4556,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,     0,  1462,   136,  1463,  1464,     0,
     454,   455,   456,   457,   458,     0,     0,   459,   460,  1465,
    1466,   461,     0,   462,   463,   464,   465,     0,     0,   144,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,     0,     0,     0,   151,     0,     0,     0,   482,
     483,   484,   485,   743,   486,  1467,  1468,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,  1469,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,     0,   514,   515,   516,     0,     0,   517,     0,
     518,   519,  1470,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,     0,     0,     0,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,  2623,   537,   538,   539,   540,   541,   542,     0,
     543,   175,  2624,     0,   544,   545,   546,  1472,  1473,     0,
    1474,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,     0,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,  1475,   190,  1476,   573,   574,   575,     0,     0,   576,
     577,   194,   578,     0,     0,   579,  1477,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,  2626,   198,   589,   199,     0,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,     0,   601,
       0,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,  1478,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,     0,   649,   650,  2627,   651,
     652,   220,   653,   654,  1480,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,     0,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,  1481,  1482,     0,     0,   677,   678,     0,   679,
       0,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,  1483,  2628,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   750,   709,   710,     0,     0,     0,
       0,   774,    86,    87,    88,   726,    90,    91,    92,   727,
       0,   728,    95,     0,  2733,    98,    99,   100,   101,   102,
     103,   775,   104,   105,   729,   776,     0,   107,   108,   109,
     110,   777,   778,   112,   113,   114,     0,   115,   779,   780,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,   132,   451,   452,   453,     0,
    1462,   136,  1463,  1464,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,  1465,  1466,   461,     0,   462,   463,
     464,   465,     0,     0,   144,     0,   466,   467,   468,   469,
     470,   147,   471,   472,   741,     0,   473,   474,   475,   476,
     477,   478,     0,   150,   479,   480,     0,     0,     0,     0,
     151,     0,     0,     0,   482,   483,   484,   485,   743,   486,
    1467,  1468,   487,     0,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,  1469,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,     0,   514,   515,
     516,     0,     0,   517,     0,   518,   519,  1470,   520,     0,
     521,     0,   522,   168,     0,   169,   523,   524,   525,   526,
       0,   527,     0,     0,     0,   528,     0,   529,   530,   745,
     531,   532,   173,   533,   534,   535,   536,  2623,   537,   538,
     539,   540,   541,   542,     0,   543,   175,  2624,     0,   544,
     545,   546,  1472,  1473,     0,  1474,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
       0,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,  1475,   190,  1476,   573,
     574,   575,     0,     0,   576,   577,   194,   578,     0,     0,
     579,  1477,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,  2626,   198,   589,   199,
       0,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,     0,   601,     0,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,  1478,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     211,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   748,   642,     0,   643,   644,   645,   646,   647,
       0,   649,   650,  2627,   651,   652,   220,   653,   654,  1480,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,     0,     0,   668,   669,     0,   670,
     225,   671,   672,   673,   674,   675,     0,  1481,  1482,     0,
       0,   677,   678,     0,   679,     0,     0,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,  1483,
    2628,   697,   237,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   750,
     709,   710,     0,     0,     0,     0,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,  3781,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,   434,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1634,  1635,  1636,    45,  1637,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,  1638,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,  1639,   136,  1640,  1641,     0,
     454,   455,   456,   457,   458,  1642,  1643,   459,   460,  1644,
    1645,   461,     0,   462,   463,   464,   465,  1646,     0,  1647,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,  1648,  1649,  1650,  1651,  1652,  1653,  1654,   482,
     483,   484,   485,   743,   486,  1655,  1656,   487,  1657,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,  1469,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,  1658,   514,   515,   516,  1659,  1660,   517,     0,
     518,   519,  1661,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,  1662,     0,  1663,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,  1472,  1664,     0,
    1665,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1666,   183,   555,   184,     0,
     556,   557,   558,  1667,  1668,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,  1669,   190,  1670,   573,   574,   575,   192,  1671,   576,
     577,   194,   578,  1672,  1673,   579,  1674,   580,   581,   582,
       0,   583,   584,     0,     0,  1675,   586,   587,     0,     0,
     588,   197,   198,   589,   199,  1676,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,  1677,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,  1678,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,  1679,
     635,   636,   637,   638,   639,   640,   641,   748,   642,   216,
     643,   644,   645,   646,   647,  1680,   649,   650,   218,   651,
     652,   220,   653,   654,  1681,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,  1682,
       0,   668,   669,   224,   670,   225,   671,   672,   673,   674,
     675,     0,  1683,  1684,     0,     0,   677,   678,  1685,   679,
    1686,  1687,   680,   681,   682,   683,   684,   685,   686,     0,
    1688,   687,   688,   689,   690,   691,  1689,     0,   692,   693,
     694,   695,   696,  2413,  1690,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,   238,   703,   704,   705,
     706,   707,   708,   239,  1691,  1692,  1693,  1694,   244,  1695,
    1696,  1697,  1698,   249,   750,   709,   710,  1699,     0,   250,
       0,     0,     0,     0,  1700,  1701,     0,     0,     0,     0,
       0,     0,     0,  1703,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1634,  1635,  1636,    45,  1637,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,  1638,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,  1639,   136,  1640,  1641,  3204,   454,   455,
     456,   457,   458,  1642,  1643,   459,   460,  1644,  1645,   461,
       0,   462,   463,   464,   465,  1646,     0,  1647,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
    1648,  1649,  1650,  1651,  1652,  1653,  1654,   482,   483,   484,
     485,   743,   486,  1655,  1656,   487,  1657,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,  1469,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
    1658,   514,   515,   516,  1659,  1660,   517,     0,   518,   519,
    1661,   520,     0,   521,     0,   522,   168,  3205,   169,   523,
     524,   525,   526,     0,   527,  1662,     0,  1663,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,  1472,  1664,     0,  1665,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,  3206,   554,  1666,   183,   555,   184,     0,   556,   557,
     558,  1667,  1668,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,  1669,
     190,  1670,   573,   574,   575,   192,  1671,   576,   577,   194,
     578,  1672,  1673,   579,  1674,   580,   581,   582,     0,   583,
     584,     0,     0,  1675,   586,   587,     0,     0,   588,   197,
     198,   589,   199,  1676,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,  1677,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,  1678,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,  1679,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,  1680,   649,   650,   218,   651,   652,   220,
     653,   654,  1681,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,  1682,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
    1683,  1684,     0,  3207,   677,   678,  1685,   679,  1686,  1687,
     680,   681,   682,   683,   684,   685,   686,     0,  1688,   687,
     688,   689,   690,   691,  1689,     0,   692,   693,   694,   695,
     696,   749,  1690,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,  1691,  1692,  1693,  1694,   244,  1695,  1696,  1697,
    1698,   249,   750,   709,   710,  1699,     0,     0,     0,     0,
       0,     0,  1700,  1701,     0,     0,     0,     0,     0,     0,
       0,  1703,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,   434,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1634,
    1635,  1636,    45,  1637,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,  1638,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,  1639,   136,  1640,  1641,     0,   454,   455,   456,   457,
     458,  1642,  1643,   459,   460,  1644,  1645,   461,     0,   462,
     463,   464,   465,  1646,     0,  1647,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,   482,   483,   484,   485,   743,
     486,  1655,  1656,   487,  1657,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,  1469,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,  1658,   514,
     515,   516,  1659,  1660,   517,     0,   518,   519,  1661,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,  1662,     0,  1663,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1472,  1664,     0,  1665,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1666,   183,   555,   184,     0,   556,   557,   558,  1667,
    1668,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,  1669,   190,  1670,
     573,   574,   575,   192,  1671,   576,   577,   194,   578,  1672,
    1673,   579,  1674,   580,   581,   582,     0,   583,   584,     0,
       0,  1675,   586,   587,     0,     0,   588,   197,   198,   589,
     199,  1676,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,  1677,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
    1678,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,  1679,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,  1680,   649,   650,   218,   651,   652,   220,   653,   654,
    1681,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,  1682,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,  1683,  1684,
       0,     0,   677,   678,  1685,   679,  1686,  1687,   680,   681,
     682,   683,   684,   685,   686,     0,  1688,   687,   688,   689,
     690,   691,  1689,     0,   692,   693,   694,   695,   696,   749,
    1690,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
    1691,  1692,  1693,  1694,   244,  1695,  1696,  1697,  1698,   249,
     750,   709,   710,  1699,     0,     0,     0,     0,     0,     0,
    1700,  1701,     0,     0,     0,     0,     0,  2375,  3159,  1703,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1634,  1635,  1636,
      45,  1637,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,  1638,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,  1639,
     136,  1640,  1641,     0,   454,   455,   456,   457,   458,  1642,
    1643,   459,   460,  1644,  1645,   461,     0,   462,   463,   464,
     465,  1646,     0,  1647,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,  1648,  1649,  1650,  1651,
    1652,  1653,  1654,   482,   483,   484,   485,   743,   486,  1655,
    1656,   487,  1657,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
    1469,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,  1658,   514,   515,   516,
    1659,  1660,   517,     0,   518,   519,  1661,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,  1662,     0,  1663,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,  1472,  1664,     0,  1665,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,  1666,
     183,   555,   184,     0,   556,   557,   558,  1667,  1668,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,  1669,   190,  1670,   573,   574,
     575,   192,  1671,   576,   577,   194,   578,  1672,  1673,   579,
    1674,   580,   581,   582,     0,   583,   584,     0,     0,  1675,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1676,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1677,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,  1678,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,  1679,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,  1680,
     649,   650,   218,   651,   652,   220,   653,   654,  1681,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1682,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,  1683,  1684,     0,     0,
     677,   678,  1685,   679,  1686,  1687,   680,   681,   682,   683,
     684,   685,   686,     0,  1688,   687,   688,   689,   690,   691,
    1689,     0,   692,   693,   694,   695,   696,   749,  1690,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,  1691,  1692,
    1693,  1694,   244,  1695,  1696,  1697,  1698,   249,   750,   709,
     710,  1699,     0,     0,     0,     0,     0,     0,  1700,  1701,
    1702,     0,     0,     0,     0,     0,     0,  1703,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,   434,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1634,  1635,  1636,    45,  1637,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,  2545,   443,   444,   445,     0,
       0,     0,     0,  1638,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,  1639,   136,  1640,
    1641,     0,   454,   455,   456,   457,   458,  1642,  1643,   459,
     460,  1644,  1645,   461,     0,   462,   463,   464,   465,  1646,
       0,  1647,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   482,   483,   484,   485,   743,   486,  1655,  1656,   487,
    1657,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,  1469,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,  1658,   514,   515,   516,  1659,  1660,
     517,     0,   518,   519,  1661,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,  1662,
       0,  1663,   528,     0,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1472,
    1664,     0,  1665,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1666,   183,   555,
     184,     0,   556,   557,   558,  1667,  1668,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,  1669,   190,  1670,   573,   574,   575,   192,
    1671,   576,   577,   194,   578,  1672,  1673,   579,  1674,   580,
     581,   582,     0,   583,   584,     0,     0,  1675,   586,   587,
       0,     0,   588,   197,   198,   589,   199,  1676,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
    1677,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,  1678,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,  1679,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,  1680,   649,   650,
     218,   651,   652,   220,   653,   654,  1681,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,  1682,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,  1683,  1684,     0,     0,   677,   678,
    1685,   679,  1686,  1687,   680,   681,   682,   683,   684,   685,
     686,     0,  1688,   687,   688,   689,   690,   691,  1689,     0,
     692,   693,   694,   695,   696,   749,  1690,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,  1691,  1692,  1693,  1694,
     244,  1695,  1696,  1697,  1698,   249,   750,   709,   710,  1699,
       0,     0,     0,     0,     0,     0,  1700,  1701,     0,     0,
       0,     0,     0,     0,     0,  1703,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,   434,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1634,  1635,  1636,    45,  1637,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,  1638,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,  1639,   136,  1640,  1641,     0,
     454,   455,   456,   457,   458,  1642,  1643,   459,   460,  1644,
    1645,   461,     0,   462,   463,   464,   465,  1646,     0,  1647,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,  1648,  1649,  1650,  1651,  1652,  1653,  1654,   482,
     483,   484,   485,   743,   486,  1655,  1656,   487,  1657,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,  1469,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,  1658,   514,   515,   516,  1659,  1660,   517,     0,
     518,   519,  1661,   520,     0,   521,     0,   522,   168,  3205,
     169,   523,   524,   525,   526,     0,   527,  1662,     0,  1663,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,  1472,  1664,     0,
    1665,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1666,   183,   555,   184,     0,
     556,   557,   558,  1667,  1668,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,  1669,   190,  1670,   573,   574,   575,   192,  1671,   576,
     577,   194,   578,  1672,  1673,   579,  1674,   580,   581,   582,
       0,   583,   584,     0,     0,  1675,   586,   587,     0,     0,
     588,   197,   198,   589,   199,  1676,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,  1677,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,  1678,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,  1679,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,  1680,   649,   650,   218,   651,
     652,   220,   653,   654,  1681,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,  1682,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,  1683,  1684,     0,     0,   677,   678,  1685,   679,
    1686,  1687,   680,   681,   682,   683,   684,   685,   686,     0,
    1688,   687,   688,   689,   690,   691,  1689,     0,   692,   693,
     694,   695,   696,   749,  1690,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,  1691,  1692,  1693,  1694,   244,  1695,
    1696,  1697,  1698,   249,   750,   709,   710,  1699,     0,     0,
       0,     0,     0,     0,  1700,  1701,     0,     0,     0,     0,
       0,     0,     0,  1703,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1634,  1635,  1636,    45,  1637,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,  1638,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,  1639,   136,  1640,  1641,     0,   454,   455,
     456,   457,   458,  1642,  1643,   459,   460,  1644,  1645,   461,
       0,   462,   463,   464,   465,  1646,     0,  1647,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
    1648,  1649,  1650,  1651,  1652,  1653,  1654,   482,   483,   484,
     485,   743,   486,  1655,  1656,   487,  1657,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,  1469,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
    1658,   514,   515,   516,  1659,  1660,   517,     0,   518,   519,
    1661,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,  1662,     0,  1663,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,  1472,  1664,     0,  1665,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,  1666,   183,   555,   184,     0,   556,   557,
     558,  1667,  1668,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,  1669,
     190,  1670,   573,   574,   575,   192,  1671,   576,   577,   194,
     578,  1672,  1673,   579,  1674,   580,   581,   582,     0,   583,
     584,     0,     0,  1675,   586,   587,     0,     0,   588,   197,
     198,   589,   199,  1676,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,  1677,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,  1678,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,  1679,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,  1680,   649,   650,   218,   651,   652,   220,
     653,   654,  1681,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,  1682,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
    1683,  1684,     0,     0,   677,   678,  1685,   679,  1686,  1687,
     680,   681,   682,   683,   684,   685,   686,     0,  1688,   687,
     688,   689,   690,   691,  1689,     0,   692,   693,   694,   695,
     696,   749,  1690,  4606,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,  1691,  1692,  1693,  1694,   244,  1695,  1696,  1697,
    1698,   249,   750,   709,   710,  1699,     0,     0,     0,     0,
       0,     0,  1700,  1701,     0,     0,     0,     0,     0,     0,
       0,  1703,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,   434,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1634,
    1635,  1636,    45,  1637,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,  1638,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,  1639,   136,  1640,  1641,     0,   454,   455,   456,   457,
     458,  1642,  1643,   459,   460,  1644,  1645,   461,     0,   462,
     463,   464,   465,  1646,     0,  1647,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,  4622,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,   482,   483,   484,   485,   743,
     486,  1655,  1656,   487,  1657,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,  1469,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,  1658,   514,
     515,   516,  1659,  1660,   517,     0,   518,   519,  1661,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,  1662,     0,  1663,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1472,  1664,     0,  1665,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1666,   183,   555,   184,     0,   556,   557,   558,  1667,
    1668,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,  1669,   190,  1670,
     573,   574,   575,   192,  1671,   576,   577,   194,   578,  1672,
    1673,   579,  1674,   580,   581,   582,     0,   583,   584,     0,
       0,  1675,   586,   587,     0,     0,   588,   197,   198,   589,
     199,  1676,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,  1677,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
    1678,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,  1679,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,  1680,   649,   650,   218,   651,   652,   220,   653,   654,
    1681,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,  1682,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,  1683,  1684,
       0,     0,   677,   678,  1685,   679,  1686,  1687,   680,   681,
     682,   683,   684,   685,   686,     0,  1688,   687,   688,   689,
     690,   691,  1689,     0,   692,   693,   694,   695,   696,   749,
    1690,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
    1691,  1692,  1693,  1694,   244,  1695,  1696,  1697,  1698,   249,
     750,   709,   710,  1699,     0,     0,     0,     0,     0,     0,
    1700,  1701,     0,     0,     0,     0,     0,     0,     0,  1703,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1634,  1635,  1636,
      45,  1637,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,  1638,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,  5760,  1639,
     136,  1640,  1641,     0,   454,   455,   456,   457,   458,  1642,
    1643,   459,   460,  1644,  1645,   461,     0,   462,   463,   464,
     465,  1646,     0,  1647,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,  5761,  1648,  1649,  1650,  1651,
    1652,  1653,  1654,   482,   483,   484,   485,   743,   486,  1655,
    1656,   487,  1657,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
    1469,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,  1658,   514,   515,   516,
    1659,  1660,   517,     0,   518,   519,  1661,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,  1662,     0,  1663,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,  1472,  1664,     0,  1665,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,  1666,
     183,   555,   184,     0,   556,   557,   558,  1667,  1668,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,  1669,   190,  1670,   573,   574,
     575,   192,  1671,   576,   577,   194,   578,  1672,  1673,   579,
    1674,   580,   581,   582,     0,   583,   584,     0,     0,  1675,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1676,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1677,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,  1678,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,  1679,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,  1680,
     649,   650,   218,   651,   652,   220,   653,   654,  1681,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1682,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,  1683,  1684,     0,     0,
     677,   678,  1685,   679,  1686,  1687,   680,   681,   682,   683,
    5762,   685,   686,     0,  1688,   687,   688,   689,   690,   691,
    1689,     0,   692,   693,   694,   695,   696,   749,  1690,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,  1691,  1692,
    1693,  1694,   244,  1695,  1696,  1697,  1698,   249,   750,   709,
     710,  1699,     0,     0,     0,     0,     0,     0,  1700,  1701,
       0,     0,     0,     0,     0,     0,     0,  1703,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,   434,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1634,  1635,  1636,    45,  1637,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,  1638,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,  1639,   136,  1640,
    1641,     0,   454,   455,   456,   457,   458,  1642,  1643,   459,
     460,  1644,  1645,   461,     0,   462,   463,   464,   465,  1646,
       0,  1647,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,  5761,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   482,   483,   484,   485,   743,   486,  1655,  1656,   487,
    1657,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,  1469,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,  1658,   514,   515,   516,  1659,  1660,
     517,     0,   518,   519,  1661,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,  1662,
       0,  1663,   528,     0,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1472,
    1664,     0,  1665,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1666,   183,   555,
     184,     0,   556,   557,   558,  1667,  1668,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,  1669,   190,  1670,   573,   574,   575,   192,
    1671,   576,   577,   194,   578,  1672,  1673,   579,  1674,   580,
     581,   582,     0,   583,   584,     0,     0,  1675,   586,   587,
       0,     0,   588,   197,   198,   589,   199,  1676,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
    1677,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,  1678,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,  1679,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,  1680,   649,   650,
     218,   651,   652,   220,   653,   654,  1681,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,  1682,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,  1683,  1684,     0,     0,   677,   678,
    1685,   679,  1686,  1687,   680,   681,   682,   683,  5762,   685,
     686,     0,  1688,   687,   688,   689,   690,   691,  1689,     0,
     692,   693,   694,   695,   696,   749,  1690,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,  1691,  1692,  1693,  1694,
     244,  1695,  1696,  1697,  1698,   249,   750,   709,   710,  1699,
       0,     0,     0,     0,     0,     0,  1700,  1701,     0,     0,
       0,     0,     0,     0,     0,  1703,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,   434,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1634,  1635,  1636,    45,  1637,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,  1638,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,  1639,   136,  1640,  1641,     0,
     454,   455,   456,   457,   458,  1642,  1643,   459,   460,  1644,
    1645,   461,     0,   462,   463,   464,   465,  1646,     0,  1647,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,  1648,  1649,  1650,  1651,  1652,  1653,  1654,   482,
     483,   484,   485,   743,   486,  1655,  1656,   487,  1657,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,  1469,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,  1658,   514,   515,   516,  1659,  1660,   517,     0,
     518,   519,  1661,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,  1662,     0,  1663,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,  1472,  1664,     0,
    1665,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1666,   183,   555,   184,     0,
     556,   557,   558,  1667,  1668,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,  1669,   190,  1670,   573,   574,   575,   192,  1671,   576,
     577,   194,   578,  1672,  1673,   579,  1674,   580,   581,   582,
       0,   583,   584,     0,     0,  1675,   586,   587,     0,     0,
     588,   197,   198,   589,   199,  1676,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,  1677,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,  1678,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,  1679,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,  1680,   649,   650,   218,   651,
     652,   220,   653,   654,  1681,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,  1682,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,  1683,  1684,     0,     0,   677,   678,  1685,   679,
    1686,  1687,   680,   681,   682,   683,   684,   685,   686,     0,
    1688,   687,   688,   689,   690,   691,  1689,     0,   692,   693,
     694,   695,   696,   749,  1690,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,  1691,  1692,  1693,  1694,   244,  1695,
    1696,  1697,  1698,   249,   750,   709,   710,  1699,     0,     0,
       0,     0,     0,     0,  1700,  1701,     0,     0,     0,     0,
       0,     0,     0,  1703,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1634,  1635,  1636,    45,  1637,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,  1638,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,  1639,   136,  1640,  1641,     0,   454,   455,
     456,   457,   458,  1642,  1643,   459,   460,  1644,  1645,   461,
       0,   462,   463,   464,   465,  1646,     0,  1647,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
    1648,  1649,  1650,  1651,  1652,  1653,  1654,   482,   483,   484,
     485,   743,   486,  1655,  1656,   487,  1657,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,  1469,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
    1658,   514,   515,   516,  1659,  1660,   517,     0,   518,   519,
    1661,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,  1662,     0,  1663,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,  1472,  1664,     0,  1665,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,  1666,   183,   555,   184,     0,   556,   557,
     558,  1667,  1668,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,  1669,
     190,  1670,   573,   574,   575,   192,  1671,   576,   577,   194,
     578,  1672,  1673,   579,  1674,   580,   581,   582,     0,   583,
     584,     0,     0,  1675,   586,   587,     0,     0,   588,   197,
     198,   589,   199,  1676,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,  1677,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,  1678,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,  1679,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,  1680,   649,   650,   218,   651,   652,   220,
     653,   654,  1681,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,  1682,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
    1683,  1684,     0,     0,   677,   678,  1685,   679,  1686,  1687,
     680,   681,   682,   683,   684,   685,   686,     0,  1688,   687,
     688,   689,   690,   691,  1689,     0,   692,   693,   694,   695,
     696,   749,  1690,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,  4960,  1691,  1692,  1693,  1694,   244,  1695,  1696,  1697,
    1698,   249,   750,   709,   710,  1699,     0,     0,     0,     0,
       0,     0,  1700,  1701,     0,     0,     0,     0,     0,     0,
       0,  1703,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,   434,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1634,
    1635,  1636,    45,  1637,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,  1638,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,  1639,   136,  1640,  1641,     0,   454,   455,   456,   457,
     458,  1642,  1643,   459,   460,  1644,  1645,   461,     0,   462,
     463,   464,   465,  1646,     0,  1647,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,   482,   483,   484,   485,   743,
     486,  1655,  1656,   487,  1657,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,  1469,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,  1658,   514,
     515,   516,  1659,  1660,   517,     0,   518,   519,  1661,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,  1662,     0,  1663,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1472,  1664,     0,  1665,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1666,   183,   555,   184,     0,   556,   557,   558,  1667,
    1668,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,  1669,   190,  1670,
     573,   574,  4969,   192,  1671,   576,   577,   194,   578,  1672,
    1673,   579,  1674,   580,   581,   582,     0,   583,   584,     0,
       0,  1675,   586,   587,     0,     0,   588,   197,   198,   589,
     199,  1676,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,  1677,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
    1678,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,  1679,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,  1680,   649,   650,   218,   651,   652,   220,   653,   654,
    1681,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,  1682,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,  1683,  1684,
       0,     0,   677,   678,  1685,   679,  1686,  1687,   680,   681,
     682,   683,   684,   685,   686,     0,  1688,   687,   688,   689,
     690,   691,  1689,     0,   692,   693,   694,   695,   696,   749,
    1690,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
    1691,  1692,  1693,  1694,   244,  1695,  1696,  1697,  1698,   249,
     750,   709,   710,  1699,     0,     0,     0,     0,     0,     0,
    1700,  1701,     0,     0,     0,     0,     0,     0,     0,  1703,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1634,  1635,  1636,
      45,  1637,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,  1638,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,  1639,
     136,  1640,  1641,     0,   454,   455,   456,   457,   458,  1642,
    1643,   459,   460,  1644,  1645,   461,     0,   462,   463,   464,
     465,  1646,     0,  1647,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,  5288,     0,  1648,  1649,  1650,  1651,
    1652,  1653,  1654,   482,   483,   484,   485,   743,   486,  1655,
    1656,   487,  1657,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
    1469,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,  1658,   514,   515,   516,
    1659,  1660,   517,     0,   518,   519,  1661,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,  1662,     0,  5289,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,  1472,  1664,     0,  1665,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,  1666,
     183,   555,   184,     0,   556,   557,   558,  1667,  1668,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,  1669,   190,  1670,   573,   574,
     575,   192,  1671,   576,   577,   194,   578,  1672,  1673,   579,
    1674,   580,   581,   582,     0,   583,   584,     0,     0,  1675,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1676,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1677,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,  1678,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,  5290,  1679,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,  1680,
     649,   650,   218,   651,   652,   220,   653,   654,  1681,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1682,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,  1683,  1684,     0,     0,
     677,   678,  1685,   679,  1686,  1687,   680,   681,   682,   683,
     684,   685,   686,     0,  1688,   687,   688,   689,   690,   691,
    1689,     0,   692,   693,   694,   695,   696,   749,  1690,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,  1691,  1692,
    1693,  1694,   244,  1695,  1696,  1697,  1698,   249,   750,   709,
     710,  1699,     0,     0,     0,     0,     0,     0,  1700,  1701,
       0,     0,     0,     0,     0,     0,     0,  5291,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,   434,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1634,  1635,  1636,    45,  1637,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,  1638,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453, -2974,  1639,   136,  1640,
    1641,     0,   454,   455,   456,   457,   458,  1642,  1643,   459,
     460,  1644,  1645,   461,     0,   462,   463,   464,   465,  1646,
       0,  1647,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,  5761,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   482,   483,   484,   485,   743,   486,  1655,  1656,   487,
    1657,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,  1469,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,  1658,   514,   515,   516,  1659,  1660,
     517,     0,   518,   519,  1661,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,  1662,
       0,  1663,   528,     0,   529,   530,   745,   531,   532, -2974,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1472,
    1664,     0,  1665,     0,   547,     0,     0,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1666,   183,   555,
   -2974,     0,   556,   557,   558,  1667,  1668,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,  1669,   190,  1670,   573,   574,   575,   192,
    1671,   576,   577,     0,   578,  1672,  1673,   579,  1674,   580,
     581,   582,     0,   583,   584,     0,     0,  1675,   586,   587,
       0,     0,   588,   197,   198,   589,   199,  1676,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
    1677,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,  1678,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,  1679,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,  1680,   649,   650,
     218,   651,   652, -2974,   653,   654,  1681,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,  1682,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,  1683,  1684,     0,     0,   677,   678,
    1685,   679,  1686,  1687,   680,   681,   682,   683,  5762,   685,
     686,     0,  1688,   687,   688,   689,   690,   691,  1689,     0,
     692,   693,   694,   695,   696,   749,  1690,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,  1691,  1692,  1693,  1694,
     244,  1695,  1696,  1697,  1698,   249,   750,   709,   710, -2974,
       0,     0,     0,     0,     0,     0,  1700,  1701,     0,     0,
       0,     0,     0,     0,     0,  1703,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,   434,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1634,  1635,  1636,    45,  1637,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,  1638,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,  1639,   136,  1640,  1641,     0,
     454,   455,   456,   457,   458,  1642,  1643,   459,   460,  1644,
    1645,   461,     0,   462,   463,   464,   465,  1646,     0,  1647,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,  1648,  1649,  1650,  1651,  1652,  1653,  1654,   482,
     483,   484,   485,   743,   486,  1655,  1656,   487,  5484,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,  1469,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,  1658,   514,   515,   516,  1659,  1660,   517,     0,
     518,   519,  1661,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,  1662,     0,  1663,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,  1472,  1664,     0,
    1665,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1666,   183,   555,   184,     0,
     556,   557,   558,  1667,  1668,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,  1669,   190,  1670,   573,   574,   575,   192,     0,   576,
     577,   194,   578,  1672,  1673,   579,  1674,   580,   581,   582,
       0,   583,   584,     0,     0,  1675,   586,   587,     0,     0,
     588,   197,   198,   589,   199,  1676,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,  1677,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,  1678,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,  3190,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,  1680,   649,   650,   218,   651,
     652,   220,   653,   654,  1681,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,  1682,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,  1683,  1684,     0,     0,   677,   678,  1685,   679,
    1686,  1687,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,  1689,     0,   692,   693,
     694,   695,   696,   749,  1690,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,  1691,  1692,  1693,  1694,   244,  1695,
    1696,  1697,  1698,   249,   750,   709,   710,     0,     0,     0,
       0,     0,     0,     0,  3191,  3192,     0,     0,     0,     0,
       0,     0,     0,  3193,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1634,  1635,  1636,    45,  1637,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,  1638,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,  1639,   136,  1640,  1641,     0,   454,   455,
     456,   457,   458,  1642,  1643,   459,   460,  1644,  1645,   461,
       0,   462,   463,   464,   465,  1646,     0,  1647,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
    1648,  1649,  1650,  1651,  1652,  1653,  1654,   482,   483,   484,
     485,   743,   486,  1655,  1656,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,  1469,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
    1658,   514,   515,   516,  1659,  1660,   517,     0,   518,   519,
    1661,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,  1662,     0,  1663,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,  1472,  1664,     0,  1665,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,  1666,   183,   555,   184,     0,   556,   557,
     558,  1667,  1668,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,  1669,
     190,  1670,   573,   574,   575,   192,     0,   576,   577,   194,
     578,  1672,  1673,   579,  1674,   580,   581,   582,     0,   583,
     584,     0,     0,  1675,   586,   587,     0,     0,   588,   197,
     198,   589,   199,  1676,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,  1677,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,  1678,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,  3190,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,  1680,   649,   650,   218,   651,   652,   220,
     653,   654,  1681,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,  1682,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
    1683,  1684,     0,     0,   677,   678,  1685,   679,  1686,  1687,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,  1689,     0,   692,   693,   694,   695,
     696,   749,  1690,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,  1691,  1692,  1693,  1694,   244,  1695,  1696,  1697,
    1698,   249,   750,   709,   710,     0,     0,     0,     0,     0,
       0,     0,  3191,  3192,     0,     0,     0,     0,     0,     0,
       0,  3193,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,   434,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1634,
    1635,  1636,    45,  1637,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,  1638,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,  1639,   136,  1640,  1641,     0,   454,   455,   456,   457,
     458,  1642,  1643,   459,   460,  1644,  1645,   461,     0,   462,
     463,   464,   465,  1646,     0,  1647,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,   482,   483,   484,   485,   743,
     486,  1655,  1656,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,  1469,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,  1658,   514,
     515,   516,  1659,  1660,   517,     0,   518,   519,  1661,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,  1662,     0,  1663,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1472,  1664,     0,  1665,     0,   547,     0,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1666,   183,   555,   184,     0,   556,   557,   558,  1667,
    1668,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,  1669,   190,  1670,
     573,   574,   575,   192,     0,   576,   577,   194,   578,  1672,
    1673,   579,  1674,   580,   581,   582,     0,   583,   584,     0,
       0,  1675,   586,   587,     0,     0,   588,   197,   198,   589,
     199,  1676,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,  1677,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
    1678,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,  3190,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,  1680,   649,   650,   218,   651,   652,   220,   653,   654,
    1681,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,  1682,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,  1683,  1684,
       0,     0,   677,   678,  1685,   679,  1686,  1687,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,  1689,     0,   692,   693,   694,   695,   696,   749,
    1690,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
    1691,  1692,  1693,  1694,   244,  1695,  1696,  1697,  1698,   249,
     750,   709,   710,     0,     0,     0,     0,     0,     0,     0,
    3191,  3192,     0,     0,     0,     0,     0,     0,     0,  3193,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1634,  1635,     0,
      45,  1637,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,  1638,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,  1639,
     136,  1640,  1641,     0,   454,   455,   456,   457,   458,  1642,
    1643,   459,   460,  1644,  1645,   461,     0,   462,   463,   464,
     465,  1646,     0,  1647,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,  1648,  1649,  1650,  1651,
    1652,  1653,  1654,   482,   483,   484,   485,   743,   486,  1655,
    1656,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
    1469,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,  1658,   514,   515,   516,
    1659,  1660,   517,     0,   518,   519,  1661,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,  1662,     0,  1663,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,  1472,  1664,     0,  1665,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,  1666,
     183,   555,   184,     0,   556,   557,   558,  1667,  1668,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,  1669,   190,  1670,   573,   574,
     575,   192,     0,   576,   577,   194,   578,  1672,  1673,   579,
    1674,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1676,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1677,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,  1678,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,  3190,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,  1680,
     649,   650,   218,   651,   652,   220,   653,   654,  1681,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1682,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,  1683,  1684,     0,     0,
     677,   678,  1685,   679,  1686,  1687,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
    1689,     0,   692,   693,   694,   695,   696,   749,  1690,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,  1691,  1692,
    1693,  1694,   244,  1695,  1696,  1697,  1698,   249,   750,   709,
     710,     0,     0,     0,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,  3193,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1634,  1635,     0,    45,  1637,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,  1638,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,  1639,   136,  1640,  1641,     0,  4518,   455,
     456,   457,   458,  1642,  1643,   459,   460,  1644,  1645,   461,
       0,   462,   463,   464,   465,  1646,     0,  1647,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
    1648,  1649,  1650,  1651,  1652,  1653,  1654,   482,   483,   484,
     485,   743,   486,  1655,  1656,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,  1469,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
    1658,   514,   515,   516,  1659,  1660,   517,     0,   518,   519,
    1661,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,  1662,     0,  1663,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,  1472,  1664,     0,  1665,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,  1666,   183,   555,   184,     0,   556,   557,
     558,  1667,  1668,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,  1669,
     190,  1670,   573,   574,   575,   192,     0,   576,   577,   194,
     578,  1672,  1673,   579,  1674,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
     198,   589,   199,  1676,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,  1677,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,  1678,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,  3190,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,  1680,   649,   650,   218,   651,   652,   220,
     653,   654,  1681,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,  1682,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
    1683,  1684,     0,     0,   677,   678,  1685,   679,  1686,  1687,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,  1689,     0,   692,   693,   694,   695,
     696,   749,  1690,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,  1691,  1692,  1693,  1694,   244,  1695,  1696,  1697,
    1698,   249,   750,   709,   710,     0,     0,     0,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,  3193,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,   434,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1634,  1635,     0,    45,  1637,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,  1638,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,  1639,   136,  1640,
    1641,     0,   454,   455,   456,   457,   458,  1642,  1643,   459,
     460,  1644,  1645,   461,     0,   462,   463,   464,   465,  1646,
       0,  1647,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   482,   483,   484,   485,   743,   486,  1655,  1656,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,  1469,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,  1658,   514,   515,   516,  1659,  1660,
     517,     0,   518,   519,  1661,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,  1662,
       0,  1663,   528,     0,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1472,
    1664,     0,  1665,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1666,   183,   555,
     184,     0,   556,   557,   558,  1667,  1668,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,  1669,   190,  1670,   573,   574,   575,   192,
       0,   576,   577,   194,   578,  1672,  1673,   579,  1674,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   197,   198,   589,   199,  1676,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
    1677,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,  1678,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,  3190,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,  1680,   649,   650,
     218,   651,   652,   220,   653,   654,  1681,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,  1682,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,  1683,  1684,     0,     0,   677,   678,
    1685,   679,  1686,  1687,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,  1689,     0,
     692,   693,   694,   695,   696,   749,  1690,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,  1691,  1692,  1693,  1694,
    5000,  1695,  1696,  1697,  1698,   249,   750,   709,   710,     0,
       0,     0,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,  3193,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,   434,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1634,
    1635,  1636,    45,  1637,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,  1638,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
       0,  1639,   136,  1640,  1641,     0,   454,   455,   456,   457,
     458,  1642,  1643,   459,   460,  1644,  1645,   461,     0,   462,
     463,   464,   465,  1646,     0,  1647,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,   482,   483,   484,   485,   743,
     486,  1655,  1656,   487,  1657,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,  1469,   502,   503,     0,   504,   505,   506,     0,
     507,     0,   509,     0,   510,   511,   512,   513,  1658,   514,
     515,   516,  1659,  1660,   517,     0,   518,   519,  1661,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,  1662,     0,  1663,   528,     0,   529,   530,
     745,   531,   532,     0,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1472,  1664,     0,  1665,     0,   547,     0,
       0,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1666,   183,   555,     0,     0,   556,   557,   558,  1667,
    1668,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,  1669,   190,  1670,
     573,   574,   575,   192,  1671,   576,   577,     0,   578,  1672,
    1673,   579,  1674,   580,   581,   582,     0,   583,   584,     0,
       0,  1675,   586,   587,     0,     0,   588,   197,   198,   589,
     199,  1676,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,  1677,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
    1678,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,  1679,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,  1680,   649,   650,   218,   651,   652,     0,   653,   654,
    1681,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,  1682,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,  1683,  1684,
       0,     0,   677,   678,  1685,   679,  1686,  1687,   680,   681,
     682,   683,   684,   685,   686,     0,  1688,   687,   688,   689,
     690,   691,  1689,     0,   692,   693,   694,   695,   696,   749,
    1690,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
    1691,  1692,  1693,  1694,   244,  1695,  1696,  1697,  1698,   249,
     750,   709,   710,     0,     0,     0,     0,     0,     0,     0,
    1700,  1701,     0,     0,     0,     0,     0,     0,     0,  1703,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,   135,
     136,   137,   138,     0,   454,   455,   456,   457,   458,     0,
    1643,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,  1646,     0,  1647,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,  1648,  1649,  1650,  1651,
    1652,  1653,  1654,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
    1659,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,  1662,     0,   172,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,  4002,     0,   554,  1666,
     183,   555,   184,     0,   556,   557,   558,  1667,  1668,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,  1673,   579,
     196,   580,   581,   582,     0,   583,   584,     0,  1158,   585,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1676,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1677,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,   213,  4003,   636,   637,   638,   639,   640,
     641,   748,   642,   216,   643,   644,   645,   646,   647,  1680,
     649,   650,   218,   651,   652,   220,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1682,     0,   668,   669,   224,   670,   225,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,  1685,   679,  1686,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
    1689,     0,   692,   693,   694,   695,   696,  2413,   236,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
     238,   703,   704,   705,   706,   707,   708,   239,  1691,  1692,
    1693,  1694,   244,  1695,  1696,  1697,  1698,  4004,   750,   709,
     710,     0,     0,   250,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,  4005,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,   135,   136,   137,   138,     0,   454,   455,
     456,   457,   458,     0,  1643,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,  1646,     0,  1647,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
    1648,  1649,  1650,  1651,  1652,  1653,  1654,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,  1659,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,  1662,     0,   172,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
    4002,     0,   554,  1666,   183,   555,   184,     0,   556,   557,
     558,  1667,  1668,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,  1673,   579,   196,   580,   581,   582,     0,   583,
     584,     0,  1158,   585,   586,   587,     0,     0,   588,   197,
     198,   589,   199,  1676,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,  1677,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,   213,  4003,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,  1680,   649,   650,   218,   651,   652,   220,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,  1682,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,  1685,   679,  1686,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,  1689,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,  1691,  1692,  1693,  1694,   244,  1695,  1696,  1697,
    1698,  4004,   750,   709,   710,     0,     0,     0,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,  4005,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,     0,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,   135,   136,   137,
     138,     0,   454,   455,   456,   457,   458,     0,  1643,   459,
     460,   740,   139,   461,     0,   462,   463,   464,   465,  1646,
       0,  1647,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,   482,   483,   484,   485,   743,   486,   154,   155,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,   501,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   163,   514,   515,   516,  1659,     0,
     517,     0,   518,   519,   167,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,  1662,
       0,   172,   528,     0,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1666,   183,   555,
     184,     0,   556,   557,   558,  1667,  1668,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
       0,   576,   577,   194,   578,     0,  1673,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   197,   198,   589,   199,  1676,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
    1677,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   204,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,   213,  4003,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,  1680,   649,   650,
     218,   651,   652,   220,   653,   654,   221,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,  1682,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,   226,   227,     0,     0,   677,   678,
    1685,   679,  1686,     0,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,  1689,     0,
     692,   693,   694,   695,   696,   749,   236,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,  1691,  1692,  1693,  1694,
     244,  1695,  1696,  1697,  1698,  4004,   750,   709,   710,     0,
       0,     0,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,   251,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,   135,   136,   137,   138,     0,   454,   455,   456,   457,
     458,     0,  1643,   459,   460,   740,   139,   461,     0,   462,
     463,   464,   465,  1646,     0,  1647,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,   482,   483,   484,   485,   743,
     486,   154,   155,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,   501,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   163,   514,
     515,   516,  1659,     0,   517,     0,   518,   519,   167,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,  1662,     0,   172,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1666,   183,   555,   184,     0,   556,   557,   558,  1667,
    1668,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
    1673,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   197,   198,   589,
     199,  1676,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,  1677,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     204,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,   213,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,  1680,   649,   650,   218,   651,   652,   220,   653,   654,
     221,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,  1682,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,   226,   227,
       0,     0,   677,   678,  1685,   679,  1686,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,  1689,     0,   692,   693,   694,   695,   696,   749,
     236,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
    1691,  1692,  1693,  1694,   244,  1695,  1696,  1697,  1698,   249,
     750,   709,   710,     0,     0,     0,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,  4655,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,   135,   136,   137,   138,     0,
     454,   455,   456,   457,   458,     0,  1643,   459,   460,   740,
     139,   461,     0,   462,   463,   464,   465,  1646,     0,  1647,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,  1648,  1649,  1650,  1651,  1652,  1653,  1654,   482,
     483,   484,   485,   743,   486,   154,   155,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,  1659,     0,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,  1662,     0,   172,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1666,   183,   555,   184,     0,
     556,   557,   558,  1667,  1668,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,  1673,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   197,   198,   589,   199,  1676,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,  1677,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,   213,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,  1680,   649,   650,   218,   651,
     652,   220,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,  1682,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,   226,   227,     0,     0,   677,   678,  1685,   679,
    1686,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,  1689,     0,   692,   693,
     694,   695,   696,   749,   236,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,  1691,  1692,  1693,  1694,   244,  1695,
    1696,  1697,  1698,   249,   750,   709,   710,     0,     0,     0,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,  5742,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,   135,
     136,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,   144,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,     0,     0,     0,   151,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,   182,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,   198,   589,   199,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,   220,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,     0,     0,     0,     0,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,  5343,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
    4574,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0, -1745,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0, -1745,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543, -1745,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548, -1745,   549,   550,   551,   552,   553,
       0,     0,   554,   182, -1745,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
   -1745,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631, -1745,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,     0,     0,     0,     0,     0,
      86,    87,    88,   726,    90,    91,    92,   727,     0,   728,
      95,     0,  1798,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   729,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   730,   731,
       0,     0,     0,   732,   733,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
     736,     0,   737,   738,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,     0,   451,   452,   453,   134,   135,     0,
     137,   138,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   740,   139,   461,     0,   462,   463,   464,   465,
     143,     0,     0,     0,   466,   467,   468,   469,   470,     0,
     471,   472,   741,     0,   473,   474,   475,   476,   477,   478,
       0,     0,   479,   480,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   743,   486,   154,   155,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,   501,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   163,   514,   515,   516,   165,
       0,   517,     0,   518,   519,   167,   520,     0,   521,     0,
     522,     0,     0,     0,   523,   524,   525,   526,     0,   527,
     171,     0,   172,   528,     0,   529,   530,   745,   531,   532,
       0,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   746,   568,   569,
     747,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   197,     0,   589,     0,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,   201,   601,   202,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
     748,   642,     0,   643,   644,   645,   646,   647,     0,   649,
     650,   218,   651,   652,     0,   653,   654,   221,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,     0,   668,   669,     0,   670,     0,   671,
     672,   673,   674,   675,     0,   226,   227,     0,     0,   677,
     678,   228,   679,   229,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,   749,   236,     0,   697,
       0,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   750,   709,   710,
       0,     0,     0,     0,    86,    87,    88,   726,    90,    91,
      92,   727,     0,   728,    95,  3813,  3814,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   729,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,     0,   451,   452,
     453,   134,   135,     0,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   740,   139,   461,     0,
     462,   463,   464,   465,   143,     0,     0,     0,   466,   467,
     468,   469,   470,     0,   471,   472,   741,     0,   473,   474,
     475,   476,   477,   478,     0,     0,   479,   480,     0,     0,
       0,     0,     0,     0,     0,     0,   482,   483,   484,   485,
     743,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,     0,   517,     0,   518,   519,   167,
     520,     0,   521,     0,   522,     0,     0,     0,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,   745,   531,   532,     0,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   197,     0,
     589,     0,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,     0,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,   748,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,   218,   651,   652,     0,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,     0,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
     749,   236,     0,   697,     0,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   750,   709,   710,     0,     0,     0,     0,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
    3814,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     729,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,   434,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,     0,   451,   452,   453,   134,   135,     0,   137,   138,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     740,   139,   461,     0,   462,   463,   464,   465,   143,     0,
       0,     0,   466,   467,   468,   469,   470,     0,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,     0,
     479,   480,     0,     0,     0,     0,     0,     0,     0,     0,
     482,   483,   484,   485,   743,   486,   154,   155,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,   501,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   163,   514,   515,   516,   165,     0,   517,
       0,   518,   519,   167,   520,     0,   521,     0,   522,     0,
       0,     0,   523,   524,   525,   526,     0,   527,   171,     0,
     172,   528,     0,   529,   530,   745,   531,   532,     0,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   197,     0,   589,     0,   200,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,   201,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   204,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   632,   633,   634,
     213,   635,   636,   637,   638,   639,   640,   641,   748,   642,
     216,   643,   644,   645,   646,   647,     0,   649,   650,   218,
     651,   652,     0,   653,   654,   221,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     223,     0,   668,   669,   224,   670,     0,   671,   672,   673,
     674,   675,     0,   226,   227,     0,     0,   677,   678,   228,
     679,   229,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,  2413,   236,     0,   697,     0,   698,
     699,   700,   701,     0,     0,   702,     0,   238,   703,   704,
     705,   706,   707,   708,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   750,   709,   710,     0,     0,
     250,     0,    86,    87,    88,   726,    90,    91,    92,   727,
       0,   728,    95,     0,   251,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   729,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,     0,   451,   452,   453,   134,
     135,     0,   137,   138,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   740,   139,   461,     0,   462,   463,
     464,   465,   143,     0,     0,     0,   466,   467,   468,   469,
     470,     0,   471,   472,   741,     0,   473,   474,   475,   476,
     477,   478,     0,     0,   479,   480,     0,     0,     0,     0,
       0,     0,     0,     0,   482,   483,   484,   485,   743,   486,
     154,   155,   487,     0,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,   501,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   163,   514,   515,
     516,   165,     0,   517,     0,   518,   519,   167,   520,     0,
     521,     0,   522,     0,     0,     0,   523,   524,   525,   526,
       0,   527,   171,     0,   172,   528,     0,   529,   530,   745,
     531,   532,     0,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   197,     0,   589,     0,
     200,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,   201,   601,   202,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   204,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   632,   633,   634,   213,   635,   636,   637,   638,   639,
     640,   641,   748,   642,   216,   643,   644,   645,   646,   647,
       0,   649,   650,   218,   651,   652,     0,   653,   654,   221,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   223,     0,   668,   669,   224,   670,
       0,   671,   672,   673,   674,   675,     0,   226,   227,     0,
       0,   677,   678,   228,   679,   229,     0,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,  2413,   236,
       0,   697,     0,   698,   699,   700,   701,     0,     0,   702,
       0,   238,   703,   704,   705,   706,   707,   708,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   750,
     709,   710,     0,     0,   250,     0,    86,    87,    88,   726,
      90,    91,    92,   727,     0,   728,    95,     0,   251,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   729,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   730,   731,     0,     0,     0,   732,
     733,     0,     0,     0,     0,   734,     0,     0,     0,     0,
       0,     0,     0,     0,   735,     0,   736,     0,   737,   738,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,     0,     0,     0,     0,
       0,     0,     0,   446,   447,     0,   448,   449,   450,     0,
     451,   452,   453,   134,   135,     0,   137,   138,     0,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   740,   139,
     461,     0,   462,   463,   464,   465,   143,     0,     0,     0,
     466,   467,   468,   469,   470,     0,   471,   472,   741,     0,
     473,   474,   475,   476,   477,   478,     0,     0,   479,   480,
       0,     0,     0,     0,     0,     0,     0,     0,   482,   483,
     484,   485,   743,   486,   154,   155,   487,     0,   488,     0,
     489,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,     0,   499,   500,   501,   502,   503,     0,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   163,   514,   515,   516,   165,     0,   517,     0,   518,
     519,   167,   520,     0,   521,     0,   522,     0,     0,     0,
     523,   524,   525,   526,     0,   527,   171,     0,   172,   528,
       0,   529,   530,   745,   531,   532,     0,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   746,   568,   569,   747,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     197,     0,   589,     0,   200,   590,   591,   592,   593,   594,
     595,   596,   597,   598,     0,   599,   600,   201,   601,   202,
     602,   603,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   204,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   632,   633,   634,   213,   635,
     636,   637,   638,   639,   640,   641,   748,   642,     0,   643,
     644,   645,   646,   647,     0,   649,   650,   218,   651,   652,
       0,   653,   654,   221,   655,     0,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,   223,     0,
     668,   669,     0,   670,     0,   671,   672,   673,   674,   675,
       0,   226,   227,     0,     0,   677,   678,   228,   679,   229,
       0,   680,   681,   682,   683,   684,   685,   686,     0,     0,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,   749,   236,     0,   697,     0,   698,   699,   700,
     701,     0,     0,   702,     0,     0,   703,   704,   705,   706,
     707,   708,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   750,   709,   710,     0,     0,     0,     0,
      86,    87,    88,   726,    90,    91,    92,   727,     0,   728,
      95,     0,  1774,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   729,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   730,   731,
       0,     0,     0,   732,   733,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
     736,     0,   737,   738,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,     0,   451,   452,   453,   134,   135,     0,
     137,   138,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   740,   139,   461,     0,   462,   463,   464,   465,
     143,     0,     0,     0,   466,   467,   468,   469,   470,     0,
     471,   472,   741,     0,   473,   474,   475,   476,   477,   478,
       0,     0,   479,   480,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,   484,   485,   743,   486,   154,   155,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,   501,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   163,   514,   515,   516,   165,
       0,   517,     0,   518,   519,   167,   520,     0,   521,     0,
     522,     0,     0,     0,   523,   524,   525,   526,     0,   527,
     171,     0,   172,   528,     0,   529,   530,   745,   531,   532,
       0,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   746,   568,   569,
     747,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   197,     0,   589,     0,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,   201,   601,   202,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
     748,   642,     0,   643,   644,   645,   646,   647,     0,   649,
     650,   218,   651,   652,     0,   653,   654,   221,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,     0,   668,   669,     0,   670,     0,   671,
     672,   673,   674,   675,     0,   226,   227,     0,     0,   677,
     678,   228,   679,   229,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,   749,   236,     0,   697,
       0,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   750,   709,   710,
       0,     0,     0,     0,    86,    87,    88,   726,    90,    91,
      92,   727,     0,   728,    95,     0,  3355,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   729,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,     0,   451,   452,
     453,   134,   135,     0,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   740,   139,   461,     0,
     462,   463,   464,   465,   143,     0,     0,     0,   466,   467,
     468,   469,   470,     0,   471,   472,   741,     0,   473,   474,
     475,   476,   477,   478,     0,     0,   479,   480,     0,     0,
       0,     0,     0,     0,     0,     0,   482,   483,   484,   485,
     743,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,     0,   517,     0,   518,   519,   167,
     520,     0,   521,     0,   522,     0,     0,     0,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,   745,   531,   532,     0,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   197,     0,
     589,     0,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,     0,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,   748,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,   218,   651,   652,     0,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,     0,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
     749,   236,     0,   697,     0,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   750,   709,   710,     0,     0,     0,     0,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
    4553,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     729,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,     0,   451,   452,   453,   134,   135,     0,   137,   138,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     740,   139,   461,     0,   462,   463,   464,   465,   143,     0,
       0,     0,   466,   467,   468,   469,   470,     0,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,     0,
     479,   480,     0,     0,     0,     0,     0,     0,     0,     0,
     482,   483,   484,   485,   743,   486,   154,   155,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,   501,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   163,   514,   515,   516,   165,     0,   517,
       0,   518,   519,   167,   520,     0,   521,     0,   522,     0,
       0,     0,   523,   524,   525,   526,     0,   527,   171,     0,
     172,   528,     0,   529,   530,   745,   531,   532,     0,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   197,     0,   589,     0,   200,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,   201,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   204,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   632,   633,   634,
     213,   635,   636,   637,   638,   639,   640,   641,   748,   642,
       0,   643,   644,   645,   646,   647,     0,   649,   650,   218,
     651,   652,     0,   653,   654,   221,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     223,     0,   668,   669,     0,   670,     0,   671,   672,   673,
     674,   675,     0,   226,   227,     0,     0,   677,   678,   228,
     679,   229,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,   749,   236,     0,   697,     0,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   750,   709,   710,     0,     0,
       0,   774,    86,    87,    88,   726,    90,    91,    92,   727,
       0,   728,    95,     0,  5017,    98,    99,   100,   101,   102,
     103,   775,   104,   105,   729,   776,     0,   107,   108,   109,
     110,   777,   778,   112,   113,   114,     0,   115,   779,   780,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,   434,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
    1285,    45,     0,     0,     0,     0,     0,  1286,  1287,  1288,
     435,   436,   437,   438,   439,   440,   441,   442,   781,   443,
     444,   445,   782,   783,   784,   785,   786,   787,   788,   446,
     447,   789,   448,   449,   450,   132,   451,   452,   453,     0,
    1462,   136,  1463,  1464,   790,   454,   455,   456,   457,   458,
     791,   792,   459,   460,  1465,  1466,   461,   794,   462,   463,
     464,   465,     0,   795,   144,   796,   466,   467,   468,   469,
     470,   147,   471,   472,   741,   798,   473,   474,   475,   476,
     477,   478,   799,   150,   479,   480,     0,   801,   802,   803,
     151,   804,   805,   806,   482,   483,   484,   485,   743,   486,
    1467,  1468,   487,   807,   488,   808,   489,   490,   491,   492,
     493,   494,   809,   495,   496,   497,   498,   810,   811,   499,
     500,  1469,   502,   503,   812,   504,   505,   506,   813,   507,
     508,   509,   814,   510,   511,   512,   513,     0,   514,   515,
     516,     0,   815,   517,   816,   518,   519,  1470,   520,   817,
     521,   818,   522,   168,   819,   169,   523,   524,   525,   526,
     820,   527,     0,   821,     0,   528,   822,   529,   530,   745,
     531,   532,   173,   533,   534,   535,   536,   823,   537,   538,
     539,   540,   541,   542,   824,   543,   175,     0,     0,   544,
     545,   546,  1472,  1473,   827,  1474,   828,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,   829,   830,   554,
       0,   183,   555,   184,   831,   556,   557,   558,   832,   833,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,  1475,   190,  1476,   573,
     574,   575,  4302,   834,   576,   577,   194,   578,   835,     0,
     579,  1477,   580,   581,   582,   836,   583,   584,   837,   838,
    4303,   586,   587,   839,   840,   588,     0,   198,   589,   199,
       0,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     841,   599,   600,     0,   601,     0,   602,   603,   604,   842,
     605,   606,   607,   608,   609,   610,   611,   612,   613,  1478,
     614,   615,   616,   617,   843,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   844,   630,   631,
     211,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   748,   642,   845,   643,   644,   645,   646,   647,
     846,   649,   650,  2627,   651,   652,   220,   653,   654,  1480,
     655,   847,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,     0,   848,   668,   669,   849,   670,
     225,   671,   672,   673,   674,   675,   850,  1481,  1482,     0,
     852,   677,   678,     0,   679,     0,   853,   680,   681,   682,
     683,   684,   685,   686,     0,   855,   687,   688,   689,   690,
     691,   856,   857,   692,   693,   694,   695,   696,     0,  1483,
     859,   697,   237,   698,   699,   700,   701,   860,   861,   702,
     862,   863,   703,   704,   705,   706,   707,   708,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   750,
     709,   710,     0,     0,     0,  1291,  1292,  1293,     0,  4304,
    4305,  1296,  1297,  1298,  1299,   774,    86,    87,    88,   726,
      90,    91,    92,   727,     0,   728,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   775,   104,   105,   729,   776,
       0,   107,   108,   109,   110,   777,   778,   112,   113,   114,
       0,   115,   779,   780,   730,   731,     0,     0,     0,   732,
     733,     0,     0,     0,     0,   734,     0,     0,     0,     0,
       0,     0,     0,     0,   735,     0,   736,     0,   737,   738,
      35,   434,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,  1285,    45,     0,     0,     0,     0,
       0,  1286,  1287,  1288,   435,   436,   437,   438,   439,   440,
     441,   442,   781,   443,   444,   445,   782,   783,   784,   785,
     786,   787,   788,   446,   447,   789,   448,   449,   450,   132,
     451,   452,   453,     0,  1462,   136,  1463,  1464,   790,   454,
     455,   456,   457,   458,   791,   792,   459,   460,  1465,  1466,
     461,   794,   462,   463,   464,   465,     0,   795,   144,   796,
     466,   467,   468,   469,   470,   147,   471,   472,   741,   798,
     473,   474,   475,   476,   477,   478,   799,   150,   479,   480,
       0,   801,   802,   803,   151,   804,   805,   806,   482,   483,
     484,   485,   743,   486,  1467,  1468,   487,   807,   488,   808,
     489,   490,   491,   492,   493,   494,   809,   495,   496,   497,
     498,   810,   811,   499,   500,  1469,   502,   503,   812,   504,
     505,   506,   813,   507,   508,   509,   814,   510,   511,   512,
     513,     0,   514,   515,   516,     0,   815,   517,   816,   518,
     519,  1470,   520,   817,   521,   818,   522,   168,   819,   169,
     523,   524,   525,   526,   820,   527,     0,   821,     0,   528,
     822,   529,   530,   745,   531,   532,   173,   533,   534,   535,
     536,   823,   537,   538,   539,   540,   541,   542,   824,   543,
     175,     0,     0,   544,   545,   546,  1472,  1473,   827,  1474,
     828,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,   829,   830,   554,     0,   183,   555,   184,   831,   556,
     557,   558,   832,   833,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   746,   568,   569,   747,   570,   571,   572,
    1475,   190,  1476,   573,   574,   575,  4746,   834,   576,   577,
     194,   578,   835,     0,   579,  1477,   580,   581,   582,   836,
     583,   584,   837,   838,  4303,   586,   587,   839,   840,   588,
       0,   198,   589,   199,     0,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   841,   599,   600,     0,   601,     0,
     602,   603,   604,   842,   605,   606,   607,   608,   609,   610,
     611,   612,   613,  1478,   614,   615,   616,   617,   843,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   844,   630,   631,   211,   632,   633,   634,     0,   635,
     636,   637,   638,   639,   640,   641,   748,   642,   845,   643,
     644,   645,   646,   647,   846,   649,   650,  2627,   651,   652,
     220,   653,   654,  1480,   655,   847,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,     0,   848,
     668,   669,   849,   670,   225,   671,   672,   673,   674,   675,
     850,  1481,  1482,     0,   852,   677,   678,     0,   679,     0,
     853,   680,   681,   682,   683,   684,   685,   686,     0,   855,
     687,   688,   689,   690,   691,   856,   857,   692,   693,   694,
     695,   696,     0,  1483,   859,   697,   237,   698,   699,   700,
     701,   860,   861,   702,   862,   863,   703,   704,   705,   706,
     707,   708,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   750,   709,   710,     0,     0,     0,  1291,
    1292,  1293,     0,  4304,  4305,  1296,  1297,  1298,  1299,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   729,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1285,     0,     0,
       0,     0,     0,     0,  1286,  1287,  1288,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,     0,     0,     0,   446,   447,     0,   448,
     449,   450,     0,   451,   452,   453,   134,   135,     0,   137,
     138,     0,   454,   455,   456,   457,   458,     0,     0,   459,
     460,   740,   139,   461,     0,   462,  1289,   464,   465,   143,
       0,     0,     0,   466,   467,   468,   469,   470,     0,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
       0,   479,   480,     0,     0,     0,     0,     0,     0,     0,
       0,   482,   483,   484,   485,   743,   486,   154,   155,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,   501,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   163,   514,   515,   516,   165,     0,
    1290,     0,   518,   519,   167,   520,     0,   521,     0,   522,
       0,     0,     0,   523,   524,   525,   526,     0,   527,   171,
       0,   172,   528,     0,   529,   530,   745,   531,   532,     0,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   197,     0,   589,     0,   200,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
     201,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   204,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,     0,   632,   633,
     634,   213,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,     0,   649,   650,
     218,   651,   652,     0,   653,   654,   221,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,   223,     0,   668,   669,     0,   670,     0,   671,   672,
     673,   674,   675,     0,   226,   227,     0,     0,   677,   678,
     228,   679,   229,     0,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,   749,   236,     0,   697,     0,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   750,   709,   710,     0,
       0,     0,  1291,  1292,  1293,     0,  1294,  1295,  1296,  1297,
    1298,  1299,    86,    87,    88,   726,    90,    91,    92,   727,
       0,   728,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   729,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1285,     0,     0,     0,     0,     0,     0,  1286,  1287,  1288,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,     0,   451,   452,   453,   134,
     135,     0,   137,   138,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   740,   139,   461,     0,   462,  1406,
     464,   465,   143,     0,     0,     0,   466,   467,   468,   469,
     470,     0,   471,   472,   741,     0,   473,   474,   475,   476,
     477,   478,     0,     0,   479,   480,     0,     0,     0,     0,
       0,     0,     0,     0,   482,   483,   484,   485,   743,   486,
     154,   155,   487,     0,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,   501,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   163,   514,   515,
     516,   165,     0,  1407,     0,   518,   519,   167,   520,     0,
     521,     0,   522,     0,     0,     0,   523,   524,   525,   526,
       0,   527,   171,     0,   172,   528,     0,   529,   530,   745,
     531,   532,     0,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   197,     0,   589,     0,
     200,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,   201,   601,   202,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   204,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   632,   633,   634,   213,   635,   636,   637,   638,   639,
     640,   641,   748,   642,     0,   643,   644,   645,   646,   647,
       0,   649,   650,   218,   651,   652,     0,   653,   654,   221,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   223,     0,   668,   669,     0,   670,
       0,   671,   672,   673,   674,   675,     0,   226,   227,     0,
       0,   677,   678,   228,   679,   229,     0,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,   749,   236,
       0,   697,     0,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   750,
     709,   710,     0,     0,     0,  1291,  1292,  1293,     0,  1294,
    1295,  1296,  1297,  1298,  1299,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1285,     0,     0,     0,     0,     0,     0,
    1286,  1287,  1288,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,  1514,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,  1515,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1516,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,     0,     0,     0,  1291,  1292,
    1293,     0,  1294,  1295,  1296,  1297,  1298,  1299,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     729,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1285,     0,     0,     0,
       0,     0,     0,  1286,  1287,  1288,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,     0,   451,   452,   453,   134,   135,     0,   137,   138,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     740,   139,   461,     0,   462,  2106,   464,   465,   143,     0,
       0,     0,   466,   467,   468,   469,   470,     0,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,     0,
     479,   480,     0,     0,     0,     0,     0,     0,     0,     0,
     482,   483,   484,   485,   743,   486,   154,   155,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,   501,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   163,   514,   515,   516,   165,     0,  2107,
       0,   518,   519,   167,   520,     0,   521,     0,   522,     0,
       0,     0,   523,   524,   525,   526,     0,   527,   171,     0,
     172,   528,     0,   529,   530,   745,   531,   532,     0,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   197,     0,   589,     0,   200,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,   201,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   204,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   632,   633,   634,
     213,   635,   636,   637,   638,   639,   640,   641,   748,   642,
       0,   643,   644,   645,   646,   647,     0,   649,   650,   218,
     651,   652,     0,   653,   654,   221,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     223,     0,   668,   669,     0,   670,     0,   671,   672,   673,
     674,   675,     0,   226,   227,     0,     0,   677,   678,   228,
     679,   229,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,   749,   236,     0,   697,     0,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   750,   709,   710,     0,     0,
       0,  1291,  1292,  1293,     0,  1294,  1295,  1296,  1297,  1298,
    1299,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1285,
       0,     0,     0,     0,     0,     0,  1286,  1287,  1288,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,     0,     0,     0,  1291,  1292,  1293,     0,  1294,  1295,
    1296,  1297,  1298,  1299,    86,    87,    88,   726,    90,    91,
      92,   727,     0,   728,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   729,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1285,     0,     0,     0,     0,     0,     0,  1286,
    1287,  1288,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,     0,   451,   452,
     453,   134,   135,     0,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   740,   139,   461,     0,
     462,  3456,   464,   465,   143,     0,     0,     0,   466,   467,
     468,   469,   470,     0,   471,   472,   741,     0,   473,   474,
     475,   476,   477,   478,     0,     0,   479,   480,     0,     0,
       0,     0,     0,     0,     0,     0,   482,   483,   484,   485,
     743,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,     0,  3457,     0,   518,   519,   167,
     520,     0,   521,     0,   522,     0,     0,     0,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,   745,   531,   532,     0,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   197,     0,
     589,     0,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,     0,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,   748,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,   218,   651,   652,     0,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,     0,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
     749,   236,     0,   697,     0,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   750,   709,   710,     0,     0,     0,  1291,  1292,  1293,
       0,  1294,  1295,  1296,  1297,  1298,  1299,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   729,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1285,     0,     0,     0,     0,
       0,     0,  1286,  1287,  1288,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
       0,   451,   452,   453,   134,   135,     0,   137,   138,     0,
     454,   455,   456,   457,   458,     0,     0,   459,   460,   740,
     139,   461,     0,   462,   463,   464,   465,   143,     0,     0,
       0,   466,   467,   468,   469,   470,     0,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,     0,   479,
     480,     0,     0,     0,     0,     0,     0,     0,     0,   482,
     483,   484,   485,   743,   486,   154,   155,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,   165,     0,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,     0,     0,
       0,   523,   524,   525,   526,     0,   527,   171,     0,   172,
     528,     0,   529,   530,   745,   531,   532,     0,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,  5321,   586,   587,     0,     0,
     588,   197,     0,   589,     0,   200,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,   201,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   632,   633,   634,   213,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,     0,   649,   650,   218,   651,
     652,     0,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   223,
       0,   668,   669,     0,   670,     0,   671,   672,   673,   674,
     675,     0,   226,   227,     0,     0,   677,   678,   228,   679,
     229,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,   749,   236,     0,   697,     0,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   750,   709,   710,     0,     0,     0,
    1291,  1292,  1293,     0,  1294,  1295,  1296,  1297,  1298,  1299,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,   781,   443,   444,
     445,   782,   783,   784,   785,   786,   787,   788,   446,   447,
     789,   448,   449,   450,   132,   451,   452,   453,   134,   135,
     136,   137,   138,   790,   454,   455,   456,   457,   458,   791,
     792,   459,   460,   793,   139,   461,   794,   462,   463,   464,
     465,   143,   795,   144,   796,   466,   467,   468,   469,   470,
     147,   471,   472,   797,   798,   473,   474,   475,   476,   477,
     478,   799,   150,   479,   480,   800,   801,   802,   803,   151,
     804,   805,   806,   482,   483,   484,   485,   743,   486,   154,
     155,   487,   807,   488,   808,   489,   490,   491,   492,   493,
     494,   809,   495,   496,   497,   498,   810,   811,   499,   500,
     501,   502,   503,   812,   504,   505,   506,   813,   507,   508,
     509,   814,   510,   511,   512,   513,   163,   514,   515,   516,
     165,   815,   517,   816,   518,   519,   167,   520,   817,   521,
     818,   522,   168,   819,   169,   523,   524,   525,   526,   820,
     527,   171,   821,   172,   528,   822,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,   823,   537,   538,   539,
     540,   541,   542,   824,   543,   175,   176,   825,   544,   545,
     546,   826,   177,   827,   178,   828,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,   829,   830,   554,   182,
     183,   555,   184,   831,   556,   557,   558,   832,   833,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,   834,   576,   577,   194,   578,   835,   195,   579,
     196,   580,   581,   582,   836,   583,   584,   837,   838,   585,
     586,   587,   839,   840,   588,   197,   198,   589,   199,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   841,
     599,   600,   201,   601,   202,   602,   603,   604,   842,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,   843,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   844,   630,   631,   211,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,   845,   643,   644,   645,   646,   647,   846,
     649,   650,   218,   651,   652,   220,   653,   654,   221,   655,
     847,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,   848,   668,   669,   849,   670,   225,
     671,   672,   673,   674,   675,   850,   226,   227,   851,   852,
     677,   678,   228,   679,   229,   853,   680,   681,   682,   683,
     684,   685,   686,   854,   855,   687,   688,   689,   690,   691,
     856,   857,   692,   693,   694,   695,   696,   858,   236,   859,
     697,   237,   698,   699,   700,   701,   860,   861,   702,   862,
     863,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,   774,    86,    87,    88,   726,    90,    91,    92,   727,
    2514,   728,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   775,   104,   105,   729,   776,     0,   107,   108,   109,
     110,   777,   778,   112,   113,   114,     0,   115,   779,   780,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,   132,   451,   452,   453,     0,
    1462,   136,  1463,  1464,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,  1465,  1466,   461,     0,   462,   463,
     464,   465,     0,     0,   144,     0,   466,   467,   468,   469,
     470,   147,   471,   472,   741,     0,   473,   474,   475,   476,
     477,   478,     0,   150,   479,   480,     0,     0,     0,     0,
     151,     0,     0,     0,   482,   483,   484,   485,   743,   486,
    1467,  1468,   487,     0,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,  1469,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,     0,   514,   515,
     516,     0,     0,   517,     0,   518,   519,  1470,   520,     0,
     521,     0,   522,   168,     0,   169,   523,   524,   525,   526,
       0,   527,     0,     0,     0,   528,     0,   529,   530,   745,
     531,   532,   173,   533,   534,   535,   536,  2623,   537,   538,
     539,   540,   541,   542,     0,   543,   175,  2624,     0,   544,
     545,   546,  1472,  1473,     0,  1474,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
       0,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,  1475,   190,  1476,   573,
     574,   575,     0,     0,   576,   577,   194,   578,     0,     0,
     579,  1477,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,  2625,   588,  2626,   198,   589,   199,
       0,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,     0,   601,     0,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,  1478,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     211,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   748,   642,     0,   643,   644,   645,   646,   647,
       0,   649,   650,  2627,   651,   652,   220,   653,   654,  1480,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,     0,     0,   668,   669,     0,   670,
     225,   671,   672,   673,   674,   675,     0,  1481,  1482,     0,
       0,   677,   678,     0,   679,     0,     0,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,  1483,
    2628,   697,   237,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   750,
     709,   710,     0,    86,    87,    88,   726,    90,    91,    92,
     727,  2629,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   729,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,     0,   451,   452,   453,
     134,   135,     0,   137,   138,     0,   454,   455,   456,   457,
     458,     0,     0,   459,   460,   740,   139,   461,     0,   462,
     463,   464,   465,   143,     0,     0,     0,   466,   467,   468,
     469,   470,     0,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,     0,   479,   480,     0,     0,     0,
       0,     0,     0,     0,     0,   482,   483,   484,   485,   743,
     486,   154,   155,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,   501,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   163,   514,
     515,   516,   165,     0,   517,     0,   518,   519,   167,   520,
       0,   521,     0,   522,     0,     0,     0,   523,   524,   525,
     526,     0,   527,   171,     0,   172,   528,     0,   529,   530,
     745,   531,   532,     0,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   197,     0,   589,
       0,   200,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,   201,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     204,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,     0,   632,   633,   634,   213,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,     0,   649,   650,   218,   651,   652,     0,   653,   654,
     221,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,   223,     0,   668,   669,     0,
     670,     0,   671,   672,   673,   674,   675,     0,   226,   227,
       0,     0,   677,   678,   228,   679,   229,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,   749,
     236,     0,   697,     0,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     750,   709,   710,     0,    86,    87,    88,   726,    90,    91,
      92,   727,  1165,   728,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   729,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,     0,   451,   452,
     453,   134,   135,     0,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   740,   139,   461,     0,
     462,   463,   464,   465,   143,     0,     0,     0,   466,   467,
     468,   469,   470,     0,   471,   472,   741,     0,   473,   474,
     475,   476,   477,   478,     0,     0,   479,   480,     0,     0,
       0,     0,     0,     0,     0,     0,   482,   483,   484,   485,
     743,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,     0,   517,     0,   518,   519,   167,
     520,     0,   521,     0,   522,     0,     0,     0,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,   745,   531,   532,     0,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   197,     0,
     589,     0,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,     0,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,   748,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,   218,   651,   652,     0,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,     0,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
     749,   236,     0,   697,     0,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   750,   709,   710,     0,    86,    87,    88,   726,    90,
      91,    92,   727,  5710,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   435,  1055,   437,   438,   439,   440,   441,
     442,  1056,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,  1057,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,  1058,
     167,   520,     0,   521,     0,  1059,     0,  1060,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
    1061,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,  1062,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,  1063,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,  1064,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,  1065,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,     0,     0,     0,     0,     0,
       0,     0,  1066,  1067,    86,    87,    88,   726,    90,    91,
      92,   727,     0,   728,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   729,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,   434,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   435,  1055,   437,   438,   439,   440,   441,   442,
    1056,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,     0,  1089,   452,
     453,   134,   135,     0,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   740,   139,   461,     0,
     462,   463,   464,   465,   143,     0,     0,     0,   466,   467,
     468,   469,   470,     0,   471,   472,   741,     0,   473,   474,
     475,   476,   477,   478,     0,     0,   479,   480,     0,     0,
       0,     0,     0,     0,     0,     0,   482,   483,   484,   485,
     743,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,     0,   517,     0,   518,  1058,   167,
     520,     0,   521,     0,  1090,     0,  1060,     0,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,   745,   531,   532,     0,   533,   534,   535,   536,  1061,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,  1062,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,   189,     0,
     191,   573,  1063,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   197,     0,
     589,     0,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,  1064,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
    1065,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,     0,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,   748,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,   218,   651,   652,     0,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,     0,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
     749,   236,     0,   697,     0,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   750,   709,   710,     0,     0,     0,     0,     0,     0,
       0,  1066,  1067,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   729,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,   434,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,  1567,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,     0,   451,   452,   453,
     134,   135,     0,   137,   138,     0,   454,   455,   456,   457,
     458,     0,     0,   459,   460,   740,   139,   461,     0,   462,
     463,   464,   465,   143,     0,     0,     0,   466,   467,   468,
     469,   470,     0,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,     0,   479,   480,     0,     0,     0,
       0,     0,     0,     0,     0,   482,   483,   484,   485,   743,
     486,   154,   155,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,   501,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   163,   514,
     515,   516,   165,     0,   517,     0,   518,   519,   167,   520,
       0,   521,     0,   522,     0,  1060,     0,   523,   524,   525,
     526,     0,   527,   171,     0,   172,   528,     0,   529,   530,
     745,   531,   532,     0,   533,   534,   535,   536,  1061,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   197,     0,   589,
       0,   200,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,   201,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     204,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,     0,   632,   633,   634,   213,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,     0,   649,   650,   218,   651,   652,     0,   653,   654,
     221,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,   223,     0,   668,   669,     0,
     670,     0,   671,   672,   673,   674,   675,     0,   226,   227,
       0,     0,   677,   678,   228,   679,   229,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,   749,
     236,     0,   697,     0,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     750,   709,   710,     0,     0,     0,     0,     0,     0,     0,
    1066,  1067,    86,    87,    88,   726,    90,    91,    92,   727,
       0,   728,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   729,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,   434,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,  1572,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,     0,   451,   452,   453,   134,
     135,     0,   137,   138,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   740,   139,   461,     0,   462,   463,
     464,   465,   143,     0,     0,     0,   466,   467,   468,   469,
     470,     0,   471,   472,   741,     0,   473,   474,   475,   476,
     477,   478,     0,     0,   479,   480,     0,     0,     0,     0,
       0,     0,     0,     0,   482,   483,   484,   485,   743,   486,
     154,   155,   487,     0,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,   501,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   163,   514,   515,
     516,   165,     0,   517,     0,   518,   519,   167,   520,     0,
     521,     0,   522,     0,  1060,     0,   523,   524,   525,   526,
       0,   527,   171,     0,   172,   528,     0,   529,   530,   745,
     531,   532,     0,   533,   534,   535,   536,  1061,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   197,     0,   589,     0,
     200,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,   201,   601,   202,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   204,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   632,   633,   634,   213,   635,   636,   637,   638,   639,
     640,   641,   748,   642,     0,   643,   644,   645,   646,   647,
       0,   649,   650,   218,   651,   652,     0,   653,   654,   221,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   223,     0,   668,   669,     0,   670,
       0,   671,   672,   673,   674,   675,     0,   226,   227,     0,
       0,   677,   678,   228,   679,   229,     0,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,   749,   236,
       0,   697,     0,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   750,
     709,   710,     0,     0,     0,     0,     0,     0,     0,  1066,
    1067,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   729,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,   434,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,     0,   451,   452,   453,   134,   135,
       0,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,   143,     0,     0,     0,   466,   467,   468,   469,   470,
       0,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,     0,   479,   480,     0,     0,     0,     0,     0,
       0,     0,     0,   482,   483,   484,   485,   743,   486,   154,
     155,   487,   744,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,     0,     0,     0,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,   745,   531,
     532,     0,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,     0,   589,     0,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,     0,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,     0,
     671,   672,   673,   674,   675,     0,   226,   227,  1745,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,     0,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   750,   709,
     710,     0,     0,     0,     0,  1135,  1746,    86,    87,    88,
     726,    90,    91,    92,   727,  1136,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   729,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
       0,   451,   452,   453,   134,   135,     0,   137,   138,     0,
     454,   455,   456,   457,   458,     0,     0,  1137,   460,  1108,
     139,   461,     0,   462,   463,   464,   465,   143,     0,     0,
       0,   466,   467,   468,   469,   470,     0,   471,   472,  1138,
       0,  1139,   474,   475,   476,   477,   478,     0,     0,   479,
     480,     0,     0,     0,     0,     0,     0,     0,     0,   482,
     483,   484,   485,   743,   486,   154,   155,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,   165,     0,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,     0,     0,
       0,   523,   524,   525,   526,     0,   527,   171,     0,   172,
     528,     0,   529,   530,   745,   531,   532,     0,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,  1140,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
    1141,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   197,     0,   589,     0,   200,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,   201,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,  1142,   633,   634,   213,
     635,   636,   637,  1143,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,  1144,     0,   649,   650,   218,   651,
     652,     0,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   223,
       0,   668,   669,     0,   670,     0,   671,   672,   673,   674,
     675,     0,  1145,   227,     0,     0,  1146,   678,   228,   679,
     229,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,  1112,   236,     0,   697,     0,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,  1147,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   750,   709,   710,   774,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   775,   104,   105,
     729,   776,     0,   107,   108,   109,   110,   777,   778,   112,
     113,   114,     0,   115,   779,   780,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,   781,   443,   444,   445,   782,   783,
     784,   785,   786,   787,   788,   446,   447,   789,   448,   449,
     450,   132,   451,   452,   453,   134,   135,   136,   137,   138,
     790,   454,   455,   456,   457,   458,   791,   792,   459,   460,
     793,   139,   461,   794,   462,   463,   464,   465,   143,   795,
     144,   796,   466,   467,   468,   469,   470,   147,   471,   472,
     797,   798,   473,   474,   475,   476,   477,   478,   799,   150,
     479,   480,   800,   801,   802,   803,   151,   804,   805,   806,
     482,   483,   484,   485,   743,   486,   154,   155,   487,   807,
     488,   808,   489,   490,   491,   492,   493,   494,   809,   495,
     496,   497,   498,   810,   811,   499,   500,   501,   502,   503,
     812,   504,   505,   506,   813,   507,   508,   509,   814,   510,
     511,   512,   513,   163,   514,   515,   516,   165,   815,   517,
     816,   518,   519,   167,   520,   817,   521,   818,   522,   168,
     819,   169,   523,   524,   525,   526,   820,   527,   171,   821,
     172,   528,   822,   529,   530,   745,   531,   532,   173,   533,
     534,   535,   536,   823,   537,   538,   539,   540,   541,   542,
     824,   543,   175,   176,   825,   544,   545,   546,   826,   177,
     827,   178,   828,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,   829,   830,   554,   182,   183,   555,   184,
     831,   556,   557,   558,   832,   833,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,   834,
     576,   577,   194,   578,   835,   195,   579,   196,   580,   581,
     582,   836,   583,   584,   837,   838,   585,   586,   587,   839,
     840,   588,   197,   198,   589,   199,   200,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   841,   599,   600,   201,
     601,   202,   602,   603,   604,   842,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   204,   614,   615,   616,   617,
     843,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   844,   630,   631,   211,   632,   633,   634,
     213,   635,   636,   637,   638,   639,   640,   641,   748,   642,
     845,   643,   644,   645,   646,   647,   846,   649,   650,   218,
     651,   652,   220,   653,   654,   221,   655,   847,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     223,   848,   668,   669,   849,   670,   225,   671,   672,   673,
     674,   675,   850,   226,   227,   851,   852,   677,   678,   228,
     679,   229,   853,   680,   681,   682,   683,   684,   685,   686,
     854,   855,   687,   688,   689,   690,   691,   856,   857,   692,
     693,   694,   695,   696,   858,   236,   859,   697,   237,   698,
     699,   700,   701,   860,   861,   702,   862,   863,   703,   704,
     705,   706,   707,   708,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   750,   709,   710,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,   781,   443,   444,   445,   782,
     783,   784,   785,   786,   787,   788,   446,   447,   789,   448,
     449,   450,   132,   451,   452,   453,   134,   135,   136,   137,
     138,   790,   454,   455,   456,   457,   458,   791,   792,   459,
     460,   793,   139,   461,   794,   462,   463,   464,   465,   143,
     795,   144,   796,   466,   467,   468,   469,   470,   147,   471,
     472,   797,   798,   473,   474,   475,   476,   477,   478,   799,
     150,   479,   480,   800,   801,   802,   803,   151,   804,   805,
     806,   482,   483,   484,   485,   743,   486,   154,   155,   487,
     807,   488,   808,   489,   490,   491,   492,   493,   494,   809,
     495,   496,   497,   498,   810,   811,   499,   500,   501,   502,
     503,   812,   504,   505,   506,   813,   507,   508,   509,   814,
     510,   511,   512,   513,   163,   514,   515,   516,   165,   815,
     517,   816,   518,   519,   167,   520,   817,   521,   818,   522,
     168,   819,   169,   523,   524,   525,   526,   820,   527,   171,
     821,   172,   528,   822,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,   823,   537,   538,   539,   540,   541,
     542,   824,   543,   175,   176,   825,   544,   545,   546,   826,
     177,   827,   178,   828,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,   829,   830,   554,   182,   183,   555,
     184,   831,   556,   557,   558,   832,   833,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
     834,   576,   577,   194,   578,   835,   195,   579,   196,   580,
     581,   582,   836,   583,   584,   837,   838,   585,   586,   587,
     839,   840,   588,   197,   198,   589,   199,   200,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   841,   599,   600,
     201,   601,   202,   602,   603,   604,   842,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   204,   614,   615,   616,
     617,   843,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   844,   630,   631,   211,   632,   633,
     634,   213,   635,   636,   637,   638,   639,   640,   641,   748,
     642,   845,   643,   644,   645,   646,   647,   846,   649,   650,
     218,   651,   652,   220,   653,   654,   221,   655,   847,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,   223,   848,   668,   669,   849,   670,   225,   671,   672,
     673,   674,   675,   850,   226,   227,   851,   852,   677,   678,
     228,   679,   229,   853,   680,   681,   682,   683,   684,   685,
     686,   854,   855,   687,   688,   689,   690,   691,   856,   857,
     692,   693,   694,   695,   696,   858,   236,   859,   697,   237,
     698,   699,   700,   701,   860,   861,   702,   862,   863,   703,
     704,   705,   706,   707,   708,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   750,   709,   710,   774,
      86,    87,    88,   726,    90,    91,    92,   727,     0,   728,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   775,
     104,   105,   729,   776,     0,   107,   108,   109,   110,   777,
     778,   112,   113,   114,     0,   115,   779,   780,   730,   731,
       0,     0,     0,   732,   733,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
     736,     0,   737,   738,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,  3524,   440,   441,   442,   781,   443,   444,   445,
     782,   783,   784,   785,   786,   787,   788,   446,   447,   789,
     448,   449,   450,   132,   451,   452,   453,   134,   135,   136,
     137,   138,   790,   454,   455,   456,   457,   458,   791,   792,
     459,   460,   793,   139,   461,   794,   462,   463,   464,   465,
     143,   795,   144,   796,   466,   467,   468,   469,   470,   147,
     471,   472,   797,   798,   473,   474,   475,   476,   477,   478,
     799,   150,   479,   480,   800,   801,   802,   803,   151,   804,
     805,   806,   482,   483,   484,   485,   743,   486,   154,   155,
     487,   807,   488,   808,   489,   490,   491,   492,   493,   494,
     809,   495,   496,   497,   498,   810,   811,   499,   500,   501,
    3525,   503,   812,   504,   505,   506,   813,   507,   508,   509,
     814,   510,   511,   512,   513,   163,   514,   515,   516,   165,
     815,   517,   816,   518,   519,   167,   520,   817,   521,   818,
     522,   168,   819,   169,   523,   524,   525,   526,   820,   527,
     171,   821,   172,   528,   822,   529,   530,   745,   531,   532,
     173,   533,   534,   535,   536,   823,   537,   538,   539,   540,
     541,   542,   824,   543,   175,   176,   825,   544,   545,   546,
     826,   177,   827,   178,   828,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,   829,   830,   554,   182,   183,
     555,   184,   831,   556,   557,   558,   832,   833,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   746,   568,   569,
     747,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,   834,   576,   577,   194,   578,   835,   195,   579,   196,
     580,   581,   582,   836,   583,   584,   837,   838,   585,   586,
     587,   839,   840,   588,   197,   198,   589,   199,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   841,   599,
     600,   201,   601,   202,   602,   603,   604,   842,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,   843,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   844,   630,   631,   211,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
     748,   642,   845,   643,   644,   645,   646,   647,   846,  3526,
     650,   218,   651,   652,   220,   653,   654,   221,   655,   847,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,   848,   668,   669,   849,   670,   225,   671,
     672,   673,   674,   675,   850,   226,   227,   851,   852,   677,
     678,   228,   679,   229,   853,   680,   681,   682,   683,   684,
     685,   686,   854,   855,   687,   688,   689,   690,   691,   856,
     857,   692,   693,   694,   695,   696,   858,   236,   859,   697,
     237,   698,   699,   700,   701,   860,   861,   702,   862,   863,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   750,   709,   710,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,   135,
     136,   137,   138,     0,   454,   455,   456,   457,   458,     0,
    1643,   459,   460,   740,   139,   461,     0,   462,   463,   464,
     465,  1646,     0,  1647,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,  1648,  1649,  1650,  1651,
    1652,  1653,  1654,   482,   483,   484,   485,   743,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
    1659,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,  1662,     0,   172,   528,     0,   529,   530,   745,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,  1666,
     183,   555,   184,     0,   556,   557,   558,  1667,  1668,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,  1673,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,   198,   589,   199,  1676,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,  1677,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,  1680,
     649,   650,   218,   651,   652,   220,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,  1682,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,  1685,   679,  1686,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
    1689,     0,   692,   693,   694,   695,   696,   749,   236,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,  1691,  1692,
    1693,  1694,   244,  1695,  1696,  1697,  1698,   249,   750,   709,
     710,   774,    86,    87,    88,   726,    90,    91,    92,   727,
       0,   728,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   775,   104,   105,   729,   776,     0,   107,   108,   109,
     110,   777,   778,   112,   113,   114,     0,   115,   779,   780,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,   132,   451,   452,   453,   134,
     135,   136,   137,   138,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   740,   139,   461,     0,   462,   463,
     464,   465,   143,     0,   144,     0,   466,   467,   468,   469,
     470,   147,   471,   472,   741,     0,   473,   474,   475,   476,
     477,   478,     0,   150,   479,   480,     0,     0,     0,     0,
     151,     0,     0,     0,   482,   483,   484,   485,   743,   486,
     154,   155,   487,     0,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,   501,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   163,   514,   515,
     516,   165,     0,   517,     0,   518,   519,   167,   520,     0,
     521,     0,   522,   168,     0,   169,   523,   524,   525,   526,
       0,   527,   171,     0,   172,   528,     0,   529,   530,   745,
     531,   532,   173,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
     182,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,     0,   576,   577,   194,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   197,   198,   589,   199,
     200,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,   201,   601,   202,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   204,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     211,   632,   633,   634,   213,   635,   636,   637,   638,   639,
     640,   641,   748,   642,     0,   643,   644,   645,   646,   647,
       0,   649,   650,   218,   651,   652,   220,   653,   654,   221,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   223,     0,   668,   669,     0,   670,
     225,   671,   672,   673,   674,   675,     0,   226,   227,     0,
       0,   677,   678,   228,   679,   229,     0,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,   749,   236,
       0,   697,   237,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   750,
     709,   710,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,   135,   136,   137,   138,     0,   454,   455,   456,   457,
     458,     0,     0,   459,   460,   740,   139,   461,     0,   462,
     463,   464,   465,   143,     0,   144,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,     0,     0,
       0,   151,     0,     0,     0,   482,   483,   484,   485,   743,
     486,   154,   155,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,   501,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   163,   514,
     515,   516,   165,     0,   517,     0,   518,   519,   167,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,   171,     0,   172,   528,     0,   529,   530,
     745,   531,  1454,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,   182,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   197,   198,   589,
     199,   200,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,   201,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     204,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,   213,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,     0,   649,   650,   218,   651,   652,   220,   653,   654,
     221,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,   223,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,   226,   227,
       0,     0,   677,   678,   228,   679,   229,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,   749,
     236,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     750,   709,   710,   774,    86,    87,    88,   726,    90,    91,
      92,   727,     0,   728,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   775,   104,   105,   729,   776,     0,   107,
     108,   109,   110,   777,   778,   112,   113,   114,     0,   115,
     779,   780,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,   132,   451,   452,
     453,   134,   135,   136,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   740,   139,   461,     0,
     462,   463,   464,   465,   143,     0,   144,     0,   466,   467,
     468,   469,   470,   147,   471,   472,   741,     0,   473,   474,
     475,   476,   477,   478,     0,   150,   479,   480,     0,     0,
       0,     0,   151,     0,     0,     0,   482,   483,   484,   485,
     743,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,     0,   517,     0,   518,   519,   167,
     520,     0,   521,     0,   522,   168,     0,   169,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,   745,   531,  1506,   173,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   197,   198,
     589,   199,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   211,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,   748,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,   218,   651,   652,   220,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,   225,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
     749,   236,     0,   697,   237,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   750,   709,   710,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,     0,  1462,   136,  1463,  1464,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,  1465,  1466,   461,
       0,   462,   463,   464,   465,     0,     0,   144,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
       0,     0,     0,   151,     0,     0,     0,   482,   483,   484,
     485,   743,   486,  1467,  1468,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,  1469,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
       0,   514,   515,   516,     0,     0,   517,     0,   518,   519,
    1470,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,     0,     0,     0,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
    2623,   537,   538,   539,   540,   541,   542,     0,   543,   175,
    2624,     0,   544,   545,   546,  1472,  1473,     0,  1474,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,     0,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,  1475,
     190,  1476,   573,   574,   575,     0,     0,   576,   577,   194,
     578,     0,     0,   579,  1477,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,  2626,
     198,   589,   199,     0,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,     0,   601,     0,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,  1478,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,  2627,   651,   652,   220,
     653,   654,  1480,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,     0,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
    1481,  1482,     0,     0,   677,   678,     0,   679,     0,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,  1483,  2628,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   750,   709,   710,   774,    86,    87,    88,   726,
      90,    91,    92,   727,     0,   728,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   775,   104,   105,   729,   776,
       0,   107,   108,   109,   110,   777,   778,   112,   113,   114,
       0,   115,   779,   780,   730,   731,     0,     0,     0,   732,
     733,     0,     0,     0,     0,   734,     0,     0,     0,     0,
       0,     0,     0,     0,   735,     0,   736,     0,   737,   738,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,     0,     0,     0,     0,
       0,     0,     0,   446,   447,     0,   448,   449,   450,   132,
     451,   452,   453,     0,  1462,   136,  1463,  1464,     0,   454,
     455,   456,   457,   458,     0,     0,   459,   460,  1465,  1466,
     461,     0,   462,   463,   464,   465,     0,     0,   144,     0,
     466,   467,   468,   469,   470,   147,   471,   472,   741,     0,
     473,   474,   475,   476,   477,   478,     0,   150,   479,   480,
       0,     0,     0,     0,   151,     0,     0,     0,   482,   483,
     484,   485,   743,   486,  1467,  1468,   487,     0,   488,     0,
     489,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,     0,   499,   500,  1469,   502,   503,     0,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,     0,   514,   515,   516,     0,     0,   517,     0,   518,
     519,  1470,   520,     0,   521,     0,   522,   168,     0,   169,
     523,   524,   525,   526,     0,   527,     0,     0,     0,   528,
       0,   529,   530,   745,   531,   532,   173,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,   542,     0,   543,
     175,     0,     0,   544,   545,   546,  1472,  1473,     0,  1474,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,     0,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   746,   568,   569,   747,   570,   571,   572,
    1475,   190,  1476,   573,   574,   575,     0,     0,   576,   577,
     194,   578,  2721,     0,   579,  1477,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
       0,   198,   589,   199,     0,   590,   591,   592,   593,   594,
     595,   596,   597,   598,     0,   599,   600,     0,   601,     0,
     602,   603,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,  1478,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   211,   632,   633,   634,     0,   635,
     636,   637,   638,   639,   640,   641,   748,   642,     0,   643,
     644,   645,   646,   647,     0,   649,   650,  2627,   651,   652,
     220,   653,   654,  1480,   655,     0,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,     0,     0,
     668,   669,  4406,   670,   225,   671,   672,   673,   674,   675,
       0,  1481,  1482,     0,     0,   677,   678,     0,   679,     0,
       0,   680,   681,   682,   683,   684,   685,   686,     0,     0,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,  1483,     0,   697,   237,   698,   699,   700,
     701,     0,     0,   702,     0,     0,   703,   704,   705,   706,
     707,   708,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   750,   709,   710,   774,    86,    87,    88,
     726,    90,    91,    92,   727,     0,   728,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   775,   104,   105,   729,
     776,     0,   107,   108,   109,   110,   777,   778,   112,   113,
     114,     0,   115,   779,   780,   730,   731,     0,     0,     0,
     732,   733,     0,     0,     0,     0,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   736,     0,   737,
     738,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,     0,  1462,   136,  1463,  1464,     0,
     454,   455,   456,   457,   458,     0,     0,   459,   460,  1465,
    1466,   461,     0,   462,   463,   464,   465,     0,     0,   144,
       0,   466,   467,   468,   469,   470,   147,   471,   472,   741,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,     0,     0,     0,   151,     0,     0,     0,   482,
     483,   484,   485,   743,   486,  1467,  1468,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,  1469,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,     0,   514,   515,   516,     0,     0,   517,     0,
     518,   519,  1470,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,     0,     0,     0,
     528,     0,   529,   530,   745,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,     0,     0,   544,   545,   546,  1472,  1473,     0,
    1474,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,     0,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   746,   568,   569,   747,   570,   571,
     572,  1475,   190,  1476,   573,   574,   575,  2790,     0,   576,
     577,   194,   578,     0,     0,   579,  1477,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,     0,   198,   589,   199,     0,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,     0,   601,
       0,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,  1478,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   748,   642,     0,
     643,   644,   645,   646,   647,     0,   649,   650,  1479,   651,
     652,   220,   653,   654,  1480,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,     0,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,  1481,  1482,     0,     0,   677,   678,     0,   679,
       0,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,  1483,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   750,   709,   710,   774,    86,    87,
      88,   726,    90,    91,    92,   727,     0,   728,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   775,   104,   105,
     729,   776,     0,   107,   108,   109,   110,   777,   778,   112,
     113,   114,     0,   115,   779,   780,   730,   731,     0,     0,
       0,   732,   733,     0,     0,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,   736,     0,
     737,   738,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,   132,   451,   452,   453,     0,  1462,   136,  1463,  1464,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
    1465,  1466,   461,     0,   462,   463,   464,   465,     0,     0,
     144,     0,   466,   467,   468,   469,   470,   147,   471,   472,
     741,     0,   473,   474,   475,   476,   477,   478,     0,   150,
     479,   480,     0,     0,     0,     0,   151,     0,     0,     0,
     482,   483,   484,   485,   743,   486,  1467,  1468,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,  1469,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,     0,   514,   515,   516,     0,     0,   517,
       0,   518,   519,  1470,   520,     0,   521,     0,   522,   168,
       0,   169,   523,   524,   525,   526,     0,   527,     0,     0,
       0,   528,     0,   529,   530,   745,   531,   532,   173,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,   175,     0,     0,   544,   545,   546,  1472,  1473,
       0,  1474,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,     0,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   746,   568,   569,   747,   570,
     571,   572,  1475,   190,  1476,   573,   574,   575,  4222,     0,
     576,   577,   194,   578,     0,     0,   579,  1477,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,     0,   198,   589,   199,     0,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,     0,
     601,     0,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,  1478,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   211,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   748,   642,
       0,   643,   644,   645,   646,   647,     0,   649,   650,  1479,
     651,   652,   220,   653,   654,  1480,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
       0,     0,   668,   669,     0,   670,   225,   671,   672,   673,
     674,   675,     0,  1481,  1482,     0,     0,   677,   678,     0,
     679,     0,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,  1483,     0,   697,   237,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   750,   709,   710,   774,    86,
      87,    88,   726,    90,    91,    92,   727,     0,   728,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   775,   104,
     105,   729,   776,     0,   107,   108,   109,   110,   777,   778,
     112,   113,   114,     0,   115,   779,   780,   730,   731,     0,
       0,     0,   732,   733,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,   736,
       0,   737,   738,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,     0,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,     0,  1462,   136,  1463,
    1464,     0,   454,   455,   456,   457,   458,     0,     0,   459,
     460,  1465,  1466,   461,     0,   462,   463,   464,   465,     0,
       0,   144,     0,   466,   467,   468,   469,   470,   147,   471,
     472,   741,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,     0,     0,     0,   151,     0,     0,
       0,   482,   483,   484,   485,   743,   486,  1467,  1468,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,  1469,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,     0,   514,   515,   516,     0,     0,
     517,     0,   518,   519,  1470,   520,  5774,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,     0,
       0,     0,   528,     0,   529,   530,   745,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,     0,     0,   544,   545,   546,  1472,
    1473,     0,  1474,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,     0,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   746,   568,   569,   747,
     570,   571,   572,  1475,   190,  1476,   573,   574,   575,     0,
       0,   576,   577,   194,   578,     0,     0,   579,  1477,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,     0,   198,   589,   199,     0,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
       0,   601,     0,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,  1478,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   748,
     642,     0,   643,   644,   645,   646,   647,     0,   649,   650,
    1479,   651,   652,   220,   653,   654,  1480,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,     0,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,  1481,  1482,     0,     0,   677,   678,
       0,   679,     0,     0,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,  1483,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   750,   709,   710,   774,
      86,    87,    88,   726,    90,    91,    92,   727,     0,   728,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   775,
     104,   105,   729,   776,     0,   107,   108,   109,   110,   777,
     778,   112,   113,   114,     0,   115,   779,   780,   730,   731,
       0,     0,     0,   732,   733,     0,     0,     0,     0,   734,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
     736,     0,   737,   738,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,   132,   451,   452,   453,     0,  1462,   136,
    1463,  1464,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,  1465,  1466,   461,     0,   462,   463,   464,   465,
       0,     0,   144,     0,   466,   467,   468,   469,   470,   147,
     471,   472,   741,     0,   473,   474,   475,   476,   477,   478,
       0,   150,   479,   480,     0,     0,     0,     0,   151,     0,
       0,     0,   482,   483,   484,   485,   743,   486,  1467,  1468,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,  1469,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,     0,   514,   515,   516,     0,
       0,   517,     0,   518,   519,  1470,   520,     0,   521,     0,
     522,   168,     0,   169,   523,   524,   525,   526,     0,   527,
       0,     0,     0,   528,     0,   529,   530,   745,   531,  1471,
     173,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,   175,     0,     0,   544,   545,   546,
    1472,  1473,     0,  1474,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,     0,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   746,   568,   569,
     747,   570,   571,   572,  1475,   190,  1476,   573,   574,   575,
       0,     0,   576,   577,   194,   578,     0,     0,   579,  1477,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,     0,   198,   589,   199,     0,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,     0,   601,     0,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,  1478,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   211,   632,
     633,   634,     0,   635,   636,   637,   638,   639,   640,   641,
     748,   642,     0,   643,   644,   645,   646,   647,     0,   649,
     650,  1479,   651,   652,   220,   653,   654,  1480,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,     0,     0,   668,   669,     0,   670,   225,   671,
     672,   673,   674,   675,     0,  1481,  1482,     0,     0,   677,
     678,     0,   679,     0,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,  1483,     0,   697,
     237,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   750,   709,   710,
     774,    86,    87,    88,   726,    90,    91,    92,   727,     0,
     728,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     775,   104,   105,   729,   776,     0,   107,   108,   109,   110,
     777,   778,   112,   113,   114,     0,   115,   779,   780,   730,
     731,     0,     0,     0,   732,   733,     0,     0,     0,     0,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,   736,     0,   737,   738,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,     0,  1462,
     136,  1463,  1464,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,  1465,  1466,   461,     0,   462,   463,   464,
     465,     0,     0,   144,     0,   466,   467,   468,   469,   470,
     147,   471,   472,   741,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,     0,     0,     0,   151,
       0,     0,     0,   482,   483,   484,   485,   743,   486,  1467,
    1468,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
    1469,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,     0,   514,   515,   516,
       0,     0,   517,     0,   518,   519,  1470,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,     0,     0,     0,   528,     0,   529,   530,   745,   531,
    1528,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,     0,     0,   544,   545,
     546,  1472,  1473,     0,  1474,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,     0,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   746,   568,
     569,   747,   570,   571,   572,  1475,   190,  1476,   573,   574,
     575,     0,     0,   576,   577,   194,   578,     0,     0,   579,
    1477,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,     0,   198,   589,   199,     0,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,     0,   601,     0,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,  1478,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   748,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,  1479,   651,   652,   220,   653,   654,  1480,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,     0,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,  1481,  1482,     0,     0,
     677,   678,     0,   679,     0,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,  1483,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   750,   709,
     710,   774,    86,    87,    88,   726,    90,    91,    92,   727,
       0,   728,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   775,   104,   105,   729,   776,     0,   107,   108,   109,
     110,   777,   778,   112,   113,   114,     0,   115,   779,   780,
     730,   731,     0,     0,     0,   732,   733,     0,     0,     0,
       0,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,   736,     0,   737,   738,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,   132,   451,   452,   453,     0,
    1462,   136,  1463,  1464,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,  1465,  1466,   461,     0,   462,   463,
     464,   465,     0,     0,   144,     0,   466,   467,   468,   469,
     470,   147,   471,   472,   741,     0,   473,   474,   475,   476,
     477,   478,     0,   150,   479,   480,     0,     0,     0,     0,
     151,     0,     0,     0,   482,   483,   484,   485,   743,   486,
    1467,  1468,   487,     0,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,  1469,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,     0,   514,   515,
     516,     0,     0,   517,     0,   518,   519,  1470,   520,     0,
     521,     0,   522,   168,     0,   169,   523,   524,   525,   526,
       0,   527,     0,     0,     0,   528,     0,   529,   530,   745,
     531,   532,   173,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,   542,     0,   543,   175,     0,     0,   544,
     545,   546,  1472,  1473,     0,  1474,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
       0,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   746,
     568,   569,   747,   570,   571,   572,  1475,   190,  1476,   573,
     574,   575,     0,     0,   576,   577,   194,   578,     0,     0,
     579,  1477,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,     0,   198,   589,   199,
       0,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,     0,   601,     0,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,  1478,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     211,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   748,   642,     0,   643,   644,   645,   646,   647,
       0,   649,   650,  1479,   651,   652,   220,   653,   654,  1480,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,     0,     0,   668,   669,     0,   670,
     225,   671,   672,   673,   674,   675,     0,  1481,  1482,     0,
       0,   677,   678,     0,   679,     0,     0,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,  1483,
       0,   697,   237,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   750,
     709,   710,   774,    86,    87,    88,   726,    90,    91,    92,
     727,     0,   728,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   775,   104,   105,   729,   776,     0,   107,   108,
     109,   110,   777,   778,   112,   113,   114,     0,   115,   779,
     780,   730,   731,     0,     0,     0,   732,   733,     0,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,   736,     0,   737,   738,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
       0,  1462,   136,  1463,  1464,     0,   454,   455,   456,   457,
     458,     0,     0,   459,   460,  1465,  1466,   461,     0,   462,
     463,   464,   465,     0,     0,   144,     0,   466,   467,   468,
     469,   470,   147,   471,   472,   741,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,     0,     0,
       0,   151,     0,     0,     0,   482,   483,   484,   485,   743,
     486,  1467,  1468,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,  1469,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,     0,   514,
     515,   516,     0,     0,   517,     0,   518,   519,  1470,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,     0,     0,     0,   528,     0,   529,   530,
     745,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,     0,     0,
     544,   545,   546,  1472,  1473,     0,  1474,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,     0,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     746,   568,   569,   747,   570,   571,   572,  1475,   190,  1476,
     573,   574,   575,     0,     0,   576,   577,   194,   578,     0,
       0,   579,  1477,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,     0,   198,   589,
     199,     0,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,     0,   601,     0,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
    1478,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   748,   642,     0,   643,   644,   645,   646,
     647,     0,   649,   650,  2627,   651,   652,   220,   653,   654,
    1480,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,     0,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,  1481,  1482,
       0,     0,   677,   678,     0,   679,     0,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
    1483,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     750,   709,   710,   774,    86,    87,    88,   726,    90,    91,
      92,   727,     0,   728,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   775,   104,   105,   729,   776,     0,   107,
     108,   109,   110,   777,   778,   112,   113,   114,     0,   115,
     779,   780,   730,   731,     0,     0,     0,   732,   733,     0,
       0,     0,     0,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   736,     0,   737,   738,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,   132,   451,   452,
     453,     0,  1462,   136,  1463,  1464,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,  1465,  1466,   461,     0,
     462,   463,   464,   465,     0,     0,   144,     0,   466,   467,
     468,   469,   470,   147,   471,   472,   741,     0,   473,   474,
     475,   476,   477,   478,     0,   150,   479,   480,     0,     0,
       0,     0,   151,     0,     0,     0,   482,   483,   484,   485,
     743,   486,  1467,  1468,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,  1469,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,     0,
     514,   515,   516,     0,     0,   517,     0,   518,   519,  1470,
     520,     0,   521,     0,   522,   168,     0,   169,   523,   524,
     525,   526,     0,   527,     0,     0,     0,   528,     0,   529,
     530,   745,   531,   532,   173,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,   175,     0,
       0,   544,   545,   546,  1472,  1473,     0,  1474,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,     0,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   746,   568,   569,   747,   570,   571,   572,  1475,   190,
    1476,   573,   574,   575,     0,     0,   576,   577,   194,   578,
       0,     0,   579,  1477,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,     0,   198,
     589,   199,     0,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,     0,   601,     0,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,  1478,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   211,   632,   633,   634,     0,   635,   636,   637,
     638,   639,   640,   641,   748,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,     0,   651,   652,   220,   653,
     654,  1480,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,     0,     0,   668,   669,
       0,   670,   225,   671,   672,   673,   674,   675,     0,  1481,
    1482,     0,     0,   677,   678,     0,   679,     0,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,  1483,     0,   697,   237,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   750,   709,   710,   774,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   775,   104,   105,   729,   776,     0,
     107,   108,   109,   110,   777,   778,   112,   113,   114,     0,
     115,   779,   780,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,     0,     0,   136,     0,     0,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,     0,     0,   461,
       0,   462,   463,   464,   465,     0,     0,   144,     0,   466,
     467,   468,   469,   470,   147,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
       0,     0,     0,   151,     0,     0,     0,   482,   483,   484,
     485,   743,   486,     0,     0,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
       0,   514,   515,   516,     0,     0,   517,     0,   518,   519,
       0,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,     0,     0,     0,   528,     0,
     529,   530,   745,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
       0,     0,   544,   545,   546,     0,     0,     0,     0,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,     0,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,     0,
     190,     0,   573,   574,   575,     0,     0,   576,   577,   194,
     578,     0,     0,   579,     0,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,     0,
     198,   589,   199,     0,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,     0,   601,     0,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,     0,   651,   652,   220,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,     0,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
       0,     0,     0,     0,   677,   678,     0,   679,     0,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,   781,   443,   444,   445,   782,   783,   784,   785,   786,
     787,   788,   446,   447,   789,   448,   449,   450,   132,   451,
     452,   453,   134,   135,   136,   137,   138,   790,   454,   455,
     456,   457,   458,   791,   792,   459,   460,     0,   139,   461,
     794,   462,   463,   464,   465,   143,   795,   144,   796,   466,
     467,   468,   469,   470,   147,   471,   472,   797,   798,   473,
     474,   475,   476,   477,   478,   799,   150,   479,   480,     0,
     801,   802,   803,   151,   804,   805,   806,   482,   483,   484,
     485,     0,   486,   154,   155,   487,   807,   488,   808,   489,
     490,   491,   492,   493,   494,   809,   495,   496,   497,   498,
     810,   811,   499,   500,   501,   502,   503,   812,   504,   505,
     506,   813,   507,   508,   509,   814,   510,   511,   512,   513,
     163,   514,   515,   516,   165,   815,   517,   816,   518,   519,
     167,   520,   817,   521,   818,   522,   168,   819,   169,   523,
     524,   525,   526,   820,   527,   171,   821,   172,   528,   822,
     529,   530,     0,   531,   532,   173,   533,   534,   535,   536,
     823,   537,   538,   539,   540,   541,   542,   824,   543,   175,
     176,     0,   544,   545,   546,     0,   177,   827,   178,   828,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
     829,   830,   554,   182,   183,   555,   184,   831,   556,   557,
     558,   832,   833,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,   834,   576,   577,   194,
     578,   835,   195,   579,   196,   580,   581,   582,   836,   583,
     584,   837,   838,   585,   586,   587,   839,   840,   588,   197,
     198,   589,   199,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   841,   599,   600,   201,   601,   202,   602,
     603,   604,   842,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,   843,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     844,   630,   631,   211,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,     0,   642,   845,   643,   644,
     645,   646,   647,   846,   649,   650,   218,   651,   652,   220,
     653,   654,   221,   655,   847,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,   848,   668,
     669,   849,   670,   225,   671,   672,   673,   674,   675,   850,
     226,   227,     0,   852,   677,   678,   228,   679,   229,   853,
     680,   681,   682,   683,   684,   685,   686,     0,   855,   687,
     688,   689,   690,   691,   856,   857,   692,   693,   694,   695,
     696,     0,   236,   859,   697,   237,   698,   699,   700,   701,
     860,   861,   702,   862,   863,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,  1227,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
    2663,   462,   463,   464,   465,   143,     0,     0,  2740,   466,
     467,   468,   469,   470,     0,   471,   472,   741,  2664,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,  2741,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,  2666,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  2742,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,  2667,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,  2668,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
    2663,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,  2664,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,  2741,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,  2666,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,  3714,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,  2667,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,  2668,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,  1123,   441,
     442,  1075,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,  1076,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,  1124,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,  1077,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,  1078,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  1075,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,  1076,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,  3417,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,  1077,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,  1078,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
    2663,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,  2664,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,  2741,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,  2666,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,  2667,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,  2668,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,   739,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,   742,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,   744,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  1075,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,  1076,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,  1077,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,  1078,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,   978,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,   979,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     980,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  2333,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
    2334,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,  2335,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,  2336,   522,     0,     0,     0,  2337,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,  2338,  2339,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,  2340,   639,   640,   641,   748,   642,     0,  2341,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,  2342,   670,     0,  2343,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,  2344,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,  1076,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,  1077,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,  1078,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,  2322,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,  3277,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
    3278,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,  2602,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,  3279,   670,     0,   671,  3280,   673,  3281,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,  3282,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,   766,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,   744,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,   923,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  1320,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1321,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,  1158,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  1445,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   129,   130,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  3505,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,  3506,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  3518,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,  3519,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   984,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,  1037,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
     434,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,  1093,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,  1158,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  1280,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1281,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  1748,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1935,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,  1158,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  1988,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1989,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,  2190,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,  2322,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,  2602,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
    4574,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
    4588,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
    1105,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  1107,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,  1108,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,  1109,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
    1110,   227,     0,     0,  1111,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  1112,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  1152,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,  1108,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,  1153,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
    1154,   227,     0,     0,  1155,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  1112,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,  1171,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1305,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1313,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1330,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1391,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1397,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1413,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1416,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1418,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1460,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1522,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1524,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1534,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1537,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  1540,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,  1759,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,  1137,   460,  1108,   139,  1760,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,  1141,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,  1142,   633,   634,   213,   635,   636,
     637,  1143,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,  1752,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
    1145,   227,     0,     0,  1146,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  1112,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
    1147,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,  1885,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,  1107,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,  1108,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  1112,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  2138,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  2176,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  2178,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  2250,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  2252,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  2254,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
    2370,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
    2567,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,     0,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  2994,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  2998,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  3428,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  3495,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  3508,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  3510,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,  3645,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,  3670,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,  1137,   460,  1108,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,  1141,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,  1142,   633,   634,   213,   635,   636,
     637,  1143,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,  1752,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
    1145,   227,     0,     0,  1146,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  1112,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
    1147,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,  1108,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  1112,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,  1137,   460,  1108,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,  1141,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,  1142,   633,   634,   213,   635,   636,
     637,  1143,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,  1752,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,  2650,   672,   673,   674,   675,     0,
    1145,   227,     0,     0,  1146,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  1112,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
    1147,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,  1137,   460,  1108,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,  1141,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,  1142,   633,   634,   213,   635,   636,
     637,  2725,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,  2726,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
    1145,   227,     0,     0,  2727,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  1112,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
    1147,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,  1137,   460,  1108,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,  1141,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,  1142,   633,   634,   213,   635,   636,
     637,  1143,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,  2726,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
    1145,   227,     0,     0,  2727,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  1112,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
    1147,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,   726,    90,
      91,    92,   727,     0,   728,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   729,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   730,   731,     0,     0,     0,   732,   733,
       0,     0,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,   736,     0,   737,   738,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,     0,   451,
     452,   453,   134,   135,     0,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   740,   139,   461,
       0,   462,   463,   464,   465,   143,     0,     0,     0,   466,
     467,   468,   469,   470,     0,   471,   472,   741,     0,   473,
     474,   475,   476,   477,   478,     0,     0,   479,   480,     0,
       0,     0,     0,     0,     0,     0,     0,   482,   483,   484,
     485,   743,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,     0,     0,     0,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,   745,   531,   532,     0,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   746,   568,   569,   747,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
       0,   589,     0,   200,   590,   591,   592,   593,   594,   595,
       0,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
       0,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   632,   633,   634,   213,     0,   636,
     637,   638,   639,   640,   641,   748,   642,     0,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,     0,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,     0,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   749,   236,     0,   697,     0,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   750,   709,   710,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114, -2730,
     115,   116,   117,     0,     0,     0,     0,     0,   120,   121,
       0,     0,     0,     0,   122,     0,     0,     0,     0,     0,
       0,     0,     0,   123,     0,   124,     0,   125,   126,    35,
       0,  1222,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
       0,     0,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,     0,     0,     0,   143,     0,   144,     0,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,     0,     0,     0,     0,     0,     0,     0,
     163,     0,     0,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,     0,     0,     0,   171,     0,   172,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
     176,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,     0,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,   225,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,     0,   115,   116,   117,
       0,     0,     0,     0,     0,   120,   121,     0,     0,     0,
       0,   122,     0,     0,     0,     0,     0,     0,     0,     0,
     123,     0,   124,     0,   125,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,     0,     0,
       0,     0,   143,     0,   144,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   161,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,     0,   192,     0,     0,     0,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
     225,     0,     0,     0,     0,     0,     0,   226,   227,     0,
       0,     0,     0,   228,     0,   229,     0,     0,     0,     0,
       0,     0,     0,     0,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,     0,   115,   116,   117,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,     0,     0,   134,   135,   136,   137,
     138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
     168,     0,   169,     0,     0,     0,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   175,   176,     0,     0,     0,     0,     0,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,     0,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,     0,     0,   220,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   434,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,   132,   451,   452,   453,   134,
     135,   136,   137,   138,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,     0,   139,   461,     0,   462,   463,
     464,   465,   143,     0,   144,     0,   466,   467,   468,   469,
     470,   147,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,     0,   150,   479,   480,     0,     0,     0,     0,
     151,     0,     0,     0,   482,   483,   484,   485,     0,   486,
     154,   155,   487,     0,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,   501,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   163,   514,   515,
     516,   165,  2298,   517,     0,   518,   519,   167,   520,     0,
     521,     0,   522,   168,     0,   169,   523,   524,   525,   526,
       0,   527,   171,     0,   172,   528,     0,   529,   530,     0,
     531,   532,   173,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
     182,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,     0,
     568,   569,     0,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,     0,   576,   577,   194,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,  2299,     0,
     585,   586,   587,     0,     0,   588,   197,   198,   589,   199,
     200,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,   201,   601,   202,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   204,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     211,   632,   633,   634,   213,   635,   636,   637,   638,   639,
     640,   641,     0,   642,     0,   643,   644,   645,   646,   647,
       0,   649,   650,   218,   651,   652,   220,   653,   654,   221,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   223,     0,   668,   669,     0,   670,
     225,   671,   672,   673,   674,   675,     0,   226,   227,     0,
       0,   677,   678,   228,   679,   229,  2300,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,   236,
       0,   697,   237,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     709,   710,     0,     0,     0,     0,     0,    41,    42,  1842,
    1843,  5560,     0,     0,     0,     0,     0,     0,  5561,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   129,   130,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,   135,   136,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,     0,   139,   461,
       0,   462,   463,   464,   465,   143,     0,   144,     0,   466,
     467,   468,   469,   470,   147,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
       0,     0,     0,   151,     0,     0,     0,   482,   483,   484,
     485,     0,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,     0,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
     198,   589,   199,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,     0,   642,   216,   643,   644,
     645,   646,   647,     0,   649,   650,   218,   651,   652,   220,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,   224,   670,   225,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,   235,   236,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,   238,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,   709,   710,    35,   434,   250,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,   251,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,   135,
     136,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,     0,   139,   461,     0,   462,   463,   464,
     465,   143,     0,   144,     0,   466,   467,   468,   469,   470,
     147,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,     0,     0,     0,   151,
       0,     0,     0,   482,   483,   484,   485,     0,   486,   154,
     155,   487,  2501,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,  2298,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,     0,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,   182,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,     0,   568,
     569,     0,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,  2299,     0,   585,
     586,   587,     0,     0,   588,   197,   198,   589,   199,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,     0,   642,     0,   643,   644,   645,   646,   647,     0,
     649,   650,   218,   651,   652,   220,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,  2300,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,   236,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,     0,   709,
     710,     0,     0,     0,     0,     0,    35,   434,  1842,  1843,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,   132,   451,   452,   453,   134,
     135,   136,   137,   138,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,     0,   139,   461,     0,   462,   463,
     464,   465,   143,     0,   144,     0,   466,   467,   468,   469,
     470,   147,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,     0,   150,   479,   480,     0,     0,     0,     0,
     151,     0,     0,     0,   482,   483,   484,   485,     0,   486,
     154,   155,   487,  2506,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,   501,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   163,   514,   515,
     516,   165,  2298,   517,     0,   518,   519,   167,   520,     0,
     521,     0,   522,   168,     0,   169,   523,   524,   525,   526,
       0,   527,   171,     0,   172,   528,     0,   529,   530,     0,
     531,   532,   173,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
     182,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,     0,
     568,   569,     0,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,     0,   576,   577,   194,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,  2299,     0,
     585,   586,   587,     0,     0,   588,   197,   198,   589,   199,
     200,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,   201,   601,   202,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   204,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     211,   632,   633,   634,   213,   635,   636,   637,   638,   639,
     640,   641,     0,   642,     0,   643,   644,   645,   646,   647,
       0,   649,   650,   218,   651,   652,   220,   653,   654,   221,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   223,     0,   668,   669,     0,   670,
     225,   671,   672,   673,   674,   675,     0,   226,   227,     0,
       0,   677,   678,   228,   679,   229,  2300,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,   236,
       0,   697,   237,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
     709,   710,     0,     0,     0,     0,     0,    35,   434,  1842,
    1843,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,   135,   136,   137,   138,     0,   454,   455,   456,   457,
     458,     0,     0,   459,   460,     0,   139,   461,     0,   462,
     463,   464,   465,   143,     0,   144,     0,   466,   467,   468,
     469,   470,   147,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,     0,     0,
       0,   151,     0,     0,     0,   482,   483,   484,   485,     0,
     486,   154,   155,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,   501,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   163,   514,
     515,   516,   165,  2298,   517,     0,   518,   519,   167,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,   171,     0,   172,   528,     0,   529,   530,
       0,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,   182,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
       0,   568,   569,     0,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,  2299,
       0,   585,   586,   587,     0,     0,   588,   197,   198,   589,
     199,   200,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,   201,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     204,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,   213,   635,   636,   637,   638,
     639,   640,   641,     0,   642,     0,   643,   644,   645,   646,
     647,     0,   649,   650,   218,   651,   652,   220,   653,   654,
     221,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,   223,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,   226,   227,
       0,     0,   677,   678,   228,   679,   229,  2300,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
     236,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
       0,   709,   710,     0,     0,     0,     0,     0,    35,   434,
    1842,  1843,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,   132,   451,   452,
     453,   134,   135,   136,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,     0,   139,   461,     0,
     462,   463,   464,   465,   143,     0,   144,     0,   466,   467,
     468,   469,   470,   147,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,     0,   150,   479,   480,     0,     0,
       0,     0,   151,     0,     0,     0,   482,   483,   484,   485,
       0,   486,   154,   155,   487,  3410,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,  2298,   517,     0,   518,   519,   167,
     520,     0,   521,     0,   522,   168,     0,   169,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,     0,   531,   532,   173,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,     0,   568,   569,     0,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
    2299,     0,   585,   586,   587,     0,     0,   588,   197,   198,
     589,   199,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   211,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,     0,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,   218,   651,   652,   220,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,   225,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,  2300,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,   236,     0,   697,   237,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,   709,   710,     0,     0,     0,     0,     0,    35,
     434,  1066,  1067,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,   135,   136,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,     0,   139,   461,
       0,   462,   463,   464,   465,   143,     0,   144,     0,   466,
     467,   468,   469,   470,   147,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
       0,     0,     0,   151,     0,     0,   481,   482,   483,   484,
     485,     0,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,     0,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
     198,   589,   199,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,     0,   642,     0,   643,   644,
     645,   646,   647,   648,   649,   650,   218,   651,   652,   220,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
     226,   227,   676,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,   236,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,   709,   710,    35,   434,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,   135,
     136,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,     0,   139,   461,     0,   462,   463,   464,
     465,   143,     0,   144,     0,   466,   467,   468,   469,   470,
     147,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,     0,     0,     0,   151,
       0,     0,   481,   482,   483,   484,   485,     0,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,     0,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,   182,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,     0,   568,
     569,     0,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,   198,   589,   199,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,     0,   642,     0,   643,   644,   645,   646,   647,   648,
     649,   650,   218,   651,   652,   220,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,   236,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   709,
     710,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,   132,   451,   452,
     453,   134,   135,   136,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,     0,   139,   461,     0,
     462,   463,   464,   465,   143,     0,   144,     0,   466,   467,
     468,   469,   470,   147,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,     0,   150,   479,   480,     0,     0,
       0,     0,   151,     0,     0,     0,   482,   483,   484,   485,
       0,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,  2298,   517,     0,   518,   519,   167,
     520,     0,   521,     0,   522,   168,     0,   169,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,     0,   531,   532,   173,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,     0,   568,   569,     0,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
    2299,     0,   585,   586,   587,     0,     0,   588,   197,   198,
     589,   199,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   211,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,     0,   642,     0,   643,   644,   645,
     646,   647,     0,   649,   650,   218,   651,   652,   220,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,   225,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,  2300,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,   236,     0,   697,   237,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   709,   710,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,   135,   136,   137,   138,     0,
     454,   455,   456,   457,   458,     0,     0,   459,   460,     0,
     139,   461,     0,   462,   463,   464,   465,   143,     0,   144,
       0,   466,   467,   468,   469,   470,   147,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,     0,     0,     0,   151,     0,     0,     0,   482,
     483,   484,   485,     0,   486,   154,   155,   487,  2486,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,   165,     0,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,   171,     0,   172,
     528,     0,   529,   530,     0,   531,   532,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,   182,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,     0,   568,   569,     0,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   197,   198,   589,   199,   200,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,   201,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,   213,
     635,   636,   637,   638,   639,   640,   641,     0,   642,     0,
     643,   644,   645,   646,   647,     0,   649,   650,   218,   651,
     652,   220,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   223,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,   226,   227,     0,     0,   677,   678,   228,   679,
     229,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,   236,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   709,   710,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,   132,   451,   452,   453,   134,   135,   136,
     137,   138,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,     0,   139,   461,     0,   462,   463,   464,   465,
     143,     0,   144,     0,   466,   467,   468,   469,   470,   147,
     471,   472,     0,     0,   473,   474,   475,   476,   477,   478,
       0,   150,   479,   480,     0,     0,     0,     0,   151,     0,
       0,     0,   482,   483,   484,   485,     0,   486,   154,   155,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,   501,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   163,   514,   515,   516,   165,
       0,   517,     0,   518,   519,   167,   520,     0,   521,     0,
     522,   168,     0,   169,   523,   524,   525,   526,     0,   527,
     171,     0,   172,   528,     0,   529,   530,     0,   531,   532,
     173,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,   182,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,     0,   568,   569,
       0,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,     0,   576,   577,   194,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   197,   198,   589,   199,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,   201,   601,   202,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   211,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
       0,   642,     0,   643,   644,   645,   646,   647,     0,   649,
     650,   218,   651,   652,   220,   653,   654,   221,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,     0,   668,   669,     0,   670,   225,   671,
     672,   673,   674,   675,     0,   226,   227,     0,     0,   677,
     678,   228,   679,   229,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,   236,     0,   697,
     237,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   709,   710,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,     0,     0,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,   135,   136,   137,   138,     0,   454,   455,   456,   457,
     458,     0,     0,   459,   460,     0,   139,   461,     0,   462,
     463,   464,   465,   143,     0,   144,     0,   466,   467,   468,
     469,   470,   147,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,     0,     0,
       0,   151,     0,     0,     0,   482,   483,   484,   485,     0,
     486,   154,   155,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,   501,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   163,   514,
     515,   516,   165,     0,   517,     0,   518,   519,   167,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,   171,     0,   172,   528,     0,   529,   530,
       0,   531,  2274,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,   182,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
       0,   568,   569,     0,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   197,   198,   589,
     199,   200,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,   201,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     204,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,   213,   635,   636,   637,   638,
     639,   640,   641,     0,   642,     0,   643,   644,   645,   646,
     647,     0,   649,   650,   218,   651,   652,   220,   653,   654,
     221,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,   223,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,   226,   227,
       0,     0,   677,   678,   228,   679,   229,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
     236,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   709,   710,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   435,   436,   437,   438,   439,   440,
     441,   442,  1308,   443,   444,   445,     0,     0,     0,     0,
       0,     0,     0,   446,   447,     0,   448,   449,   450,   132,
     451,   452,   453,   134,   135,   136,   137,   138,     0,   454,
     455,   456,   457,   458,     0,     0,   459,   460,     0,   139,
     461,     0,   462,   463,   464,   465,   143,     0,   144,     0,
     466,   467,   468,   469,   470,   147,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,     0,   150,   479,   480,
       0,     0,     0,     0,   151,     0,     0,   481,   482,   483,
     484,   485,     0,   486,   154,   155,   487,     0,   488,     0,
     489,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,     0,   499,   500,   501,   502,   503,     0,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   163,   514,   515,   516,   165,     0,   517,     0,   518,
     519,   167,   520,     0,   521,     0,   522,   168,     0,   169,
     523,   524,   525,   526,     0,   527,   171,     0,   172,   528,
       0,   529,   530,     0,   531,   532,   173,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,   182,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,     0,   568,   569,     0,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,     0,   576,   577,
     194,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     197,   198,   589,   199,   200,   590,   591,   592,   593,   594,
     595,   596,   597,   598,     0,   599,   600,   201,   601,   202,
     602,   603,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   204,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   211,   632,   633,   634,   213,   635,
     636,   637,   638,   639,   640,   641,     0,   642,     0,   643,
     644,   645,   646,   647,   648,   649,   650,   218,   651,   652,
     220,   653,   654,   221,   655,     0,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,   223,     0,
     668,   669,     0,   670,   225,   671,   672,   673,   674,   675,
       0,   226,   227,     0,     0,   677,   678,   228,   679,   229,
       0,   680,   681,   682,   683,   684,   685,   686,     0,     0,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,   236,     0,   697,   237,   698,   699,   700,
     701,     0,     0,   702,     0,     0,   703,   704,   705,   706,
     707,   708,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   709,   710,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,     0,
       0,     0,     0,     0,     0,     0,   446,   447,     0,   448,
     449,   450,   132,   451,   452,   453,   134,   135,   136,   137,
     138,     0,   454,   455,   456,   457,   458,     0,     0,   459,
     460,     0,   139,   461,     0,   462,   463,   464,   465,   143,
       0,   144,     0,   466,   467,   468,   469,   470,   147,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,     0,
     150,   479,   480,     0,     0,     0,     0,   151,     0,     0,
     481,   482,   483,   484,   485,     0,   486,   154,   155,   487,
       0,   488,     0,   489,   490,   491,   492,   493,   494,     0,
     495,   496,   497,   498,     0,     0,   499,   500,   501,   502,
     503,     0,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   163,   514,   515,   516,   165,     0,
     517,     0,   518,   519,   167,   520,     0,   521,     0,   522,
     168,     0,   169,   523,   524,   525,   526,     0,   527,   171,
       0,   172,   528,     0,   529,   530,     0,   531,   532,   173,
     533,   534,   535,   536,     0,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,   182,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,     0,   568,   569,     0,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
       0,   576,   577,   194,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   197,   198,   589,   199,   200,   590,   591,
     592,   593,   594,   595,   596,   597,   598,     0,   599,   600,
     201,   601,   202,   602,   603,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   204,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   211,   632,   633,
     634,   213,   635,   636,   637,   638,   639,   640,   641,     0,
     642,     0,   643,   644,   645,   646,   647,   648,   649,   650,
     218,   651,   652,   220,   653,   654,   221,   655,     0,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,   223,     0,   668,   669,     0,   670,   225,   671,   672,
     673,   674,   675,     0,   226,   227,     0,     0,   677,   678,
     228,   679,   229,     0,   680,   681,   682,   683,   684,   685,
     686,     0,     0,   687,   688,   689,   690,   691,  2871,     0,
     692,   693,   694,   695,   696,     0,   236,     0,   697,   237,
     698,   699,   700,   701,     0,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   709,   710,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,     0,     0,     0,     0,     0,     0,     0,   446,
     447,     0,   448,   449,   450,   132,   451,   452,   453,   134,
     135,   136,   137,   138,     0,   454,   455,   456,   457,   458,
       0,     0,   459,   460,     0,   139,   461,     0,   462,   463,
     464,   465,   143,     0,   144,     0,   466,   467,   468,   469,
     470,   147,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,     0,   150,   479,   480,     0,     0,     0,     0,
     151,     0,     0,   481,   482,   483,   484,   485,     0,   486,
     154,   155,   487,     0,   488,     0,   489,   490,   491,   492,
     493,   494,     0,   495,   496,   497,   498,     0,     0,   499,
     500,   501,   502,   503,     0,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   163,   514,   515,
     516,   165,     0,   517,     0,   518,   519,   167,   520,     0,
     521,     0,   522,   168,     0,   169,   523,   524,   525,   526,
       0,   527,   171,  3850,   172,   528,     0,   529,   530,     0,
     531,   532,   173,   533,   534,   535,   536,     0,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
     182,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,     0,
     568,   569,     0,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,     0,   576,   577,   194,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   197,   198,   589,   199,
     200,   590,   591,   592,   593,   594,   595,   596,   597,   598,
       0,   599,   600,   201,   601,   202,   602,   603,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   204,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     211,   632,   633,   634,   213,   635,   636,   637,   638,   639,
     640,   641,     0,   642,     0,   643,   644,   645,   646,   647,
     648,   649,   650,   218,   651,   652,   220,   653,   654,   221,
     655,     0,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   223,     0,   668,   669,     0,   670,
     225,   671,   672,   673,   674,   675,     0,   226,   227,     0,
       0,   677,   678,   228,   679,   229,     0,   680,   681,   682,
     683,   684,   685,   686,     0,     0,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,   236,
       0,   697,   237,   698,   699,   700,   701,     0,     0,   702,
       0,     0,   703,   704,   705,   706,   707,   708,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     709,   710,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,   448,   449,   450,   132,   451,
     452,   453,   134,   135,   136,   137,   138,     0,   454,   455,
     456,   457,   458,     0,     0,   459,   460,     0,   139,   461,
       0,   462,   463,   464,   465,   143,     0,   144,     0,   466,
     467,   468,   469,   470,   147,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,     0,   150,   479,   480,     0,
       0,     0,     0,   151,     0,     0,   481,   482,   483,   484,
     485,     0,   486,   154,   155,   487,     0,   488,     0,   489,
     490,   491,   492,   493,   494,     0,   495,   496,   497,   498,
       0,     0,   499,   500,   501,   502,   503,     0,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     163,   514,   515,   516,   165,     0,   517,     0,   518,   519,
     167,   520,     0,   521,     0,   522,   168,     0,   169,   523,
     524,   525,   526,     0,   527,   171,     0,   172,   528,     0,
     529,   530,     0,   531,   532,   173,   533,   534,   535,   536,
       0,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   197,
     198,   589,   199,   200,   590,   591,   592,   593,   594,   595,
     596,   597,   598,     0,   599,   600,   201,   601,   202,   602,
     603,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   204,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   211,   632,   633,   634,   213,   635,   636,
     637,   638,   639,   640,   641,     0,   642,     0,   643,   644,
     645,   646,   647,   648,   649,   650,   218,   651,   652,   220,
     653,   654,   221,   655,     0,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   223,     0,   668,
     669,     0,   670,   225,   671,   672,   673,   674,   675,     0,
     226,   227,     0,     0,   677,   678,   228,   679,   229,     0,
     680,   681,   682,   683,   684,   685,   686,     0,     0,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,   236,     0,   697,   237,   698,   699,   700,   701,
       0,     0,   702,     0,     0,   703,   704,   705,   706,   707,
     708,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   709,   710,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,     0,     0,
       0,     0,     0,     0,     0,   446,   447,     0,   448,   449,
     450,   132,   451,   452,   453,   134,   135,   136,   137,   138,
       0,   454,   455,   456,   457,   458,     0,     0,   459,   460,
       0,   139,   461,     0,   462,   463,   464,   465,   143,     0,
     144,     0,   466,   467,   468,   469,   470,   147,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,     0,   150,
     479,   480,     0,     0,     0,     0,   151,     0,     0,   481,
     482,   483,   484,   485,     0,   486,   154,   155,   487,     0,
     488,     0,   489,   490,   491,   492,   493,   494,     0,   495,
     496,   497,   498,     0,     0,   499,   500,   501,   502,   503,
       0,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   163,   514,   515,   516,   165,     0,   517,
       0,   518,   519,   167,   520,     0,   521,     0,   522,   168,
       0,   169,   523,   524,   525,   526,     0,   527,   171,     0,
     172,   528,     0,   529,   530,     0,   531,   532,   173,   533,
     534,   535,   536,     0,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,   182,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
    1327,   564,   565,   566,   567,     0,   568,   569,     0,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,     0,
     576,   577,   194,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   197,   198,   589,   199,   200,   590,   591,   592,
     593,   594,   595,   596,   597,   598,     0,   599,   600,   201,
     601,   202,   602,   603,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   204,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   211,   632,   633,   634,
     213,   635,   636,   637,   638,   639,   640,   641,     0,   642,
       0,   643,   644,   645,   646,   647,   648,   649,   650,   218,
     651,   652,   220,   653,   654,   221,   655,     0,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     223,     0,   668,   669,     0,   670,   225,   671,   672,   673,
     674,   675,     0,   226,   227,     0,     0,   677,   678,   228,
     679,   229,     0,   680,   681,   682,   683,   684,   685,   686,
       0,     0,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,   236,     0,   697,   237,   698,
     699,   700,   701,     0,     0,   702,     0,     0,   703,   704,
     705,   706,   707,   708,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   709,   710,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,     0,     0,     0,     0,     0,     0,     0,   446,   447,
       0,   448,   449,   450,   132,   451,   452,   453,   134,   135,
     136,   137,   138,     0,   454,   455,   456,   457,   458,     0,
       0,   459,   460,     0,   139,   461,     0,   462,   463,   464,
     465,   143,     0,   144,     0,   466,   467,   468,   469,   470,
     147,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,     0,   150,   479,   480,     0,     0,     0,     0,   151,
       0,     0,   481,   482,   483,   484,   485,     0,   486,   154,
     155,   487,     0,   488,     0,   489,   490,   491,   492,   493,
     494,     0,   495,   496,   497,   498,     0,     0,   499,   500,
     501,   502,   503,     0,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   163,   514,   515,   516,
     165,     0,   517,     0,   518,   519,   167,   520,     0,   521,
       0,   522,   168,     0,   169,   523,   524,   525,   526,     0,
     527,   171,     0,   172,   528,     0,   529,   530,     0,   531,
     532,   173,   533,   534,   535,   536,     0,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,   182,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,  1425,   564,   565,   566,   567,     0,   568,
     569,     0,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   197,   198,   589,   199,   200,
     590,   591,   592,   593,   594,   595,   596,   597,   598,     0,
     599,   600,   201,   601,   202,   602,   603,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   204,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   211,
     632,   633,   634,   213,   635,   636,   637,   638,   639,   640,
     641,     0,   642,     0,   643,   644,   645,   646,   647,   648,
     649,   650,   218,   651,   652,   220,   653,   654,   221,   655,
       0,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   223,     0,   668,   669,     0,   670,   225,
     671,   672,   673,   674,   675,     0,   226,   227,     0,     0,
     677,   678,   228,   679,   229,     0,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,   236,     0,
     697,   237,   698,   699,   700,   701,     0,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   709,
     710,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   448,   449,   450,   132,   451,   452,
     453,   134,   135,   136,   137,   138,     0,   454,   455,   456,
     457,   458,     0,     0,   459,   460,     0,   139,   461,     0,
     462,   463,   464,   465,   143,     0,   144,     0,   466,   467,
     468,   469,   470,   147,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,     0,   150,   479,   480,     0,     0,
       0,     0,   151,     0,     0,   481,   482,   483,   484,   485,
       0,   486,   154,   155,   487,     0,   488,     0,   489,   490,
     491,   492,   493,   494,     0,   495,   496,   497,   498,     0,
       0,   499,   500,   501,   502,   503,     0,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   163,
     514,   515,   516,   165,     0,   517,     0,   518,   519,   167,
     520,     0,   521,     0,   522,   168,     0,   169,   523,   524,
     525,   526,     0,   527,   171,     0,   172,   528,     0,   529,
     530,     0,   531,  1509,   173,   533,   534,   535,   536,     0,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,     0,   568,   569,     0,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   197,   198,
     589,   199,   200,   590,   591,   592,   593,   594,   595,   596,
     597,   598,     0,   599,   600,   201,   601,   202,   602,   603,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   204,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   211,   632,   633,   634,   213,   635,   636,   637,
     638,   639,   640,   641,     0,   642,     0,   643,   644,   645,
     646,   647,   648,   649,   650,   218,   651,   652,   220,   653,
     654,   221,   655,     0,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   223,     0,   668,   669,
       0,   670,   225,   671,   672,   673,   674,   675,     0,   226,
     227,     0,     0,   677,   678,   228,   679,   229,     0,   680,
     681,   682,   683,   684,   685,   686,     0,     0,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,   236,     0,   697,   237,   698,   699,   700,   701,     0,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   709,   710,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   448,   449,   450,
     132,   451,   452,   453,   134,   135,   136,   137,   138,     0,
     454,   455,   456,   457,   458,     0,     0,   459,   460,     0,
     139,   461,     0,   462,   463,   464,   465,   143,     0,   144,
       0,   466,   467,   468,   469,   470,   147,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,     0,   150,   479,
     480,     0,     0,     0,     0,   151,     0,     0,   481,   482,
     483,   484,   485,     0,   486,   154,   155,   487,     0,   488,
       0,   489,   490,   491,   492,   493,   494,     0,   495,   496,
     497,   498,     0,     0,   499,   500,   501,   502,   503,     0,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   163,   514,   515,   516,   165,     0,   517,     0,
     518,   519,   167,   520,     0,   521,     0,   522,   168,     0,
     169,   523,   524,   525,   526,     0,   527,   171,     0,   172,
     528,     0,   529,   530,     0,   531,  1520,   173,   533,   534,
     535,   536,     0,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,   182,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,     0,   568,   569,     0,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   197,   198,   589,   199,   200,   590,   591,   592,   593,
     594,   595,   596,   597,   598,     0,   599,   600,   201,   601,
     202,   602,   603,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   204,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   211,   632,   633,   634,   213,
     635,   636,   637,   638,   639,   640,   641,     0,   642,     0,
     643,   644,   645,   646,   647,   648,   649,   650,   218,   651,
     652,   220,   653,   654,   221,   655,     0,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   223,
       0,   668,   669,     0,   670,   225,   671,   672,   673,   674,
     675,     0,   226,   227,     0,     0,   677,   678,   228,   679,
     229,     0,   680,   681,   682,   683,   684,   685,   686,     0,
       0,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,   236,     0,   697,   237,   698,   699,
     700,   701,     0,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   709,   710,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
       0,     0,     0,     0,     0,     0,     0,   446,   447,     0,
     448,   449,   450,   132,   451,   452,   453,   134,   135,   136,
     137,   138,     0,   454,   455,   456,   457,   458,     0,     0,
     459,   460,     0,   139,   461,     0,   462,   463,   464,   465,
     143,     0,   144,     0,   466,   467,   468,   469,   470,   147,
     471,   472,     0,     0,   473,   474,   475,   476,   477,   478,
       0,   150,   479,   480,     0,     0,     0,     0,   151,     0,
       0,   481,   482,   483,   484,   485,     0,   486,   154,   155,
     487,     0,   488,     0,   489,   490,   491,   492,   493,   494,
       0,   495,   496,   497,   498,     0,     0,   499,   500,   501,
     502,   503,     0,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   163,   514,   515,   516,   165,
       0,   517,     0,   518,   519,   167,   520,     0,   521,     0,
     522,   168,     0,   169,   523,   524,   525,   526,     0,   527,
     171,     0,   172,   528,     0,   529,   530,     0,   531,  1530,
     173,   533,   534,   535,   536,     0,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,   182,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,  1531,   564,   565,   566,   567,     0,   568,   569,
       0,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,     0,   576,   577,   194,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   197,   198,   589,   199,   200,   590,
     591,   592,   593,   594,   595,   596,   597,   598,     0,   599,
     600,   201,   601,   202,   602,   603,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   204,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   211,   632,
     633,   634,   213,   635,   636,   637,   638,   639,   640,   641,
       0,   642,     0,   643,   644,   645,   646,   647,   648,   649,
     650,   218,   651,   652,   220,   653,   654,   221,   655,     0,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   223,     0,   668,   669,     0,   670,   225,   671,
     672,   673,   674,   675,     0,   226,   227,     0,     0,   677,
     678,   228,   679,   229,     0,   680,   681,   682,   683,   684,
     685,   686,     0,     0,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,   236,     0,   697,
     237,   698,   699,   700,   701,     0,     0,   702,     0,     0,
     703,   704,   705,   706,   707,   708,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   709,   710,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   129,   130,     0,     0,     0,     0,     0,
     446,   447,     0,   448,   449,   450,   132,   451,   452,   453,
     134,   135,   136,   137,   138,     0,   454,   455,   456,   457,
     458,     0,     0,   459,   460,     0,   139,   461,     0,   462,
     463,   464,   465,   143,     0,   144,     0,   466,   467,   468,
     469,   470,   147,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,     0,   150,   479,   480,     0,     0,     0,
       0,   151,     0,     0,     0,   482,   483,   484,   485,     0,
     486,   154,   155,   487,     0,   488,     0,   489,   490,   491,
     492,   493,   494,     0,   495,   496,   497,   498,     0,     0,
     499,   500,   501,   502,   503,     0,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   163,   514,
     515,   516,   165,     0,   517,     0,   518,   519,   167,   520,
       0,   521,     0,   522,   168,     0,   169,   523,   524,   525,
     526,     0,   527,   171,     0,   172,   528,     0,   529,   530,
       0,   531,   532,   173,   533,   534,   535,   536,     0,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,   182,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
       0,   568,   569,     0,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   197,   198,   589,
     199,   200,   590,   591,   592,   593,   594,   595,   596,   597,
     598,     0,   599,   600,   201,   601,   202,   602,   603,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     204,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   211,   632,   633,   634,   213,   635,   636,   637,   638,
     639,   640,   641,     0,   642,     0,   643,   644,   645,   646,
     647,     0,   649,   650,   218,   651,   652,   220,   653,   654,
     221,   655,     0,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,   223,     0,   668,   669,     0,
     670,   225,   671,   672,   673,   674,   675,     0,   226,   227,
       0,     0,   677,   678,   228,   679,   229,     0,   680,   681,
     682,   683,   684,   685,   686,     0,     0,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
     236,     0,   697,   237,   698,   699,   700,   701,     0,     0,
     702,     0,     0,   703,   704,   705,   706,   707,   708,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   709,   710,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,     0,     0,     0,     0,
       0,     0,     0,   446,   447,     0,   448,   449,   450,     0,
     451,   452,   453,     0,     0,     0,     0,     0,     0,   454,
     455,   456,   457,   458,     0,     0,   459,   460,     0,     0,
     461,     0,   462,   463,   464,   465,     0,     0,     0,     0,
     466,   467,   468,   469,   470,     0,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,     0,     0,   479,   480,
       0,     0,     0,     0,     0,     0,     0,     0,   482,   483,
     484,   485,     0,   486,     0,     0,   487,     0,   488,     0,
     489,   490,   491,   492,   493,   494,     0,   495,   496,   497,
     498,     0,     0,   499,   500,   501,   502,   503,     0,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,     0,   514,   515,   516,     0,     0,   517,     0,   518,
     519,     0,   520,     0,   521,     0,   522,     0,     0,     0,
     523,   524,   525,   526,     0,   527,     0,     0,     0,   528,
       0,   529,   530,     0,   531,   532,     0,   533,   534,   535,
     536,     0,   537,   538,   539,   540,   541,   542,     0,   543,
       0,     0,     0,   544,   545,   546,     0,     0,     0,     0,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,     0,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,     0,   568,   569,     0,   570,   571,   572,
       0,     0,     0,   573,   574,   575,     0,     0,   576,   577,
       0,   578,     0,     0,   579,     0,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
       0,     0,   589,     0,     0,   590,   591,   592,   593,   594,
     595,   596,   597,   598,     0,   599,   600,     0,   601,     0,
     602,   603,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   632,   633,   634,     0,   635,
     636,   637,   638,   639,   640,   641,     0,   642,     0,   643,
     644,   645,   646,   647,     0,   649,   650,     0,   651,   652,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,     0,     0,
     668,   669,     0,   670,     0,   671,   672,   673,   674,   675,
       0,     0,     0,     0,     0,   677,   678,     0,   679,     0,
       0,   680,   681,   682,   683,   684,   685,   686,     0,     0,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,     0,   697,     0,   698,   699,   700,
     701,     0,     0,   702,     0,     0,   703,   704,   705,   706,
     707,   708,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   709,   710
};

static const yytype_int16 yycheck[] =
{
       2,    78,   251,   210,    78,  1139,    78,   991,    78,  1314,
     948,  1561,    78,   397,   397,  1591,  2030,   895,  1014,  1076,
    1077,  1078,   153,   900,  1512,  1082,   381,   224,   166,  1134,
    1156,  1027,    78,  1921,  1329,  1188,  1315,   230,    84,  1161,
     152,  1479,  1265,   149,  1162,  1965,  1958,  1339,  1780,  3301,
     188,  1467,  1468,  1419,  3133,  2288,  2631,  2632,   772,  1043,
    2462,  1477,  1627,  2092,  2172,  1146,   159,   886,   164,  2475,
    3346,  2934,   203,  2947,  1216,   131,    78,  1965,   170,  1482,
    1497,  3472,    84,  3499,  3790,  3746,  1408,    89,  4062,    78,
     164,    96,  1970,  2789,  2375,  3524,   369,  3526,   896,  1394,
    1981,   106,  1424,  1398,   991,  2861,   904,  3694,  1403,   383,
    3109,  1235,  1031,  3700,   116,  4115,  3777,  1412,   210,   917,
    1235,  3355,  4115,  4167,  2840,  3700,  3290,  2892,  4005,  2894,
     773,  1426,  1042,  2898,  1026,  4660,   141,  4398,   900,  3288,
    3289,  1283,  2907,  2908,  2909,  4342,  4111,   209,   946,  4385,
     152,   156,  4395,  2225,   952,  1277,  2185,   219,  1142,   161,
     383,  4011,  1894,  4407,  2272,  4381,    78,   965,  2359,     2,
     217,   250,    84,  5001,  2469,  3328,  2054,  1314,  4394,  2060,
    2061,  5064,  1836,  1837,  1838,  1322,   948,  4384,   166,  1950,
    3221,  1899,  4890,  4887,  1331,  1554,  1574,  3976,  1545,  3388,
    4842,  1465,  1466,  5216,   116,  4081,  1185,   209,  1329,  5017,
     188,  5019,  1476,  1185,  1274,   217,  4010,   219,  4012,  1230,
    1231,  1343,  3939,    10,    21,  5204,    14,    30,  1960,  2631,
     232,  1831,  1832,  1034,   111,    87,    71,    71,  5083,  1655,
    1656,  2937,  3711,  5128,  5129,   147,    87,  4889,  1010,   161,
    3814,    85,   880,    14,   125,  1142,  4469,  4470,  1674,  4472,
    4473,  4474,    87,   118,   978,    87,    71,   162,  5325,  5326,
    5418,   132,    74,    75,    76,    77,  1499,  5122,   132,    81,
      85,  1684,  5359,  1058,   102,   115,   187,  1062,  1063,  1064,
     132,   116,    14,   132,   116,   115,   239,  1072,    74,    75,
      76,    77,    71,    84,    98,    81,   132,   118,   132,  3474,
      71,    80,   389,   233,   238,   389,    85,   389,   186,   389,
     232,   238,   147,   389,   132,   147,   213,   154,  3359,  1386,
      94,   280,    29,   238,    78,   348,   132,    74,    75,    76,
      77,   375,   343,    78,    81,   238,   249,   361,  3044,    71,
    3046,   397,    74,    75,    76,    77,   149,   238,    80,    81,
      82,    83,    78,    85,   325,   132,   159,   131,    71,    74,
      75,    76,    77,   187,   238,   232,    81,    80,   361,   239,
    1644,  1645,    85,    98,    89,    90,   432,    78,   152,   153,
      74,    75,    76,    77,   348,   397,    70,    81,   162,   379,
     389,   465,   191,   159,    78,    79,  1670,   180,   426,   149,
     486,   187,   206,    74,    75,    76,    77,   105,  5760,  1561,
      81,  3204,  1136,  3206,  3207,   239,   245,  2245,  1554,   149,
     432,   102,   106,   107,  1800,    74,    75,    76,    77,   203,
     149,   408,    81,   238,   508,    74,    75,    76,    77,   149,
      89,    90,    81,   208,   238,    78,    74,    75,    76,    77,
      89,    90,   238,    81,  5443,  5613,   542,   238,    74,    75,
      76,    77,  1764,   440,    78,    81,  5284,   102,  1356,    78,
      78,   220,   189,  1360,   109,   397,    74,    75,    76,    77,
     132,   206,   281,    81,   381,   149,  5341,    78,   882,   882,
     360,    89,    90,  2575,   399,   159,    78,  5205,   542,   510,
      78,   368,  5206,    78,   328,    74,    75,    76,    77,  2337,
     432,   192,    81,  1519,   542,    25,  1345,   180,   542,   490,
      89,    90,   545,    74,    75,    76,    77,   194,   249,   400,
      81,   116,   156,  2615,   261,  3710,   400,  2619,  5152,  1533,
     102,  5893,   325,    74,    75,    76,    77,   109,   400,   542,
      81,   400,   542,   237,   676,   239,    74,    75,    76,    77,
     463,   431,   102,    81,   400,   272,   400,  1561,  2016,   109,
     180,   110,  1704,    37,   198,    39,   161,   490,   180,  1232,
    1233,   545,   400,   724,   725,   544,   238,   465,  1360,   542,
    1726,  1597,    71,   274,   400,    74,    75,    76,    77,  1731,
     166,    80,    81,  1739,   325,  4202,    85,  1613,  5675,   449,
    1762,   545,   542,  5700,  1252,  1767,  1768,  4202,   545,   449,
     531,   425,  1628,   400,   452,  5518,   491,   542,   540,  4226,
     508,  5620,   544,  1769,  1770,   389,  1533,  1631,   436,   476,
     545,   432,   463,  1563,   389,   542,   491,   232,   187,    74,
      75,    76,    77,  4879,   545,   542,    81,  5815,  5553,   433,
     463,   542,   486,   389,   676,   436,    74,    75,    76,    77,
     491,   545,  2004,    81,   545,  2417,   538,   463,   244,   486,
     484,   545,  4353,   495,   535,   536,   537,   538,   389,   533,
     534,  4578,  4118,   545,   491,  4582,   545,   463,   542,   397,
     535,   536,   537,   538,   436,   912,   538,  4567,   105,   545,
     408,   545,   410,   463,  2046,  3421,   545,    87,   533,   534,
    2025,  4944,  2464,  2028,    87,  5433,  2468,   540,  5751,   536,
     542,    25,  1543,   463,  1631,   359,   501,   418,  5442,   545,
     545,    96,  2328,   192,   463,   531,   116,  2036,   542,  4635,
    5739,  4540,   501,   463,   533,   534,   389,  4484,   544,   422,
     412,   542,  4566,  1046,  4568,  1759,   276,   889,   545,   490,
     468,   488,  5386,  1767,  1768,   389,   342,   147,  2276,  1564,
     389,   389,  1567,  5318,  1043,  1570,  1938,  1572,  2090,  1936,
    1575,  2123,   505,   540,  1579,   542,  1948,   544,   389,   463,
     435,   533,   534,   484,   180,   238,  3391,   389,  3393,   348,
    2740,   389,   496,   247,   389,   528,  2242,   939,   545,   486,
     533,   534,  2710,  1188,   927,   546,   882,   542,  5683,  1818,
    1851,  4885,  5821,   457,  5652,   401,  1818,  2335,   280,   980,
     189,  5696,   452,  1990,   931,   497,  2344,   931,   542,   931,
     452,   931,  4026,  3737,   280,   931,   192,  4431,  4432,  4433,
    4434,  4435,  1759,   327,   219,  2017,   878,  1796,  2020,  2021,
     882,   542,   187,   435,   886,  2006,  3288,  3289,  3290,  1001,
    2011,  1088,  3608,   895,   896,  1912,  4312,  1957,  3304,  5878,
     180,   507,   904,   542,  1178,   435,  4375,  2785,  4299,  3674,
     328,  1554,   676,   542,  4103,   917,   394,  1055,  5616,  1057,
    5614,  1059,   528,   180,   542,   192,   280,  1065,   238,   195,
     116,  2309,   934,  1039,  2293,  2643,   542,  2315,  2285,   206,
     280,   340,  5825,  5826,   946,   284,  5791,  1043,   274,   505,
     952,  1089,  1090,  5595,   542,  1178,   280,  2221,  2222,   189,
     724,   725,  2104,   965,    25,  1162,   878,    98,  1042,  2730,
     882,   381,  2986,  5615,    35,   161,  2576,   240,  2578,  3675,
    3676,   405,   984,   542,   182,   463,   507,   543,   327,   991,
     546,   103,   276,   325,   996,  1192,   230,   452,  5195,   409,
    1002,   542,   531,  2420,  1006,  1007,  4999,   528,   772,   216,
     397,   540,  1014,   542,   543,   544,   545,   342,   132,   114,
    5848,   542,   327,   209,  1026,  1027,     0,   145,  4419,    84,
    5913,   217,  1034,   219,   542,  1040,    91,    92,    93,   181,
     463,  1043,  5740,   382,   451,   484,   232,  5741,  4079,   280,
     219,   219,  1057,  5046,  1059,   253,   337,   187,   166,  1997,
    5060,  3356,   241,   408,  1069,   534,   484,  5060,   156,   102,
     486,   116,  1168,  4226,  3790,   206,  1273,   138,   485,  1057,
     361,  1059,  1138,   428,  1089,  1090,   452,   542,  4364,  3001,
     324,   298,  1171,  1140,   123,    71,   408,  1144,    74,    75,
      76,    77,   332,   370,    80,    81,  2656,   412,   531,    85,
     198,  1089,  1090,   545,  2131,   313,   161,  1163,   316,  3694,
     111,   544,   264,   280,  2181,  3700,  5820,   542,   394,  5006,
     546,  1133,  1134,  3324,  5011,    98,   244,  5014,  1140,   130,
    1142,   104,  1144,   542,   542,    71,   486,   410,    74,    75,
      76,    77,  5002,   463,    80,    81,    82,    83,   484,    85,
     156,  1163,   486,   275,   259,  2291,  1168,  5403,  1170,   228,
     249,   125,   452,   533,   534,   535,   536,   537,   538,  4958,
     533,   534,   535,   536,   537,   538,   141,   232,   179,  2627,
    5451,   545,   524,   342,   192,   452,   182,    78,  5441,  5435,
    4906,  1034,   198,   466,   159,  5402,   545,  2341,  2342,   472,
    5454,   325,  3787,  4874,   978,   276,   980,   542,   416,   233,
    5745,  5746,   340,  5216,   178,   355,   357,   256,  1230,  1231,
     542,   348,   261,  5449,   342,  1997,   182,  5434,  4654,   298,
    5067,   420,   192,   206,    71,  3317,   325,    74,    75,    76,
      77,  1163,  2248,    80,    81,   486,  1318,  1319,    85,   428,
     428,   542,   217,   394,  2260,  1267,  4695,   253,   297,   187,
     412,   359,   263,  1037,   453,  2271,   274,  1041,  1267,   238,
     235,     8,   112,   164,    11,    12,   400,   394,   418,   344,
     425,   337,  2414,   401,   425,    22,    23,    24,   415,    26,
      27,    14,   261,   878,    31,    32,    33,   253,    98,   451,
     452,   425,    98,  2297,   104,   361,  1318,  1319,   425,   273,
     311,   280,   452,   314,   274,   523,    98,   313,  2220,   486,
     316,   116,   365,  5160,   325,    74,    75,    76,    77,   191,
    1329,   412,    81,  1345,   542,  1438,   408,   253,   410,   189,
    1352,  5316,   425,   240,  1356,  5880,   332,   141,   489,   166,
    2279,    98,   492,   359,   102,   356,   196,   313,  2246,   457,
     251,   325,  1136,  1375,  1138,   505,   161,  2269,  5621,  3033,
    2257,   159,   396,  1216,  2510,  2204,  2296,   420,  1390,   240,
     125,   540,    14,  5437,   357,   544,    70,   505,   528,  4633,
     542,   430,  1235,  5280,    78,    79,   468,   313,   399,   187,
     545,   490,   542,   425,   332,  2334,   206,   238,   373,  2338,
     206,  2340,   238,   456,  2343,   458,  2560,   410,   419,   281,
     416,   394,  1434,   217,   206,   543,  4600,   244,   546,   187,
     261,  2396,  4606,   178,   284,   261,  4595,   232,   439,   156,
    1283,   235,  2594,   180,  1703,   496,  2394,   344,   156,   280,
     414,   457,   425,   201,   280,  4464,   405,  5246,   418,   206,
     416,   542,   545,   471,   529,   530,   531,  1479,   533,   534,
     535,   536,   537,   538,   158,   468,   484,   327,  5481,  1563,
    2614,   198,  5319,   344,  2256,  2257,   542,  1881,  1881,  2614,
     198,  5328,   383,   182,  5747,   332,   254,  2812,   389,  5752,
     416,  5098,  5512,   357,   342,   337,   313,  1519,  1791,  5512,
     105,  4286,   452,  5098,   479,  4290,  4291,   486,  4293,  1803,
    1804,  1533,  1806,   545,   484,  2857,   210,   523,   273,   361,
    1542,  1543,   382,  1545,   129,     5,   485,  5521,  5522,   327,
     394,  1553,   543,  3041,   133,   102,   542,   533,   534,  1561,
     346,  1566,   141,  1568,  5343,    25,  1571,   357,  1573,  5348,
    5349,  1576,  1577,  1578,   253,    35,  5819,  3489,  3592,   327,
    1803,  1804,   199,  1806,  1589,   357,   249,   546,    70,   373,
     325,   318,   209,   444,   434,  1597,    78,    79,  1603,   418,
    1605,   331,  2739,   181,   394,   463,   386,   533,   534,  1611,
    3891,  1613,   398,   399,  4330,   348,   261,    99,  4374,   416,
     357,  2943,   394,  1820,  4026,  5618,  1628,  4202,    84,  1631,
     304,    87,  2394,   452,   313,   425,  5879,   316,   329,   425,
    1642,    50,   369,   108,  2966,  2967,  2968,  2969,   475,  4365,
    2293,  4226,   359,   425,   201,   161,  2978,   394,   372,    68,
     116,   359,   325,   356,   158,   486,   398,   123,  5911,  1671,
     486,  5914,  2656,   492,  2816,  2812,   158,   238,   138,   414,
    2798,  2799,  2824,   357,  2802,  2827,   264,   545,   425,  1745,
    1746,   147,   878,   425,   357,   479,   100,  1699,  1700,  1701,
     261,  1703,   432,   442,   443,   199,   533,   534,  2845,  1542,
    1543,   357,  1545,  1715,  5183,   209,   398,   121,   498,   280,
     542,  1723,   301,   542,  3832,   546,   232,   418,  1561,   211,
     546,   394,   425,   372,  3612,   216,   216,   416,  5154,  2876,
     357,  2737,  4438,   425,  4440,   205,   473,   228,   394,   394,
     457,   465,   233,   398,   463,   220,  5417,  1759,  5751,   457,
    1762,   452,   410,    70,    71,  1767,  1768,    74,    75,    76,
      77,    78,    79,    80,    81,  1777,  1778,   394,    85,   261,
     425,   455,  5095,   457,   266,  1831,  1832,    70,   408,   243,
     201,   233,   203,  1849,   508,    78,    79,   278,   278,   189,
     256,   492,   244,  1805,   235,   261,   189,  1809,  1810,   286,
     543,  5785,   545,   218,   505,   226,   276,   298,  2696,   261,
     468,  2698,  1824,  5136,  2942,   159,   465,   490,  1830,  1831,
    1832,  5824,   228,   878,   412,  1881,   545,   528,  5229,    98,
    1933,   297,  1888,   486,   523,   104,  1610,   301,   325,  1851,
    3426,   542,   543,    70,  2051,   546,   310,   262,   339,  4938,
     505,    78,    79,   357,   484,   127,  1778,   348,   348,   508,
    2689,   275,   463,   451,   452,    74,    75,    76,    77,  1881,
     187,   363,    81,   528,   146,   268,  1888,   463,   344,  3770,
    1892,  3308,  3773,   190,   284,  2609,   390,  1899,   160,   542,
     394,   408,   298,   201,   187,   203,  5335,  1909,    84,   243,
    1912,    87,   243,  5329,  1916,    91,    92,    93,  1830,  1831,
    1832,   332,  5628,   405,   241,   486,   337,   356,   226,  1762,
     264,   425,   108,   179,  1767,  1768,  2698,   327,  2736,  2996,
     531,   158,   325,   339,   327,   452,  5415,   206,  1950,  4665,
     212,   428,  3318,   544,  1140,   531,  1958,   286,  1144,  3101,
     257,   403,  5431,   357,   357,   310,  5627,   301,   450,  1881,
     301,   505,   279,  5225,   430,  5054,  1888,  5056,  4841,  4675,
    4676,  1745,  1746,  3399,   161,   546,  4860,  1899,   234,  2807,
     505,  1993,   382,   210,   301,   477,   325,   478,   478,  5468,
     394,   394,   456,   485,   458,   386,   488,   484,  2806,  1842,
    1843,   545,   179,   347,  2016,  4878,    84,  2006,   386,    87,
     266,  3005,  2011,    91,    92,    93,   203,   190,   482,   327,
     545,   425,   425,     2,   332,  1868,  1869,  3911,   419,   337,
    4805,   357,  4807,  4808,   327,   486,  4811,    71,   287,   332,
     931,   419,   356,   382,   356,    84,   346,  2875,    87,   470,
     396,    85,    91,    92,    93,   311,  3940,   357,   314,   480,
     526,   452,  5463,  2075,  3058,  2077,  2874,   533,   534,   535,
     536,   537,   538,   228,   452,  1849,   228,   304,   233,   288,
    4119,   233,   230,   878,   257,  2097,   413,  2209,   201,   428,
     203,   542,   465,   420,   394,  1938,   282,   190,  5524,   425,
    2112,   546,   201,    87,   203,  1948,  4832,   498,  3005,  2121,
      89,   425,   456,   425,   458,   456,  2128,   458,  5597,  2131,
     498,  2133,  1318,  1319,   468,   502,   453,  2521,  2521,   399,
     357,   233,  3295,   357,   311,   479,  5422,   314,   482,   542,
    2152,   482,   290,   298,  2351,   484,   298,   474,  2160,  4173,
    2367,  1042,  1043,   255,   239,   425,  3389,  3309,   344,   505,
    2172,  3058,   470,   147,   257,  3751,   390,   394,   545,  3098,
     394,   398,   480,   152,  2017,  3761,  2188,  2020,  2021,   158,
    4906,  2150,   528,  4595,   339,   270,  3475,   339,  4600,  2201,
      87,  2297,  2204,  1778,  4606,  4611,  2208,   497,   425,   545,
     285,   425,  2214,    22,   282,  2174,  2128,   186,  2220,   542,
     295,  3500,  2296,  5884,   327,  3306,   533,   534,  3960,   116,
    2232,   189,   261,   238,   337,   233,  3191,  3192,   455,   531,
     457,  3196,    70,  2245,  2246,  4165,  2248,  2249,   337,   327,
      78,    79,   544,   282,   332,   546,   261,   255,  2260,  5511,
     147,  5677,    71,   507,  5733,  3143,  2268,  2269,  4376,  2271,
    2272,  2104,   234,  4151,  2366,   233,   344,   505,  3233,  3234,
    2373,   545,  2359,  2285,   528,  2359,  2288,  2359,   505,  2359,
    4171,   238,  4173,  2359,   548,  2297,   313,  1178,   542,   316,
     528,  2306,   380,  2308,   266,    40,   394,  2312,  3873,  2314,
     268,  3249,  2317,   486,   261,   344,  2321,   545,  3137,   505,
      74,    75,    76,    77,  1899,  3309,   505,    81,  4206,   404,
     158,    74,    75,    76,    77,  2337,   141,   425,    81,  3476,
     505,   276,   528,  5059,  5813,    74,    75,    76,    77,   528,
    5066,   357,    81,   529,   530,   531,  4088,   533,   534,   535,
     536,   537,   538,    74,    75,    76,    77,   325,  4397,   327,
      81,  3085,  2374,  2375,  5139,  3697,    16,  3743,  2380,  2381,
     545,   240,   187,   211,  2386,  2387,  2388,  2389,   394,   233,
     336,  2393,   398,  2395,  2396,  2397,  2398,  2399,  2400,   416,
    2402,  2539,  2404,  2405,  5873,  4638,  2408,  3810,  3811,  3704,
     119,   255,   271,  3550,   507,   375,   323,  3413,  3414,   425,
    2422,  2423,  2424,  2425,  2426,  2427,   540,  2523,   102,  2431,
     468,   140,   546,  2435,   341,   528,  2438,   242,   266,  2441,
    2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,  5864,  2451,
     394,  2658,  2285,  2660,   398,  2288,   166,  2459,   357,  3443,
    2462,   529,   530,   531,   100,   533,   534,   535,   536,   537,
     538,   456,   167,   458,   357,  2521,   186,   382,   152,  5175,
     357,   425,   355,    89,    70,   121,   160,  3249,  4400,   540,
     395,   243,    78,    79,  4382,   394,   547,  3416,   498,  2565,
     529,   530,   531,  4905,   533,   534,   535,   536,   537,   538,
     220,   394,  2709,   415,   188,  2427,   421,   394,  2656,  2521,
      80,  2523,   327,  5098,  2526,    85,   425,   332,  4697,   507,
    2576,  5783,  2578,   149,  4703,   363,   149,  2649,   328,   329,
    4116,  4117,   425,   159,   239,   418,   159,   540,   425,   301,
     528,   544,  3694,  2128,   342,    34,  3443,   342,  3700,   347,
     166,   505,   347,  5374,   542,  5376,  3328,   543,   373,  5380,
     546,  5382,  3568,   288,  2576,   270,  2578,  5829,   332,   452,
     254,   545,   188,   388,   528,   549,  3582,    70,    71,   332,
     285,   265,  1778,   338,   542,  5674,  2598,   342,    70,    71,
     295,  2798,  2799,   332,   312,  2802,    78,    79,   540,  2521,
     542,   307,   544,    85,  2616,  5426,  2618,   537,  2620,   492,
     111,   332,   542,   545,   544,  2627,   321,   549,   418,  2631,
    2632,   307,   505,   537,   386,   456,  2638,   458,   542,   130,
     544,  2643,  2644,  5218,   541,   468,  2648,   342,   545,   477,
     543,   307,   541,   546,  2656,   528,   545,   485,    84,   396,
     488,    87,   452,   310,  2576,  2406,  2578,   468,  2409,   542,
     138,   139,  2674,  3730,   479,  2677,  5928,   535,   536,   537,
     390,   542,  1563,   544,  4100,   545,   546,  2689,   179,   180,
     116,  2693,  2804,   415,  2696,  4709,   187,   123,    74,    75,
      76,    77,   492,  2705,   456,    81,   458,   676,   418,   404,
     111,   310,   543,  1899,   545,   505,  2718,   543,   540,   545,
     542,   147,  3706,  1909,  3708,  3721,   163,  3723,  2730,   130,
     482,  2643,   264,  1778,  2736,  2737,   412,    84,   528,  3857,
    3882,   399,   452,  2745,   547,  2942,   498,    74,    75,    76,
      77,   242,   542,   542,    81,   544,   412,  1638,  4050,   455,
     543,  2594,   545,    71,  1950,  2767,  2768,   425,   312,  2771,
     444,   468,   263,  4693,   543,   255,   545,  1658,   179,   455,
     155,  2614,   492,  2616,   498,  2618,   482,   505,   214,   507,
    2792,   486,  2794,   415,   543,   505,   545,   129,  2800,   455,
     548,   543,  3786,   545,  2806,  2807,   482,  1688,  2810,   505,
     543,   507,   545,   543,   307,   545,   408,   409,   528,  3706,
     311,  3708,  1703,   314,   288,   505,   482,   507,  2830,   505,
     256,   507,   542,  2835,   325,   261,   327,  2839,   408,   409,
    2842,   242,  2948,   542,    85,  2609,   542,   505,   542,   505,
    2852,   507,  2427,   342,  1899,  2767,   543,   412,   545,  2771,
     545,   546,   263,  2865,  4596,   356,   542,  4020,  4021,  4022,
     528,   297,  2874,  2875,    89,    90,  3872,  4172,    74,    75,
      76,    77,  2794,   545,   129,    81,   542,   545,   546,   167,
     543,  2077,   545,   498,   496,  4017,    70,  4629,   119,  3786,
      74,    75,    76,    77,    78,    79,   525,    81,   399,   543,
     311,   545,  5628,   314,   284,   544,  2918,  2919,   344,   412,
    4143,   345,  1803,  1804,   325,  1806,  2928,  3846,   419,   543,
    2842,   545,  3694,  2935,    74,    75,    76,    77,  3700,   141,
     345,    81,  2128,  2945,  3193,   147,   342,   543,   439,   545,
     441,   463,   543,   444,   545,   356,   543,   159,   545,   928,
    2962,   239,   455,  3918,  3919,  3920,  3921,   111,   233,  3924,
    3925,  3926,  3927,  3928,  3929,  3930,  3931,  3932,  3933,   543,
    2982,   545,   543,  2816,   545,   187,   130,   189,  3237,   482,
     342,  2824,   270,  1778,  2827,   543,   525,   545,   399,  3001,
    4279,  4296,   345,  3005,   430,    89,    90,   285,   182,   119,
     525,     2,   505,   284,   507,  3017,  2928,   295,   419,   535,
     237,    84,   991,   992,    87,  3980,  3981,   545,    91,    92,
      93,   542,   280,   106,   107,   179,   543,   543,   439,   545,
     242,   543,   543,   321,   545,  1830,   543,   238,   545,   542,
     456,   542,   458,  5455,   129,   543,  3058,   545,   535,   543,
    4202,   545,   543,   548,   545,  1034,   268,   456,  2643,   458,
     533,   534,   535,   536,   537,   125,  3286,   542,   548,   253,
     543,   276,   418,  2128,  4226,   546,   463,  3280,  3281,  3282,
     463,   463,  4530,   166,   533,   534,   535,   536,   537,   463,
     526,  3350,   541,   463,  4583,  3107,  4585,   533,   534,   535,
     536,   537,   538,   186,  1899,   543,   452,   545,   168,   263,
     543,  3123,   545,  3125,  1093,   327,   404,   543,   542,   545,
     332,  3133,   543,   212,   545,  3137,  3346,   129,  3140,   313,
     111,  3143,   316,   193,   543,   276,   545,   220,   543,   282,
     545,  3153,    74,    75,    76,    77,   492,   463,  1127,    81,
     210,  3163,   544,   543,   214,   545,  3168,   311,  1137,   505,
     314,   373,  1141,  1142,  1143,   166,    74,    75,    76,    77,
     543,   325,   545,    81,   234,   542,   388,   237,   542,  3191,
    3192,  3193,   528,   543,  3196,   545,  2771,   188,   543,   509,
     545,   251,  3204,  3205,  3206,  3207,   542,   542,   307,   543,
    3212,   545,   356,   221,   394,  3217,  3218,   261,  3220,  2794,
    3222,   101,   543,   505,   545,   507,     7,   543,   543,   545,
     545,  3233,  3234,   544,   543,  3237,   545,   542,    19,    20,
     221,  2427,   416,   543,   543,   545,   545,  3324,   342,  3251,
    3324,  3253,  3324,  3255,  3324,   399,   307,    38,  3324,   261,
      41,  1230,  1231,   543,   394,   545,  1235,  2842,  3101,   149,
     543,   342,   545,  3275,  4850,   419,   543,   479,   545,   221,
     221,   344,   332,   543,  3286,   545,  3288,  3289,  3290,   543,
     340,   545,   543,   261,   545,   439,   543,   543,   545,   545,
    3212,   181,   307,   216,   233,   342,  3218,  3309,   394,   221,
    4452,  3313,  5200,   412,   543,   228,   545,   390,   546,   296,
     233,  3085,   189,  3325,   204,   543,   486,   545,  3330,   543,
     380,   545,   312,   342,  3336,   215,   543,   543,   545,   545,
     468,   542,   307,  2128,  3346,   418,   543,   336,   545,   523,
     498,  4347,  4348,  2928,   415,   235,   455,   543,   233,   545,
     240,   412,   543,   288,   545,   278,    84,  4322,   543,    87,
     545,   543,   542,    91,    92,    93,   543,   141,   545,   452,
     327,   162,  2427,   482,   111,   298,  3388,   327,   307,  3391,
     509,  3393,    84,   542,   342,    87,  3398,   233,   116,    91,
      92,    93,   119,   327,   455,   123,   505,   412,   507,   289,
     119,  3413,  3414,   327,   473,  2296,   108,  3419,   543,   492,
     545,   202,   307,   496,   327,   543,   339,   545,   158,   147,
     310,   482,   505,   498,   357,   348,   307,   543,  3440,   545,
    4202,  3443,   543,   542,   545,  3447,   543,   412,   545,  1055,
     455,  1057,   498,  1059,   505,   528,   507,  2643,   543,  1065,
     545,   543,  3464,   545,  4226,   155,   529,   530,   531,   542,
     533,   534,   535,   536,   537,   538,  3309,   482,  2359,   543,
    1182,   545,  1184,  1089,  1090,   233,   543,  3489,   545,   376,
     455,   542,   547,   412,   495,   543,   376,   545,   221,   379,
     505,   543,   507,   545,   543,   543,   545,   545,   543,   543,
     545,   545,   543,   543,   545,   545,   543,   482,   545,  4624,
     221,   542,  3524,  3525,  3526,   405,   543,   412,   545,  4448,
    4449,  4450,   412,   543,   221,   545,   455,   542,   256,   419,
     505,   412,   507,   261,  2730,   543,  3548,   545,   543,   542,
     545,  2432,   369,   543,   542,   545,  3558,   221,  3560,  4701,
     543,   110,   545,   482,  1533,   478,  3568,   447,   221,   543,
     455,   545,   452,  1542,  1543,   455,  1545,   542,   542,   297,
    3582,  2767,   509,   221,   455,  2771,   505,   543,   507,   545,
     282,   545,  1561,   473,   543,   221,   545,   482,  2643,   543,
     221,   545,   221,   221,   233,   221,   221,   221,  2794,   221,
    1216,   482,  3524,  3525,  3526,   221,   342,   452,   498,   111,
     505,   542,   507,   542,  1230,  1231,   344,   540,   296,  1235,
     543,   544,   233,  3988,   505,   233,   507,  3212,  1607,  3641,
     342,   542,  2427,  3218,   233,   542,   542,   542,   542,   542,
     542,   542,   344,   542,   542,   506,  2842,   542,   542,  3661,
    3857,   542,  1631,   542,   542,   542,   542,  3669,   542,  3800,
     542,   542,   542,   542,   542,   353,   542,  1283,  4616,   542,
     542,   542,   542,   542,  2565,  3797,   542,   280,   545,   111,
     545,  3693,  3694,   170,  4690,   280,   296,  3699,  3700,  3765,
     282,   111,  5716,   233,  3706,   339,  3708,   233,   535,   337,
    3776,   425,   430,   276,   316,   545,   416,   186,   485,  3721,
     545,  3723,  2767,   531,    14,   545,  2771,   542,   542,  3731,
     542,   463,   463,   412,  3800,   463,  1705,  3986,   497,   463,
     412,   544,  2928,  3745,   463,  1714,   412,   463,   298,  2794,
     463,   463,   531,   463,   159,   412,  4005,   221,   342,  1728,
     293,   342,   417,   332,   463,    84,   463,  3769,    87,   463,
    4766,   455,    91,    92,    93,   342,  4833,   485,   342,   337,
     542,   408,   463,   463,  3786,  3787,   254,  3699,   542,   108,
    1759,   159,  4002,  1762,  1763,  4005,   545,  2842,  1767,  1768,
    3802,  3994,  3995,  3996,  3997,   357,   261,   221,   526,   486,
     486,   529,   530,   531,   463,   533,   534,   535,   536,   537,
     538,  5371,   452,   463,   463,   181,   463,   452,   463,   129,
    3832,   129,   463,  3745,   318,   346,   412,   529,   530,   531,
     463,   533,   534,   535,   536,   537,   538,   379,  3850,   361,
     463,   455,   463,  5148,  4616,   463,  4775,  4776,  2643,  4778,
     463,  3694,  4858,   361,   463,   118,   463,  3700,  5021,   463,
    3872,   463,   118,  3875,  5362,  5028,  5364,   463,   412,   282,
     545,   342,  1851,  2928,   463,   463,   282,   509,   282,   282,
     342,  3893,   342,   342,  3896,   282,   282,   282,   463,   473,
    3902,   542,   111,   221,   100,  4115,  3908,   342,  3910,   505,
     221,  3913,   327,   187,  5040,  3917,  3918,  3919,  3920,  3921,
     486,   342,  3924,  3925,  3926,  3927,  3928,  3929,  3930,  3931,
    3932,  3933,   505,   221,   221,  3937,  3938,   497,   221,   304,
    3942,   111,   337,   327,   327,  3947,   327,   233,   111,  3951,
     111,  3953,   542,  3955,   288,  1561,  5098,   544,   414,   542,
     110,  3963,   461,   282,  3966,   461,  3968,   221,   131,   540,
     540,   221,   463,   463,  3976,  3977,   486,   221,  3980,  3981,
     486,   221,  2767,  3985,  3986,   221,  2771,    14,   545,   336,
    3992,   463,   331,  5569,  5570,   238,   501,   542,   318,  4954,
    4002,   318,   165,  4005,    87,   545,   542,   461,   247,  2794,
     463,  5561,   229,   542,   238,   531,  4018,   545,   465,   543,
     545,   254,  4024,  4025,  4026,   344,  3212,   547,   254,   542,
     278,   545,  3218,   343,   286,   486,  3800,   428,   545,  5173,
     111,  3953,   543,  1034,    34,    10,  4430,  4430,   543,  3882,
     129,   350,   412,   486,   543,   542,   286,  2842,   286,   332,
     332,   224,   463,   463,  1055,  2034,  1057,   312,  1059,  4071,
     468,  2040,   542,   463,  1065,  1066,  1067,   415,   498,   233,
     288,   332,   223,   342,   119,  4087,   434,   223,   463,   327,
     296,   296,   296,   408,  4232,   258,   455,   545,  1089,  1090,
    1170,  4103,   394,  5099,   255,   340,   422,   382,   342,   463,
     342,   463,  5265,  4115,   111,   282,   486,   486,   378,   288,
     340,   264,   531,  5061,  3699,   288,   221,   531,   233,   111,
     293,   498,  5708,   235,   337,   337,   542,   379,   422,   453,
     221,   221,   220,  2928,  4146,   542,   221,   337,   505,   327,
     111,   327,   252,   342,  4364,   342,  1762,   288,   536,   252,
     233,  1767,  1768,   111,   327,   288,   543,  3212,   540,   543,
    3745,  5109,   525,  3218,   525,   422,   316,   543,   233,   543,
     543,   509,   342,   545,   261,   261,  2155,   261,    99,   245,
    2159,   238,   463,   315,  4196,   358,   545,   542,   505,  4201,
    4202,  4203,   545,   342,   545,   129,   468,   336,   543,   498,
     529,   530,   531,   543,   533,   534,   535,   536,   537,   538,
     288,   452,   543,  4225,  4226,  1216,   238,   353,   362,  5371,
    5108,   543,  5109,   238,   543,   398,   463,   543,   543,   402,
    4242,   542,   545,   525,  1235,  1851,   409,   543,   543,   543,
    5800,   352,   543,   502,   417,  4257,   306,   542,  4260,   527,
     342,   542,   425,   542,   542,   542,   484,   543,   531,   492,
     531,   129,  5150,   502,   437,   545,  5581,   546,   543,   545,
     342,   345,   445,   342,  4196,   543,   542,   542,   264,  4201,
    5245,  4203,  1283,   221,   509,   463,   332,   463,   463,  5061,
     272,   463,   327,   466,   221,   346,   417,   221,   221,   417,
     417,   296,  3193,  4225,   264,   223,  2285,   531,   463,  2288,
    4322,   298,   486,   545,   363,   363,  4392,   483,   463,   233,
    4242,   463,  1938,   463,   308,   463,  5098,   500,  3524,  3525,
    3526,   504,  1948,   463,   308,  4347,  4348,  5109,   308,  4351,
     463,   412,   412,   463,  5273,  4357,  3237,   463,   412,   463,
     463,   412,  4364,   342,   463,  5284,   221,   425,  4578,  4202,
     327,   463,  4582,  3254,  4376,   463,   118,   463,  3953,   282,
     282,  4447,   282,   282,  4430,   249,   543,  5371,   543,  3270,
     233,   119,    84,  4226,   396,    87,   545,   180,  4400,  4401,
    4402,   473,   233,   545,   542,  3286,   543,   340,   342,   111,
     543,  2017,   221,   221,  2020,  2021,   233,  2386,   463,   249,
     541,   486,   233,   542,   116,   412,   412,  3212,  4430,   486,
     545,   123,   412,  3218,   422,   345,   282,   219,   219,   212,
     282,   282,   282,  3324,   282,  4652,   282,  5366,   238,   540,
      87,   545,   353,  4455,   233,   147,   543,   497,   543,   543,
     238,   348,   238,   247,   343,  3346,  5523,   491,   502,  3350,
     401,  4304,  4305,   543,  4476,   542,   545,   543,   157,  3524,
    3525,  3526,   545,  1553,   528,  4487,   233,   111,   531,   542,
     542,   486,   473,   486,   543,   541,   288,   545,  2104,   531,
     463,   543,   272,   129,   455,   221,   543,   242,   417,   542,
     463,   542,   394,  3699,   473,  4517,   463,   463,  4430,   412,
     463,   463,   214,   412,  2493,  4527,  4528,    89,  4530,  5484,
     543,  3286,  4534,  4535,   543,   543,   542,  4539,  4540,   505,
     129,   223,  4544,   455,   233,  4547,  4548,   492,   147,   221,
    4552,  1542,  1543,   131,  1545,   180,  4558,   473,   282,  3745,
    4626,  4627,   282,   282,   256,   543,   267,  4705,  4570,   261,
    1561,   282,   542,  5492,   286,   377,  4578,  5561,   463,   509,
    4582,   342,  5520,   545,   542,   389,   361,   165,   543,   545,
     153,  3346,   455,  4595,   463,   473,   545,    84,  4600,   543,
     422,   542,   542,   541,  4606,   297,   545,   180,   244,   238,
     238,   282,   129,   387,   543,   542,   353,   543,   543,  4452,
     503,   543,  4624,   503,   545,   543,  4201,   542,  4203,  2598,
     285,    84,   285,  1703,    87,   542,  4638,   351,    91,    92,
      93,   454,   349,   129,   542,  2614,   224,  2616,   250,  2618,
    4225,   543,   344,  4655,  3699,   108,   337,   543,   531,   543,
     463,   473,   238,   147,   255,   266,   505,  4242,   332,   332,
     531,  4673,   129,   545,   545,   455,   463,   141,   463,   221,
     258,    84,   282,   542,    87,   240,   463,  2656,  4690,   238,
     187,   111,   486,  4695,   261,   337,   422,   542,   486,   111,
    3745,   235,   233,   337,   422,   505,   129,   886,   505,  4711,
     111,   238,   342,   116,   542,   293,   895,   233,   269,   543,
     123,   280,   345,   238,   542,  4727,   542,   387,   491,   438,
    4732,   285,   504,   543,   361,   159,   543,  4739,   430,  3524,
    3525,  3526,   543,   542,   147,   342,   542,   542,   202,   327,
     388,   111,   543,  4755,  1824,   934,  2725,   463,  5520,   221,
     463,   233,   194,   111,  4766,   254,   332,  3953,   309,   264,
     377,  1762,   543,   542,   542,   542,  1767,  1768,  4611,   422,
     358,   180,   542,  4695,   542,   542,   542,   111,   207,  4999,
     543,   501,   409,   346,   409,  4797,  5006,   473,   543,   531,
     129,  5011,   129,   436,  5014,  4638,   111,   150,   542,  5687,
     543,   214,   542,   542,   436,   542,  5800,   996,   543,  4821,
     398,   491,   400,   545,   402,   542,   254,  1006,   486,   282,
     342,   409,   325,  4835,   526,   455,  5046,   233,   542,   417,
      81,   533,   534,   535,   536,   537,   538,   425,   543,  1840,
    5060,  1842,  1843,   256,   227,   509,  4858,   455,   261,   437,
     455,   220,  4864,   141,   542,   542,   345,   445,  4701,   141,
    1861,   202,   490,   505,   505,    84,   387,  1868,  1869,  5757,
    5758,   491,   111,   542,  3765,   542,   425,   238,   502,   545,
     455,   344,   332,   385,   297,  3776,  5851,   207,   266,  2868,
     342,  5856,   542,  4905,   342,  4907,   111,   111,  3953,   422,
     377,   345,   345,   129,  3699,   240,   463,   240,   408,  3800,
    2889,   542,   500,  2892,   543,  2894,   542,   192,   484,  2898,
     542,    81,   545,  2539,   543,   543,  4938,   422,  2907,  2908,
    2909,   344,   408,   349,   395,    97,   542,  1938,   542,   108,
     332,   220,  4954,   545,   542,   545,  4958,  1948,   463,   238,
    3745,  4963,   150,   377,   240,   436,   436,   505,   505,   240,
     542,   389,  1768,  2078,  1310,  1279,  2946,  1319,  4980,  4981,
    2845,  3309,  4984,  2780,  3500,  1318,  4201,  4175,  2594,  5698,
    2870,  5867,  2598,  3690,  4298,  5384,  2965,  4999,  5559,  4345,
    5800,  5200,  4823,  5172,  5006,  3420,  5216,  5681,  2614,  5011,
    4196,  3090,  5014,  5015,  5589,  4201,    84,  4203,  5060,    87,
    5022,  5023,  5789,  5588,  5718,  5824,  2017,   430,  2997,  2020,
    2021,  4393,  3424,  5529,  5039,  4378,  3005,  4336,  4196,  4225,
    2931,  2931,  5291,  4361,  5046,  3741,  5048,  3525,   116,  4859,
    2656,  1315,  5054,  5179,  5056,   123,  4242,  2925,  5060,  3753,
    5187,  5802,  3031,  5941,  5942,  5940,  5925,  5165,  3699,  3693,
    5280,  5731,  5111,  2141,  5346,  5538,   529,   530,   531,   147,
     533,   534,   535,   536,   537,   538,  5114,   188,  4455,  3058,
    1598,  5315,  1614,  2632,  4400,  3398,  5098,  5099,  2201,  5455,
    2256,   992,  2363,  2362,  1024,  3986,  5108,  2362,  1388,  3644,
    4225,  5177,  3745,  2104,  4242,  5756,  1916,  2524,  2297,  5916,
    2523,  4002,  4380,   526,  4005,  4628,  5042,  1157,  5673,  4085,
     533,   534,   535,   536,   537,   538,  3073,  1556,  3325,  1795,
    1813,  2563,  5144,  1812,  2214,  3336,   214,  5213,  5150,  3331,
    4029,  4196,  5665,  5504,  2562,  1815,  4201,  4609,  4203,  1739,
    4005,  4567,  4584,  5281,  4002,  5481,  1345,  5480,  3953,  1820,
    4086,  4002,  5920,  5773,  5854,  5655,  3955,  1356,  1810,  5248,
    4225,  5030,  5668,  5648,  5669,  3254,  2456,  3164,   256,  3313,
    3252,  2459,  3797,   261,   676,  3006,  2195,  4242,  2598,  5032,
    5639,  5203,  2193,   398,  1036,  1442,  1826,  2573,  1832,  3303,
    2816,  1610,  5422,  1233,  5216,  1233,  5218,  2614,  2824,  2606,
    4092,  2827,  2607,  4093,  1253,  4610,  2618,  2218,   431,   297,
    4056,  3086,  5144,  1742,  2326,  1830,     2,  2228,    -1,  2230,
    1542,  1068,    -1,  5245,  5246,  2236,  5248,  4002,  5250,  2240,
    4005,    -1,    -1,    -1,    -1,  1434,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5098,    -1,    -1,  5270,    -1,
      -1,  5481,    -1,    -1,  5276,    -1,   344,    -1,  5280,    -1,
      -1,    -1,    -1,    -1,  5286,    -1,    -1,    78,    -1,  5291,
      -1,    -1,    -1,    84,  2285,    -1,    -1,  2288,    89,    -1,
      -1,    -1,  5512,    -1,  2374,  2375,    -1,    -1,    -1,    -1,
      -1,  2381,    -1,    -1,    -1,    -1,    -1,  2387,  2388,  2389,
      -1,    -1,    -1,    -1,    -1,   116,    -1,  2397,  2398,    -1,
      -1,    -1,  2402,  5335,   896,    -1,    -1,    -1,    -1,    -1,
    3309,  5343,   904,    -1,    -1,    -1,  5348,  5349,    -1,    -1,
      84,  5353,    -1,    87,    -1,   917,    -1,    -1,    -1,    -1,
    4115,    -1,   430,  1002,    -1,    -1,  5432,    -1,    -1,  5371,
     161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,   946,    -1,    -1,  1026,    -1,   123,
     952,    -1,  2383,  2384,    -1,    -1,    -1,    -1,  5400,  2390,
    2391,    -1,    -1,   965,    -1,    -1,    -1,    -1,  5618,    -1,
      -1,  4196,    -1,   147,    -1,    -1,  4201,    -1,  4203,    -1,
    5422,    -1,    -1,  5335,    -1,    -1,    -1,    -1,  2419,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4225,   232,    -1,  5509,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5455,  5456,    -1,    -1,  4242,   526,    -1,
      -1,    -1,    -1,    -1,  5466,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,  3443,    -1,  5478,    -1,    -1,  5481,
     214,    -1,  5484,  4364,  2475,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5495,    -1,  3101,    -1,    -1,  5500,    -1,
    5502,    -1,  5504,    -1,    -1,    -1,    -1,    -1,    -1,  4695,
    5512,  4392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,  5358,  5359,   261,  5530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5371,    -1,
      -1,  5751,    -1,    -1,    -1,    -1,    -1,    -1,  2539,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5559,    -1,  5561,
      -1,  3530,    -1,   297,    -1,    -1,  4447,    -1,    -1,  5144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,  2594,    -1,    -1,   397,    -1,  5610,  4364,
     344,  3580,    -1,    -1,  5824,    -1,  5618,    -1,    -1,    -1,
      -1,    -1,    -1,  2614,    -1,  2616,    84,  2618,    -1,    87,
      -1,   116,    -1,    91,    92,    93,    -1,    -1,   123,    -1,
      -1,   432,    -1,    -1,    -1,  5647,  5648,  5559,    -1,    -1,
    4695,    -1,    -1,  5655,  5656,    -1,    -1,  5659,    -1,    -1,
      -1,    -1,   147,  5665,    -1,  2656,  5732,    -1,  1230,  1231,
      -1,    -1,  5674,    -1,  3643,    -1,    -1,    -1,    -1,  5756,
      -1,    -1,  5756,    -1,  5756,  5687,  5756,    -1,    -1,    -1,
    5756,    84,    -1,    -1,    87,    -1,   430,  4578,    91,    92,
      93,  4582,    -1,  3309,    -1,  3674,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1352,    -1,    -1,    -1,  3686,   111,    -1,
      -1,    -1,    -1,    -1,    -1,  3694,    -1,    -1,    -1,   214,
      -1,  3700,    -1,    -1,    -1,  5737,  1375,  3706,    -1,  3708,
    5742,    -1,    -1,    -1,  5656,  4626,  4627,    -1,    -1,  5751,
      -1,  1390,    -1,    -1,  5831,  5757,  5758,  5831,  5760,  5831,
      -1,  5831,    98,    -1,  2396,  5831,    -1,  5769,   104,    -1,
      -1,   256,  2404,  5775,    -1,   111,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5786,  3754,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,   130,    -1,    -1,    -1,  5800,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,   145,
      -1,    -1,   297,    -1,    -1,    -1,  3785,  3786,    -1,    -1,
      -1,    -1,  5824,  4578,   282,  2816,    -1,  4582,    -1,    -1,
      -1,    -1,    -1,  2824,    -1,    -1,  2827,    -1,    -1,  5916,
      -1,    -1,  5916,   179,  5916,  3814,  5916,    -1,    -1,  5851,
    5916,    -1,  5854,    -1,  5856,    -1,    -1,    -1,    -1,   344,
      -1,    -1,    -1,   199,    -1,  5698,    -1,  5700,    -1,    98,
     206,    -1,    -1,   209,  5876,   104,    78,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,   344,    89,   117,   282,
      -1,  5893,  2962,    -1,    -1,    -1,    -1,  5899,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4695,    -1,    -1,    -1,   116,    -1,   145,    -1,    -1,    -1,
      -1,  5923,    -1,  5925,    -1,    -1,    -1,   263,    -1,    -1,
     266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5940,  5941,
    5942,    -1,    -1,    -1,    -1,   430,    -1,  3017,    -1,    -1,
      -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,  5144,   161,
      -1,    -1,    -1,    -1,  5876,    70,    -1,    -1,   197,    -1,
     199,    -1,  1611,    78,    79,   311,    -1,   206,   314,    84,
     209,    -1,    87,    -1,  5559,    -1,    91,    92,    93,   325,
      -1,   327,    -1,  3962,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   337,    -1,   108,    -1,   234,   111,   209,    -1,    -1,
     346,   116,    -1,  5925,    -1,   217,    -1,   219,   123,    -1,
     356,   357,  2201,    -1,    -1,  2204,    -1,    -1,  5940,    -1,
     232,    -1,    -1,    -1,  5867,    -1,    -1,   266,    -1,  3030,
    3031,   526,   147,  5876,    -1,    -1,    -1,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,   394,    -1,
      -1,   397,   398,   399,    -1,    -1,  2245,  2246,    -1,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,  5656,    -1,   419,    -1,    -1,    -1,   878,  3694,   425,
      -1,   882,  5925,    -1,  3700,    -1,   325,    -1,   327,  5144,
      -1,    -1,    -1,   439,   895,   896,    -1,  5940,   337,    -1,
    3101,    -1,    -1,   904,    -1,    -1,    -1,   346,    -1,    -1,
      -1,    -1,    -1,  3193,    -1,  5006,   917,    -1,   357,    -1,
    5011,    -1,    -1,  5014,    -1,  3205,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,  5335,
      -1,   256,    -1,   489,    -1,   946,   261,    -1,  2337,    -1,
      -1,   952,    -1,    -1,    -1,   394,    -1,  3237,   397,   398,
      -1,    -1,    -1,    -1,   965,    -1,    -1,   282,   283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,   397,   425,    -1,    -1,    84,
     991,    -1,    87,    -1,    -1,  3275,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,  1006,  1007,    -1,    -1,    -1,
      -1,    -1,    -1,  1014,    -1,   330,    -1,    -1,    -1,    -1,
     432,   116,    -1,  4202,    -1,    -1,  1027,    -1,   123,   344,
      -1,    -1,   347,    -1,  4999,    -1,    -1,    -1,    -1,    -1,
      -1,  5006,  1043,    -1,    -1,    -1,  5011,  4226,    -1,  5014,
     489,    -1,   147,    -1,  4233,    -1,    -1,  4236,    -1,  4238,
      -1,    -1,    -1,    -1,    -1,    -1,  3882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1851,
    5335,  5046,    -1,    -1,    -1,    -1,  5177,    -1,    -1,    -1,
      -1,  5876,    -1,    -1,    -1,  5060,    -1,    -1,    -1,  4278,
      -1,    -1,    -1,  3304,    -1,    -1,  3307,  4286,  3309,    -1,
      -1,  4290,  4291,    -1,  4293,   430,    -1,    -1,    -1,  4298,
      -1,    -1,  5213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5925,  1142,    -1,    -1,  1993,    -1,    -1,    -1,    -1,  5144,
      -1,    -1,    -1,    -1,    -1,  5940,    -1,    -1,    -1,    -1,
      -1,   256,  1163,  5559,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,  5280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,
    5291,    -1,   297,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,    -1,    -1,   529,   530,   531,  4396,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,    -1,  1230,
    1231,    -1,    -1,    -1,    -1,   330,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2097,   344,
     148,  5216,  4431,  4432,  4433,  4434,  4435,    -1,    -1,    -1,
    5656,    -1,    -1,  2112,    -1,   163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2133,    -1,    -1,    -1,    -1,  4468,
    4469,  4470,    -1,  4472,  4473,  4474,    -1,    -1,    -1,    -1,
    2689,    -1,    -1,  2075,  5559,    -1,   204,  2696,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5280,    -1,   215,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5422,    -1,    -1,    -1,   430,    -1,   235,    -1,  2188,
    5335,  5432,   240,    -1,    -1,    -1,    -1,    -1,    -1,  3191,
    3192,    -1,    -1,    -1,  3196,  1356,    -1,    -1,    84,  2208,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,  2220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2152,    -1,   108,  2232,    -1,    -1,  4202,    -1,  2160,    -1,
     116,  3233,  3234,    -1,    -1,   111,    -1,   123,    -1,    -1,
    2172,  5656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4226,    -1,   310,    -1,    -1,   131,  4232,    -1,  5509,  2268,
    2269,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4608,
      -1,   526,  4611,  4612,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,   344,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5422,    -1,  4638,
      -1,    -1,    -1,    -1,    -1,    -1,   878,    -1,    -1,    -1,
     882,    -1,    -1,    -1,    -1,    -1,    -1,  2249,   376,    -1,
    5876,    -1,    -1,    -1,   896,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   904,  3694,    -1,    -1,    -1,    -1,    -1,  3700,
    2272,    -1,    -1,    -1,    -1,   917,    -1,    -1,   224,    -1,
      -1,    -1,    -1,    -1,   412,    -1,  5481,    -1,  1519,    -1,
      -1,   419,    -1,  3724,   422,    -1,    -1,    -1,    -1,  5925,
     256,    -1,  1533,    -1,   946,   261,    -1,    -1,    -1,    -1,
     952,    -1,   258,    98,  5940,    -1,    -1,  5512,    -1,   104,
      -1,    -1,    -1,   965,   452,    -1,   282,   283,    -1,    -1,
    1561,   459,    -1,    -1,  5559,    -1,    -1,    -1,   466,    -1,
      -1,   297,   288,  2422,    -1,   473,    -1,   293,    -1,   991,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     145,    -1,    -1,    -1,    -1,  1007,  1597,    -1,    -1,    -1,
     498,    -1,  1014,    -1,   330,    -1,  3807,    -1,    -1,    -1,
      -1,   327,  1613,  3814,    -1,  1027,  4795,  4796,   344,    -1,
      -1,  5876,    -1,    -1,    -1,    -1,  4805,  1628,  4807,  4808,
    1631,  1043,  4811,  3913,    -1,    -1,  4452,    -1,    -1,    -1,
     195,  5732,   358,    -1,   199,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,  5618,   209,    -1,    -1,    -1,    -1,    -1,
      -1,  5656,    -1,    -1,    -1,  5756,    -1,  3947,    -1,    -1,
    5925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,
      -1,  3882,   398,    -1,    -1,  5940,   402,    -1,    -1,    -1,
      -1,  4870,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,   430,    -1,    -1,    -1,    -1,   425,
      -1,   266,  3992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   437,    -1,    -1,    -1,  4904,    -1,    -1,  1140,   445,
    1142,    -1,  1144,    -1,    -1,    -1,    -1,    -1,    -1,   111,
    5831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3137,    -1,
     466,  1163,    -1,    -1,  3143,    -1,    -1,    -1,  1759,   131,
      -1,    -1,    -1,    -1,    -1,  4944,  1767,  1768,    -1,    -1,
     325,    -1,   327,    -1,    -1,    -1,    -1,  1778,    -1,    -1,
      -1,    -1,   337,    -1,   500,    -1,  5751,    -1,   504,   505,
      -1,   346,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
     526,    -1,   357,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,    -1,  1230,  1231,
      -1,    -1,    -1,    -1,    -1,  5916,  2598,    -1,    -1,  1830,
    1831,  1832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,
      -1,    -1,   397,   398,  2693,    -1,    -1,    -1,  2620,    -1,
    1851,    -1,   224,    -1,    -1,    -1,  2705,    -1,    -1,  5824,
      -1,    -1,    -1,    -1,    -1,    -1,  2638,    -1,    -1,    -1,
     425,    -1,  2644,    -1,    -1,    -1,  2648,    -1,  1457,    -1,
    1881,  5876,    -1,    -1,    -1,  4701,   258,  1888,  4089,  4705,
      -1,    -1,    -1,    -1,    -1,    -1,  2745,  3286,  1899,    -1,
      -1,    -1,  2674,    -1,    -1,  1484,  1318,  1319,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,  5098,
      -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,  1507,    -1,
    5925,    -1,    -1,    -1,   489,    -1,    -1,    -1,  1517,    -1,
     166,    -1,    -1,    -1,  1523,  5940,  2718,    -1,    -1,    -1,
    1529,    -1,    -1,    -1,    -1,   327,  1535,  3346,    -1,  1538,
    5139,    -1,    -1,    -1,  2736,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,
     216,    -1,    -1,    -1,    -1,    -1,  2768,    -1,    -1,    -1,
      -1,  4202,   228,    -1,    -1,    -1,    -1,   233,    -1,    -1,
      -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,   244,    -1,
    2792,   247,    -1,    -1,   250,  4226,   398,    -1,  2800,    -1,
     402,  4232,    -1,    -1,  2806,    -1,    -1,   409,  2810,    -1,
      -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,
      -1,    -1,   278,   425,    -1,    -1,    -1,    -1,  2830,    -1,
      -1,    -1,    -1,  2835,    -1,   437,    -1,  2839,    -1,    -1,
    2919,    -1,   298,   445,  2075,    -1,  3918,  3919,  3920,  3921,
    2852,    -1,  3924,  3925,  3926,  3927,  3928,  3929,  3930,  3931,
    3932,  3933,    -1,  2865,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2874,  4304,  4305,    -1,    -1,  1519,    -1,  3951,
      -1,    84,    -1,   339,    87,    -1,   342,    -1,    91,    92,
      93,  1533,   348,    -1,    -1,    -1,    -1,  2128,   500,    -1,
      -1,    -1,   504,    -1,    -1,   108,   131,    -1,  3980,  3981,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,  1561,
     123,  2152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2160,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,  2172,    -1,    -1,   147,   401,    -1,    -1,    -1,  5358,
    5359,    -1,    -1,    -1,    -1,  1597,    -1,    -1,    -1,    -1,
      -1,    -1,  5371,    -1,    -1,    -1,  5375,    -1,    -1,    -1,
     195,  1613,    -1,    -1,    -1,    -1,  5385,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1628,    -1,    -1,  1631,
      -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,    -1,   224,
    4431,  4432,  4433,  4434,  4435,    -1,    -1,  4517,    -1,    -1,
      -1,    -1,    -1,    -1,  2245,  2246,    -1,  2248,  2249,    -1,
      -1,  4452,   478,    -1,    -1,    -1,    -1,    -1,    -1,  2260,
      -1,    -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,    -1,
    2271,  2272,    -1,    -1,  3123,    -1,   502,    -1,   504,   505,
      -1,    -1,  5098,   256,    -1,    -1,    -1,    -1,   261,    -1,
      -1,  3140,    -1,    -1,    -1,    -1,  2297,    -1,   293,    -1,
      -1,    -1,    -1,    -1,  3153,    -1,    -1,    -1,    -1,   282,
     283,    -1,    -1,    -1,   540,    -1,    -1,   543,   544,    -1,
     546,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   327,    -1,    -1,  3107,  2337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1759,    -1,    -1,
      -1,    -1,    -1,  3125,    -1,  1767,  1768,   330,    -1,    -1,
      -1,  3133,   357,   358,    -1,    -1,  1778,    -1,    -1,    -1,
      -1,   344,    84,    -1,   347,    87,    -1,    -1,    -1,    91,
      92,    93,  5561,    -1,    -1,    -1,  5565,    -1,  5567,    -1,
      -1,    -1,  5571,  5572,    -1,    -1,   108,    -1,    -1,   394,
      -1,    -1,    -1,   398,   116,    -1,    -1,   402,    -1,    -1,
    4611,   123,    -1,    -1,   409,    -1,    -1,    -1,  1830,  1831,
    1832,    -1,   417,    -1,    -1,    -1,  2427,    -1,    -1,    -1,
     425,    -1,    -1,    -1,    -1,   147,    -1,  4638,    -1,  1851,
      -1,    -1,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     445,    -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1881,
      -1,    -1,    -1,    -1,    -1,    -1,  1888,    -1,    -1,    -1,
    4322,    -1,    -1,    -1,    -1,    -1,    -1,  1899,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1909,    -1,    -1,
    4701,    -1,    -1,    98,  4705,   500,    -1,    -1,    -1,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5698,
    2521,  5700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4730,
    4731,    -1,    -1,    -1,  4735,  4736,    -1,    -1,  1950,    -1,
      -1,    -1,  5358,  5359,   256,    -1,    -1,    -1,    -1,   261,
     145,    -1,    -1,   526,    -1,  5371,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
     282,   283,   545,    -1,    -1,  2576,    -1,  2578,    -1,    -1,
      -1,    -1,    -1,    -1,  4864,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2598,  3447,    -1,
      -1,    -1,    -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,  4002,   209,  3464,  4005,    -1,   330,  2620,
      -1,  5800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,    -1,   347,    -1,  2638,    -1,   234,
      -1,    -1,  2643,  2644,    -1,    -1,    -1,  2648,    -1,    -1,
    5466,    -1,    -1,    -1,    -1,  2656,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2075,    -1,  2077,    -1,    -1,  3440,    -1,
      -1,   266,  2251,  2674,    -1,    -1,    -1,    -1,    -1,    -1,
    2259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5867,    -1,
      -1,    -1,    -1,    -1,    -1,  2696,  2275,  5876,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3558,
      -1,  3560,    -1,    -1,    -1,    -1,  2128,  2718,   430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4115,    -1,  4570,    -1,
     325,    -1,   327,    -1,    -1,  2736,  2737,    -1,    98,    -1,
    2152,    -1,   337,    -1,   104,    -1,  5925,    -1,  2160,    -1,
      -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2172,  5940,   357,    -1,    -1,    -1,  2767,  2768,    -1,    -1,
    2771,    -1,    -1,    -1,    -1,    -1,  3548,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,
      -1,  2792,  3641,  2794,    -1,    -1,    -1,    -1,    -1,  2800,
      -1,    -1,   397,   398,    -1,  2806,    -1,    -1,    -1,  2810,
      -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
    3669,   533,   534,   535,   536,   537,   538,    -1,    -1,  2830,
     425,  5032,    -1,   545,  2835,   195,  2248,  2249,  2839,   199,
      -1,  2842,    -1,    -1,    -1,    -1,   206,    -1,  2260,   209,
      -1,  2852,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2271,
    2272,    -1,    -1,    -1,  2865,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    98,  2874,   234,    -1,    -1,    -1,   104,    -1,
      -1,    -1,  5698,    -1,  5700,  2297,    -1,    -1,    -1,  3661,
      -1,   117,    84,    -1,   489,    87,    -1,  5098,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,   145,
    3769,    -1,    -1,    -1,   116,    -1,    -1,  2928,    -1,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2520,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3802,    -1,   147,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,    -1,   327,    -1,   116,
    5250,   197,    -1,   199,    -1,  4364,    -1,   337,    -1,    -1,
     206,    -1,    -1,   209,    -1,    -1,   346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,    -1,
      -1,    -1,    -1,    -1,  3005,    -1,    -1,    -1,   234,    -1,
      -1,  5291,    -1,    -1,   161,  2427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   394,    -1,    -1,   397,   398,    -1,
     266,    -1,    -1,    -1,    -1,    -1,    -1,  3896,    -1,    -1,
      -1,  5867,    -1,    -1,    -1,    -1,    -1,  3058,    -1,    -1,
    3832,    -1,   209,    -1,   256,   425,    -1,    -1,  3917,   261,
     217,    -1,   219,    -1,    -1,    -1,    -1,    -1,  3850,    -1,
      -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,
     282,   283,    -1,  3942,    -1,    -1,    -1,    -1,    -1,   325,
      -1,   327,    -1,  3875,    -1,   297,  3107,    -1,    -1,  2521,
      -1,   337,  4954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     346,  4963,    -1,    -1,  3125,    -1,    -1,  3976,    -1,   489,
      -1,   357,  3133,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,  3143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,    -1,   347,    -1,  5358,  5359,    -1,
      -1,    -1,    -1,    -1,  2576,    -1,  2578,    -1,   394,    -1,
    5371,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2598,    -1,    -1,  4578,
      -1,    -1,    -1,  4582,    -1,    -1,    -1,    -1,  5478,   425,
      -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,  2620,    -1,
     104,  3212,    -1,    -1,    -1,  5495,    -1,  3218,    -1,    -1,
    5500,    -1,  5502,    -1,    -1,    -1,  2638,    -1,    -1,    -1,
      -1,  2643,  2644,    -1,    -1,    -1,  2648,    -1,   430,    -1,
      -1,    -1,    -1,    -1,  2656,    -1,    -1,    -1,    -1,    -1,
      -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2674,   489,    -1,  5466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   199,  2718,    -1,  3309,    -1,
      -1,    -1,   206,    -1,    -1,   209,    -1,    -1,  2730,    -1,
      -1,    -1,    -1,    -1,  2736,  2737,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
     234,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
      -1,   543,    -1,    -1,    -1,  2767,  2768,    -1,    -1,  2771,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,    -1,  4146,    -1,    -1,    -1,    -1,    -1,
    2792,    -1,  2794,    -1,    -1,    -1,    -1,    -1,  2800,    -1,
      -1,    -1,    -1,    -1,  2806,    -1,    -1,    -1,  2810,    -1,
      -1,    -1,    -1,  5245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3413,  3414,    -1,    -1,    -1,    -1,  2830,    -1,
      -1,    -1,    -1,  2835,    -1,    -1,    -1,  2839,  5270,    -1,
    2842,   325,    -1,   327,  3013,    -1,    -1,    -1,    -1,  3440,
    2852,  3020,  3443,   337,    -1,    -1,  4835,    -1,    -1,    -1,
      -1,    -1,   346,  2865,    -1,    -1,    -1,    -1,  3037,    -1,
      -1,    -1,  2874,   357,    -1,    -1,    -1,    -1,  3047,    -1,
      -1,    -1,  3051,    -1,    -1,  3054,    -1,    -1,    -1,    -1,
      -1,  3060,    -1,  3062,    -1,  4257,  3065,    -1,  4260,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5698,    -1,  5700,
     394,    -1,  4351,   397,   398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,  2928,    -1,    -1,    91,
      92,    93,    -1,  3524,  3525,  3526,    -1,    -1,    -1,    -1,
      -1,   425,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,  3548,    -1,    -1,
      -1,   123,    -1,    -1,    -1,    -1,  3135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3568,    -1,    -1,
      84,    -1,    -1,    87,    -1,   147,    -1,    91,    92,    93,
      -1,  3582,    -1,    -1,    -1,  4357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3005,   108,   489,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,  4376,    -1,    -1,    -1,    -1,   123,
    4999,    -1,    -1,    -1,    -1,    -1,    -1,  5006,    -1,    -1,
      -1,    -1,  5011,    -1,    -1,  5014,  5015,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5484,    -1,    -1,    -1,  3058,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5046,    -1,    -1,
    3661,    -1,    -1,    -1,    -1,    -1,  5867,    -1,    -1,    -1,
      -1,  5060,    -1,    -1,    -1,  5876,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4455,   256,    -1,    98,    -1,    -1,   261,
      -1,  4540,   104,    -1,    -1,  3107,    -1,    -1,  3699,   111,
      -1,    -1,    -1,    -1,    -1,  3706,    -1,  3708,    -1,    -1,
     282,   283,    -1,  3125,    -1,    -1,    -1,    -1,   130,  5108,
    3721,  3133,  3723,    -1,  5925,   297,    -1,    -1,    -1,    -1,
      -1,   878,    -1,   145,    -1,    -1,    -1,    -1,    -1,  5940,
      -1,    -1,   256,    -1,  3745,    -1,    -1,   261,    -1,   896,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   904,   330,    -1,
      -1,  5150,    -1,    -1,    -1,    -1,    -1,   179,   282,   283,
     917,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   297,    -1,  3786,    -1,   199,    -1,    -1,
      -1,    -1,    -1,    -1,   206,    -1,    -1,   209,    -1,   946,
    3212,    -1,    -1,    -1,    -1,   952,  3218,    -1,    -1,    -1,
      -1,    -1,    -1,  5655,    -1,    -1,   330,    -1,   965,    -1,
      -1,    -1,   234,    -1,  4673,    -1,    -1,  5216,    -1,    -1,
     344,  3832,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   991,    -1,    -1,    -1,    -1,  3850,
    3429,   263,    -1,    -1,   266,    -1,    -1,    -1,   430,    -1,
    1007,    -1,  4711,    -1,    -1,    -1,    -1,  1014,    -1,    -1,
      -1,  3872,    -1,    -1,  3875,    -1,    -1,    -1,    -1,    -1,
    1027,    -1,    -1,  4732,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5280,    -1,    -1,    -1,    -1,  1043,  3309,    -1,   311,
      -1,    -1,   314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   325,    -1,   327,   430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   337,    -1,  5769,    -1,    -1,
    3509,    -1,  3511,    -1,   346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   356,   357,    -1,    -1,  4797,    -1,
      -1,    -1,  3953,    -1,   526,  4727,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,  4739,    -1,    -1,
      -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   394,    -1,    -1,   397,   398,   399,    -1,    -1,
      -1,    -1,    -1,  1140,    -1,  1142,    -1,  1144,    -1,    -1,
      -1,  3413,  3414,    -1,    -1,    -1,    -1,   419,    -1,  5851,
      -1,  5400,   526,   425,  5856,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,   439,  3440,   543,
      -1,  3443,    -1,  5422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4907,    -1,
      -1,  3640,    -1,    -1,    -1,    -1,    -1,  3646,    -1,    -1,
      -1,    -1,   887,   888,    -1,    -1,   891,   489,    84,    -1,
      -1,    87,    -1,  1230,  1231,    91,    92,    93,    -1,    -1,
      -1,    -1,  5481,    -1,   909,    -1,    -1,    -1,    -1,    -1,
      -1,   916,   108,    -1,    -1,    -1,    -1,    -1,    -1,  4958,
     116,    -1,  3524,  3525,  3526,    -1,    -1,   123,    -1,    -1,
      -1,    -1,   937,  5512,    -1,    -1,   941,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,    -1,  3548,    91,    92,    93,
     955,   147,    -1,    -1,    -1,  4146,    -1,   962,    -1,    -1,
      -1,    -1,    98,    -1,   108,    -1,  3568,    -1,   104,    -1,
      -1,    -1,   116,    -1,    -1,    -1,  4938,    -1,    -1,   123,
    3582,  1318,  1319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,  4196,    -1,    -1,    -1,   145,
    4201,    -1,  4203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4225,    -1,    -1,    -1,    -1,  5618,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4242,    -1,  3822,    -1,  3824,    -1,  3826,    -1,  3661,
     256,    -1,    -1,   199,  3833,   261,  4257,    -1,    -1,  4260,
     206,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,
      -1,    -1,  5054,    -1,  5056,    -1,    -1,  3699,   234,    -1,
      -1,   297,    -1,    -1,  3706,  3874,  3708,    -1,  5687,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,  3721,
      -1,  3723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,   330,    -1,    -1,    -1,   282,   283,
      -1,    -1,    -1,  3745,    -1,    -1,    -1,    -1,   344,    -1,
      -1,   347,    -1,   297,    -1,    -1,  4347,  4348,  5737,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4357,    -1,    -1,    -1,
      -1,    -1,  5751,    -1,    -1,    -1,    -1,    -1,  5757,  5758,
      -1,    -1,  1519,    -1,  3786,  4376,   330,    -1,    -1,   325,
      -1,   327,    -1,    -1,    -1,    -1,  1533,    -1,    -1,    -1,
     344,   337,    -1,   347,    -1,    -1,    -1,  5246,    -1,    -1,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      98,   357,    -1,    -1,  1561,    -1,   104,    -1,    -1,    -1,
    3832,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,  4430,
      -1,    -1,    -1,    -1,    -1,  5824,    -1,  5286,  3850,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,    -1,
    1597,   397,   398,    -1,  4455,    -1,    -1,   145,    -1,    -1,
    3872,    -1,    -1,  3875,    -1,    -1,  1613,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1289,  1290,   430,    -1,    -1,   425,
      -1,  1628,    -1,    -1,  1631,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5343,    -1,    -1,    -1,    -1,  5348,
    5349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   199,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,
     526,   209,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,  5923,    -1,    -1,   543,    -1,    -1,
      -1,  3953,    -1,   489,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,  5941,  5942,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1378,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,    -1,   529,   530,   531,   266,   533,
     534,   535,   536,   537,   538,    -1,    -1,    84,    -1,   543,
      87,  1406,  1407,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5456,    -1,    -1,
      -1,   108,  1759,    -1,    -1,    -1,    -1,  1432,    -1,   116,
    1767,  1768,    -1,    -1,    -1,    -1,   123,    84,    -1,    -1,
      87,  1778,    -1,    -1,    91,    92,    93,   325,    -1,   327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,
     147,   108,    -1,    -1,    -1,    -1,    -1,    -1,   346,   116,
      -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1830,    -1,    -1,    -1,    -1,    -1,  4690,
     147,    -1,    -1,    -1,  4695,    -1,    -1,    -1,    -1,  1514,
    1515,    -1,    -1,    -1,  1851,    -1,   394,    -1,    -1,   397,
     398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    98,    -1,    -1,  4727,    -1,    -1,   104,
      -1,    -1,    -1,    -1,  4146,    -1,    -1,   425,  4739,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,  1899,    -1,    -1,    91,    92,    93,    -1,   256,
      -1,    98,  1909,    -1,   261,  4766,    -1,   104,    -1,    -1,
     145,    -1,   108,    -1,    -1,    -1,    -1,    -1,  1002,    -1,
     116,    -1,    -1,    -1,  4196,   282,   283,   123,    -1,  4201,
      -1,  4203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
     297,   489,  1026,  1950,   261,    -1,    -1,    -1,   145,    -1,
    5659,   147,    -1,  4225,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   199,   282,   283,    -1,    -1,    -1,
    4242,   206,    -1,   330,   209,    -1,    -1,    -1,    -1,    -1,
     297,    -1,    -1,    -1,    -1,  4257,    -1,   344,  4260,    -1,
     347,    -1,    -1,    -1,    -1,    -1,    -1,  4858,    -1,   234,
      -1,    -1,   199,  4442,    -1,    -1,    -1,  4446,    -1,   206,
      -1,    -1,   209,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,
     347,   266,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,
      -1,    -1,  5674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,   261,    -1,    -1,  2075,   266,
    2077,    -1,    -1,   430,    -1,  4347,  4348,  4938,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4357,   282,   283,    -1,    -1,
     325,    -1,   327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   297,   337,    -1,  4376,    -1,    -1,    -1,    -1,    -1,
      -1,   346,    -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2128,   357,    -1,    -1,    -1,    -1,    -1,   325,    -1,
     327,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
     337,    -1,    -1,    -1,    -1,  2152,    -1,    -1,   344,   346,
      -1,   347,    -1,  2160,    -1,    -1,    -1,    -1,  4430,   394,
     357,    -1,   397,   398,    -1,  2172,    -1,    -1,    -1,   526,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,  4455,    -1,    -1,   543,    -1,    -1,    -1,
     425,    -1,    -1,  5054,    -1,  5056,    -1,   394,    -1,    -1,
     397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,   543,    -1,   425,    -1,
      -1,    -1,  4671,    -1,   430,    -1,    -1,    84,  5099,    -1,
      87,  2248,  2249,    -1,    91,    92,    93,  5108,    -1,    -1,
      -1,    -1,    -1,  2260,   489,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,  2271,  2272,    -1,    -1,  1352,   116,
      -1,    -1,    -1,  4712,  4713,    -1,   123,    -1,    -1,    -1,
      -1,    -1,    -1,  5144,    -1,    -1,    -1,    -1,    -1,  5150,
    2297,  1375,   489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     147,  1976,    -1,    -1,    -1,    -1,  1390,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,   543,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4798,
    4799,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2062,  2063,  2064,
    2065,    -1,    -1,    -1,    -1,  1479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,    -1,   256,
      -1,    -1,   104,    -1,   261,    -1,    -1,    -1,  4690,    -1,
    2427,    -1,    -1,  4695,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2106,  2107,    -1,    -1,   282,   283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     297,    -1,  2127,   145,    -1,  4727,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4739,    -1,    -1,
      -1,    -1,    -1,    -1,  5335,  4914,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,  4923,  4924,    -1,  2162,  2163,  2164,
    2165,    -1,    -1,    -1,  4766,    -1,    84,   344,  4937,    87,
     347,    -1,    -1,    91,    92,    93,    -1,   199,    -1,    -1,
    5371,    -1,    -1,    -1,   206,    -1,    -1,   209,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,    -1,  1611,   116,    -1,
      -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,
      -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,   147,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,   430,    -1,    -1,  4858,   116,    -1,    -1,
      -1,  2598,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2277,    -1,    -1,    -1,    -1,    -1,  2283,    -1,
      -1,    -1,    -1,  2620,    -1,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2638,    -1,   325,    -1,   327,  2643,  2644,    -1,    -1,
      -1,  2648,    -1,    -1,    -1,   337,    -1,    -1,    -1,  2656,
      -1,    -1,    -1,    -1,   346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   357,  4938,  2674,   256,    -1,
      -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,  1762,   526,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,   282,   283,   543,    -1,  5559,    -1,
    5561,    -1,   394,    -1,    -1,   397,   398,    84,    -1,   297,
      87,  2718,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,  2730,    -1,    -1,    -1,   256,    -1,  2736,
    2737,   108,   261,   425,    -1,    -1,    -1,    -1,    -1,   116,
      -1,    -1,   330,    -1,    -1,    -1,   123,    -1,    -1,    -1,
      -1,    -1,    -1,   282,   283,  2430,   344,    -1,    -1,   347,
    2767,  2768,    -1,    -1,  2771,    -1,    -1,    -1,   297,    -1,
     147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5054,    -1,  5056,  2792,    -1,  2794,    -1,    -1,
      -1,    -1,    -1,  2800,    -1,  5656,    -1,   489,    -1,  2806,
      -1,   330,  5241,  2810,    -1,    -1,    -1,    -1,  1892,    -1,
      -1,    -1,    -1,  5674,    -1,   344,    -1,    -1,   347,    -1,
      -1,    -1,    -1,  2830,    -1,    -1,  5687,  5099,  2835,    -1,
      -1,    -1,  2839,    -1,    -1,  2842,    -1,    -1,    -1,    -1,
      -1,    -1,   430,    -1,    -1,  2852,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2865,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2874,    -1,    -1,
      -1,    -1,  5144,    -1,  1958,    -1,    -1,    -1,  5317,   256,
      -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5757,  5758,    -1,    -1,
      -1,   430,    -1,    -1,    -1,   282,   283,    -1,    -1,  1993,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     297,  2928,    -1,    -1,    -1,    -1,    -1,    -1,  5367,    -1,
      -1,    -1,  2016,    -1,    -1,    -1,    -1,    -1,   526,  5800,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,   330,    -1,   543,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,
     347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,  3005,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,  2097,   543,  5876,  2691,  2692,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2700,    -1,  2702,  2112,    -1,
      -1,  2706,    -1,    -1,    -1,    -1,    -1,  2121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2133,
      -1,  3058,    -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,  5335,  5925,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5940,
    5941,  5942,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,  5371,
    3107,   123,    -1,    -1,  2188,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3125,    -1,
      -1,    -1,    -1,    -1,  2208,   147,  3133,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2822,  2232,   526,
    2825,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,   543,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2268,  2269,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,    -1,    -1,
      -1,  3218,    -1,    -1,    -1,    -1,  2891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2899,  2900,    -1,    -1,    -1,    -1,
     131,  2906,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,
      -1,    -1,    -1,    -1,    -1,  2920,    -1,    -1,    -1,    -1,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   170,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   185,    -1,  2961,  5559,    -1,  5561,
      -1,    -1,   193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3309,    -1,    -1,    -1,    -1,   208,   330,   210,
      -1,    -1,    -1,   214,  2989,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,   224,    -1,   347,    -1,    -1,    -1,    -1,
      -1,    -1,   233,    -1,    -1,    -1,    -1,    -1,  2422,    -1,
      -1,    -1,    -1,    -1,    -1,  5784,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,  3043,    -1,
    3045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,  5656,    -1,   116,    -1,    -1,    -1,
      -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,
       5,    -1,  5674,    -1,    -1,    -1,  3413,  3414,   430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    36,    -1,  3440,    -1,    40,  3443,    42,    43,    -1,
      -1,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,  3156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,  3524,  3525,  3526,
      -1,   543,    -1,    -1,    -1,    -1,   256,    -1,  5800,    -1,
      -1,   261,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3548,    -1,  2627,    -1,    -1,    -1,  2631,  2632,    -1,
      -1,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3568,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     330,    -1,    -1,    -1,  5876,    -1,    -1,    -1,   213,  2693,
      -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,
      -1,  2705,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,
      -1,    -1,    -1,  5925,  3661,    -1,    -1,    -1,    -1,    -1,
      -1,  2745,    -1,    -1,    -1,    -1,    -1,    -1,  5940,    -1,
      -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3699,    -1,    -1,    -1,    -1,    -1,    -1,  3706,
     430,  3708,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,
      -1,   316,    -1,    -1,  3721,    -1,  3723,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,   332,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3745,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   676,    -1,    -1,  3453,  3786,
    3455,  3456,  3457,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
      -1,   416,    -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3832,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2919,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3850,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,   463,    -1,
      -1,    -1,    -1,    -1,    -1,  3872,    -1,    -1,  3875,    -1,
      -1,   108,    -1,   478,    -1,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,   493,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,    -1,    -1,  3001,   523,   282,
     283,    -1,    -1,    -1,    -1,    -1,   531,    -1,   533,   534,
     535,   536,   537,    -1,   297,   540,   541,   542,   543,    -1,
     545,   546,   547,   548,   549,    -1,  3953,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,    -1,   347,   886,   887,   888,   889,    -1,
     891,    -1,    -1,    -1,   895,  3670,   897,    -1,    -1,   900,
      -1,    -1,    -1,    -1,    -1,    -1,   907,    -1,   909,    -1,
      -1,   912,    -1,    -1,    -1,   916,    -1,   918,    -1,   256,
      -1,    -1,    -1,    -1,   261,   926,    -1,    -1,    -1,    -1,
      -1,   932,    -1,   934,    -1,    -1,   937,    -1,   939,  3123,
     941,    -1,    -1,    -1,    -1,   282,   283,   948,    -1,    -1,
      -1,    -1,   953,    -1,   955,    -1,  3140,    -1,    -1,    -1,
     297,   962,    -1,    -1,    -1,    -1,    -1,   430,    -1,  3153,
      -1,    -1,    -1,   166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,    -1,   996,    -1,    -1,    -1,    -1,
    1001,    -1,    -1,    -1,    -1,  1006,    -1,   344,    -1,  1010,
     347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,  1030,
      -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,  4146,
     233,    -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,   247,    -1,    -1,   250,    -1,    -1,
      -1,  3836,    -1,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
     543,    -1,    -1,    -1,    -1,   278,    -1,  1088,    -1,  4196,
      -1,    -1,    -1,   430,  4201,    -1,  4203,    -1,    -1,    -1,
      -1,    -1,  1103,    -1,  1105,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4225,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,  1133,  1134,    -1,  4242,    -1,  1138,  1139,    -1,
      -1,    -1,    -1,   108,    -1,    -1,   339,    -1,    -1,   342,
    4257,   116,    -1,  4260,    -1,   348,    -1,  1158,   123,    -1,
      -1,  1162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1180,
      -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,   526,
      -1,  1192,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,  3388,    -1,   543,  3391,   401,  3393,
      -1,    -1,    -1,    -1,  3398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
    4347,  4348,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
    4357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,
     108,    -1,    -1,  3447,    -1,    -1,    -1,    -1,   116,  4376,
      -1,    -1,  1273,    -1,    -1,   123,    -1,    -1,    -1,    -1,
    3464,    -1,    -1,  1284,    -1,   478,    -1,    -1,  1289,  1290,
      -1,   256,    -1,    -1,    -1,    -1,   261,    -1,    -1,   147,
      -1,    -1,    -1,    -1,    -1,  3489,    -1,    -1,    -1,   502,
      -1,   504,   505,    -1,    -1,    -1,    -1,   282,   283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1345,    -1,    -1,   540,  4455,    -1,
     543,   544,    -1,   546,    -1,  1356,    -1,    -1,    -1,  1360,
      -1,  4136,  4137,  4138,  4139,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3558,    -1,  3560,  1378,    -1,   344,
      -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1400,
      -1,    -1,    -1,    -1,    -1,  1406,  1407,    -1,   256,    -1,
      -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1428,  1429,  1430,
      -1,  1432,    -1,  1434,   282,   283,    -1,    -1,  1439,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,   297,
      -1,    -1,    91,    92,    93,    -1,    -1,  3641,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,   166,    -1,   116,    -1,    -1,
      -1,    -1,   330,    -1,   123,  3669,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,
    3694,  1512,    -1,  1514,  1515,    -1,  3700,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   228,    -1,  4314,
      -1,    -1,   233,    -1,    -1,  4320,    -1,   238,    -1,    -1,
      -1,    -1,  1553,   244,    -1,    -1,   247,    -1,    -1,   250,
      -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,   543,    -1,
      -1,    -1,   430,  4690,    -1,  3769,    -1,   278,  4695,    -1,
    1591,  1592,    -1,    -1,    -1,  1596,    -1,  1598,    -1,    -1,
      -1,    -1,    -1,  3787,    -1,    -1,    -1,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,  3802,    -1,
    4727,    -1,   261,  1624,    -1,    -1,  1627,    -1,    -1,  1630,
      -1,    -1,  4739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1642,    -1,   282,   283,    -1,    -1,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,   348,   297,  4766,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,   330,    -1,    -1,    -1,   543,    -1,    -1,  1699,  1700,
    1701,    -1,  1703,    -1,    -1,   344,    -1,    -1,   347,    -1,
     401,    -1,  3896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3917,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,  1745,  1746,    -1,    91,    92,    93,
      -1,  4858,    -1,    -1,    -1,    -1,    -1,    -1,  3942,    -1,
      -1,   452,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,  1774,    -1,    -1,  1777,    -1,    -1,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,
      -1,   430,  3976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,  1805,    -1,    -1,    -1,  1809,  1810,
      -1,   502,    -1,   504,   505,    -1,    -1,    -1,    -1,  1820,
    1821,  1822,    -1,  1824,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1849,   540,
      -1,    -1,   543,   544,    -1,   546,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   526,    -1,    -1,
     529,   530,   531,   116,   533,   534,   535,   536,   537,   538,
     123,    -1,    -1,    -1,   543,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,  4103,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,
      -1,    -1,    -1,    -1,  1945,    -1,    -1,  5054,    -1,  5056,
      -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1964,  1965,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1973,    -1,    -1,  1976,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,  5099,    -1,    -1,    -1,  1997,    -1,  1999,    -1,
     344,    -1,  4777,   347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2012,    -1,    -1,  2015,    -1,    -1,  4792,  4202,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,  5144,   261,    -1,
      -1,    -1,  4226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,
     283,  2062,  2063,  2064,  2065,  2066,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,  2080,
      -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,
      -1,  2092,    -1,  2094,    -1,    -1,  5203,    -1,    -1,    -1,
      -1,  4876,    -1,    -1,    -1,  2106,  2107,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,    -1,   347,    -1,  2127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2162,  2163,  2164,  2165,    -1,    -1,  4351,    -1,    -1,
      -1,    -1,    -1,    -1,  2175,    -1,    -1,    -1,    -1,    -1,
      -1,  2182,   526,    -1,  2185,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,   543,
    2201,    -1,    -1,  2204,    -1,    -1,    -1,   430,  2209,    -1,
      -1,    -1,    -1,  2214,    -1,    -1,  4400,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2245,  2246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2256,  2257,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5371,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2276,  2277,    -1,    -1,    -1,
      -1,    -1,  2283,    -1,    -1,    -1,    -1,  5062,  5063,  5064,
      -1,    -1,    -1,  2294,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,   541,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2328,    -1,    -1,
      -1,    -1,    -1,    -1,  2335,    -1,  2337,    -1,    -1,    -1,
    2341,  2342,    -1,  2344,    -1,    -1,  4530,    -1,    -1,    -1,
    2351,    -1,    -1,    -1,    -1,    -1,  4540,    -1,    -1,    -1,
    2361,    -1,    -1,    -1,    -1,  2366,  2367,    -1,    -1,  2370,
      -1,    -1,    -1,  2374,  2375,    -1,    -1,    -1,    -1,  2380,
    2381,    -1,    -1,    -1,    -1,    -1,  2387,  2388,  2389,    -1,
      -1,    -1,  2393,  2394,  2395,  2396,  2397,  2398,  2399,  2400,
      -1,  2402,    -1,  2404,  2405,    -1,    -1,  2408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2423,  2424,  2425,  2426,    -1,    -1,    -1,  2430,
    2431,    -1,    -1,    -1,  2435,    -1,    -1,  2438,    -1,  5214,
    2441,  2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,    -1,
    2451,    -1,  5559,    -1,  5561,    -1,    -1,  2458,  2459,    -1,
      -1,  2462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2484,    -1,    -1,    -1,    -1,    -1,  4673,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2522,    -1,  2524,    -1,  2526,    -1,  4711,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4732,  5656,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2560,
      -1,    -1,    -1,    -1,    -1,    -1,  2567,  5674,  2569,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5363,    -1,
    5365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,  4797,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,    -1,   112,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,  2649,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2658,    -1,  2660,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,    -1,  2677,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2689,    -1,
    2691,  2692,    -1,  5800,    -1,  2696,    -1,  2698,    -1,  2700,
      -1,  2702,    -1,    -1,    -1,  2706,    -1,    -1,  2709,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,
      -1,    -1,    -1,  4907,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,  2740,
      -1,    -1,    -1,  5518,    -1,    -1,    -1,  2748,    -1,    -1,
      -1,    -1,    -1,   108,  2755,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,  2764,    -1,    -1,    -1,    -1,   123,  5876,
      -1,    -1,    -1,    -1,  4958,    -1,    -1,    -1,    -1,   256,
      -1,    -1,  2783,    -1,   261,    -1,    -1,  2788,  2789,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,  2798,  2799,    -1,
      -1,  2802,    -1,  2804,    -1,   282,   283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5925,    -1,
     297,  2822,    -1,    -1,  2825,  5600,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5940,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2846,  2847,    -1,    -1,    -1,
      -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
    2861,    -1,  2863,  2864,    -1,    -1,    -1,   344,    -1,    -1,
     347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,
      -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,
    2891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2899,  2900,
      -1,   256,    -1,    -1,    -1,  2906,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5098,    -1,    -1,  2918,    -1,  2920,
      -1,    -1,    -1,    -1,    -1,    -1,  5701,   282,   283,    -1,
      -1,    -1,    -1,  2934,    -1,    -1,  2937,    -1,  2939,    -1,
      -1,  2942,   297,    -1,    -1,  2946,    -1,    -1,  2949,    -1,
      -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,
    2961,  2962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,  2979,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2989,   344,
    2991,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3006,    -1,    -1,    -1,   486,
      -1,    -1,    -1,    -1,    -1,    -1,  3017,    -1,  5793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3031,    -1,    -1,    -1,  5218,    -1,    -1,    -1,    -1,    -1,
    3041,    -1,  3043,  3044,  3045,  3046,    -1,    -1,    -1,   526,
    5825,  5826,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,  5246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3090,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5286,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3127,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,  3137,   116,  5913,    -1,
      -1,    -1,  3143,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3156,    -1,    -1,    -1,  5343,
      -1,    -1,  3163,    -1,  5348,  5349,    -1,  3168,   147,    -1,
      -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,    -1,    -1,
    3191,  3192,  3193,    -1,    -1,  3196,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3204,  3205,  3206,  3207,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3217,    -1,    -1,  3220,
      -1,  3222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3233,  3234,    -1,    -1,  3237,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3249,    -1,
    3251,    -1,  3253,   232,  3255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5456,    -1,  3275,    -1,    -1,   256,  3279,    -1,
      -1,    -1,   261,    -1,    -1,  3286,    -1,  3288,  3289,  3290,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3313,    -1,    -1,    -1,    -1,    -1,   297,    -1,
      -1,    -1,    -1,    -1,  3325,    -1,    -1,    -1,    -1,  3330,
      -1,    -1,    -1,    -1,    -1,  3336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3346,    -1,    -1,    -1,  3350,
      -1,   330,  3353,    -1,  3355,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,   368,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    -1,    41,    42,    43,    -1,    -1,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,  3419,    55,
    3421,    -1,    -1,    -1,    -1,  3426,    -1,    -1,    64,    -1,
      66,    -1,    68,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,  3453,    -1,  3455,  3456,  3457,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5659,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,   123,   124,   125,
     126,   127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,
     146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,   184,   185,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,    -1,    -1,  3566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,   225,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,
      -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3670,
      -1,    -1,    -1,    -1,  3675,  3676,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,
     326,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,   335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3712,  3713,  3714,   350,   351,    -1,   353,   354,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3729,    -1,
      -1,   367,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,
    3751,  3752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3761,  3762,  3763,    -1,    -1,    -1,  3767,    -1,   404,    -1,
      -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,  3780,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,    -1,    -1,   430,    -1,  3797,   433,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,  3814,    -1,    -1,    -1,    -1,   454,    -1,
      -1,    -1,    -1,    -1,    -1,   461,   462,    -1,    -1,    -1,
      -1,   467,    -1,   469,    -1,  3836,    -1,    -1,    -1,    -1,
      -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3857,   493,    -1,    -1,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3873,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,    -1,  3893,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3902,    -1,    -1,    -1,    -1,    -1,  3908,    -1,  3910,
      -1,    -1,  3913,   549,    -1,    -1,    -1,  3918,  3919,  3920,
    3921,    -1,    -1,  3924,  3925,  3926,  3927,  3928,  3929,  3930,
    3931,  3932,  3933,    -1,    -1,    -1,  3937,  3938,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3947,    -1,    -1,    -1,
    3951,    -1,    -1,    -1,  3955,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3963,    -1,    -1,  3966,    -1,  3968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3977,    -1,    -1,  3980,
    3981,    -1,    -1,    -1,  3985,  3986,    -1,    -1,    -1,  3990,
      -1,  3992,    -1,    -1,    -1,    -1,    -1,    -1,  3999,  4000,
    4001,  4002,    -1,    -1,  4005,  4006,    -1,    -1,    -1,  4010,
    4011,  4012,    -1,    -1,    -1,    -1,    -1,  4018,    -1,    -1,
      -1,    -1,    -1,  4024,  4025,  4026,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4071,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4085,    -1,  4087,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4115,  4116,  4117,    -1,  4119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4136,  4137,  4138,  4139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4165,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    42,    43,
      -1,    -1,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4275,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,   161,    -1,
      -1,    91,    92,    93,   138,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4314,    -1,    -1,    -1,  4318,    -1,  4320,
      -1,  4322,    -1,    -1,    -1,    -1,   116,    -1,  4329,    -1,
      -1,    -1,    -1,   123,  4335,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4345,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   217,    -1,   219,   147,    -1,  4360,
      -1,    -1,    -1,  4364,    -1,    -1,    -1,    -1,    -1,   232,
      -1,    -1,    -1,  4374,    -1,    -1,    -1,    -1,    -1,   213,
      -1,  4382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4393,    -1,    -1,    -1,  4397,   231,    -1,    -1,
    4401,  4402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4431,  4432,  4433,  4434,  4435,    -1,    -1,  4438,    -1,  4440,
      -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,   261,    -1,   108,    -1,  4476,    -1,    -1,    -1,   313,
      -1,   116,   316,    -1,    -1,    -1,  4487,    -1,   123,    -1,
      -1,    -1,   282,   283,    -1,    -1,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,  4517,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4527,  4528,    -1,    -1,
      -1,    -1,    -1,  4534,  4535,    -1,    -1,    -1,  4539,    -1,
     330,    -1,    -1,  4544,    -1,    -1,  4547,  4548,    -1,    -1,
      -1,  4552,  4553,    -1,   344,    -1,    -1,  4558,  4559,  4560,
    4561,  4562,    -1,    -1,    -1,  4566,  4567,  4568,    -1,  4570,
    4571,    -1,    -1,  4574,    -1,    -1,    -1,  4578,    -1,    -1,
      -1,  4582,   416,    -1,    -1,    -1,    -1,  4588,    -1,    -1,
      -1,    -1,    -1,    -1,  4595,    -1,    -1,    -1,    -1,  4600,
      -1,    -1,    -1,    -1,    -1,  4606,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4616,    -1,    -1,    -1,    -1,
      -1,   256,    -1,  4624,    -1,    -1,   261,  4628,    -1,   463,
      -1,    -1,  4633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     430,    -1,    -1,    -1,   478,    -1,    -1,   282,   283,    -1,
      -1,  4652,    -1,    -1,  4655,    -1,    -1,    -1,    -1,   493,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4675,  4676,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
      -1,    -1,  4693,    -1,    -1,   330,    -1,   531,    -1,   533,
     534,   535,   536,   537,    -1,  4706,   540,   541,   542,   344,
      -1,    -1,   347,   547,   548,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   370,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,    -1,    -1,  4755,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,  4777,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4792,    -1,    -1,    -1,   430,    -1,    -1,   108,    -1,
      -1,   111,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,   446,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,
    4821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4835,    -1,    -1,   147,    -1,    -1,
    4841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4850,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4864,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4876,    -1,  4878,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,  4909,    -1,
      -1,  4912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,   261,    -1,  4954,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,  4980,
    4981,    -1,    -1,  4984,    -1,    84,    -1,   297,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,  4999,    -1,
      -1,  5002,    -1,    -1,    -1,  5006,    -1,    -1,    -1,   108,
    5011,    -1,    -1,  5014,  5015,   878,  5017,   116,  5019,    -1,
     330,  5022,  5023,   886,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   895,    -1,   344,    -1,    -1,   347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5046,    -1,  5048,   147,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5060,
    5061,  5062,  5063,  5064,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,  5108,  5109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
     430,    -1,   111,    -1,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,   996,   123,    -1,    -1,    -1,    -1,  1002,
      -1,    -1,    -1,  1006,    -1,    -1,    -1,    -1,    -1,  5150,
      -1,    -1,  5153,    -1,    -1,    -1,    -1,   256,   147,    -1,
      -1,    -1,   261,  1026,  5165,    -1,    -1,  5168,    -1,    -1,
      -1,    -1,  5173,    -1,  5175,    -1,    -1,    -1,    -1,    -1,
    5181,    -1,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5196,    -1,    -1,   297,  5200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5214,  5215,  5216,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5245,   344,    -1,  5248,   347,  5250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   364,    -1,   256,    -1,  5270,
    1133,  1134,   261,    -1,    -1,  5276,    -1,  1140,    -1,  5280,
      -1,  1144,    -1,  5284,    -1,    -1,    -1,    -1,    -1,    -1,
    5291,    -1,    -1,   282,   283,    -1,    -1,    -1,    -1,  5300,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1170,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5327,    -1,    -1,    -1,
      -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5353,    -1,    -1,   344,    -1,    -1,   347,    -1,
      -1,  5362,  5363,  5364,  5365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5422,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1318,  1319,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5478,    -1,    -1,
    5481,    -1,  1345,  5484,    -1,    -1,    -1,  5488,    -1,  1352,
      -1,    -1,    -1,  1356,  5495,    -1,    -1,    -1,    -1,  5500,
      -1,  5502,    -1,  5504,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5512,  1375,    -1,    -1,    -1,    -1,  5518,    -1,  5520,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1390,    -1,  5530,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5569,  5570,
      -1,  1434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5600,
      -1,    -1,    -1,    84,    -1,  5606,    87,    -1,    -1,  5610,
      91,    92,    93,    -1,    -1,    -1,  1479,  5618,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,
     111,    -1,    -1,    -1,    -1,   116,    -1,    -1,  5639,    -1,
      -1,    -1,   123,    -1,    -1,    -1,  5647,  5648,    -1,    -1,
      -1,  5652,    -1,    -1,  5655,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5665,    -1,   147,  5668,    -1,    -1,
      -1,    -1,  5673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5687,    -1,    -1,    -1,
    1553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5701,    -1,    -1,    -1,    -1,    -1,    -1,  5708,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,    -1,  5737,    91,    92,    93,
      -1,  5742,    -1,    -1,    -1,    -1,    -1,    -1,  1611,    -1,
    5751,    -1,    -1,    -1,   108,    -1,  5757,  5758,    -1,  5760,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,  5769,   123,
      -1,    -1,  5773,    -1,    -1,   256,    -1,    -1,    -1,  1642,
     261,    -1,    -1,    -1,    -1,  5786,    -1,    -1,    -1,    -1,
      -1,    -1,  5793,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   282,   283,    -1,    -1,    -1,    -1,    -1,  1671,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,  5824,  5825,  5826,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1699,  1700,  1701,    -1,
    1703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
    5851,    -1,    -1,    -1,    -1,  5856,    -1,    -1,    -1,    -1,
    1723,    -1,    -1,   344,     3,    -1,   347,    -1,    -1,    -1,
       9,    -1,    -1,    -1,    13,    -1,    15,    -1,    17,    18,
      -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,    28,
      -1,    -1,  5893,    -1,    -1,    -1,    -1,    -1,  5899,    -1,
      -1,    -1,   256,    -1,    -1,    44,    45,   261,    -1,    -1,
      -1,    -1,  5913,    -1,  1777,  1778,    -1,    -1,    -1,  5920,
      -1,    -1,  5923,    -1,    -1,    -1,    -1,    -1,   282,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5941,  5942,  1805,   297,    -1,    -1,  1809,  1810,    -1,   430,
      -1,    -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,    -1,
      -1,  1824,    -1,    -1,    -1,   104,    -1,   106,   107,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
     344,    -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,   144,   145,    -1,    -1,    -1,
      -1,    -1,   151,    -1,   153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   164,    -1,   166,    -1,  1892,
      -1,    -1,    -1,    -1,    -1,    -1,  1899,    -1,    -1,    -1,
      -1,    -1,   181,    -1,   183,   526,  1909,   186,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,   200,    -1,   202,    -1,    -1,    -1,   206,    -1,    -1,
      -1,    -1,    -1,   212,    -1,    -1,   430,    -1,    -1,    -1,
      -1,   220,    -1,   222,    -1,    -1,    -1,  1950,    -1,   228,
      -1,    -1,    89,    -1,    -1,  1958,    -1,    94,    -1,    96,
      -1,    -1,    -1,    -1,    84,   244,    -1,    87,    -1,   106,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   260,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
    1993,    -1,    -1,    -1,   131,    -1,   116,    -1,    -1,    -1,
      -1,    -1,    -1,   123,   141,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2016,    -1,   152,   153,    -1,    -1,   156,
     299,   300,    -1,    -1,    -1,   162,   305,   147,    -1,   166,
      -1,    -1,   526,    -1,    -1,   529,   530,   531,   317,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,    -1,
     329,   188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2077,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   371,    -1,  2097,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,    -1,  2112,
      -1,   390,   391,    -1,   393,    -1,    -1,    -1,  2121,   398,
      -1,    -1,    -1,    -1,   403,  2128,    -1,   406,    -1,    -1,
    2133,    -1,   411,    -1,    -1,    -1,   256,    -1,   417,   418,
      -1,   261,    -1,    -1,    -1,    -1,   425,    -1,    -1,    -1,
     429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     439,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   452,    -1,    -1,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2188,    -1,    -1,    -1,    -1,
      -1,    -1,   471,    -1,   473,    -1,    -1,    -1,  2201,    -1,
      -1,  2204,   481,    -1,    -1,  2208,    -1,    -1,   487,    -1,
     330,  2214,    -1,   492,    -1,    -1,    -1,  2220,    -1,    -1,
      -1,    -1,    -1,    -1,   344,    -1,   505,   347,    -1,  2232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2245,  2246,    -1,    -1,    -1,    -1,    -1,   528,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,    -1,  2268,  2269,   546,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2337,    -1,    -1,    -1,    -1,    -1,
     460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2374,  2375,    -1,    -1,    -1,    -1,  2380,  2381,    -1,
      -1,    -1,    -1,    -1,  2387,  2388,  2389,    -1,    -1,    -1,
    2393,    -1,  2395,  2396,  2397,  2398,  2399,  2400,    -1,  2402,
      -1,  2404,  2405,    -1,    -1,  2408,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,  2422,
    2423,  2424,  2425,  2426,  2427,    -1,    -1,    -1,  2431,    -1,
      -1,    -1,  2435,    -1,    -1,  2438,    -1,    -1,  2441,  2442,
    2443,  2444,  2445,  2446,  2447,  2448,  2449,    -1,  2451,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2459,    -1,    -1,  2462,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2526,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   676,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    -1,    41,    42,    43,    -1,    -1,   724,   725,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,  2627,    -1,    -1,    -1,  2631,  2632,
      -1,    -1,    -1,    -1,    -1,   772,    -1,    -1,    -1,    -1,
    2643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,   123,   124,   125,   126,   127,    -1,
      -1,    -1,    -1,    -1,  2677,    -1,    -1,    -1,    -1,    -1,
     139,    -1,    -1,    -1,    -1,    -1,  2689,   146,    -1,   148,
    2693,    -1,    -1,  2696,    -1,    -1,   155,    -1,    -1,    -1,
      -1,    -1,  2705,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   184,   185,  2730,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,  2767,    -1,   225,    -1,  2771,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,   248,
      -1,  2794,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,    -1,    -1,    -1,    -1,   277,    -1,
     279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   297,  2842,
     977,   978,    -1,   980,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   320,   321,   322,    -1,    -1,    -1,   326,    -1,    -1,
      -1,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,    -1,
    1037,    -1,    -1,  1040,  1041,    -1,    -1,    -1,   367,    -1,
     369,    -1,    -1,    -1,    -1,  2918,  2919,    -1,  1055,    -1,
    1057,    -1,  1059,    -1,   383,  2928,    -1,    -1,  1065,    -1,
      -1,    -1,  1069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,   408,
      -1,    -1,  1089,  1090,    -1,    -1,    -1,    -1,    -1,  2962,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,    -1,
      -1,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,
      -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,  3001,  1136,
      -1,  1138,   461,   462,    -1,    -1,    -1,    -1,   467,    -1,
     469,    -1,    -1,    -1,  3017,    -1,    -1,    -1,    -1,   478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,    -1,    -1,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1216,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     549,    -1,    84,  1230,  1231,    87,    -1,  1234,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,   111,
    3123,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
      -1,   123,    -1,    -1,  3137,    -1,    -1,  3140,    -1,    -1,
    3143,    -1,    -1,    -1,    -1,    -1,  1283,    -1,    -1,    -1,
    3153,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,
    3163,    -1,    -1,    -1,    -1,  3168,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3191,  3192,
    3193,    -1,    -1,  3196,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3204,  3205,  3206,  3207,    -1,    -1,    -1,    -1,  3212,
      -1,    -1,    -1,    -1,  3217,  3218,    -1,  3220,    -1,  3222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
    3233,  3234,    87,    -1,  3237,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3251,    -1,
    3253,    -1,  3255,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,    -1,   256,    -1,    -1,    -1,   123,   261,
      -1,    -1,  3275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3286,    -1,  3288,  3289,  3290,    -1,    -1,
     282,   283,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,
    3313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3325,    -1,    -1,    -1,    -1,  3330,    -1,    -1,
      -1,    -1,    -1,  3336,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,    -1,  3346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3388,    -1,    -1,  3391,    -1,
    3393,    -1,    -1,    -1,    -1,  3398,    -1,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3419,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1561,    -1,    -1,   282,   283,  1566,
      -1,  1568,    -1,    -1,  1571,    -1,  1573,    -1,   430,  1576,
    1577,  1578,   297,    -1,  3447,  1582,    -1,    -1,    -1,    -1,
      -1,    -1,  1589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3464,    -1,    -1,    -1,    -1,  1603,    -1,  1605,    -1,
      -1,    -1,    -1,  1610,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3489,    -1,    -1,   344,
      -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,
      -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,
      -1,  3524,  3525,  3526,    -1,    -1,   113,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,  3558,    -1,  3560,    -1,    -1,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   430,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,    -1,    -1,  1734,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1745,  1746,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1762,    -1,    -1,   215,    -1,
    1767,  1768,    -1,    -1,    -1,    -1,   223,    -1,  3641,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,
     247,    -1,    -1,    -1,    -1,    -1,  3669,    -1,    -1,    -1,
      -1,   526,    -1,    -1,   529,   530,   531,   264,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3694,    -1,    -1,    -1,    -1,  3699,  3700,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1849,    -1,  1851,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   310,  1861,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3769,    -1,    -1,   356,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,
      -1,    -1,    -1,    -1,  3787,    -1,    -1,    -1,    -1,   376,
      -1,    -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,  3802,
      -1,  1938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1948,    -1,    -1,    -1,    -1,    -1,    -1,   405,    -1,
      -1,    -1,    -1,   410,    -1,   412,    -1,    -1,    -1,    -1,
      -1,    -1,   419,    -1,    -1,   422,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   441,    -1,    -1,    -1,    -1,    -1,
     447,    -1,    -1,    -1,    -1,   452,    -1,    -1,   455,    -1,
      -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,    -1,   466,
    2017,   468,    -1,  2020,  2021,    -1,   473,    -1,    -1,    -1,
    3893,    -1,    -1,  3896,    -1,    -1,    -1,    -1,   485,  3902,
      -1,    -1,    -1,    -1,    -1,  3908,    -1,  3910,    -1,    -1,
    3913,   498,    -1,    -1,  3917,  3918,  3919,  3920,  3921,    -1,
      -1,  3924,  3925,  3926,  3927,  3928,  3929,  3930,  3931,  3932,
    3933,    -1,    -1,    -1,  3937,  3938,    -1,    -1,    -1,  3942,
      -1,    -1,    -1,    -1,  3947,    -1,    -1,    -1,  3951,    -1,
    3953,   209,  3955,    -1,    -1,    -1,    -1,    -1,    -1,   217,
    3963,   219,    -1,  3966,    -1,  3968,    -1,  2104,    -1,    -1,
      -1,    -1,    -1,  3976,  3977,    -1,    -1,  3980,  3981,    -1,
      -1,    -1,  3985,  3986,    -1,    -1,    -1,    -1,    -1,  3992,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4002,
      -1,    -1,  4005,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4018,    -1,    -1,    -1,    -1,
      -1,  4024,  4025,  4026,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4071,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4087,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2306,
      -1,  2308,    -1,    -1,    -1,  2312,    -1,  2314,    -1,    -1,
    2317,    -1,    -1,    -1,  2321,    -1,    -1,    -1,    -1,  2326,
      -1,    -1,    -1,  4196,    -1,    -1,    -1,    -1,  4201,  4202,
    4203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4225,  4226,    -1,    -1,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4242,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,    -1,    42,    43,    -1,    -1,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4322,
      -1,  2458,    -1,    -1,    -1,    -1,    -1,    -1,  2465,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2475,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,  4364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4400,  4401,  4402,
      -1,    -1,  2539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,  2594,    -1,    -1,
      -1,  2598,    -1,    -1,    -1,    -1,    -1,  2604,    -1,  2606,
      -1,   101,  2609,  4476,    -1,   253,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4487,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4517,    -1,    -1,    -1,   148,  2656,
      -1,    -1,    -1,    -1,  4527,  4528,    -1,  4530,    -1,    -1,
      -1,  4534,  4535,   163,    -1,   313,  4539,  4540,   316,    -1,
      -1,  4544,    -1,    -1,  4547,  4548,    -1,    -1,    -1,  4552,
      -1,   181,    -1,    -1,   332,  4558,    -1,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4570,    -1,    -1,
      -1,    -1,    -1,    -1,   204,  4578,    -1,    -1,    -1,  4582,
      -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,
      -1,    -1,  4595,   223,    -1,    -1,    -1,  4600,    -1,    -1,
      -1,    -1,    -1,  4606,    -1,   235,    -1,    -1,    -1,    -1,
     240,    -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,
      -1,  4624,    -1,    -1,    -1,    -1,    -1,    -1,   886,    -1,
      -1,    -1,    -1,    -1,   264,    -1,    -1,   895,   416,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4655,    -1,    -1,    -1,    -1,    -1,    -1,   289,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4673,    -1,    -1,    -1,    -1,    -1,   934,    -1,    -1,  2816,
     310,    -1,    -1,    -1,    -1,   463,    -1,  2824,    -1,    -1,
    2827,    -1,  4695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4711,    -1,
      -1,    -1,    -1,    -1,   344,   493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4732,
      -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,   996,    -1,
      -1,    -1,    -1,    -1,  1002,   523,   376,    -1,  1006,   379,
      -1,    -1,  4755,   531,    -1,   533,   534,   535,   536,   537,
      -1,    -1,   540,   541,   542,   543,    -1,    -1,  1026,   547,
      -1,    -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,
     410,    -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,   419,
      -1,    -1,   422,    -1,  4797,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   441,    -1,    -1,    -1,    -1,    -1,   447,  4821,    -1,
      -1,   451,   452,    -1,    -1,   455,    -1,    -1,    -1,   459,
      -1,    -1,  4835,    -1,    -1,    -1,    -1,    -1,   468,    -1,
      -1,    -1,    -1,   473,    -1,    -1,    -1,    -1,    96,    -1,
      -1,    -1,    -1,   101,    -1,   485,    -1,    -1,    -1,    -1,
      -1,  4864,    -1,    -1,    -1,   113,    -1,    -1,   498,    -1,
      -1,    -1,    -1,    -1,    -1,  1133,  1134,    -1,    -1,    -1,
      -1,    -1,  1140,    -1,    -1,    -1,  1144,   135,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     148,    -1,  4905,    -1,  4907,    -1,    -1,    -1,    -1,    -1,
      -1,   159,  1170,    -1,    -1,   163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,    -1,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3085,  3086,
      -1,  4954,    -1,    -1,    -1,  4958,   204,    -1,    -1,    -1,
    4963,    -1,    -1,    -1,  3101,    -1,    -1,   215,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   223,    -1,  4980,  4981,    -1,
      -1,  4984,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,  4999,    -1,    -1,   247,
      -1,    -1,    -1,  5006,    -1,    -1,    -1,    -1,  5011,    -1,
      -1,  5014,  5015,    -1,    -1,    -1,   264,    -1,    -1,  5022,
    5023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5046,    -1,  5048,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,  5060,    -1,    -1,
    1318,  1319,   310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1345,    -1,    -1,
      -1,    -1,    -1,    -1,  1352,  5098,   344,    -1,  1356,   347,
      -1,    -1,    -1,    -1,    -1,  5108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1375,   366,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   379,  1390,    -1,    -1,    -1,    -1,    -1,   386,    -1,
      -1,  5144,    -1,    -1,    -1,    -1,    -1,  5150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,    -1,    -1,
      -1,    -1,    -1,    -1,   412,    -1,    -1,  3304,    -1,    -1,
      -1,   419,  3309,    -1,   422,    -1,  1434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   441,    -1,    -1,    -1,    -1,    -1,   447,
      -1,    -1,    -1,    -1,   452,    -1,    -1,   455,   456,    -1,
     458,   459,    -1,  5216,    -1,  5218,    -1,    -1,    -1,    -1,
     468,  1479,    -1,    -1,    -1,   473,    -1,    -1,    -1,    -1,
      -1,   479,    -1,    -1,   482,    -1,    -1,   485,    -1,    -1,
      -1,    -1,  5245,  5246,    -1,  5248,    96,  5250,    -1,    -1,
     498,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5270,    -1,    -1,
      -1,    -1,    -1,  5276,    -1,    -1,    -1,  5280,    -1,    -1,
      -1,    -1,    -1,  5286,    -1,   135,    -1,    -1,  5291,    -1,
      -1,    -1,    -1,    -1,    -1,  1553,    -1,    -1,   148,   149,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,
      -1,    -1,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,  5335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5343,    -1,    -1,    -1,    -1,  5348,  5349,    -1,    -1,    -1,
    5353,    -1,    -1,  1611,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   223,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1642,   235,    -1,    -1,    -1,    -1,
     240,    -1,    -1,    -1,    -1,    -1,    -1,  5400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1671,   264,    -1,    -1,    -1,    -1,  5422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,
      -1,  1699,  1700,  1701,    -1,  1703,    -1,    -1,    -1,    -1,
      -1,    -1,  5455,  5456,    -1,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,    -1,    -1,  1723,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5478,    -1,    -1,  5481,    -1,
      -1,  5484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5495,    -1,   344,    -1,    -1,  5500,    -1,  5502,
      -1,  5504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5512,
      -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,  1777,
      -1,    -1,    -1,    -1,    -1,    -1,   376,  5530,    -1,   379,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1805,    -1,    -1,
      -1,  1809,  1810,    -1,    -1,   405,  5559,  3694,    -1,    -1,
     410,    -1,   412,  3700,    -1,    -1,  1824,    -1,    -1,   419,
      -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   441,    -1,    -1,    -1,    -1,    -1,   447,    -1,    -1,
      -1,    -1,   452,    -1,    -1,   455,    -1,  5610,    -1,   459,
      -1,    -1,    -1,    -1,    -1,  5618,   466,    -1,   468,    -1,
      -1,    -1,    -1,   473,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1892,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5647,  5648,    -1,    -1,   498,    -1,
      -1,  1909,  5655,  5656,    -1,    -1,  5659,    -1,    -1,    -1,
      -1,    -1,  5665,  3800,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5687,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5737,  1993,    -1,    -1,    -1,  5742,
      -1,    -1,    -1,    -1,    -1,  3882,    -1,    -1,  5751,    -1,
      -1,    -1,    -1,    -1,  5757,  5758,    -1,  5760,  2016,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5769,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5786,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2077,
      -1,  5824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2097,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5851,    -1,
      -1,    -1,    -1,  5856,  2112,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2121,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5876,    -1,  2133,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5893,    -1,    -1,    -1,    -1,    -1,  5899,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5923,    -1,  5925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2188,    -1,    -1,    -1,    -1,    -1,    -1,  5940,  5941,  5942,
      -1,    -1,    -1,  2201,    -1,    -1,  2204,    -1,    -1,    -1,
    2208,    -1,    -1,    -1,    -1,  4092,  2214,    -1,    -1,    -1,
      -1,    -1,  2220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,  2232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2245,  2246,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    42,    43,
    2268,  2269,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4202,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4226,
      -1,    -1,    -1,    -1,    -1,  4232,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2374,  2375,    -1,    -1,
      -1,    -1,  2380,  2381,    -1,    -1,    -1,    -1,    -1,  2387,
    2388,  2389,    -1,    -1,    -1,  2393,    -1,  2395,  2396,  2397,
    2398,  2399,  2400,    -1,  2402,    -1,  2404,  2405,    -1,    -1,
    2408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2422,  2423,  2424,  2425,  2426,    -1,
      -1,    -1,    -1,  2431,    -1,    -1,    -1,  2435,    -1,   213,
    2438,    -1,    -1,  2441,  2442,  2443,  2444,  2445,  2446,  2447,
    2448,  2449,    -1,  2451,    -1,    -1,    -1,   231,    -1,    -1,
      -1,  2459,    -1,    -1,  2462,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2526,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,
      -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    -1,  4452,    -1,    -1,    35,    36,
      -1,    -1,    -1,    -1,    -1,    42,    43,    -1,    -1,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    -1,    -1,    -1,    85,  2627,
      -1,    -1,    -1,  2631,  2632,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2677,
      -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,
      -1,  2689,    -1,    -1,    -1,  2693,    -1,    -1,  2696,    -1,
      -1,    -1,    -1,    -1,   478,    -1,    -1,  2705,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2730,    -1,  4611,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2745,    -1,   523,
      -1,    -1,    -1,    -1,    -1,    -1,   213,   531,    -1,   533,
     534,   535,   536,   537,    -1,    -1,   540,   541,   542,   543,
      -1,    -1,    -1,   547,   231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,
      -1,    -1,    -1,    -1,  4701,    -1,    -1,    -1,  4705,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2918,  2919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,
      -1,    -1,    -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3001,    -1,    -1,   463,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3017,
      -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   523,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   531,    -1,   533,   534,   535,   536,
     537,    -1,    -1,   540,   541,   542,    -1,    -1,    -1,    -1,
     547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1002,  3123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3137,
      -1,    -1,  3140,    -1,    -1,  3143,    -1,    -1,  1026,    -1,
      -1,    -1,    -1,    -1,    -1,  3153,    -1,    -1,    -1,    -1,
      -1,    -1,  5039,    -1,    -1,  3163,    -1,    -1,    -1,    -1,
    3168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3191,  3192,  3193,    -1,    -1,  3196,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3204,  3205,  3206,  3207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3217,
      -1,  5098,  3220,    -1,  3222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3233,  3234,    -1,    -1,  3237,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3251,    -1,  3253,    -1,  3255,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3286,    -1,
    3288,  3289,  3290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3325,    -1,    -1,
      -1,    -1,  3330,    -1,    -1,    -1,    -1,    -1,  3336,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3388,    -1,    -1,  3391,    -1,  3393,    -1,    -1,    -1,    -1,
    3398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3447,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1352,    -1,    -1,    -1,    -1,    -1,
      -1,  5358,  5359,    -1,    -1,    -1,    -1,    -1,    -1,   153,
      -1,  3489,    -1,    -1,  5371,    -1,    -1,  1375,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3558,    -1,  3560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   250,    -1,    -1,  5466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3641,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3694,    -1,    -1,    -1,
      -1,    -1,  3700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1611,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   433,
      -1,  3769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3787,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3802,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5698,    -1,  5700,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3893,    -1,    -1,  3896,    -1,
      -1,    -1,    -1,    -1,  3902,    -1,    -1,    -1,    -1,    -1,
    3908,    -1,  3910,    -1,    -1,  3913,    -1,    -1,    -1,  3917,
    3918,  3919,  3920,  3921,    -1,    -1,  3924,  3925,  3926,  3927,
    3928,  3929,  3930,  3931,  3932,  3933,    -1,    -1,    -1,  3937,
    3938,    -1,    -1,    -1,  3942,    -1,    -1,    -1,    -1,  3947,
      -1,    -1,    -1,  3951,    -1,    -1,    -1,  3955,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3963,    -1,    -1,  3966,    -1,
    3968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3976,  3977,
      -1,    -1,  3980,  3981,    -1,    -1,    -1,  3985,  3986,    -1,
    5867,    -1,    -1,    -1,  3992,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4002,    -1,    -1,  4005,    -1,    -1,
      -1,    -1,    -1,    -1,  1892,    -1,    -1,    -1,    -1,    -1,
    4018,    -1,    -1,    -1,    -1,    -1,  4024,  4025,  4026,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     724,   725,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4071,    -1,    -1,    -1,    -1,    -1,    -1,
    1958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4087,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4103,    -1,    -1,   772,    -1,
      -1,    -1,    -1,    -1,    -1,  1993,    -1,  4115,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2016,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4202,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2097,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4226,   893,
      -1,    -1,    -1,    -1,  2112,    -1,    -1,   901,    -1,   903,
      -1,   905,   906,  2121,   908,    -1,   910,    -1,    -1,   913,
      -1,   915,    -1,    -1,    -1,  2133,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   943,
      -1,    -1,    -1,    -1,    -1,    -1,   950,   951,    -1,    -1,
     954,    -1,   956,   957,    -1,    -1,    -1,   961,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2188,    -1,    -1,    -1,   978,    -1,   980,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4322,    -1,    -1,    -1,    -1,    -1,
    2208,    -1,    -1,   997,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4351,  2232,    -1,  1020,    -1,  1022,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4364,  1031,  1032,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1041,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2268,  2269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4400,  4401,  4402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1136,    -1,    -1,    -1,    -1,    -1,  4476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4487,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1171,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4517,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4527,
    4528,    -1,  4530,    -1,    -1,    -1,  4534,  4535,    -1,    -1,
      -1,  4539,  4540,    -1,  2422,    -1,  4544,    -1,    -1,  4547,
    4548,    -1,    -1,    -1,  4552,    -1,    -1,    -1,    -1,    -1,
    4558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4570,    -1,    -1,    -1,    -1,    -1,    -1,  1243,
    4578,  1245,    -1,    -1,  4582,  1249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4595,    -1,    -1,
      -1,    -1,  4600,    -1,    -1,    -1,  1270,    -1,  4606,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4624,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4655,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1332,    -1,
      -1,    -1,    -1,    -1,    -1,  4673,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1361,    -1,    -1,
    1364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1374,    -1,    -1,  4711,    -1,  1379,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,  1393,
      -1,    -1,  1396,    -1,  4732,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2627,
      -1,    -1,    -1,  2631,  2632,    -1,    -1,  4755,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4797,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2693,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4821,    -1,    -1,    -1,  2705,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4835,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4864,  2745,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4905,    -1,  4907,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1600,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4954,    -1,    -1,    -1,
    4958,    -1,    -1,    -1,    -1,  4963,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4980,  4981,    -1,    -1,  4984,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4999,    -1,    -1,    -1,    -1,    -1,    -1,  5006,    -1,
      -1,    -1,    -1,  5011,    -1,    -1,  5014,  5015,    -1,    -1,
      -1,    -1,    -1,    -1,  5022,  5023,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2919,    -1,    -1,    -1,    -1,    -1,    -1,  5046,    -1,
    5048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5060,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5098,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1795,  1796,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1854,    -1,    -1,  1857,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5216,  1883,
    5218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3123,    -1,  5245,  5246,    -1,
    5248,    -1,  5250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1934,    -1,  5270,    -1,    -1,  3153,    -1,    -1,  5276,    -1,
      -1,    -1,  5280,    -1,    -1,    -1,    -1,    -1,  5286,    -1,
      -1,    -1,    -1,  5291,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5343,    -1,    -1,    -1,    -1,
    5348,  5349,    -1,    -1,    -1,  5353,    -1,    -1,    -1,    -1,
      -1,   897,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   918,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     926,    -1,    -1,    -1,    -1,    -1,   932,    -1,    -1,    -1,
      -1,    -1,  5400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5455,  5456,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2137,    -1,    -1,    -1,    -1,    -1,    -1,
    5478,    -1,    -1,  5481,    -1,    -1,  5484,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5495,    -1,    -1,
      -1,    -1,  5500,    -1,  5502,    -1,  5504,    -1,    -1,    -1,
    3388,    -1,    -1,  3391,  5512,  3393,    -1,    -1,    -1,    -1,
    3398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1103,    -1,  3447,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2261,    -1,  2263,
      -1,    -1,    -1,  1139,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3489,  5610,    -1,    -1,  2279,  2280,    -1,  2282,    -1,
    5618,    -1,  1158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1180,    -1,    -1,    -1,    -1,  5647,
    5648,    -1,    -1,    -1,    -1,    -1,    -1,  5655,  2322,    -1,
      -1,  5659,    -1,    -1,    -1,    -1,    -1,  5665,    -1,    -1,
    2334,    -1,    -1,    -1,  2338,    -1,  2340,    -1,    -1,  2343,
    3558,    -1,  3560,    -1,    -1,    -1,    -1,    -1,    -1,  5687,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5737,
      -1,    -1,    -1,    -1,  5742,    -1,    -1,    -1,  1284,    -1,
      -1,    -1,    -1,  5751,    -1,    -1,    -1,    -1,    -1,  5757,
    5758,    -1,  5760,  3641,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5786,    -1,
      -1,  3669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3694,    -1,    -1,    -1,
      -1,    -1,  3700,    -1,    -1,    -1,  5824,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5851,    -1,    -1,    -1,    -1,  5856,    -1,
      -1,    -1,    -1,    -1,  1400,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3769,  1428,  1429,  1430,  5893,    -1,    -1,    -1,    -1,
      -1,  5899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3787,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3802,  5923,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5941,  5942,  2609,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2621,  2622,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2640,  2641,    -1,    -1,
      -1,  2645,  2646,    -1,    -1,    -1,  2650,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2664,    -1,    -1,    -1,    -1,    -1,    -1,  2671,    -1,    -1,
      -1,  2675,  2676,    -1,    -1,  2679,  2680,    -1,  3896,    -1,
      -1,    -1,  2686,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2699,    -1,  2701,    -1,  3917,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2720,    -1,    -1,    -1,
    1596,  2725,    -1,    -1,  3942,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2738,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2747,    -1,  2749,    -1,    -1,  2752,  2753,
    2754,  1627,    -1,    -1,    -1,  2759,  2760,    -1,  3976,    -1,
      -1,    -1,    -1,    -1,    -1,  2769,    -1,    -1,    -1,    -1,
    2774,    -1,    -1,    -1,    -1,  2779,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2793,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2801,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2811,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2823,
      -1,    -1,  2826,    -1,    -1,    -1,    -1,  2831,    -1,    -1,
      -1,    -1,  2836,  2837,    -1,    -1,    -1,  2841,    -1,    -1,
    2844,    -1,    -1,    -1,  2848,  2849,  2850,  2851,    -1,  2853,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2866,  2867,    -1,  2869,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2877,  2878,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1774,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2929,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1821,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2957,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4202,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4226,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   886,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   895,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3085,    -1,    -1,    -1,    -1,    -1,    -1,  1964,    -1,
      -1,    -1,    -1,    -1,  3098,    -1,    -1,  1973,    -1,    -1,
      -1,    -1,   934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1999,  3128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4351,    -1,    -1,  2012,    -1,    -1,  2015,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3157,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   996,    -1,    -1,    -1,    -1,    -1,
    1002,    -1,    -1,    -1,  1006,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2066,    -1,    -1,    -1,  1026,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2080,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2175,
      -1,  1133,  1134,    -1,    -1,    -1,  2182,    -1,    -1,    -1,
      -1,    -1,  4530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3416,    -1,    -1,    -1,    -1,    -1,  2294,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3441,    -1,    -1,
      -1,  3445,    -1,    -1,    -1,    -1,    -1,  3451,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4673,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3467,  3468,  2341,  2342,    -1,  3472,    -1,
      -1,    -1,    -1,  3477,  3478,  3479,    -1,  3481,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4711,    -1,    -1,    -1,    -1,  3502,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3512,  3513,
    3514,  3515,    -1,  1345,  4732,    -1,    -1,    -1,    -1,    -1,
    1352,    -1,    -1,    -1,  1356,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1375,    -1,  3549,    -1,    -1,  3552,  3553,
    3554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1390,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4797,
      -1,    -1,  2458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1434,    -1,    -1,    -1,    -1,    -1,  2484,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2522,  1479,  2524,    -1,
    3654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3662,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3680,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2560,    -1,    -1,    -1,    -1,  4907,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3707,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3759,    -1,    -1,    -1,    -1,
    3764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1611,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3794,    -1,    -1,    -1,    -1,    -1,  3800,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3829,    -1,  3831,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1671,
      -1,    -1,  3846,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1699,  1700,  1701,
      -1,  1703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5098,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2764,    -1,
      -1,  1723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2783,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1777,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2846,  2847,    -1,  1805,    -1,    -1,    -1,  1809,  1810,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1892,    -1,    -1,  2939,    -1,    -1,    -1,    -1,  5286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4122,    -1,
    4124,    -1,    -1,    -1,    -1,  5343,  1958,  4131,    -1,    -1,
    5348,  5349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4163,
      -1,  1993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4181,    -1,    -1,
      -1,    -1,    -1,    -1,  2016,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4199,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4239,  4240,  4241,  5456,    -1,
      -1,    -1,  4246,  4247,  4248,  4249,    -1,    -1,  4252,  4253,
      -1,  3127,    -1,    -1,  4258,  4259,    -1,  4261,  4262,  4263,
    4264,  4265,  4266,    -1,  4268,  2097,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4277,    -1,    -1,  4280,  4281,    -1,    -1,
    2112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2121,
      -1,    -1,    -1,    -1,    -1,  4299,    -1,    -1,    -1,    -1,
      -1,  2133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4321,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2188,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2201,
      -1,    -1,  2204,    -1,    -1,    -1,  2208,    -1,    -1,    -1,
      -1,    -1,  2214,    -1,    -1,    -1,    -1,    -1,  2220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2232,    -1,    -1,  3279,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2245,  2246,  4419,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2268,  2269,    -1,    -1,
      -1,  5659,    -1,    -1,  4448,  4449,  4450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1133,  1134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2374,  2375,    -1,    -1,    -1,    -1,  2380,  2381,
      -1,    -1,    -1,    -1,    -1,  2387,  2388,  2389,    -1,    -1,
      -1,  2393,    -1,  2395,  2396,  2397,  2398,  2399,  2400,    -1,
    2402,    -1,  2404,  2405,    -1,    -1,  2408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2422,  2423,  2424,  2425,  2426,    -1,    -1,    -1,    -1,  2431,
      -1,    -1,    -1,  2435,    -1,    -1,  2438,    -1,    -1,  2441,
    2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,    -1,  2451,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2459,    -1,    -1,
    2462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4681,    -1,    -1,
      -1,  4685,  4686,  4687,  4688,    -1,    -1,  4691,    -1,    -1,
    3566,    -1,    -1,    -1,  2526,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4722,  4723,
    4724,    -1,  4726,    -1,  4728,  4729,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4740,  4741,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4767,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4775,  4776,    -1,  4778,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4790,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2627,    -1,    -1,    -1,  2631,
    2632,    -1,    -1,    -1,    -1,    -1,    -1,  1002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1026,    -1,    -1,    -1,    -1,  3712,  3713,  3714,    -1,
      -1,    -1,    -1,    -1,    -1,  2677,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3729,    -1,    -1,    -1,  2689,    -1,  4863,
      -1,  2693,    -1,    -1,  2696,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2705,    -1,    -1,  3752,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3762,  3763,  4892,    -1,
      -1,  3767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3780,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2745,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1642,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3873,    -1,    -1,
    5004,    -1,    -1,    -1,    -1,  1671,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5019,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1699,  1700,  1701,    -1,  1703,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1723,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2918,  2919,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5100,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1777,    -1,    -1,  5118,    -1,    -1,    -1,    -1,  5123,
    5124,    -1,    -1,  3999,  4000,  4001,    -1,    -1,    -1,    -1,
    2962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1805,
      -1,    -1,    -1,  1809,  1810,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1352,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,
    5174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1375,    -1,    -1,    -1,    -1,  3017,    -1,    -1,    -1,  5193,
      -1,    -1,    -1,    -1,    -1,  1390,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5273,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5284,    -1,    -1,    -1,  1479,    -1,    -1,    -1,    -1,    -1,
      -1,  3123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3137,  5310,    -1,  3140,    -1,
      -1,  3143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3153,    -1,    -1,    -1,    -1,    -1,  5331,    -1,    -1,
      -1,  3163,    -1,    -1,    -1,    -1,  3168,    -1,  5342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3191,
    3192,  3193,  5366,    -1,  3196,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3204,  3205,  3206,  3207,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3217,    -1,    -1,  3220,    -1,
    3222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5404,  3233,  3234,    -1,    -1,  3237,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1611,    -1,    -1,  3251,
      -1,  3253,    -1,  3255,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4318,  3275,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4329,  3286,    -1,  3288,  3289,  3290,  5463,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3313,    -1,    -1,  4360,    -1,    -1,    -1,  5492,    -1,
      -1,    -1,    -1,  3325,    -1,    -1,    -1,    -1,  3330,    -1,
      -1,    -1,    -1,    -1,  3336,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3346,    -1,    -1,  4393,    -1,    -1,
      -1,    -1,    -1,  5527,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5542,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3388,    -1,    -1,  3391,
      -1,  3393,    -1,    -1,    -1,    -1,  3398,    -1,    -1,    -1,
    1002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5590,  3419,    -1,    -1,
      -1,    -1,    -1,    -1,  1026,    -1,    -1,    -1,    -1,    -1,
    5604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3447,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3489,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5686,  4559,  4560,  4561,  4562,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1892,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5728,    -1,  3558,  2393,  3560,  2395,
      -1,    -1,  2398,  2399,  2400,    -1,    -1,    -1,    -1,  2405,
      -1,    -1,  2408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2423,  2424,  2425,
    2426,    -1,    -1,  1958,    -1,  2431,    -1,    -1,    -1,  2435,
      -1,    -1,  2438,    -1,    -1,  2441,  2442,  2443,  2444,  2445,
    2446,  2447,  2448,  2449,    -1,  2451,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2459,    -1,    -1,  2462,    -1,  1993,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5812,  3641,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3669,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2526,    -1,  3694,    -1,    -1,    -1,    -1,    -1,  3700,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1002,    -1,    -1,
      -1,    -1,  2097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2112,    -1,    -1,
    1352,  1026,    -1,    -1,    -1,    -1,  2121,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3769,  2133,    -1,
      -1,    -1,    -1,  1375,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3787,    -1,    -1,  1390,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2188,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2677,    -1,  2208,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2220,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4909,    -1,    -1,    -1,  2232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3893,    -1,    -1,  3896,    -1,    -1,    -1,    -1,    -1,
    3902,    -1,    -1,  2268,  2269,    -1,  3908,    -1,  3910,    -1,
      -1,  3913,    -1,    -1,    -1,  3917,  3918,  3919,  3920,  3921,
      -1,    -1,  3924,  3925,  3926,  3927,  3928,  3929,  3930,  3931,
    3932,  3933,    -1,    -1,    -1,  3937,  3938,    -1,    -1,    -1,
    3942,    -1,    -1,    -1,    -1,  3947,    -1,    -1,    -1,  3951,
      -1,    -1,    -1,  3955,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3963,    -1,    -1,  3966,    -1,  3968,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3976,  3977,    -1,    -1,  3980,  3981,
      -1,    -1,    -1,  3985,  3986,    -1,    -1,    -1,    -1,    -1,
    3992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4002,    -1,    -1,  4005,    -1,    -1,    -1,    -1,    -1,  1611,
      -1,    -1,    -1,    -1,    -1,    -1,  4018,    -1,    -1,    -1,
      -1,    -1,  4024,  4025,  4026,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4071,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1352,    -1,    -1,
      -1,    -1,  2918,    -1,    -1,  4087,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2462,    -1,    -1,
    1375,  4103,    -1,    -1,    -1,    -1,    -1,  5153,    -1,    -1,
      -1,    -1,    -1,  4115,    -1,  1390,    -1,    -1,    -1,    -1,
      -1,    -1,  5168,    -1,    -1,    -1,    -1,  5173,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5215,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4202,    -1,    -1,    -1,  1479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4226,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2627,    -1,    -1,    -1,  2631,  2632,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4322,    -1,    -1,    -1,    -1,    -1,    -1,  3163,  2693,    -1,
      -1,    -1,  3168,    -1,    -1,    -1,  1611,    -1,    -1,    -1,
    2705,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4351,
      -1,    -1,    -1,    -1,    -1,    -1,  1958,  3193,    -1,    -1,
      -1,    -1,  4364,    -1,    -1,    -1,    -1,    -1,  3204,    -1,
    3206,  3207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2745,  3217,    -1,    -1,  3220,    -1,  3222,    -1,    -1,    -1,
      -1,  1993,    -1,    -1,    -1,    -1,    -1,    -1,  4400,  4401,
    4402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2016,  3251,    -1,  3253,    -1,  3255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3288,  3289,  3290,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4476,    -1,    -1,  3313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4487,    -1,    -1,    -1,  3325,
      -1,    -1,    -1,    -1,  3330,  2097,    -1,    -1,    -1,    -1,
    3336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2112,    -1,    -1,    -1,    -1,  4517,    -1,    -1,    -1,  2121,
      -1,    -1,    -1,    -1,    -1,  4527,  4528,    -1,  4530,    -1,
      -1,  2133,  4534,  4535,    -1,    -1,    -1,  4539,  4540,    -1,
      -1,    -1,  4544,    -1,    -1,  4547,  4548,    -1,    -1,    -1,
    4552,    -1,    -1,    -1,  2919,    -1,  4558,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4570,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4578,    -1,    -1,    -1,
    4582,    -1,    -1,  3419,    -1,    -1,  2188,    -1,    -1,    -1,
      -1,    -1,    -1,  4595,    -1,    -1,    -1,    -1,  4600,    -1,
      -1,    -1,    -1,    -1,  4606,    -1,  2208,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1892,  2220,    -1,
      -1,    -1,  4624,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2232,    -1,    -1,    -1,    -1,    -1,  3001,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4655,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2268,  2269,    -1,    -1,
      -1,  4673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1958,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4711,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1993,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4732,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4755,    -1,    -1,    -1,    -1,  3123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3140,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3153,    -1,
      -1,    -1,    -1,    -1,    -1,  4797,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4821,
    2422,    -1,  2097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4835,    -1,    -1,    -1,  2112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2121,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2133,    -1,
      -1,    -1,  4864,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4905,    -1,  4907,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2188,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3288,  3289,  3290,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2208,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2220,    -1,    -1,    -1,    -1,
      -1,    -1,  4954,    -1,    -1,    -1,  4958,  2232,    -1,    -1,
      -1,  4963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4980,  4981,
      -1,    -1,  4984,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2268,  2269,    -1,    -1,  4999,    -1,    -1,
      -1,    -1,    -1,    -1,  5006,    -1,    -1,    -1,    -1,  5011,
      -1,    -1,  5014,  5015,    -1,  1002,    -1,    -1,    -1,    -1,
    5022,  5023,    -1,  3388,    -1,  2627,  3391,    -1,  3393,  2631,
    2632,    -1,    -1,  3398,    -1,    -1,    -1,    -1,    -1,  1026,
      -1,    -1,    -1,    -1,  5046,    -1,  5048,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3893,  5060,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3902,    -1,    -1,    -1,
      -1,    -1,  3908,    -1,  3910,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2693,    -1,    -1,    -1,    -1,  5098,    -1,    -1,  3464,
      -1,  3937,  3938,  2705,    -1,    -1,  5108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3955,
      -1,    -1,    -1,    -1,  3489,    -1,    -1,  3963,    -1,    -1,
    3966,    -1,  3968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3977,    -1,  2745,    -1,    -1,    -1,  2422,  5150,  3985,
    3986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4018,    -1,    -1,    -1,    -1,    -1,  4024,  4025,
    4026,    -1,    -1,  3558,    -1,  3560,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1002,    -1,  5216,    -1,  5218,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4071,  1026,    -1,    -1,    -1,
      -1,    -1,    -1,  5245,  5246,    -1,  5248,    -1,  5250,    -1,
      -1,  4087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5270,    -1,
      -1,    -1,    -1,    -1,  5276,    -1,  3641,    -1,  5280,    -1,
      -1,    -1,    -1,    -1,  5286,    -1,    -1,    -1,    -1,  5291,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3669,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2919,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3694,
      -1,    -1,    -1,    -1,    -1,  3700,    -1,    -1,    -1,    -1,
      -1,  5343,    -1,    -1,    -1,    -1,  5348,  5349,    -1,    -1,
      -1,  5353,  2627,    -1,    -1,    -1,  2631,  2632,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1352,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1375,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5400,  3001,
      -1,    -1,    -1,  1390,  3769,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2693,    -1,
    5422,    -1,  3787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2705,    -1,    -1,    -1,    -1,    -1,    -1,  3802,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5455,  5456,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2745,    -1,    -1,    -1,    -1,    -1,  5478,    -1,    -1,  5481,
      -1,    -1,  5484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1479,  5495,    -1,    -1,    -1,    -1,  5500,    -1,
    5502,    -1,  5504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3123,    -1,    -1,    -1,    -1,    -1,    -1,  5530,    -1,
      -1,  3896,    -1,    -1,    -1,    -1,    -1,    -1,  3140,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3153,  3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1352,    -1,    -1,  4401,  4402,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3942,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1375,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5610,    -1,
      -1,  3976,    -1,    -1,    -1,    -1,  5618,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1611,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,
    4476,    -1,    -1,    -1,  2919,  5647,  5648,    -1,    -1,    -1,
      -1,  4487,    -1,  5655,    -1,    -1,    -1,  5659,  1026,    -1,
      -1,  4026,    -1,  5665,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5687,    -1,    -1,    -1,  1479,
      -1,  4527,  4528,    -1,    -1,    -1,    -1,    -1,  4534,  4535,
      -1,    -1,    -1,  4539,    -1,    -1,    -1,    -1,  4544,    -1,
      -1,  4547,  4548,    -1,    -1,    -1,  4552,    -1,    -1,    -1,
      -1,    -1,  4558,    -1,    -1,    -1,  3001,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5737,    -1,    -1,  4103,    -1,
    5742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5751,
      -1,    -1,    -1,    -1,    -1,  5757,  5758,    -1,  5760,  4595,
      -1,    -1,    -1,    -1,  4600,    -1,    -1,  5769,    -1,    -1,
    4606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5786,    -1,  3388,    -1,  4624,  3391,
      -1,  3393,    -1,    -1,    -1,    -1,  3398,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4655,
      -1,  1611,  5824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4202,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3447,    -1,    -1,  3123,  5851,
      -1,    -1,    -1,    -1,  5856,    -1,    -1,    -1,    -1,    -1,
      -1,  4226,  3464,    -1,    -1,  3140,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3489,    -1,    -1,
      -1,  5893,    -1,    -1,    -1,    -1,    -1,  5899,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1892,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4755,
      -1,  5923,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5941,
    5942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3558,    -1,  3560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1352,  4821,  4351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1993,  1375,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1390,    -1,    -1,    -1,    -1,    -1,    -1,  2016,
      -1,    -1,    -1,    -1,    -1,  4400,    -1,    -1,    -1,  3641,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3669,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3694,    -1,    -1,    -1,    -1,    -1,  3700,    -1,
      -1,    -1,  1892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2097,  1479,    -1,  3388,    -1,    -1,  3391,    -1,  3393,    -1,
      -1,    -1,    -1,  3398,    -1,  2112,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2121,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4980,  4981,  2133,    -1,  4984,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4530,    -1,  3769,  1958,    -1,
      -1,    -1,  3447,    -1,    -1,  4540,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3787,  5022,  5023,    -1,  3464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3802,  2188,    -1,  1993,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5048,    -1,  3489,    -1,    -1,    -1,    -1,    -1,
      -1,  2208,    -1,    -1,    -1,    -1,  2016,    -1,    -1,    -1,
    4595,    -1,    -1,  2220,    -1,  4600,    -1,    -1,    -1,    -1,
      -1,  4606,    -1,  1611,    -1,  2232,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2268,  2269,  3558,    -1,  3560,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3896,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2097,  4673,    -1,
      -1,    -1,    -1,    -1,    -1,  3917,    -1,    -1,    -1,    -1,
      -1,    -1,  2112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3942,    -1,    -1,  2133,    -1,    -1,  4711,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3641,  4732,    -1,    -1,
      -1,    -1,    -1,    -1,  3976,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3669,    -1,    -1,    -1,  2188,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5248,    -1,    -1,    -1,    -1,    -1,  2208,  3694,
      -1,    -1,    -1,    -1,    -1,  3700,    -1,    -1,    -1,    -1,
    2220,    -1,  4797,    -1,    -1,  2422,    -1,    -1,    -1,    -1,
    5276,    -1,  2232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2268,  2269,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3769,    -1,    -1,    -1,    -1,    -1,
      -1,  4103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3787,    -1,    -1,    -1,    -1,  5353,    -1,    -1,
      -1,    -1,    -1,    -1,  1892,    -1,    -1,  3802,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4905,    -1,  4907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1958,    -1,    -1,  4958,    -1,    -1,    -1,    -1,    -1,    -1,
    4202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3896,    -1,    -1,  4226,  1993,    -1,    -1,    -1,    -1,
      -1,    -1,  2422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2627,    -1,  3917,    -1,  2631,  2632,    -1,    -1,  2016,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3942,  5504,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5530,    -1,    -1,    -1,    -1,    -1,
      -1,  3976,    -1,    -1,    -1,    -1,  2693,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2705,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2097,
      -1,    -1,    -1,  5098,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2112,    -1,    -1,    -1,    -1,  4351,
      -1,    -1,    -1,  2121,    -1,    -1,    -1,    -1,  2745,    -1,
      -1,    -1,    -1,    -1,    -1,  2133,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5610,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4400,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1715,  5647,  5648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4103,  5665,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2627,    -1,    -1,
    2208,  2631,  2632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2220,  5218,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5246,    -1,    -1,    -1,    -1,    -1,  1792,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2268,  2269,    -1,  2693,    -1,    -1,  5742,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2705,    -1,    -1,    -1,    -1,
      -1,  5286,    -1,    -1,  5760,    -1,    -1,  4202,  4530,    -1,
      -1,    -1,  2919,    -1,    -1,    -1,    -1,    -1,  4540,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5786,  4226,    -1,    -1,    -1,  2745,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5343,    -1,
      -1,    -1,    -1,  5348,  5349,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2422,    -1,    -1,  5893,    -1,    -1,
      -1,    -1,    -1,  5899,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4673,    -1,    -1,    -1,    -1,  4351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5455,  5456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4711,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4400,    -1,    -1,    -1,  2919,
    4732,    -1,    -1,    -1,    -1,    -1,  3123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3140,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4797,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4530,    -1,    -1,    -1,  2627,
      -1,    -1,    -1,  2631,  2632,  4540,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5659,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4907,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2693,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3123,    -1,    -1,    -1,  2705,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3140,    -1,    -1,    -1,    -1,    -1,  4958,    -1,    -1,    -1,
      -1,    -1,    -1,  3153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2745,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4673,    -1,
      -1,  3388,    -1,    -1,  3391,    -1,  3393,    -1,    -1,    -1,
      -1,  3398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4711,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4732,    -1,    -1,
    3447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2378,    -1,    -1,    -1,  3464,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2392,    -1,    -1,
      -1,  2396,    -1,    -1,    -1,    -1,  5098,    -1,    -1,    -1,
      -1,    -1,  3489,    -1,    -1,  2410,  2411,  2412,    -1,    -1,
    2415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2919,  2457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3558,    -1,  3560,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3388,    -1,
      -1,  3391,    -1,  3393,    -1,    -1,    -1,  2512,  3398,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5218,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2535,    -1,  4907,  3001,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2547,    -1,  5246,  2550,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3641,    -1,    -1,  3447,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3669,  4958,  5286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3489,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3694,    -1,    -1,
      -1,    -1,    -1,  3700,    -1,    -1,    -1,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,  5343,    31,    32,    33,    34,  5348,  5349,    37,    38,
      39,    -1,    41,    -1,    -1,  3123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3558,    -1,
    3560,    -1,  3140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,  3769,    -1,    -1,  3153,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3802,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5098,    -1,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,   123,   124,   125,   126,   127,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     139,  3641,    -1,    -1,  5456,    -1,    -1,   146,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,  3669,
      -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3694,    -1,    -1,    -1,    -1,  3896,
    3700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3917,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,    -1,
      -1,    -1,   231,  5218,    -1,    -1,    -1,    -1,   237,    -1,
     239,    -1,    -1,    -1,    -1,  3942,    -1,   246,    -1,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,  5246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3769,
      -1,   270,   271,    -1,    -1,    -1,    -1,    -1,   277,  3976,
     279,    -1,    -1,   282,   283,    -1,   285,  3787,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   297,    -1,
      -1,  5286,  3802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3388,    -1,    -1,  3391,    -1,  3393,    -1,    -1,    -1,    -1,
    3398,   320,   321,   322,    -1,    -1,    -1,   326,    -1,    -1,
      -1,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5659,    -1,    -1,
      -1,   350,   351,    -1,   353,   354,    -1,    -1,  5343,    -1,
      -1,    -1,    -1,  5348,  5349,    -1,    -1,    -1,   367,  3447,
     369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   383,    -1,  3464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3896,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,  4103,    -1,    -1,   408,
      -1,  3489,    -1,    -1,    -1,    -1,    -1,  3917,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,    -1,
      -1,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3942,    -1,    -1,    -1,    -1,    -1,    -1,   448,
      -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,
      -1,    -1,   461,   462,    -1,    -1,    -1,    -1,   467,    -1,
     469,  5456,    -1,    -1,    -1,    -1,  3976,    -1,    -1,    -1,
    3558,    -1,  3560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,    -1,    -1,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4202,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,  4226,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3641,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3186,    -1,  3188,    -1,    -1,  3191,  3192,    -1,  3194,
      -1,  3196,    -1,    -1,    -1,  3200,    -1,    -1,  3203,    -1,
      -1,  3669,    -1,  3208,    -1,    -1,    -1,    -1,    -1,  3214,
      -1,    -1,    -1,  4103,  3219,    -1,    -1,    -1,    -1,    -1,
      -1,  3226,  3227,  3228,  3229,    -1,  3694,    -1,  3233,  3234,
      -1,  3236,  3700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3248,    -1,  3250,    -1,    -1,    -1,    -1,
      -1,    -1,  3257,  3258,  3259,  3260,  3261,  3262,  3263,  3264,
    3265,  3266,    -1,    -1,  4351,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5659,    -1,    -1,    -1,    -1,  3294,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4202,  4400,    -1,    -1,    -1,  3322,    -1,  3787,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3802,    -1,  4226,    -1,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3896,  3434,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4530,    -1,    -1,    -1,    -1,    -1,  3917,
      -1,   119,    -1,  4540,    -1,   123,   124,   125,   126,   127,
      -1,  4351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,  3942,    -1,    -1,    -1,   146,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,  3976,    -1,
    4400,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
     248,    -1,    -1,    -1,    -1,    -1,  4673,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   271,    -1,    -1,    -1,    -1,    -1,   277,
      -1,   279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,  4711,    -1,   294,   295,    -1,   297,
      -1,    -1,    -1,    -1,    -1,  4103,    -1,    -1,    -1,    -1,
    4530,    -1,    -1,    -1,    -1,  4732,    -1,    -1,    -1,    -1,
    4540,    -1,   320,   321,   322,    -1,    -1,    -1,   326,    -1,
      -1,    -1,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,
    3695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,
      -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4797,    -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4202,    -1,   404,    -1,    -1,    -1,
     408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4226,   427,
      -1,    -1,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     448,    -1,    -1,  4673,    -1,    -1,   454,    -1,    -1,    -1,
      -1,    -1,    -1,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4907,  4711,    -1,    -1,    -1,   493,    -1,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4732,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4351,    -1,    -1,    -1,  3892,    -1,    -1,
      -1,    -1,    -1,  3898,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4797,    -1,  3914,
    3915,    -1,    -1,  3918,  3919,  3920,  3921,    -1,    -1,  3924,
    3925,  3926,  3927,  3928,  3929,  3930,  3931,  3932,  3933,  3934,
      -1,    -1,  4400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3956,    -1,    -1,  3959,    -1,  3961,    -1,    -1,  3964,
    3965,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3979,  3980,  3981,  3982,    -1,  3984,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5098,    -1,    -1,    -1,    -1,    -1,  4907,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4054,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4065,    -1,  4530,    -1,    -1,    -1,    -1,    -1,  4958,    -1,
      -1,    -1,  4540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5246,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5286,
      -1,    -1,    -1,    -1,    -1,  4673,    -1,    -1,  5098,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4711,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5343,    -1,    -1,    -1,
      -1,  5348,  5349,    -1,  4732,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5218,  4797,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5456,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4907,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5343,    -1,    -1,    -1,    -1,  5348,  5349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4477,    -1,    -1,    -1,  4481,  4482,  4483,    -1,
      -1,    -1,    -1,    -1,  4489,  4490,  4491,  4492,    -1,    -1,
    4958,    -1,  4497,  4498,  4499,  4500,  4501,  4502,  4503,  4504,
    4505,  4506,  4507,  4508,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4533,    -1,
      -1,  4536,    -1,  4538,    -1,    -1,    -1,  4542,    -1,    -1,
    4545,  4546,    -1,    -1,  4549,  4550,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5456,    -1,    -1,    -1,
      -1,    -1,  5659,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4597,    -1,    -1,    -1,    -1,    -1,    -1,  4604,
    4605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4623,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5098,  4636,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5659,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5286,  4824,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5343,    -1,    -1,    -1,    -1,
    5348,  5349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4902,  4903,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4948,    -1,    -1,    -1,    -1,  4953,  4954,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4968,    -1,  4970,    -1,    -1,    -1,  4974,
    4975,  4976,    -1,    -1,  4979,    -1,    -1,  4982,  4983,    -1,
      -1,    -1,  4987,    -1,    -1,    -1,  4991,    -1,  5456,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5058,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,  5119,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5155,    -1,    -1,    -1,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   104,    -1,   106,   107,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,   119,
      -1,    -1,   122,   123,   124,   125,   126,   127,    -1,    -1,
      -1,  5659,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,
      -1,    -1,   142,    -1,   144,   145,   146,    -1,   148,    -1,
      -1,   151,    -1,   153,    -1,   155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   164,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,  5244,
    5245,   181,    -1,   183,   184,   185,   186,    -1,    -1,    -1,
      -1,    -1,   192,    -1,    -1,  5260,  5261,  5262,    -1,    -1,
     200,    -1,   202,    -1,    -1,  5270,   206,    -1,    -1,    -1,
      -1,    -1,   212,   213,    -1,    -1,    -1,    -1,    -1,    -1,
     220,   221,   222,    -1,    -1,   225,    -1,    -1,   228,    -1,
      -1,   231,    -1,  5298,  5299,    -1,    -1,   237,    -1,   239,
      -1,    -1,    -1,    -1,   244,    -1,   246,    -1,   248,  5314,
      -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
     260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     270,   271,    -1,    -1,   274,    -1,    -1,   277,    -1,   279,
      -1,    -1,   282,   283,    -1,   285,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,   297,    -1,   299,
     300,    -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   317,    -1,    -1,
     320,   321,   322,    -1,    -1,    -1,   326,    -1,    -1,   329,
     330,    -1,    -1,   333,    -1,   335,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     350,   351,    -1,   353,   354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,   369,
      -1,   371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   383,   384,    -1,    -1,    -1,    -1,    -1,
     390,   391,    -1,   393,    -1,    -1,    -1,    -1,   398,    -1,
      -1,    -1,    -1,   403,   404,  5470,   406,    -1,   408,    -1,
      -1,   411,    -1,    -1,    -1,    -1,    -1,   417,   418,  5484,
      -1,    -1,  5487,    -1,    -1,   425,  5491,   427,    -1,   429,
     430,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,   439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,
      -1,    -1,   452,    -1,   454,    -1,    -1,    -1,    -1,    -1,
      -1,   461,   462,    -1,    -1,    -1,    -1,   467,    -1,   469,
      -1,   471,    -1,   473,    -1,    -1,  5541,    -1,   478,    -1,
      -1,   481,    -1,    -1,   484,    -1,    -1,   487,    -1,    -1,
      -1,    -1,   492,   493,    -1,    -1,   496,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   505,    -1,    -1,    -1,    -1,
      -1,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,    -1,   528,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,    -1,    -1,    -1,   546,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5653,    -1,
    5655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5736,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5763,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5822,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5851,    -1,    -1,    -1,
      -1,  5856,    -1,    -1,    -1,    -1,    -1,    -1,  5863,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
    5895,    15,    16,  5898,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,  5921,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   548,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,   535,    -1,    -1,    -1,    -1,    -1,    -1,   542,   543,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,   528,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,   543,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   542,   543,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,    -1,   328,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,    -1,   368,
      -1,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,
      -1,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   523,   524,   525,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   543,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,    -1,   368,    -1,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
     524,   525,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   543,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,   528,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,   540,   541,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
     535,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   542,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   542,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,    -1,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,   528,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   542,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   542,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   542,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   542,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
     111,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   543,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,   541,   542,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     542,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,   452,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
     528,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   542,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,   452,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,   528,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   542,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   542,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   542,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     542,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   542,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      84,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,    -1,   468,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
     524,   525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    84,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,    -1,   468,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   523,   524,   525,    -1,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
     535,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,    -1,   368,    -1,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
     524,   525,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   535,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,   535,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   535,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,   238,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,     4,   531,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,    -1,   328,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,    -1,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
      -1,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,    -1,   368,    -1,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,    -1,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,    -1,   368,
      -1,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,
      -1,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,    -1,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,    -1,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,    -1,
     368,    -1,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,
     468,    -1,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,    -1,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
      -1,   328,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
      -1,   368,    -1,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
      -1,   468,    -1,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,    -1,   368,    -1,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,    -1,   468,    -1,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,    -1,   368,    -1,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,    -1,   468,    -1,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,    -1,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,    -1,   368,    -1,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,    -1,   328,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,    -1,   368,    -1,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     523,   524,   525,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,    -1,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,    -1,   328,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,    -1,   368,    -1,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,    -1,    -1,   125,    -1,    -1,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,    -1,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,    -1,    -1,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
      -1,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
      -1,    -1,   273,   274,   275,    -1,    -1,    -1,    -1,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,   323,   324,   325,    -1,    -1,   328,   329,   330,
     331,    -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,   428,   429,   430,
     431,   432,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
      -1,    -1,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    -1,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,    -1,    -1,   149,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,   166,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,   166,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,   170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,   166,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,   166,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,   106,   107,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
     111,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
     111,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
     111,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,    -1,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,   123,   124,   125,   126,   127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,   148,    -1,    -1,
      -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   184,   185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,    -1,    -1,    -1,   237,    -1,   239,    -1,
      -1,    -1,    -1,    -1,    -1,   246,    -1,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,   277,    -1,   279,    -1,
      -1,   282,   283,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   294,   295,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,
     321,   322,    -1,    -1,    -1,   326,    -1,    -1,    -1,   330,
      -1,    -1,   333,    -1,   335,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,   369,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   404,    -1,    -1,    -1,   408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,    -1,    -1,   430,
      -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
      -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,
     461,   462,    -1,    -1,    -1,    -1,   467,    -1,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,    -1,    -1,   496,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    -1,    41,    42,    43,
      -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   123,
     124,   125,   126,   127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,
      -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,
      -1,    -1,   326,    -1,    -1,    -1,   330,    -1,    -1,   333,
      -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,    -1,    -1,   430,    -1,    -1,   433,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
     454,    -1,    -1,    -1,    -1,    -1,    -1,   461,   462,    -1,
      -1,    -1,    -1,   467,    -1,   469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
      -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,   123,   124,   125,   126,
     127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,
     237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,    -1,
     277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,   326,
      -1,    -1,    -1,   330,    -1,    -1,   333,    -1,   335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   350,   351,    -1,   353,   354,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     367,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,
      -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,    -1,    -1,   430,    -1,    -1,   433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,
      -1,    -1,    -1,    -1,   461,   462,    -1,    -1,    -1,    -1,
     467,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,   496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
     524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,   533,
     534,   535,    -1,    -1,    -1,    -1,    -1,    -1,   542,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,   106,   107,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    -1,   524,   525,    70,    71,   528,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,   542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    -1,   524,
     525,    -1,    -1,    -1,    -1,    -1,    70,    71,   533,   534,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    -1,
     524,   525,    -1,    -1,    -1,    -1,    -1,    70,    71,   533,
     534,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    70,    71,
     533,   534,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    70,
      71,   533,   534,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    -1,   524,   525,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    70,   524,
     525,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    70,   524,   525,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    70,   524,   525,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,   524,   525,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    70,   524,   525,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
     524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    70,   524,   525,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    70,   524,
     525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    70,   524,   525,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,   524,   525,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,    -1,    -1,    -1,    -1,    -1,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,    -1,
     140,    -1,   142,   143,   144,   145,    -1,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,    -1,    -1,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,    -1,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
      -1,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,    -1,    -1,   273,   274,   275,    -1,    -1,    -1,    -1,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
      -1,    -1,    -1,   323,   324,   325,    -1,    -1,   328,   329,
      -1,   331,    -1,    -1,   334,    -1,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
      -1,    -1,   352,    -1,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,    -1,   368,    -1,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,   428,   429,
      -1,   431,   432,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,    -1,    -1,    -1,    -1,   465,   466,    -1,   468,    -1,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   551,  1200,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   138,   213,   231,   253,
     276,   313,   316,   332,   416,   463,   478,   493,   523,   531,
     533,   534,   535,   536,   537,   540,   541,   542,   543,   545,
     546,   547,   548,   549,  1190,  1201,  1229,  1231,  1322,  1332,
    1333,  1335,  1341,  1342,  1230,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   119,   122,   123,   124,   125,   126,   127,   139,
     142,   144,   145,   146,   148,   151,   153,   155,   164,   166,
     167,   174,   181,   183,   184,   185,   186,   200,   202,   206,
     212,   213,   220,   221,   222,   225,   228,   231,   237,   239,
     244,   246,   248,   256,   260,   270,   271,   277,   279,   282,
     283,   285,   294,   295,   297,   299,   300,   305,   317,   320,
     321,   322,   326,   329,   330,   333,   335,   350,   351,   353,
     354,   367,   369,   371,   383,   384,   390,   391,   393,   398,
     403,   404,   406,   408,   411,   417,   418,   425,   427,   429,
     430,   433,   439,   448,   452,   454,   461,   462,   467,   469,
     471,   473,   478,   481,   487,   492,   493,   496,   505,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     528,   542,   552,   553,   559,   560,   562,   563,   564,   565,
     566,   567,   568,   570,   571,   575,   587,   592,   593,   596,
     597,   598,   618,   621,   622,   638,   681,   684,   687,   688,
     689,   697,   703,   705,   707,   708,   711,   714,   715,   719,
     728,   732,   733,   734,   735,   738,   740,   741,   742,   743,
     751,   752,   771,   775,   777,   778,   779,   789,   791,   798,
     799,   802,   803,   804,   805,   806,   814,   816,   820,   825,
     829,   830,   838,   839,   842,   847,   858,   885,   888,   889,
     890,   895,   898,   900,   902,   904,   905,   910,   911,   914,
     915,   916,   920,   921,   924,   925,   928,   929,   930,   937,
     939,   940,   941,   946,   948,   949,   955,   956,   957,   958,
     959,   960,   961,   963,   964,   966,   967,   969,   972,   973,
     978,   984,   987,   989,   998,  1000,  1005,  1010,  1014,  1015,
    1016,  1017,  1018,  1019,  1022,  1057,  1197,  1198,  1202,  1204,
    1205,  1222,  1223,  1224,  1225,  1236,  1238,  1242,  1243,  1244,
    1245,  1246,  1248,  1250,  1252,  1253,  1254,  1255,  1257,  1262,
    1263,  1267,  1268,  1277,  1279,  1280,  1281,  1284,  1289,  1292,
    1297,  1299,  1300,  1303,  1305,  1308,  1317,  1335,  1343,    72,
    1225,  1233,  1234,    14,    71,    94,    95,    96,    97,    98,
      99,   100,   101,   103,   104,   105,   113,   114,   116,   117,
     118,   120,   121,   122,   129,   130,   131,   132,   133,   136,
     137,   140,   142,   143,   144,   145,   150,   151,   152,   153,
     154,   156,   157,   160,   161,   162,   163,   164,   165,   168,
     169,   177,   178,   179,   180,   181,   183,   186,   188,   190,
     191,   192,   193,   194,   195,   197,   198,   199,   200,   203,
     204,   205,   206,   207,   209,   210,   211,   213,   214,   215,
     217,   218,   219,   220,   222,   223,   224,   227,   229,   230,
     232,   234,   236,   240,   241,   242,   243,   245,   249,   251,
     252,   254,   255,   257,   258,   259,   260,   262,   263,   264,
     265,   266,   267,   269,   273,   274,   275,   281,   284,   286,
     287,   288,   289,   290,   293,   296,   299,   300,   301,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   314,   315,
     317,   318,   319,   323,   324,   325,   328,   329,   331,   334,
     336,   337,   338,   340,   341,   344,   345,   346,   349,   352,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   365,
     366,   368,   370,   371,   372,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   384,   385,   386,   387,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     402,   403,   405,   406,   407,   409,   410,   411,   412,   413,
     414,   415,   417,   419,   420,   421,   422,   423,   424,   425,
     426,   428,   429,   431,   432,   434,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   450,   451,
     453,   455,   456,   457,   458,   459,   463,   465,   466,   468,
     471,   472,   473,   474,   475,   476,   477,   480,   481,   482,
     483,   484,   487,   488,   489,   490,   491,   495,   497,   498,
     499,   500,   503,   506,   507,   508,   509,   510,   511,   524,
     525,  1192,  1193,  1195,  1196,  1197,  1198,  1215,  1216,  1327,
    1329,  1333,  1335,    29,   272,  1278,     9,    13,    15,    28,
      44,    45,    49,    50,    55,    64,    66,    68,    69,   102,
     138,   158,   170,   182,   187,   253,   313,   316,   416,   492,
     523,  1183,  1196,  1197,  1217,  1264,  1265,  1307,  1308,  1309,
    1313,  1318,  1319,  1320,  1329,  1335,   102,  1011,  1182,  1217,
    1313,  1326,    14,  1011,     5,    25,    29,    35,    36,    42,
      43,   102,   106,   107,   108,   109,   110,   111,   112,   115,
     128,   134,   135,   138,   141,   147,   149,   158,   159,   166,
     170,   171,   172,   173,   175,   176,   177,   187,   189,   196,
     201,   202,   208,   212,   216,   226,   228,   233,   235,   238,
     244,   247,   250,   261,   268,   272,   276,   278,   280,   291,
     292,   298,   302,   303,   327,   332,   339,   342,   343,   347,
     348,   364,   373,   388,   401,   418,   424,   435,   449,   452,
     460,   463,   464,   470,   478,   479,   485,   486,   492,   494,
     501,   502,   504,   505,  1196,  1199,  1309,  1310,  1311,  1315,
    1316,  1317,  1318,  1320,    25,    35,   138,   276,  1304,    37,
      39,   327,  1237,   465,   508,   942,   101,   148,   163,   181,
     187,   204,   215,   223,   235,   240,   247,   264,   289,   310,
     344,   366,   376,   379,   405,   410,   412,   419,   422,   441,
     447,   451,   452,   455,   459,   468,   473,   485,   498,   704,
    1265,   186,   942,   102,  1011,   496,   974,   342,   372,   942,
     125,   542,   629,    96,   101,   113,   135,   148,   159,   181,
     187,   204,   215,   223,   235,   243,   247,   301,   344,   347,
     366,   379,   405,   412,   422,   441,   447,   455,   456,   458,
     459,   468,   473,   479,   482,   485,   639,   686,   794,   848,
     859,  1183,  1206,  1207,  1208,  1217,  1333,  1335,    14,   102,
     371,  1182,  1217,  1221,   440,  1011,   102,   365,   420,   456,
     458,   288,   896,   897,  1333,    96,   101,   113,   135,   148,
     163,   181,   204,   215,   223,   235,   240,   247,   264,   310,
     344,   356,   366,   379,   405,   410,   412,   419,   422,   441,
     447,   452,   455,   459,   466,   468,   473,   485,   498,   704,
     807,   808,   809,   942,   548,  1247,  1311,   257,  1221,   166,
     186,   220,   496,   542,   684,   687,   973,   979,   987,   989,
     998,  1005,  1010,  1014,  1202,    95,   102,   120,   230,   236,
     238,   261,   290,   324,   374,   392,   533,   534,   826,   827,
    1011,  1190,  1191,  1327,  1329,   102,   166,   388,   418,   831,
     832,   833,  1313,   235,  1313,  1187,  1333,   452,  1025,   120,
     236,   826,  1313,   465,  1221,   356,   310,   181,   264,   412,
     451,   452,   542,   906,   907,   411,  1313,   102,   138,   423,
     461,   465,   492,   579,   588,   589,  1196,  1197,  1307,  1312,
    1318,  1320,  1335,    99,   244,   831,   832,   372,   942,  1313,
     287,   102,   201,  1027,  1028,     4,    14,   136,   158,   160,
     301,   319,   405,   412,   423,   461,   465,   511,   576,   577,
     578,   579,   102,   423,   461,   465,   579,   465,   343,  1068,
    1180,  1313,  1025,  1301,  1311,   535,  1313,   239,   542,   975,
     542,   386,  1020,  1021,  1182,  1020,  1015,  1016,  1019,   546,
     974,   216,   278,   348,   478,  1029,  1030,  1015,  1017,  1018,
     192,   274,   484,   545,   122,   552,  1245,  1248,  1244,  1240,
     546,  1249,  1251,     5,    25,    35,   138,   205,   276,  1256,
     182,   253,   313,   316,   416,   523,   542,  1111,  1112,  1228,
    1232,  1322,    72,  1225,  1182,  1217,  1336,   187,  1206,    21,
     486,   536,  1221,  1221,  1336,   486,  1269,  1270,  1271,    25,
     276,   276,  1315,     7,    19,    20,    38,    41,   162,   202,
    1306,  1306,    16,  1245,   875,  1188,  1198,  1307,  1310,  1313,
    1314,  1318,  1319,  1335,   811,  1313,   811,  1183,   375,   811,
     468,  1182,   180,   452,   863,  1188,  1198,  1313,  1192,  1193,
     102,   255,  1180,   336,   498,    84,    91,    92,    93,   143,
     227,   529,   530,   531,   533,   534,   535,   536,   537,   538,
     892,   894,  1144,  1145,  1313,   255,  1182,  1182,   102,  1192,
    1193,  1182,  1182,   255,  1180,  1182,   811,  1182,   398,   425,
     102,   255,  1068,  1182,   415,  1182,   811,   308,  1192,  1193,
     255,  1180,   288,    34,   189,   284,   327,   382,   943,   944,
     945,  1180,  1186,  1313,    96,   101,   135,   148,   149,   159,
     163,   181,   204,   215,   223,   235,   240,   264,   289,   310,
     344,   366,   379,   405,   410,   412,   419,   422,   441,   447,
     452,   455,   459,   466,   468,   473,   498,   704,   817,   818,
    1333,   986,   989,   998,  1005,  1014,  1180,   312,  1188,  1182,
     542,   255,   811,   468,  1183,   811,   468,   255,  1182,   180,
     452,   456,   458,  1192,   456,   458,   143,   227,   892,   396,
    1182,  1182,  1192,   255,   572,  1313,   255,  1182,   255,   811,
    1182,  1182,   415,  1182,   811,   308,  1192,   386,   419,   452,
     498,   310,   163,   264,   240,   410,   466,   472,   698,    84,
    1209,  1210,   547,  1329,  1336,   102,  1221,  1335,  1012,   586,
    1195,  1333,   897,   312,   255,   875,   876,  1182,   255,   901,
     255,  1183,   124,   126,   127,   138,   139,   184,   185,   205,
     231,   255,   276,   277,   279,   320,   322,   335,   383,   427,
     433,   461,   462,   493,   813,  1090,  1092,  1094,  1096,  1098,
    1100,  1101,  1102,  1104,  1105,  1106,  1108,  1109,  1307,  1314,
    1318,  1319,  1335,   468,   180,   452,   255,   862,   863,   255,
    1193,  1194,   155,   498,   143,   227,   255,   893,   894,   129,
     255,  1194,   255,  1182,   255,  1182,   415,   901,   255,   813,
     255,   308,  1194,   288,   255,   810,   811,   255,  1181,  1182,
     255,  1182,   542,   548,  1337,  1338,  1339,  1340,  1342,  1247,
      70,  1217,  1266,   542,   988,   639,  1011,   979,   973,   980,
     981,   982,  1195,   974,  1191,   827,   828,   102,   827,  1011,
    1191,   828,   102,   827,  1011,  1191,   828,   828,   828,  1191,
    1190,  1190,   280,   486,  1271,  1272,  1346,  1347,  1011,   828,
     375,   542,   542,   659,   659,   659,   342,   463,   545,   659,
     412,  1068,  1069,   827,  1011,   827,  1011,   545,   938,  1333,
     238,   542,   985,   129,   498,   496,   908,   909,  1180,  1182,
    1313,   119,   525,   284,   544,   345,   345,   342,   238,  1333,
     463,   233,   821,   342,    82,    83,    84,    86,   110,   124,
     126,   127,   134,   135,   138,   139,   146,   148,   171,   172,
     173,   174,   175,   176,   177,   184,   185,   187,   221,   225,
     226,   231,   246,   248,   277,   279,   294,   302,   303,   320,
     322,   327,   332,   333,   335,   344,   354,   367,   383,   408,
     424,   433,   448,   461,   462,   467,   469,   470,   479,   485,
     493,   513,   514,   515,   516,   518,   519,   520,   521,   526,
     533,   534,   535,   542,  1015,  1093,  1096,  1099,  1100,  1101,
    1103,  1104,  1105,  1108,  1109,  1113,  1115,  1116,  1117,  1119,
    1140,  1141,  1142,  1146,  1165,  1170,  1177,  1178,  1188,  1189,
    1190,  1313,  1325,  1327,  1329,  1330,  1331,  1332,  1333,  1176,
    1177,   463,   531,  1336,  1333,   463,   531,  1265,   102,   594,
    1179,  1180,   423,   576,   187,   585,  1333,   586,  1333,   119,
     140,   576,   525,   434,   944,   345,   238,   463,   531,   119,
     525,   284,  1346,   945,   542,  1180,   535,   540,   544,  1171,
    1173,  1069,  1317,   237,   239,   496,   970,   971,   973,  1335,
     237,   976,  1113,  1149,  1020,   545,   542,   977,   543,   543,
    1180,   102,   201,  1026,  1026,   129,  1026,   228,   233,   298,
     339,  1033,  1035,  1036,  1051,  1053,  1054,  1055,  1029,  1030,
     238,   280,  1068,  1070,   542,   546,  1239,   535,  1258,  1259,
    1261,   548,   548,    25,   276,   276,   463,   463,   463,   463,
     542,   463,   533,   534,   695,  1191,  1226,  1332,   212,   111,
    1213,   129,  1216,  1216,   280,  1271,  1273,   280,  1271,  1272,
    1273,   491,  1282,  1283,  1329,    14,    83,   436,   533,   534,
    1190,  1274,  1275,  1276,  1325,  1327,  1331,  1332,  1333,  1334,
     276,   282,  1182,   463,  1182,     6,  1182,  1306,  1261,   357,
     394,   425,   542,   873,  1173,   357,   390,   394,   425,   544,
     812,   357,   394,   425,   158,   210,   304,   357,   394,   425,
     455,   457,   505,   587,   590,   950,   951,   952,   953,  1335,
     843,    98,   206,   357,   394,   425,   489,   602,  1182,    98,
     206,   425,   484,   569,   509,   255,  1068,   131,   165,   195,
     224,   258,   293,   327,   357,   358,   394,   402,   409,   417,
     425,   437,   445,   500,   587,   591,   878,   886,   542,   860,
    1173,   394,   569,   261,   221,    98,   104,   145,   195,   199,
     206,   209,   234,   266,   325,   327,   337,   346,   357,   394,
     397,   398,   425,   489,   599,   601,   722,   695,   102,   255,
    1180,   811,   811,   542,   891,   357,   425,   544,   221,   342,
      98,   206,   357,   394,   425,   261,   561,   394,   505,   528,
     554,   561,   342,   357,   394,   221,   111,   130,   179,   263,
     311,   314,   325,   356,   394,   399,   419,   425,   439,   599,
     692,   693,   357,   394,   497,   722,   730,   357,   394,   425,
     158,   199,   209,   357,   390,   394,   425,   589,   577,   579,
     261,   221,   117,   197,   394,   425,   599,   600,   357,   394,
     398,   425,   156,   198,   359,   457,   342,    98,   104,   206,
     357,   394,   425,   619,   620,   233,   394,   425,   554,   590,
     221,   394,   425,   599,  1182,   546,   296,   189,   343,   510,
     545,   943,   486,   968,   342,   312,   875,   542,  1182,  1090,
     468,   180,   452,   863,   336,   498,   143,   227,   894,  1182,
    1182,   415,   233,  1182,  1090,   288,   811,  1182,   543,   659,
    1182,   542,   784,   873,   141,  1090,   327,   238,   542,   780,
    1182,   554,   111,   962,  1182,   327,   554,   509,   255,  1180,
     554,   811,   811,   780,   482,   639,   342,   233,   922,   923,
     554,   327,   119,   573,   327,   473,   729,   327,   977,   158,
     357,   706,   156,   198,   359,   457,   100,   121,   275,   753,
     111,   780,   233,   255,   554,   498,   255,  1180,   255,   682,
    1180,  1180,   498,   811,   155,   849,  1188,  1182,   233,   704,
      73,  1211,  1313,   547,  1212,  1209,   125,   178,   273,   325,
     414,   221,   132,   400,   545,   603,   603,   221,   542,   221,
     495,  1107,  1107,  1107,   542,  1095,  1095,   369,   542,  1097,
     221,   138,   139,  1107,  1095,  1092,   507,   528,   542,  1110,
     542,  1110,   545,   603,   110,  1091,   542,   182,   316,   523,
     542,  1111,   812,  1095,   509,   221,   545,   603,   221,   545,
     255,   810,   255,   811,   255,   811,   221,   545,   603,  1194,
     221,   221,   603,   221,   156,   198,   359,   457,   233,   221,
     603,   221,   233,   255,   255,   586,   221,   545,   603,   221,
     545,   603,   221,   342,   543,  1338,  1339,  1337,   545,   549,
    1149,  1270,  1345,  1346,   452,  1012,   543,   545,   226,   342,
     470,   583,   586,   695,   983,   979,   828,  1011,   828,  1011,
    1347,  1348,   828,  1011,   828,  1011,  1348,   828,  1011,  1011,
    1011,   828,    14,   436,  1321,  1324,  1329,  1011,   542,   660,
     661,  1313,   660,   102,   181,   204,   235,   240,   288,   289,
     412,   419,   452,   455,   473,   834,  1179,  1194,   833,  1182,
     261,   545,  1001,  1011,  1011,  1333,  1266,  1090,  1152,   111,
    1194,   849,   543,   545,   296,  1313,   233,   233,   834,  1194,
     411,  1313,   586,   342,   542,   540,  1015,  1153,  1113,  1169,
     542,   542,   233,   542,   542,  1015,   542,   542,   542,   542,
     542,   542,  1113,   542,   542,   542,   542,   542,   542,   542,
     542,  1015,   542,   542,   542,   542,   542,   542,   542,   542,
    1113,  1113,  1113,   492,  1015,  1113,  1149,  1173,  1333,   542,
    1333,    84,    87,    91,    92,    93,   108,   111,   116,   123,
     147,   256,   261,   282,   283,   297,   330,   344,   347,   430,
     526,   529,   530,   531,   533,   534,   535,   536,   537,   538,
    1144,  1146,  1148,  1335,   506,  1128,   353,  1113,   280,   545,
    1023,  1346,   542,  1333,  1173,    22,  1328,  1329,  1174,  1023,
     338,   342,  1298,  1298,    10,   491,  1285,  1286,  1288,  1265,
    1265,   190,   257,   595,   545,   140,   187,   586,   111,   187,
     301,   584,   695,  1109,  1333,  1335,  1333,   161,   203,  1125,
     170,   187,   580,   581,   583,   695,   187,   580,  1346,  1346,
     296,  1180,  1113,  1172,   535,  1185,  1315,  1171,   162,   399,
     815,   282,   543,   545,   974,   543,   545,  1021,  1181,   111,
     977,  1017,  1017,  1031,  1032,  1113,  1017,   230,   324,  1042,
     286,   325,   382,   428,   484,   102,  1037,  1113,  1038,  1040,
    1113,  1115,  1051,  1052,  1036,  1035,  1033,  1034,   233,  1054,
     337,  1056,  1033,  1051,  1070,   990,  1180,   111,  1313,   425,
    1149,  1258,   535,   545,   546,  1316,  1235,  1238,  1235,   276,
     182,   253,   313,  1112,   313,  1112,  1112,   316,  1190,   313,
     316,   416,  1332,  1332,   545,  1227,   186,  1265,   485,  1214,
    1216,  1182,   436,  1190,  1287,  1329,   545,   531,  1182,    14,
    1190,  1332,  1190,  1332,   545,  1245,   542,  1182,   542,  1317,
     463,   463,   412,   261,   271,   348,   350,   427,   494,   535,
     866,   867,   868,   870,   872,   874,  1090,  1314,   463,   497,
     463,   412,  1185,   544,   463,   463,   412,   298,   463,   463,
     455,   576,   357,   950,   952,   531,   954,   233,   244,   261,
     403,   844,   845,   141,   159,   217,   235,   373,   479,   656,
     657,   159,   187,   327,   463,   159,   463,   187,   327,   412,
     159,   199,   209,   357,   394,   776,   412,   712,    96,   101,
     135,   148,   163,   204,   215,   235,   240,   310,   344,   412,
     419,   422,   452,   459,   466,   473,   498,   704,  1182,   221,
     394,   425,   599,   342,   695,   342,   417,   293,   463,  1313,
     463,   332,   695,   191,   281,   412,   423,   465,   578,   400,
     425,   878,   887,   543,   861,   866,   463,   485,   455,  1180,
     149,   217,   255,   646,   656,  1313,   149,   159,   912,   342,
     342,   408,   410,   468,   159,   912,   105,   397,   408,   410,
     468,   408,  1180,   234,   266,   337,   811,   542,   463,   463,
     254,   542,   607,   307,   455,   482,   505,   507,   607,   159,
     545,   357,   261,   221,   195,   394,   425,   599,   486,   486,
     326,  1090,   463,   412,   542,   892,  1182,  1180,   452,   452,
     463,   463,   452,   780,   181,   590,   463,   556,   590,  1180,
     463,   463,  1180,  1092,   695,   129,   694,   695,   695,   179,
     311,   314,   129,   463,   554,   318,   412,   554,   325,   693,
     463,   463,   332,  1333,   722,   463,   463,   412,  1333,   463,
     379,   463,   379,   780,   455,  1068,   361,   361,   159,   463,
     912,   412,   463,   463,   607,   607,   811,   811,   811,   811,
    1180,   118,   491,   118,   118,   463,   118,   463,   491,   412,
     545,   485,   739,  1193,   463,   556,  1180,   463,   412,   357,
     394,   382,   395,   421,   582,   943,  1186,  1313,  1180,   282,
    1090,   342,   282,   509,   282,   695,   811,   811,   282,   342,
     342,   156,   198,   359,   457,  1090,   342,   282,   282,   282,
     463,   505,   630,   473,   785,   786,  1335,   780,   542,   111,
     221,   811,   781,   782,  1315,   100,   950,  1090,   342,   221,
     709,  1182,   327,   361,   542,   555,   794,   486,   386,   498,
    1180,   102,   452,   505,   882,   555,   221,  1193,   166,   244,
     574,   638,   688,   752,   829,   847,   946,   221,  1333,   730,
     731,   221,   342,  1333,  1193,   304,   811,   811,   811,   811,
     337,   192,   274,   471,   484,   754,   755,   213,   381,   542,
     739,   327,   555,  1180,   327,   690,   692,   327,   111,   337,
     361,   542,   659,   659,   255,   685,  1180,   233,   255,   850,
    1186,   542,   864,   111,  1090,   288,   544,  1190,  1212,   505,
     507,  1013,   414,   876,   875,  1090,  1183,   542,  1149,  1190,
     813,  1107,  1107,   110,  1091,   461,   461,  1190,  1190,  1090,
     540,   540,  1190,   463,   463,  1190,  1095,   862,   863,  1194,
    1193,   221,   603,   221,   486,   221,   486,   893,   894,   603,
    1194,  1182,  1182,  1090,   813,  1194,   739,   221,   221,   603,
     810,   811,  1181,  1182,  1182,   811,   543,   549,  1340,   543,
    1346,  1270,  1180,   178,   979,   981,  1011,  1011,  1348,  1011,
    1011,  1348,  1011,  1011,  1182,    14,   545,  1328,   660,   543,
     545,   543,   241,   420,   453,  1181,   810,   180,   422,   862,
    1181,   336,  1181,  1179,  1179,  1181,   810,   463,   505,   840,
     216,   298,   736,   737,    96,   219,   408,   428,  1002,  1068,
     331,  1003,   543,   545,   986,   463,  1180,   906,   907,   909,
     832,   831,   832,   238,   245,   841,  1313,   101,   149,   181,
     204,   215,   235,   240,   289,   310,   379,   405,   412,   419,
     447,   452,   455,   473,   498,   704,   822,   823,  1149,   541,
    1149,  1153,  1154,   501,  1166,  1167,  1113,  1149,   542,  1190,
    1190,   182,   253,   313,   316,   416,   523,  1155,  1156,  1333,
    1335,  1149,  1149,  1149,  1190,  1190,  1113,   892,  1113,  1157,
     408,   533,   534,   542,  1114,  1115,  1146,  1159,   543,  1149,
    1113,  1149,  1160,  1113,   128,   238,   292,   464,  1113,  1149,
    1163,  1149,   318,  1115,  1113,  1123,  1124,  1125,   318,  1113,
    1125,   543,   545,  1190,  1111,  1090,  1113,  1113,  1113,  1113,
    1315,   461,   115,   449,  1175,   811,  1113,   542,  1015,  1164,
     201,   203,   226,   327,   332,   337,   470,   480,  1113,   542,
    1113,   463,   123,   256,   261,   297,   430,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,   102,   109,   435,
    1143,   247,   229,  1129,   408,   542,  1140,   243,   301,   452,
     456,   458,   482,  1024,  1180,  1178,   238,  1058,   102,   201,
     494,   535,   543,   868,  1113,  1150,  1151,  1314,  1182,  1329,
    1171,  1058,  1287,   545,   531,  1180,   465,   542,  1333,   545,
    1346,   543,   541,   547,   254,   254,   603,  1245,  1180,   971,
     972,  1180,  1113,   543,   542,   545,   112,   196,   486,   856,
     542,  1039,  1191,   428,   286,   343,   545,   408,   409,  1041,
    1179,   331,   432,  1004,  1052,  1034,   486,   999,   187,   355,
     542,   991,  1014,   111,  1313,   542,  1006,  1007,  1008,  1313,
     543,   546,  1259,  1091,   549,  1238,   549,   543,   695,   543,
      34,  1215,  1290,  1291,  1329,  1283,  1288,  1336,  1274,  1091,
    1323,  1339,  1323,  1091,  1193,  1182,  1182,   350,   129,  1314,
     543,   868,   870,   867,   870,  1314,   348,   543,   545,   812,
    1193,  1182,  1182,  1185,  1193,  1182,  1182,  1193,  1183,  1182,
     187,   583,  1191,   405,   485,   831,   412,   244,   831,   542,
    1182,   486,   851,   286,   286,   486,   542,   680,   255,  1182,
     332,  1193,  1182,  1182,  1113,   332,  1182,  1182,   105,   397,
     463,   463,  1182,   463,   713,   312,   875,   542,   811,   811,
    1090,   468,   180,   452,   863,   498,   143,   227,   894,  1182,
     811,  1182,   811,   415,   233,  1090,   811,   288,   249,   325,
     357,   394,   490,   716,   717,   718,  1068,   463,   912,   412,
     332,   223,   191,   281,  1193,  1182,   342,  1182,   543,   545,
    1192,  1194,  1182,   394,   599,   255,   646,   327,  1090,  1182,
    1313,  1182,   223,   296,  1182,   102,   485,  1182,   255,  1182,
     255,  1313,   410,   468,   410,   468,   296,  1182,   102,   485,
    1182,   296,   408,  1180,    98,   206,   425,   723,   724,   725,
     726,  1315,  1193,  1182,   187,   239,   328,   486,   606,   609,
     610,  1315,  1182,   340,   145,   340,  1182,   601,   463,   455,
    1180,   342,   463,   912,   412,  1184,  1313,  1184,   545,   543,
     545,  1193,  1182,   917,   918,  1315,   342,   394,   463,   747,
    1069,  1069,  1193,  1182,  1069,  1183,  1192,   158,   211,   266,
     363,   477,   485,   488,   557,  1335,   394,  1193,  1182,   394,
     425,   599,   692,   695,   811,  1182,   695,   811,  1182,   695,
    1193,  1182,  1193,  1182,  1182,  1193,   882,  1182,   926,   927,
    1315,  1182,   394,   425,   599,   600,  1180,  1180,  1182,  1182,
    1182,  1182,  1193,  1182,    98,   104,   206,   357,   394,   425,
     357,   394,   425,   780,   394,   425,   394,   425,   195,   394,
    1082,  1313,   255,   790,  1313,   255,  1313,  1193,  1182,  1182,
    1333,  1182,    98,   620,   422,  1192,   394,   425,   599,  1182,
    1182,   463,   463,   154,   476,   382,   332,   819,  1333,   111,
     204,   811,   819,   819,   282,   486,   486,   819,   811,   811,
     288,   811,   819,   819,   819,   378,   624,   340,   238,   463,
     623,   264,   543,   545,   531,  1113,  1090,   811,   543,   545,
     531,   754,   648,  1315,  1182,   132,   238,   412,   497,   710,
     717,   718,   221,   337,   297,   640,   642,   644,   646,   653,
     656,    99,   261,   405,   450,   557,   558,   233,  1184,   498,
    1180,   111,   748,   453,  1069,   780,   572,  1313,   573,   347,
     639,  1182,   235,   811,  1149,   379,  1333,   780,   780,   780,
     780,   337,   342,   347,   542,   780,  1080,  1081,  1082,   422,
     221,   542,   221,   221,   220,  1203,   811,   337,   640,  1313,
     505,   507,   676,   505,   608,   327,   111,   659,  1333,   327,
     342,   543,   865,   866,   871,   111,   288,   402,   466,   504,
     877,   878,   879,   342,   288,   586,  1211,   536,   252,   252,
     233,   603,   111,  1149,   543,   543,   603,   540,   525,   525,
     543,   543,  1190,   541,   542,  1190,  1313,  1333,  1344,   543,
     543,   603,   810,   811,  1184,   811,  1184,   603,   603,   288,
     603,   422,   233,   586,   603,   603,   342,   603,  1013,  1336,
    1324,   543,   661,   261,   261,   261,   509,  1181,   695,   696,
     247,   835,   836,  1193,    99,   841,   463,   542,   238,   219,
     428,   219,   428,   408,   484,   315,  1090,  1193,   505,   683,
    1180,  1182,   238,   342,   835,   129,   603,   875,  1090,   468,
     452,   863,   336,   498,  1090,   288,   811,  1182,   543,   541,
     541,   545,  1113,   208,  1167,  1168,   111,   543,  1113,   543,
     543,   543,   238,   543,   543,   543,   543,   543,   545,   543,
     364,  1158,   543,   542,  1114,  1114,  1149,    87,    91,    92,
      93,   261,   282,   344,   529,   530,   531,   533,   534,   535,
     536,   537,   538,  1146,  1114,   543,   543,   233,   238,  1161,
    1162,   543,   111,  1163,  1149,  1163,  1163,   238,   543,   543,
    1315,   362,  1127,   111,   543,   545,  1113,  1315,   545,  1113,
    1174,  1113,   543,   525,  1114,  1114,   214,  1149,   238,   201,
     203,   226,   332,   337,   470,   480,   542,   214,   892,  1113,
     449,  1175,  1113,  1164,  1113,   463,   542,  1015,   542,   542,
     352,  1133,   542,  1149,   456,   458,   456,   458,  1180,  1025,
    1025,  1025,   291,   409,   522,   542,  1015,  1059,  1060,  1061,
    1068,  1073,  1083,  1116,  1118,  1119,  1188,  1313,   502,  1078,
    1150,  1150,  1151,   543,    89,    90,   545,  1029,  1030,  1078,
       8,    11,    12,    22,    23,    24,    26,    27,    31,    32,
      33,   180,   318,   369,   473,  1293,  1294,  1296,  1286,  1287,
     944,  1190,  1111,   581,  1113,  1172,  1091,   977,   986,  1032,
     344,  1144,  1147,   527,   857,  1113,  1041,   484,  1038,   306,
    1059,   502,  1079,   492,   451,   485,   992,   993,   994,  1313,
     342,   995,  1313,  1008,  1009,   545,  1058,   531,  1174,   547,
    1241,   546,   545,   531,    30,  1302,   543,   543,   546,   874,
     812,   870,   870,   129,   872,   537,  1194,  1194,   342,  1181,
     345,   342,  1113,   657,  1184,   542,   542,   542,   680,   264,
     660,   769,   221,   603,   463,  1193,  1182,   586,  1182,  1090,
    1182,   509,   811,   811,   811,   811,   156,   198,   359,   457,
    1090,  1182,   699,  1182,   249,   490,   463,   463,   699,   716,
     722,   394,   425,   599,  1182,  1182,  1182,   272,  1182,   332,
     866,   356,   425,   463,   327,   221,   346,   720,   769,    98,
     206,   398,   399,   425,   602,   611,   612,   722,   913,  1182,
     417,   221,   603,   221,   603,  1182,  1182,  1182,  1182,   417,
     417,   296,   725,   726,   725,   543,   545,   727,  1333,   264,
     543,   545,   531,   544,  1193,  1182,   394,   425,   599,   223,
    1182,  1182,  1182,   357,   394,   425,    98,   206,   357,   394,
     425,  1090,   326,  1090,   543,   545,   531,  1180,   463,  1194,
     486,   744,   298,   363,   332,  1333,   363,  1194,   483,   463,
     463,   412,   545,   882,   356,   425,   159,   463,   912,   412,
     233,   613,   463,   463,   308,   308,   308,   463,   463,   412,
     463,   463,   412,   463,   412,   463,   412,   342,   463,   603,
    1090,   327,  1333,   425,   913,   221,   603,   463,   463,  1182,
     463,   412,  1193,  1182,  1090,   811,   282,   819,  1184,  1184,
     282,   282,  1182,   282,   442,   443,   625,  1333,   624,   249,
     786,  1335,   326,   344,   533,   534,   695,   783,   870,  1147,
    1199,  1333,   543,   543,   238,   780,   782,   783,   342,   141,
     147,   159,   187,   189,   242,   268,   327,   332,   373,   388,
     479,   649,   650,   652,   220,   501,   554,   586,  1182,   586,
     720,  1180,  1180,  1180,   543,   545,  1194,   247,   405,  1194,
    1190,   473,  1180,   659,  1335,   233,   749,   119,   573,   396,
     452,   729,   180,   977,   238,   926,   608,   660,  1180,   755,
     787,   788,  1333,   543,   545,  1182,   233,   660,  1180,  1180,
    1182,  1014,   542,   641,  1180,   543,   340,   607,   340,   342,
     677,   607,   111,   221,  1014,   608,   463,   221,  1180,   543,
     545,   187,   531,   880,  1333,   586,   452,   869,   870,   233,
     881,   879,   882,   192,   274,   418,   484,   935,  1182,   249,
    1207,  1014,  1221,  1090,   543,  1190,  1110,  1110,   541,  1344,
     542,   533,   534,   535,   536,   537,   541,   603,   486,   603,
     486,   603,  1182,  1182,   739,   603,   811,   233,   412,   412,
     412,  1181,   545,  1193,   505,   545,   837,   345,  1069,   422,
     219,   219,   180,   325,  1194,   834,   603,  1193,   282,   282,
     282,   695,   282,   282,   282,  1153,   460,  1113,   212,  1090,
     543,  1113,  1113,  1113,  1161,   543,  1149,   545,  1090,  1114,
    1114,  1114,  1114,   201,   203,   327,   337,  1114,  1114,  1114,
    1114,  1114,  1114,  1114,  1114,  1114,  1114,  1113,  1113,  1162,
    1161,  1090,   543,   543,   543,  1149,   543,   545,   129,  1115,
     543,  1315,  1124,   370,   446,  1126,   543,   545,   497,  1120,
     111,   543,  1333,  1113,   108,   108,  1113,   543,  1113,   238,
     542,  1152,  1113,   543,   214,  1114,  1114,   214,   214,  1113,
    1113,  1030,   502,   542,  1134,  1313,   543,  1149,   545,  1025,
    1025,  1025,  1025,  1180,  1180,  1180,  1015,  1073,  1083,   238,
     542,  1015,  1060,  1061,   111,  1062,  1063,  1313,   545,   167,
     239,   270,   285,   295,   321,   404,  1065,  1063,   111,  1062,
    1064,  1313,  1063,   528,  1077,   542,  1173,  1113,   247,  1043,
     545,  1029,  1029,  1029,  1113,  1113,   494,  1151,   543,  1043,
     545,   531,   543,   541,  1302,   543,   542,   857,   230,   290,
     543,   343,   170,  1113,   401,   997,   491,   543,   545,  1174,
     157,   997,   543,   545,  1007,  1079,  1113,  1190,   531,  1260,
    1291,  1296,   543,   537,   874,   473,   241,   413,   420,   453,
     474,   846,   233,   846,   543,   542,   663,   664,   853,  1118,
    1313,   660,   660,   769,  1186,   543,   189,   268,   325,   327,
     770,  1182,  1182,   111,  1182,   486,   486,   811,   811,   811,
     811,   288,   812,  1193,  1182,   463,   912,   412,   463,   272,
     129,   455,  1182,   221,   646,   542,   648,   242,   254,   327,
     607,   554,   180,   242,   327,   441,   444,   607,   693,   425,
     612,   473,  1182,  1313,   417,   724,  1182,   610,   783,  1315,
     356,   425,   463,   912,   412,  1182,   463,   463,   463,   412,
     240,   344,   444,   792,   793,   240,   344,   800,   801,   463,
     463,   412,   543,   543,   543,   918,   326,   695,   870,   919,
    1147,  1199,  1333,   394,  1182,   542,   505,   745,  1191,  1333,
    1333,  1333,  1182,  1182,  1182,   927,   129,   455,  1182,  1182,
    1182,  1182,   492,  1182,  1182,   233,   233,   396,   233,   255,
    1193,  1182,  1182,  1193,  1182,  1182,  1182,  1182,  1182,  1182,
     223,  1182,   147,   604,   221,   100,   121,   473,  1313,  1182,
    1333,   722,  1182,  1182,   543,   282,   819,   282,   282,   819,
     819,   282,   819,   554,   625,   699,   769,   505,   507,   811,
    1180,   542,   811,  1182,  1114,   105,   129,   651,   190,   257,
     189,   332,   286,  1180,   882,   377,   772,   773,  1313,   709,
     361,   542,   641,   654,   267,   670,   644,  1194,  1194,  1090,
     542,   608,   102,   192,   274,   418,   484,   750,   463,   746,
    1193,  1180,   731,   509,   342,  1059,   882,   389,   756,   543,
     545,  1082,   720,   739,   543,   690,   337,   361,   542,   988,
     683,   643,   645,   647,   656,  1313,   361,   671,   672,   641,
     670,   153,   455,   678,  1014,   685,   683,   678,  1333,  1186,
     851,   871,  1113,  1113,   545,   542,   877,   473,   545,   463,
     542,   699,    84,  1218,   543,   541,   543,  1245,  1344,  1344,
    1344,  1344,  1344,  1184,  1184,   603,   422,   603,  1181,  1181,
    1181,   695,   244,   836,   543,  1182,   180,   841,   238,   332,
     824,  1333,   824,   824,   282,   824,   824,   824,  1113,   543,
     543,  1162,   543,  1113,   238,   201,   203,   337,   542,   543,
     512,  1122,  1149,   387,   129,   503,   503,   543,  1113,   325,
    1113,   545,  1121,  1092,  1113,  1113,  1113,  1152,   543,  1113,
     108,   108,  1113,  1113,   214,   543,   543,  1113,  1135,  1313,
     543,  1113,  1180,  1180,  1180,  1180,  1063,  1064,  1063,   542,
     517,  1115,   543,  1313,   542,  1060,   285,   351,  1066,  1060,
    1066,   285,  1065,  1066,   285,   454,  1071,   542,  1313,   542,
     349,  1150,   129,   250,  1050,   543,   543,   543,  1151,  1333,
    1050,  1294,   534,  1287,  1295,  1332,  1333,  1333,   892,   337,
    1177,  1014,   355,  1014,   994,   342,   542,   996,   531,  1008,
     997,  1340,   473,   543,   463,   831,   238,   769,  1113,   543,
     545,   505,   147,   854,   854,   543,   543,   882,   190,   257,
     266,   189,   488,   603,  1090,  1184,  1184,  1182,  1182,  1182,
    1182,  1182,  1194,  1182,   646,   721,   725,   651,   255,   332,
     695,   651,   332,  1191,  1313,  1090,   603,   603,   531,   129,
     455,  1182,  1182,  1182,  1182,  1193,  1182,  1182,  1190,  1190,
    1090,   545,  1190,  1190,   545,  1193,  1182,  1182,   463,  1113,
     141,  1194,  1182,   463,   463,   238,   261,  1181,  1181,   811,
    1181,   221,  1182,   811,  1333,  1333,  1090,   603,   603,   282,
     819,   819,   819,   819,   542,   626,   627,   486,   631,   632,
     240,   271,   240,   238,   768,  1113,   327,   650,   187,   111,
     882,   659,   486,   679,  1188,   108,   220,   261,   337,   640,
     613,   218,   262,   542,   422,   486,   660,   111,  1194,   744,
     573,   542,   235,  1182,  1149,   323,   341,   757,   758,   759,
     233,   762,  1333,   422,   608,   811,   337,   640,   683,   543,
     545,   505,   648,   129,   676,   613,   671,   192,   206,   370,
    1182,   505,   947,   111,   238,   342,   542,  1333,   868,   883,
     884,  1314,   882,  1090,   233,  1180,   238,   463,   903,   269,
     700,  1219,  1313,   603,   543,   603,   603,  1182,   345,   280,
     603,   835,   824,   543,  1114,   238,   542,  1152,   542,   543,
     545,   543,  1115,   387,   543,   491,   438,   543,   543,   543,
    1113,  1113,  1113,   543,   361,  1136,   543,  1074,  1075,  1118,
     542,  1127,  1062,   542,  1181,  1060,   342,   486,  1067,  1060,
     285,  1060,  1188,  1081,   542,  1081,  1313,  1029,   169,   248,
     407,   542,  1044,  1045,  1046,  1047,  1048,  1049,  1113,  1113,
     504,  1130,  1029,  1130,  1190,  1332,   543,  1011,  1346,   992,
     159,   852,   853,   202,  1113,   835,   342,   835,   543,   882,
     664,   344,   892,   811,   811,   855,   855,   388,   882,   679,
     543,   463,   425,  1003,   543,   545,   111,   221,   604,   783,
    1194,  1182,   463,   542,   863,   892,   894,   793,   542,   542,
     801,  1182,   543,   542,   425,  1003,  1182,  1182,   542,   542,
     505,   528,   965,   396,   965,   965,   233,   604,   819,   633,
     634,  1315,   125,   168,   193,   210,   214,   234,   237,   251,
     332,   340,   380,   628,   554,   194,   863,   111,   899,   899,
    1180,   769,   543,   254,   679,   309,   662,   264,   542,   773,
     377,   542,  1180,   543,   422,   102,   152,   160,   188,   254,
     265,   444,   655,   655,  1179,  1182,  1184,   543,  1014,   745,
     180,   720,   238,   758,   408,   452,   760,   207,   763,   501,
     765,  1182,   111,   641,  1180,   543,   645,   346,   673,  1196,
    1335,   677,   671,   676,   409,   409,   133,   141,   301,  1014,
     811,  1180,   852,   870,   543,   545,   473,  1078,   436,   436,
     543,   699,   325,   490,   701,   702,   531,  1220,  1182,   603,
    1114,  1152,   543,  1123,  1149,   129,   325,   524,   129,  1029,
     543,   545,   111,  1076,   187,  1088,  1089,  1114,   150,  1181,
     543,  1113,   542,  1060,  1067,   542,   543,  1081,   543,   543,
     542,   426,   542,   543,   545,  1131,  1132,  1313,   543,   491,
    1182,   543,   545,   328,   484,   837,   846,   603,   854,   679,
     542,   856,   856,  1180,   679,   769,  1182,   455,   725,   254,
     486,   605,   425,  1003,  1182,  1152,   233,   796,   796,  1152,
    1152,  1113,   455,   332,   475,   614,   616,   617,   695,  1333,
     614,   615,   810,   811,   810,   811,  1181,   603,   543,   545,
     535,   542,   583,   635,   695,   962,  1333,   962,   327,   332,
     380,   962,   962,   626,  1333,   899,   114,   259,   233,   325,
     658,   542,   691,   239,   360,   431,   342,   666,   667,   668,
     455,   543,  1188,    81,   774,   641,   670,  1182,   543,   720,
     227,   795,   608,   947,   509,  1059,   962,   408,   440,   764,
     542,   220,   720,  1014,   671,   641,   670,   648,   542,   678,
     676,   677,   141,   345,   141,   683,   851,   543,   877,   883,
    1090,   202,   505,   505,   490,   699,  1190,  1327,  1335,    84,
     720,   543,   543,   543,   387,   491,  1149,   381,   409,  1137,
    1077,  1074,   542,  1114,   543,   545,   111,  1084,  1085,  1313,
     543,  1181,  1149,   543,  1149,   542,  1149,  1045,   545,   111,
    1014,  1078,   853,   425,   238,   855,   502,   665,   892,   857,
     857,   659,   769,  1182,   691,  1113,   455,   543,   348,   415,
     385,   797,   797,   543,   543,   543,  1182,   543,   545,   543,
     545,   965,   634,   583,   636,   637,  1333,  1333,   332,   660,
     535,   660,  1333,  1333,   207,   266,   692,   192,   484,   342,
     668,   342,   667,  1182,   542,   543,   545,   613,   422,   720,
     811,   111,   111,  1182,   761,  1313,  1113,   377,   947,   676,
     613,   671,   542,   674,   675,  1118,  1313,   677,   678,   345,
     345,   542,   608,   882,   103,   275,   936,   240,   240,  1219,
     123,   170,   475,  1113,  1138,  1139,  1138,   543,  1081,   545,
    1089,  1315,   543,   545,   233,  1090,   543,   543,   543,  1044,
     543,  1132,  1134,  1006,   835,   856,   542,   769,   543,   662,
    1003,  1182,   863,   129,  1003,   463,   617,   614,   811,   543,
     545,   660,   408,   543,   132,   325,   400,   425,   669,   669,
     543,    81,   422,  1182,   792,  1014,   720,   543,  1188,   677,
     671,   676,  1113,   543,   545,   854,   854,   678,   852,   678,
     328,   542,   931,   933,   937,   989,   998,  1005,  1014,   863,
     863,  1139,   408,   232,   368,   232,   368,   543,  1115,  1085,
     349,   187,   327,   332,  1086,  1087,  1335,   395,  1072,   543,
    1078,   603,   857,  1113,   666,  1003,   811,   542,   637,   765,
      97,   187,   332,  1182,   720,   947,   542,   678,   676,   677,
     543,   675,   855,   855,   543,  1078,   932,   933,   934,  1015,
    1016,   545,   545,   108,  1127,  1114,   332,  1087,  1114,   542,
     543,   769,   616,   220,   720,   766,   767,  1190,  1315,  1332,
    1333,   677,   678,   854,   608,   543,   546,   463,   238,  1139,
     150,  1113,   543,   377,   543,   545,   678,   855,   678,   934,
     436,   436,  1084,   543,  1188,   767,  1078,   505,   505,   543,
     542,   240,   240,   766,   863,   863,   543
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   550,   551,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     553,   554,   554,   554,   555,   555,   556,   556,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   558,   558,   558,
     558,   558,   558,   559,   560,   561,   561,   562,   562,   563,
     564,   565,   565,   566,   566,   567,   568,   569,   569,   570,
     570,   571,   571,   571,   571,   572,   572,   573,   573,   574,
     574,   574,   574,   574,   574,   575,   575,   575,   576,   576,
     576,   577,   577,   577,   577,   578,   578,   578,   578,   578,
     578,   578,   578,   578,   578,   578,   579,   579,   580,   580,
     581,   581,   582,   582,   582,   582,   583,   583,   583,   583,
     584,   584,   584,   584,   584,   584,   584,   585,   585,   585,
     586,   586,   587,   588,   588,   588,   588,   589,   589,   590,
     590,   591,   591,   592,   592,   592,   592,   592,   593,   594,
     594,   595,   595,   596,   597,   597,   597,   597,   597,   598,
     598,   598,   598,   598,   598,   598,   598,   598,   598,   598,
     598,   598,   598,   598,   598,   598,   598,   599,   599,   600,
     600,   601,   601,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   601,   602,   602,   603,
     603,   603,   604,   604,   605,   605,   606,   606,   606,   606,
     607,   608,   608,   609,   609,   610,   610,   610,   610,   611,
     611,   612,   612,   612,   612,   613,   613,   614,   614,   614,
     615,   615,   616,   616,   617,   617,   618,   619,   619,   620,
     620,   620,   620,   621,   621,   622,   622,   623,   623,   624,
     624,   625,   625,   625,   626,   626,   627,   627,   628,   628,
     628,   628,   628,   628,   628,   628,   628,   628,   628,   628,
     628,   628,   629,   629,   630,   630,   631,   631,   632,   632,
     633,   633,   634,   635,   635,   635,   635,   635,   636,   636,
     637,   638,   638,   638,   638,   638,   638,   639,   639,   639,
     639,   639,   639,   639,   639,   640,   640,   641,   641,   642,
     642,   643,   643,   644,   644,   644,   645,   645,   646,   647,
     647,   648,   648,   649,   649,   649,   649,   650,   650,   650,
     650,   650,   650,   650,   650,   651,   651,   652,   652,   652,
     652,   653,   654,   654,   654,   655,   655,   655,   655,   655,
     655,   655,   656,   656,   657,   657,   657,   657,   657,   657,
     657,   658,   658,   659,   659,   660,   660,   661,   662,   662,
     662,   662,   663,   663,   664,   664,   665,   665,   666,   666,
     666,   666,   666,   667,   668,   669,   669,   669,   669,   669,
     670,   670,   671,   671,   672,   673,   673,   674,   674,   675,
     675,   675,   676,   676,   676,   676,   677,   677,   677,   677,
     678,   678,   679,   679,   680,   681,   681,   682,   683,   683,
     683,   684,   684,   685,   686,   686,   687,   688,   688,   689,
     689,   690,   690,   691,   691,   692,   692,   693,   693,   693,
     693,   693,   693,   693,   693,   693,   693,   693,   693,   693,
     693,   694,   694,   695,   695,   695,   695,   696,   696,   697,
     697,   698,   698,   699,   699,   700,   700,   701,   701,   702,
     702,   703,   703,   704,   704,   705,   706,   706,   707,   707,
     708,   708,   709,   709,   710,   710,   710,   710,   711,   712,
     712,   713,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   714,   715,   716,
     716,   716,   716,   717,   717,   718,   718,   719,   719,   720,
     720,   721,   721,   722,   723,   723,   724,   724,   724,   724,
     725,   726,   727,   728,   728,   729,   729,   730,   730,   731,
     731,   732,   732,   732,   733,   733,   733,   733,   734,   734,
     735,   736,   736,   737,   737,   738,   738,   739,   739,   740,
     740,   741,   742,   743,   744,   744,   745,   745,   746,   746,
     747,   747,   748,   748,   749,   749,   750,   750,   750,   750,
     750,   751,   752,   752,   753,   753,   753,   754,   754,   755,
     755,   755,   755,   755,   756,   756,   757,   757,   758,   759,
     759,   760,   760,   761,   762,   762,   763,   763,   764,   764,
     765,   765,   766,   766,   766,   767,   767,   767,   767,   768,
     768,   769,   769,   770,   770,   770,   770,   770,   770,   771,
     771,   772,   772,   773,   774,   774,   775,   776,   776,   776,
     776,   777,   778,   779,   779,   779,   779,   779,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   779,   779,   780,
     781,   781,   782,   782,   783,   783,   783,   783,   783,   783,
     784,   785,   785,   786,   787,   787,   788,   788,   789,   789,
     789,   789,   790,   790,   791,   792,   792,   793,   793,   793,
     793,   793,   794,   794,   795,   795,   796,   796,   796,   797,
     797,   798,   799,   799,   800,   800,   801,   801,   802,   802,
     803,   803,   804,   805,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   806,   806,   806,   807,   807,   807,   807,
     807,   807,   807,   807,   807,   807,   807,   807,   807,   808,
     808,   808,   808,   808,   808,   808,   809,   809,   809,   810,
     810,   811,   811,   812,   812,   813,   813,   814,   815,   815,
     815,   816,   816,   816,   816,   816,   816,   816,   816,   816,
     816,   816,   816,   816,   816,   816,   816,   816,   817,   817,
     817,   817,   817,   817,   817,   817,   817,   817,   817,   817,
     817,   817,   818,   818,   818,   818,   818,   818,   818,   818,
     818,   818,   818,   818,   819,   819,   820,   820,   820,   820,
     820,   820,   820,   821,   821,   822,   822,   822,   822,   822,
     822,   823,   823,   823,   823,   823,   823,   823,   823,   824,
     824,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   826,   826,   826,   827,   827,   828,   828,
     829,   830,   830,   831,   831,   831,   831,   831,   832,   832,
     833,   833,   833,   833,   834,   834,   834,   834,   834,   834,
     834,   834,   834,   834,   834,   834,   834,   834,   834,   834,
     835,   835,   836,   836,   837,   837,   838,   839,   839,   840,
     840,   841,   841,   842,   843,   843,   844,   844,   844,   845,
     845,   845,   846,   846,   846,   846,   846,   847,   847,   848,
     848,   849,   849,   850,   850,   851,   851,   852,   852,   853,
     853,   853,   854,   854,   855,   855,   856,   856,   856,   857,
     857,   857,   858,   858,   858,   859,   859,   860,   860,   861,
     861,   862,   862,   863,   863,   863,   863,   864,   864,   865,
     865,   866,   866,   866,   866,   866,   867,   867,   867,   867,
     867,   868,   869,   870,   870,   870,   871,   871,   871,   872,
     873,   873,   873,   873,   874,   874,   875,   876,   876,   877,
     877,   878,   878,   878,   878,   878,   878,   878,   878,   878,
     878,   878,   878,   878,   878,   878,   878,   879,   879,   879,
     879,   879,   880,   880,   881,   881,   882,   882,   883,   884,
     884,   885,   886,   886,   887,   887,   888,   888,   889,   889,
     890,   890,   891,   891,   891,   891,   892,   892,   893,   893,
     894,   895,   896,   896,   897,   897,   898,   898,   898,   899,
     899,   899,   900,   901,   901,   902,   903,   903,   903,   903,
     904,   905,   905,   905,   905,   906,   906,   907,   907,   907,
     908,   908,   909,   910,   910,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   912,   912,   913,   913,
     914,   914,   914,   914,   915,   915,   915,   915,   915,   915,
     915,   915,   915,   915,   915,   915,   915,   915,   915,   915,
     915,   915,   915,   915,   915,   915,   915,   915,   915,   916,
     917,   917,   918,   918,   919,   919,   919,   919,   919,   920,
     920,   920,   920,   920,   920,   920,   920,   920,   920,   920,
     920,   920,   920,   920,   920,   920,   920,   920,   920,   920,
     920,   921,   922,   922,   923,   923,   924,   924,   924,   924,
     925,   926,   926,   927,   928,   928,   928,   928,   928,   928,
     929,   929,   930,   931,   931,   931,   932,   932,   933,   933,
     933,   933,   933,   934,   934,   935,   935,   935,   935,   936,
     936,   936,   937,   938,   938,   939,   940,   940,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   942,   942,   942,   943,   943,   943,   943,   943,
     944,   944,   944,   945,   945,   946,   946,   946,   946,   947,
     947,   947,   947,   948,   949,   950,   950,   951,   951,   952,
     952,   952,   953,   953,   953,   953,   953,   953,   953,   954,
     954,   955,   955,   955,   956,   957,   957,   958,   959,   959,
     960,   961,   961,   961,   961,   961,   961,   961,   962,   962,
     963,   964,   964,   964,   964,   964,   964,   965,   965,   966,
     967,   967,   967,   968,   968,   969,   969,   969,   969,   969,
     970,   970,   971,   971,   971,   971,   971,   972,   972,   973,
     973,   974,   974,   975,   975,   976,   976,   977,   977,   978,
     978,   978,   978,   979,   979,   979,   979,   979,   979,   979,
     979,   979,   980,   980,   981,   982,   982,   983,   983,   983,
     984,   984,   985,   985,   986,   986,   986,   986,   987,   987,
     988,   988,   989,   990,   990,   991,   991,   991,   991,   991,
     992,   992,   993,   993,   994,   995,   995,   995,   996,   996,
     996,   997,   997,   998,   999,   999,  1000,  1001,  1001,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1003,  1003,  1004,
    1004,  1004,  1005,  1006,  1006,  1007,  1007,  1008,  1009,  1009,
    1010,  1011,  1011,  1012,  1012,  1012,  1012,  1012,  1013,  1013,
    1013,  1014,  1014,  1015,  1015,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1017,  1017,  1018,  1018,  1018,  1018,  1018,
    1018,  1018,  1019,  1019,  1019,  1020,  1020,  1021,  1022,  1022,
    1023,  1023,  1023,  1024,  1024,  1024,  1024,  1024,  1024,  1024,
    1024,  1024,  1025,  1025,  1026,  1026,  1026,  1027,  1027,  1028,
    1028,  1029,  1029,  1030,  1031,  1031,  1032,  1032,  1033,  1033,
    1033,  1033,  1034,  1034,  1035,  1035,  1035,  1036,  1036,  1037,
    1037,  1038,  1039,  1039,  1039,  1040,  1041,  1041,  1042,  1042,
    1043,  1043,  1044,  1044,  1045,  1045,  1045,  1045,  1045,  1046,
    1047,  1048,  1049,  1050,  1050,  1051,  1051,  1052,  1052,  1053,
    1053,  1054,  1055,  1055,  1055,  1055,  1056,  1056,  1057,  1057,
    1058,  1058,  1059,  1059,  1060,  1060,  1060,  1060,  1060,  1060,
    1060,  1060,  1060,  1060,  1061,  1061,  1061,  1061,  1061,  1061,
    1062,  1062,  1062,  1062,  1063,  1063,  1064,  1064,  1064,  1064,
    1064,  1065,  1065,  1065,  1065,  1066,  1066,  1067,  1067,  1068,
    1068,  1068,  1068,  1069,  1069,  1070,  1070,  1070,  1071,  1072,
    1072,  1073,  1073,  1074,  1075,  1075,  1076,  1076,  1077,  1077,
    1078,  1078,  1079,  1079,  1079,  1080,  1080,  1081,  1081,  1082,
    1083,  1083,  1084,  1084,  1085,  1085,  1085,  1086,  1086,  1087,
    1087,  1087,  1087,  1088,  1088,  1089,  1089,  1090,  1090,  1090,
    1090,  1090,  1090,  1091,  1091,  1091,  1092,  1092,  1092,  1092,
    1092,  1092,  1092,  1093,  1093,  1093,  1093,  1094,  1094,  1095,
    1095,  1096,  1096,  1096,  1096,  1096,  1096,  1096,  1096,  1096,
    1096,  1096,  1097,  1097,  1098,  1098,  1099,  1099,  1100,  1101,
    1102,  1102,  1103,  1103,  1104,  1105,  1106,  1106,  1106,  1106,
    1106,  1106,  1107,  1107,  1108,  1108,  1108,  1108,  1109,  1110,
    1110,  1110,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,
    1111,  1111,  1111,  1111,  1111,  1111,  1112,  1112,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,
    1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,
    1114,  1114,  1114,  1114,  1114,  1114,  1114,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1117,  1117,
    1118,  1118,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1120,  1120,  1121,  1121,  1121,  1121,
    1122,  1123,  1123,  1124,  1124,  1125,  1125,  1126,  1126,  1126,
    1127,  1127,  1127,  1127,  1128,  1128,  1129,  1129,  1130,  1130,
    1131,  1131,  1132,  1133,  1133,  1133,  1134,  1135,  1135,  1136,
    1136,  1137,  1137,  1137,  1138,  1138,  1139,  1139,  1139,  1139,
    1139,  1140,  1140,  1140,  1141,  1141,  1142,  1143,  1143,  1143,
    1144,  1144,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1146,  1146,  1147,  1147,  1148,  1148,
    1148,  1148,  1148,  1148,  1149,  1149,  1150,  1150,  1151,  1151,
    1151,  1152,  1152,  1153,  1153,  1153,  1154,  1154,  1155,  1155,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1157,  1157,
    1158,  1159,  1159,  1160,  1160,  1160,  1160,  1160,  1160,  1161,
    1162,  1163,  1163,  1163,  1164,  1164,  1165,  1166,  1166,  1167,
    1168,  1168,  1169,  1169,  1170,  1170,  1171,  1171,  1171,  1171,
    1172,  1172,  1173,  1173,  1174,  1174,  1175,  1175,  1176,  1176,
    1177,  1177,  1178,  1178,  1178,  1178,  1179,  1179,  1180,  1180,
    1181,  1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,  1188,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,
    1189,  1189,  1189,  1189,  1189,  1190,  1191,  1191,  1191,  1191,
    1192,  1193,  1193,  1193,  1194,  1194,  1195,  1195,  1195,  1195,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1200,  1200,
    1201,  1201,  1201,  1201,  1201,  1201,  1201,  1201,  1203,  1202,
    1204,  1205,  1205,  1205,  1205,  1206,  1206,  1206,  1206,  1207,
    1207,  1208,  1209,  1210,  1210,  1211,  1211,  1211,  1212,  1212,
    1213,  1213,  1214,  1214,  1215,  1215,  1215,  1215,  1216,  1216,
    1216,  1217,  1218,  1218,  1219,  1219,  1220,  1220,  1220,  1220,
    1221,  1221,  1222,  1223,  1224,  1225,  1225,  1226,  1227,  1227,
    1228,  1228,  1228,  1228,  1228,  1230,  1229,  1231,  1232,  1233,
    1233,  1234,  1234,  1234,  1234,  1235,  1235,  1237,  1236,  1239,
    1238,  1240,  1238,  1238,  1241,  1241,  1242,  1242,  1242,  1243,
    1243,  1243,  1243,  1244,  1244,  1245,  1245,  1245,  1245,  1245,
    1245,  1246,  1246,  1246,  1247,  1249,  1248,  1250,  1251,  1250,
    1252,  1252,  1253,  1253,  1254,  1254,  1255,  1255,  1255,  1255,
    1255,  1255,  1255,  1255,  1255,  1256,  1256,  1256,  1256,  1256,
    1256,  1256,  1256,  1256,  1256,  1257,  1257,  1258,  1258,  1259,
    1260,  1260,  1261,  1261,  1261,  1262,  1263,  1264,  1264,  1264,
    1264,  1265,  1265,  1265,  1266,  1266,  1267,  1267,  1268,  1269,
    1269,  1270,  1270,  1271,  1271,  1272,  1272,  1273,  1274,  1274,
    1275,  1275,  1275,  1276,  1276,  1276,  1276,  1276,  1276,  1276,
    1276,  1276,  1277,  1277,  1277,  1277,  1277,  1278,  1278,  1279,
    1280,  1281,  1282,  1282,  1283,  1284,  1285,  1285,  1286,  1287,
    1287,  1288,  1289,  1290,  1290,  1291,  1292,  1293,  1293,  1294,
    1295,  1295,  1295,  1295,  1295,  1296,  1296,  1296,  1296,  1296,
    1296,  1296,  1296,  1296,  1296,  1296,  1296,  1296,  1296,  1296,
    1297,  1297,  1298,  1298,  1299,  1299,  1299,  1301,  1300,  1302,
    1302,  1304,  1303,  1305,  1305,  1305,  1306,  1306,  1306,  1306,
    1306,  1306,  1306,  1306,  1306,  1307,  1307,  1308,  1308,  1308,
    1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,
    1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,
    1309,  1309,  1309,  1309,  1309,  1309,  1310,  1310,  1310,  1310,
    1310,  1310,  1310,  1311,  1312,  1312,  1312,  1312,  1312,  1312,
    1312,  1312,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1314,
    1314,  1314,  1314,  1314,  1314,  1315,  1315,  1315,  1315,  1315,
    1315,  1315,  1315,  1315,  1315,  1315,  1316,  1316,  1316,  1316,
    1316,  1317,  1317,  1317,  1317,  1318,  1318,  1318,  1318,  1318,
    1318,  1318,  1319,  1319,  1319,  1320,  1320,  1320,  1320,  1320,
    1320,  1321,  1321,  1322,  1323,  1323,  1324,  1324,  1325,  1326,
    1327,  1328,  1328,  1328,  1329,  1330,  1331,  1332,  1333,  1333,
    1333,  1333,  1333,  1334,  1335,  1335,  1335,  1336,  1336,  1337,
    1337,  1337,  1338,  1338,  1339,  1339,  1340,  1340,  1341,  1341,
    1341,  1341,  1341,  1342,  1342,  1342,  1342,  1342,  1342,  1342,
    1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,
    1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,
    1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,
    1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,
    1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1342,  1343,
    1343,  1343,  1343,  1344,  1344,  1344,  1344,  1344,  1344,  1344,
    1344,  1344,  1344,  1345,  1345,  1345,  1345,  1345,  1346,  1346,
    1347,  1347,  1348,  1348
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       5,     1,     1,     0,     2,     0,     2,     0,     2,     2,
       3,     3,     1,     3,     3,     2,     1,     1,     2,     2,
       2,     3,     3,     5,     5,     0,     3,     5,     5,     5,
       4,     3,     5,     3,     5,     5,     6,     1,     1,     3,
       5,     6,     4,     9,     7,     1,     0,     2,     0,     1,
       1,     1,     1,     1,     1,     2,     3,     3,     2,     5,
       1,     3,     3,     3,     3,     1,     3,     3,     2,     2,
       2,     2,     3,     3,     3,     3,     1,     3,     1,     3,
       1,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     3,     5,     1,     1,     1,     1,     1,     0,
       1,     1,     2,     1,     2,     3,     2,     1,     1,     2,
       1,     2,     1,     3,     4,     5,     4,     2,     4,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     4,
       6,     4,     6,    10,    13,     4,     6,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     1,     3,     4,
       3,     2,     5,     3,     6,     4,     6,     6,     6,     5,
       5,     6,     9,     4,     5,     7,     6,     4,     8,     4,
       2,     4,     3,     6,     4,     3,     3,     3,     3,     2,
       2,     3,     4,     4,     3,     3,     3,     3,     3,     3,
       4,     4,     3,     2,     3,     2,     2,     3,     3,     2,
       2,     3,     4,     4,     4,     5,     1,     3,     2,     1,
       1,     0,     2,     0,     2,     0,     1,     1,     1,     3,
       3,     2,     0,     1,     3,     3,     1,     5,     3,     1,
       2,     1,     3,     2,     3,     6,    10,     1,     1,     1,
       1,     3,     1,     3,     1,     1,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    11,     9,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       3,     2,     1,     0,     2,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    12,    15,    11,    14,    13,    16,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     4,     2,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     5,     1,     2,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     7,     3,     8,     4,     9,
      11,     2,     0,     3,     0,     1,     3,     1,     2,     2,
       2,     0,     1,     3,     3,     6,     4,     0,     1,     1,
       2,     2,     0,     3,     3,     2,     1,     1,     2,     2,
       4,     0,     1,     0,     6,     1,     1,     1,     3,     3,
       3,     5,     2,     2,     2,     0,     3,     4,     4,     0,
       2,     0,     4,     0,     3,     8,    11,     5,     2,     3,
       0,     8,    11,     4,     1,     0,     6,     5,     8,     4,
       6,     1,     0,     3,     0,     1,     2,     2,     2,     1,
       2,     3,     2,     2,     2,     2,     3,     3,     3,     1,
       3,     1,     0,     1,     2,     2,     1,     1,     3,     6,
      10,     1,     0,     1,     2,     2,     0,     2,     2,     1,
       0,     5,     7,     1,     0,     7,     2,     0,     3,     5,
       5,     8,     2,     0,     2,     2,     2,     1,     5,     2,
       0,     2,     7,     6,    10,     6,     6,     6,     6,     7,
       6,     9,     9,     6,     7,     6,     8,     8,     8,     8,
       6,     6,     7,     7,     8,     6,     9,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,    13,     2,     0,     2,     2,     1,
       0,     5,     4,     4,    11,    14,    12,    15,     5,     7,
      11,     2,     1,     4,     0,     8,    11,     1,     1,     7,
       9,     8,    10,     8,     4,     0,     5,     0,     2,     0,
       2,     0,     2,     0,     2,     0,     1,     1,     1,     1,
       1,     8,    16,    20,     1,     1,     2,     1,     3,     1,
       1,     1,     3,     1,     2,     0,     1,     2,     4,     1,
       1,     1,     1,     1,     3,     0,     1,     0,     1,     1,
       4,     0,     1,     3,     0,     1,     1,     1,     1,     2,
       0,     0,     2,     2,     1,     2,     2,     2,     2,    11,
      13,     1,     3,     5,     1,     3,     5,     1,     2,     2,
       1,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     6,     4,     7,     5,     8,     3,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     7,     9,
       9,     8,     3,     0,    13,     1,     3,     5,     5,     3,
       6,     2,     1,     0,     2,     0,     2,     4,     0,     1,
       0,     6,     8,     8,     1,     3,     5,     5,     7,     9,
       7,     9,     5,     6,     6,     4,     6,     4,     6,     8,
       4,     6,     4,     6,     5,     7,     1,     1,     1,     2,
       1,     2,     1,     1,     1,     3,     3,     3,     3,     2,
       2,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     2,     2,     3,     1,     3,     5,     2,     2,
       0,     6,     6,     6,     6,     6,     6,     6,     8,     9,
       8,     8,     9,     8,     9,     9,     7,    10,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     2,     3,     3,
       3,     3,     2,     1,     2,     1,     3,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     8,     8,     8,     8,
       8,     8,     9,     2,     0,     1,     2,     1,     1,     1,
       2,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     3,     4,     5,     4,     5,     3,     4,
       3,     4,     1,     2,     3,     3,     3,     3,     4,     4,
       3,     3,     4,     4,     4,     4,     1,     1,     1,     0,
       7,     7,    10,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     3,     2,     2,     2,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     6,     6,     9,     3,
       0,     3,     0,     5,     2,     0,     3,     3,     3,     7,
       7,    10,     1,     1,     1,     1,     1,    14,    17,     1,
       0,     1,     0,     1,     0,     2,     0,     1,     3,     5,
       5,     7,     2,     0,     1,     0,     1,     1,     0,     2,
       2,     0,     9,    12,     7,     2,     0,     3,     2,     1,
       3,     1,     3,     2,     1,     1,     2,     3,     2,     1,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     4,     5,     1,     3,     3,     1,
       3,     3,     5,     6,     1,     3,     2,     1,     3,     1,
       2,     4,     5,     1,     1,     1,     1,     3,     3,     2,
       2,     1,     2,     2,     2,     1,     2,     2,     2,     2,
       1,     1,     1,     3,     3,     5,     2,     0,     2,     1,
       3,     5,     1,     2,     1,     0,     4,     6,     4,     6,
       4,     6,     3,     5,     5,     5,     1,     3,     1,     3,
       2,     2,     1,     2,     1,     2,    11,    10,    10,     2,
       2,     0,     9,     2,     0,    10,    11,    11,     5,     5,
       8,     3,     3,     6,     6,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     5,     6,     6,     6,     6,     6,
       8,     8,     6,     6,     7,     9,     9,     8,    10,     6,
       6,     6,     6,     6,     8,     6,     8,     6,     8,     7,
       9,     6,     8,     7,     9,     8,    10,     9,    11,     8,
      10,     9,    11,     8,     8,     7,     6,     6,     6,     6,
       8,     8,     8,     8,     6,     9,     1,     0,     2,     0,
       7,     9,     8,     7,     6,     6,     6,     6,     6,     6,
       6,     9,     9,     6,     8,     6,     8,     8,     8,     8,
       6,     8,     6,     8,     7,     9,     7,     9,     6,     7,
       1,     3,     3,     3,     1,     1,     1,     1,     1,     6,
       6,     6,     6,     6,     6,     7,     7,     6,     9,     9,
       6,     6,     6,     6,     8,     8,     8,     6,     7,     6,
       6,     5,     1,     0,     3,     3,     5,     6,     6,     6,
       8,     1,     3,     1,     5,     5,     6,     7,     4,     4,
       4,     6,    13,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     0,     3,     2,     0,     2,     2,     2,     2,     3,
       3,     2,     2,     2,     2,     3,     2,     5,     4,     3,
       3,     3,     1,     1,     0,     3,     2,     2,     1,     2,
       1,     3,     2,     1,     0,     9,    11,    12,    14,     3,
       4,     4,     0,     2,     5,     1,     0,     1,     2,     3,
       3,     3,     1,     2,     1,     1,     1,     1,     1,     1,
       0,     5,     4,     6,     4,     3,     5,     5,     4,     4,
       6,     4,     6,     6,     5,     7,     9,     6,     1,     0,
       6,    11,    11,    11,    13,     9,    11,     1,     1,    10,
       4,     2,     5,     2,     0,     4,     5,     5,     4,     6,
       1,     3,     1,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     0,     1,     0,     1,     0,     3,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     4,     3,     0,     1,     1,     1,     1,     4,     9,
       3,     0,     7,     1,     3,     1,     4,     4,     7,     2,
       1,     1,     1,     3,     2,     8,     5,     0,     4,     3,
       0,     3,     0,     7,     2,     0,     5,     3,     0,     2,
       2,     2,     3,     1,     3,     1,     2,     1,     0,     1,
       2,     0,     8,     1,     3,     3,     5,     2,     1,     3,
       7,     1,     1,     0,     3,     2,     2,     2,     0,     2,
       2,     1,     1,     3,     3,     1,     2,     4,     4,     2,
       3,     5,     5,     1,     1,     9,     9,     1,     2,     4,
       4,     4,     2,     2,     3,     1,     3,     6,     1,     0,
       2,     1,     0,     3,     3,     4,     4,     4,     4,     3,
       2,     1,     1,     0,     1,     1,     0,     1,     5,     1,
       0,     1,     0,     3,     1,     3,     4,     3,     2,     2,
       1,     1,     1,     0,     2,     4,     5,     2,     3,     1,
       1,     1,     1,     3,     0,     1,     1,     1,     1,     1,
       3,     0,     1,     3,     1,     1,     1,     1,     1,     2,
       4,     4,     5,     2,     0,     1,     3,     1,     0,     1,
       2,     3,     2,     4,     2,     3,     2,     0,     4,     5,
       2,     0,     1,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     1,     4,     3,     4,     5,     4,     5,     4,
       5,     2,     4,     1,     1,     0,     1,     4,     5,     4,
       0,     2,     2,     2,     1,     1,     0,     4,     2,     1,
       2,     2,     4,     1,     3,     1,     2,     3,     6,     4,
       0,     2,     6,     2,     1,     3,     4,     0,     2,     0,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       7,    12,     1,     3,     2,     3,     3,     1,     2,     2,
       2,     2,     1,     1,     3,     3,     2,     2,     3,     5,
       6,     2,     3,     3,     4,     0,     1,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     1,     2,     3,     3,
       0,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     1,     3,     0,     1,     1,     1,     1,     5,     2,
       1,     1,     1,     1,     4,     1,     2,     2,     1,     3,
       3,     2,     1,     0,     5,     2,     5,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     3,     3,     3,     0,     1,     4,     1,     3,
       3,     5,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     3,
       3,     2,     2,     3,     5,     4,     6,     3,     5,     4,
       6,     4,     6,     5,     7,     3,     2,     4,     2,     3,
       3,     4,     3,     4,     3,     4,     5,     6,     6,     7,
       6,     7,     6,     7,     3,     4,     4,     6,     2,     3,
       4,     1,     1,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     5,     6,     6,     7,     3,     4,     1,     1,     2,
       4,     1,     1,     1,     2,     2,     2,     2,     1,     1,
       4,     3,     5,     6,     8,     6,     6,     4,     4,     1,
       1,     1,     5,     1,     1,     4,     1,     4,     1,     4,
       1,     4,     1,     1,     1,     1,     1,     1,     6,     4,
       4,     4,     4,     6,     5,     5,     5,     4,     6,     4,
       4,     4,     4,     5,     7,     7,     9,     5,     4,     6,
       5,     7,     7,     7,     2,     3,     3,     3,     4,     0,
       4,     1,     3,     3,     1,     1,     1,     2,     2,     0,
       2,     4,     4,     6,     5,     0,     5,     0,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     2,     2,     0,     1,     4,     2,     2,     2,     2,
       2,     4,     3,     5,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     1,     4,     1,     4,
       1,     2,     1,     2,     1,     3,     1,     3,     1,     3,
       3,     1,     3,     3,     3,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     0,     1,     2,     0,     2,     1,     0,     1,     0,
       1,     3,     3,     2,     1,     1,     1,     3,     1,     2,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     6,     2,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     2,
       4,     3,     2,     1,     1,     1,     1,     1,     0,     8,
       2,     5,     3,     2,     2,     3,     7,     1,     1,     1,
       0,     2,     2,     1,     0,     1,     3,     1,     2,     0,
       2,     0,     2,     0,     1,     3,     4,     3,     1,     1,
       1,     1,     2,     0,     2,     4,     0,     2,     2,     2,
       1,     1,     7,     3,     1,     1,     1,     1,     2,     0,
       1,     3,     3,     3,     3,     0,     4,     5,     5,     0,
       1,     1,     1,     2,     2,     1,     2,     0,     7,     0,
       5,     0,     4,     2,     2,     0,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     5,     2,
       1,     3,     2,     2,     3,     0,     5,     1,     0,     5,
       2,     2,     1,     1,     1,     2,     2,     3,     1,     2,
       2,     3,     3,     4,     2,     1,     2,     1,     1,     2,
       2,     3,     1,     1,     1,     1,     0,     1,     3,     5,
       0,     2,     0,     1,     2,     3,     2,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     2,     2,     3,     0,
       1,     2,     1,     4,     3,     4,     3,     2,     1,     3,
       1,     1,     1,     1,     2,     2,     1,     2,     2,     1,
       1,     1,     4,     4,     4,     4,     4,     1,     0,     3,
       3,     4,     1,     3,     3,     4,     1,     3,     3,     1,
       1,     1,     6,     1,     3,     3,     6,     1,     3,     3,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     4,     1,     1,     4,     4,     3,     0,     7,     1,
       0,     0,     7,     3,     4,     3,     1,     1,     1,     2,
       3,     5,     2,     5,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     0,     1,     2,     1,     2,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     3,     1,     2,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       3,     2,     3,     1,     3,     3,     3,     3,     3,     3,
       1,     1,     4,     0,     2,     2,     1,     1,     2,     1,
       1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1605 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32222 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1607 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32228 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1609 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32234 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1611 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32240 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1613 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32246 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1615 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32252 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1617 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32258 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1619 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32264 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1621 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32270 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1623 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32276 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1625 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32282 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1627 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32288 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1629 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32294 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1631 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32300 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1633 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32306 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1635 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32312 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1637 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32318 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1639 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32324 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1641 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32330 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1643 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32336 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1645 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32342 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1647 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32348 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1649 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32354 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1651 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32360 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1653 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32366 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1655 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32372 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1657 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32378 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1659 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32384 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1661 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32390 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1663 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32396 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32402 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1667 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32408 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1669 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32414 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1671 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32420 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1673 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32426 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1675 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 32448 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1693 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32454 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1695 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32460 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1697 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32466 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1699 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32472 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1701 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32478 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1703 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32484 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1705 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32490 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1707 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32496 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1709 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32502 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1711 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32508 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1713 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32514 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1715 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32520 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1717 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32526 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1719 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32532 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1721 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32538 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1723 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32544 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1725 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32550 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1727 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32556 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1729 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32562 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32568 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32574 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32580 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1737 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32586 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1739 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32592 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32598 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1743 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32604 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1745 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32610 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1747 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32616 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1749 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32622 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1751 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32628 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1753 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32634 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1755 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32640 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1757 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32646 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32652 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32658 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32664 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1765 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 32672 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 32678 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32684 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32690 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1775 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 32696 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1777 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32702 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1779 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32708 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1781 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32714 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1783 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32720 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1785 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32726 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1787 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32732 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1789 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32738 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1791 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32744 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1793 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32750 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1795 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32756 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1797 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32762 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1799 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32768 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1801 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32774 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1803 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32780 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1805 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32786 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1807 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32792 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1809 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 32798 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1811 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32804 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1813 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 32810 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1815 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32816 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1817 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32822 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1819 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32828 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1821 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32834 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1823 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32840 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1825 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32846 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1827 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32852 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1829 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32858 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1831 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32864 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1833 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32870 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1835 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 32881 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1842 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32887 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1844 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32893 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1846 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32899 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1848 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32905 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1850 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32911 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1852 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32917 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1854 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32923 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1856 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32929 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1858 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32935 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1860 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32941 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1862 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32947 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1864 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 32957 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1870 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32963 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1872 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32969 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1874 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32975 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1876 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32981 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1878 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32987 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1880 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32993 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1882 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32999 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1884 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33005 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1886 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 33015 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1892 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33029 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1902 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 33037 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1906 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 33047 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1912 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 33055 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1916 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 33069 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1926 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33083 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1935 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 33089 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1937 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33107 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1951 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 33118 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1958 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 33128 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1964 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 33143 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1975 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33153 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1981 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33166 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1990 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 33177 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1997 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 33187 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 2003 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 33200 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 2012 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 33211 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 2019 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 33222 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 2026 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33228 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33236 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 33244 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 33252 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33259 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33267 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33274 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33282 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33289 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 33297 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 33305 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 33313 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2089 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 33322 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 33330 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 33338 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 33346 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 33354 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33362 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33370 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 33378 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 33386 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 33394 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 33402 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 33410 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33418 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33426 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33433 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 33441 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33449 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33457 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33465 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33473 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 33481 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 33489 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 33497 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 33505 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33513 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 33521 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 33529 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 33537 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 33545 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 33553 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33561 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33569 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2273 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33578 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2278 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33587 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33595 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33602 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33610 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33617 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33625 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33633 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33641 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33649 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33657 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33665 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33673 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 33681 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 33689 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 33697 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 33705 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33713 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 33721 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33729 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 33737 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33745 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 33753 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 33761 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2394 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 33770 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 33778 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 33786 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 33794 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 33802 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 33810 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 33818 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 33826 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33834 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33842 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33850 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33858 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33866 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2459 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 33880 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 33888 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 33896 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 33904 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 33912 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 33920 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 33928 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 33936 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33944 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33952 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33960 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33968 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 33976 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33984 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33992 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 34000 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34008 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 34016 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34023 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34031 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34039 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 34047 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34055 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 34063 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 34071 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 34079 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34087 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34095 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34103 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34111 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34119 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34127 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 34135 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 34143 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 34151 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 34159 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2652 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 34168 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34176 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34184 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34192 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 34200 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 34208 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 34216 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 34224 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 34232 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 34240 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 34248 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 34256 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34264 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34272 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34280 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34288 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34296 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34304 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34312 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34320 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34328 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34336 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34344 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34352 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34360 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34368 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34376 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34384 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34392 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34400 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34408 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34416 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34424 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("detach partition"),(yyvsp[0].str));
}
#line 34432 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 34440 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 34448 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 34456 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 34464 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34472 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 34480 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 34488 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 34496 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 34504 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 34512 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 34520 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 34528 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34536 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 34544 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 34552 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34560 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34568 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34576 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34584 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 34592 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34600 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 34608 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34616 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34624 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 34632 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 34640 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 34648 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 34656 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 34664 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 34672 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 34680 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 34688 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 34696 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 34704 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 34712 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 34720 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 34728 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 34736 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 34744 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 34752 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 34760 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 34768 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 34776 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 34784 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 3001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 34792 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 3005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 34800 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 3009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 34808 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 3013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 34816 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 3017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34824 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 3021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 34832 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 3025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 34840 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 34848 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 34856 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 34864 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 34872 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34880 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 34888 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 34896 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 34904 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34912 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34919 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34927 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34934 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 34942 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34949 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 34957 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 34965 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 34973 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 34981 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34989 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34997 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35004 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35012 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35020 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35028 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35036 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35044 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 35052 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35060 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35068 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 35076 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35084 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35092 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 35100 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35108 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35116 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35124 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35132 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 35140 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35148 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35156 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35164 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35172 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 35180 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35188 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35196 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35204 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35212 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35220 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35228 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35236 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35244 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3309 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 35253 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 35261 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3322 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35273 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35281 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 35289 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 35297 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 35305 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35312 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35320 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 35328 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 35336 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35344 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35352 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35360 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35367 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 35375 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 35383 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 35391 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35399 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35407 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 35415 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 35423 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35431 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35439 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 35447 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 35455 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 35463 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 35471 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 35479 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 35487 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35494 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 35502 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35509 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 35517 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35524 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 35532 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35539 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35547 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35555 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35563 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35571 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35579 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 35587 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35595 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35602 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35610 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35618 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35626 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35634 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35642 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35650 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35658 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35666 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35674 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 35682 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 35690 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 35698 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 35706 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 35714 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 35722 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 35730 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35737 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35745 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35752 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35760 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35767 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35775 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35783 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35791 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35799 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35807 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35815 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35823 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35831 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35839 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35847 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35855 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 35863 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35871 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35878 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35886 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35894 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35902 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 35910 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 35918 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 35926 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35934 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35942 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 35950 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 35958 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 35966 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35974 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 35982 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by default");
}
#line 35990 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 35998 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36006 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36014 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36022 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36030 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 36038 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 36046 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36053 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 36061 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 36069 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 36077 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 36085 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 36093 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 36101 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36109 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36117 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36125 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36133 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36141 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36149 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36157 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36165 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36173 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36181 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36189 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36196 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36204 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36211 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36219 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36227 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36235 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 36243 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3968 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 36252 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 36260 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36267 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36275 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36283 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36291 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36299 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36307 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36314 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36322 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36330 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36338 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36346 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36353 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 36361 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 36369 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 36377 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36385 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 36393 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 36401 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 36409 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36417 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36424 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36432 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36439 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36447 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36455 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36463 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36471 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36479 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36487 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36495 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36503 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 36511 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 36519 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 36527 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36534 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 36542 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 36550 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 36558 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36565 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 36573 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36580 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 36588 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36595 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 36603 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36611 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36619 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36627 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 36635 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 36643 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36650 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36658 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36666 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36674 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 36682 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36689 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36697 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36705 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36713 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36721 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36729 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36737 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36744 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36752 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36759 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36767 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36775 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 36783 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 36791 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 36799 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 36807 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36815 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 36823 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 36831 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 36839 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 36847 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 36855 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 36863 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36871 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 36879 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36887 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 36895 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36902 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36910 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 36918 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 36926 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36934 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36942 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36950 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 36958 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36966 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 36974 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36981 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36989 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36997 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 37005 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37012 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 37020 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 37028 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37036 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37043 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37051 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37059 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 37067 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37074 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37082 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 37090 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37097 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 37105 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 37113 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37121 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37129 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37137 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37144 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 37152 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 37160 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 37168 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 37176 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 37184 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37192 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37199 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37207 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("access method"),(yyvsp[0].str));
}
#line 37215 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 37223 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37231 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 37239 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 37247 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 37255 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 37263 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37271 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 37279 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37287 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37295 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 37303 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 37311 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 37319 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 37327 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 37335 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 37343 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 37351 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 37359 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 37367 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 37375 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 37383 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 37391 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37399 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37407 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 37415 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37423 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 37431 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 37439 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 37447 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 37455 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37463 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37471 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37479 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37486 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37494 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37502 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37510 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37517 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37525 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37533 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37541 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37549 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37557 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37565 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 37573 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 37581 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 37589 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37597 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37605 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37613 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37621 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37629 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 37637 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37644 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 37652 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 37660 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37668 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37675 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37683 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37691 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37699 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37707 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37715 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37723 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37731 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37739 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37747 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37755 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 37763 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 37771 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37779 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37786 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37794 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37802 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37810 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 37818 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37826 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37834 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37842 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37850 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37858 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37866 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37873 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37881 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37888 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37896 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37903 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37911 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37918 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 37926 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37933 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 37941 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37948 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 37956 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 37964 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 37972 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 37980 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 37988 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 37996 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38004 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38012 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 38020 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 38028 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 38036 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38044 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 38052 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 38060 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 38068 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 38076 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 38084 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 38092 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 38100 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38107 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38115 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38123 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38131 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 38139 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 38147 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 38155 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38163 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38171 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38179 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38186 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 38194 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38201 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38209 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 38217 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38225 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38232 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38240 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38248 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38255 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38263 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38271 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38279 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38287 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38295 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38302 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38309 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38317 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 38325 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 38333 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 38341 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 38349 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 38357 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 38365 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 38373 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 38381 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38389 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 38397 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38405 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 38413 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 38421 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38429 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 38437 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 38445 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 38453 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 38461 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5518 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38470 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5527 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38479 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38487 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38495 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38503 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38511 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 38519 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38527 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38535 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 38543 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38551 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38559 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38567 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38575 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38583 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38591 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38599 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38607 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38615 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38623 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38631 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38639 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38647 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38655 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38663 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38671 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38679 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38687 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 38695 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38703 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38711 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38719 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38727 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38735 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38742 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38750 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38758 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38766 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 38774 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 38782 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 38790 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 38798 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38805 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 38813 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38821 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38829 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38837 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38845 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38853 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38861 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 38869 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 38877 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38884 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 38892 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38899 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 38907 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 38915 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38922 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5827 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 38931 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38938 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 38946 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 38954 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 38962 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38970 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38978 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38986 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38994 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39002 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39010 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39018 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39026 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39034 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39042 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39050 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39058 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39066 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39074 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39082 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39090 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39098 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39106 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39114 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39122 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39130 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39138 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39146 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39154 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39162 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39170 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39178 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39186 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 39194 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 39202 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 39210 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 39218 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 39226 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 39234 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 39242 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 39250 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39258 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 39266 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 39274 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39282 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39290 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 39298 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 39306 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 39314 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 39322 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39330 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39338 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39346 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39354 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 39362 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39370 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39378 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39386 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 39394 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 39402 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39409 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39417 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39425 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39433 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39441 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39449 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39457 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39465 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39473 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39481 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39489 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39497 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39505 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39513 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39521 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39529 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39537 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 39545 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 39553 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39561 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39569 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 39577 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39585 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39593 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39601 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 39609 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 39617 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39625 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 39633 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 39641 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 39649 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 39657 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 39665 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39673 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39681 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 39689 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 39697 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 39705 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39713 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 39721 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39729 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 39737 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 39745 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 39753 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39761 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 39769 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39777 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39785 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39793 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39801 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39809 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39817 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39825 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 39833 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39840 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 39848 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39856 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39864 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39872 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39880 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39888 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39896 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39904 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 39912 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39920 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 39928 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39936 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 39944 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 39952 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 39968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 39976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 39984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6466 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 39992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6470 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 40002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6476 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 40012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6482 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 40022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6488 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 40032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6494 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 40042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6500 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 40052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6506 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 40062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6512 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 40072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6522 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 40087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6533 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6544 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6555 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6566 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6577 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6588 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6604 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6620 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6636 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6647 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6663 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6674 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6690 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 40315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 40323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 40378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 40386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 40426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 40434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 40442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 40466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 40474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 40482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 40490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 40498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 40506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 40514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 40522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 40530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 40538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 40546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 40554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 40562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 40570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 40578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 40610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 40618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 40657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 40672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 40710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 40718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 40726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 40758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 40766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 40774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 40782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 40790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 40814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 40829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 40859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 40914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 40944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 40952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 40967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 40975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 41014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 41037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 41117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 41181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 41189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 41197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 41205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 41213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 41245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 41253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 41269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7363 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 41286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 41294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 41382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 41390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 41398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 41406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 41414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 41422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 41430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 41438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 41446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 41454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 41462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 41470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 41478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 41486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 41502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 41510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 41518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 41526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 41534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 41566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 41574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 41582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 41645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 41732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 41748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 41780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 41812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 41828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 41836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 41844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 41852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 41875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 41898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 41906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 41914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 41922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 41970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 41978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 41986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 41994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 42002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 42026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 42034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 42042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 42458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 42473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 42744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for table"),(yyvsp[0].str));
}
#line 42999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for all tables");
}
#line 43007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 43015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("add table"),(yyvsp[0].str));
}
#line 43023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("set table"),(yyvsp[0].str));
}
#line 43031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("drop table"),(yyvsp[0].str));
}
#line 43039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 43079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 43087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 43095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 43111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 43119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 43151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 43175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 43246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 43254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 43262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 43270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 43278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 43286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 43309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 43324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 43332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 43340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 43348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 43364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 43372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 43380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 43388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 43396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 43404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 43412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 43420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 43436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 43444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 43452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 43460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 43468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 43483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 43491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 43499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 43507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 43515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8800 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8805 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 43596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 43604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 43612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 43627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 43690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 43706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 43714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 43722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 43730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 43738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 43746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 43754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 43769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 43785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 43801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 43809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 43817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 43825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 8979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 43833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 8987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 8995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 8999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 43857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 43865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 43873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 43897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 43905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 43960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 43968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 43976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 43984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 43992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 44008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 44016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 44024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 44151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 44159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 44227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 44243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9356 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 44396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9362 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 44406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9403 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 44459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 44506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 44522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 44538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 44546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 44554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 44562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 44602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 44625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 44640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 44663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 44686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 44701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 44709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 44717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 44725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 44733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 44741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 44749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 44757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 44788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 44835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9693 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 44912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9750 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 44932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 44947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 44955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 44963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 44971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9785 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 44982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 44990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 44998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 45142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 45174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 45182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 45190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9955 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 45238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9959 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 45315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 45415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 45502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10135 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 45511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 45519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 45527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 45606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 45614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 45622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 45630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 45701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 45733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 45756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 45803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 45811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 45819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 45827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 45835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 45866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10450 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10457 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 45991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 46015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 46023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 46039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 46117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 46125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 46133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 46141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 46149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 46172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 46188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 46196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 46330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 46345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 46360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10737 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 46369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 46471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 46503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 46511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 46551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10876 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 46557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10878 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 46563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 46587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 46595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10900 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 46609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10910 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 46623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10920 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 46633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 11005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 46760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 11009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 46768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 11013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 46776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 11017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 46784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 11021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 46792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 11025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 46800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 11029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 46808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 11033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 46816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 11037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 46824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 11041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 46832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 11045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 46840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 11053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 11057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 11064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 11068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 11076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 11080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 11088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 11096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 46903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 11104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 11108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 11116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 11120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 11128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 11136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 11144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 46959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 11148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 46967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 11152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 46975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 11156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 46983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 46991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 46999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 47007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 47030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 47046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 47054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 47062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 47070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 47085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 47093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 47101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 47109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 47117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 47133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 47141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 47149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 47157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 47165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 47173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 47181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 47196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 47220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 47228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 47236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 47260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 47268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 47276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 47284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 47292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 47300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 47308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 47316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 47324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 47332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 47340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 47348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 47388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 47396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 47404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 47412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 47428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 47444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 47460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 47476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 47492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 47508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 47516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 47524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 47532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 47540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 47548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 47556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 47564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 47572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 47580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 47588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 47596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 47604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 47660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 47668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11537 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 47693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 47701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 47709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 47717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 47733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 47757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 47765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 47773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 47781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 47789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 47797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 47805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 47813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 47821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 47829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 47837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 47845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 47877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 47885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 47909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 47917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 47989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 47997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 48005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 48037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 48085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 48133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 48141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 48157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 48173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 48189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 48205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 48213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 48221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 48229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 48237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 48245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 48461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 48469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 48477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 48485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 48493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 48548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 48556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 48564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 48572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 48587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 48595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 48603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 48611 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 48649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 48688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 48696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48726 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 48734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12158 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 48750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 48758 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 48781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 48789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 48797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 48805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 48813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 48821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 48837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 48861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 48877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 48885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 48893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 48917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 48925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 48933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 48941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 48949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 48957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 48965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 48973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 48981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 48989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 48997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 49005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 49061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 49069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 49077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 49085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 49133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 49141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 49181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 49205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 49228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 49236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 49244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 49252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 49260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 49268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 49300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 49308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49315 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 49370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 49378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 49386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 49394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 49426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 49450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 49458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 49504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 49512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 49582 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 49628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 49652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 49804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 49852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 49860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 49868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12924 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12925 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12931 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49886 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12940 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 49908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 49916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 49940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 49948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 13002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 13010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 50004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 13014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 50012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 13018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 50020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 13022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 50028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 13026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 50036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 13030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 50044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 13034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 50052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 13038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 50060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 13042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 50068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 13046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 50076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 13050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 50084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 13054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 50092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 13058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 50100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 13062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 50108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 13066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 50116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 13070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 50124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 13074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 50132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 13078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 50140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 13082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 50148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 13086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 50156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 13090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 50164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 13094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 50172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 13098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 50180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 13102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 50188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 13106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 50196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 13110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 50204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 13114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 50212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 13118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 50220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 13122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 50228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 13126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 50236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 13130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 50244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 13134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 50252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 13138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 50260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 13142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 50268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 13146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 50276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 13150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 50284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 13154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 50292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 13158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 50300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 13162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 50308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 13166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 50316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 13170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 50324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 13174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 50332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 13178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 50340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 13182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 50348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 13186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 50356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 50364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 50372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 50380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 50388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 50396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 50404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 50412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 50420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 50428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 50436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 50444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 50452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 50460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 50468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 50476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 50484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 50492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 50500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 50508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 50516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 50524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 50532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 50540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 50548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 50556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 50564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 50572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 50580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 50588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 50596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 50604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 50612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 50620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 50628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 50636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 50644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 50652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 50660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 50668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 50676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 50684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 50692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 50700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 50708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 50716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 50724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 50732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 50740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 50748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 50756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 50764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 50772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 50780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 50788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 50796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 50804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 50812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 50820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 50828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 50836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 50844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 50852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 50860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 50868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 50876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 50884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 50892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 50900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 50908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 50916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 50924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 50932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 50940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 50948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 50956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 50964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 50972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 50980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 50988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 50996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 51004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 51012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 51020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 51028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 51036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 51044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 51052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 51060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 51068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 51076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 51084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 51092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 51100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 51108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 51116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 51124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 51132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 51140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 51148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 51156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 51164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 51172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 51180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 51188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 51196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 51204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 51212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 51220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 51228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 51236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 51244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 51252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 51260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 51268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 51276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 51284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 51292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 51300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 51308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 51316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 51324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 51332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 51340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 51348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 51356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 51364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 51372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 51380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 51388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 51396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 51404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 51412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 51420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 51428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 51436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 51444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 51452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 51460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 51468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 51476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 51484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 51492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 51500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 51508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 51516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 51524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 51532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 51540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 51548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 51556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 51564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 51572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 51580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 51588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 51596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 51604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 51612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 51620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 51628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 51636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 51644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 51652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 51660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 51668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 51676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 51684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 51692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 51700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 51708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 51716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 51724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 51732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 51740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 51748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 51756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 51764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 51772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 51780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 51788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 51796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 51804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 51812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 51820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 51828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 51836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 51844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 51852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 51860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 51868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 51876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 51884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 51892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 51900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 51908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 51916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 51924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 51932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 51940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 51948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 51956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 51964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 51972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 51980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 14002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 51988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 14006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 51996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 14010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 52004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 14014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 52012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 14018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 52020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 14022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 52028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 14026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 52036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 14030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 52044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 14034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 52052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 14038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 52060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 14042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 52068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 14046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 52076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 14050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 52084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 14054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 52092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 14058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 52100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 14062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 52108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 14066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 52116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 14070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 52124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 14074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 52132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 52140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 52148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 52156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 52164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 52172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 52180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 52188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 52196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 52204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 52212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 52220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 52228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 52236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 52244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 52252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 52260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 52268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 52276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 52284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 52292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 52300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 52308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 52316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 52324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 52332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 52340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 52348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 52356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 52364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 52372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 52380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 52388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 52396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 52404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 52412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 52420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 52428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 52436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 52444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 52452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 52460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 52468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 52476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 52484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 52492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 52500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 52508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 52516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 52524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 52532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 52540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 52548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 52556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 52564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 52572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 52580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 52588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 52596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 52604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 52612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 52620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 52628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 52636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 52644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 52652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 52660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 52668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 52676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 52684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 52692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 52700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 52708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 52716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 52724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 52732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 52740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 52748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 52756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 52764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 52772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 52780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 52788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 52796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 52804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 52812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 52820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 52828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 52836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 52844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 52852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 52860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 52868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 52876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 52884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 52892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 52900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 52908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 52916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 52924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 52932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 52940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 52948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 52956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 52964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 52972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 52980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 52988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 52996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 53004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 53012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 53020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 53028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 53036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 53044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 53052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 53060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 53068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 53076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 53084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 53092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 53100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 53108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 53116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 53124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 53132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 53140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 53148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 53156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 53164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 53172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 53180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 53188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 53196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 53204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 53212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 53220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 53228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 53236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 53244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 53252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 53260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 53268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 53276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 53284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 53292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 53300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 53308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 53316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 53324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 53332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 53340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14703 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 53346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14706 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 53356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14712 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 53362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14713 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 53368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14714 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 53374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14716 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 53389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14728 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 53395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14729 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 53406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14738 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 53420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 53426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 53432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14758 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 53438 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 53444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14764 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 53460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14776 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 53480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14792 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 53488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14796 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 53501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14806 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14807 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14811 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 53527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14823 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 53538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14831 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14832 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53550 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14835 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14836 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 53562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14837 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14840 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 53574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14841 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14844 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14845 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 53592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14848 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53598 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14849 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 53604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 53610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14855 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14857 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14859 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14863 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 53639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14870 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 53650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14877 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 53668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14893 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 53704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14927 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 53718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14936 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14940 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 53732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14944 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 53746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14956 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14958 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53758 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14960 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14962 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14966 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 53788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14979 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14987 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 53857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 15048 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 53867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15058 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15059 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 15062 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15064 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15065 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15068 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15069 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 53909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15070 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 53915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15071 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 53921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15072 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 53927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15079 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 53933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15081 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 53943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15088 "preproc.y" /* yacc.c:1646  */
    {}
#line 53949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15090 "preproc.y" /* yacc.c:1646  */
    {}
#line 53955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15092 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15093 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15096 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15097 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15098 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15099 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15102 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15103 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15107 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 54013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15113 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 54025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15123 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 54039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15133 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 54047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15137 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 54061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15147 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 54069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15151 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 54077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15156 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 54083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15157 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15161 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15162 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 54101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15163 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 54107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15166 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 54113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15167 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 54119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 54125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 54131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15172 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 54137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15173 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 54143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15177 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15185 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 54176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15202 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15210 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15233 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 54325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15339 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 54361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15373 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 54367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15375 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 54373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 54379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15381 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 54385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15384 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 54396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15391 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 54442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15434 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15436 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 54458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15442 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 54469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15451 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 54479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15457 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 54488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15464 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 54497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15469 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 54505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15474 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 54511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15475 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 54517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15478 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 54523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15479 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 54529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15480 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 54535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15481 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 54541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15482 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 54547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15483 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 54553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15485 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 54565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15493 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 54577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15500 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 54583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15503 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 54589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15504 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 54595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15505 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 54601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15506 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 54607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15507 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 54613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15509 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 54625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15517 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 54637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15524 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 54643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15525 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 54649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15526 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 54655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15534 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15536 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 54672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15545 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 54761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15632 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15634 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 54776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15640 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15641 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 54788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15642 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 54794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15649 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 54803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15660 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15661 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 54821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 54827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15663 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 54833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15666 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 54839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15667 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 54845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15672 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15674 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 54863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15681 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15682 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15689 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 54885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15696 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15697 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15700 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15701 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15705 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15710 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15717 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15722 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15729 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15738 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 54965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15745 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 54989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 54995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 55007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 55013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15754 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15763 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 55042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15770 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15782 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15788 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 55079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15795 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15802 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 55095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15803 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15816 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15827 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15838 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 55125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15846 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 55131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15851 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 55137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15859 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 55145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15865 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 15873 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2861:
#line 15878 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 55171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2862:
#line 15886 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 55177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 15893 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 55183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2866:
#line 15897 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 55189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15905 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 55197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15911 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15920 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15925 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15935 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15945 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15956 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 55263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15957 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 55269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15958 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 55275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15959 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 55281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15960 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 55287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15961 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 55293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15962 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 55299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 15963 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 55305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 15964 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 55311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 15965 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 55317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 15966 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 55323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 15967 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 55329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 15968 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 55335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 15969 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 55341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 15970 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 55347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 15977 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 15978 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 15981 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 55365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 15982 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 55371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 15989 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 15990 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 15991 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 15998 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 55399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 16004 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 55412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 16014 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 55418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 16015 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 16022 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 55434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 16028 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 55496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 16092 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 16098 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 16104 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55526 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 16112 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 55536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 16118 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 55546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 16124 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 55556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 16130 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 55566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 16136 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 55576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 16142 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 55586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 16148 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 55596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 16154 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 55606 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 16160 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 55616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 16170 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 16171 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 16174 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 55634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 16175 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 55640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 16176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 55646 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 16177 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 55652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 16178 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 55658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 16179 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 55664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 16180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 55670 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 16181 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 55676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 16182 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 55682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 16183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 55688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 16184 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 55694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 16185 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 55700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 16186 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 55706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 16187 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 55712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 16188 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 55718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 16189 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 55724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 16190 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 55730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 16191 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 55736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 16192 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 55742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 16193 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 55748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 16194 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 55754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 16195 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 55760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 16196 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 55766 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 16199 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 55772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 16200 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 55778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 16201 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 55784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 16202 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 55790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 16203 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 55796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 16204 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 55802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 16208 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 55808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 16209 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 55814 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 16210 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 55820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 16211 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 55826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 16212 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 55832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 16213 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 55838 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 16214 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 55844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 16217 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 16220 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 16221 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55862 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 16222 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 16223 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 16224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 16225 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55886 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 16226 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 55892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 16227 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 55898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 16240 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 16241 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 16242 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 16243 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 16244 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 16245 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 55934 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 16246 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 55940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 16251 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 16252 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 16253 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 16254 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 16255 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 16256 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 16262 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 16263 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 16264 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 55994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 16265 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 56000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 16266 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 56006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 16267 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 56012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 16268 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 56018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 16269 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 56024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 16270 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 56030 "preproc.c" /* yacc.c:1646  */
    break;

  case 2984:
#line 16271 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2985:
#line 16272 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2986:
#line 16275 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2987:
#line 16276 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56054 "preproc.c" /* yacc.c:1646  */
    break;

  case 2988:
#line 16277 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2989:
#line 16278 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2990:
#line 16279 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 56072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2991:
#line 16282 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56078 "preproc.c" /* yacc.c:1646  */
    break;

  case 2992:
#line 16283 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2993:
#line 16284 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2994:
#line 16285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2995:
#line 16288 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2996:
#line 16289 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 56108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2997:
#line 16290 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2998:
#line 16291 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 56120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2999:
#line 16292 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 56126 "preproc.c" /* yacc.c:1646  */
    break;

  case 3000:
#line 16293 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 56132 "preproc.c" /* yacc.c:1646  */
    break;

  case 3001:
#line 16294 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56138 "preproc.c" /* yacc.c:1646  */
    break;

  case 3002:
#line 16311 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56144 "preproc.c" /* yacc.c:1646  */
    break;

  case 3003:
#line 16312 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56150 "preproc.c" /* yacc.c:1646  */
    break;

  case 3004:
#line 16313 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 56156 "preproc.c" /* yacc.c:1646  */
    break;

  case 3005:
#line 16316 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 56162 "preproc.c" /* yacc.c:1646  */
    break;

  case 3006:
#line 16317 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 56168 "preproc.c" /* yacc.c:1646  */
    break;

  case 3007:
#line 16318 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 56174 "preproc.c" /* yacc.c:1646  */
    break;

  case 3008:
#line 16319 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 56180 "preproc.c" /* yacc.c:1646  */
    break;

  case 3009:
#line 16320 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 56186 "preproc.c" /* yacc.c:1646  */
    break;

  case 3010:
#line 16321 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 56192 "preproc.c" /* yacc.c:1646  */
    break;

  case 3013:
#line 16328 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 56201 "preproc.c" /* yacc.c:1646  */
    break;

  case 3014:
#line 16334 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56207 "preproc.c" /* yacc.c:1646  */
    break;

  case 3015:
#line 16335 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56213 "preproc.c" /* yacc.c:1646  */
    break;

  case 3016:
#line 16339 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 56219 "preproc.c" /* yacc.c:1646  */
    break;

  case 3017:
#line 16341 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 56225 "preproc.c" /* yacc.c:1646  */
    break;

  case 3018:
#line 16346 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 56237 "preproc.c" /* yacc.c:1646  */
    break;

  case 3019:
#line 16356 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 56250 "preproc.c" /* yacc.c:1646  */
    break;

  case 3020:
#line 16367 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 56259 "preproc.c" /* yacc.c:1646  */
    break;

  case 3021:
#line 16373 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56265 "preproc.c" /* yacc.c:1646  */
    break;

  case 3022:
#line 16374 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56271 "preproc.c" /* yacc.c:1646  */
    break;

  case 3023:
#line 16375 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56277 "preproc.c" /* yacc.c:1646  */
    break;

  case 3024:
#line 16379 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 56312 "preproc.c" /* yacc.c:1646  */
    break;

  case 3025:
#line 16411 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56318 "preproc.c" /* yacc.c:1646  */
    break;

  case 3026:
#line 16413 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56324 "preproc.c" /* yacc.c:1646  */
    break;

  case 3027:
#line 16415 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56330 "preproc.c" /* yacc.c:1646  */
    break;

  case 3028:
#line 16419 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 56344 "preproc.c" /* yacc.c:1646  */
    break;

  case 3029:
#line 16429 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 56358 "preproc.c" /* yacc.c:1646  */
    break;

  case 3030:
#line 16439 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 56372 "preproc.c" /* yacc.c:1646  */
    break;

  case 3031:
#line 16448 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56378 "preproc.c" /* yacc.c:1646  */
    break;

  case 3032:
#line 16449 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56384 "preproc.c" /* yacc.c:1646  */
    break;

  case 3033:
#line 16452 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56390 "preproc.c" /* yacc.c:1646  */
    break;

  case 3034:
#line 16454 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56396 "preproc.c" /* yacc.c:1646  */
    break;

  case 3035:
#line 16455 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56402 "preproc.c" /* yacc.c:1646  */
    break;

  case 3036:
#line 16456 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56408 "preproc.c" /* yacc.c:1646  */
    break;

  case 3037:
#line 16460 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56414 "preproc.c" /* yacc.c:1646  */
    break;

  case 3038:
#line 16462 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 56420 "preproc.c" /* yacc.c:1646  */
    break;

  case 3039:
#line 16469 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56426 "preproc.c" /* yacc.c:1646  */
    break;

  case 3040:
#line 16470 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 56432 "preproc.c" /* yacc.c:1646  */
    break;

  case 3041:
#line 16472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 56438 "preproc.c" /* yacc.c:1646  */
    break;

  case 3042:
#line 16475 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56444 "preproc.c" /* yacc.c:1646  */
    break;

  case 3043:
#line 16477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56450 "preproc.c" /* yacc.c:1646  */
    break;

  case 3044:
#line 16480 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3045:
#line 16481 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 56462 "preproc.c" /* yacc.c:1646  */
    break;

  case 3046:
#line 16484 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56468 "preproc.c" /* yacc.c:1646  */
    break;

  case 3047:
#line 16485 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 56474 "preproc.c" /* yacc.c:1646  */
    break;

  case 3048:
#line 16488 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56480 "preproc.c" /* yacc.c:1646  */
    break;

  case 3049:
#line 16489 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 56486 "preproc.c" /* yacc.c:1646  */
    break;

  case 3050:
#line 16490 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 56492 "preproc.c" /* yacc.c:1646  */
    break;

  case 3051:
#line 16491 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 56498 "preproc.c" /* yacc.c:1646  */
    break;

  case 3052:
#line 16492 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 56504 "preproc.c" /* yacc.c:1646  */
    break;

  case 3053:
#line 16495 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56510 "preproc.c" /* yacc.c:1646  */
    break;

  case 3054:
#line 16496 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56516 "preproc.c" /* yacc.c:1646  */
    break;

  case 3055:
#line 16497 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56522 "preproc.c" /* yacc.c:1646  */
    break;

  case 3056:
#line 16498 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56528 "preproc.c" /* yacc.c:1646  */
    break;

  case 3057:
#line 16499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 56534 "preproc.c" /* yacc.c:1646  */
    break;

  case 3058:
#line 16500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 56540 "preproc.c" /* yacc.c:1646  */
    break;

  case 3059:
#line 16501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 56546 "preproc.c" /* yacc.c:1646  */
    break;

  case 3060:
#line 16502 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 56552 "preproc.c" /* yacc.c:1646  */
    break;

  case 3061:
#line 16503 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 56558 "preproc.c" /* yacc.c:1646  */
    break;

  case 3062:
#line 16504 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 56564 "preproc.c" /* yacc.c:1646  */
    break;

  case 3063:
#line 16505 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 56570 "preproc.c" /* yacc.c:1646  */
    break;

  case 3064:
#line 16506 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 56576 "preproc.c" /* yacc.c:1646  */
    break;

  case 3065:
#line 16507 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56582 "preproc.c" /* yacc.c:1646  */
    break;

  case 3066:
#line 16508 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56588 "preproc.c" /* yacc.c:1646  */
    break;

  case 3067:
#line 16509 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 56594 "preproc.c" /* yacc.c:1646  */
    break;

  case 3068:
#line 16510 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 56600 "preproc.c" /* yacc.c:1646  */
    break;

  case 3069:
#line 16511 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 56606 "preproc.c" /* yacc.c:1646  */
    break;

  case 3070:
#line 16512 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 56612 "preproc.c" /* yacc.c:1646  */
    break;

  case 3071:
#line 16513 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 56618 "preproc.c" /* yacc.c:1646  */
    break;

  case 3072:
#line 16514 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56624 "preproc.c" /* yacc.c:1646  */
    break;

  case 3073:
#line 16515 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 56630 "preproc.c" /* yacc.c:1646  */
    break;

  case 3074:
#line 16516 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 56636 "preproc.c" /* yacc.c:1646  */
    break;

  case 3075:
#line 16517 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 56642 "preproc.c" /* yacc.c:1646  */
    break;

  case 3076:
#line 16518 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 56648 "preproc.c" /* yacc.c:1646  */
    break;

  case 3077:
#line 16519 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 56654 "preproc.c" /* yacc.c:1646  */
    break;

  case 3078:
#line 16520 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 56660 "preproc.c" /* yacc.c:1646  */
    break;

  case 3079:
#line 16521 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 56666 "preproc.c" /* yacc.c:1646  */
    break;

  case 3080:
#line 16522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 56672 "preproc.c" /* yacc.c:1646  */
    break;

  case 3081:
#line 16523 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 56678 "preproc.c" /* yacc.c:1646  */
    break;

  case 3082:
#line 16524 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 56684 "preproc.c" /* yacc.c:1646  */
    break;

  case 3083:
#line 16525 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 56690 "preproc.c" /* yacc.c:1646  */
    break;

  case 3084:
#line 16526 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 56696 "preproc.c" /* yacc.c:1646  */
    break;

  case 3085:
#line 16527 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 56702 "preproc.c" /* yacc.c:1646  */
    break;

  case 3086:
#line 16528 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56708 "preproc.c" /* yacc.c:1646  */
    break;

  case 3087:
#line 16529 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 56714 "preproc.c" /* yacc.c:1646  */
    break;

  case 3088:
#line 16530 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 56720 "preproc.c" /* yacc.c:1646  */
    break;

  case 3089:
#line 16531 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 56726 "preproc.c" /* yacc.c:1646  */
    break;

  case 3090:
#line 16532 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 56732 "preproc.c" /* yacc.c:1646  */
    break;

  case 3091:
#line 16533 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 56738 "preproc.c" /* yacc.c:1646  */
    break;

  case 3092:
#line 16534 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 56744 "preproc.c" /* yacc.c:1646  */
    break;

  case 3093:
#line 16535 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 56750 "preproc.c" /* yacc.c:1646  */
    break;

  case 3094:
#line 16536 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 56756 "preproc.c" /* yacc.c:1646  */
    break;

  case 3095:
#line 16537 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 56762 "preproc.c" /* yacc.c:1646  */
    break;

  case 3096:
#line 16538 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 56768 "preproc.c" /* yacc.c:1646  */
    break;

  case 3097:
#line 16539 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 56774 "preproc.c" /* yacc.c:1646  */
    break;

  case 3098:
#line 16540 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 56780 "preproc.c" /* yacc.c:1646  */
    break;

  case 3099:
#line 16541 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 56786 "preproc.c" /* yacc.c:1646  */
    break;

  case 3100:
#line 16542 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 56792 "preproc.c" /* yacc.c:1646  */
    break;

  case 3101:
#line 16543 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 56798 "preproc.c" /* yacc.c:1646  */
    break;

  case 3102:
#line 16544 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 56804 "preproc.c" /* yacc.c:1646  */
    break;

  case 3103:
#line 16545 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 56810 "preproc.c" /* yacc.c:1646  */
    break;

  case 3104:
#line 16546 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 56816 "preproc.c" /* yacc.c:1646  */
    break;

  case 3105:
#line 16547 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 56822 "preproc.c" /* yacc.c:1646  */
    break;

  case 3106:
#line 16548 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 56828 "preproc.c" /* yacc.c:1646  */
    break;

  case 3107:
#line 16549 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 56834 "preproc.c" /* yacc.c:1646  */
    break;

  case 3108:
#line 16550 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 56840 "preproc.c" /* yacc.c:1646  */
    break;

  case 3109:
#line 16553 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56846 "preproc.c" /* yacc.c:1646  */
    break;

  case 3110:
#line 16554 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56852 "preproc.c" /* yacc.c:1646  */
    break;

  case 3111:
#line 16555 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 56858 "preproc.c" /* yacc.c:1646  */
    break;

  case 3112:
#line 16556 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 56864 "preproc.c" /* yacc.c:1646  */
    break;

  case 3113:
#line 16559 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56870 "preproc.c" /* yacc.c:1646  */
    break;

  case 3114:
#line 16560 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 56876 "preproc.c" /* yacc.c:1646  */
    break;

  case 3115:
#line 16561 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 56882 "preproc.c" /* yacc.c:1646  */
    break;

  case 3116:
#line 16562 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 56888 "preproc.c" /* yacc.c:1646  */
    break;

  case 3117:
#line 16563 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 56894 "preproc.c" /* yacc.c:1646  */
    break;

  case 3118:
#line 16564 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 56900 "preproc.c" /* yacc.c:1646  */
    break;

  case 3119:
#line 16565 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 56906 "preproc.c" /* yacc.c:1646  */
    break;

  case 3120:
#line 16566 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3121:
#line 16567 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56918 "preproc.c" /* yacc.c:1646  */
    break;

  case 3122:
#line 16568 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 56928 "preproc.c" /* yacc.c:1646  */
    break;

  case 3123:
#line 16575 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56934 "preproc.c" /* yacc.c:1646  */
    break;

  case 3124:
#line 16576 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56940 "preproc.c" /* yacc.c:1646  */
    break;

  case 3125:
#line 16577 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56946 "preproc.c" /* yacc.c:1646  */
    break;

  case 3126:
#line 16578 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56952 "preproc.c" /* yacc.c:1646  */
    break;

  case 3127:
#line 16579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56958 "preproc.c" /* yacc.c:1646  */
    break;

  case 3128:
#line 16582 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56964 "preproc.c" /* yacc.c:1646  */
    break;

  case 3129:
#line 16583 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56970 "preproc.c" /* yacc.c:1646  */
    break;

  case 3130:
#line 16586 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56976 "preproc.c" /* yacc.c:1646  */
    break;

  case 3131:
#line 16588 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 56989 "preproc.c" /* yacc.c:1646  */
    break;

  case 3132:
#line 16598 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56995 "preproc.c" /* yacc.c:1646  */
    break;

  case 3133:
#line 16599 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57001 "preproc.c" /* yacc.c:1646  */
    break;


#line 57005 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 16602 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
